-- MySQL dump 10.13  Distrib 8.0.22, for Linux (x86_64)
--
-- Host: localhost    Database: ClusterCockpit
-- ------------------------------------------------------
-- Server version	8.0.22

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!50503 SET NAMES utf8mb4 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `configuration`
--

DROP TABLE IF EXISTS `configuration`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `configuration` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `value` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `scope` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `label` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `validation` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `feedback` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=33 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `configuration`
--

LOCK TABLES `configuration` WRITE;
/*!40000 ALTER TABLE `configuration` DISABLE KEYS */;
INSERT INTO `configuration` VALUES (1,'plot_view_showRoofline','true','default','Show roofline plot','true|false',NULL,'Enter true or false'),(2,'plot_view_showPolarplot','true','default','Show polar plot','true|false',NULL,'Enter true or false'),(3,'plot_view_showStatTable','true','default','Show stat table','true|false',NULL,'Enter true or false'),(4,'plot_view_plotsPerRow','3','default','Plots per row in job view','[0-9]+',NULL,'Enter a positive integer'),(8,'plot_general_colorscheme','Accent','default','Plot color scheme','',NULL,''),(9,'plot_general_interactive','false','default','Interactive plots in job view','true|false',NULL,'Enter true or false'),(10,'plot_general_lineWidth','1','default','Line width for plots','[0-9]+',NULL,'Enter a positive integer'),(11,'plot_general_colorBackground','true','default','Color plot background','true|false',NULL,'Enter true or false'),(21,'general_user_scramble','false','default','Anonymize user names','',NULL,''),(22,'general_user_emailbase','@mail.de','default','Email base adress used in user imports','',NULL,''),(23,'plot_list_selectedMetrics','[\"cpu_load\",\"flops_any\",\"mem_bw\",\"mem_used\"]','default','Metrics to show in job list','',NULL,'Enter a JSON list'),(24,'plot_list_selectedMetrics','[\"cpu_load\",\"flops_any\",\"mem_bw\",\"mem_used\"]','admin','Metrics to show in job list','',NULL,'Enter a JSON list'),(25,'analysis_view_histogramMetrics','[\"cpu_load\",\"mem_used\",\"flops_any\",\"mem_bw\",\"cpi\",\"clock\"]','admin','Metrics to show in histograms in analysis view','',NULL,'Enter a JSON list'),(30,'job_view_nodestats_selectedMetrics','[\"flops_any\",\"mem_bw\",\"mem_used\",\"cpu_load\",\"clock\"]','admin','Metrics to show in stats table in job view','',NULL,'Enter a JSON list'),(31,'job_view_selectedMetrics','[\"flops_any\",\"mem_bw\",\"mem_used\",\"cpu_load\",\"cpi\",\"clock\",\"rapl_power\"]','admin','Metrics to show as plots in job view','',NULL,'Enter a JSON list'),(32,'analysis_view_scatterPlotMetrics','[[\"flops_any\",\"mem_bw\"],[\"flops_any\",\"cpu_load\"],[\"mem_bw\",\"cpu_load\"]]','admin','Metrics to show in scatter plots in analysis view','',NULL,'Enter a JSON list of metric pairs');
/*!40000 ALTER TABLE `configuration` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `job`
--

DROP TABLE IF EXISTS `job`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `job` (
  `id` int NOT NULL AUTO_INCREMENT,
  `job_id` int NOT NULL,
  `user_id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `cluster_id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `num_nodes` int NOT NULL,
  `start_time` int NOT NULL,
  `duration` int NOT NULL,
  `node_list` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `is_running` tinyint(1) NOT NULL,
  `job_script` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `project_id` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `mem_used_max` double NOT NULL DEFAULT '0',
  `flops_any_avg` double NOT NULL DEFAULT '0',
  `mem_bw_avg` double NOT NULL DEFAULT '0',
  `load_avg` double NOT NULL DEFAULT '0',
  `net_bw_avg` double NOT NULL DEFAULT '0',
  `file_bw_avg` double NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `search_idx` (`is_running`,`cluster_id`)
) ENGINE=InnoDB AUTO_INCREMENT=4690 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `job`
--

LOCK TABLES `job` WRITE;
/*!40000 ALTER TABLE `job` DISABLE KEYS */;
INSERT INTO `job` VALUES (1,1335041,'emmyUser5','emmy',32,1596241216,21652,'e1018|e1017|e1010|e1009|e0745|e0656|e0655|e0652|e0651|e0650|e0649|e0530|e0529|e0528|e0527|e0524|e0523|e0522|e0521|e0520|e0519|e0214|e0213|e0212|e0151|e0150|e0149|e0132|e0129|e0128|e0127|e0108',0,'','project5',2.95,0,0.14,0,0,0),(2,1335050,'emmyUser5','emmy',32,1596241607,22234,'e1128|e1127|e1126|e1125|e1115|e1114|e0908|e0907|e0905|e0904|e0903|e0902|e0849|e0848|e0847|e0846|e0845|e0844|e0842|e0841|e0552|e0551|e0550|e0549|e0548|e0547|e0546|e0545|e0544|e0543|e0526|e0525',0,'','project5',1.9,0.01,0.11,0,0,0),(3,1335059,'emmyUser5','emmy',32,1596248458,21677,'e1130|e1129|e1124|e1123|e1122|e1121|e1120|e1119|e1118|e1117|e1116|e1101|e1016|e1015|e0906|e0843|e0804|e0803|e0744|e0743|e0724|e0723|e0722|e0721|e0620|e0452|e0451|e0450|e0449|e0448|e0447|e0446',0,'','project5',3.44,0.01,0.14,0,0,0),(4,1334592,'emmyUser5','emmy',16,1596280833,216,'e0547|e0347|e0346|e0345|e0344|e0343|e0342|e0341|e0340|e0339|e0338|e0337|e0336|e0335|e0334|e0333',0,'','project5',20.51,0.02,3.42,0,0,0),(5,1334601,'emmyUser5','emmy',16,1596280974,147,'e0648|e0647|e0635|e0621|e0619|e0532|e0531|e0513|e0512|e0509|e0442|e0439|e0438|e0433|e0402|e0401',0,'','project5',8.34,0,1.8,0,0,0),(6,1334610,'emmyUser5','emmy',16,1596281050,221,'e0547|e0538|e0537|e0347|e0346|e0345|e0344|e0343|e0342|e0341|e0340|e0339|e0338|e0337|e0336|e0335',0,'','project5',20.46,0,3.78,0,0,0),(7,1334638,'emmyUser5','emmy',16,1596281273,133,'e0547|e0538|e0537|e0402|e0401|e0347|e0346|e0345|e0344|e0343|e0342|e0341|e0340|e0339|e0338|e0337',0,'','project5',1.72,0,0.32,0,0,0),(8,1334629,'emmyUser5','emmy',16,1596281258,193,'e0648|e0647|e0635|e0621|e0619|e0532|e0531|e0513|e0512|e0509|e0442|e0439|e0438|e0433|e0414|e0413',0,'','project5',20.48,0,3.44,0,0,0),(9,1334656,'emmyUser5','emmy',16,1596281452,214,'e0648|e0647|e0635|e0621|e0619|e0532|e0531|e0513|e0512|e0509|e0442|e0439|e0438|e0433|e0414|e0413',0,'','project5',17.79,0,0.4,0,0,0),(10,1334647,'emmyUser5','emmy',16,1596281407,290,'e0547|e0538|e0537|e0536|e0535|e0402|e0401|e0347|e0346|e0345|e0344|e0343|e0342|e0341|e0340|e0339',0,'','project5',1.72,0,0.14,0,0,0),(11,1334674,'emmyUser5','emmy',16,1596281667,140,'e0648|e0647|e0635|e0621|e0619|e0532|e0531|e0513|e0512|e0509|e0442|e0439|e0438|e0433|e0414|e0413',0,'','project5',7.98,0,0.31,0,0,0),(12,1334665,'emmyUser5','emmy',16,1596281666,267,'e1012|e1011|e0915|e0914|e0901|e0852|e0851|e0850|e0542|e0541|e0534|e0533|e0422|e0421|e0317|e0215',0,'','project5',20.35,0.16,0.18,0,0,0),(13,1334683,'emmyUser5','emmy',16,1596281698,268,'e0547|e0538|e0537|e0536|e0535|e0402|e0401|e0347|e0346|e0345|e0344|e0343|e0342|e0341|e0340|e0339',0,'','project5',2.87,0,0.14,0,0,0),(14,1334692,'emmyUser5','emmy',16,1596281809,251,'e0905|e0904|e0648|e0647|e0640|e0639|e0635|e0621|e0619|e0532|e0531|e0513|e0512|e0509|e0442|e0439',0,'','project5',8.33,0.24,0.83,0,0,0),(15,1334701,'emmyUser5','emmy',16,1596281934,292,'e1017|e1012|e1011|e1010|e0915|e0914|e0901|e0852|e0851|e0850|e0718|e0717|e0656|e0655|e0542|e0541',0,'','project5',20.35,0,0.66,0,0,0),(16,1334710,'emmyUser5','emmy',16,1596281967,283,'e0623|e0622|e0547|e0538|e0537|e0536|e0535|e0534|e0533|e0438|e0433|e0432|e0431|e0430|e0429|e0422',0,'','project5',20.47,0.3,0.96,0,0,0),(17,1334719,'emmyUser5','emmy',16,1596282061,280,'e1131|e1018|e0905|e0904|e0648|e0647|e0640|e0639|e0635|e0621|e0619|e0532|e0531|e0513|e0512|e0509',0,'','project5',2.07,0,0.14,0,0,0),(18,1334738,'emmyUser5','emmy',16,1596282252,180,'e0623|e0622|e0547|e0538|e0537|e0536|e0535|e0534|e0533|e0440|e0439|e0438|e0433|e0432|e0431|e0430',0,'','project5',20.47,0,3.22,0,0,0),(19,1334747,'emmyUser5','emmy',16,1596282347,159,'e1017|e1012|e1011|e1010|e0915|e0914|e0901|e0852|e0851|e0850|e0718|e0717|e0656|e0655|e0542|e0541',0,'','project5',7.98,0,0.77,0,0,0),(20,1334765,'emmyUser5','emmy',16,1596282507,182,'e1017|e1012|e1011|e1010|e0915|e0914|e0901|e0852|e0851|e0850|e0718|e0717|e0656|e0655|e0542|e0541',0,'','project5',14.05,0,1.25,0,0,0),(21,1334756,'emmyUser5','emmy',16,1596282433,282,'e0623|e0622|e0549|e0548|e0547|e0538|e0537|e0536|e0535|e0534|e0533|e0512|e0509|e0440|e0439|e0438',0,'','project5',1.89,0,0.21,0,0,0),(22,1334774,'emmyUser5','emmy',16,1596282692,264,'e1017|e1012|e1011|e1010|e0915|e0914|e0901|e0852|e0851|e0850|e0801|e0752|e0720|e0719|e0718|e0717',0,'','project5',20.53,0,2.49,0,0,0),(23,1334783,'emmyUser5','emmy',16,1596282716,307,'e0656|e0655|e0623|e0622|e0551|e0550|e0549|e0548|e0547|e0542|e0541|e0538|e0537|e0536|e0535|e0534',0,'','project5',7.25,0.07,0.68,0,0,0),(24,1334792,'emmyUser5','emmy',16,1596282957,293,'e1017|e1012|e1011|e1010|e1009|e0915|e0914|e0901|e0852|e0851|e0850|e0841|e0802|e0801|e0752|e0720',0,'','project5',20.35,0,0.77,0,0,0),(25,1334837,'emmyUser5','emmy',16,1596283256,77,'e0719|e0718|e0717|e0656|e0655|e0650|e0649|e0623|e0622|e0552|e0551|e0550|e0549|e0548|e0547|e0542',0,'','project5',9.02,0.38,2.59,0,0,0),(26,1334828,'emmyUser5','emmy',16,1596283252,93,'e1017|e1012|e1011|e1010|e1009|e0915|e0914|e0901|e0852|e0851|e0850|e0841|e0802|e0801|e0752|e0720',0,'','project5',9.08,0,2.48,0,0,0),(27,1334864,'emmyUser5','emmy',16,1596283416,174,'e0751|e0745|e0719|e0718|e0717|e0656|e0655|e0650|e0649|e0623|e0622|e0552|e0551|e0550|e0549|e0548',0,'','project5',1.88,0,0.37,0,0,0),(28,1334882,'emmyUser5','emmy',16,1596283516,186,'e1017|e1012|e1011|e1010|e1009|e0915|e0914|e0901|e0852|e0851|e0850|e0841|e0802|e0801|e0752|e0720',0,'','project5',1.74,0,0.15,0,0,0),(29,1334892,'emmyUser5','emmy',16,1596283592,181,'e0751|e0745|e0719|e0718|e0717|e0656|e0655|e0650|e0649|e0623|e0622|e0552|e0551|e0550|e0549|e0548',0,'','project5',1.88,0,0.15,0,0,0),(30,1334910,'emmyUser5','emmy',16,1596283774,172,'e0751|e0745|e0719|e0718|e0717|e0656|e0655|e0650|e0649|e0623|e0622|e0552|e0551|e0550|e0549|e0548',0,'','project5',9.06,0,0.32,0,0,0),(31,1334919,'emmyUser5','emmy',16,1596283783,175,'e1017|e1012|e1011|e1010|e1009|e0915|e0914|e0901|e0852|e0851|e0850|e0841|e0802|e0801|e0752|e0720',0,'','project5',4.19,0,0.51,0,0,0),(32,1334937,'emmyUser5','emmy',16,1596283959,147,'e1017|e1012|e1011|e1010|e1009|e0915|e0914|e0901|e0852|e0851|e0850|e0841|e0802|e0801|e0752|e0720',0,'','project5',1.74,0,0.17,0,0,0),(33,1334928,'emmyUser5','emmy',16,1596283950,306,'e0751|e0745|e0719|e0718|e0717|e0656|e0655|e0650|e0649|e0623|e0622|e0552|e0551|e0550|e0549|e0548',0,'','project5',9.06,0,0.69,0,0,0),(34,1334946,'emmyUser5','emmy',16,1596284107,270,'e1017|e1012|e1011|e1010|e1009|e0915|e0914|e0901|e0852|e0851|e0850|e0841|e0802|e0801|e0752|e0720',0,'','project5',1.74,0,0.14,0,0,0),(35,1334982,'emmyUser5','emmy',16,1596284400,183,'e0751|e0745|e0719|e0718|e0717|e0656|e0655|e0650|e0649|e0641|e0623|e0622|e0552|e0551|e0550|e0549',0,'','project5',9.03,0,0.79,0,0,0),(36,1335010,'emmyUser5','emmy',16,1596284607,265,'e1017|e1012|e1011|e1010|e1009|e0915|e0914|e0901|e0852|e0851|e0850|e0846|e0845|e0841|e0802|e0801',0,'','project5',1.74,0,0.16,0,0,0),(37,1335019,'emmyUser5','emmy',16,1596284724,270,'e1019|e0752|e0751|e0745|e0720|e0719|e0718|e0717|e0649|e0641|e0623|e0622|e0552|e0551|e0550|e0549',0,'','project5',1.74,0,0.14,0,0,0),(38,1335293,'emmyUser3','emmy',8,1596282225,3335,'e1115|e1114|e0644|e0643|e0614|e0613|e0442|e0441',0,'','project3',4.5,21.37,28.37,0,0,0),(39,1335294,'emmyUser3','emmy',8,1596282343,3335,'e1131|e1018|e0905|e0904|e0652|e0651|e0648|e0647',0,'','project3',4.65,20.13,26.44,0,0,0),(40,1335295,'emmyUser3','emmy',8,1596282343,3348,'e0640|e0639|e0635|e0621|e0619|e0532|e0531|e0513',0,'','project3',4.02,20.58,23.57,0,0,0),(41,1335304,'emmyUser3','emmy',8,1596285170,3357,'e0549|e0235|e0234|e0233|e0154|e0153|e0118|e0113',0,'','project3',7.38,19.7,33.09,0,0,0),(42,1335305,'emmyUser3','emmy',8,1596285574,3347,'e1115|e1114|e0644|e0643|e0614|e0613|e0442|e0441',0,'','project3',5.34,19.81,34.37,0,0,0),(43,1335086,'emmyUser2','emmy',4,1596280160,22468,'e0249|e0248|e0247|e0246',0,'','project2',10.96,61.34,36.05,0,0,0),(44,1335030,'emmyUser5','emmy',16,1596284873,21650,'e1017|e1012|e1011|e1010|e1009|e0915|e0914|e0901|e0852|e0851|e0850|e0846|e0845|e0841|e0802|e0801',0,'','project5',16.94,0.01,0.18,0,0,0),(45,1335039,'emmyUser5','emmy',16,1596285015,21630,'e1019|e0752|e0751|e0745|e0720|e0719|e0718|e0717|e0649|e0641|e0633|e0623|e0622|e0552|e0551|e0550',0,'','project5',15.23,0.02,0.16,0,0,0),(46,1335048,'emmyUser5','emmy',16,1596285693,21628,'e1131|e1018|e0905|e0904|e0652|e0651|e0648|e0647|e0640|e0639|e0635|e0621|e0619|e0532|e0531|e0513',0,'','project5',2.09,0,0.14,0,0,0),(47,1335057,'emmyUser5','emmy',16,1596288401,21630,'e0844|e0842|e0636|e0616|e0507|e0506|e0428|e0427|e0416|e0415|e0349|e0320|e0319|e0146|e0145|e0112',0,'','project5',15.32,0,0.15,0,0,0),(48,1335029,'emmyUser5','emmy',8,1596290330,21658,'e1122|e1121|e1111|e1110|e0724|e0723|e0508|e0203',0,'','project5',1.77,0.02,0.14,0,0,0),(49,1335038,'emmyUser5','emmy',8,1596290429,21636,'e1113|e1112|e0906|e0843|e0722|e0721|e0539|e0420',0,'','project5',2.86,0,0.14,0,0,0),(50,1335047,'emmyUser5','emmy',8,1596290470,21649,'e1124|e1123|e1109|e1108|e0451|e0450|e0226|e0223',0,'','project5',1.77,0,0.14,0,0,0),(51,1335056,'emmyUser5','emmy',8,1596290590,21658,'e1116|e1101|e0804|e0803|e0744|e0743|e0620|e0452',0,'','project5',3.16,0.24,0.14,0,0,0),(52,1335410,'emmyUser5','emmy',2,1596314251,1858,'e0102|e0830',0,'','project5',60.01,0,2.99,0,0,0),(53,1335027,'emmyUser5','emmy',2,1596327383,21617,'e0239|e0238',0,'','project5',2.97,0.04,0.18,0,0,0),(54,1335160,'emmyUser2','emmy',4,1596288630,65298,'e0627|e0626|e0232|e0230',0,'','project2',9.56,59.01,38.35,0,0,0),(55,1335045,'emmyUser5','emmy',2,1596333058,21640,'e0442|e0441',0,'','project5',1.76,0,0.14,0,0,0),(56,1335036,'emmyUser5','emmy',2,1596333058,21643,'e0614|e0613',0,'','project5',1.59,0,0.14,0,0,0),(57,1335162,'emmyUser2','emmy',4,1596288703,66644,'e0527|e0524|e0151|e0150',0,'','project2',10.02,60.3,44.2,0,0,0),(58,1335054,'emmyUser5','emmy',2,1596334186,21634,'e0704|e0703',0,'','project5',1.56,0,0.14,0,0,0),(59,1335157,'emmyUser2','emmy',4,1596281968,78719,'e0401|e0347|e0346|e0345',0,'','project2',9.69,59.86,37.7,0,0,0),(60,1335515,'emmyUser3','emmy',2,1596365278,2938,'e0651|e0307',0,'','project3',7.52,22.88,70.02,0,0,0),(61,1335516,'emmyUser3','emmy',2,1596365289,3159,'e0252|e0251',0,'','project3',7.87,23.25,70.31,0,0,0),(62,1335517,'emmyUser3','emmy',2,1596365298,3334,'e0237|e0236',0,'','project3',7.65,23.51,71.46,0,0,0),(63,1335518,'emmyUser3','emmy',2,1596365308,3335,'e0228|e0227',0,'','project3',7.72,22.2,69.6,0,0,0),(64,1335519,'emmyUser3','emmy',2,1596365316,3336,'e0218|e0216',0,'','project3',7.73,22.21,68.61,0,0,0),(65,1335520,'emmyUser3','emmy',2,1596365326,3340,'e0146|e0145',0,'','project3',7.73,21.86,68.15,0,0,0),(66,1335521,'emmyUser3','emmy',2,1596365334,3335,'e0135|e0130',0,'','project3',8.03,22.46,70.38,0,0,0),(67,1335528,'emmyUser3','emmy',2,1596368217,1495,'e0850|e0846',0,'','project3',6.03,23.73,66.46,0,0,0),(68,1335529,'emmyUser3','emmy',2,1596368449,1530,'e0845|e0841',0,'','project3',6.55,21.92,64.57,0,0,0),(69,1335164,'emmyUser2','emmy',4,1596288943,81092,'e1115|e1114|e0644|e0643',0,'','project2',9.89,60.38,43.46,0,0,0),(70,1335530,'emmyUser3','emmy',2,1596368633,1818,'e0813|e0812',0,'','project3',7.05,22.68,65.56,0,0,0),(71,1335531,'emmyUser3','emmy',2,1596368645,1921,'e0651|e0640',0,'','project3',7.29,22.54,65.6,0,0,0),(72,1335532,'emmyUser3','emmy',2,1596368657,1930,'e0635|e0621',0,'','project3',7.23,23.04,66.02,0,0,0),(73,1335533,'emmyUser3','emmy',2,1596368667,2089,'e0307|e0252',0,'','project3',7.43,23.96,69.36,0,0,0),(74,1335534,'emmyUser3','emmy',2,1596368671,2183,'e0251|e0237',0,'','project3',7.36,23.68,68.91,0,0,0),(75,1335547,'emmyUser3','emmy',2,1596374700,1408,'e1115|e1114',0,'','project3',7.4,21.81,66.55,0,0,0),(76,1335548,'emmyUser3','emmy',2,1596374716,1841,'e0850|e0846',0,'','project3',7.49,23.29,71.06,0,0,0),(77,1335549,'emmyUser3','emmy',2,1596374728,2068,'e0845|e0841',0,'','project3',7.48,23.1,69.67,0,0,0),(78,1335554,'emmyUser3','emmy',2,1596374767,2553,'e0641|e0640',0,'','project3',7.61,22.2,69.18,0,0,0),(79,1335551,'emmyUser3','emmy',2,1596374744,2909,'e0651|e0649',0,'','project3',7.62,22.95,71.55,0,0,0),(80,1335552,'emmyUser3','emmy',2,1596374754,3207,'e0644|e0643',0,'','project3',7.58,22.15,70.22,0,0,0),(81,1335550,'emmyUser3','emmy',2,1596374736,3335,'e0813|e0812',0,'','project3',7.57,22.67,70.7,0,0,0),(82,1335572,'emmyUser3','emmy',2,1596376132,2017,'e0252|e0251',0,'','project3',7.61,21.26,67.24,0,0,0),(83,1335564,'emmyUser3','emmy',2,1596376558,1931,'e0850|e0846',0,'','project3',7.49,21.63,66.47,0,0,0),(84,1335561,'emmyUser3','emmy',2,1596376109,2920,'e1115|e1114',0,'','project3',7.41,22.87,69.12,0,0,0),(85,1335570,'emmyUser3','emmy',2,1596376094,3312,'e0639|e0635',0,'','project3',7.5,23.12,70.06,0,0,0),(86,1335571,'emmyUser3','emmy',2,1596376120,3308,'e0621|e0307',0,'','project3',7.62,23.07,69.62,0,0,0),(87,1335565,'emmyUser3','emmy',2,1596376797,2985,'e1019|e1018',0,'','project3',7.7,22.85,69.18,0,0,0),(88,1335569,'emmyUser3','emmy',2,1596377322,3332,'e1131|e1113',0,'','project3',7.75,22.32,70.79,0,0,0),(89,1335567,'emmyUser3','emmy',2,1596377654,3333,'e0651|e0649',0,'','project3',7.62,23.03,70.9,0,0,0),(90,1335568,'emmyUser3','emmy',2,1596377962,3335,'e1130|e1129',0,'','project3',7.64,22.69,71.03,0,0,0),(91,1335566,'emmyUser3','emmy',2,1596378073,3324,'e1116|e1112',0,'','project3',7.75,22.42,68.9,0,0,0),(92,1335589,'emmyUser3','emmy',2,1596378154,3296,'e1101|e0905',0,'','project3',7.68,23.32,70.85,0,0,0),(93,1335592,'emmyUser3','emmy',2,1596379783,2790,'e1120|e1019',0,'','project3',7.56,22.44,68.38,0,0,0),(94,1335594,'emmyUser3','emmy',2,1596380988,1735,'e0108|e0107',0,'','project3',7.47,22.59,68.61,0,0,0),(95,1335598,'emmyUser3','emmy',2,1596379508,3334,'e0621|e0307',0,'','project3',7.63,22.57,70.22,0,0,0),(96,1335600,'emmyUser3','emmy',2,1596379643,3333,'e0439|e0438',0,'','project3',7.94,22.76,71.55,0,0,0),(97,1335596,'emmyUser3','emmy',2,1596380671,3338,'e1131|e1113',0,'','project3',7.67,22.35,69.77,0,0,0),(98,1335595,'emmyUser3','emmy',2,1596381459,3333,'e0905|e0651',0,'','project3',7.52,22.61,70.26,0,0,0),(99,1335593,'emmyUser3','emmy',2,1596381899,3148,'e0106|e0103',0,'','project3',7.59,22.6,69.78,0,0,0),(100,1335627,'emmyUser3','emmy',2,1596386286,3332,'e0433|e0432',0,'','project3',7.59,22.97,71.57,0,0,0),(101,1335628,'emmyUser3','emmy',2,1596386286,3332,'e0431|e0430',0,'','project3',7.58,23.24,71.72,0,0,0),(102,1335626,'emmyUser3','emmy',2,1596386285,3335,'e0704|e0703',0,'','project3',7.36,23.23,70.89,0,0,0),(103,1335625,'emmyUser3','emmy',2,1596386285,3343,'e0714|e0713',0,'','project3',7.38,23.12,70.81,0,0,0),(104,1335629,'emmyUser3','emmy',2,1596386327,3333,'e0344|e0343',0,'','project3',7.36,22.5,69.78,0,0,0),(105,1335630,'emmyUser3','emmy',2,1596386327,3334,'e0342|e0341',0,'','project3',7.53,22.61,70.57,0,0,0),(106,1335482,'emmyUser3','emmy',32,1596364706,28567,'e1030|e1029|e1028|e1027|e0951|e0950|e0949|e0948|e0947|e0946|e0654|e0653|e0612|e0611|e0546|e0545|e0511|e0510|e0449|e0448|e0434|e0426|e0425|e0412|e0411|e0410|e0409|e0408|e0322|e0321|e0319|e0308',0,'','project3',9.96,13.25,21.5,0,0,0),(107,1335654,'emmyUser3','emmy',2,1596393276,727,'e0611|e0546',0,'','project3',8.71,19.8,58.35,0,0,0),(108,1335656,'emmyUser3','emmy',2,1596393297,720,'e0412|e0411',0,'','project3',8.83,19.35,58.48,0,0,0),(109,1335655,'emmyUser3','emmy',2,1596393297,730,'e0950|e0949',0,'','project3',8.78,20.12,60.49,0,0,0),(110,1335652,'emmyUser3','emmy',2,1596393275,3338,'e0946|e0654',0,'','project3',8.55,23.27,68.13,0,0,0),(111,1335651,'emmyUser3','emmy',2,1596393275,3340,'e0948|e0947',0,'','project3',8.57,23.13,68.52,0,0,0),(112,1335653,'emmyUser3','emmy',2,1596393276,3340,'e0653|e0612',0,'','project3',8.67,22.61,67.85,0,0,0),(113,1335484,'emmyUser3','emmy',32,1596377880,28837,'e1124|e1123|e1119|e1109|e1108|e0906|e0843|e0722|e0721|e0629|e0618|e0609|e0551|e0550|e0538|e0530|e0526|e0525|e0523|e0505|e0504|e0452|e0326|e0325|e0237|e0236|e0228|e0227|e0218|e0216|e0146|e0145',0,'','project3',9.37,4.73,7.69,0,0,0),(114,1335489,'emmyUser2','emmy',4,1596401359,5436,'e0707|e0706|e0705|e0702',0,'','project2',5.14,85.43,39.88,0,0,0),(115,1335432,'emmyUser2','emmy',4,1596347119,60135,'e0628|e0615|e0610|e0328',0,'','project2',6.47,85.78,38.63,0,0,0),(116,1335492,'emmyUser3','emmy',32,1596379408,28590,'e1115|e1114|e0904|e0850|e0846|e0845|e0813|e0812|e0744|e0723|e0644|e0643|e0641|e0640|e0639|e0635|e0544|e0543|e0541|e0539|e0508|e0451|e0450|e0420|e0252|e0251|e0226|e0223|e0135|e0130|e0112|e0105',0,'','project3',8.55,12.78,20.47,0,0,0),(117,1335487,'emmyUser2','emmy',4,1596401358,7916,'e0917|e0908|e0907|e0712',0,'','project2',5.29,75.64,43.97,0,0,0),(118,1335494,'emmyUser3','emmy',32,1596384631,28569,'e1131|e1120|e1116|e1113|e1103|e1102|e1101|e1019|e1018|e0916|e0914|e0901|e0852|e0851|e0811|e0810|e0809|e0808|e0807|e0806|e0805|e0750|e0749|e0748|e0747|e0742|e0741|e0649|e0633|e0621|e0549|e0443',0,'','project3',8.51,12.88,20.55,0,0,0),(119,1335485,'emmyUser2','emmy',4,1596401037,13117,'e0622|e0436|e0407|e0125',0,'','project2',5.5,80.25,44.12,0,0,0),(120,1335478,'emmyUser2','emmy',4,1596403129,16326,'e0623|e0421|e0414|e0124',0,'','project2',5.27,81.07,40.74,0,0,0),(121,1335488,'emmyUser2','emmy',4,1596401359,20518,'e0711|e0710|e0709|e0708',0,'','project2',5.12,80.33,40.94,0,0,0),(122,1335718,'emmyUser2','emmy',4,1596421875,568,'e0224|e0221|e0214|e0115',0,'','project2',5.11,72.37,35.27,0,0,0),(123,1335493,'emmyUser2','emmy',4,1596402448,21209,'e1011|e1010|e0509|e0440',0,'','project2',5.47,76.4,44.8,0,0,0),(124,1335479,'emmyUser2','emmy',4,1596403556,20697,'e0841|e0804|e0803|e0802',0,'','project2',5.28,75.67,44.48,0,0,0),(125,1335721,'emmyUser2','emmy',4,1596424251,644,'e1011|e1010|e0710|e0709',0,'','project2',5.12,71.85,40.68,0,0,0),(126,1335720,'emmyUser2','emmy',4,1596423655,1328,'e0724|e0718|e0717|e0711',0,'','project2',5.14,71.73,41.49,0,0,0),(127,1335481,'emmyUser2','emmy',4,1596405159,20134,'e1132|e1126|e1125|e0945',0,'','project2',5.35,80.23,40.79,0,0,0),(128,1335491,'emmyUser2','emmy',4,1596401630,26803,'e0727|e0726|e0413|e0402',0,'','project2',5.32,83.22,41.15,0,0,0),(129,1335486,'emmyUser2','emmy',4,1596401358,27752,'e0921|e0920|e0919|e0918',0,'','project2',5.34,78.13,44,0,0,0),(130,1335725,'emmyUser2','emmy',4,1596429114,744,'e0921|e0920|e0919|e0918',0,'','project2',5.13,63.37,35.84,0,0,0),(131,1335724,'emmyUser2','emmy',4,1596428437,1498,'e0727|e0726|e0413|e0402',0,'','project2',5.05,82.44,40.53,0,0,0),(132,1335483,'emmyUser2','emmy',4,1596405159,25855,'e0944|e0943|e0942|e0941',0,'','project2',5.23,83.29,40.92,0,0,0),(133,1335490,'emmyUser2','emmy',4,1596401389,30494,'e1006|e1005|e0701|e0631',0,'','project2',5.38,83.11,40.25,0,0,0),(134,1335543,'emmyUser2','emmy',4,1596405159,26984,'e0940|e0925|e0924|e0923',0,'','project2',5.19,84.69,41.13,0,0,0),(135,1335544,'emmyUser2','emmy',4,1596405160,31700,'e0922|e0903|e0902|e0838',0,'','project2',5.37,82.33,44.48,0,0,0),(136,1335716,'emmyUser2','emmy',4,1596407252,32667,'e0243|e0242|e0131|e0119',0,'','project2',6.55,85.31,38.54,0,0,0),(137,1335755,'emmyUser2','emmy',4,1596439923,3389,'e0927|e0243|e0242|e0222',0,'','project2',6.35,83.69,38.34,0,0,0),(138,1335735,'emmyUser2','emmy',4,1596435987,9106,'e0517|e0429|e0406|e0339',0,'','project2',5.25,81.29,39.95,0,0,0),(139,1335722,'emmyUser2','emmy',4,1596425291,20234,'e1011|e1010|e0724|e0718',0,'','project2',5.37,79.92,41.05,0,0,0),(140,1335763,'emmyUser3','emmy',4,1596442896,2669,'e0108|e0106|e0105|e0104',0,'','project3',7,22.75,64.3,0,0,0),(141,1335764,'emmyUser3','emmy',4,1596442912,2841,'e0103|e0102|e0101|e0131',0,'','project3',7.19,22.63,66.89,0,0,0),(142,1335766,'emmyUser3','emmy',4,1596443976,2940,'e0823|e0818|e0817|e0816',0,'','project3',7.76,22.64,66.09,0,0,0),(143,1335736,'emmyUser2','emmy',4,1596436864,18339,'e0922|e0903|e0902|e0838',0,'','project2',5.17,81.62,41.16,0,0,0),(144,1335985,'emmyUser3','emmy',2,1596462007,1492,'e0644|e0643',0,'','project3',6.04,22.3,64.65,0,0,0),(145,1335986,'emmyUser3','emmy',2,1596462021,1700,'e0641|e0640',0,'','project3',6.55,22.21,65.61,0,0,0),(146,1335987,'emmyUser3','emmy',2,1596462035,1882,'e0639|e0635',0,'','project3',7.01,22.72,66.89,0,0,0),(147,1335752,'emmyUser2','emmy',4,1596437074,27072,'e1017|e1012|e1009|e1007',0,'','project2',5.54,81.19,44.76,0,0,0),(148,1335988,'emmyUser3','emmy',2,1596462444,1985,'e0638|e0637',0,'','project3',7.19,22.35,66.79,0,0,0),(149,1335989,'emmyUser3','emmy',2,1596462444,2013,'e0628|e0624',0,'','project3',7.18,22.34,67.1,0,0,0),(150,1335990,'emmyUser3','emmy',2,1596462444,2161,'e0615|e0610',0,'','project3',7.23,23.06,68.04,0,0,0),(151,1335742,'emmyUser3','emmy',32,1596436684,28588,'e0949|e0948|e0947|e0946|e0935|e0934|e0911|e0909|e0830|e0827|e0826|e0725|e0656|e0655|e0654|e0650|e0631|e0611|e0608|e0607|e0606|e0605|e0601|e0546|e0518|e0437|e0412|e0411|e0318|e0311|e0305|e0304',0,'','project3',10.17,13.07,21.01,0,0,0),(152,1335995,'emmyUser3','emmy',2,1596463500,3334,'e0108|e0106',0,'','project3',8.48,22.92,69.28,0,0,0),(153,1336000,'emmyUser3','emmy',2,1596463723,3341,'e0105|e0104',0,'','project3',8.72,21.73,67.01,0,0,0),(154,1336001,'emmyUser3','emmy',2,1596463919,3331,'e0103|e0102',0,'','project3',8.65,22.71,69.5,0,0,0),(155,1336002,'emmyUser3','emmy',2,1596464430,3343,'e0101|e1124',0,'','project3',8.81,22.61,69.5,0,0,0),(156,1336003,'emmyUser3','emmy',2,1596464458,3342,'e1123|e1119',0,'','project3',9.01,22.73,69.09,0,0,0),(157,1336004,'emmyUser3','emmy',2,1596464606,3338,'e1017|e1012',0,'','project3',8.85,22.74,68.88,0,0,0),(158,1336036,'emmyUser3','emmy',2,1596466772,2741,'e0641|e0640',0,'','project3',7.07,22.19,72.61,0,0,0),(159,1336006,'emmyUser3','emmy',2,1596466835,3203,'e0108|e0106',0,'','project3',7.68,22.42,70.52,0,0,0),(160,1336007,'emmyUser3','emmy',2,1596467117,3329,'e1113|e1103',0,'','project3',7.73,21.97,69.9,0,0,0),(161,1336008,'emmyUser3','emmy',2,1596467251,3335,'e0105|e0104',0,'','project3',7.64,21.83,69.8,0,0,0),(162,1336009,'emmyUser3','emmy',2,1596467795,3332,'e0101|e1124',0,'','project3',7.65,22.14,72.08,0,0,0),(163,1336010,'emmyUser3','emmy',2,1596467801,3328,'e1123|e1119',0,'','project3',7.8,22.1,71.29,0,0,0),(164,1336011,'emmyUser3','emmy',2,1596467946,3337,'e1017|e1012',0,'','project3',7.57,21.81,72.24,0,0,0),(165,1336015,'emmyUser3','emmy',2,1596470039,2154,'e0108|e0107',0,'','project3',7.04,21.69,72.65,0,0,0),(166,1336016,'emmyUser3','emmy',2,1596470447,2375,'e0106|e0102',0,'','project3',7.13,21.18,68.56,0,0,0),(167,1336017,'emmyUser3','emmy',2,1596470588,2383,'e0105|e0104',0,'','project3',7.13,22.28,72.39,0,0,0),(168,1336018,'emmyUser3','emmy',2,1596471128,2547,'e0101|e1124',0,'','project3',7.16,21.9,71.24,0,0,0),(169,1336019,'emmyUser3','emmy',2,1596471134,2595,'e1123|e1119',0,'','project3',7.27,23,74.57,0,0,0),(170,1336020,'emmyUser3','emmy',2,1596471284,2813,'e0103|e1017',0,'','project3',7.32,22.28,71.84,0,0,0),(171,1335848,'emmyUser2','emmy',4,1596474546,757,'e0418|e0405|e0404|e0401',0,'','project2',5.19,79.32,40.43,0,0,0),(172,1336085,'emmyUser3','emmy',2,1596476633,1908,'e0108|e0107',0,'','project3',7.47,22.92,68.85,0,0,0),(173,1336086,'emmyUser3','emmy',2,1596476642,2321,'e0106|e0105',0,'','project3',7.79,22.33,67.85,0,0,0),(174,1336064,'emmyUser2','emmy',4,1596479379,338,'e0710|e0709|e0704|e0703',0,'','project2',5,67.27,35.48,0,0,0),(175,1336087,'emmyUser3','emmy',2,1596476651,3324,'e0104|e0103',0,'','project3',7.56,23.91,71.96,0,0,0),(176,1336088,'emmyUser3','emmy',2,1596476659,3325,'e0102|e0101',0,'','project3',7.6,22.99,70.36,0,0,0),(177,1336089,'emmyUser3','emmy',2,1596476669,3337,'e0234|e0233',0,'','project3',7.66,22.76,69.27,0,0,0),(178,1336056,'emmyUser2','emmy',4,1596477770,2289,'e0828|e0648|e0647|e0640',0,'','project2',5.22,83.47,39.75,0,0,0),(179,1336090,'emmyUser3','emmy',2,1596477109,3334,'e0154|e0109',0,'','project3',8.23,23.57,71,0,0,0),(180,1336067,'emmyUser2','emmy',4,1596480061,425,'e0828|e0703|e0648|e0647',0,'','project2',3.9,77.77,37.78,0,0,0),(181,1336063,'emmyUser2','emmy',4,1596479379,1141,'e0717|e0714|e0713|e0711',0,'','project2',5.09,84.36,40.38,0,0,0),(182,1336093,'emmyUser3','emmy',4,1596478398,2302,'e0933|e0932|e0931|e0930',0,'','project3',7.19,22.96,69.37,0,0,0),(183,1336066,'emmyUser2','emmy',4,1596479380,1404,'e0433|e0432|e0431|e0430',0,'','project2',5.42,78.25,42.47,0,0,0),(184,1336069,'emmyUser2','emmy',4,1596480445,343,'e0640|e0234|e0233|e0154',0,'','project2',7.22,69,36.7,0,0,0),(185,1336072,'emmyUser2','emmy',4,1596480701,369,'e0933|e0932|e0931|e0930',0,'','project2',4.29,74.22,40.74,0,0,0),(186,1336073,'emmyUser2','emmy',4,1596480785,312,'e0433|e0432|e0431|e0430',0,'','project2',5.16,61.59,31.97,0,0,0),(187,1336091,'emmyUser3','emmy',2,1596477770,3339,'e0836|e0835',0,'','project3',7.62,22.51,69.31,0,0,0),(188,1336070,'emmyUser2','emmy',4,1596480487,1323,'e0828|e0703|e0648|e0647',0,'','project2',7.71,78.22,39.17,0,0,0),(189,1336071,'emmyUser2','emmy',4,1596480521,1667,'e0717|e0714|e0713|e0711',0,'','project2',5.02,77.9,36.69,0,0,0),(190,1336101,'emmyUser3','emmy',2,1596481811,3335,'e0648|e0647',0,'','project3',7.75,24.11,67.95,0,0,0),(191,1336102,'emmyUser3','emmy',2,1596481886,3332,'e0828|e0703',0,'','project3',8.08,23.87,68.56,0,0,0),(192,1336103,'emmyUser3','emmy',2,1596481967,3333,'e0707|e0706',0,'','project3',7.83,23.51,67.01,0,0,0),(193,1336106,'emmyUser3','emmy',2,1596481968,3334,'e0505|e0504',0,'','project3',8.16,23.56,66.96,0,0,0),(194,1336105,'emmyUser3','emmy',2,1596481967,3335,'e0525|e0523',0,'','project3',8.12,23.73,67.79,0,0,0),(195,1336104,'emmyUser3','emmy',2,1596481967,3339,'e0705|e0702',0,'','project3',7.9,23.51,67.25,0,0,0),(196,1336107,'emmyUser3','emmy',2,1596482009,3337,'e0452|e0326',0,'','project3',8.14,24.04,68.69,0,0,0),(197,1336130,'emmyUser5','emmy',8,1596489038,267,'e0745|e0743|e0720|e0719|e0614|e0238|e0237|e0236',0,'','project5',16.37,0.43,0.94,0,0,0),(198,1335938,'emmyUser2','emmy',4,1596474547,15216,'e0347|e0346|e0345|e0235',0,'','project2',5.32,78.69,40.63,0,0,0),(199,1336128,'emmyUser5','emmy',2,1596488705,1836,'e0137|e0105',0,'','project5',60,0,2.95,0,0,0),(200,1336133,'emmyUser5','emmy',32,1596490793,294,'e0105|e1024|e1023|e0927|e0825|e0824|e0815|e0814|e0552|e0544|e0543|e0541|e0539|e0527|e0517|e0429|e0406|e0347|e0346|e0345|e0339|e0243|e0238|e0237|e0236|e0235|e0223|e0218|e0216|e0146|e0145|e0142',0,'','project5',9.07,0.05,0.46,0,0,0),(201,1336131,'emmyUser5','emmy',16,1596491088,279,'e0105|e1024|e1023|e0927|e0825|e0824|e0815|e0814|e0552|e0544|e0543|e0541|e0539|e0527|e0517|e0508',0,'','project5',9.07,0,0.47,0,0,0),(202,1336005,'emmyUser2','emmy',4,1596475304,20892,'e0418|e0405|e0404|e0401',0,'','project2',5.55,77.75,45.15,0,0,0),(203,1336137,'emmyUser2','emmy',4,1596492863,15112,'e0235|e0226|e0223|e0218',0,'','project2',5.33,79.09,41.15,0,0,0),(204,1336116,'emmyUser2','emmy',4,1596486497,25315,'e0402|e0326|e0322|e0321',0,'','project2',6.48,84.57,42.28,0,0,0),(205,1336114,'emmyUser2','emmy',4,1596486496,31244,'e0531|e0513|e0503|e0452',0,'','project2',6.56,89.29,38.68,0,0,0),(206,1336148,'emmyUser2','emmy',4,1596507973,15140,'e0712|e0651|e0623|e0619',0,'','project2',5.23,78.7,40.91,0,0,0),(207,1336146,'emmyUser2','emmy',4,1596502671,20829,'e1124|e1123|e1119|e1017',0,'','project2',5.59,77.55,45.24,0,0,0),(208,1336115,'emmyUser2','emmy',4,1596486496,40678,'e0413|e0410|e0409|e0408',0,'','project2',6.31,84.82,42.69,0,0,0),(209,1336174,'emmyUser3','emmy',4,1596526389,1631,'e0107|e0106|e0105|e0104',0,'','project3',6.16,22.19,62.74,0,0,0),(210,1336181,'emmyUser3','emmy',4,1596526505,1623,'e0103|e0102|e0928|e0331',0,'','project3',6.25,22.44,62.71,0,0,0),(211,1336182,'emmyUser3','emmy',4,1596526575,1626,'e0101|e0929|e0330|e0329',0,'','project3',6.29,22.64,63.19,0,0,0),(212,1336156,'emmyUser2','emmy',4,1596521471,8283,'e0851|e0811|e0810|e0809',0,'','project2',10.72,61.12,36.56,0,0,0),(213,1336207,'emmyUser3','emmy',4,1596529755,927,'e0851|e0811|e0810|e0809',0,'','project3',6.58,21.07,60.81,0,0,0),(214,1336220,'emmyUser3','emmy',4,1596531332,891,'e0106|e0105|e0104|e0103',0,'','project3',6.64,21.41,62.25,0,0,0),(215,1336208,'emmyUser3','emmy',2,1596529329,3336,'e0142|e0119',0,'','project3',7.78,22.58,71.06,0,0,0),(216,1336209,'emmyUser3','emmy',2,1596529949,3122,'e0108|e0101',0,'','project3',7.66,21.89,68.2,0,0,0),(217,1336211,'emmyUser3','emmy',2,1596529949,3334,'e0929|e0220',0,'','project3',7.73,21.95,69.19,0,0,0),(218,1336212,'emmyUser3','emmy',2,1596529950,3338,'e0216|e0146',0,'','project3',7.79,22.34,69.83,0,0,0),(219,1336214,'emmyUser3','emmy',2,1596530019,3336,'e0409|e0408',0,'','project3',7.77,22.56,70.45,0,0,0),(220,1336213,'emmyUser3','emmy',2,1596530019,3338,'e0413|e0410',0,'','project3',7.69,22.79,70.17,0,0,0),(221,1336119,'emmyUser2','emmy',4,1596492863,41424,'e0240|e0238|e0237|e0236',0,'','project2',6.21,89.28,38.51,0,0,0),(222,1336227,'emmyUser3','emmy',2,1596533565,3034,'e0108|e0107',0,'','project3',10.32,21.93,70.14,0,0,0),(223,1336228,'emmyUser3','emmy',2,1596533575,3335,'e0106|e0105',0,'','project3',10.75,21.74,70.36,0,0,0),(224,1336229,'emmyUser3','emmy',2,1596533585,3345,'e0104|e0103',0,'','project3',10.43,21.53,70.58,0,0,0),(225,1336230,'emmyUser3','emmy',2,1596533600,3347,'e0102|e0101',0,'','project3',9.98,22.25,69.86,0,0,0),(226,1336232,'emmyUser3','emmy',2,1596533846,3334,'e0327|e0119',0,'','project3',10.02,22.38,69.23,0,0,0),(227,1336236,'emmyUser3','emmy',2,1596534119,3340,'e0436|e0428',0,'','project3',10.03,22.17,69.49,0,0,0),(228,1336234,'emmyUser3','emmy',2,1596534119,3340,'e0439|e0438',0,'','project3',10.08,22.01,69.24,0,0,0),(229,1336163,'emmyUser2','emmy',4,1596524552,15038,'e1024|e1023|e0927|e0825',0,'','project2',5.58,79.75,41.62,0,0,0),(230,1336159,'emmyUser2','emmy',4,1596521780,23597,'e0403|e0215|e0132|e0130',0,'','project2',6.25,84.42,42.79,0,0,0),(231,1336165,'emmyUser2','emmy',4,1596524581,20900,'e0841|e0824|e0815|e0804',0,'','project2',5.37,77.53,45.07,0,0,0),(232,1336113,'emmyUser2','emmy',4,1596485393,60195,'e0916|e0914|e0901|e0852',0,'','project2',6.59,89.01,43.14,0,0,0),(233,1336331,'emmyUser3','emmy',2,1596546998,3334,'e0107|e0106',0,'','project3',7.94,23.59,68.26,0,0,0),(234,1336332,'emmyUser3','emmy',2,1596547008,3335,'e0105|e0104',0,'','project3',9.53,22.72,65.44,0,0,0),(235,1336333,'emmyUser3','emmy',2,1596547015,3335,'e0103|e0102',0,'','project3',7.98,23.27,67.75,0,0,0),(236,1336336,'emmyUser3','emmy',2,1596547207,3331,'e0235|e0229',0,'','project3',8.07,24.35,69.01,0,0,0),(237,1336338,'emmyUser3','emmy',2,1596547207,3335,'e0226|e0223',0,'','project3',8.06,24.18,68.94,0,0,0),(238,1336335,'emmyUser3','emmy',2,1596547207,3338,'e0345|e0339',0,'','project3',8.04,24.2,68.32,0,0,0),(239,1336334,'emmyUser3','emmy',2,1596547206,3340,'e0347|e0346',0,'','project3',8.06,24.18,69.28,0,0,0),(240,1336350,'emmyUser3','emmy',2,1596550333,3339,'e0108|e0107',0,'','project3',10.84,24.46,69.55,0,0,0),(241,1336354,'emmyUser3','emmy',2,1596550352,3341,'e0104|e0103',0,'','project3',10.94,23.6,67.78,0,0,0),(242,1336352,'emmyUser3','emmy',2,1596550344,3351,'e0106|e0105',0,'','project3',11.31,23.51,67.3,0,0,0),(243,1336359,'emmyUser3','emmy',2,1596550543,3338,'e0235|e0229',0,'','project3',10.45,24.32,69.64,0,0,0),(244,1336357,'emmyUser3','emmy',2,1596550546,3338,'e0345|e0339',0,'','project3',10.57,23.63,67.69,0,0,0),(245,1336356,'emmyUser3','emmy',2,1596550547,3337,'e0347|e0346',0,'','project3',10.57,23.47,68.24,0,0,0),(246,1336358,'emmyUser3','emmy',2,1596550539,3347,'e0102|e0101',0,'','project3',10.43,24.06,68.81,0,0,0),(247,1336385,'emmyUser3','emmy',2,1596551096,2997,'e0739|e0735',0,'','project3',7.66,22.55,70.34,0,0,0),(248,1336383,'emmyUser3','emmy',2,1596550874,3333,'e0743|e0740',0,'','project3',7.7,22.38,69.89,0,0,0),(249,1336111,'emmyUser2','emmy',4,1596485392,71040,'e1131|e1120|e1116|e1102',0,'','project2',6.51,85.01,42.64,0,0,0),(250,1336405,'emmyUser3','emmy',4,1596553880,3338,'e0108|e0107|e0106|e0105',0,'','project3',7.72,22.48,67.99,0,0,0),(251,1336406,'emmyUser3','emmy',4,1596553906,3340,'e0104|e0103|e0102|e0101',0,'','project3',7.54,22.53,68.65,0,0,0),(252,1336157,'emmyUser2','emmy',4,1596521659,36951,'e0636|e0622|e0617|e0616',0,'','project2',6.02,88.14,38.21,0,0,0),(253,1336117,'emmyUser2','emmy',4,1596492862,65816,'e0328|e0324|e0323|e0310',0,'','project2',6.29,88.76,38.53,0,0,0),(254,1336413,'emmyUser2','emmy',4,1596558676,4885,'e1131|e1120|e1116|e1102',0,'','project2',6.04,86.62,37.59,0,0,0),(255,1336297,'emmyUser2','emmy',4,1596555689,15138,'e0131|e0123|e0122|e0113',0,'','project2',5.34,79.62,41.08,0,0,0),(256,1336112,'emmyUser2','emmy',4,1596485392,86426,'e1101|e1019|e1018|e0949',0,'','project2',10.46,89.3,38.65,0,0,0),(257,1336118,'emmyUser2','emmy',4,1596492862,79000,'e0252|e0251|e0250|e0243',0,'','project2',6.45,90.58,39.21,0,0,0),(258,1336312,'emmyUser2','emmy',4,1596555789,20968,'e1113|e1112|e1103|e0948',0,'','project2',5.59,77.28,44.97,0,0,0),(259,1336158,'emmyUser2','emmy',4,1596521732,86441,'e0450|e0429|e0420|e0406',0,'','project2',6.5,90.02,38.93,0,0,0),(260,1336491,'emmyUser2','emmy',4,1596602788,6772,'e0920|e0919|e0918|e0805',0,'','project2',6.05,88.57,38.98,0,0,0),(261,1336412,'emmyUser2','emmy',4,1596556429,56113,'e0347|e0346|e0345|e0152',0,'','project2',6.42,84.99,42.66,0,0,0),(262,1336483,'emmyUser2','emmy',4,1596602787,15189,'e1012|e1007|e0951|e0921',0,'','project2',5.39,78.87,40.99,0,0,0),(263,1336495,'emmyUser2','emmy',4,1596602788,20854,'e0750|e0749|e0748|e0747',0,'','project2',5.36,77.3,45,0,0,0),(264,1336563,'emmyUser2','emmy',4,1596620499,15131,'e0305|e0234|e0233|e0218',0,'','project2',5.32,79.12,41.15,0,0,0),(265,1336723,'emmyUser3','emmy',4,1596639544,3139,'e0642|e0634|e0629|e0627',0,'','project3',11.24,21.47,68.05,0,0,0),(266,1336722,'emmyUser3','emmy',4,1596639531,3166,'e0105|e0101|e0724|e0718',0,'','project3',11.1,21.04,67.01,0,0,0),(267,1336724,'emmyUser3','emmy',4,1596639556,3202,'e0626|e0622|e0620|e0618',0,'','project3',11.97,21.12,66.94,0,0,0),(268,1336744,'emmyUser3','emmy',8,1596642685,2678,'e0107|e0551|e0515|e0509|e0441|e0440|e0433|e0432',0,'','project3',8.38,19.63,60.83,0,0,0),(269,1336745,'emmyUser3','emmy',4,1596642768,2597,'e0105|e0101|e0431|e0724',0,'','project3',13.5,20.77,68.85,0,0,0),(270,1336750,'emmyUser3','emmy',2,1596645366,2040,'e0103|e0102',0,'','project3',7.54,21.94,70.63,0,0,0),(271,1336764,'emmyUser3','emmy',4,1596645955,2267,'e0629|e0627|e0626|e0620',0,'','project3',7.75,22.48,68.17,0,0,0),(272,1336748,'emmyUser3','emmy',2,1596645365,3023,'e0108|e0107',0,'','project3',7.59,22.52,71.09,0,0,0),(273,1336751,'emmyUser3','emmy',2,1596645366,3335,'e0551|e0515',0,'','project3',7.74,21.74,70.71,0,0,0),(274,1336753,'emmyUser3','emmy',2,1596645367,3335,'e0509|e0441',0,'','project3',7.77,22.14,72.07,0,0,0),(275,1336752,'emmyUser3','emmy',2,1596645367,3336,'e0105|e0101',0,'','project3',7.65,21.65,72.4,0,0,0),(276,1336749,'emmyUser3','emmy',2,1596645365,3350,'e0106|e0104',0,'','project3',7.61,21.65,69.74,0,0,0),(277,1336754,'emmyUser3','emmy',2,1596645367,3362,'e0440|e0433',0,'','project3',7.87,21.83,73.03,0,0,0),(278,1336758,'emmyUser3','emmy',2,1596647407,3335,'e0103|e0102',0,'','project3',7.58,23.6,71.51,0,0,0),(279,1336766,'emmyUser3','emmy',4,1596648223,3335,'e0629|e0627|e0626|e0620',0,'','project3',7.57,22.04,68.31,0,0,0),(280,1336756,'emmyUser3','emmy',2,1596648389,3332,'e0108|e0107',0,'','project3',7.63,23.37,70.19,0,0,0),(281,1336761,'emmyUser3','emmy',2,1596648703,3333,'e0509|e0441',0,'','project3',7.93,23.33,71.11,0,0,0),(282,1336759,'emmyUser3','emmy',2,1596648702,3334,'e0551|e0515',0,'','project3',7.91,22.94,70.17,0,0,0),(283,1336760,'emmyUser3','emmy',2,1596648704,3335,'e0105|e0101',0,'','project3',7.94,23.26,70.87,0,0,0),(284,1336757,'emmyUser3','emmy',2,1596648716,3332,'e0106|e0104',0,'','project3',7.78,22.82,69.56,0,0,0),(285,1336762,'emmyUser3','emmy',2,1596648730,3339,'e0440|e0433',0,'','project3',7.98,23.55,71.9,0,0,0),(286,1336787,'emmyUser1','emmy',2,1596651881,194,'e0108|e0107',0,'','project1',2.89,112.57,40.65,0,0,0),(287,1336767,'emmyUser3','emmy',4,1596651559,3331,'e0103|e0102|e0234|e0943',0,'','project3',7.53,22.89,69.62,0,0,0),(288,1336768,'emmyUser3','emmy',4,1596654891,3127,'e0103|e0102|e0234|e0943',0,'','project3',7.49,22.76,68.35,0,0,0),(289,1336799,'emmyUser3','emmy',4,1596656591,3340,'e0922|e0903|e0902|e0451',0,'','project3',7.85,23.36,66.2,0,0,0),(290,1336800,'emmyUser3','emmy',4,1596656604,3345,'e0233|e0218|e0134|e0133',0,'','project3',7.97,23.05,66.6,0,0,0),(291,1336466,'emmyUser3','emmy',16,1596574936,85865,'e0844|e0842|e0639|e0638|e0630|e0604|e0603|e0602|e0542|e0540|e0537|e0536|e0535|e0534|e0533|e0529',0,'','project3',11.46,10.85,21.35,0,0,0),(292,1336769,'emmyUser3','emmy',4,1596658019,3120,'e0103|e0102|e0348|e0338',0,'','project3',7.64,22.85,69.29,0,0,0),(293,1336469,'emmyUser3','emmy',16,1596576360,85884,'e0632|e0424|e0423|e0419|e0349|e0342|e0341|e0340|e0326|e0322|e0321|e0316|e0225|e0141|e0118|e0111',0,'','project3',11.4,10.66,20.86,0,0,0),(294,1336470,'emmyUser3','emmy',16,1596576680,85886,'e0828|e0707|e0706|e0705|e0703|e0702|e0648|e0647|e0525|e0523|e0521|e0520|e0519|e0517|e0514|e0512',0,'','project3',11.24,11.36,22.21,0,0,0),(295,1336801,'emmyUser3','emmy',4,1596659932,3345,'e0922|e0903|e0902|e0451',0,'','project3',8.04,22.89,65.57,0,0,0),(296,1336802,'emmyUser3','emmy',4,1596659950,3331,'e0350|e0240|e0239|e0234',0,'','project3',8.09,23.79,67.34,0,0,0),(297,1336770,'emmyUser3','emmy',4,1596661140,2899,'e0103|e0102|e0348|e0338',0,'','project3',7.48,23.25,69.34,0,0,0),(298,1336846,'emmyUser1','emmy',2,1596663996,97,'e1131|e1128',0,'','project1',3.07,59.28,5.44,0,0,0),(299,1336478,'emmyUser3','emmy',16,1596578435,85852,'e0834|e0829|e0628|e0624|e0615|e0611|e0610|e0608|e0607|e0606|e0605|e0601|e0505|e0504|e0446|e0426',0,'','project3',10.05,17.33,30.23,0,0,0),(300,1336479,'emmyUser3','emmy',16,1596578850,85852,'e0814|e0745|e0733|e0720|e0614|e0613|e0552|e0407|e0331|e0330|e0329|e0139|e0138|e0137|e0136|e0135',0,'','project3',15.78,17.2,30,0,0,0),(301,1336855,'emmyUser1','emmy',8,1596666503,340,'e1004|e1003|e0936|e0915|e0839|e0831|e0950|e0937',0,'','project1',60.11,82.07,27.2,0,0,0),(302,1336771,'emmyUser3','emmy',4,1596664040,2865,'e0103|e0102|e0348|e0338',0,'','project3',7.48,23.11,69.27,0,0,0),(303,1336676,'emmyUser3','emmy',16,1596665084,4255,'e1132|e1129|e1121|e1113|e1112|e1103|e1024|e1023|e1022|e1009|e0432|e0431|e0354|e0353|e0150|e0135',0,'','project3',10.81,11.36,22.47,0,0,0),(304,1336805,'emmyUser3','emmy',4,1596666619,3342,'e0922|e0903|e0902|e0451',0,'','project3',7.78,24.09,67.59,0,0,0),(305,1336853,'emmyUser1','emmy',8,1596666135,6061,'e1124|e1123|e1119|e1026|e1025|e1017|e1011|e1010',0,'','project1',53.35,268.44,35.28,0,0,0),(306,1336820,'emmyUser3','emmy',8,1596669962,3348,'e0103|e0102|e0922|e0903|e0902|e0451|e0132|e0952',0,'','project3',8.11,23.18,67,0,0,0),(307,1336822,'emmyUser3','emmy',8,1596673311,3350,'e0103|e0102|e0922|e0903|e0902|e0451|e0340|e0326',0,'','project3',8.2,23.16,66.73,0,0,0),(308,1336582,'emmyUser2','emmy',4,1596623125,73346,'e0923|e0912|e0547|e0544',0,'','project2',6.31,88.56,38.44,0,0,0),(309,1336837,'emmyUser2','emmy',2,1596703445,1472,'e0310|e0242',0,'','project2',5.85,92.25,47.72,0,0,0),(310,1336835,'emmyUser2','emmy',2,1596703433,1771,'e0655|e0654',0,'','project2',5.55,108.45,42.01,0,0,0),(311,1336833,'emmyUser2','emmy',2,1596703432,1941,'e0739|e0738',0,'','project2',5.75,95.85,50.11,0,0,0),(312,1336695,'emmyUser2','emmy',4,1596690406,15138,'e1005|e0916|e0914|e0901',0,'','project2',5.35,78.79,41.04,0,0,0),(313,1336834,'emmyUser2','emmy',2,1596703433,2226,'e0701|e0656',0,'','project2',6.16,95.51,49.67,0,0,0),(314,1336838,'emmyUser2','emmy',2,1596705208,1904,'e0655|e0654',0,'','project2',5.6,95.12,49.59,0,0,0),(315,1336579,'emmyUser2','emmy',4,1596621808,86449,'e0934|e0911|e0909|e0830',0,'','project2',6.29,90.06,38.94,0,0,0),(316,1336580,'emmyUser2','emmy',4,1596622114,86445,'e0311|e0309|e0237|e0236',0,'','project2',6.39,89.37,38.71,0,0,0),(317,1336595,'emmyUser2','emmy',4,1596688082,20870,'e0442|e0335|e0334|e0319',0,'','project2',5.58,77.82,45.17,0,0,0),(318,1336832,'emmyUser2','emmy',2,1596703432,6089,'e0741|e0740',0,'','project2',6.83,110.51,42.46,0,0,0),(319,1336849,'emmyUser2','emmy',2,1596705663,4806,'e0701|e0656',0,'','project2',6.77,113.01,43.48,0,0,0),(320,1336842,'emmyUser2','emmy',2,1596705377,5108,'e0739|e0738',0,'','project2',6.95,114.19,43.37,0,0,0),(321,1336850,'emmyUser2','emmy',2,1596708753,1772,'e0124|e0121',0,'','project2',6.86,94.36,47.93,0,0,0),(322,1336911,'emmyUser2','emmy',4,1596705547,15110,'e1005|e0916|e0914|e0901',0,'','project2',5.36,79.26,40.94,0,0,0),(323,1336907,'emmyUser2','emmy',2,1596724656,1478,'e0115|e0113',0,'','project2',6.81,90.01,46.62,0,0,0),(324,1336909,'emmyUser2','emmy',2,1596727324,724,'e0115|e0113',0,'','project2',5.67,102.55,38.88,0,0,0),(325,1337040,'emmyUser3','emmy',2,1596728928,2358,'e0102|e0101',0,'','project3',7.57,22.49,67.41,0,0,0),(326,1337038,'emmyUser3','emmy',2,1596728909,2958,'e0106|e0105',0,'','project3',7.54,22.44,67.15,0,0,0),(327,1337039,'emmyUser3','emmy',2,1596728919,3332,'e0104|e0103',0,'','project3',7.46,22.62,67.57,0,0,0),(328,1337041,'emmyUser3','emmy',2,1596728939,3335,'e0918|e0912',0,'','project3',7.88,22.7,69.48,0,0,0),(329,1337043,'emmyUser3','emmy',2,1596728956,3325,'e0803|e0802',0,'','project3',7.62,23.24,69.77,0,0,0),(330,1337042,'emmyUser3','emmy',2,1596728947,3339,'e0816|e0805',0,'','project3',7.62,23.06,70.11,0,0,0),(331,1337044,'emmyUser3','emmy',2,1596728966,3333,'e0801|e0547',0,'','project3',7.79,23.28,71.54,0,0,0),(332,1337125,'emmyUser3','emmy',2,1596745881,3333,'e0137|e0242',0,'','project3',7.7,23.26,65.91,0,0,0),(333,1336677,'emmyUser3','emmy',16,1596667115,85863,'e1105|e1104|e1032|e1031|e1020|e1016|e1015|e1014|e1004|e1003|e1001|e0936|e0917|e0915|e0908|e0907',0,'','project3',10.55,17.65,31.48,0,0,0),(334,1336683,'emmyUser3','emmy',16,1596667115,85891,'e0905|e0840|e0839|e0831|e0450|e0429|e0420|e0406|e0350|e0348|e0338|e0240|e0239|e0234|e0227|e0112',0,'','project3',10.98,11.02,21.58,0,0,0),(335,1337126,'emmyUser3','emmy',2,1596749745,3330,'e0544|e0516',0,'','project3',8.04,23.74,68.38,0,0,0),(336,1337128,'emmyUser3','emmy',2,1596749746,3331,'e0438|e0416',0,'','project3',8.12,23.87,69.32,0,0,0),(337,1337129,'emmyUser3','emmy',2,1596749746,3334,'e0411|e0356',0,'','project3',7.99,23.96,68.83,0,0,0),(338,1337130,'emmyUser3','emmy',2,1596749746,3336,'e0355|e0339',0,'','project3',8.1,23.63,67.79,0,0,0),(339,1337127,'emmyUser3','emmy',2,1596749745,3338,'e0512|e0441',0,'','project3',8.02,23.89,69.24,0,0,0),(340,1337133,'emmyUser3','emmy',2,1596749787,3336,'e0251|e0137',0,'','project3',7.63,22.73,67.25,0,0,0),(341,1337132,'emmyUser3','emmy',2,1596749787,3341,'e0310|e0252',0,'','project3',8.2,23.79,68.95,0,0,0),(342,1336684,'emmyUser3','emmy',16,1596669341,85846,'e1132|e1129|e1121|e1113|e1112|e1103|e1024|e1023|e1022|e1009|e0432|e0431|e0354|e0353|e0150|e0135',0,'','project3',9.83,17.11,29.8,0,0,0),(343,1337134,'emmyUser3','emmy',2,1596753076,3329,'e0544|e0516',0,'','project3',7.91,23.05,70.03,0,0,0),(344,1337136,'emmyUser3','emmy',2,1596753079,3327,'e0438|e0416',0,'','project3',8.14,23.1,68.74,0,0,0),(345,1337137,'emmyUser3','emmy',2,1596753081,3326,'e0411|e0356',0,'','project3',7.85,23.59,71.51,0,0,0),(346,1337135,'emmyUser3','emmy',2,1596753084,3327,'e0512|e0441',0,'','project3',7.9,23.47,70.62,0,0,0),(347,1337138,'emmyUser3','emmy',2,1596753083,3330,'e0355|e0339',0,'','project3',8.02,23.06,70.01,0,0,0),(348,1337139,'emmyUser3','emmy',2,1596753129,3337,'e0310|e0252',0,'','project3',8.06,23.68,71.63,0,0,0),(349,1336692,'emmyUser3','emmy',16,1596672529,85851,'e1125|e1101|e1025|e1021|e1019|e1018|e1017|e1011|e1010|e0913|e0838|e0828|e0808|e0806|e0525|e0523',0,'','project3',10.63,12.13,23.68,0,0,0),(350,1337045,'emmyUser2','emmy',4,1596757148,1300,'e0927|e0827|e0825|e0510',0,'','project2',5.25,81.66,38.72,0,0,0),(351,1337036,'emmyUser2','emmy',4,1596756987,1684,'e0250|e0244|e0242|e0218',0,'','project2',5.43,79.31,42.03,0,0,0),(352,1336693,'emmyUser3','emmy',16,1596673085,85871,'e1115|e1114|e0807|e0550|e0538|e0521|e0520|e0519|e0517|e0514|e0424|e0423|e0419|e0349|e0342|e0341',0,'','project3',9.22,16.49,29.66,0,0,0),(353,1336698,'emmyUser3','emmy',16,1596676662,85863,'e0922|e0903|e0902|e0451|e0340|e0326|e0322|e0321|e0316|e0235|e0229|e0225|e0148|e0147|e0144|e0143',0,'','project3',10.89,11.16,22.23,0,0,0),(354,1336699,'emmyUser3','emmy',16,1596676679,85859,'e1012|e1007|e0921|e0906|e0843|e0317|e0313|e0308|e0141|e0132|e0125|e0120|e0118|e0117|e0114|e0111',0,'','project3',9.12,16.53,29.88,0,0,0),(355,1336873,'emmyUser2','emmy',4,1596703433,62471,'e0705|e0704|e0703|e0702',0,'','project2',6.11,88.96,38.67,0,0,0),(356,1337172,'emmyUser6','emmy',8,1596765786,750,'e0803|e0802|e0801|e0547|e0545|e0539|e0528|e0527',0,'','project6',11.87,0,0.4,0,0,0),(357,1337173,'emmyUser6','emmy',4,1596766376,762,'e0344|e0343|e0328|e0324',0,'','project6',12.64,0,0.44,0,0,0),(358,1337171,'emmyUser6','emmy',8,1596764565,3660,'e0108|e0107|e0106|e0105|e0104|e0103|e0102|e0101',0,'','project6',19,244.07,58.3,0,0,0),(359,1337177,'emmyUser6','emmy',8,1596773195,746,'e0416|e0401|e0335|e0334|e0323|e0319|e0155|e0134',0,'','project6',12.18,0,0.15,0,0,0),(360,1336702,'emmyUser3','emmy',16,1596690406,85867,'e0531|e0518|e0452|e0413|e0410|e0409|e0408|e0315|e0306|e0249|e0232|e0154|e0145|e0131|e0123|e0122',0,'','project3',11,16.78,30.96,0,0,0),(361,1336706,'emmyUser3','emmy',16,1596703432,85862,'e0737|e0736|e0735|e0734|e0733|e0732|e0731|e0730|e0729|e0728|e0727|e0726|e0725|e0724|e0723|e0722',0,'','project3',9.57,16.02,28.54,0,0,0),(362,1336707,'emmyUser3','emmy',16,1596703432,85869,'e0721|e0720|e0719|e0718|e0717|e0716|e0715|e0714|e0713|e0712|e0711|e0710|e0709|e0708|e0707|e0706',0,'','project3',9.84,16.05,28.84,0,0,0),(363,1337151,'emmyUser2','emmy',4,1596758382,37120,'e0828|e0808|e0806|e0525',0,'','project2',12.14,89.26,38.59,0,0,0),(364,1337062,'emmyUser2','emmy',4,1596758381,38842,'e1021|e1019|e1018|e1017',0,'','project2',6.46,84.14,38.13,0,0,0),(365,1337186,'emmyUser2','emmy',4,1596810638,2038,'e0632|e0631|e0630|e0629',0,'','project2',9.82,58.75,33.18,0,0,0),(366,1337396,'emmyUser6','emmy',8,1596824695,3637,'e0744|e0743|e0742|e0741|e0740|e0739|e0738|e0737',0,'','project6',18.7,33.07,8.1,0,0,0),(367,1337188,'emmyUser2','emmy',4,1596810639,23273,'e0628|e0627|e0626|e0625',0,'','project2',6.53,88.31,42.58,0,0,0),(368,1337400,'emmyUser6','emmy',4,1596831264,3623,'e0739|e0738|e0737|e0351',0,'','project6',18.39,55.79,13.56,0,0,0),(369,1337149,'emmyUser2','emmy',4,1596758382,78028,'e1011|e1010|e0913|e0838',0,'','project2',7.78,90,38.88,0,0,0),(370,1337419,'emmyUser2','emmy',4,1596852879,29382,'e0803|e0802|e0801|e0602',0,'','project2',6.29,82.85,37.66,0,0,0),(371,1337473,'emmyUser2','emmy',4,1596893203,3793,'e0222|e0142|e0139|e0129',0,'','project2',6.21,82.45,37.54,0,0,0),(372,1337488,'emmyUser1','emmy',2,1596890960,6701,'e0714|e0713',0,'','project1',15.96,171.69,6.32,0,0,0),(373,1337487,'emmyUser1','emmy',2,1596890960,7867,'e0726|e0725',0,'','project1',16.52,218.08,9.24,0,0,0),(374,1337428,'emmyUser2','emmy',4,1596872636,26342,'e0438|e0435|e0416|e0413',0,'','project2',6.4,83.2,37.93,0,0,0),(375,1337486,'emmyUser1','emmy',2,1596890960,8019,'e0728|e0727',0,'','project1',16.32,202.99,9.24,0,0,0),(376,1337516,'emmyUser1','emmy',2,1596915284,1143,'e1120|e1116',0,'','project1',6.08,192.79,8.79,0,0,0),(377,1337403,'emmyUser2','emmy',4,1596845856,70708,'e0503|e0501|e0452|e0442',0,'','project2',9.93,90.19,38.86,0,0,0),(378,1337528,'emmyUser1','emmy',2,1596916880,1720,'e0901|e0816',0,'','project1',6.22,185.41,8.29,0,0,0),(379,1337517,'emmyUser1','emmy',2,1596915301,7660,'e1110|e1107',0,'','project1',16.61,190.22,8.33,0,0,0),(380,1337500,'emmyUser2','emmy',4,1596898976,24194,'e0952|e0951|e0950|e0949',0,'','project2',6.26,82.94,37.76,0,0,0),(381,1337518,'emmyUser1','emmy',2,1596915316,7937,'e1106|e1102',0,'','project1',16.72,150.83,7.9,0,0,0),(382,1337532,'emmyUser1','emmy',2,1596921746,1683,'e1131|e1128',0,'','project1',6.39,181.02,8.33,0,0,0),(383,1337526,'emmyUser2','emmy',4,1596916567,59258,'e0712|e0711|e0710|e0709',0,'','project2',6.19,90.3,39.07,0,0,0),(384,1337541,'emmyUser2','emmy',4,1596926473,57886,'e0816|e0815|e0813|e0812',0,'','project2',6.34,89.59,38.62,0,0,0),(385,1337650,'emmyUser1','emmy',2,1596974559,10901,'e0542|e0250',0,'','project1',22.11,20.28,44.37,0,0,0),(386,1337642,'emmyUser1','emmy',2,1596974511,11772,'e0607|e0606',0,'','project1',22.01,24.21,62.48,0,0,0),(387,1337657,'emmyUser2','emmy',4,1596975826,11608,'e0712|e0711|e0710|e0709',0,'','project2',6.01,89.54,38.42,0,0,0),(388,1337644,'emmyUser1','emmy',2,1596974523,12955,'e0603|e0602',0,'','project1',22.11,24.02,64.35,0,0,0),(389,1337648,'emmyUser1','emmy',2,1596974547,12934,'e0546|e0545',0,'','project1',22.11,23.91,63.71,0,0,0),(390,1337643,'emmyUser1','emmy',2,1596974517,13181,'e0605|e0604',0,'','project1',22.13,23.75,63.6,0,0,0),(391,1337641,'emmyUser1','emmy',2,1596974499,13215,'e0609|e0608',0,'','project1',21.96,23.69,63.76,0,0,0),(392,1337649,'emmyUser1','emmy',2,1596974553,17704,'e0544|e0543',0,'','project1',22.15,21.92,64.2,0,0,0),(393,1337647,'emmyUser1','emmy',2,1596974546,20531,'e0548|e0547',0,'','project1',22.13,14.87,39.86,0,0,0),(394,1337539,'emmyUser2','emmy',4,1596925220,75594,'e0805|e0804|e0744|e0743',0,'','project2',6.2,89.77,38.77,0,0,0),(395,1337645,'emmyUser1','emmy',2,1596974529,29898,'e0601|e0551',0,'','project1',22.15,13.43,39.33,0,0,0),(396,1337646,'emmyUser1','emmy',2,1596974535,30066,'e0550|e0549',0,'','project1',22.15,13.76,40.26,0,0,0),(397,1337685,'emmyUser2','emmy',4,1597005741,2246,'e0805|e0804|e0744|e0743',0,'','project2',7.77,60.38,33.64,0,0,0),(398,1337664,'emmyUser2','emmy',4,1596984358,57551,'e0145|e0144|e0143|e0142',0,'','project2',6.47,89.74,38.64,0,0,0),(399,1337683,'emmyUser2','emmy',4,1597000811,48659,'e0548|e0547|e0135|e0134',0,'','project2',6.44,89.35,38.53,0,0,0),(400,1337825,'emmyUser1','emmy',2,1597055899,607,'e0110|e0109',0,'','project1',8.99,205,7.73,0,0,0),(401,1337827,'emmyUser1','emmy',2,1597056597,2016,'e0110|e0109',0,'','project1',9.87,236.54,8.75,0,0,0),(402,1337807,'emmyUser1','emmy',2,1597053819,7691,'e0229|e0228',0,'','project1',22.15,29.24,63.59,0,0,0),(403,1337818,'emmyUser1','emmy',2,1597054442,7696,'e0202|e0201',0,'','project1',22.13,28.62,62.37,0,0,0),(404,1337828,'emmyUser1','emmy',2,1597057200,4960,'e0335|e0334',0,'','project1',13.07,231.21,9.1,0,0,0),(405,1337799,'emmyUser1','emmy',2,1597053775,11677,'e0319|e0318',0,'','project1',22,24.63,63.56,0,0,0),(406,1337810,'emmyUser1','emmy',2,1597054400,11627,'e0219|e0218',0,'','project1',22.16,24.56,63.1,0,0,0),(407,1337801,'emmyUser1','emmy',2,1597053787,12859,'e0308|e0307',0,'','project1',22.17,23.92,63.85,0,0,0),(408,1337805,'emmyUser1','emmy',2,1597053811,12919,'e0252|e0251',0,'','project1',21.99,23.68,63.14,0,0,0),(409,1337804,'emmyUser1','emmy',2,1597053805,12935,'e0302|e0301',0,'','project1',21.96,23.72,63.14,0,0,0),(410,1337800,'emmyUser1','emmy',2,1597053781,13158,'e0317|e0316',0,'','project1',22.15,23.72,63.73,0,0,0),(411,1337812,'emmyUser1','emmy',2,1597054412,12837,'e0214|e0213',0,'','project1',22.15,24,63.8,0,0,0),(412,1337815,'emmyUser1','emmy',2,1597054429,12941,'e0208|e0207',0,'','project1',22.15,23.68,63.14,0,0,0),(413,1337809,'emmyUser1','emmy',2,1597054394,13072,'e0221|e0220',0,'','project1',22.17,23.73,63.5,0,0,0),(414,1337811,'emmyUser1','emmy',2,1597054406,13133,'e0216|e0215',0,'','project1',22.17,24.07,63.04,0,0,0),(415,1337826,'emmyUser1','emmy',16,1597056993,13483,'e0405|e0404|e0403|e0402|e0355|e0354|e0353|e0352|e0351|e0350|e0349|e0348|e0156|e0155|e0154|e0153',0,'','project1',30.66,92.82,18.74,0,0,0),(416,1337829,'emmyUser1','emmy',16,1597057146,13494,'e0347|e0346|e0345|e0344|e0343|e0342|e0341|e0340|e0339|e0338|e0337|e0336|e0152|e0151|e0150|e0149',0,'','project1',30.38,93.12,18.8,0,0,0),(417,1337802,'emmyUser1','emmy',2,1597053793,17627,'e0306|e0305',0,'','project1',22.22,21.97,64.11,0,0,0),(418,1337806,'emmyUser1','emmy',2,1597053811,17678,'e0231|e0230',0,'','project1',22.17,21.75,63.53,0,0,0),(419,1337726,'emmyUser2','emmy',4,1597041907,29961,'e1131|e1128|e1008|e1006',0,'','project2',6.31,90.53,39.04,0,0,0),(420,1337777,'emmyUser1','emmy',2,1597051736,20149,'e0917|e0916',0,'','project1',22.53,32.65,62.81,0,0,0),(421,1337814,'emmyUser1','emmy',2,1597054424,17554,'e0210|e0209',0,'','project1',22.17,21.8,63.64,0,0,0),(422,1337817,'emmyUser1','emmy',2,1597054436,17609,'e0204|e0203',0,'','project1',22.17,21.76,63.36,0,0,0),(423,1337813,'emmyUser1','emmy',2,1597054418,17749,'e0212|e0211',0,'','project1',22.06,21.66,63.13,0,0,0),(424,1337779,'emmyUser1','emmy',2,1597052453,20090,'e0904|e0903',0,'','project1',22.5,33.32,63.18,0,0,0),(425,1337798,'emmyUser1','emmy',2,1597053558,21252,'e0321|e0320',0,'','project1',22.02,15.12,40.53,0,0,0),(426,1337816,'emmyUser1','emmy',2,1597054430,20896,'e0206|e0205',0,'','project1',22.16,14.11,37.74,0,0,0),(427,1337803,'emmyUser1','emmy',2,1597053799,24185,'e0304|e0303',0,'','project1',22.12,16.14,46.91,0,0,0),(428,1337754,'emmyUser2','emmy',4,1597049467,34876,'e0617|e0616|e0615|e0614',0,'','project2',6.04,89.24,38.49,0,0,0),(429,1337927,'emmyUser1','emmy',2,1597091565,3655,'e1114|e1107',0,'','project1',22.62,64.61,57.24,0,0,0),(430,1337934,'emmyUser1','emmy',2,1597098531,13289,'e0123|e0122',0,'','project1',22.15,23.76,63.43,0,0,0),(431,1337943,'emmyUser1','emmy',2,1597104243,7743,'e0904|e0903',0,'','project1',22.03,28.86,63.31,0,0,0),(432,1337935,'emmyUser1','emmy',2,1597100491,11745,'e0311|e0310',0,'','project1',22.18,24.71,63.57,0,0,0),(433,1337925,'emmyUser1','emmy',16,1597098473,14343,'e1131|e1128|e1106|e1102|e1008|e1006|e0820|e0819|e0816|e0815|e0315|e0314|e0313|e0312|e0125|e0124',0,'','project1',30.47,87.8,17.72,0,0,0),(434,1337937,'emmyUser1','emmy',2,1597100491,12899,'e0139|e0138',0,'','project1',22.17,23.88,63.77,0,0,0),(435,1337936,'emmyUser1','emmy',2,1597100491,13207,'e0250|e0141',0,'','project1',22.17,23.8,64.01,0,0,0),(436,1337872,'emmyUser2','emmy',4,1597112237,2228,'e0904|e0903|e0311|e0310',0,'','project2',10.19,58.1,34.09,0,0,0),(437,1337887,'emmyUser2','emmy',4,1597112817,1765,'e0313|e0312|e0125|e0124',0,'','project2',16.42,54.85,32.35,0,0,0),(438,1337940,'emmyUser1','emmy',2,1597102675,12986,'e1012|e0930',0,'','project1',22.03,23.74,63.48,0,0,0),(439,1337941,'emmyUser1','emmy',2,1597103962,12960,'e0120|e0119',0,'','project1',22.05,23.76,63.57,0,0,0),(440,1337944,'emmyUser1','emmy',2,1597104243,13179,'e0212|e0211',0,'','project1',22.04,23.66,63.43,0,0,0),(441,1337938,'emmyUser1','emmy',2,1597100496,17718,'e0116|e0115',0,'','project1',22.17,21.89,63.76,0,0,0),(442,1337939,'emmyUser1','emmy',2,1597100496,17743,'e0114|e0113',0,'','project1',22.19,21.88,63.83,0,0,0),(443,1337942,'emmyUser1','emmy',2,1597104243,17787,'e0917|e0916',0,'','project1',22.07,21.84,63.63,0,0,0),(444,1337960,'emmyUser6','emmy',4,1597118479,3661,'e0108|e0107|e0106|e0105',0,'','project6',18.76,53.76,12.69,0,0,0),(445,1338032,'emmyUser1','emmy',2,1597135182,230,'e0107|e0106',0,'','project1',3.2,110.8,44.05,0,0,0),(446,1338053,'emmyUser1','emmy',2,1597140211,332,'e0108|e0107',0,'','project1',5.29,30.24,51.37,0,0,0),(447,1338055,'emmyUser1','emmy',2,1597141241,688,'e1125|e1120',0,'','project1',4.5,100.82,21.25,0,0,0),(448,1338074,'emmyUser1','emmy',2,1597143221,7098,'e1125|e1120',0,'','project1',22.86,46.92,62.23,0,0,0),(449,1338075,'emmyUser1','emmy',2,1597143241,8815,'e1116|e1025',0,'','project1',22.5,37.25,49.73,0,0,0),(450,1338147,'emmyUser1','emmy',2,1597149145,7659,'e0719|e0718',0,'','project1',21.99,28.84,63.12,0,0,0),(451,1338138,'emmyUser1','emmy',2,1597149097,11628,'e0828|e0827',0,'','project1',22.09,24.86,63.68,0,0,0),(452,1338145,'emmyUser1','emmy',2,1597149133,12874,'e0723|e0722',0,'','project1',22.04,23.91,63.55,0,0,0),(453,1338140,'emmyUser1','emmy',2,1597149109,12924,'e0824|e0823',0,'','project1',21.96,23.81,63.17,0,0,0),(454,1338144,'emmyUser1','emmy',2,1597149127,12951,'e0810|e0809',0,'','project1',22.06,23.94,63.83,0,0,0),(455,1338137,'emmyUser1','emmy',2,1597149091,13122,'e0830|e0829',0,'','project1',22.03,23.46,62.81,0,0,0),(456,1338136,'emmyUser1','emmy',2,1597149085,13131,'e0832|e0831',0,'','project1',22.02,23.62,63.18,0,0,0),(457,1338139,'emmyUser1','emmy',2,1597149103,13162,'e0826|e0825',0,'','project1',21.97,23.41,62.81,0,0,0),(458,1338215,'emmyUser3','emmy',2,1597160235,3345,'e0108|e0107',0,'','project3',10.79,22.44,69.64,0,0,0),(459,1338216,'emmyUser3','emmy',2,1597160255,3338,'e0104|e0101',0,'','project3',10.92,22.4,69.42,0,0,0),(460,1338217,'emmyUser3','emmy',2,1597160266,3333,'e0841|e0840',0,'','project3',10.68,22.07,69.17,0,0,0),(461,1338218,'emmyUser3','emmy',2,1597160280,3344,'e0839|e0838',0,'','project3',10.31,21.92,69.36,0,0,0),(462,1338219,'emmyUser3','emmy',2,1597160324,3343,'e0837|e0836',0,'','project3',10.3,21.96,68.26,0,0,0),(463,1338220,'emmyUser3','emmy',2,1597160337,3339,'e0834|e0833',0,'','project3',10.23,21.61,67.14,0,0,0),(464,1338221,'emmyUser3','emmy',2,1597160350,3349,'e0604|e0603',0,'','project3',10.76,22.58,70.27,0,0,0),(465,1338206,'emmyUser1','emmy',2,1597159212,5044,'e0606|e0605',0,'','project1',12.98,241.65,8.16,0,0,0),(466,1338191,'emmyUser1','emmy',2,1597158791,7703,'e0634|e0633',0,'','project1',21.96,29.06,63.59,0,0,0),(467,1338202,'emmyUser1','emmy',2,1597158883,7636,'e0608|e0607',0,'','project1',21.97,29.42,64.03,0,0,0),(468,1338143,'emmyUser1','emmy',2,1597149121,17597,'e0818|e0817',0,'','project1',22.04,21.92,64.16,0,0,0),(469,1338146,'emmyUser1','emmy',2,1597149139,17621,'e0721|e0720',0,'','project1',21.98,21.88,63.89,0,0,0),(470,1338142,'emmyUser1','emmy',2,1597149120,17673,'e0822|e0821',0,'','project1',21.94,21.76,63.63,0,0,0),(471,1338240,'emmyUser3','emmy',2,1597163504,3329,'e0106|e0105',0,'','project3',7.73,22.67,70.06,0,0,0),(472,1338243,'emmyUser3','emmy',2,1597163595,3333,'e0108|e0107',0,'','project3',7.78,22.83,70.12,0,0,0),(473,1338244,'emmyUser3','emmy',2,1597163605,3333,'e0104|e0101',0,'','project3',7.94,22.98,70.39,0,0,0),(474,1338245,'emmyUser3','emmy',2,1597163614,3339,'e1130|e1127',0,'','project3',7.88,22.38,70.19,0,0,0),(475,1338246,'emmyUser3','emmy',2,1597163630,3327,'e0103|e1125',0,'','project3',7.83,22.37,69.84,0,0,0),(476,1338247,'emmyUser3','emmy',2,1597163639,3333,'e1120|e1116',0,'','project3',8.06,22.92,68.7,0,0,0),(477,1338248,'emmyUser3','emmy',2,1597163650,3339,'e1112|e1111',0,'','project3',7.79,23.16,70.76,0,0,0),(478,1338194,'emmyUser1','emmy',2,1597158841,11640,'e0628|e0627',0,'','project1',22.02,24.61,63.41,0,0,0),(479,1338183,'emmyUser1','emmy',2,1597158767,11801,'e0819|e0719',0,'','project1',22.12,24.41,63,0,0,0),(480,1337896,'emmyUser2','emmy',4,1597113534,57813,'e1124|e1123|e1118|e1117',0,'','project2',6.51,90.16,38.86,0,0,0),(481,1338199,'emmyUser1','emmy',2,1597158865,12876,'e0617|e0616',0,'','project1',21.96,23.86,63.67,0,0,0),(482,1338189,'emmyUser1','emmy',2,1597158785,12960,'e0651|e0648',0,'','project1',21.95,23.73,63.31,0,0,0),(483,1338188,'emmyUser1','emmy',2,1597158785,12970,'e0653|e0652',0,'','project1',21.97,23.69,63.18,0,0,0),(484,1338185,'emmyUser1','emmy',2,1597158773,12995,'e0716|e0715',0,'','project1',21.99,23.72,63.37,0,0,0),(485,1338196,'emmyUser1','emmy',2,1597158853,12917,'e0624|e0623',0,'','project1',22,23.73,63.11,0,0,0),(486,1338200,'emmyUser1','emmy',2,1597158871,12904,'e0615|e0614',0,'','project1',22,23.93,63.8,0,0,0),(487,1338192,'emmyUser1','emmy',2,1597158829,13105,'e0632|e0631',0,'','project1',22.09,23.35,62.48,0,0,0),(488,1338193,'emmyUser1','emmy',2,1597158835,13103,'e0630|e0629',0,'','project1',22.08,23.63,62.93,0,0,0),(489,1338195,'emmyUser1','emmy',2,1597158847,13121,'e0626|e0625',0,'','project1',21.95,23.73,63.6,0,0,0),(490,1338184,'emmyUser1','emmy',2,1597158768,13207,'e0718|e0717',0,'','project1',21.98,23.56,63.47,0,0,0),(491,1338182,'emmyUser1','emmy',2,1597158762,13266,'e0935|e0820',0,'','project1',22.02,23.55,63.27,0,0,0),(492,1338198,'emmyUser1','emmy',2,1597158859,17585,'e0620|e0619',0,'','project1',22.01,21.91,64.21,0,0,0),(493,1338187,'emmyUser1','emmy',2,1597158779,17685,'e0712|e0654',0,'','project1',21.98,21.94,64.36,0,0,0),(494,1338201,'emmyUser1','emmy',2,1597158877,17613,'e0610|e0609',0,'','project1',21.99,21.65,63.3,0,0,0),(495,1338186,'emmyUser1','emmy',2,1597158779,17729,'e0714|e0713',0,'','project1',21.97,21.72,63.33,0,0,0),(496,1338197,'emmyUser1','emmy',2,1597158853,17658,'e0622|e0621',0,'','project1',21.97,21.58,62.98,0,0,0),(497,1338275,'emmyUser3','emmy',2,1597173186,3334,'e0108|e0107',0,'','project3',7.53,22.33,69.98,0,0,0),(498,1338276,'emmyUser3','emmy',2,1597173195,3335,'e0106|e0105',0,'','project3',7.57,22.21,70.02,0,0,0),(499,1338277,'emmyUser3','emmy',2,1597173205,3330,'e0104|e0103',0,'','project3',7.77,22.65,70.91,0,0,0),(500,1338278,'emmyUser3','emmy',2,1597173213,3336,'e0101|e1130',0,'','project3',7.59,22.64,70.88,0,0,0),(501,1338280,'emmyUser3','emmy',2,1597173231,3325,'e1124|e1123',0,'','project3',7.77,22.39,70.66,0,0,0),(502,1338279,'emmyUser3','emmy',2,1597173222,3335,'e1127|e1125',0,'','project3',7.72,22.34,70.37,0,0,0),(503,1338190,'emmyUser1','emmy',2,1597158791,17767,'e0647|e0635',0,'','project1',22.01,21.66,63.27,0,0,0),(504,1338181,'emmyUser1','emmy',2,1597158750,20940,'e1007|e1006',0,'','project1',22.13,14.54,39.13,0,0,0),(505,1337895,'emmyUser2','emmy',4,1597112841,68249,'e0816|e0815|e0315|e0314',0,'','project2',6.48,90.45,39.44,0,0,0),(506,1338293,'emmyUser1','emmy',16,1597242045,112,'e0212|e0211|e0210|e0209|e0208|e0207|e0206|e0205|e0204|e0203|e0202|e0201|e0156|e0155|e0154|e0153',0,'','project1',50.61,2.13,3.28,0,0,0),(507,1338462,'emmyUser7','emmy',16,1597242041,124,'e0343|e0342|e0341|e0340|e0339|e0338|e0337|e0336|e0335|e0334|e0333|e0332|e0331|e0330|e0329|e0328',0,'','project7',50.68,0.11,3.62,0,0,0),(508,1338511,'emmyUser3','emmy',8,1597241990,651,'e0645|e0644|e0643|e0642|e0641|e0640|e0639|e0638',0,'','project3',8.11,12.94,21.22,0,0,0),(509,1338493,'emmyUser3','emmy',2,1597241990,3145,'e0637|e0636',0,'','project3',7.48,21.33,63.63,0,0,0),(510,1338496,'emmyUser3','emmy',2,1597241991,3333,'e0633|e0632',0,'','project3',7.54,22.5,68.46,0,0,0),(511,1338497,'emmyUser3','emmy',2,1597241991,3347,'e0631|e0630',0,'','project3',7.56,21.57,66.64,0,0,0),(512,1338494,'emmyUser3','emmy',2,1597241990,3367,'e0635|e0634',0,'','project3',7.59,21.89,67.74,0,0,0),(513,1338498,'emmyUser3','emmy',2,1597242075,3330,'e0708|e0707',0,'','project3',7.78,21.27,67.11,0,0,0),(514,1338500,'emmyUser3','emmy',2,1597242076,3341,'e0704|e0703',0,'','project3',7.77,22.47,68.77,0,0,0),(515,1338499,'emmyUser3','emmy',2,1597242076,3341,'e0706|e0705',0,'','project3',7.76,22.68,69.25,0,0,0),(516,1338501,'emmyUser3','emmy',2,1597245326,3150,'e0632|e0606',0,'','project3',7.49,22.17,66.33,0,0,0),(517,1338503,'emmyUser3','emmy',2,1597245339,3357,'e0631|e0630',0,'','project3',7.52,23.37,70.06,0,0,0),(518,1338502,'emmyUser3','emmy',2,1597245604,3335,'e0633|e0212',0,'','project3',7.62,22.83,69.41,0,0,0),(519,1338505,'emmyUser3','emmy',2,1597245629,3333,'e0106|e0105',0,'','project3',7.54,22.83,69.35,0,0,0),(520,1338506,'emmyUser3','emmy',2,1597245629,3333,'e0104|e0103',0,'','project3',7.55,22.45,69.99,0,0,0),(521,1338504,'emmyUser3','emmy',2,1597245629,3335,'e0108|e0107',0,'','project3',7.55,22.75,70.08,0,0,0),(522,1338507,'emmyUser3','emmy',2,1597245663,3339,'e0101|e0607',0,'','project3',7.76,23.13,70.95,0,0,0),(523,1338572,'emmyUser3','emmy',8,1597248941,732,'e0102|e1116|e0634|e0633|e0632|e0631|e0630|e0606',0,'','project3',7.9,13.03,21.84,0,0,0),(524,1338612,'emmyUser3','emmy',8,1597259731,796,'e0101|e1132|e1130|e0818|e0817|e0816|e0815|e0814',0,'','project3',8.25,26.89,26.71,0,0,0),(525,1338627,'emmyUser3','emmy',8,1597263729,830,'e0101|e0606|e0516|e0145|e0144|e0143|e0142|e0141',0,'','project3',8.17,15.23,25.9,0,0,0),(526,1338634,'emmyUser3','emmy',8,1597265953,803,'e1010|e1009|e1008|e1007|e1006|e0834|e0823|e0822',0,'','project3',25.92,14.71,24.41,0,0,0),(527,1338560,'emmyUser1','emmy',16,1597266758,95,'e1101|e1020|e1019|e1018|e1017|e1016|e1010|e1009|e1008|e1007|e1006|e0834|e0823|e0822|e0729|e0728',0,'','project1',25.92,3.42,9.93,0,0,0),(528,1338535,'emmyUser1','emmy',2,1597271035,8681,'e0137|e0136',0,'','project1',19.4,216.72,29.89,0,0,0),(529,1338556,'emmyUser1','emmy',2,1597271586,20128,'e0325|e0138',0,'','project1',19.92,106.28,12.82,0,0,0),(530,1338640,'emmyUser7','emmy',16,1597295684,118,'e0919|e0918|e0917|e0325|e0231|e0230|e0229|e0228|e0227|e0221|e0219|e0213|e0212|e0141|e0138|e0126',0,'','project7',3.79,20.11,0.38,0,0,0),(531,1338561,'emmyUser1','emmy',16,1597266855,36056,'e1101|e1020|e1019|e1018|e1017|e1016|e1010|e1009|e1008|e1007|e1006|e0834|e0823|e0822|e0729|e0728',0,'','project1',30.59,34.04,9.75,0,0,0),(532,1338562,'emmyUser1','emmy',16,1597267252,37172,'e0727|e0726|e0725|e0724|e0723|e0608|e0537|e0535|e0534|e0324|e0323|e0248|e0247|e0246|e0245|e0244',0,'','project1',30.57,33.57,9.55,0,0,0),(533,1338563,'emmyUser1','emmy',16,1597270654,36044,'e1106|e1012|e1011|e0833|e0832|e0831|e0830|e0829|e0828|e0827|e0826|e0825|e0824|e0819|e0730|e0442',0,'','project1',30.72,32.61,9.82,0,0,0),(534,1338849,'emmyUser3','emmy',8,1597313111,980,'e0108|e0107|e0106|e0105|e0104|e0103|e0102|e0101',0,'','project3',8.46,17.09,28.45,0,0,0),(535,1338867,'emmyUser3','emmy',8,1597315361,636,'e0107|e0106|e0105|e0104|e0103|e0102|e0101|e0111',0,'','project3',8.61,12.92,19.47,0,0,0),(536,1338868,'emmyUser3','emmy',8,1597315998,3062,'e0107|e0106|e0105|e0104|e0103|e0102|e0101|e0111',0,'','project3',10.01,18.66,29.78,0,0,0),(537,1338955,'emmyUser3','emmy',2,1597327308,149,'e0103|e0102',0,'','project3',8.77,5.4,21.09,0,0,0),(538,1338957,'emmyUser3','emmy',2,1597327459,165,'e0103|e0102',0,'','project3',9.15,6.89,24.14,0,0,0),(539,1338960,'emmyUser3','emmy',2,1597327652,979,'e0101|e0612',0,'','project3',9.32,20.38,65.89,0,0,0),(540,1338969,'emmyUser3','emmy',8,1597328447,552,'e0412|e0411|e0408|e0407|e0303|e0302|e0301|e0252',0,'','project3',7.7,12.69,20.92,0,0,0),(541,1338968,'emmyUser3','emmy',2,1597328481,1420,'e0322|e0321',0,'','project3',9.59,22.34,68.09,0,0,0),(542,1338967,'emmyUser3','emmy',2,1597328447,1456,'e0251|e0250',0,'','project3',9.03,22.76,69.75,0,0,0),(543,1338959,'emmyUser3','emmy',2,1597327626,2291,'e0103|e0102',0,'','project3',9.27,21.66,67.38,0,0,0),(544,1338953,'emmyUser3','emmy',2,1597327275,2718,'e0105|e0104',0,'','project3',8.83,21.63,67.49,0,0,0),(545,1338950,'emmyUser3','emmy',2,1597326940,3333,'e0107|e0106',0,'','project3',8.67,22.02,67.63,0,0,0),(546,1338965,'emmyUser3','emmy',2,1597328120,3336,'e0154|e0110',0,'','project3',9.55,22.32,67.3,0,0,0),(547,1338977,'emmyUser3','emmy',4,1597329939,2871,'e0103|e0102|e1011|e0833',0,'','project3',7.36,21.06,66.41,0,0,0),(548,1338991,'emmyUser3','emmy',8,1597333033,578,'e0833|e0343|e0342|e0327|e0326|e0315|e0314|e0313',0,'','project3',8.19,13.37,21.98,0,0,0),(549,1338996,'emmyUser3','emmy',4,1597333091,2921,'e0312|e0228|e0227|e0221',0,'','project3',7.65,21.24,66.28,0,0,0),(550,1338997,'emmyUser3','emmy',4,1597333188,3100,'e1026|e1025|e1024|e0219',0,'','project3',8.01,20.92,66.45,0,0,0),(551,1339061,'emmyUser3','emmy',4,1597344259,2520,'e0102|e0101|e1019|e1018',0,'','project3',7.84,20.18,64.45,0,0,0),(552,1338852,'emmyUser1','emmy',16,1597336708,10335,'e1026|e1025|e1024|e0828|e0827|e0826|e0825|e0507|e0444|e0443|e0344|e0219|e0207|e0206|e0205|e0112',0,'','project1',23.83,1.88,4.53,0,0,0),(553,1339062,'emmyUser3','emmy',4,1597345725,2745,'e0901|e0852|e0840|e0839',0,'','project3',7.18,18.83,60.78,0,0,0),(554,1339063,'emmyUser3','emmy',4,1597345972,3081,'e0625|e0624|e0337|e0336',0,'','project3',7.86,20.15,65.1,0,0,0),(555,1338848,'emmyUser1','emmy',16,1597335036,14271,'e0629|e0628|e0417|e0416|e0415|e0414|e0331|e0330|e0329|e0328|e0213|e0212|e0203|e0202|e0201|e0156',0,'','project1',30.36,88.78,17.86,0,0,0),(556,1339064,'emmyUser3','emmy',4,1597346780,3106,'e0102|e0101|e1019|e1018',0,'','project3',7.84,23.38,65.86,0,0,0),(557,1339068,'emmyUser3','emmy',8,1597347051,3068,'e1026|e1025|e1024|e0828|e0827|e0826|e0825|e0507',0,'','project3',8.27,22.32,38.11,0,0,0),(558,1339075,'emmyUser3','emmy',8,1597352358,471,'e0102|e0101|e1015|e1014|e0907|e0906|e0821|e0820',0,'','project3',7.91,11.37,17.78,0,0,0),(559,1339069,'emmyUser1','emmy',16,1597348471,8329,'e1105|e1104|e1103|e1102|e1013|e0922|e0921|e0920|e0901|e0852|e0840|e0839|e0745|e0740|e0141|e0112',0,'','project1',23.9,1.43,3.88,0,0,0),(560,1339082,'emmyUser1','emmy',16,1597357720,124,'e0924|e0923|e0745|e0740|e0738|e0737|e0639|e0638|e0630|e0524|e0404|e0403|e0222|e0220|e0149|e0148',0,'','project1',26.71,3.66,7.14,0,0,0),(561,1339083,'emmyUser1','emmy',16,1597357845,234,'e0924|e0923|e0745|e0740|e0738|e0737|e0639|e0638|e0630|e0524|e0404|e0403|e0222|e0220|e0149|e0148',0,'','project1',27.73,4.7,4.45,0,0,0),(562,1339084,'emmyUser1','emmy',16,1597358081,96,'e0924|e0923|e0745|e0740|e0738|e0737|e0639|e0638|e0630|e0524|e0510|e0509|e0411|e0408|e0404|e0403',0,'','project1',27.56,10.3,14.27,0,0,0),(563,1338858,'emmyUser1','emmy',2,1597340305,30477,'e0114|e0113',0,'','project1',32.24,91.62,10.64,0,0,0),(564,1338861,'emmyUser1','emmy',2,1597352137,19660,'e0608|e0324',0,'','project1',20.48,109.06,13.23,0,0,0),(565,1338648,'emmyUser7','emmy',16,1597302443,86476,'e1005|e1004|e1003|e1002|e0942|e0941|e0817|e0816|e0815|e0814|e0637|e0607|e0540|e0528|e0525|e0511',0,'','project7',7.72,8.65,15.68,0,0,0),(566,1338272,'emmyUser2','emmy',4,1597366080,59195,'e0224|e0223|e0121|e0112',0,'','project2',6.47,89.74,38.75,0,0,0),(567,1338306,'emmyUser2','emmy',4,1597367096,64984,'e0930|e0929|e0818|e0704',0,'','project2',6.17,89.99,38.82,0,0,0),(568,1338294,'emmyUser2','emmy',4,1597367096,66704,'e0934|e0933|e0932|e0931',0,'','project2',6.22,90.56,39.41,0,0,0),(569,1339198,'emmyUser7','emmy',16,1597392341,86475,'e1023|e1022|e1021|e0823|e0822|e0729|e0728|e0715|e0714|e0702|e0701|e0636|e0635|e0428|e0406|e0405',0,'','project7',3.83,10,18.01,0,0,0),(570,1339576,'emmyUser6','emmy',8,1597492935,3634,'e0928|e0851|e0850|e0849|e0848|e0834|e0824|e0819',0,'','project6',30.32,12.47,2.75,0,0,0),(571,1339702,'emmyUser6','emmy',2,1597540682,3640,'e0105|e0745',0,'','project6',30.13,26.39,8.17,0,0,0),(572,1338637,'emmyUser2','emmy',2,1597539097,5671,'e0525|e0214',0,'','project2',9.6,88.88,51.86,0,0,0),(573,1339704,'emmyUser6','emmy',2,1597546117,3662,'e1127|e1126',0,'','project6',57.45,21.35,3.32,0,0,0),(574,1339737,'emmyUser1','emmy',2,1597574916,3660,'e0646|e0629',0,'','project1',22.52,67.1,59.28,0,0,0),(575,1339726,'emmyUser1','emmy',2,1597577136,4882,'e0811|e0810',0,'','project1',11.67,223.72,8.6,0,0,0),(576,1338307,'emmyUser2','emmy',4,1597516293,66236,'e0507|e0444|e0326|e0321',0,'','project2',6.28,89.35,38.62,0,0,0),(577,1338508,'emmyUser3','emmy',16,1597507049,85855,'e0919|e0905|e0904|e0852|e0840|e0823|e0740|e0717|e0716|e0637|e0634|e0508|e0506|e0335|e0139|e0138',0,'','project3',11.54,17.12,29.86,0,0,0),(578,1339686,'emmyUser7','emmy',16,1597512079,86447,'e1131|e1129|e0912|e0911|e0735|e0706|e0624|e0612|e0611|e0610|e0607|e0606|e0546|e0540|e0539|e0538',0,'','project7',20.78,9.64,17.41,0,0,0),(579,1338509,'emmyUser3','emmy',16,1597513290,85851,'e0944|e0943|e0934|e0933|e0836|e0835|e0826|e0825|e0718|e0520|e0417|e0416|e0242|e0240|e0239|e0238',0,'','project3',9.64,17.3,30.29,0,0,0),(580,1339534,'emmyUser2','emmy',4,1597543918,58600,'e0210|e0132|e0131|e0116',0,'','project2',6.5,89.75,38.7,0,0,0),(581,1339540,'emmyUser2','emmy',4,1597544213,60435,'e0337|e0336|e0207|e0156',0,'','project2',6.31,89.45,38.71,0,0,0),(582,1339733,'emmyUser1','emmy',2,1597592461,20319,'e0906|e0830',0,'','project1',20.5,102.28,12.08,0,0,0),(583,1339849,'emmyUser1','emmy',2,1597620841,6291,'e0503|e0244',0,'','project1',16.5,169.28,6.62,0,0,0),(584,1339850,'emmyUser1','emmy',2,1597624343,6226,'e0319|e0247',0,'','project1',16.7,233.44,7.38,0,0,0),(585,1339886,'emmyUser6','emmy',4,1597647867,358,'e0108|e0107|e0106|e0105',0,'','project6',32.24,32.85,6.91,0,0,0),(586,1339887,'emmyUser6','emmy',2,1597647885,352,'e0104|e0103',0,'','project6',14.68,103.09,20.94,0,0,0),(587,1339893,'emmyUser6','emmy',2,1597649290,3650,'e0104|e0103',0,'','project6',14.08,152.18,29.99,0,0,0),(588,1339892,'emmyUser6','emmy',4,1597649281,3664,'e0108|e0107|e0106|e0105',0,'','project6',14.85,43.64,9.01,0,0,0),(589,1339757,'emmyUser2','emmy',4,1597604652,54118,'e0337|e0336|e0207|e0156',0,'','project2',46.38,89.83,38.91,0,0,0),(590,1339825,'emmyUser2','emmy',4,1597609663,49455,'e0648|e0647|e0646|e0629',0,'','project2',6.12,89.75,38.86,0,0,0),(591,1339972,'emmyUser1','emmy',2,1597662060,3514,'e0249|e0243',0,'','project1',28.82,87.62,52.71,0,0,0),(592,1339976,'emmyUser1','emmy',2,1597664186,1478,'e0701|e0636',0,'','project1',26.55,108.48,49.61,0,0,0),(593,1339823,'emmyUser2','emmy',4,1597605722,60396,'e0401|e0338|e0122|e0121',0,'','project2',28.15,90.5,39.06,0,0,0),(594,1339824,'emmyUser2','emmy',4,1597606401,60694,'e0353|e0324|e0222|e0220',0,'','project2',6.36,90.1,39.02,0,0,0),(595,1339843,'emmyUser2','emmy',4,1597620762,48857,'e0750|e0749|e0714|e0702',0,'','project2',6.21,90.66,39.39,0,0,0),(596,1339994,'emmyUser1','emmy',2,1597665614,11356,'e1126|e0941',0,'','project1',28.62,26.32,65.63,0,0,0),(597,1339822,'emmyUser7','emmy',16,1597602374,86458,'e1112|e1032|e1031|e1026|e0946|e0945|e0722|e0640|e0609|e0605|e0604|e0423|e0311|e0310|e0233|e0232',0,'','project7',3.8,3.91,7.06,0,0,0),(598,1340005,'emmyUser1','emmy',2,1597673343,15990,'e0403|e0348',0,'','project1',28.4,26.35,62.18,0,0,0),(599,1339995,'emmyUser1','emmy',2,1597665621,25238,'e1132|e1127',0,'','project1',28.11,20.09,58.07,0,0,0),(600,1339997,'emmyUser1','emmy',2,1597665868,25023,'e0156|e0154',0,'','project1',28.1,22.72,63.09,0,0,0),(601,1339996,'emmyUser1','emmy',2,1597665667,25254,'e0701|e0636',0,'','project1',28.08,22.12,63.76,0,0,0),(602,1339998,'emmyUser1','emmy',2,1597665886,25262,'e0337|e0336',0,'','project1',28.08,22.24,64.32,0,0,0),(603,1339999,'emmyUser1','emmy',2,1597665890,25260,'e0229|e0207',0,'','project1',28.11,22.51,64.44,0,0,0),(604,1340000,'emmyUser1','emmy',2,1597665896,25257,'e0249|e0149',0,'','project1',28.32,20.93,65.16,0,0,0),(605,1340001,'emmyUser1','emmy',2,1597666033,25231,'e0544|e0537',0,'','project1',28.29,18.54,57.52,0,0,0),(606,1340002,'emmyUser1','emmy',2,1597666033,25232,'e0535|e0152',0,'','project1',28.33,22.64,64.39,0,0,0),(607,1340003,'emmyUser1','emmy',2,1597666122,25231,'e0401|e0338',0,'','project1',28.36,22.55,64.46,0,0,0),(608,1340004,'emmyUser1','emmy',2,1597666122,25247,'e0122|e0121',0,'','project1',28.16,21.05,65.03,0,0,0),(609,1340173,'emmyUser7','emmy',16,1597692988,445,'e1020|e1017|e1008|e1007|e0939|e0926|e0924|e0906|e0830|e0741|e0730|e0727|e0726|e0713|e0712|e0524',0,'','project7',4.85,0.14,0.42,0,0,0),(610,1340189,'emmyUser1','emmy',2,1597702997,597,'e0914|e0913',0,'','project1',31.83,24.34,70.38,0,0,0),(611,1340190,'emmyUser1','emmy',2,1597703659,823,'e1125|e1124',0,'','project1',32.04,21.32,57.61,0,0,0),(612,1340208,'emmyUser1','emmy',2,1597704558,3658,'e0106|e0105',0,'','project1',31.9,25.53,73.45,0,0,0),(613,1340209,'emmyUser1','emmy',2,1597704655,11661,'e0211|e0104',0,'','project1',32.31,50.88,75.1,0,0,0),(614,1340193,'emmyUser1','emmy',2,1597703671,23764,'e0913|e0109',0,'','project1',31.85,25.48,73.26,0,0,0),(615,1340192,'emmyUser1','emmy',2,1597703665,24227,'e0936|e0914',0,'','project1',31.9,25.66,73.46,0,0,0),(616,1340194,'emmyUser1','emmy',2,1597703886,25236,'e0206|e0205',0,'','project1',32.06,23.21,70.17,0,0,0),(617,1340196,'emmyUser1','emmy',2,1597704173,27476,'e0708|e0643',0,'','project1',28.24,22.14,62.76,0,0,0),(618,1340191,'emmyUser1','emmy',2,1597703665,28566,'e1113|e1111',0,'','project1',31.93,21.85,62.01,0,0,0),(619,1340220,'emmyUser6','emmy',2,1597729288,3629,'e0108|e0107',0,'','project6',14,120.24,23.11,0,0,0),(620,1339952,'emmyUser2','emmy',4,1597699978,35639,'e0519|e0518|e0517|e0425',0,'','project2',6.09,88.6,38.38,0,0,0),(621,1340019,'emmyUser2','emmy',4,1597705989,30530,'e0301|e0250|e0244|e0221',0,'','project2',6.25,89.49,38.62,0,0,0),(622,1340195,'emmyUser1','emmy',2,1597704161,32583,'e0715|e0709',0,'','project1',31.93,24.02,73.68,0,0,0),(623,1339966,'emmyUser2','emmy',4,1597699978,37310,'e0424|e0354|e0334|e0314',0,'','project2',6.34,89.49,38.54,0,0,0),(624,1340268,'emmyUser2','emmy',4,1597735621,1974,'e0519|e0518|e0517|e0425',0,'','project2',5.41,89.21,38.61,0,0,0),(625,1340333,'emmyUser1','emmy',4,1597740724,143,'e0709|e0631|e0209|e0201',0,'','project1',20.29,30.2,5.95,0,0,0),(626,1340324,'emmyUser6','emmy',2,1597739640,3629,'e0108|e0107',0,'','project6',13.96,123.18,23.87,0,0,0),(627,1340197,'emmyUser1','emmy',2,1597704267,43243,'e1011|e0308',0,'','project1',28.33,12.82,36.6,0,0,0),(628,1340412,'emmyUser6','emmy',2,1597744375,3663,'e0108|e0107',0,'','project6',13.98,129.9,24.86,0,0,0),(629,1340298,'emmyUser2','emmy',4,1597747511,2370,'e0424|e0308|e0149|e0114',0,'','project2',6.06,86.24,37.48,0,0,0),(630,1340198,'emmyUser1','emmy',2,1597704486,46842,'e1125|e1124',0,'','project1',28.38,13.69,42.41,0,0,0),(631,1340065,'emmyUser2','emmy',4,1597712500,42259,'e0215|e0123|e0120|e0113',0,'','project2',6.35,89.4,38.83,0,0,0),(632,1340484,'emmyUser3','emmy',8,1597758386,639,'e0108|e0107|e0106|e0105|e0103|e0102|e0101|e0539',0,'','project3',10.65,13.93,22.23,0,0,0),(633,1340010,'emmyUser2','emmy',4,1597705433,58522,'e0635|e0516|e0512|e0511',0,'','project2',6.35,90.29,38.87,0,0,0),(634,1340329,'emmyUser1','emmy',2,1597740232,28341,'e0147|e0135',0,'','project1',32.05,22.04,62.81,0,0,0),(635,1340513,'emmyUser3','emmy',2,1597762164,6944,'e0623|e0622',0,'','project3',11.06,21.38,72.26,0,0,0),(636,1340514,'emmyUser3','emmy',2,1597762203,6951,'e1123|e1107',0,'','project3',11.73,21.49,71.77,0,0,0),(637,1340515,'emmyUser3','emmy',2,1597762213,6944,'e1019|e0620',0,'','project3',12.26,21.7,72.02,0,0,0),(638,1340517,'emmyUser3','emmy',2,1597762230,6951,'e0619|e0523',0,'','project3',12.09,21.58,71.98,0,0,0),(639,1340518,'emmyUser3','emmy',2,1597762239,6953,'e0434|e0433',0,'','project3',12.77,21.1,71.5,0,0,0),(640,1340519,'emmyUser3','emmy',2,1597762252,6942,'e0429|e0338',0,'','project3',12.98,21.49,71.05,0,0,0),(641,1340522,'emmyUser3','emmy',2,1597769109,1283,'e0623|e0622',0,'','project3',11.58,22.99,69.28,0,0,0),(642,1340523,'emmyUser3','emmy',2,1597769156,6942,'e1123|e1107',0,'','project3',10.53,22.62,70.87,0,0,0),(643,1340524,'emmyUser3','emmy',2,1597769159,6951,'e1019|e0620',0,'','project3',10.96,22.35,71.07,0,0,0),(644,1340526,'emmyUser3','emmy',2,1597769193,6932,'e0523|e0434',0,'','project3',11.15,22.26,70.42,0,0,0),(645,1340525,'emmyUser3','emmy',2,1597769182,6952,'e0619|e0551',0,'','project3',11.11,22.25,70.65,0,0,0),(646,1340527,'emmyUser3','emmy',2,1597769196,6948,'e0433|e0429',0,'','project3',12.2,22.38,71.05,0,0,0),(647,1340532,'emmyUser3','emmy',2,1597770393,6958,'e0623|e0622',0,'','project3',11.89,22.76,71.39,0,0,0),(648,1340573,'emmyUser3','emmy',2,1597778003,867,'e0130|e0119',0,'','project3',10.97,21.66,72.31,0,0,0),(649,1340574,'emmyUser3','emmy',2,1597778021,989,'e0112|e0101',0,'','project3',11.51,20.83,66.4,0,0,0),(650,1340575,'emmyUser3','emmy',2,1597778871,1033,'e0130|e0119',0,'','project3',11.69,22.18,68.73,0,0,0),(651,1340576,'emmyUser3','emmy',2,1597779011,946,'e0112|e0101',0,'','project3',11.72,21.63,70.49,0,0,0),(652,1340577,'emmyUser3','emmy',2,1597779905,998,'e0147|e0130',0,'','project3',12.13,22.17,70.29,0,0,0),(653,1340578,'emmyUser3','emmy',2,1597779938,1040,'e0238|e0119',0,'','project3',12.62,20.63,65.33,0,0,0),(654,1340579,'emmyUser3','emmy',2,1597779959,1113,'e0112|e0101',0,'','project3',12.75,21.56,69.75,0,0,0),(655,1340533,'emmyUser3','emmy',2,1597776099,6956,'e1123|e1107',0,'','project3',13.46,21.69,71.89,0,0,0),(656,1340582,'emmyUser3','emmy',2,1597781073,2849,'e0119|e0112',0,'','project3',12.87,21.12,70.15,0,0,0),(657,1340581,'emmyUser3','emmy',2,1597780979,2944,'e0238|e0130',0,'','project3',12.46,21.17,69.8,0,0,0),(658,1340580,'emmyUser3','emmy',2,1597780904,3021,'e1102|e0147',0,'','project3',12.2,20.89,70.04,0,0,0),(659,1340597,'emmyUser3','emmy',2,1597784532,4500,'e1122|e1121',0,'','project3',8.12,23.5,72.37,0,0,0),(660,1340598,'emmyUser3','emmy',2,1597784532,4544,'e0931|e0927',0,'','project3',8.07,23.56,72.83,0,0,0),(661,1340600,'emmyUser3','emmy',2,1597784533,4863,'e0656|e0655',0,'','project3',8.56,23.13,72.03,0,0,0),(662,1340599,'emmyUser3','emmy',2,1597784532,4959,'e0907|e0720',0,'','project3',8.52,23.05,70.89,0,0,0),(663,1340592,'emmyUser3','emmy',2,1597783927,6845,'e0238|e0130',0,'','project3',10.3,23.08,71.03,0,0,0),(664,1340601,'emmyUser3','emmy',8,1597789397,1597,'e0108|e0107|e0106|e0105|e0104|e0103|e0102|e0101',0,'','project3',7.6,20.16,60,0,0,0),(665,1340535,'emmyUser2','emmy',2,1597791638,2260,'e0433|e0429',0,'','project2',7.68,84.37,49.54,0,0,0),(666,1340537,'emmyUser2','emmy',2,1597791638,2502,'e0205|e0116',0,'','project2',7.69,85.43,49.74,0,0,0),(667,1340602,'emmyUser3','emmy',8,1597790995,3350,'e0108|e0107|e0106|e0105|e0104|e0103|e0102|e0101',0,'','project3',7.84,21.1,65.17,0,0,0),(668,1340603,'emmyUser3','emmy',8,1597794346,3358,'e0108|e0107|e0106|e0105|e0104|e0103|e0102|e0101',0,'','project3',8.59,21.14,65.03,0,0,0),(669,1340620,'emmyUser6','emmy',2,1597798548,3627,'e0104|e0103',0,'','project6',30.96,135.23,30.04,0,0,0),(670,1340619,'emmyUser6','emmy',2,1597798538,3638,'e0106|e0105',0,'','project6',31.39,150.03,32.94,0,0,0),(671,1340468,'emmyUser2','emmy',4,1597759913,44282,'e0409|e0354|e0245|e0220',0,'','project2',6.35,90.18,39.18,0,0,0),(672,1340609,'emmyUser1','emmy',16,1597797952,25873,'e0934|e0933|e0919|e0748|e0747|e0745|e0716|e0709|e0704|e0701|e0653|e0651|e0636|e0631|e0540|e0353',0,'','project1',32.49,4.59,13.76,0,0,0),(673,1340610,'emmyUser1','emmy',16,1597798043,25782,'e1005|e0632|e0544|e0537|e0535|e0411|e0403|e0348|e0341|e0332|e0330|e0327|e0316|e0304|e0301|e0251',0,'','project1',32.64,4.15,12.34,0,0,0),(674,1340612,'emmyUser1','emmy',16,1597799407,24418,'e0834|e0705|e0615|e0505|e0504|e0452|e0437|e0307|e0249|e0239|e0235|e0232|e0231|e0228|e0227|e0223',0,'','project1',32.58,4.5,13.42,0,0,0),(675,1340613,'emmyUser1','emmy',16,1597800646,23180,'e0816|e0813|e0526|e0520|e0508|e0507|e0506|e0503|e0449|e0448|e0447|e0305|e0233|e0230|e0205|e0145',0,'','project1',32.62,4.29,12.93,0,0,0),(676,1340701,'emmyUser3','emmy',2,1597832149,2858,'e0108|e0107',0,'','project3',7.78,22.81,71.1,0,0,0),(677,1340702,'emmyUser3','emmy',2,1597832172,3337,'e0106|e0105',0,'','project3',8.4,23.06,70.45,0,0,0),(678,1340703,'emmyUser3','emmy',2,1597832183,3336,'e0104|e0103',0,'','project3',8.24,22.99,70.75,0,0,0),(679,1340704,'emmyUser3','emmy',2,1597832196,3337,'e0102|e0101',0,'','project3',8.65,22.22,68.53,0,0,0),(680,1340705,'emmyUser3','emmy',2,1597832207,3340,'e1030|e0213',0,'','project3',8.89,22.2,68.68,0,0,0),(681,1340706,'emmyUser3','emmy',2,1597832745,3339,'e0747|e0745',0,'','project3',9.01,22.72,70.4,0,0,0),(682,1340707,'emmyUser3','emmy',2,1597832846,3335,'e0844|e0812',0,'','project3',9.26,22.92,70.12,0,0,0),(683,1340538,'emmyUser2','emmy',4,1597788133,54841,'e0420|e0406|e0405|e0237',0,'','project2',6.52,97.86,38.29,0,0,0),(684,1340534,'emmyUser2','emmy',4,1597788133,58232,'e0624|e0614|e0612|e0607',0,'','project2',6.3,90.3,38.93,0,0,0),(685,1340494,'emmyUser3','emmy',16,1597760697,85877,'e1106|e1101|e0832|e0831|e0806|e0805|e0750|e0749|e0732|e0714|e0702|e0347|e0339|e0324|e0243|e0222',0,'','project3',10.53,17.11,27.16,0,0,0),(686,1340662,'emmyUser1','emmy',4,1597824170,22864,'e1105|e1104|e1005|e0934',0,'','project1',27.54,20.24,61.12,0,0,0),(687,1340495,'emmyUser3','emmy',16,1597761549,85852,'e1132|e1127|e1126|e1015|e1014|e1012|e0941|e0842|e0841|e0838|e0817|e0752|e0530|e0529|e0143|e0142',0,'','project3',10.67,17.18,27.36,0,0,0),(688,1340625,'emmyUser2','emmy',4,1597804197,46748,'e1116|e1023|e0409|e0354',0,'','project2',6.31,86,37.32,0,0,0),(689,1343729,'emmyUser9','emmy',4,1598880220,643,'e0108|e0107|e0106|e0105',0,'','project9',5.73,4.42,5.23,0,0,0),(690,1343826,'emmyUser1','emmy',16,1598894902,15332,'e0705|e0704|e0644|e0643|e0640|e0639|e0637|e0636|e0634|e0631|e0630|e0618|e0610|e0609|e0608|e0606',0,'','project1',42.18,107.93,23.03,0,0,0),(691,1343731,'emmyUser9','emmy',4,1598882402,63800,'e0230|e0152|e0151|e0150',0,'','project9',6.65,6.07,7.23,0,0,0),(692,1343998,'emmyUser9','emmy',4,1598957078,146,'e0941|e0940|e0930|e0929',0,'','project9',5.46,0.46,0.67,0,0,0),(693,1344063,'emmyUser9','emmy',4,1598962195,150,'e0802|e0246|e0233|e0139',0,'','project9',4.8,0.49,1.36,0,0,0),(694,1343693,'emmyUser2','emmy',4,1598877400,86430,'e1129|e1128|e1127|e1126',0,'','project2',27.82,161,59.92,0,0,0),(695,1343735,'emmyUser2','emmy',4,1599037127,4190,'e0351|e0336|e0333|e0328',0,'','project2',22.78,70.16,37.19,0,0,0),(696,1343793,'emmyUser2','emmy',4,1599039828,15498,'e0426|e0352|e0341|e0334',0,'','project2',5.55,62.3,39.2,0,0,0),(697,1343799,'emmyUser2','emmy',4,1599043303,17026,'e0326|e0322|e0320|e0308',0,'','project2',58.86,151.47,61.82,0,0,0),(698,1343791,'emmyUser2','emmy',4,1599039828,21314,'e0525|e0521|e0520|e0440',0,'','project2',5.67,61.96,38.59,0,0,0),(699,1343800,'emmyUser2','emmy',4,1599096598,18647,'e0522|e0514|e0118|e0114',0,'','project2',51.97,150.19,62.12,0,0,0),(700,1344540,'emmyUser1','emmy',4,1599119140,229,'e0506|e0239|e0238|e0235',0,'','project1',8.48,0.59,6.98,0,0,0),(701,1344543,'emmyUser1','emmy',8,1599119804,223,'e0108|e0107|e0106|e0105|e0104|e0103|e0102|e0101',0,'','project1',8.61,2.04,13.87,0,0,0),(702,1344008,'emmyUser2','emmy',4,1599098231,36380,'e0627|e0622|e0613|e0611',0,'','project2',5.32,82.38,39.58,0,0,0),(703,1344662,'emmyUser1','emmy',4,1599135489,226,'e0637|e0636|e0635|e0634',0,'','project1',7.76,0.83,13.3,0,0,0),(704,1344005,'emmyUser2','emmy',4,1599097948,41299,'e0801|e0752|e0213|e0212',0,'','project2',5.45,82.06,39.91,0,0,0),(705,1344913,'emmyUser1','emmy',2,1599158604,358,'e0215|e0213',0,'','project1',2.14,25.58,0.17,0,0,0),(706,1344696,'emmyUser2','emmy',4,1599135516,29555,'e0734|e0731|e0730|e0729',0,'','project2',5.07,70.25,41.11,0,0,0),(707,1344692,'emmyUser2','emmy',4,1599135515,31358,'e1109|e1108|e0843|e0842',0,'','project2',5,70.31,41.27,0,0,0),(708,1344641,'emmyUser9','emmy',4,1599135487,65407,'e0138|e0115|e0111|e0110',0,'','project9',6.56,6.14,7.28,0,0,0),(709,1344788,'emmyUser2','emmy',4,1599165072,39086,'e0734|e0731|e0730|e0729',0,'','project2',5.34,82.43,40.11,0,0,0),(710,1344965,'emmyUser1','emmy',4,1599199157,7244,'e0121|e1032|e1030|e1005',0,'','project1',40.68,40.79,53.54,0,0,0),(711,1344695,'emmyUser2','emmy',4,1599135516,86428,'e0816|e0804|e0737|e0735',0,'','project2',22.38,151.4,60.73,0,0,0),(712,1344703,'emmyUser2','emmy',4,1599135518,86433,'e0728|e0727|e0726|e0706',0,'','project2',7.76,96.15,48.39,0,0,0),(713,1344704,'emmyUser2','emmy',4,1599135519,86439,'e0654|e0645|e0644|e0643',0,'','project2',7.8,95.42,48.52,0,0,0),(714,1344697,'emmyUser2','emmy',4,1599135518,86440,'e1132|e1131|e1130|e1018',0,'','project2',22.34,153.02,61.47,0,0,0),(715,1344949,'emmyUser1','emmy',8,1599194781,35899,'e0911|e0909|e0851|e0850|e0633|e0632|e0631|e0630',0,'','project1',17.06,49.22,32.6,0,0,0),(716,1345156,'emmyUser1','emmy',4,1599233858,173,'e0108|e0107|e0106|e0105',0,'','project1',23.36,0.22,12.61,0,0,0),(717,1345162,'emmyUser1','emmy',4,1599236450,307,'e0108|e0107|e0106|e0105',0,'','project1',21.41,31.64,16.51,0,0,0),(718,1345201,'emmyUser1','emmy',8,1599255025,40398,'e0821|e0820|e0817|e0742|e0610|e0348|e0233|e0207',0,'','project1',17.67,43.92,30.72,0,0,0),(719,1345060,'emmyUser2','emmy',4,1599283135,15785,'e0705|e0653|e0650|e0649',0,'','project2',5.89,76.51,39.02,0,0,0),(720,1345061,'emmyUser2','emmy',4,1599283135,24116,'e0646|e0640|e0639|e0350',0,'','project2',5.45,76.63,39.15,0,0,0),(721,1345064,'emmyUser2','emmy',4,1599283135,26377,'e0248|e0122|e0117|e0114',0,'','project2',5.87,80.71,40.49,0,0,0),(722,1344978,'emmyUser2','emmy',4,1599282358,28161,'e0151|e0150|e0149|e0148',0,'','project2',5.41,81.98,40.6,0,0,0),(723,1345290,'emmyUser1','emmy',4,1599325855,440,'e1013|e0951|e0648|e0647',0,'','project1',19.51,73.85,31.5,0,0,0),(724,1345296,'emmyUser1','emmy',4,1599326778,216,'e1013|e0951|e0648|e0647',0,'','project1',24.21,21.52,26.89,0,0,0),(725,1345255,'emmyUser2','emmy',4,1599393946,15257,'e0819|e0549|e0543|e0542',0,'','project2',5.28,78.07,41.28,0,0,0),(726,1345357,'emmyUser2','emmy',4,1599414502,1202,'e0425|e0423|e0422|e0421',0,'','project2',9.02,49.34,30.34,0,0,0),(727,1345259,'emmyUser2','emmy',4,1599393947,22268,'e0536|e0533|e0532|e0452',0,'','project2',18.5,80.62,41,0,0,0),(728,1345181,'emmyUser2','emmy',4,1599333450,83648,'e0145|e0131|e0130|e0125',0,'','project2',7.89,96.37,48.7,0,0,0),(729,1345179,'emmyUser2','emmy',4,1599333334,83909,'e0150|e0149|e0147|e0136',0,'','project2',7.93,95.78,48.75,0,0,0),(730,1345360,'emmyUser2','emmy',4,1599417246,1834,'e0150|e0149|e0147|e0136',0,'','project2',9.08,52.01,31.83,0,0,0),(731,1345470,'emmyUser1','emmy',4,1599423229,453,'e0108|e0105|e0104|e0103',0,'','project1',20.65,96.71,33.1,0,0,0),(732,1345453,'emmyUser2','emmy',4,1599425772,21747,'e0921|e0920|e0919|e0917',0,'','project2',5.33,80.6,41,0,0,0),(733,1345556,'emmyUser2','emmy',4,1599447524,10094,'e0921|e0920|e0919|e0917',0,'','project2',5.28,79.12,41.09,0,0,0),(734,1345566,'emmyUser9','emmy',4,1599458194,153,'e0419|e0417|e0414|e0412',0,'','project9',5.29,0.66,2.13,0,0,0),(735,1345456,'emmyUser2','emmy',4,1599425999,35586,'e0741|e0738|e0644|e0643',0,'','project2',7.85,92.39,48.79,0,0,0),(736,1345506,'emmyUser1','emmy',8,1599429796,40556,'e1011|e1006|e0930|e0929|e0928|e0906|e0515|e0506',0,'','project1',18.46,44.48,30.76,0,0,0),(737,1345715,'emmyUser1','emmy',2,1599479135,567,'e1008|e0216',0,'','project1',47.56,95.65,6.6,0,0,0),(738,1345780,'emmyUser1','emmy',2,1599488576,73,'e0106|e0105',0,'','project1',2.9,16.32,0.14,0,0,0),(739,1345775,'emmyUser1','emmy',2,1599489380,1447,'e0511|e0508',0,'','project1',22.27,90.8,5.83,0,0,0),(740,1345455,'emmyUser2','emmy',4,1599425996,67961,'e0934|e0931|e0922|e0835',0,'','project2',7.88,94.79,48.59,0,0,0),(741,1345359,'emmyUser2','emmy',4,1599417102,79484,'e0541|e0529|e0145|e0131',0,'','project2',22.14,150.17,60.78,0,0,0),(742,1345358,'emmyUser2','emmy',4,1599415744,81996,'e0425|e0423|e0422|e0421',0,'','project2',22.01,141.31,49.6,0,0,0),(743,1345846,'emmyUser2','emmy',4,1599494550,10199,'e0526|e0525|e0523|e0521',0,'','project2',7.57,92.83,48.14,0,0,0),(744,1346047,'emmyUser1','emmy',2,1599505752,808,'e0120|e0118',0,'','project1',14.63,56.49,4.91,0,0,0),(745,1346184,'emmyUser1','emmy',4,1599508087,766,'e0108|e0107|e0106|e0105',0,'','project1',37.33,84.33,38.69,0,0,0),(746,1345675,'emmyUser2','emmy',4,1599473435,36629,'e1121|e1113|e1104|e1025',0,'','project2',6.25,88.58,38.73,0,0,0),(747,1346048,'emmyUser1','emmy',2,1599506562,7538,'e0120|e0118',0,'','project1',15.95,66.94,5.28,0,0,0),(748,1345565,'emmyUser9','emmy',4,1599458194,65043,'e0441|e0437|e0432|e0427',0,'','project9',6.46,6.12,7.21,0,0,0),(749,1346197,'emmyUser1','emmy',2,1599515680,7630,'e0634|e0633',0,'','project1',7.79,112.94,64.28,0,0,0),(750,1346198,'emmyUser1','emmy',2,1599516937,6825,'e0941|e0916',0,'','project1',7.17,114.61,64.51,0,0,0),(751,1345677,'emmyUser2','emmy',4,1599475093,49548,'e0150|e0134|e0126|e0119',0,'','project2',6.3,88.47,38.58,0,0,0),(752,1346223,'emmyUser2','emmy',4,1599526321,1878,'e0911|e0909|e0354|e0342',0,'','project2',5.85,85.05,38.05,0,0,0),(753,1346228,'emmyUser9','emmy',4,1599542429,129,'e0939|e0146|e0144|e0124',0,'','project9',4.04,0,0.52,0,0,0),(754,1345679,'emmyUser2','emmy',4,1599478257,66284,'e0530|e0451|e0449|e0447',0,'','project2',6.32,77.98,42.28,0,0,0),(755,1345685,'emmyUser2','emmy',4,1599494543,61151,'e0545|e0540|e0539|e0538',0,'','project2',6.3,77.9,42.57,0,0,0),(756,1346253,'emmyUser2','emmy',4,1599558153,1244,'e0731|e0722|e0720|e0705',0,'','project2',5.43,74.88,40.32,0,0,0),(757,1345676,'emmyUser2','emmy',4,1599473579,86460,'e0351|e0348|e0347|e0340',0,'','project2',9.3,102.1,47.71,0,0,0),(758,1346230,'emmyUser2','emmy',4,1599545111,15494,'e0322|e0150|e0141|e0126',0,'','project2',6.33,76.22,42.43,0,0,0),(759,1346033,'emmyUser2','emmy',4,1599505269,57214,'e0824|e0821|e0334|e0333',0,'','project2',22.27,153.33,54.63,0,0,0),(760,1346259,'emmyUser2','emmy',4,1599559275,3209,'e0335|e0219|e0132|e0128',0,'','project2',9.11,60.69,34.07,0,0,0),(761,1345850,'emmyUser2','emmy',4,1599502495,60149,'e0135|e0133|e0129|e0123',0,'','project2',22.32,149.46,60.42,0,0,0),(762,1346340,'emmyUser1','emmy',2,1599570579,153,'e0638|e0636',0,'','project1',4.88,88.58,11.72,0,0,0),(763,1346425,'emmyUser9','emmy',4,1599578891,125,'e0234|e0225|e0151|e0128',0,'','project9',4.14,0.01,0.1,0,0,0),(764,1346462,'emmyUser9','emmy',4,1599588967,127,'e0950|e0949|e0948|e0945',0,'','project9',4,0,0.27,0,0,0),(765,1346463,'emmyUser9','emmy',4,1599588967,127,'e0926|e0839|e0827|e0637',0,'','project9',3.88,0,0.15,0,0,0),(766,1346474,'emmyUser6','emmy',4,1599590331,3637,'e1019|e1008|e0950|e0949',0,'','project6',30.05,15.35,3.78,0,0,0),(767,1346473,'emmyUser6','emmy',2,1599590318,3661,'e1106|e1020',0,'','project6',30.52,39.04,8.76,0,0,0),(768,1346267,'emmyUser2','emmy',4,1599561161,46775,'e0137|e0136|e0127|e0126',0,'','project2',6.19,76.6,43.23,0,0,0),(769,1346263,'emmyUser2','emmy',4,1599559744,60746,'e0705|e0352|e0319|e0206',0,'','project2',6.28,88.4,38.63,0,0,0),(770,1346258,'emmyUser2','emmy',4,1599559275,86448,'e0820|e0818|e0814|e0808',0,'','project2',9.24,102.2,47.73,0,0,0),(771,1346536,'emmyUser2','emmy',4,1599629799,15970,'e0246|e0234|e0228|e0225',0,'','project2',6.27,74.8,43.39,0,0,0),(772,1346534,'emmyUser2','emmy',4,1599629192,16594,'e0645|e0344|e0343|e0331',0,'','project2',11.27,74.23,43.85,0,0,0),(773,1346707,'emmyUser9','emmy',4,1599659561,128,'e0903|e0843|e0840|e0803',0,'','project9',4.03,1.98,0.54,0,0,0),(774,1346764,'emmyUser9','emmy',4,1599677687,145,'e0612|e0610|e0344|e0343',0,'','project9',5.57,0.02,0.62,0,0,0),(775,1346293,'emmyUser2','emmy',4,1599622841,59317,'e0607|e0605|e0603|e0602',0,'','project2',22.05,157.04,55.57,0,0,0),(776,1346291,'emmyUser2','emmy',4,1599620493,63617,'e0705|e0352|e0319|e0206',0,'','project2',22.14,150.09,61.23,0,0,0),(777,1346766,'emmyUser1','emmy',2,1599678542,5616,'e1123|e1122',0,'','project1',39.67,313.96,49.02,0,0,0),(778,1346794,'emmyUser1','emmy',2,1599684834,3270,'e1123|e0203',0,'','project1',36.56,27.65,6.9,0,0,0),(779,1346866,'emmyUser1','emmy',2,1599718716,857,'e1122|e1024',0,'','project1',21.08,91.13,26.35,0,0,0),(780,1346539,'emmyUser2','emmy',4,1599679533,43067,'e0223|e0202|e0146|e0138',0,'','project2',6.29,88.46,38.62,0,0,0),(781,1346657,'emmyUser2','emmy',8,1599679538,49991,'e0739|e0738|e0734|e0725|e0716|e0713|e0712|e0706',0,'','project2',8.79,85.55,36.95,0,0,0),(782,1346919,'emmyUser1','emmy',2,1599731569,424,'e0108|e0107',0,'','project1',13.97,19.52,5.68,0,0,0),(783,1346917,'emmyUser1','emmy',2,1599731616,1364,'e0636|e0635',0,'','project1',43.21,290.94,45.22,0,0,0),(784,1346646,'emmyUser2','emmy',4,1599685587,47577,'e0917|e0916|e0634|e0633',0,'','project2',6.33,77.02,43.88,0,0,0),(785,1346658,'emmyUser2','emmy',8,1599679538,54376,'e0655|e0652|e0650|e0649|e0630|e0626|e0623|e0619',0,'','project2',8.73,85.95,37.04,0,0,0),(786,1346644,'emmyUser2','emmy',4,1599685587,49413,'e0941|e0921|e0920|e0919',0,'','project2',6.38,77.59,43.91,0,0,0),(787,1346763,'emmyUser9','emmy',4,1599677497,64006,'e0714|e0701|e0643|e0637',0,'','project9',6.3,6.08,7.25,0,0,0),(788,1347000,'emmyUser1','emmy',2,1599743925,3207,'e0922|e0908',0,'','project1',14,27.46,6.51,0,0,0),(789,1346815,'emmyUser1','emmy',8,1599689600,64505,'e1123|e1114|e1026|e0942|e0808|e0708|e0141|e0123',0,'','project1',51.08,0.57,0.2,0,0,0),(790,1346998,'emmyUser9','emmy',4,1599742709,13244,'e0905|e0852|e0714|e0701',0,'','project9',6.25,6.04,7.3,0,0,0),(791,1347052,'emmyUser1','emmy',2,1599761732,1970,'e0102|e0101',0,'','project1',13.46,67.7,44.03,0,0,0),(792,1347151,'emmyUser1','emmy',2,1599772227,286,'e0139|e0131',0,'','project1',13.28,67.44,42.75,0,0,0),(793,1347168,'emmyUser1','emmy',2,1599774345,2221,'e0932|e0122',0,'','project1',10.03,68.99,45.12,0,0,0),(794,1347180,'emmyUser1','emmy',2,1599779377,1938,'e0730|e0719',0,'','project1',13.34,69.21,46.91,0,0,0),(795,1347121,'emmyUser9','emmy',4,1599762555,27660,'e1115|e1023|e0749|e0748',0,'','project9',6.2,5.78,6.98,0,0,0),(796,1347189,'emmyUser6','emmy',2,1599787419,3628,'e0107|e0106',0,'','project6',30.57,71.04,16.96,0,0,0),(797,1347275,'emmyUser1','emmy',4,1599819253,122,'e0129|e0114|e0113|e0112',0,'','project1',8.32,39.3,15.67,0,0,0),(798,1347278,'emmyUser1','emmy',2,1599819376,889,'e0129|e0114',0,'','project1',24.6,299.86,45.42,0,0,0),(799,1347258,'emmyUser1','emmy',2,1599817412,2913,'e0742|e0739',0,'','project1',13.37,68.64,45.51,0,0,0),(800,1347263,'emmyUser1','emmy',2,1599817350,3625,'e0108|e0107',0,'','project1',18.16,70.33,46.16,0,0,0),(801,1347288,'emmyUser1','emmy',8,1599819461,2653,'e0106|e0105|e0104|e0103|e0102|e0101|e0134|e0113',0,'','project1',48.06,51.95,10.58,0,0,0),(802,1347305,'emmyUser1','emmy',8,1599826139,2613,'e0108|e0107|e0106|e0105|e0104|e0103|e0102|e0101',0,'','project1',46.38,64.48,8.5,0,0,0),(803,1347217,'emmyUser9','emmy',4,1599810895,42043,'e1005|e1003|e0729|e0349',0,'','project9',6.53,6.09,7.36,0,0,0),(804,1347611,'emmyUser9','emmy',4,1599894833,148,'e1032|e1002|e0810|e0708',0,'','project9',5.06,0.01,0.52,0,0,0),(805,1346912,'emmyUser2','emmy',8,1599862432,38533,'e1123|e0918|e0730|e0719|e0352|e0319|e0226|e0206',0,'','project2',8.74,83.95,37.13,0,0,0),(806,1347640,'emmyUser1','emmy',4,1599904635,435,'e1011|e1010|e1009|e1008',0,'','project1',9.24,25.95,28.55,0,0,0),(807,1347641,'emmyUser1','emmy',8,1599904743,1098,'e1115|e1018|e1017|e1016|e1015|e1014|e0943|e0937',0,'','project1',5.37,16.16,9.72,0,0,0),(808,1346929,'emmyUser2','emmy',8,1599975691,38274,'e0620|e0619|e0618|e0617|e0616|e0615|e0112|e0111',0,'','project2',8.71,84.82,37.13,0,0,0),(809,1348166,'emmyUser9','emmy',4,1600014393,141,'e0111|e0107|e0105|e0103',0,'','project9',5.3,0.35,0.97,0,0,0),(810,1348258,'emmyUser1','emmy',2,1600030325,227,'e0723|e0621',0,'','project1',4.22,238.77,16.15,0,0,0),(811,1348429,'emmyUser9','emmy',4,1600072922,145,'e1131|e1130|e1117|e1116',0,'','project9',4.51,0.03,0.36,0,0,0),(812,1348450,'emmyUser9','emmy',4,1600073805,115,'e0106|e0105|e0104|e0103',0,'','project9',3.87,0,0.37,0,0,0),(813,1347279,'emmyUser2','emmy',8,1600079435,4023,'e1125|e1117|e1116|e1005|e0635|e0624|e0623|e0150',0,'','project2',6.23,61.16,26.79,0,0,0),(814,1347280,'emmyUser2','emmy',8,1600078970,5620,'e0807|e0806|e0805|e0738|e0734|e0731|e0725|e0719',0,'','project2',6.75,53.44,33.94,0,0,0),(815,1348709,'emmyUser9','emmy',4,1600086156,146,'e0653|e0646|e0628|e0625',0,'','project9',5.63,0.32,1.32,0,0,0),(816,1348714,'emmyUser9','emmy',4,1600086857,146,'e1017|e1015|e1014|e1011',0,'','project9',5.52,0.76,0.58,0,0,0),(817,1348723,'emmyUser1','emmy',2,1600088507,913,'e0139|e0138',0,'','project1',3.99,182.14,8.5,0,0,0),(818,1348716,'emmyUser1','emmy',2,1600087230,3664,'e0102|e0101',0,'','project1',9.19,7.07,3.87,0,0,0),(819,1348717,'emmyUser9','emmy',4,1600087389,6055,'e1017|e1015|e1014|e1011',0,'','project9',6.2,7.3,9.26,0,0,0),(820,1348776,'emmyUser1','emmy',2,1600093607,3635,'e0102|e1017',0,'','project1',8.88,2.55,2.54,0,0,0),(821,1347281,'emmyUser2','emmy',8,1600082592,22255,'e0321|e0224|e0203|e0147|e0142|e0131|e0125|e0123',0,'','project2',6.86,54.87,33.04,0,0,0),(822,1349070,'emmyUser1','emmy',4,1600107273,654,'e1022|e1021|e0851|e0850',0,'','project1',3.59,0.65,0.36,0,0,0),(823,1349262,'emmyUser1','emmy',2,1600122321,4973,'e1129|e1127',0,'','project1',17.96,67.85,45.43,0,0,0),(824,1349260,'emmyUser1','emmy',2,1600122167,6454,'e0154|e0137',0,'','project1',18.19,70.58,45.16,0,0,0),(825,1349415,'emmyUser1','emmy',4,1600130361,271,'e0105|e0104|e0103|e0102',0,'','project1',10.67,38.89,6.47,0,0,0),(826,1349414,'emmyUser1','emmy',2,1600131815,451,'e0105|e0104',0,'','project1',8.92,27.19,20.4,0,0,0),(827,1349036,'emmyUser9','emmy',4,1600102896,42055,'e0544|e0505|e0504|e0503',0,'','project9',10.06,5.77,6.93,0,0,0),(828,1349657,'emmyUser1','emmy',2,1600171306,2188,'e0108|e0107',0,'','project1',34.44,301,49.26,0,0,0),(829,1348320,'emmyUser2','emmy',8,1600204267,59128,'e1105|e0808|e0750|e0738|e0734|e0732|e0731|e0725',0,'','project2',19.9,139.99,51.84,0,0,0),(830,1349926,'emmyUser9','emmy',4,1600235913,42052,'e0202|e0156|e0143|e0137',0,'','project9',6.77,6.11,7.27,0,0,0),(831,1348324,'emmyUser2','emmy',8,1600204280,77775,'e0722|e0643|e0615|e0545|e0526|e0516|e0422|e0421',0,'','project2',20.11,116.05,51.44,0,0,0),(832,1350285,'emmyUser1','emmy',2,1600291941,705,'e0102|e0101',0,'','project1',25.64,280.62,44.47,0,0,0),(833,1350295,'emmyUser1','emmy',2,1600293068,1605,'e0101|e0138',0,'','project1',18.26,308.22,48.59,0,0,0),(834,1350307,'emmyUser1','emmy',2,1600295044,681,'e0102|e0101',0,'','project1',26.95,297.68,45.83,0,0,0),(835,1350321,'emmyUser1','emmy',2,1600296078,666,'e0102|e0101',0,'','project1',27.03,267.62,42.48,0,0,0),(836,1350376,'emmyUser1','emmy',2,1600323361,689,'e0106|e0105',0,'','project1',27.03,292.83,52.26,0,0,0),(837,1350386,'emmyUser1','emmy',2,1600324675,706,'e0108|e0107',0,'','project1',25.81,256.83,54.02,0,0,0),(838,1350388,'emmyUser1','emmy',2,1600325654,408,'e0108|e0107',0,'','project1',49.16,126.84,32.15,0,0,0),(839,1350390,'emmyUser1','emmy',2,1600326109,406,'e0108|e0107',0,'','project1',13.86,174.2,28.75,0,0,0),(840,1350409,'emmyUser1','emmy',2,1600331638,482,'e0102|e0101',0,'','project1',56.51,140.38,37.2,0,0,0),(841,1350412,'emmyUser1','emmy',2,1600332328,415,'e0518|e0409',0,'','project1',23.97,160.22,29.26,0,0,0),(842,1350421,'emmyUser1','emmy',2,1600333157,499,'e0107|e0106',0,'','project1',15.79,297.27,44.18,0,0,0),(843,1350426,'emmyUser1','emmy',2,1600333925,161,'e0108|e0107',0,'','project1',1.96,1.88,0.48,0,0,0),(844,1350427,'emmyUser1','emmy',2,1600334133,172,'e0108|e0107',0,'','project1',3.21,1.44,0.26,0,0,0),(845,1350428,'emmyUser1','emmy',2,1600334346,350,'e0108|e0107',0,'','project1',5.27,6.01,0.97,0,0,0),(846,1350472,'emmyUser1','emmy',2,1600337615,250,'e0104|e0103',0,'','project1',9.27,227.52,24.79,0,0,0),(847,1349611,'emmyUser2','emmy',8,1600333439,16208,'e0321|e0306|e0302|e0247|e0244|e0243|e0133|e0129',0,'','project2',6.92,60.37,30.57,0,0,0),(848,1350683,'emmyUser1','emmy',2,1600357532,7244,'e0204|e0150',0,'','project1',12.91,30.5,28.39,0,0,0),(849,1350383,'emmyUser9','emmy',4,1600325337,42059,'e1122|e0930|e0908|e0849',0,'','project9',6.25,6.11,7.26,0,0,0),(850,1349931,'emmyUser2','emmy',8,1600364577,3693,'e1124|e1123|e1121|e1115|e1114|e1031|e0515|e0514',0,'','project2',7.23,83.13,34.96,0,0,0),(851,1350703,'emmyUser9','emmy',4,1600372372,128,'e0907|e0752|e0635|e0629',0,'','project9',4.72,0.89,1.11,0,0,0),(852,1350893,'emmyUser1','emmy',2,1600434220,4348,'e0227|e0224',0,'','project1',18.29,68.6,44.95,0,0,0),(853,1350943,'emmyUser1','emmy',2,1600441800,8746,'e0326|e0227',0,'','project1',10.84,32.87,25.88,0,0,0),(854,1350969,'emmyUser1','emmy',4,1600462954,366,'e0503|e0443|e0431|e0425',0,'','project1',7.03,60.52,3.67,0,0,0),(855,1349610,'emmyUser2','emmy',4,1600479250,2431,'e0218|e0216|e0214|e0155',0,'','project2',10.02,59.22,33.62,0,0,0),(856,1348589,'emmyUser2','emmy',4,1600479250,6155,'e0154|e0143|e0121|e0118',0,'','project2',11.37,77.82,46.77,0,0,0),(857,1351117,'emmyUser1','emmy',4,1600553144,155,'e0242|e0239|e0234|e0211',0,'','project1',9.55,16.45,10.62,0,0,0),(858,1351123,'emmyUser1','emmy',2,1600554199,3910,'e0355|e0351',0,'','project1',7.06,119.86,67.54,0,0,0),(859,1351121,'emmyUser1','emmy',2,1600553572,7242,'e0405|e0356',0,'','project1',11,34.16,25.95,0,0,0),(860,1350844,'emmyUser2','emmy',8,1600532207,39248,'e1124|e1123|e1121|e1115|e1114|e1031|e0929|e0849',0,'','project2',13.59,57.44,33.53,0,0,0),(861,1350848,'emmyUser2','emmy',8,1600532207,41752,'e0815|e0814|e0813|e0812|e0751|e0747|e0640|e0535',0,'','project2',6.98,57.3,33.25,0,0,0),(862,1350845,'emmyUser2','emmy',4,1600576610,3092,'e0225|e0223|e0221|e0212',0,'','project2',11.49,75.6,46.04,0,0,0),(863,1350978,'emmyUser2','emmy',8,1600533522,52649,'e1009|e0952|e0947|e0946|e0537|e0536|e0524|e0513',0,'','project2',20.03,139.68,52.18,0,0,0),(864,1350850,'emmyUser2','emmy',4,1600709984,2892,'e0630|e0629|e0628|e0627',0,'','project2',11.98,61.37,36.8,0,0,0),(865,1350849,'emmyUser2','emmy',4,1600709984,4393,'e0634|e0633|e0632|e0631',0,'','project2',9.47,60.95,36.08,0,0,0),(866,1351141,'emmyUser2','emmy',8,1600710045,8449,'e0249|e0248|e0247|e0246|e0245|e0244|e0243|e0242',0,'','project2',6.64,55.46,34.25,0,0,0),(867,1351248,'emmyUser1','emmy',2,1600709972,11407,'e1028|e1027',0,'','project1',17.3,36.68,28.42,0,0,0),(868,1351145,'emmyUser2','emmy',8,1600710055,22856,'e0149|e0148|e0147|e0146|e0145|e0144|e0143|e0142',0,'','project2',6.65,55.8,34.54,0,0,0),(869,1351176,'emmyUser2','emmy',8,1600710055,51477,'e0141|e0139|e0138|e0137|e0136|e0135|e0134|e0133',0,'','project2',19.78,138.84,52.26,0,0,0),(870,1351395,'emmyUser1','emmy',2,1600760486,3871,'e0645|e0236',0,'','project1',6.69,128.13,66.75,0,0,0),(871,1351114,'emmyUser2','emmy',8,1600709984,57028,'e0626|e0625|e0624|e0623|e0622|e0621|e0620|e0619',0,'','project2',19.86,132.84,59.17,0,0,0),(872,1351429,'emmyUser1','emmy',4,1600767891,128,'e0101|e0132|e0131|e0130',0,'','project1',7.33,8.53,4.51,0,0,0),(873,1351434,'emmyUser1','emmy',4,1600768892,85734,'e0642|e0641|e0638|e0637',0,'','project1',28.5,46,34.12,0,0,0),(874,1351421,'emmyUser2','emmy',8,1600834401,49825,'e0951|e0726|e0725|e0724|e0723|e0722|e0655|e0631',0,'','project2',19.94,126.55,57.52,0,0,0),(875,1351404,'emmyUser2','emmy',8,1600833157,54252,'e0247|e0246|e0245|e0244|e0243|e0242|e0226|e0141',0,'','project2',19.82,137.34,51.23,0,0,0),(876,1352152,'emmyUser2','emmy',8,1601013776,3200,'e1129|e1028|e1027|e0831|e0826|e0825|e0824|e0618',0,'','project2',7.1,59.56,29.84,0,0,0),(877,1352344,'emmyUser3','emmy',2,1601026120,2710,'e0719|e0408',0,'','project3',8.23,23.36,71.3,0,0,0),(878,1352345,'emmyUser3','emmy',2,1601026896,3074,'e0944|e0808',0,'','project3',8.81,22.6,68.53,0,0,0),(879,1352347,'emmyUser3','emmy',2,1601026896,3133,'e0801|e0752',0,'','project3',9.21,23.26,72.92,0,0,0),(880,1352349,'emmyUser3','emmy',2,1601026897,3335,'e0750|e0749',0,'','project3',9.54,23.01,71.34,0,0,0),(881,1352350,'emmyUser3','emmy',2,1601026897,3341,'e0748|e0747',0,'','project3',9.85,22.48,71.7,0,0,0),(882,1352346,'emmyUser3','emmy',2,1601026896,3349,'e0803|e0802',0,'','project3',9.2,23.08,71.98,0,0,0),(883,1352351,'emmyUser3','emmy',2,1601026938,3336,'e0721|e0432',0,'','project3',10.33,23.26,72.25,0,0,0),(884,1352186,'emmyUser1','emmy',4,1600954445,86457,'e0327|e0326|e0153|e0152',0,'','project1',47.63,19.88,41.15,0,0,0),(885,1352419,'emmyUser1','emmy',4,1601046389,7266,'e0652|e0651|e0240|e0114',0,'','project1',23.04,92.66,18.44,0,0,0),(886,1352385,'emmyUser2','emmy',4,1601054642,2907,'e0909|e0902|e0901|e0848',0,'','project2',9.73,62.02,39.76,0,0,0),(887,1352160,'emmyUser2','emmy',8,1601014868,44306,'e0331|e0330|e0307|e0247|e0246|e0245|e0244|e0243',0,'','project2',19.91,129.6,59.32,0,0,0),(888,1352153,'emmyUser2','emmy',8,1601013776,55702,'e0444|e0441|e0338|e0337|e0333|e0332|e0325|e0241',0,'','project2',19.81,140.29,52.02,0,0,0),(889,1352184,'emmyUser2','emmy',4,1601044775,29381,'e1127|e1124|e1123|e1122',0,'','project2',6.6,85.44,42.86,0,0,0),(890,1352182,'emmyUser2','emmy',4,1601044631,31791,'e0427|e0420|e0124|e0123',0,'','project2',5.63,83.22,41.36,0,0,0),(891,1352557,'emmyUser2','emmy',4,1601086334,25283,'e0327|e0326|e0313|e0312',0,'','project2',5.65,82.52,42.02,0,0,0),(892,1352563,'emmyUser2','emmy',4,1601088262,25609,'e0220|e0208|e0150|e0143',0,'','project2',5.54,82.15,41.66,0,0,0),(893,1352468,'emmyUser2','emmy',8,1601081099,48724,'e0449|e0139|e0130|e0123|e0108|e0107|e0106|e0105',0,'','project2',19.88,130.29,59.19,0,0,0),(894,1352597,'emmyUser2','emmy',4,1601115905,20843,'e0709|e0708|e0328|e0327',0,'','project2',5.71,80.52,42.01,0,0,0),(895,1352623,'emmyUser2','emmy',4,1601116460,21506,'e0805|e0745|e0744|e0743',0,'','project2',5.65,80.89,41.99,0,0,0),(896,1352540,'emmyUser2','emmy',8,1601086100,52277,'e0438|e0437|e0429|e0423|e0242|e0202|e0141|e0136',0,'','project2',19.85,136.98,51.68,0,0,0),(897,1352738,'emmyUser2','emmy',4,1601138380,1713,'e0242|e0202|e0141|e0136',0,'','project2',5.45,72.72,38.77,0,0,0),(898,1352742,'emmyUser2','emmy',4,1601149460,704,'e0141|e0128|e0116|e0111',0,'','project2',5.05,70.28,34.85,0,0,0),(899,1352727,'emmyUser2','emmy',8,1601130489,38655,'e0920|e0919|e0905|e0852|e0331|e0303|e0302|e0105',0,'','project2',19.9,126.19,59.07,0,0,0),(900,1352796,'emmyUser2','emmy',8,1601169147,9563,'e0920|e0919|e0905|e0852|e0638|e0634|e0331|e0303',0,'','project2',19.92,130.54,59.05,0,0,0),(901,1352743,'emmyUser2','emmy',8,1601151850,50705,'e0252|e0249|e0247|e0246|e0245|e0244|e0230|e0229',0,'','project2',19.82,138.59,52.18,0,0,0),(902,1352921,'emmyUser2','emmy',4,1601216201,702,'e1117|e0938|e0449|e0307',0,'','project2',4.85,87.97,37.79,0,0,0),(903,1352909,'emmyUser1','emmy',4,1601210910,10824,'e0839|e0833|e0832|e0606',0,'','project1',28.51,96.61,19.36,0,0,0),(904,1352918,'emmyUser2','emmy',4,1601213641,26365,'e0825|e0824|e0815|e0814',0,'','project2',6.51,89.68,39.43,0,0,0),(905,1352894,'emmyUser2','emmy',8,1601203352,49599,'e0247|e0246|e0245|e0244|e0230|e0229|e0136|e0121',0,'','project2',19.83,137.29,51.9,0,0,0),(906,1352919,'emmyUser2','emmy',8,1601215737,70405,'e0803|e0746|e0724|e0656|e0609|e0150|e0129|e0118',0,'','project2',22.29,139.34,58.85,0,0,0),(907,1353165,'emmyUser2','emmy',4,1601299925,2113,'e0701|e0655|e0649|e0648',0,'','project2',8.4,61.86,34.3,0,0,0),(908,1352997,'emmyUser2','emmy',8,1601252953,49937,'e0729|e0639|e0636|e0247|e0246|e0245|e0244|e0230',0,'','project2',19.78,138.57,52.18,0,0,0),(909,1353260,'emmyUser1','emmy',4,1601302916,14300,'e0246|e0245|e0244|e0230',0,'','project1',28.46,87.46,17.66,0,0,0),(910,1353320,'emmyUser1','emmy',4,1601325395,794,'e1011|e0706|e0704|e0628',0,'','project1',47.66,27.43,68.8,0,0,0),(911,1353322,'emmyUser1','emmy',4,1601326278,986,'e1011|e0706|e0704|e0628',0,'','project1',47.6,30.92,73.66,0,0,0),(912,1353325,'emmyUser1','emmy',4,1601327306,1567,'e1011|e0706|e0704|e0628',0,'','project1',48.12,28.73,72.06,0,0,0),(913,1353110,'emmyUser2','emmy',8,1601299925,73147,'e0748|e0747|e0731|e0730|e0722|e0721|e0718|e0717',0,'','project2',22.29,140.65,59.31,0,0,0),(914,1353167,'emmyUser2','emmy',4,1601320627,53951,'e0907|e0906|e0905|e0852',0,'','project2',6.66,89.66,39.52,0,0,0),(915,1353380,'emmyUser2','emmy',8,1601348414,38387,'e0727|e0725|e0720|e0540|e0539|e0538|e0352|e0351',0,'','project2',19.83,134.5,52.35,0,0,0),(916,1353328,'emmyUser1','emmy',4,1601328936,86424,'e1011|e0950|e0916|e0915',0,'','project1',47.57,19.84,40.39,0,0,0),(917,1353599,'emmyUser2','emmy',8,1601422408,38523,'e0903|e0849|e0811|e0804|e0740|e0716|e0653|e0643',0,'','project2',19.84,134.31,52.45,0,0,0),(918,1353900,'emmyUser1','emmy',2,1601474893,206,'e0423|e0419',0,'','project1',2.09,85.19,3.01,0,0,0),(919,1353480,'emmyUser2','emmy',8,1601420342,65752,'e0708|e0705|e0630|e0622|e0613|e0610|e0535|e0534',0,'','project2',22.41,139.97,59.19,0,0,0),(920,1353845,'emmyUser1','emmy',4,1601474286,23413,'e0226|e0220|e0218|e0143',0,'','project1',37.57,72.78,14.52,0,0,0),(921,1353760,'emmyUser2','emmy',8,1601516897,32663,'e0229|e0208|e0150|e0145|e0144|e0136|e0135|e0129',0,'','project2',19.88,129.26,52.24,0,0,0),(922,1354101,'emmyUser1','emmy',2,1601536426,23497,'e0845|e0838',0,'','project1',17.11,36.07,27.85,0,0,0),(923,1354527,'emmyUser1','emmy',2,1601645672,841,'e0223|e0156',0,'','project1',13.72,28.46,7.8,0,0,0),(924,1354540,'emmyUser1','emmy',2,1601646603,2467,'e0535|e0534',0,'','project1',13.82,35.28,9.58,0,0,0),(925,1354747,'emmyUser1','emmy',2,1601744947,6168,'e0308|e0239',0,'','project1',6.13,115.82,64.13,0,0,0),(926,1354041,'emmyUser2','emmy',4,1601721366,30536,'e0212|e0211|e0210|e0209',0,'','project2',4.76,87.11,35.89,0,0,0),(927,1354043,'emmyUser2','emmy',4,1601722945,29221,'e0603|e0442|e0437|e0429',0,'','project2',4.76,86.84,35.76,0,0,0),(928,1354752,'emmyUser1','emmy',2,1601748332,5227,'e0307|e0306',0,'','project1',12.54,33.94,8.43,0,0,0),(929,1354273,'emmyUser2','emmy',4,1601817967,50908,'e0226|e0213|e0112|e0111',0,'','project2',11.26,89.88,39.45,0,0,0),(930,1354762,'emmyUser2','emmy',4,1601856121,12833,'e0719|e0715|e0617|e0532',0,'','project2',4.75,86.41,35.94,0,0,0),(931,1354230,'emmyUser2','emmy',8,1601839486,30104,'e0630|e0629|e0516|e0513|e0429|e0415|e0246|e0245',0,'','project2',19.84,128.36,52.62,0,0,0),(932,1354995,'emmyUser1','emmy',2,1601887202,3702,'e0942|e0716',0,'','project1',5.74,122.01,67,0,0,0),(933,1355199,'emmyUser10','emmy',4,1601904072,2926,'e0106|e0105|e0102|e0101',0,'','project10',24.22,46.39,46.89,0,0,0),(934,1355237,'emmyUser10','emmy',4,1601908574,480,'e0108|e0107|e0106|e0105',0,'','project10',8.28,24.86,27.07,0,0,0),(935,1355004,'emmyUser9','emmy',4,1601888795,63646,'e0826|e0823|e0637|e0236',0,'','project9',6.34,6.01,7.19,0,0,0),(936,1354763,'emmyUser2','emmy',4,1601964049,17195,'e0922|e0920|e0919|e0913',0,'','project2',4.66,85.62,35.65,0,0,0),(937,1355471,'emmyUser1','emmy',2,1601986599,371,'e0521|e0515',0,'','project1',5.85,106.98,61.67,0,0,0),(938,1355470,'emmyUser1','emmy',2,1601986500,470,'e0609|e0608',0,'','project1',4.92,111.99,63.17,0,0,0),(939,1354924,'emmyUser2','emmy',8,1601965070,25112,'e0748|e0747|e0731|e0730|e0724|e0606|e0605|e0602',0,'','project2',19.8,129.27,52.28,0,0,0),(940,1355474,'emmyUser1','emmy',2,1601987053,3677,'e0521|e0515',0,'','project1',6.57,119.49,68.39,0,0,0),(941,1355473,'emmyUser1','emmy',2,1601987046,3688,'e0609|e0608',0,'','project1',6.65,120.28,67,0,0,0),(942,1355475,'emmyUser1','emmy',2,1601987059,3896,'e0514|e0221',0,'','project1',6.71,120.67,66.45,0,0,0),(943,1355716,'emmyUser1','emmy',2,1602016715,3650,'e0102|e0101',0,'','project1',5.63,122.6,68.46,0,0,0),(944,1355717,'emmyUser1','emmy',2,1602019852,3601,'e0216|e0147',0,'','project1',5.93,123.26,65.8,0,0,0),(945,1355745,'emmyUser1','emmy',2,1602024038,111,'e0101|e0115',0,'','project1',4.79,8.45,4.29,0,0,0),(946,1354809,'emmyUser2','emmy',8,1601964049,61129,'e1025|e1023|e1021|e1019|e1017|e0941|e0936|e0930',0,'','project2',22.33,137.28,58.48,0,0,0),(947,1355399,'emmyUser9','emmy',4,1601962606,63634,'e0702|e0118|e0113|e0111',0,'','project9',6.53,6.21,7.46,0,0,0),(948,1354922,'emmyUser2','emmy',4,1601990417,57148,'e0610|e0606|e0128|e0127',0,'','project2',6.64,90.11,39.52,0,0,0),(949,1355741,'emmyUser1','emmy',4,1602023941,66969,'e0307|e0306|e0207|e0143',0,'','project1',46.59,21.57,36.49,0,0,0),(950,1355743,'emmyUser1','emmy',4,1602025180,85430,'e1025|e1023|e1021|e1019',0,'','project1',44.33,19.66,37.69,0,0,0),(951,1355384,'emmyUser2','emmy',4,1602119643,1227,'e0609|e0608|e0521|e0515',0,'','project2',4.81,84.04,33.11,0,0,0),(952,1355770,'emmyUser9','emmy',4,1602048872,85227,'e0601|e0552|e0551|e0415',0,'','project9',6.72,6.16,7.47,0,0,0),(953,1355854,'emmyUser1','emmy',4,1602064642,73676,'e0808|e0655|e0524|e0138',0,'','project1',43.87,26.16,31.95,0,0,0),(954,1355448,'emmyUser2','emmy',4,1602127914,19893,'e0351|e0349|e0348|e0346',0,'','project2',4.7,85.91,35.59,0,0,0),(955,1355746,'emmyUser2','emmy',8,1602200836,47481,'e0725|e0709|e0633|e0542|e0537|e0533|e0531|e0527',0,'','project2',22.34,137.12,58.95,0,0,0),(956,1355841,'emmyUser2','emmy',4,1602236023,29544,'e0649|e0642|e0636|e0630',0,'','project2',4.74,87.34,35.92,0,0,0),(957,1356316,'emmyUser1','emmy',4,1602236021,58082,'e1016|e1015|e1014|e1002',0,'','project1',49.31,88.03,17.49,0,0,0),(958,1356317,'emmyUser1','emmy',4,1602236022,58274,'e0941|e0940|e0936|e0934',0,'','project1',49.25,89.27,17.76,0,0,0),(959,1356074,'emmyUser2','emmy',4,1602288174,15917,'e0237|e0203|e0201|e0156',0,'','project2',6.33,86.63,36.13,0,0,0),(960,1356455,'emmyUser2','emmy',4,1602319603,356,'e0151|e0149|e0148|e0147',0,'','project2',11.27,72.77,30.64,0,0,0),(961,1356382,'emmyUser2','emmy',4,1602317921,2399,'e0501|e0451|e0443|e0442',0,'','project2',11.3,61.46,35.01,0,0,0),(962,1355846,'emmyUser2','emmy',4,1602288116,33279,'e0325|e0324|e0323|e0322',0,'','project2',4.77,86.73,35.77,0,0,0),(963,1356368,'emmyUser2','emmy',8,1602307130,27178,'e0305|e0249|e0248|e0241|e0233|e0213|e0212|e0211',0,'','project2',22.29,140.77,58.94,0,0,0),(964,1356393,'emmyUser2','emmy',4,1602317921,16921,'e0441|e0440|e0438|e0437',0,'','project2',5.53,81.64,42.16,0,0,0),(965,1356395,'emmyUser2','emmy',4,1602319603,18717,'e0209|e0207|e0206|e0205',0,'','project2',5.59,81.78,42.15,0,0,0),(966,1356475,'emmyUser2','emmy',4,1602322611,19859,'e0826|e0825|e0824|e0823',0,'','project2',4.76,86.78,35.96,0,0,0),(967,1356411,'emmyUser2','emmy',4,1602319603,24711,'e0204|e0154|e0153|e0152',0,'','project2',10.95,86.85,35.96,0,0,0),(968,1356499,'emmyUser2','emmy',4,1602345215,15828,'e0311|e0310|e0306|e0233',0,'','project2',5.59,80.17,42.17,0,0,0),(969,1356625,'emmyUser2','emmy',4,1602362086,663,'e0908|e0905|e0545|e0544',0,'','project2',37.9,81.09,39.95,0,0,0),(970,1356510,'emmyUser2','emmy',4,1602347354,17798,'e1132|e1025|e0613|e0144',0,'','project2',5.74,81.05,41.81,0,0,0),(971,1356397,'emmyUser2','emmy',8,1602317919,81003,'e0724|e0723|e0722|e0705|e0703|e0632|e0631|e0622',0,'','project2',22.18,148.41,51.6,0,0,0),(972,1356659,'emmyUser2','emmy',4,1602370318,30169,'e0810|e0809|e0409|e0407',0,'','project2',42.73,116.93,68.25,0,0,0),(973,1356706,'emmyUser2','emmy',8,1602429405,70189,'e1119|e1118|e1117|e1009|e0947|e0938|e0929|e0928',0,'','project2',22.24,149.56,51.76,0,0,0),(974,1357342,'emmyUser1','emmy',4,1602541182,215,'e0902|e0849|e0716|e0644',0,'','project1',47.23,34.59,8.71,0,0,0),(975,1357321,'emmyUser1','emmy',2,1602539322,6092,'e0655|e0654',0,'','project1',6.06,112.31,63.53,0,0,0),(976,1357345,'emmyUser1','emmy',4,1602541473,5956,'e0902|e0849|e0716|e0644',0,'','project1',31.94,99.12,19.93,0,0,0),(977,1357052,'emmyUser2','emmy',8,1602499596,60668,'e1119|e1118|e1117|e1009|e0947|e0938|e0929|e0928',0,'','project2',22.26,148.68,51.73,0,0,0),(978,1357333,'emmyUser1','emmy',4,1602539720,23289,'e0647|e0646|e0645|e0615',0,'','project1',49.41,55.37,11.1,0,0,0),(979,1356958,'emmyUser9','emmy',4,1602487086,85240,'e0523|e0520|e0519|e0517',0,'','project9',24.96,6.22,7.49,0,0,0),(980,1357381,'emmyUser1','emmy',4,1602573236,5960,'e1119|e1118|e1117|e1106',0,'','project1',32.05,98.78,19.86,0,0,0),(981,1357384,'emmyUser1','emmy',4,1602573310,5965,'e0523|e0520|e0519|e0517',0,'','project1',32.12,97.86,19.65,0,0,0),(982,1357483,'emmyUser1','emmy',2,1602590430,1661,'e0103|e0102',0,'','project1',11.63,35.33,8.66,0,0,0),(983,1357465,'emmyUser1','emmy',4,1602586668,5435,'e0450|e0228|e0224|e0215',0,'','project1',27.12,96.78,19.52,0,0,0),(984,1357678,'emmyUser1','emmy',4,1602614709,2339,'e0940|e0938|e0528|e0525',0,'','project1',19.18,90.36,18.26,0,0,0),(985,1357684,'emmyUser1','emmy',2,1602617206,603,'e0723|e0722',0,'','project1',43.91,0,0.35,0,0,0),(986,1357680,'emmyUser1','emmy',2,1602616878,2007,'e0107|e0106',0,'','project1',11.69,30.57,7.54,0,0,0),(987,1357683,'emmyUser1','emmy',2,1602617188,1971,'e0104|e0724',0,'','project1',11.6,33.05,7.37,0,0,0),(988,1357360,'emmyUser2','emmy',8,1602569774,54705,'e1120|e1116|e1104|e1022|e1009|e1004|e1003|e0948',0,'','project2',22.19,144.74,51.36,0,0,0),(989,1357704,'emmyUser1','emmy',4,1602624246,432,'e1014|e1008|e0902|e0849',0,'','project1',27,92.99,18,0,0,0),(990,1357708,'emmyUser1','emmy',4,1602624481,218,'e1009|e1004|e1003|e0948',0,'','project1',18.97,80.9,20.28,0,0,0),(991,1357700,'emmyUser1','emmy',2,1602624416,1910,'e0817|e0716',0,'','project1',27.85,24.97,5.42,0,0,0),(992,1357763,'emmyUser1','emmy',2,1602660058,64,'e0655|e0654',0,'','project1',4.86,69.8,3.51,0,0,0),(993,1357761,'emmyUser1','emmy',2,1602659997,783,'e0726|e0720',0,'','project1',5.47,101.71,43.36,0,0,0),(994,1357759,'emmyUser1','emmy',4,1602659150,3280,'e0952|e0347|e0346|e0314',0,'','project1',19.19,65.39,13.42,0,0,0),(995,1357784,'emmyUser1','emmy',2,1602664141,6167,'e0206|e0143',0,'','project1',5.82,116.81,64.58,0,0,0),(996,1357987,'emmyUser1','emmy',2,1602670725,648,'e0107|e0112',0,'','project1',5.01,129.34,5.7,0,0,0),(997,1358004,'emmyUser1','emmy',2,1602671308,377,'e0625|e0610',0,'','project1',44.85,30.35,11.17,0,0,0),(998,1358011,'emmyUser1','emmy',2,1602671712,2319,'e0107|e0741',0,'','project1',12.38,32.45,7.87,0,0,0),(999,1358024,'emmyUser1','emmy',4,1602674165,1879,'e0741|e0439|e0332|e0329',0,'','project1',19.15,95.88,19.37,0,0,0),(1000,1357919,'emmyUser1','emmy',4,1602671918,7244,'e0610|e0602|e0550|e0448',0,'','project1',39.46,27.35,72.14,0,0,0),(1001,1358113,'emmyUser1','emmy',4,1602682146,1790,'e0617|e0550|e0512|e0448',0,'','project1',21.78,90.48,19.77,0,0,0),(1002,1357707,'emmyUser2','emmy',8,1602631242,54482,'e1120|e1116|e1114|e1110|e1104|e1022|e0534|e0526',0,'','project2',22.17,144.99,51.48,0,0,0),(1003,1358122,'emmyUser1','emmy',4,1602682145,5884,'e0238|e0237|e0224|e0212',0,'','project1',32.11,69.96,14.86,0,0,0),(1004,1358127,'emmyUser1','emmy',4,1602689509,1178,'e0148|e0136|e0133|e0129',0,'','project1',19.21,62.96,14.38,0,0,0),(1005,1358109,'emmyUser1','emmy',4,1602697372,1539,'e1131|e1122|e0847|e0843',0,'','project1',21.89,61.24,14.03,0,0,0),(1006,1358129,'emmyUser1','emmy',4,1602696905,2187,'e0237|e0224|e0212|e0148',0,'','project1',19.15,68.04,14.81,0,0,0),(1007,1358130,'emmyUser1','emmy',4,1602697146,2377,'e0808|e0733|e0319|e0249',0,'','project1',19.29,90.03,18.25,0,0,0),(1008,1358119,'emmyUser1','emmy',4,1602697372,3562,'e0702|e0701|e0442|e0205',0,'','project1',32.1,64.66,14.26,0,0,0),(1009,1358110,'emmyUser1','emmy',4,1602697372,3606,'e0827|e0742|e0729|e0709',0,'','project1',21.85,65.21,13.33,0,0,0),(1010,1358402,'emmyUser10','emmy',8,1602696645,7274,'e0905|e0548|e0535|e0330|e0322|e0242|e0220|e0215',0,'','project10',9.22,20.94,21.52,0,0,0),(1011,1358124,'emmyUser1','emmy',4,1602696905,8540,'e1107|e0621|e0345|e0238',0,'','project1',32.3,68.6,13.76,0,0,0),(1012,1358290,'emmyUser2','emmy',8,1602710147,51419,'e1120|e1116|e0930|e0927|e0924|e0921|e0839|e0612',0,'','project2',22.26,144.03,51.52,0,0,0),(1013,1358596,'emmyUser1','emmy',4,1602762427,1571,'e0108|e0107|e0106|e0104',0,'','project1',19.12,89.73,19.13,0,0,0),(1014,1358603,'emmyUser1','emmy',4,1602763095,1771,'e0103|e0102|e0101|e0534',0,'','project1',21.79,92.46,19.85,0,0,0),(1015,1358617,'emmyUser1','emmy',2,1602764883,123,'e0103|e0102',0,'','project1',2.52,46.3,5.75,0,0,0),(1016,1358625,'emmyUser1','emmy',2,1602765990,240,'e0947|e0941',0,'','project1',3,122.03,10.77,0,0,0),(1017,1358626,'emmyUser1','emmy',2,1602765996,424,'e0340|e0332',0,'','project1',4.17,194.3,14.53,0,0,0),(1018,1358607,'emmyUser1','emmy',4,1602763983,2449,'e1021|e1019|e0526|e0303',0,'','project1',31.86,41.3,8.85,0,0,0),(1019,1358620,'emmyUser1','emmy',4,1602765473,1187,'e0108|e0107|e0106|e0104',0,'','project1',19.15,60.73,14.47,0,0,0),(1020,1358621,'emmyUser1','emmy',4,1602765478,1424,'e0103|e0102|e0101|e0725',0,'','project1',19.27,90.6,19.92,0,0,0),(1021,1358623,'emmyUser1','emmy',4,1602765484,1592,'e0439|e0435|e0415|e0353',0,'','project1',19.22,86.02,18.86,0,0,0),(1022,1358627,'emmyUser1','emmy',4,1602766461,1830,'e1021|e1019|e0947|e0941',0,'','project1',21.68,88.71,19.11,0,0,0),(1023,1358622,'emmyUser1','emmy',4,1602765479,3348,'e0721|e0649|e0642|e0534',0,'','project1',19.26,64.41,13.11,0,0,0),(1024,1358629,'emmyUser1','emmy',4,1602766939,2167,'e0108|e0107|e0106|e0104',0,'','project1',19.17,64.69,13.97,0,0,0),(1025,1358183,'emmyUser1','emmy',4,1602697146,72296,'e0143|e0136|e0127|e0123',0,'','project1',43.12,26.01,71.07,0,0,0),(1026,1358659,'emmyUser1','emmy',2,1602771170,640,'e0101|e0721',0,'','project1',2.92,44.78,4.55,0,0,0),(1027,1358660,'emmyUser1','emmy',2,1602771170,2512,'e0649|e0642',0,'','project1',4.02,35.4,3.05,0,0,0),(1028,1358679,'emmyUser1','emmy',2,1602774353,269,'e1018|e0940',0,'','project1',1.43,0.02,1.46,0,0,0),(1029,1358690,'emmyUser1','emmy',2,1602775111,532,'e0108|e0106',0,'','project1',31.57,22.14,65.12,0,0,0),(1030,1358693,'emmyUser1','emmy',2,1602775786,2831,'e0108|e0106',0,'','project1',31.6,24.89,72.58,0,0,0),(1031,1358701,'emmyUser1','emmy',2,1602778736,122,'e0108|e0106',0,'','project1',11.92,28.88,57.61,0,0,0),(1032,1358709,'emmyUser1','emmy',2,1602782034,772,'e0916|e0625',0,'','project1',6.28,97.31,42.12,0,0,0),(1033,1358653,'emmyUser1','emmy',2,1602771900,20024,'e0124|e0121',0,'','project1',21.39,14.74,37.87,0,0,0),(1034,1358651,'emmyUser1','emmy',2,1602771388,24175,'e0136|e0133',0,'','project1',21.5,13.33,35.72,0,0,0),(1035,1358655,'emmyUser1','emmy',2,1602773918,24017,'e0243|e0232',0,'','project1',21.38,12.65,34.3,0,0,0),(1036,1358988,'emmyUser1','emmy',4,1602849583,1434,'e1120|e1116|e0930|e0927',0,'','project1',14.46,57.75,11.93,0,0,0),(1037,1359032,'emmyUser1','emmy',4,1602853614,98,'e0833|e0545|e0542|e0113',0,'','project1',58.55,0.03,0.59,0,0,0),(1038,1358981,'emmyUser1','emmy',2,1602847990,6180,'e1014|e0950',0,'','project1',5.88,113.03,62.26,0,0,0),(1039,1359012,'emmyUser1','emmy',2,1602851693,2613,'e0103|e0102',0,'','project1',15,58.76,12.71,0,0,0),(1040,1358584,'emmyUser2','emmy',8,1602804158,50480,'e0226|e0222|e0211|e0206|e0203|e0156|e0141|e0132',0,'','project2',22.17,144.31,51.19,0,0,0),(1041,1359055,'emmyUser1','emmy',4,1602856038,265,'e0104|e0103|e0102|e0101',0,'','project1',62.54,1.02,11.98,0,0,0),(1042,1359070,'emmyUser1','emmy',4,1602857869,725,'e1129|e1114|e1110|e1102',0,'','project1',21.52,111.51,43.37,0,0,0),(1043,1359046,'emmyUser1','emmy',2,1602855024,3634,'e0108|e0107',0,'','project1',23.13,6.67,19.54,0,0,0),(1044,1359076,'emmyUser1','emmy',4,1602859132,95,'e1110|e1102|e0938|e0319',0,'','project1',3.31,0,0.45,0,0,0),(1045,1359075,'emmyUser1','emmy',4,1602859092,722,'e0108|e0107|e1129|e1114',0,'','project1',19.44,98.8,38.71,0,0,0),(1046,1359044,'emmyUser1','emmy',4,1602860395,7291,'e0141|e0132|e0123|e0113',0,'','project1',13.86,18.83,38.35,0,0,0),(1047,1359017,'emmyUser2','emmy',4,1602867214,1799,'e0840|e0837|e0817|e0815',0,'','project2',5.48,78.26,40.92,0,0,0),(1048,1359051,'emmyUser2','emmy',4,1602869014,9819,'e0840|e0837|e0817|e0815',0,'','project2',5.61,80.74,41.96,0,0,0),(1049,1359049,'emmyUser2','emmy',4,1602867379,16657,'e0649|e0642|e0604|e0221',0,'','project2',5.63,79.7,41.9,0,0,0),(1050,1359368,'emmyUser1','emmy',4,1602884314,533,'e0845|e0843|e0749|e0549',0,'','project1',53.29,68.01,29.88,0,0,0),(1051,1359597,'emmyUser1','emmy',2,1602927972,258,'e0914|e0913',0,'','project1',2.86,79.3,33.65,0,0,0),(1052,1359418,'emmyUser2','emmy',4,1602911763,16727,'e0505|e0452|e0308|e0110',0,'','project2',5.63,80.99,41.97,0,0,0),(1053,1359432,'emmyUser2','emmy',4,1602912671,17760,'e0301|e0251|e0247|e0229',0,'','project2',5.75,81.03,41.96,0,0,0),(1054,1359598,'emmyUser1','emmy',2,1602928003,2586,'e0705|e0704',0,'','project1',25.91,62.79,14.96,0,0,0),(1055,1359451,'emmyUser2','emmy',4,1602913013,18141,'e0502|e0450|e0449|e0446',0,'','project2',5.78,81.03,42.15,0,0,0),(1056,1359689,'emmyUser1','emmy',4,1602937513,510,'e0737|e0726|e0720|e0717',0,'','project1',46.92,68.72,32.35,0,0,0),(1057,1359653,'emmyUser2','emmy',4,1602932573,16288,'e0645|e0641|e0625|e0617',0,'','project2',5.59,80.81,42.02,0,0,0),(1058,1359664,'emmyUser2','emmy',4,1602932573,16831,'e0204|e0201|e0151|e0147',0,'','project2',5.57,80.53,41.96,0,0,0),(1059,1359661,'emmyUser2','emmy',4,1602932573,17334,'e0550|e0236|e0227|e0205',0,'','project2',5.57,81.02,42.22,0,0,0),(1060,1359723,'emmyUser2','emmy',4,1602949895,5514,'e0608|e0607|e0606|e0605',0,'','project2',5.59,79.94,42.18,0,0,0),(1061,1359724,'emmyUser2','emmy',4,1602949911,16933,'e0550|e0236|e0227|e0205',0,'','project2',11.34,80.31,41.85,0,0,0),(1062,1360123,'emmyUser2','emmy',4,1603027630,24971,'e0824|e0815|e0537|e0535',0,'','project2',24.29,123.58,66,0,0,0),(1063,1360247,'emmyUser10','emmy',4,1603055658,457,'e0741|e0739|e0728|e0725',0,'','project10',11.65,21.48,25.54,0,0,0),(1064,1360313,'emmyUser2','emmy',4,1603081875,2094,'e0608|e0604|e0239|e0236',0,'','project2',5.37,83.81,37.26,0,0,0),(1065,1360315,'emmyUser2','emmy',4,1603082449,2143,'e0227|e0226|e0223|e0222',0,'','project2',26.39,86.26,37.64,0,0,0),(1066,1360314,'emmyUser2','emmy',4,1603082162,4818,'e0234|e0233|e0231|e0228',0,'','project2',6.06,87.92,38.62,0,0,0),(1067,1360501,'emmyUser1','emmy',4,1603134308,786,'e0949|e0948|e0931|e0929',0,'','project1',28.62,81.6,16.41,0,0,0),(1068,1360502,'emmyUser1','emmy',4,1603134541,573,'e0919|e0844|e0834|e0830',0,'','project1',24.49,86.37,17.57,0,0,0),(1069,1360493,'emmyUser1','emmy',4,1603132991,10621,'e0334|e0321|e0320|e0307',0,'','project1',19.21,17.31,41.08,0,0,0),(1070,1360509,'emmyUser1','emmy',4,1603135295,12379,'e0931|e0929|e0926|e0919',0,'','project1',24.55,51.79,10.41,0,0,0),(1071,1360523,'emmyUser1','emmy',4,1603139015,14522,'e0938|e0937|e0749|e0743',0,'','project1',28.75,97.27,19.46,0,0,0),(1072,1360511,'emmyUser1','emmy',4,1603135499,18531,'e0912|e0911|e0844|e0834',0,'','project1',24.55,70.21,14.04,0,0,0),(1073,1360514,'emmyUser1','emmy',4,1603136592,18533,'e0433|e0428|e0427|e0426',0,'','project1',24.47,67.98,13.69,0,0,0),(1074,1360517,'emmyUser1','emmy',4,1603136593,18533,'e0415|e0414|e0412|e0411',0,'','project1',24.52,69.05,13.91,0,0,0),(1075,1360516,'emmyUser1','emmy',4,1603136592,18546,'e0425|e0424|e0419|e0416',0,'','project1',24.51,70.29,14.11,0,0,0),(1076,1360513,'emmyUser1','emmy',4,1603136592,18693,'e0830|e0439|e0435|e0434',0,'','project1',24.48,67.78,13.6,0,0,0),(1077,1360507,'emmyUser1','emmy',4,1603135185,20373,'e0949|e0948|e0935|e0934',0,'','project1',28.66,69.21,13.91,0,0,0),(1078,1360518,'emmyUser1','emmy',4,1603137806,20481,'e0405|e0404|e0215|e0213',0,'','project1',28.71,68.06,13.66,0,0,0),(1079,1360519,'emmyUser1','emmy',4,1603137806,20520,'e0212|e0211|e0201|e0156',0,'','project1',28.74,68.26,13.68,0,0,0),(1080,1360522,'emmyUser1','emmy',4,1603138803,20350,'e0941|e0836|e0831|e0604',0,'','project1',28.68,66.92,13.4,0,0,0),(1081,1360521,'emmyUser1','emmy',4,1603138773,20535,'e0133|e0125|e0119|e0118',0,'','project1',28.65,69.75,14.03,0,0,0),(1082,1360499,'emmyUser1','emmy',4,1603133712,36495,'e1031|e1026|e1024|e1023',0,'','project1',35.07,71.61,14.27,0,0,0),(1083,1360497,'emmyUser1','emmy',4,1603133699,36552,'e1132|e1127|e1122|e1106',0,'','project1',35.13,69.79,14,0,0,0),(1084,1360498,'emmyUser1','emmy',4,1603133706,36642,'e1104|e1102|e1101|e1032',0,'','project1',35.12,68.68,13.68,0,0,0),(1085,1360505,'emmyUser1','emmy',4,1603134938,40641,'e0512|e0451|e0423|e0310',0,'','project1',28.55,69.19,13.87,0,0,0),(1086,1360504,'emmyUser1','emmy',4,1603134932,40754,'e0550|e0518|e0517|e0514',0,'','project1',28.6,69.32,13.91,0,0,0),(1087,1360506,'emmyUser1','emmy',4,1603134951,40819,'e0309|e0306|e0248|e0247',0,'','project1',28.56,67.76,13.63,0,0,0),(1088,1360621,'emmyUser1','emmy',2,1603194149,737,'e0206|e0203',0,'','project1',3.01,111.93,43.47,0,0,0),(1089,1360584,'emmyUser1','emmy',2,1603192521,14250,'e0110|e0109',0,'','project1',28.41,90.45,17.96,0,0,0),(1090,1360585,'emmyUser1','emmy',2,1603193787,14251,'e0115|e0114',0,'','project1',28.4,90.36,18.03,0,0,0),(1091,1360586,'emmyUser1','emmy',2,1603193787,14361,'e0113|e0112',0,'','project1',28.44,89.83,17.87,0,0,0),(1092,1360587,'emmyUser1','emmy',2,1603194113,20342,'e0126|e0124',0,'','project1',28.39,63.5,12.71,0,0,0),(1093,1360849,'emmyUser2','emmy',4,1603239695,1997,'e0301|e0252|e0250|e0242',0,'','project2',10.99,59.68,34.18,0,0,0),(1094,1360852,'emmyUser2','emmy',4,1603239738,1998,'e0207|e0205|e0204|e0153',0,'','project2',9.39,61.86,35.04,0,0,0),(1095,1360853,'emmyUser2','emmy',4,1603239739,2352,'e0139|e0138|e0136|e0131',0,'','project2',9.88,62.12,34.39,0,0,0),(1096,1360851,'emmyUser2','emmy',4,1603239738,3221,'e0218|e0216|e0210|e0208',0,'','project2',8.85,62.62,34.71,0,0,0),(1097,1360850,'emmyUser2','emmy',4,1603239695,24445,'e0241|e0240|e0238|e0237',0,'','project2',6.52,89.14,39.31,0,0,0),(1098,1360848,'emmyUser2','emmy',4,1603239695,39830,'e0336|e0331|e0316|e0308',0,'','project2',6.65,89.94,39.48,0,0,0),(1099,1360847,'emmyUser2','emmy',4,1603239694,43411,'e0355|e0354|e0352|e0337',0,'','project2',6.64,89.86,39.33,0,0,0),(1100,1361094,'emmyUser1','emmy',4,1603270992,36477,'e0346|e0343|e0125|e0124',0,'','project1',35.02,69.93,13.93,0,0,0),(1101,1361131,'emmyUser2','emmy',4,1603323784,2350,'e0146|e0145|e0144|e0119',0,'','project2',5.91,86.79,38.49,0,0,0),(1102,1361137,'emmyUser2','emmy',4,1603325378,1910,'e0836|e0749|e0743|e0540',0,'','project2',11.34,60.97,34.71,0,0,0),(1103,1361035,'emmyUser9','emmy',4,1603267219,85245,'e0634|e0630|e0627|e0626',0,'','project9',6.72,6.25,7.53,0,0,0),(1104,1361381,'emmyUser2','emmy',4,1603357520,1225,'e0351|e0348|e0347|e0337',0,'','project2',7.8,58.97,32.23,0,0,0),(1105,1361382,'emmyUser2','emmy',4,1603357581,1289,'e0336|e0335|e0333|e0332',0,'','project2',7.84,58.54,31.73,0,0,0),(1106,1361384,'emmyUser2','emmy',4,1603357635,1268,'e0450|e0316|e0314|e0313',0,'','project2',7.84,56.49,29.94,0,0,0),(1107,1361386,'emmyUser2','emmy',4,1603357686,1217,'e0712|e0703|e0307|e0305',0,'','project2',7.77,56.66,29.99,0,0,0),(1108,1361377,'emmyUser2','emmy',4,1603356931,2004,'e1011|e1010|e0405|e0353',0,'','project2',8.67,60.85,34.4,0,0,0),(1109,1361141,'emmyUser2','emmy',4,1603326135,39481,'e0449|e0146|e0145|e0144',0,'','project2',6.6,89.44,39.25,0,0,0),(1110,1361450,'emmyUser2','emmy',4,1603365615,3190,'e0734|e0733|e0656|e0529',0,'','project2',5.56,88,39.33,0,0,0),(1111,1361620,'emmyUser10','emmy',16,1603381855,31421,'e0852|e0848|e0828|e0809|e0808|e0802|e0712|e0703|e0648|e0646|e0617|e0609|e0442|e0410|e0406|e0355',0,'','project10',10.37,59.12,59.78,0,0,0),(1112,1361431,'emmyUser2','emmy',4,1603363270,86447,'e1104|e1102|e0729|e0724',0,'','project2',13.53,109.7,59.36,0,0,0),(1113,1361432,'emmyUser2','emmy',4,1603363448,86454,'e0723|e0710|e0639|e0536',0,'','project2',13.53,111.15,59.6,0,0,0),(1114,1362036,'emmyUser2','emmy',4,1603550405,1909,'e0544|e0541|e0430|e0429',0,'','project2',11.29,63.76,36.08,0,0,0),(1115,1362118,'emmyUser8','emmy',16,1603568634,1028,'e0926|e0925|e0815|e0811|e0738|e0736|e0731|e0727|e0709|e0707|e0655|e0644|e0428|e0427|e0426|e0425',0,'','project8',8.95,210.42,10.77,0,0,0),(1116,1362121,'emmyUser8','emmy',16,1603569662,466,'e0926|e0925|e0815|e0811|e0738|e0736|e0731|e0727|e0709|e0707|e0655|e0644|e0428|e0427|e0426|e0425',0,'','project8',18.97,271.8,14.97,0,0,0),(1117,1362119,'emmyUser8','emmy',8,1603569662,2555,'e0417|e0408|e0403|e0402|e0340|e0339|e0225|e0224',0,'','project8',22.36,440.45,19.11,0,0,0),(1118,1362120,'emmyUser8','emmy',8,1603569901,2898,'e0247|e0246|e0245|e0242|e0241|e0240|e0118|e0108',0,'','project8',24.59,441.94,19.89,0,0,0),(1119,1361820,'emmyUser2','emmy',8,1603549599,78642,'e0921|e0918|e0629|e0628|e0323|e0322|e0321|e0113',0,'','project2',12.99,104.14,52.52,0,0,0),(1120,1362745,'emmyUser10','emmy',8,1603714995,6692,'e0909|e0831|e0818|e0817|e0604|e0603|e0114|e0110',0,'','project10',4.86,39.78,42.84,0,0,0),(1121,1362560,'emmyUser2','emmy',8,1603687126,51960,'e1103|e1018|e1007|e0951|e0933|e0932|e0931|e0916',0,'','project2',12.98,100.85,52.71,0,0,0),(1122,1362798,'emmyUser10','emmy',8,1603728042,11284,'e0621|e0620|e0619|e0425|e0424|e0423|e0422|e0310',0,'','project10',5.72,39.75,42.94,0,0,0),(1123,1363020,'emmyUser2','emmy',8,1603783180,3457,'e1126|e1125|e1105|e0949|e0941|e0926|e0841|e0809',0,'','project2',12.83,101.09,51.35,0,0,0),(1124,1363252,'emmyUser7','emmy',8,1603830336,57814,'e0524|e0502|e0501|e0445|e0439|e0245|e0235|e0228',0,'','project7',4.64,17.87,41.25,0,0,0),(1125,1363439,'emmyUser8','emmy',2,1603894225,1924,'e0238|e0214',0,'','project8',6.75,36.96,32.48,0,0,0),(1126,1363384,'emmyUser10','emmy',16,1603884401,18612,'e0904|e0847|e0834|e0833|e0829|e0806|e0804|e0733|e0727|e0725|e0723|e0720|e0716|e0714|e0712|e0711',0,'','project10',11.98,58.36,58.92,0,0,0),(1127,1363514,'emmyUser8','emmy',16,1603905274,619,'e0613|e0526|e0522|e0511|e0508|e0427|e0413|e0410|e0408|e0406|e0401|e0247|e0246|e0205|e0204|e0202',0,'','project8',16.3,46,37.23,0,0,0),(1128,1363309,'emmyUser7','emmy',8,1603871277,42841,'e0842|e0819|e0746|e0744|e0743|e0736|e0731|e0730',0,'','project7',6.65,17.37,38.98,0,0,0),(1129,1363533,'emmyUser8','emmy',16,1603912982,1546,'e1116|e0918|e0703|e0622|e0619|e0617|e0613|e0610|e0537|e0526|e0522|e0511|e0508|e0427|e0413|e0410',0,'','project8',15.09,248.6,34.47,0,0,0),(1130,1363534,'emmyUser8','emmy',16,1603914119,444,'e0939|e0842|e0819|e0746|e0744|e0743|e0736|e0731|e0730|e0408|e0406|e0401|e0247|e0202|e0201|e0156',0,'','project8',5.74,46.29,37.22,0,0,0),(1131,1363535,'emmyUser8','emmy',16,1603914529,1363,'e1116|e0918|e0703|e0619|e0613|e0610|e0537|e0526|e0522|e0511|e0508|e0427|e0413|e0410|e0154|e0151',0,'','project8',14.47,221.57,32.88,0,0,0),(1132,1363524,'emmyUser8','emmy',8,1603916651,1190,'e0922|e0921|e0904|e0847|e0834|e0833|e0829|e0806',0,'','project8',11.82,85.48,49.45,0,0,0),(1133,1363515,'emmyUser8','emmy',16,1603915381,2600,'e1104|e1103|e0935|e0828|e0826|e0821|e0802|e0649|e0646|e0605|e0542|e0523|e0520|e0518|e0517|e0448',0,'','project8',23.35,172.66,23.66,0,0,0),(1134,1363513,'emmyUser8','emmy',16,1603914565,3625,'e0939|e0842|e0819|e0746|e0744|e0743|e0736|e0731|e0730|e0408|e0406|e0401|e0247|e0202|e0201|e0156',0,'','project8',16.97,207.57,23.39,0,0,0),(1135,1363529,'emmyUser8','emmy',8,1603917641,1858,'e1126|e1125|e1105|e1016|e1006|e1002|e0949|e0941',0,'','project8',12.48,63.37,33.25,0,0,0),(1136,1363285,'emmyUser2','emmy',8,1603865476,56498,'e0742|e0741|e0737|e0620|e0549|e0548|e0535|e0506',0,'','project2',13.01,99.5,52.67,0,0,0),(1137,1363525,'emmyUser8','emmy',8,1603916651,6090,'e0804|e0733|e0727|e0725|e0723|e0720|e0716|e0714',0,'','project8',34.25,366.42,31.41,0,0,0),(1138,1363530,'emmyUser8','emmy',8,1603917641,7415,'e0926|e0906|e0905|e0843|e0841|e0835|e0824|e0644',0,'','project8',36.99,338.08,28.52,0,0,0),(1139,1363523,'emmyUser8','emmy',8,1603916504,8815,'e0703|e0622|e0617|e0610|e0508|e0225|e0224|e0208',0,'','project8',58.26,403.89,30.56,0,0,0),(1140,1363528,'emmyUser8','emmy',8,1603917624,9817,'e0844|e0807|e0803|e0749|e0242|e0210|e0209|e0205',0,'','project8',61.68,380.83,28.27,0,0,0),(1141,1363564,'emmyUser2','emmy',8,1603927442,5354,'e0917|e0844|e0807|e0803|e0749|e0335|e0242|e0225',0,'','project2',11.02,106.97,51.8,0,0,0),(1142,1363438,'emmyUser8','emmy',2,1603892927,43401,'e0704|e0451',0,'','project8',47.22,431.42,29.24,0,0,0),(1143,1363440,'emmyUser8','emmy',2,1603894776,49154,'e0218|e0153',0,'','project8',48.43,430.04,29,0,0,0),(1144,1363156,'emmyUser2','emmy',8,1603860938,86436,'e0340|e0339|e0328|e0327|e0325|e0306|e0304|e0303',0,'','project2',14.42,108.95,51.87,0,0,0),(1145,1364017,'emmyUser7','emmy',4,1604032750,24366,'e0143|e0139|e0130|e0124',0,'','project7',3.55,18.75,39.02,0,0,0),(1146,1364118,'emmyUser1','emmy',4,1604059210,276,'e0108|e0107|e0106|e0104',0,'','project1',5.68,147.53,5.63,0,0,0),(1147,1364119,'emmyUser1','emmy',4,1604059536,2034,'e0108|e0107|e0106|e0104',0,'','project1',6.42,216.78,11.22,0,0,0),(1148,1364117,'emmyUser7','emmy',2,1604059070,22478,'e0137|e0115',0,'','project7',3.71,22.75,51.02,0,0,0),(1149,1364074,'emmyUser10','emmy',16,1604064612,18574,'e0903|e0836|e0807|e0805|e0803|e0801|e0524|e0502|e0501|e0441|e0431|e0412|e0336|e0229|e0224|e0218',0,'','project10',9.04,57.8,58.77,0,0,0),(1150,1363953,'emmyUser2','emmy',4,1604172516,171,'e0540|e0539|e0531|e0513',0,'','project2',7.63,112.72,24.57,0,0,0),(1151,1364568,'emmyUser10','emmy',2,1604228193,475,'e0849|e0848',0,'','project10',11.95,22.58,25.12,0,0,0),(1152,1364543,'emmyUser7','emmy',4,1604223805,21078,'e0330|e0328|e0327|e0326',0,'','project7',3.57,18.66,39.74,0,0,0),(1153,1364570,'emmyUser10','emmy',16,1604229194,23027,'e0849|e0848|e0639|e0545|e0535|e0325|e0324|e0302|e0301|e0252|e0250|e0248|e0247|e0246|e0245|e0244',0,'','project10',10.97,46.42,47.16,0,0,0),(1154,1364746,'emmyUser7','emmy',4,1604260036,42355,'e0651|e0644|e0643|e0636',0,'','project7',3.72,20.23,46.49,0,0,0),(1155,1364996,'emmyUser10','emmy',16,1604314646,8386,'e1030|e1015|e0911|e0906|e0847|e0846|e0844|e0843|e0746|e0739|e0736|e0733|e0623|e0619|e0148|e0147',0,'','project10',26.9,29.57,30.27,0,0,0),(1156,1365921,'emmyUser8','emmy',2,1604428711,90,'e0107|e0106',0,'','project8',5.74,0,3.95,0,0,0),(1157,1365920,'emmyUser8','emmy',2,1604428697,205,'e0102|e0101',0,'','project8',9.61,4.46,0.72,0,0,0),(1158,1365922,'emmyUser8','emmy',2,1604428769,178,'e0104|e0103',0,'','project8',7.98,0.08,0.95,0,0,0),(1159,1365923,'emmyUser8','emmy',2,1604428802,150,'e0107|e0106',0,'','project8',5.74,17.47,2.38,0,0,0),(1160,1365927,'emmyUser8','emmy',2,1604428973,87,'e0102|e0101',0,'','project8',6.61,1.83,10.51,0,0,0),(1161,1365925,'emmyUser8','emmy',2,1604428949,140,'e0104|e0103',0,'','project8',6.95,0.53,6.15,0,0,0),(1162,1365926,'emmyUser8','emmy',2,1604428958,191,'e0107|e0106',0,'','project8',15.55,32.54,4.28,0,0,0),(1163,1365928,'emmyUser8','emmy',2,1604429061,169,'e0102|e0101',0,'','project8',14.51,0.05,1.02,0,0,0),(1164,1365929,'emmyUser8','emmy',2,1604429090,234,'e0104|e0103',0,'','project8',9.19,19.75,4.46,0,0,0),(1165,1365931,'emmyUser8','emmy',2,1604429143,221,'e0616|e0613',0,'','project8',8.71,1.91,4.38,0,0,0),(1166,1365982,'emmyUser10','emmy',16,1604436141,23631,'e0737|e0720|e0716|e0709|e0651|e0648|e0646|e0644|e0643|e0642|e0640|e0638|e0636|e0633|e0626|e0617',0,'','project10',8.91,56.74,57.64,0,0,0),(1167,1366122,'emmyUser9','emmy',4,1604486391,152,'e0850|e0849|e0848|e0842',0,'','project9',17.83,0.71,10.8,0,0,0),(1168,1366309,'emmyUser9','emmy',4,1604504040,127,'e0746|e0327|e0323|e0309',0,'','project9',53.32,3.16,9.36,0,0,0),(1169,1366403,'emmyUser8','emmy',2,1604516722,1466,'e0101|e0428',0,'','project8',16.21,0.03,1.6,0,0,0),(1170,1366406,'emmyUser8','emmy',2,1604517228,1450,'e0353|e0332',0,'','project8',20.64,0.21,2.15,0,0,0),(1171,1366409,'emmyUser8','emmy',2,1604517614,1460,'e0106|e0104',0,'','project8',18.79,1.94,0.27,0,0,0),(1172,1366402,'emmyUser8','emmy',2,1604516673,3580,'e0103|e0102',0,'','project8',21.41,0.1,0.61,0,0,0),(1173,1366404,'emmyUser8','emmy',2,1604516781,3578,'e0427|e0426',0,'','project8',19.68,1.47,0.41,0,0,0),(1174,1366405,'emmyUser8','emmy',2,1604517156,3573,'e0401|e0356',0,'','project8',21.43,0,1.38,0,0,0),(1175,1366407,'emmyUser8','emmy',2,1604517273,3606,'e0327|e0323',0,'','project8',19.66,0.8,0.45,0,0,0),(1176,1366408,'emmyUser8','emmy',2,1604517537,3570,'e0108|e0107',0,'','project8',21.38,0,0.97,0,0,0),(1177,1366410,'emmyUser8','emmy',2,1604517664,3587,'e0412|e0402',0,'','project8',19.74,0.12,0.4,0,0,0),(1178,1366422,'emmyUser10','emmy',4,1604520086,2422,'e0445|e0444|e0440|e0439',0,'','project10',5,44.44,46.28,0,0,0),(1179,1366423,'emmyUser10','emmy',4,1604522812,2827,'e1131|e1130|e1128|e1017',0,'','project10',4.84,29.42,30.82,0,0,0),(1180,1366500,'emmyUser10','emmy',4,1604602800,3788,'e0106|e0104|e0103|e0102',0,'','project10',4.84,46.16,48.57,0,0,0),(1181,1366655,'emmyUser10','emmy',4,1604606806,2760,'e0106|e0104|e0103|e0102',0,'','project10',4.83,46.68,48.66,0,0,0),(1182,1366660,'emmyUser10','emmy',4,1604610121,2825,'e1019|e0356|e0126|e0107',0,'','project10',4.83,49.74,50.77,0,0,0),(1183,1366398,'emmyUser8','emmy',32,1604608999,4401,'e0952|e0950|e0949|e0939|e0938|e0934|e0928|e0915|e0846|e0626|e0617|e0544|e0543|e0541|e0537|e0536|e0532|e0529|e0523|e0512|e0511|e0510|e0507|e0503|e0451|e0447|e0446|e0428|e0427|e0426|e0416|e0414',0,'','project8',17.71,217.31,15.98,0,0,0),(1184,1366399,'emmyUser8','emmy',32,1604613401,881,'e1019|e0952|e0950|e0949|e0939|e0938|e0934|e0928|e0915|e0846|e0626|e0617|e0544|e0543|e0541|e0537|e0536|e0532|e0529|e0523|e0512|e0511|e0510|e0507|e0503|e0451|e0447|e0446|e0428|e0427|e0426|e0416',0,'','project8',8.24,34.46,16.1,0,0,0),(1185,1366841,'emmyUser10','emmy',4,1604657134,6168,'e0350|e0330|e0233|e0228',0,'','project10',4.87,37.26,52.9,0,0,0),(1186,1366793,'emmyUser7','emmy',4,1604654679,31085,'e0640|e0630|e0505|e0435',0,'','project7',50.65,19.95,41.31,0,0,0),(1187,1365437,'emmyUser2','emmy',8,1604622930,65884,'e1009|e1008|e1007|e1006|e1005|e1004|e0426|e0416',0,'','project2',14.51,107.39,51.83,0,0,0),(1188,1367300,'emmyUser7','emmy',4,1604692342,45956,'e0942|e0940|e0652|e0634',0,'','project7',52.02,19.9,43.83,0,0,0),(1189,1365494,'emmyUser2','emmy',4,1604734144,17601,'e1131|e0936|e0828|e0653',0,'','project2',4.79,86.8,36.11,0,0,0),(1190,1367762,'emmyUser10','emmy',4,1604756271,5692,'e0118|e0939|e0938|e0934',0,'','project10',5.81,40.46,58.06,0,0,0),(1191,1367824,'emmyUser2','emmy',4,1604835768,433,'e0805|e0803|e0751|e0136',0,'','project2',7.35,75.37,33.47,0,0,0),(1192,1368022,'emmyUser10','emmy',4,1604845022,5937,'e0710|e0708|e0650|e0125',0,'','project10',4.96,39.15,56.18,0,0,0),(1193,1368119,'emmyUser8','emmy',2,1604856383,99,'e0104|e0103',0,'','project8',8.34,0.02,0.63,0,0,0),(1194,1366696,'emmyUser2','emmy',8,1604793047,86462,'e0824|e0822|e0702|e0701|e0655|e0623|e0501|e0415',0,'','project2',14.59,109.71,51.83,0,0,0),(1195,1368178,'emmyUser1','emmy',2,1604876600,3647,'e1130|e1119',0,'','project1',7.24,224.41,12.58,0,0,0),(1196,1368101,'emmyUser10','emmy',16,1604855998,28858,'e1126|e0809|e0802|e0737|e0723|e0716|e0713|e0711|e0709|e0708|e0706|e0650|e0640|e0630|e0629|e0622',0,'','project10',8.92,16.08,22.48,0,0,0),(1197,1367888,'emmyUser2','emmy',4,1604899014,17884,'e0114|e0113|e0112|e0111',0,'','project2',35.98,104.76,61.29,0,0,0),(1198,1368478,'emmyUser10','emmy',4,1604931574,7713,'e0746|e0742|e0740|e0719',0,'','project10',4.91,44.11,50.59,0,0,0),(1199,1368484,'emmyUser7','emmy',8,1604920284,37471,'e0301|e0235|e0150|e0146|e0144|e0139|e0131|e0112',0,'','project7',3.71,16.38,35.66,0,0,0),(1200,1368800,'emmyUser10','emmy',2,1605000151,7515,'e1120|e0443',0,'','project10',4.99,64.9,66.08,0,0,0),(1201,1368778,'emmyUser7','emmy',8,1604994928,33846,'e0828|e0825|e0820|e0234|e0219|e0213|e0143|e0109',0,'','project7',5.16,17.05,36.4,0,0,0),(1202,1368852,'emmyUser7','emmy',8,1605014817,50795,'e0952|e0950|e0947|e0946|e0943|e0942|e0937|e0933',0,'','project7',6.84,16.7,35.12,0,0,0),(1203,1369070,'emmyUser10','emmy',16,1605028775,37203,'e1127|e1107|e0941|e0929|e0829|e0828|e0825|e0820|e0819|e0312|e0234|e0227|e0221|e0219|e0213|e0143',0,'','project10',8.91,25.53,35.48,0,0,0),(1204,1369084,'emmyUser7','emmy',8,1605032811,34233,'e1105|e1001|e0544|e0543|e0538|e0311|e0228|e0225',0,'','project7',3.58,15.81,33.4,0,0,0),(1205,1368490,'emmyUser2','emmy',8,1605030285,82645,'e0951|e0948|e0944|e0911|e0908|e0848|e0516|e0109',0,'','project2',14.48,109.68,51.72,0,0,0),(1206,1369673,'emmyUser2','emmy',4,1605155198,1324,'e0846|e0836|e0834|e0831',0,'','project2',11.05,55.31,30.55,0,0,0),(1207,1371076,'emmyUser2','emmy',8,1605256973,65809,'e0802|e0517|e0513|e0452|e0350|e0349|e0340|e0307',0,'','project2',14.52,108.27,51.87,0,0,0),(1208,1371518,'emmyUser2','emmy',8,1605322784,20768,'e0802|e0517|e0513|e0452|e0350|e0349|e0340|e0307',0,'','project2',14.53,108.7,51.71,0,0,0),(1209,1371966,'emmyUser10','emmy',2,1605377644,4730,'e0926|e0906',0,'','project10',5.01,49.42,70.63,0,0,0),(1210,1372074,'emmyUser10','emmy',16,1605399554,39423,'e0933|e0924|e0922|e0850|e0833|e0822|e0809|e0744|e0734|e0731|e0729|e0649|e0541|e0540|e0537|e0535',0,'','project10',48.99,24.46,34.01,0,0,0),(1211,1371868,'emmyUser2','emmy',4,1605448648,22713,'e0424|e0302|e0222|e0143',0,'','project2',16,107.14,62.06,0,0,0),(1212,1372219,'emmyUser1','emmy',2,1605469464,39827,'e1123|e0827',0,'','project1',8.89,204.15,47.63,0,0,0),(1213,1372287,'emmyUser7','emmy',2,1605513421,38595,'e0715|e0650',0,'','project7',3.78,22.14,50.29,0,0,0),(1214,1372709,'emmyUser4','emmy',2,1605561892,142,'e0750|e0641',0,'','project4',2.22,244.62,8.14,0,0,0),(1215,1372734,'emmyUser4','emmy',2,1605562875,184,'e0227|e0223',0,'','project4',2.26,337.45,11.52,0,0,0),(1216,1372731,'emmyUser4','emmy',2,1605562870,189,'e0641|e0638',0,'','project4',2.25,326.99,11.08,0,0,0),(1217,1372730,'emmyUser4','emmy',2,1605562870,204,'e1006|e0750',0,'','project4',2.21,369.3,12.36,0,0,0),(1218,1372736,'emmyUser4','emmy',2,1605563040,128,'e0632|e0616',0,'','project4',2.21,316.38,12.05,0,0,0),(1219,1372739,'emmyUser4','emmy',2,1605563076,197,'e1006|e0750',0,'','project4',2.21,362.76,11.67,0,0,0),(1220,1372737,'emmyUser4','emmy',2,1605563060,230,'e0641|e0638',0,'','project4',2.25,368.03,12.38,0,0,0),(1221,1372735,'emmyUser4','emmy',2,1605563020,348,'e0404|e0238',0,'','project4',2.14,373.29,12.49,0,0,0),(1222,1372729,'emmyUser4','emmy',2,1605562869,631,'e1017|e1013',0,'','project4',2.13,357.6,12.03,0,0,0),(1223,1372742,'emmyUser4','emmy',2,1605563292,212,'e0641|e0638',0,'','project4',2.25,352.43,11.99,0,0,0),(1224,1372747,'emmyUser4','emmy',2,1605563387,162,'e0925|e0338',0,'','project4',7.33,252.04,14.31,0,0,0),(1225,1372752,'emmyUser4','emmy',2,1605563414,157,'e0751|e0623',0,'','project4',2.15,302.42,11.49,0,0,0),(1226,1372745,'emmyUser4','emmy',2,1605563387,193,'e1122|e1004',0,'','project4',2.2,336.57,14.62,0,0,0),(1227,1372746,'emmyUser4','emmy',2,1605563387,194,'e0943|e0932',0,'','project4',2.31,280.85,11.55,0,0,0),(1228,1372744,'emmyUser4','emmy',2,1605563377,222,'e0632|e0616',0,'','project4',2.18,366.53,11.51,0,0,0),(1229,1372738,'emmyUser4','emmy',2,1605563060,572,'e0227|e0223',0,'','project4',2.27,362.87,12.38,0,0,0),(1230,1372748,'emmyUser4','emmy',2,1605563388,278,'e0233|e0220',0,'','project4',2.19,206,11.43,0,0,0),(1231,1372741,'emmyUser4','emmy',2,1605563274,406,'e1006|e0750',0,'','project4',2.29,290.61,9.16,0,0,0),(1232,1372749,'emmyUser4','emmy',2,1605563405,278,'e0815|e0811',0,'','project4',2.1,249.71,7.44,0,0,0),(1233,1372754,'emmyUser4','emmy',2,1605563502,190,'e1017|e1013',0,'','project4',2.13,273.79,7.07,0,0,0),(1234,1372758,'emmyUser4','emmy',2,1605563573,138,'e0751|e0623',0,'','project4',2.12,298.72,9.93,0,0,0),(1235,1372755,'emmyUser4','emmy',2,1605563505,212,'e0641|e0638',0,'','project4',2.28,317.24,11.08,0,0,0),(1236,1372753,'emmyUser4','emmy',2,1605563414,323,'e0615|e0526',0,'','project4',2.25,343.16,10.58,0,0,0),(1237,1372751,'emmyUser4','emmy',2,1605563414,329,'e0106|e0103',0,'','project4',2.26,362.71,11.96,0,0,0),(1238,1372756,'emmyUser4','emmy',2,1605563521,284,'e0808|e0803',0,'','project4',2.13,257.67,7.11,0,0,0),(1239,1372759,'emmyUser4','emmy',2,1605563581,292,'e1122|e1004',0,'','project4',2.2,377.1,12.64,0,0,0),(1240,1372757,'emmyUser4','emmy',2,1605563552,362,'e0925|e0338',0,'','project4',2.25,330.18,11.43,0,0,0),(1241,1372743,'emmyUser4','emmy',2,1605563369,691,'e0404|e0238',0,'','project4',2.17,359.33,12.01,0,0,0),(1242,1372764,'emmyUser4','emmy',2,1605564137,142,'e0223|e0220',0,'','project4',2.24,380.68,12.93,0,0,0),(1243,1372765,'emmyUser4','emmy',2,1605564280,174,'e0223|e0220',0,'','project4',2.24,369.8,12.39,0,0,0),(1244,1372763,'emmyUser4','emmy',2,1605564137,527,'e0106|e0103',0,'','project4',2.25,317.41,10.71,0,0,0),(1245,1373019,'emmyUser4','emmy',2,1605574187,278,'e0752|e0739',0,'','project4',2.27,236.46,8.62,0,0,0),(1246,1373027,'emmyUser4','emmy',2,1605574268,221,'e0913|e0743',0,'','project4',2.25,347.56,10.1,0,0,0),(1247,1373033,'emmyUser4','emmy',2,1605574342,157,'e0719|e0707',0,'','project4',2.22,320.73,11.66,0,0,0),(1248,1373026,'emmyUser4','emmy',2,1605574264,241,'e0610|e0609',0,'','project4',2.36,284.3,9.74,0,0,0),(1249,1373030,'emmyUser4','emmy',2,1605574300,227,'e0737|e0709',0,'','project4',2.23,330.48,11.66,0,0,0),(1250,1373016,'emmyUser4','emmy',2,1605574140,387,'e1130|e1128',0,'','project4',2.35,350.4,11.31,0,0,0),(1251,1373031,'emmyUser4','emmy',2,1605574336,191,'e0950|e0947',0,'','project4',2.34,341.47,11.35,0,0,0),(1252,1373029,'emmyUser4','emmy',2,1605574283,245,'e0720|e0717',0,'','project4',2.2,316.05,10.7,0,0,0),(1253,1372992,'emmyUser4','emmy',2,1605573900,629,'e0733|e0724',0,'','project4',2.19,320.64,10.77,0,0,0),(1254,1373032,'emmyUser4','emmy',2,1605574339,200,'e0316|e0311',0,'','project4',2.24,371.43,12.86,0,0,0),(1255,1373037,'emmyUser4','emmy',2,1605574390,204,'e0741|e0704',0,'','project4',2.24,289.04,9.36,0,0,0),(1256,1373036,'emmyUser4','emmy',2,1605574387,250,'e0148|e0109',0,'','project4',2.22,272.87,9.08,0,0,0),(1257,1372996,'emmyUser4','emmy',2,1605573939,731,'e0402|e0332',0,'','project4',2.25,347.19,11.63,0,0,0),(1258,1373025,'emmyUser4','emmy',2,1605574256,433,'e0931|e0927',0,'','project4',2.39,287.99,9.97,0,0,0),(1259,1373034,'emmyUser4','emmy',2,1605574376,428,'e0911|e0837',0,'','project4',2.25,323.04,11.01,0,0,0),(1260,1373015,'emmyUser4','emmy',2,1605574134,673,'e0736|e0629',0,'','project4',2.35,313.89,10.26,0,0,0),(1261,1373038,'emmyUser4','emmy',2,1605574402,434,'e0147|e0106',0,'','project4',2.36,352.69,11.16,0,0,0),(1262,1373021,'emmyUser4','emmy',2,1605574209,732,'e0708|e0706',0,'','project4',2.3,323.97,10.73,0,0,0),(1263,1372655,'emmyUser7','emmy',2,1605552853,26607,'e0114|e0110',0,'','project7',3.83,22.45,50.94,0,0,0),(1264,1372294,'emmyUser1','emmy',2,1605514513,86439,'e0201|e0154',0,'','project1',9.86,222.29,52.75,0,0,0),(1265,1373367,'emmyUser4','emmy',2,1605615676,209,'e0103|e0102',0,'','project4',2.24,275.68,9.48,0,0,0),(1266,1373082,'emmyUser7','emmy',2,1605598283,83832,'e0529|e0513',0,'','project7',3.77,23.2,45.07,0,0,0),(1267,1374458,'emmyUser10','emmy',16,1605713080,36319,'e0427|e0421|e0419|e0418|e0340|e0335|e0331|e0327|e0317|e0314|e0305|e0301|e0250|e0248|e0247|e0243',0,'','project10',8.97,27.44,38.27,0,0,0),(1268,1375914,'emmyUser10','emmy',16,1605748186,32460,'e1029|e0840|e0838|e0837|e0831|e0819|e0810|e0801|e0740|e0643|e0628|e0413|e0410|e0354|e0328|e0114',0,'','project10',8.89,23.83,33.05,0,0,0),(1269,1375913,'emmyUser10','emmy',16,1605747820,41401,'e1110|e0804|e0744|e0736|e0734|e0727|e0721|e0616|e0522|e0408|e0349|e0330|e0307|e0303|e0222|e0220',0,'','project10',8.48,0,0.15,0,0,0),(1270,1376151,'emmyUser10','emmy',16,1605797740,17206,'e0433|e0417|e0349|e0330|e0222|e0220|e0212|e0205|e0202|e0201|e0155|e0144|e0137|e0121|e0116|e0113',0,'','project10',8.77,2.29,3.37,0,0,0),(1271,1376483,'emmyUser10','emmy',16,1605828804,16654,'e0938|e0930|e0908|e0743|e0707|e0703|e0702|e0604|e0534|e0528|e0449|e0445|e0406|e0348|e0345|e0216',0,'','project10',9.01,46.76,64.48,0,0,0),(1272,1376623,'emmyUser7','emmy',4,1605872055,14972,'e0141|e0135|e0129|e0128',0,'','project7',3.6,20.26,45.15,0,0,0),(1273,1376636,'emmyUser7','emmy',4,1605872414,19160,'e0218|e0138|e0131|e0109',0,'','project7',3.5,19.74,40.62,0,0,0),(1274,1376630,'emmyUser7','emmy',4,1605872128,24235,'e0206|e0152|e0123|e0110',0,'','project7',3.62,19.97,41.13,0,0,0),(1275,1376617,'emmyUser7','emmy',4,1605861726,39156,'e0207|e0148|e0146|e0139',0,'','project7',3.72,10.29,22.48,0,0,0),(1276,1376817,'emmyUser7','emmy',4,1605888692,18354,'e0718|e0715|e0651|e0649',0,'','project7',3.59,20.15,44.25,0,0,0),(1277,1376887,'emmyUser7','emmy',4,1605898198,31875,'e1124|e1119|e1010|e1008',0,'','project7',7.2,19.76,41.66,0,0,0),(1278,1377040,'emmyUser10','emmy',16,1605960460,3796,'e1008|e0950|e0940|e0831|e0652|e0650|e0537|e0531|e0529|e0451|e0443|e0436|e0432|e0430|e0324|e0323',0,'','project10',10.04,45.09,63.14,0,0,0),(1279,1377127,'emmyUser10','emmy',16,1605974055,21145,'e0824|e0748|e0544|e0541|e0532|e0524|e0511|e0424|e0416|e0347|e0344|e0339|e0251|e0153|e0142|e0135',0,'','project10',12.36,46.22,64.16,0,0,0),(1280,1377128,'emmyUser10','emmy',16,1605974085,22401,'e1116|e1024|e1023|e1022|e1021|e1017|e1012|e1011|e1004|e1003|e1002|e1001|e0952|e0949|e0947|e0939',0,'','project10',19.08,43.2,59.99,0,0,0),(1281,1377220,'emmyUser7','emmy',4,1605987725,20305,'e0534|e0533|e0447|e0435',0,'','project7',3.45,19.5,38.8,0,0,0),(1282,1377219,'emmyUser7','emmy',4,1605987725,22723,'e0633|e0629|e0624|e0622',0,'','project7',3.75,20.7,46.36,0,0,0),(1283,1377619,'emmyUser7','emmy',4,1606056124,23421,'e0950|e0414|e0317|e0307',0,'','project7',5.15,19.52,40.37,0,0,0),(1284,1378749,'emmyUser4','emmy',2,1606143355,233,'e0102|e0126',0,'','project4',2.34,338.48,12.97,0,0,0),(1285,1378751,'emmyUser4','emmy',2,1606143806,225,'e0108|e0330',0,'','project4',2.23,317.8,11.35,0,0,0),(1286,1378750,'emmyUser4','emmy',2,1606143590,464,'e0102|e0126',0,'','project4',2.33,345.96,11.99,0,0,0),(1287,1378755,'emmyUser4','emmy',2,1606144212,141,'e0108|e0330',0,'','project4',2.26,235.77,6.34,0,0,0),(1288,1378753,'emmyUser4','emmy',2,1606144056,549,'e0102|e0126',0,'','project4',2.33,301.37,10.01,0,0,0),(1289,1378767,'emmyUser4','emmy',2,1606144601,201,'e0108|e0821',0,'','project4',2.47,341.72,11.95,0,0,0),(1290,1379726,'emmyUser6','emmy',32,1606170816,86473,'e1113|e1111|e1018|e1001|e0952|e0949|e0947|e0939|e0935|e0918|e0912|e0907|e0836|e0822|e0726|e0724|e0722|e0708|e0643|e0634|e0633|e0538|e0535|e0520|e0512|e0505|e0502|e0449|e0448|e0447|e0446|e0445',0,'','project6',20.21,250.74,59.34,0,0,0),(1291,1379729,'emmyUser6','emmy',32,1606171111,86436,'e1115|e1108|e1106|e1028|e1027|e1013|e0934|e0931|e0840|e0834|e0829|e0815|e0811|e0729|e0728|e0720|e0717|e0702|e0644|e0508|e0441|e0440|e0438|e0437|e0436|e0435|e0432|e0429|e0415|e0336|e0335|e0329',0,'','project6',17.27,252.93,58.09,0,0,0),(1292,1379728,'emmyUser6','emmy',32,1606171077,86472,'e1130|e1128|e1126|e1114|e1020|e1019|e1010|e0946|e0945|e0929|e0928|e0927|e0919|e0913|e0903|e0902|e0843|e0808|e0807|e0752|e0718|e0715|e0651|e0649|e0645|e0632|e0631|e0626|e0625|e0609|e0605|e0604',0,'','project6',18.94,245.32,57.71,0,0,0),(1293,1382230,'emmyUser7','emmy',2,1606299822,28294,'e0751|e0734',0,'','project7',3.75,21.86,52.91,0,0,0),(1294,1382659,'emmyUser1','emmy',2,1606329870,13548,'e0344|e0341',0,'','project1',8.56,147.08,23.18,0,0,0),(1295,1382939,'emmyUser1','emmy',2,1606391727,13521,'e0529|e0528',0,'','project1',8.37,148.75,23.45,0,0,0),(1296,1382851,'emmyUser7','emmy',4,1606390714,18395,'e0121|e0119|e0115|e0114',0,'','project7',4.8,18.75,38.8,0,0,0),(1297,1383342,'emmyUser1','emmy',2,1606432752,3823,'e0428|e0318',0,'','project1',6.11,127.25,68.18,0,0,0),(1298,1378449,'emmyUser2','emmy',4,1606439882,63652,'e0607|e0606|e0541|e0111',0,'','project2',6.76,90.34,35.54,0,0,0),(1299,1383551,'emmyUser1','emmy',2,1606480280,43237,'e0540|e0452',0,'','project1',8.46,137.98,21.47,0,0,0),(1300,1383737,'emmyUser9','emmy',4,1606568717,1242,'e0226|e0225|e0145|e0139',0,'','project9',6.73,5.93,6.71,0,0,0),(1301,1383744,'emmyUser9','emmy',4,1606571799,128,'e1127|e1125|e0810|e0808',0,'','project9',4.83,0.01,0.68,0,0,0),(1302,1383774,'emmyUser9','emmy',4,1606578362,1232,'e0743|e0737|e0656|e0646',0,'','project9',6.75,5.49,6.68,0,0,0),(1303,1383776,'emmyUser9','emmy',4,1606579727,645,'e0743|e0737|e0656|e0646',0,'','project9',6.74,4.58,5.72,0,0,0),(1304,1383780,'emmyUser9','emmy',4,1606586793,643,'e1127|e1125|e0810|e0808',0,'','project9',5.8,5.19,6.49,0,0,0),(1305,1384495,'emmyUser10','emmy',16,1606757211,1566,'e0624|e0620|e0619|e0609|e0608|e0607|e0606|e0604|e0602|e0551|e0550|e0541|e0537|e0501|e0450|e0219',0,'','project10',10.12,43.69,60.83,0,0,0),(1306,1384598,'emmyUser7','emmy',4,1606809226,29747,'e0829|e0827|e0310|e0309',0,'','project7',4.99,19.62,42.36,0,0,0),(1307,1385047,'emmyUser1','emmy',2,1606857723,1006,'e0108|e0107',0,'','project1',17.59,99.26,15.63,0,0,0),(1308,1385053,'emmyUser1','emmy',2,1606858767,1450,'e0141|e1126',0,'','project1',37.55,188.79,48.75,0,0,0),(1309,1385226,'emmyUser1','emmy',2,1606906571,1049,'e1021|e1020',0,'','project1',30.8,235.89,47.85,0,0,0),(1310,1385221,'emmyUser1','emmy',8,1606947425,965,'e0741|e0739|e0654|e0525|e0452|e0451|e0444|e0443',0,'','project1',7.41,74.57,13.08,0,0,0),(1311,1385075,'emmyUser6','emmy',32,1606883470,86448,'e0911|e0909|e0906|e0905|e0904|e0852|e0851|e0850|e0849|e0847|e0842|e0804|e0734|e0733|e0732|e0731|e0729|e0728|e0723|e0716|e0655|e0649|e0640|e0636|e0544|e0542|e0538|e0536|e0535|e0532|e0524|e0523',0,'','project6',20.07,252.71,59.01,0,0,0),(1312,1385870,'emmyUser1','emmy',4,1607003346,599,'e0226|e0225|e0622|e0618',0,'','project1',18.31,101.25,22.73,0,0,0),(1313,1385869,'emmyUser1','emmy',2,1607003987,4321,'e0243|e0241',0,'','project1',13.04,67.63,8.56,0,0,0),(1314,1386065,'emmyUser1','emmy',16,1607035362,694,'e0836|e0833|e0830|e0822|e0820|e0806|e0735|e0727|e0720|e0712|e0711|e0710|e0703|e0702|e0650|e0648',0,'','project1',61.76,44.83,5.01,0,0,0),(1315,1385868,'emmyUser2','emmy',4,1607036057,9336,'e0712|e0711|e0710|e0703',0,'','project2',6.27,90.01,35.37,0,0,0),(1316,1385867,'emmyUser1','emmy',2,1607009951,43263,'e0206|e0153',0,'','project1',9.26,129.93,21.34,0,0,0),(1317,1386466,'emmyUser1','emmy',16,1607120866,3645,'e0833|e0830|e0820|e0546|e0543|e0539|e0446|e0439|e0438|e0437|e0342|e0340|e0339|e0310|e0202|e0156',0,'','project1',46.2,16.07,3.08,0,0,0),(1318,1386251,'emmyUser1','emmy',2,1607083422,43214,'e0152|e0150',0,'','project1',9.84,127.31,20.7,0,0,0),(1319,1385076,'emmyUser6','emmy',32,1607044308,86445,'e0928|e0903|e0902|e0846|e0838|e0835|e0832|e0831|e0829|e0817|e0807|e0750|e0748|e0747|e0744|e0743|e0740|e0737|e0736|e0730|e0726|e0725|e0721|e0719|e0718|e0221|e0214|e0212|e0207|e0128|e0114|e0109',0,'','project6',17.62,254.82,57.66,0,0,0),(1320,1385745,'emmyUser6','emmy',32,1607044613,86448,'e0916|e0914|e0913|e0912|e0911|e0909|e0906|e0905|e0904|e0852|e0851|e0850|e0849|e0848|e0847|e0842|e0834|e0825|e0804|e0734|e0654|e0623|e0622|e0618|e0617|e0608|e0607|e0606|e0525|e0325|e0323|e0321',0,'','project6',20.11,253.03,58.89,0,0,0),(1321,1386426,'emmyUser7','emmy',4,1607108402,27549,'e0117|e0115|e0113|e0106',0,'','project7',25.97,17.84,39.81,0,0,0),(1322,1386550,'emmyUser7','emmy',4,1607159631,37600,'e0334|e0328|e0326|e0322',0,'','project7',5.01,19.88,44.41,0,0,0),(1323,1389768,'emmyUser7','emmy',8,1607290611,69823,'e0218|e0215|e0214|e0212|e0209|e0208|e0207|e0205',0,'','project7',5.06,15.09,34.94,0,0,0),(1324,1393479,'emmyUser4','emmy',4,1607402395,935,'e1118|e0901|e0845|e0630',0,'','project4',6.21,480.38,19.62,0,0,0),(1325,1389811,'emmyUser6','emmy',32,1607323167,86483,'e1108|e0810|e0642|e0641|e0611|e0610|e0609|e0607|e0606|e0605|e0603|e0601|e0552|e0550|e0549|e0548|e0545|e0541|e0520|e0510|e0509|e0505|e0417|e0415|e0403|e0246|e0245|e0203|e0156|e0154|e0153|e0152',0,'','project6',20,253.66,58.47,0,0,0),(1326,1389812,'emmyUser6','emmy',32,1607325805,86450,'e1109|e1104|e1103|e1026|e1025|e1024|e0933|e0850|e0847|e0815|e0814|e0813|e0812|e0805|e0803|e0801|e0744|e0743|e0736|e0735|e0731|e0717|e0653|e0647|e0539|e0527|e0424|e0421|e0402|e0309|e0130|e0129',0,'','project6',17.03,257.42,56.58,0,0,0),(1327,1389960,'emmyUser1','emmy',16,1607354704,86458,'e1121|e1007|e1005|e1004|e0918|e0718|e0704|e0703|e0635|e0634|e0632|e0626|e0625|e0337|e0336|e0142',0,'','project1',46.19,3.48,1.38,0,0,0),(1328,1396839,'emmyUser4','emmy',2,1607450089,335,'e0108|e0107',0,'','project4',8.11,413.38,13.83,0,0,0),(1329,1396849,'emmyUser4','emmy',4,1607452027,927,'e0103|e0102|e0101|e1028',0,'','project4',5.99,424.23,14.62,0,0,0),(1330,1396842,'emmyUser4','emmy',4,1607450485,3643,'e0108|e0107|e0106|e0105',0,'','project4',9.69,457.41,16.18,0,0,0),(1331,1397997,'emmyUser1','emmy',16,1607516057,630,'e0816|e0724|e0721|e0347|e0244|e0242|e0226|e0223|e0220|e0151|e0150|e0149|e0148|e0147|e0146|e0145',0,'','project1',62.39,248.4,19.34,0,0,0),(1332,1396852,'emmyUser6','emmy',32,1607483024,86436,'e1126|e1123|e1119|e1116|e1115|e1110|e1105|e1003|e1002|e0927|e0926|e0925|e0923|e0922|e0921|e0920|e0919|e0917|e0915|e0903|e0902|e0849|e0844|e0842|e0837|e0828|e0827|e0820|e0748|e0738|e0620|e0613',0,'','project6',20.06,253.83,58.13,0,0,0),(1333,1397991,'emmyUser7','emmy',8,1607547069,54015,'e1129|e0714|e0323|e0137|e0135|e0130|e0111|e0109',0,'','project7',5.29,15.42,35.04,0,0,0),(1334,1396853,'emmyUser6','emmy',32,1607572802,86468,'e1131|e1130|e0946|e0942|e0941|e0940|e0931|e0930|e0929|e0836|e0832|e0739|e0737|e0726|e0622|e0616|e0615|e0614|e0504|e0438|e0424|e0423|e0420|e0414|e0348|e0329|e0302|e0210|e0203|e0202|e0142|e0133',0,'','project6',16.45,258.11,55.9,0,0,0),(1335,1398317,'emmyUser7','emmy',8,1607642120,56886,'e1101|e0823|e0819|e0655|e0642|e0401|e0153|e0131',0,'','project7',5.29,16.24,35.47,0,0,0),(1336,1399089,'emmyUser4','emmy',4,1607807187,1385,'e0909|e0906|e0905|e0840',0,'','project4',10.74,518.33,20.38,0,0,0),(1337,1398529,'emmyUser6','emmy',32,1607761741,86486,'e1132|e1115|e1105|e1103|e1032|e1031|e1009|e1008|e1002|e0945|e0922|e0921|e0839|e0708|e0706|e0705|e0640|e0639|e0638|e0637|e0636|e0630|e0623|e0615|e0526|e0525|e0518|e0508|e0448|e0437|e0433|e0307',0,'','project6',16.07,242.53,51.63,0,0,0),(1338,1399947,'emmyUser1','emmy',2,1608025106,15436,'e1020|e1019',0,'','project1',6.39,118.03,10.56,0,0,0),(1339,1399946,'emmyUser1','emmy',2,1608024582,55809,'e0515|e0409',0,'','project1',6.74,146.53,13.76,0,0,0),(1340,1399949,'emmyUser1','emmy',2,1608026122,57511,'e0601|e0552',0,'','project1',6.3,138.57,12.73,0,0,0),(1341,1400261,'emmyUser1','emmy',2,1608119906,2051,'e0103|e0102',0,'','project1',8.39,242.14,19.59,0,0,0),(1342,1400260,'emmyUser1','emmy',2,1608119894,2425,'e0106|e0105',0,'','project1',7.26,204.52,17.83,0,0,0),(1343,1401428,'emmyUser6','emmy',32,1608360835,86438,'e0504|e0502|e0441|e0438|e0434|e0423|e0421|e0420|e0419|e0418|e0417|e0415|e0414|e0413|e0412|e0405|e0404|e0402|e0401|e0356|e0353|e0352|e0351|e0350|e0347|e0346|e0345|e0344|e0342|e0340|e0338|e0336',0,'','project6',37.48,225.65,63.62,0,0,0),(1344,1401427,'emmyUser6','emmy',32,1608360835,86470,'e0629|e0628|e0626|e0625|e0623|e0622|e0621|e0619|e0618|e0617|e0616|e0615|e0614|e0613|e0611|e0609|e0608|e0602|e0601|e0552|e0549|e0548|e0547|e0546|e0545|e0540|e0539|e0536|e0535|e0534|e0530|e0518',0,'','project6',38.2,225.59,63.74,0,0,0),(1345,1401629,'emmyUser6','emmy',32,1608447776,86449,'e1115|e1114|e1113|e1112|e0934|e0932|e0931|e0930|e0929|e0928|e0927|e0926|e0925|e0924|e0923|e0922|e0921|e0920|e0919|e0918|e0917|e0916|e0915|e0914|e0913|e0912|e0911|e0909|e0908|e0907|e0906|e0905',0,'','project6',38.35,222.15,62.85,0,0,0),(1346,1401630,'emmyUser6','emmy',32,1608447799,86475,'e0852|e0851|e0850|e0849|e0848|e0847|e0846|e0845|e0844|e0843|e0842|e0841|e0840|e0839|e0838|e0837|e0836|e0835|e0832|e0822|e0818|e0817|e0816|e0815|e0811|e0803|e0802|e0752|e0751|e0750|e0749|e0748',0,'','project6',37.36,226.43,63.85,0,0,0),(1347,1401863,'emmyUser6','emmy',32,1608534585,398,'e0928|e0927|e0926|e0925|e0924|e0923|e0922|e0921|e0920|e0919|e0918|e0917|e0916|e0915|e0914|e0913|e0912|e0911|e0909|e0908|e0907|e0906|e0905|e0852|e0851|e0850|e0849|e0848|e0847|e0846|e0845|e0844',0,'','project6',27.87,138.96,50.47,0,0,0),(1348,1401864,'emmyUser6','emmy',32,1608534593,394,'e0843|e0842|e0841|e0840|e0839|e0838|e0837|e0836|e0835|e0832|e0822|e0818|e0817|e0816|e0815|e0811|e0803|e0802|e0752|e0751|e0750|e0749|e0748|e0740|e0728|e0725|e0635|e0634|e0522|e0521|e0520|e0511',0,'','project6',27.89,133.25,47.78,0,0,0),(1349,1402284,'emmyUser1','emmy',2,1608595214,3142,'e0108|e0107',0,'','project1',12,162.72,11.4,0,0,0),(1350,1401866,'emmyUser6','emmy',32,1608535130,86439,'e0928|e0927|e0926|e0925|e0924|e0923|e0922|e0921|e0920|e0919|e0918|e0917|e0916|e0915|e0914|e0913|e0912|e0911|e0909|e0908|e0907|e0906|e0905|e0852|e0851|e0850|e0849|e0848|e0847|e0846|e0845|e0844',0,'','project6',38.09,223.73,63.22,0,0,0),(1351,1401867,'emmyUser6','emmy',32,1608535138,86445,'e0843|e0842|e0841|e0840|e0839|e0838|e0837|e0836|e0835|e0832|e0822|e0818|e0817|e0816|e0815|e0811|e0803|e0802|e0752|e0751|e0750|e0749|e0748|e0740|e0728|e0725|e0635|e0634|e0522|e0521|e0520|e0511',0,'','project6',37.39,227.16,63.96,0,0,0),(1352,1402342,'emmyUser7','emmy',8,1608634656,27932,'e1117|e0932|e0848|e0847|e0846|e0845|e0844|e0828',0,'','project7',5.27,16.94,40.02,0,0,0),(1353,1402514,'emmyUser7','emmy',8,1608656649,37650,'e1122|e1120|e1108|e1107|e1106|e1105|e1104|e1103',0,'','project7',5.15,15,34.69,0,0,0),(1354,1402511,'emmyUser7','emmy',8,1608654627,43397,'e0739|e0614|e0613|e0609|e0606|e0605|e0603|e0542',0,'','project7',5.3,16.5,38.36,0,0,0),(1355,1402293,'emmyUser6','emmy',32,1608795502,86448,'e1009|e1007|e1006|e0833|e0831|e0830|e0829|e0646|e0645|e0644|e0643|e0642|e0628|e0626|e0625|e0619|e0541|e0540|e0536|e0534|e0533|e0530|e0528|e0526|e0518|e0507|e0346|e0345|e0344|e0338|e0335|e0120',0,'','project6',38.23,225.89,63.79,0,0,0),(1356,1402294,'emmyUser6','emmy',32,1608805373,86482,'e1102|e1013|e1011|e1010|e1008|e0726|e0712|e0710|e0706|e0317|e0316|e0315|e0313|e0311|e0307|e0304|e0303|e0302|e0248|e0240|e0239|e0238|e0233|e0232|e0229|e0228|e0211|e0141|e0136|e0132|e0129|e0126',0,'','project6',37.44,225.27,63.54,0,0,0),(1357,1403231,'emmyUser6','emmy',32,1608909130,86457,'e1124|e1121|e1113|e1009|e1007|e1006|e1004|e0931|e0930|e0924|e0923|e0922|e0921|e0833|e0831|e0830|e0829|e0827|e0826|e0801|e0646|e0645|e0644|e0643|e0208|e0206|e0205|e0204|e0203|e0202|e0156|e0155',0,'','project6',38.05,222.36,62.86,0,0,0),(1358,1403244,'emmyUser6','emmy',32,1608923076,86461,'e0951|e0934|e0929|e0926|e0925|e0728|e0727|e0716|e0701|e0653|e0514|e0513|e0512|e0506|e0505|e0503|e0501|e0439|e0437|e0433|e0415|e0404|e0325|e0321|e0320|e0114|e0108|e0107|e0106|e0105|e0103|e0102',0,'','project6',37.5,225.59,63.57,0,0,0),(1359,1403561,'emmyUser4','emmy',4,1609084883,674,'e0828|e0817|e0816|e0815',0,'','project4',6.38,362.87,14.09,0,0,0),(1360,1403562,'emmyUser4','emmy',4,1609084892,913,'e0812|e0811|e0810|e0809',0,'','project4',6.18,411.93,16.05,0,0,0),(1361,1404056,'emmyUser7','emmy',8,1609106787,36186,'e1132|e1131|e1130|e1129|e0841|e0828|e0817|e0816',0,'','project7',5.2,16.75,39.55,0,0,0),(1362,1404049,'emmyUser7','emmy',8,1609093375,86449,'e0233|e0232|e0229|e0228|e0226|e0225|e0224|e0223',0,'','project7',5.25,3.48,8.33,0,0,0),(1363,1404307,'emmyUser7','emmy',8,1609182939,177,'e0608|e0606|e0605|e0603|e0552|e0523|e0448|e0428',0,'','project7',4.5,23.66,0.32,0,0,0),(1364,1404084,'emmyUser6','emmy',32,1609126807,86477,'e1001|e0947|e0945|e0904|e0902|e0901|e0851|e0850|e0849|e0848|e0846|e0834|e0832|e0822|e0818|e0805|e0749|e0747|e0742|e0725|e0654|e0616|e0615|e0614|e0613|e0612|e0611|e0610|e0604|e0551|e0550|e0547',0,'','project6',38.13,224.7,63.46,0,0,0),(1365,1404085,'emmyUser6','emmy',32,1609126857,86470,'e0938|e0937|e0825|e0824|e0823|e0821|e0820|e0819|e0814|e0705|e0703|e0702|e0545|e0539|e0534|e0533|e0530|e0528|e0526|e0522|e0518|e0507|e0452|e0449|e0442|e0431|e0422|e0421|e0420|e0419|e0418|e0417',0,'','project6',37.52,226.66,63.77,0,0,0),(1366,1404396,'emmyUser6','emmy',32,1609299584,86442,'e1121|e1118|e1115|e1113|e1109|e1107|e1009|e1002|e1001|e0947|e0747|e0742|e0727|e0725|e0715|e0706|e0654|e0616|e0353|e0342|e0229|e0228|e0226|e0225|e0224|e0210|e0209|e0208|e0204|e0203|e0202|e0118',0,'','project6',38.11,222.35,62.8,0,0,0),(1367,1404397,'emmyUser6','emmy',32,1609300556,86462,'e0908|e0819|e0814|e0809|e0751|e0704|e0701|e0653|e0651|e0640|e0639|e0634|e0613|e0604|e0551|e0530|e0528|e0527|e0526|e0522|e0520|e0518|e0507|e0348|e0345|e0344|e0314|e0303|e0232|e0153|e0152|e0151',0,'','project6',37.43,224.42,63.23,0,0,0),(1368,1405946,'emmyUser4','emmy',2,1609419977,699,'e0105|e0103',0,'','project4',19.86,519.98,26.99,0,0,0),(1369,1405950,'emmyUser4','emmy',4,1609420702,445,'e0105|e0103|e0102|e0101',0,'','project4',12.02,377.82,21.12,0,0,0),(1370,1405952,'emmyUser4','emmy',8,1609421161,496,'e0108|e0107|e0106|e0105|e0103|e0102|e0101|e0650',0,'','project4',7.86,385.81,14.8,0,0,0),(1371,1405963,'emmyUser4','emmy',8,1609424316,3873,'e0308|e0243|e0242|e0234|e0231|e0221|e0141|e0133',0,'','project4',7.79,474.67,17.3,0,0,0),(1372,1405965,'emmyUser4','emmy',8,1609424987,3628,'e0804|e0523|e0510|e0504|e0502|e0115|e0114|e0113',0,'','project4',7.67,472.41,17.24,0,0,0),(1373,1405964,'emmyUser4','emmy',8,1609424459,4250,'e0828|e0817|e0816|e0632|e0542|e0531|e0529|e0525',0,'','project4',7.89,478.17,17.22,0,0,0),(1374,1405960,'emmyUser4','emmy',8,1609424263,4819,'e0930|e0923|e0921|e0833|e0831|e0730|e0728|e0726',0,'','project4',7.75,473.52,17.53,0,0,0),(1375,1405968,'emmyUser4','emmy',8,1609425446,3942,'e1132|e1131|e1130|e1126|e1123|e1020|e1019|e1018',0,'','project4',7.83,472.03,16.95,0,0,0),(1376,1405971,'emmyUser4','emmy',8,1609426049,4565,'e1119|e1029|e1025|e1024|e1023|e1022|e1012|e0821',0,'','project4',7.75,490.64,17.41,0,0,0),(1377,1405975,'emmyUser4','emmy',8,1609427913,2867,'e1127|e1122|e1120|e1108|e1007|e1006|e1004|e0931',0,'','project4',7.81,462.23,17.54,0,0,0),(1378,1405972,'emmyUser4','emmy',8,1609426467,4667,'e0710|e0656|e0610|e0609|e0607|e0602|e0414|e0412',0,'','project4',7.86,475.98,17.1,0,0,0),(1379,1405970,'emmyUser4','emmy',8,1609425446,5860,'e0655|e0650|e0647|e0631|e0630|e0537|e0311|e0305',0,'','project4',7.66,490.15,17.09,0,0,0),(1380,1405973,'emmyUser4','emmy',8,1609427067,4576,'e0922|e0834|e0832|e0830|e0749|e0636|e0635|e0622',0,'','project4',7.73,479.86,17.2,0,0,0),(1381,1405978,'emmyUser4','emmy',8,1609427917,3867,'e0712|e0644|e0643|e0638|e0637|e0629|e0625|e0624',0,'','project4',7.88,476.01,17.53,0,0,0),(1382,1405981,'emmyUser4','emmy',8,1609428616,3443,'e0804|e0523|e0510|e0504|e0502|e0141|e0133|e0115',0,'','project4',7.82,483.41,17.26,0,0,0),(1383,1405976,'emmyUser4','emmy',8,1609427913,4166,'e0714|e0711|e0707|e0652|e0619|e0548|e0546|e0540',0,'','project4',7.79,485.15,17.49,0,0,0),(1384,1405962,'emmyUser4','emmy',8,1609424315,8114,'e0425|e0424|e0413|e0341|e0323|e0321|e0316|e0315',0,'','project4',7.78,496.72,17.15,0,0,0),(1385,1405979,'emmyUser4','emmy',8,1609427962,4469,'e0906|e0905|e0852|e0850|e0623|e0438|e0320|e0319',0,'','project4',11.32,482.45,17.35,0,0,0),(1386,1405983,'emmyUser4','emmy',8,1609429084,3399,'e0930|e0923|e0921|e0833|e0831|e0730|e0728|e0726',0,'','project4',7.8,471.11,17.29,0,0,0),(1387,1405980,'emmyUser4','emmy',8,1609428190,4847,'e0308|e0306|e0248|e0243|e0242|e0234|e0231|e0221',0,'','project4',7.84,484.65,17.13,0,0,0),(1388,1405985,'emmyUser4','emmy',8,1609430024,3311,'e1008|e1003|e0408|e0329|e0318|e0239|e0238|e0237',0,'','project4',7.72,467.43,17.24,0,0,0),(1389,1405977,'emmyUser4','emmy',8,1609427914,5562,'e0536|e0532|e0524|e0519|e0513|e0501|e0442|e0439',0,'','project4',7.62,484.14,17.26,0,0,0),(1390,1405967,'emmyUser4','emmy',8,1609425193,8467,'e0927|e0917|e0916|e0907|e0820|e0705|e0447|e0446',0,'','project4',7.77,484.22,16.73,0,0,0),(1391,1405984,'emmyUser4','emmy',8,1609429389,4920,'e1132|e1131|e1130|e1126|e1123|e1020|e1019|e1018',0,'','project4',7.71,475.66,16.53,0,0,0),(1392,1405990,'emmyUser4','emmy',8,1609431645,3549,'e0922|e0834|e0832|e0830|e0749|e0636|e0635|e0622',0,'','project4',7.76,479.78,17.08,0,0,0),(1393,1405994,'emmyUser4','emmy',8,1609432358,3686,'e0546|e0540|e0433|e0429|e0219|e0141|e0116|e0110',0,'','project4',7.82,467.19,16.9,0,0,0),(1394,1405987,'emmyUser4','emmy',8,1609430615,5483,'e1119|e1029|e1025|e1024|e1023|e1022|e1012|e0821',0,'','project4',7.9,485.96,17.22,0,0,0),(1395,1405993,'emmyUser4','emmy',8,1609432081,4268,'e0714|e0712|e0711|e0707|e0655|e0652|e0619|e0548',0,'','project4',7.8,481.45,17.25,0,0,0),(1396,1405969,'emmyUser4','emmy',8,1609425446,10903,'e0838|e0837|e0836|e0835|e0813|e0724|e0723|e0719',0,'','project4',8.09,495.61,16.91,0,0,0),(1397,1405974,'emmyUser4','emmy',8,1609427067,9897,'e0618|e0608|e0606|e0605|e0603|e0552|e0544|e0543',0,'','project4',7.76,500.36,17.16,0,0,0),(1398,1406001,'emmyUser4','emmy',8,1609433661,3338,'e0927|e0917|e0916|e0907|e0820|e0705|e0447|e0446',0,'','project4',7.69,481.11,17.04,0,0,0),(1399,1405986,'emmyUser4','emmy',8,1609430601,6743,'e0703|e0702|e0615|e0614|e0335|e0332|e0317|e0310',0,'','project4',7.8,486.76,16.97,0,0,0),(1400,1405989,'emmyUser4','emmy',8,1609431135,6258,'e0710|e0656|e0610|e0609|e0607|e0602|e0414|e0412',0,'','project4',7.95,483.08,16.84,0,0,0),(1401,1405995,'emmyUser4','emmy',8,1609432432,5021,'e0906|e0905|e0852|e0850|e0623|e0438|e0413|e0341',0,'','project4',7.72,481.41,17.37,0,0,0),(1402,1405997,'emmyUser4','emmy',8,1609432977,5148,'e0328|e0326|e0323|e0321|e0320|e0319|e0316|e0315',0,'','project4',7.55,485.35,17.18,0,0,0),(1403,1406002,'emmyUser4','emmy',8,1609434310,4153,'e1132|e1131|e1130|e1126|e1123|e1020|e1019|e1018',0,'','project4',8.11,467.89,17,0,0,0),(1404,1405998,'emmyUser4','emmy',8,1609433038,5979,'e0309|e0308|e0306|e0248|e0244|e0243|e0242|e0234',0,'','project4',7.89,490.55,17.06,0,0,0),(1405,1406007,'emmyUser4','emmy',8,1609436350,2671,'e0838|e0837|e0836|e0835|e0815|e0813|e0803|e0801',0,'','project4',7.78,476.33,16.99,0,0,0),(1406,1405966,'emmyUser4','emmy',8,1609425193,14540,'e1125|e1102|e1030|e0952|e0941|e0939|e0936|e0928',0,'','project4',7.58,503.04,16.6,0,0,0),(1407,1406000,'emmyUser4','emmy',8,1609433477,6295,'e0536|e0532|e0524|e0519|e0513|e0501|e0442|e0231',0,'','project4',7.72,495.26,17.4,0,0,0),(1408,1406003,'emmyUser4','emmy',8,1609435194,4757,'e0346|e0339|e0337|e0313|e0230|e0227|e0221|e0148',0,'','project4',7.9,478.19,16.94,0,0,0),(1409,1406005,'emmyUser4','emmy',8,1609436099,4506,'e1119|e1029|e1025|e1024|e1023|e1022|e1012|e0821',0,'','project4',7.82,474.92,17.22,0,0,0),(1410,1405991,'emmyUser4','emmy',8,1609431790,9084,'e0644|e0643|e0638|e0637|e0631|e0629|e0625|e0624',0,'','project4',7.83,493.11,17.04,0,0,0),(1411,1406004,'emmyUser4','emmy',8,1609435195,5780,'e0922|e0834|e0832|e0830|e0749|e0636|e0635|e0622',0,'','project4',7.86,482.6,17.02,0,0,0),(1412,1406009,'emmyUser4','emmy',8,1609436906,4338,'e0655|e0652|e0619|e0548|e0410|e0407|e0356|e0352',0,'','project4',7.82,476.29,17.71,0,0,0),(1413,1406014,'emmyUser4','emmy',8,1609437455,3975,'e0906|e0905|e0852|e0850|e0623|e0438|e0413|e0341',0,'','project4',7.79,481.75,17.27,0,0,0),(1414,1405999,'emmyUser4','emmy',8,1609433337,8215,'e1008|e1003|e0408|e0329|e0318|e0239|e0238|e0237',0,'','project4',7.9,489.8,16.76,0,0,0),(1415,1406016,'emmyUser4','emmy',8,1609437966,4033,'e0844|e0842|e0811|e0810|e0546|e0540|e0433|e0429',0,'','project4',7.79,479.36,16.94,0,0,0),(1416,1406018,'emmyUser4','emmy',8,1609438126,4187,'e0328|e0326|e0323|e0321|e0320|e0319|e0316|e0315',0,'','project4',7.59,474.07,16.77,0,0,0),(1417,1406012,'emmyUser4','emmy',8,1609437345,4976,'e0703|e0702|e0615|e0614|e0406|e0355|e0335|e0332',0,'','project4',7.84,478.27,16.85,0,0,0),(1418,1405982,'emmyUser4','emmy',8,1609428711,13905,'e0828|e0817|e0816|e0632|e0542|e0531|e0529|e0525',0,'','project4',7.81,495.53,16.9,0,0,0),(1419,1406006,'emmyUser4','emmy',8,1609436181,6456,'e1104|e1103|e1005|e0950|e0949|e0944|e0924|e0915',0,'','project4',8.14,496.04,17.37,0,0,0),(1420,1406020,'emmyUser4','emmy',8,1609439109,3628,'e0838|e0837|e0836|e0835|e0815|e0813|e0803|e0801',0,'','project4',8.03,481.37,17.16,0,0,0),(1421,1406024,'emmyUser4','emmy',8,1609439952,2906,'e0346|e0339|e0337|e0313|e0244|e0243|e0242|e0234',0,'','project4',7.78,479.09,17.16,0,0,0),(1422,1406010,'emmyUser4','emmy',8,1609436965,5949,'e0618|e0608|e0606|e0605|e0603|e0552|e0544|e0543',0,'','project4',35.93,485.24,16.98,0,0,0),(1423,1405988,'emmyUser4','emmy',8,1609430782,12154,'e1127|e1122|e1120|e1108|e1007|e1006|e1004|e0931',0,'','project4',35.77,496.52,16.77,0,0,0),(1424,1406015,'emmyUser4','emmy',8,1609437695,5740,'e0630|e0537|e0317|e0312|e0310|e0250|e0249|e0139',0,'','project4',7.94,489.78,17,0,0,0),(1425,1406019,'emmyUser4','emmy',8,1609438464,5266,'e1132|e1131|e1130|e1126|e1123|e1020|e1019|e1018',0,'','project4',7.77,471.17,16.27,0,0,0),(1426,1406017,'emmyUser4','emmy',8,1609437966,5820,'e0219|e0142|e0141|e0129|e0128|e0119|e0116|e0111',0,'','project4',7.94,496.13,17.24,0,0,0),(1427,1405992,'emmyUser4','emmy',8,1609432060,12193,'e0804|e0650|e0647|e0523|e0510|e0504|e0502|e0236',0,'','project4',7.6,494.21,16.8,0,0,0),(1428,1406008,'emmyUser4','emmy',8,1609436350,8389,'e0748|e0724|e0723|e0719|e0714|e0712|e0711|e0707',0,'','project4',7.92,494.72,17.09,0,0,0),(1429,1406028,'emmyUser4','emmy',8,1609440976,3771,'e0922|e0834|e0832|e0830|e0749|e0636|e0635|e0622',0,'','project4',7.82,476.34,17.39,0,0,0),(1430,1406027,'emmyUser4','emmy',8,1609440875,3993,'e0644|e0643|e0638|e0637|e0631|e0629|e0625|e0624',0,'','project4',7.89,482.51,17.48,0,0,0),(1431,1406013,'emmyUser4','emmy',8,1609437394,7636,'e0710|e0656|e0610|e0609|e0607|e0602|e0414|e0412',0,'','project4',8.04,493.27,16.91,0,0,0),(1432,1406026,'emmyUser4','emmy',8,1609440719,4420,'e1125|e1102|e1030|e0952|e0941|e0939|e0936|e0928',0,'','project4',8.02,487.92,16.95,0,0,0),(1433,1406023,'emmyUser4','emmy',8,1609439773,5404,'e0536|e0532|e0524|e0519|e0513|e0501|e0442|e0248',0,'','project4',7.92,488.67,17.5,0,0,0),(1434,1405996,'emmyUser4','emmy',8,1609432484,12837,'e0930|e0923|e0921|e0833|e0831|e0730|e0728|e0726',0,'','project4',7.69,493.25,16.87,0,0,0),(1435,1406032,'emmyUser4','emmy',8,1609441554,4060,'e1008|e1003|e0408|e0329|e0318|e0239|e0238|e0237',0,'','project4',7.8,483.55,17.31,0,0,0),(1436,1406011,'emmyUser4','emmy',8,1609437000,8937,'e0927|e0917|e0916|e0907|e0820|e0705|e0447|e0446',0,'','project4',8,488.19,16.84,0,0,0),(1437,1406031,'emmyUser4','emmy',8,1609441431,4690,'e0906|e0905|e0852|e0850|e0623|e0438|e0413|e0341',0,'','project4',8,487.77,17.33,0,0,0),(1438,1406033,'emmyUser4','emmy',8,1609443437,3062,'e0317|e0312|e0310|e0250|e0249|e0139|e0102|e0101',0,'','project4',7.83,469.02,16.97,0,0,0),(1439,1406022,'emmyUser4','emmy',8,1609439124,7842,'e0645|e0642|e0641|e0633|e0628|e0626|e0309|e0308',0,'','project4',7.78,491.34,17.05,0,0,0),(1440,1406030,'emmyUser4','emmy',8,1609441245,6082,'e0655|e0652|e0619|e0548|e0410|e0407|e0356|e0352',0,'','project4',7.79,485.92,16.9,0,0,0),(1441,1406041,'emmyUser4','emmy',8,1609445140,2319,'e1125|e1102|e1030|e0952|e0941|e0939|e0936|e0928',0,'','project4',7.67,450.31,17.68,0,0,0),(1442,1406035,'emmyUser4','emmy',8,1609444782,3458,'e1021|e0844|e0842|e0823|e0822|e0818|e0811|e0810',0,'','project4',7.85,473.77,17.03,0,0,0),(1443,1406042,'emmyUser4','emmy',8,1609445179,3326,'e0536|e0532|e0524|e0519|e0513|e0501|e0442|e0316',0,'','project4',7.86,471.2,17.42,0,0,0),(1444,1406043,'emmyUser4','emmy',8,1609445239,3493,'e1104|e1103|e1005|e0950|e0949|e0944|e0924|e0915',0,'','project4',7.92,476.31,17.05,0,0,0),(1445,1406037,'emmyUser4','emmy',8,1609444783,4018,'e0328|e0326|e0323|e0321|e0320|e0319|e0236|e0116',0,'','project4',7.71,470.67,16.77,0,0,0),(1446,1406039,'emmyUser4','emmy',8,1609444923,3946,'e0828|e0817|e0816|e0703|e0702|e0632|e0615|e0614',0,'','project4',7.84,487.79,17.14,0,0,0),(1447,1406040,'emmyUser4','emmy',8,1609444923,3984,'e0542|e0531|e0529|e0525|e0406|e0355|e0335|e0332',0,'','project4',7.84,480.41,17.15,0,0,0),(1448,1406034,'emmyUser4','emmy',8,1609444748,5107,'e0922|e0834|e0832|e0830|e0749|e0636|e0635|e0622',0,'','project4',7.84,479,17.21,0,0,0),(1449,1406044,'emmyUser4','emmy',8,1609445239,4865,'e0838|e0837|e0836|e0835|e0815|e0813|e0803|e0801',0,'','project4',7.84,479.56,17.25,0,0,0),(1450,1406029,'emmyUser4','emmy',8,1609441225,8927,'e0230|e0227|e0221|e0148|e0115|e0107|e0106|e0105',0,'','project4',8.17,494.15,17.94,0,0,0),(1451,1406038,'emmyUser4','emmy',8,1609444869,5359,'e0644|e0643|e0638|e0637|e0631|e0629|e0625|e0624',0,'','project4',8.06,488.36,17.11,0,0,0),(1452,1406051,'emmyUser4','emmy',8,1609446122,4206,'e0906|e0905|e0852|e0850|e0623|e0438|e0413|e0341',0,'','project4',7.78,476.55,17.36,0,0,0),(1453,1406046,'emmyUser4','emmy',8,1609445322,5274,'e0930|e0923|e0921|e0833|e0831|e0730|e0728|e0726',0,'','project4',8.06,484.87,17.35,0,0,0),(1454,1405961,'emmyUser4','emmy',8,1609424315,26392,'e0827|e0826|e0812|e0722|e0720|e0717|e0716|e0428',0,'','project4',7.57,499.83,16.73,0,0,0),(1455,1406052,'emmyUser4','emmy',8,1609446963,3882,'e0606|e0605|e0603|e0552|e0544|e0543|e0244|e0243',0,'','project4',7.83,474.01,16.96,0,0,0),(1456,1406048,'emmyUser4','emmy',8,1609445505,5398,'e0630|e0537|e0343|e0338|e0327|e0325|e0219|e0142',0,'','project4',7.74,484.44,17.02,0,0,0),(1457,1406025,'emmyUser4','emmy',8,1609440606,10344,'e1119|e1029|e1025|e1024|e1023|e1022|e1012|e0821',0,'','project4',7.94,494.71,16.95,0,0,0),(1458,1406021,'emmyUser4','emmy',8,1609439124,12701,'e0739|e0737|e0736|e0735|e0734|e0713|e0649|e0646',0,'','project4',8.19,498.86,16.91,0,0,0),(1459,1406054,'emmyUser4','emmy',8,1609446978,5527,'e0317|e0312|e0310|e0250|e0249|e0242|e0234|e0141',0,'','project4',7.81,478.88,16.94,0,0,0),(1460,1406053,'emmyUser4','emmy',8,1609446967,5594,'e0645|e0642|e0641|e0633|e0628|e0626|e0309|e0308',0,'','project4',7.74,487.43,17.17,0,0,0),(1461,1406057,'emmyUser4','emmy',8,1609448802,4521,'e0501|e0442|e0328|e0326|e0323|e0321|e0320|e0319',0,'','project4',7.77,484.56,17.22,0,0,0),(1462,1406058,'emmyUser4','emmy',8,1609448908,4645,'e0615|e0614|e0542|e0531|e0529|e0525|e0406|e0355',0,'','project4',7.78,488.4,17.03,0,0,0),(1463,1406061,'emmyUser4','emmy',8,1609450105,3524,'e1021|e0844|e0838|e0837|e0836|e0835|e0815|e0813',0,'','project4',7.76,478.57,17.45,0,0,0),(1464,1406067,'emmyUser4','emmy',8,1609450951,3000,'e1119|e1029|e1025|e1024|e1023|e1022|e1012|e0821',0,'','project4',7.93,469.43,17.85,0,0,0),(1465,1406065,'emmyUser4','emmy',8,1609450846,3162,'e0606|e0605|e0603|e0552|e0544|e0543|e0244|e0243',0,'','project4',7.77,472.67,17.32,0,0,0),(1466,1406060,'emmyUser4','emmy',8,1609449856,4246,'e0922|e0834|e0832|e0830|e0749|e0636|e0635|e0622',0,'','project4',7.84,480.26,17.5,0,0,0),(1467,1406063,'emmyUser4','emmy',8,1609450597,4306,'e0930|e0923|e0921|e0833|e0831|e0730|e0728|e0726',0,'','project4',7.92,481.67,17.48,0,0,0),(1468,1406062,'emmyUser4','emmy',8,1609450329,5221,'e0906|e0905|e0852|e0850|e0623|e0438|e0413|e0341',0,'','project4',7.77,484.47,17.19,0,0,0),(1469,7062369,'woodyUser1','woody',1,1596440521,15121,'w1023',0,'','project11',8.01,4.29,1.24,0,0,0),(1470,7062487,'woodyUser1','woody',1,1596440941,7620,'w1319',0,'','project11',9.16,13.28,2.24,0,0,0),(1471,7064371,'woodyUser1','woody',1,1596456121,4440,'w1308',0,'','project11',8.42,4.78,0.91,0,0,0),(1472,7064552,'woodyUser1','woody',1,1596452762,5880,'w1139',0,'','project11',7.85,0,1.02,0,0,0),(1473,7064708,'woodyUser1','woody',1,1596450422,7019,'w1346',0,'','project11',9.03,17.45,2.77,0,0,0),(1474,7066073,'woodyUser4','woody',1,1596496981,4981,'w1438',0,'','project14',1.56,2.43,3.52,0,0,0),(1475,7066099,'woodyUser4','woody',1,1596498121,4320,'w1436',0,'','project14',2.85,0.71,0.74,0,0,0),(1476,7073736,'woodyUser2','woody',1,1596958141,53340,'w1555',0,'','project12',1.19,0,0.4,0,0,0),(1477,7073738,'woodyUser2','woody',1,1596958141,86220,'w1553',0,'','project12',1.29,0,0.9,0,0,0),(1478,7073829,'woodyUser2','woody',1,1596958382,25979,'w1418',0,'','project12',1.15,0,0.47,0,0,0),(1479,7073956,'woodyUser2','woody',1,1596982502,86220,'w1518',0,'','project12',1.37,0,1.23,0,0,0),(1480,7074042,'woodyUser2','woody',1,1597014842,30480,'w1524',0,'','project12',1.34,0,0.4,0,0,0),(1481,7074945,'woodyUser1','woody',1,1597277641,4800,'w1349',0,'','project11',9.21,6.91,1.62,0,0,0),(1482,7075072,'woodyUser1','woody',1,1597273561,4080,'w1349',0,'','project11',7.55,4.53,0.84,0,0,0),(1483,7075411,'woodyUser1','woody',1,1597262462,9539,'w1513',0,'','project11',8.94,11.31,2.05,0,0,0),(1484,7077854,'woodyUser1','woody',1,1597081802,11419,'w1319',0,'','project11',9.16,10.45,1.74,0,0,0),(1485,7080234,'woodyUser4','woody',1,1597248362,1919,'w1324',0,'','project14',1.24,1.35,0.11,0,0,0),(1486,7080945,'woodyUser2','woody',1,1597301100,5461,'w1554',0,'','project12',0.84,0,0.37,0,0,0),(1487,7081044,'woodyUser2','woody',1,1597301401,1201,'w1408',0,'','project12',0.79,0,0.7,0,0,0),(1488,7081100,'woodyUser2','woody',1,1597302662,1260,'w1410',0,'','project12',0.72,0,0.71,0,0,0),(1489,7081118,'woodyUser2','woody',1,1597303321,1800,'w1426',0,'','project12',0.74,0,0.54,0,0,0),(1490,7081161,'woodyUser2','woody',1,1597304101,1141,'w1443',0,'','project12',0.61,0,0.71,0,0,0),(1491,7081203,'woodyUser2','woody',1,1597305182,3059,'w1411',0,'','project12',0.76,0,0.51,0,0,0),(1492,7081269,'woodyUser2','woody',1,1597330622,1259,'w1454',0,'','project12',0.64,0.16,0.88,0,0,0),(1493,7081280,'woodyUser2','woody',1,1597330501,1260,'w1534',0,'','project12',0.64,0.16,1.08,0,0,0),(1494,7081360,'woodyUser2','woody',1,1597328881,1080,'w1503',0,'','project12',0.62,0,0.85,0,0,0),(1495,7081400,'woodyUser2','woody',1,1597328161,1200,'w1537',0,'','project12',0.66,0,0.7,0,0,0),(1496,7081418,'woodyUser2','woody',1,1597327801,1080,'w1402',0,'','project12',0.6,0,0.73,0,0,0),(1497,7081514,'woodyUser2','woody',1,1597326361,2160,'w1540',0,'','project12',0.75,0,0.57,0,0,0),(1498,7081713,'woodyUser2','woody',1,1597322762,2039,'w1412',0,'','project12',0.75,0,0.53,0,0,0),(1499,7081720,'woodyUser2','woody',1,1597322641,1200,'w1423',0,'','project12',0.71,0,0.85,0,0,0),(1500,7081802,'woodyUser2','woody',1,1597321381,1141,'w1448',0,'','project12',0.61,0,0.83,0,0,0),(1501,7081909,'woodyUser2','woody',1,1597319461,1380,'w1431',0,'','project12',0.74,0,0.7,0,0,0),(1502,7082275,'woodyUser2','woody',1,1597309861,2952,'w1519',0,'','project12',0.78,0,0.48,0,0,0),(1503,7082807,'woodyUser2','woody',1,1597353181,1020,'w1519',0,'','project12',0.49,0,0.29,0,0,0),(1504,7082887,'woodyUser2','woody',1,1597354201,1815,'w1403',0,'','project12',0.5,0,0.18,0,0,0),(1505,7082938,'woodyUser2','woody',1,1597355341,901,'w1537',0,'','project12',0.48,0,0.38,0,0,0),(1506,7083095,'woodyUser2','woody',1,1597379701,900,'w1550',0,'','project12',0.49,0,0.34,0,0,0),(1507,7083209,'woodyUser2','woody',1,1597378141,900,'w1455',0,'','project12',0.49,0,0.34,0,0,0),(1508,7083254,'woodyUser2','woody',1,1597377662,899,'w1450',0,'','project12',0.49,0,0.36,0,0,0),(1509,7083328,'woodyUser2','woody',1,1597376701,904,'w1553',0,'','project12',0.49,0,0.35,0,0,0),(1510,7083449,'woodyUser2','woody',1,1597375201,960,'w1456',0,'','project12',0.48,0,0.33,0,0,0),(1511,7083470,'woodyUser2','woody',1,1597374961,961,'w1507',0,'','project12',0.49,0,0.38,0,0,0),(1512,7083525,'woodyUser2','woody',1,1597374241,840,'w1513',0,'','project12',0.48,0,0.38,0,0,0),(1513,7083660,'woodyUser2','woody',1,1597372261,1020,'w1508',0,'','project12',0.49,0,0.58,0,0,0),(1514,7083791,'woodyUser2','woody',1,1597370761,720,'w1545',0,'','project12',0.48,0,0.37,0,0,0),(1515,7083848,'woodyUser2','woody',1,1597370282,720,'w1404',0,'','project12',0.48,0,0.39,0,0,0),(1516,7083971,'woodyUser2','woody',1,1597369081,720,'w1529',0,'','project12',0.49,0,0.38,0,0,0),(1517,7084143,'woodyUser2','woody',1,1597367462,779,'w1505',0,'','project12',0.49,0,0.43,0,0,0),(1518,7084169,'woodyUser2','woody',1,1597367221,780,'w1414',0,'','project12',0.49,0,0.39,0,0,0),(1519,7084274,'woodyUser2','woody',1,1597366082,719,'w1541',0,'','project12',0.47,0,0.37,0,0,0),(1520,7084300,'woodyUser2','woody',1,1597365721,1080,'w1512',0,'','project12',0.48,0,0.4,0,0,0),(1521,7084372,'woodyUser2','woody',1,1597364641,1080,'w1440',0,'','project12',0.49,0,0.35,0,0,0),(1522,7084497,'woodyUser2','woody',1,1597362841,1080,'w1449',0,'','project12',0.48,0,0.34,0,0,0),(1523,7084566,'woodyUser2','woody',1,1597361762,1320,'w1450',0,'','project12',0.52,0,0.31,0,0,0),(1524,7084652,'woodyUser2','woody',1,1597360501,1020,'w1435',0,'','project12',0.49,0,0.41,0,0,0),(1525,7084666,'woodyUser2','woody',1,1597360201,1204,'w1421',0,'','project12',0.5,0,0.33,0,0,0),(1526,7084675,'woodyUser2','woody',1,1597360022,1139,'w1450',0,'','project12',0.49,0,0.37,0,0,0),(1527,7084708,'woodyUser2','woody',1,1597359481,1080,'w1419',0,'','project12',0.49,0,0.37,0,0,0),(1528,7084732,'woodyUser2','woody',1,1597359121,1200,'w1525',0,'','project12',0.5,0,0.39,0,0,0),(1529,7084880,'woodyUser2','woody',1,1597394042,4920,'w1540',0,'','project12',1.54,0,1.32,0,0,0),(1530,7084947,'woodyUser2','woody',1,1597394221,4741,'w1428',0,'','project12',1.51,0,1.32,0,0,0),(1531,7086805,'woodyUser1','woody',1,1597493522,12359,'w1133',0,'','project11',7.99,0,1.12,0,0,0),(1532,7087318,'woodyUser2','woody',1,1597409582,13260,'w1534',0,'','project12',7.14,0.01,0.39,0,0,0),(1533,7088002,'woodyUser4','woody',1,1597432741,10261,'w1421',0,'','project14',9.55,0.93,4.98,0,0,0),(1534,7088220,'woodyUser2','woody',1,1597453801,12840,'w1449',0,'','project12',1.02,0,0.37,0,0,0),(1535,7088393,'woodyUser2','woody',1,1597491181,12540,'w1524',0,'','project12',0.93,0,0.38,0,0,0),(1536,7088651,'woodyUser2','woody',1,1597536061,4141,'w1413',0,'','project12',1.6,0,0.53,0,0,0),(1537,7089204,'woodyUser2','woody',1,1597593601,1201,'w1342',0,'','project12',1.11,0,0.35,0,0,0),(1538,7089214,'woodyUser2','woody',1,1597594022,1979,'w1321',0,'','project12',1.11,0,0.45,0,0,0),(1539,7089252,'woodyUser2','woody',1,1597595521,2520,'w1205',0,'','project12',1.18,0,0.37,0,0,0),(1540,7089264,'woodyUser2','woody',1,1597596001,1800,'w1330',0,'','project12',1.12,0,0.53,0,0,0),(1541,7089302,'woodyUser2','woody',1,1597598641,1680,'w1347',0,'','project12',1.12,0,0.53,0,0,0),(1542,7089473,'woodyUser2','woody',1,1597760401,70921,'w1328',0,'','project12',1.16,0,3.69,0,0,0),(1543,7089572,'woodyUser2','woody',1,1597751462,9561,'w1313',0,'','project12',1.15,0,0.25,0,0,0),(1544,7089660,'woodyUser2','woody',1,1597735861,5460,'w1352',0,'','project12',1,0.01,0.19,0,0,0),(1545,7089677,'woodyUser2','woody',1,1597733461,34620,'w1320',0,'','project12',1.03,0.02,0.09,0,0,0),(1546,7089789,'woodyUser2','woody',1,1597720921,11160,'w1340',0,'','project12',1.13,0.02,0.09,0,0,0),(1547,7089878,'woodyUser2','woody',1,1597673401,1800,'w1342',0,'','project12',1.09,0,0.55,0,0,0),(1548,7089910,'woodyUser2','woody',1,1597666981,1260,'w1301',0,'','project12',1.1,0,0.31,0,0,0),(1549,7090003,'woodyUser2','woody',1,1597657621,1741,'w1330',0,'','project12',1.01,0.3,0.54,0,0,0),(1550,7090059,'woodyUser2','woody',1,1597652281,2525,'w1311',0,'','project12',1.1,0,0.35,0,0,0),(1551,7090085,'woodyUser2','woody',1,1597650721,4440,'w1303',0,'','project12',1.11,0.01,0.66,0,0,0),(1552,7090134,'woodyUser2','woody',1,1597646821,2340,'w1207',0,'','project12',1.18,0,0.4,0,0,0),(1553,7090174,'woodyUser2','woody',1,1597644182,1980,'w1313',0,'','project12',1.18,0,0.53,0,0,0),(1554,7090226,'woodyUser2','woody',1,1597640102,1019,'w1345',0,'','project12',1.17,0,0.35,0,0,0),(1555,7090251,'woodyUser2','woody',1,1597638241,1081,'w1342',0,'','project12',1.17,0,0.34,0,0,0),(1556,7090255,'woodyUser2','woody',1,1597638062,28259,'w1328',0,'','project12',1.27,0,0.61,0,0,0),(1557,7090380,'woodyUser2','woody',1,1597628281,1920,'w1319',0,'','project12',1.02,0,0.47,0,0,0),(1558,7090568,'woodyUser2','woody',1,1597615562,2160,'w1329',0,'','project12',1,0,0.42,0,0,0),(1559,7090570,'woodyUser2','woody',1,1597615502,4619,'w1323',0,'','project12',1.11,0.01,0.69,0,0,0),(1560,7090616,'woodyUser2','woody',1,1597611961,1800,'w1353',0,'','project12',1.03,0,0.57,0,0,0),(1561,7090985,'woodyUser1','woody',1,1597633441,18120,'w1112',0,'','project11',7.96,0,1.48,0,0,0),(1562,7091682,'woodyUser1','woody',1,1597772162,8039,'w1026',0,'','project11',8,0.99,0.66,0,0,0),(1563,7094613,'woodyUser4','woody',1,1597710661,11940,'w1419',0,'','project14',4.58,1.15,2.37,0,0,0),(1564,7094629,'woodyUser4','woody',1,1597712881,10342,'w1444',0,'','project14',9.56,0.99,5.01,0,0,0),(1565,7096144,'woodyUser4','woody',1,1597761902,10740,'w1204',0,'','project14',3.87,1.38,2.26,0,0,0),(1566,7096192,'woodyUser4','woody',1,1597778101,7861,'w1334',0,'','project14',11.97,0.91,5.27,0,0,0),(1567,7096895,'woodyUser2','woody',1,1597833121,1561,'w1431',0,'','project12',0.68,0,0.72,0,0,0),(1568,7144306,'woodyUser1','woody',1,1599053641,41640,'w1109',0,'','project11',7.97,0,5.12,0,0,0),(1569,7144387,'woodyUser1','woody',1,1599027182,21659,'w1527',0,'','project11',5.57,21.17,5.91,0,0,0),(1570,7144768,'woodyUser1','woody',1,1598929202,43559,'w1109',0,'','project11',7.96,0,4.22,0,0,0),(1571,7146959,'woodyUser2','woody',1,1599097321,86400,'w1340',0,'','project12',1.12,0,0.25,0,0,0),(1572,7147130,'woodyUser2','woody',1,1599108841,5401,'w1313',0,'','project12',1.11,0.01,0.54,0,0,0),(1573,7147475,'woodyUser3','woody',1,1599065821,2941,'w1429',0,'','project13',0.61,2.49,0.97,0,0,0),(1574,7147495,'woodyUser3','woody',1,1599066842,3119,'w1301',0,'','project13',0.62,2.48,0.96,0,0,0),(1575,7147567,'woodyUser3','woody',1,1599071401,38640,'w1029',0,'','project13',0.89,3.06,0.81,0,0,0),(1576,7147571,'woodyUser3','woody',1,1599071762,32279,'w1132',0,'','project13',1.09,0,0.89,0,0,0),(1577,7147701,'woodyUser3','woody',1,1599073502,29820,'w1506',0,'','project13',2.47,2.56,1,0,0,0),(1578,7147831,'woodyUser3','woody',1,1599130561,3960,'w1168',0,'','project13',0.72,0,0.9,0,0,0),(1579,7147974,'woodyUser2','woody',1,1599157621,78661,'w1337',0,'','project12',1.11,0.01,0.07,0,0,0),(1580,7148108,'woodyUser2','woody',1,1599180361,5520,'w1333',0,'','project12',1,0.01,0.72,0,0,0),(1581,7148208,'woodyUser2','woody',1,1599187981,6900,'w1320',0,'','project12',1.07,0.01,0.4,0,0,0),(1582,7148364,'woodyUser2','woody',1,1599212521,7200,'w1432',0,'','project12',0.88,0,0.37,0,0,0),(1583,7148369,'woodyUser2','woody',1,1599212521,7440,'w1427',0,'','project12',0.92,0,0.36,0,0,0),(1584,7148644,'woodyUser2','woody',1,1599322201,7200,'w1543',0,'','project12',1.16,0,0.58,0,0,0),(1585,7148697,'woodyUser2','woody',1,1599322321,6601,'w1310',0,'','project12',0.97,0,0.45,0,0,0),(1586,7148994,'woodyUser2','woody',1,1599486061,23820,'w1338',0,'','project12',1.23,0,0.42,0,0,0),(1587,7149256,'woodyUser2','woody',1,1599430682,7199,'w1549',0,'','project12',1.01,0,0.35,0,0,0),(1588,7149298,'woodyUser2','woody',1,1599421621,11101,'w1525',0,'','project12',1.14,0,0.44,0,0,0),(1589,7149338,'woodyUser2','woody',1,1599415621,58860,'w1203',0,'','project12',1.06,0.02,0.24,0,0,0),(1590,7149468,'woodyUser2','woody',1,1599389941,12180,'w1525',0,'','project12',1.16,0,0.42,0,0,0),(1591,7149571,'woodyUser2','woody',1,1599377221,7980,'w1502',0,'','project12',1.17,0,0.57,0,0,0),(1592,7149624,'woodyUser2','woody',1,1599369061,7141,'w1538',0,'','project12',1.14,0,0.62,0,0,0),(1593,7151239,'woodyUser3','woody',1,1599491282,29280,'w1505',0,'','project13',0.93,2.58,1.01,0,0,0),(1594,7151250,'woodyUser3','woody',1,1599491341,47460,'w1450',0,'','project13',0.94,2.57,1,0,0,0),(1595,7151271,'woodyUser3','woody',1,1599491641,33381,'w1435',0,'','project13',0.94,2.52,0.99,0,0,0),(1596,7151313,'woodyUser3','woody',1,1599493081,35161,'w1125',0,'','project13',0.88,0,0.89,0,0,0),(1597,7151417,'woodyUser3','woody',1,1599556142,40892,'w1021',0,'','project13',0.88,3.04,0.8,0,0,0),(1598,7151420,'woodyUser3','woody',1,1599556142,40379,'w1018',0,'','project13',0.88,3.07,0.8,0,0,0),(1599,7151440,'woodyUser3','woody',1,1599556321,36241,'w1159',0,'','project13',0.88,0,0.88,0,0,0),(1600,7151499,'woodyUser3','woody',1,1599556502,31860,'w1353',0,'','project13',0.96,2.48,0.97,0,0,0),(1601,7151512,'woodyUser3','woody',1,1599556562,30119,'w1336',0,'','project13',0.98,2.48,0.98,0,0,0),(1602,7151515,'woodyUser3','woody',1,1599556562,30239,'w1331',0,'','project13',1.14,2.48,0.97,0,0,0),(1603,7151557,'woodyUser3','woody',1,1599559261,29580,'w1551',0,'','project13',2.2,2.57,1,0,0,0),(1604,7151893,'woodyUser3','woody',1,1599654601,3601,'w1325',0,'','project13',0.64,2.43,0.94,0,0,0),(1605,7151915,'woodyUser3','woody',1,1599658022,3420,'w1170',0,'','project13',0.55,0,0.84,0,0,0),(1606,7151918,'woodyUser3','woody',1,1599658022,3299,'w1166',0,'','project13',0.53,0,0.87,0,0,0),(1607,7151924,'woodyUser3','woody',1,1599658022,3299,'w1160',0,'','project13',0.55,0,0.85,0,0,0),(1608,7152058,'woodyUser3','woody',1,1599660721,4080,'w1539',0,'','project13',0.61,2.61,1,0,0,0),(1609,7152142,'woodyUser3','woody',1,1599664801,32160,'w1136',0,'','project13',0.87,0,0.87,0,0,0),(1610,7152532,'woodyUser2','woody',1,1599768781,43740,'w1334',0,'','project12',32.27,0.01,0.74,0,0,0),(1611,7156238,'woodyUser2','woody',1,1599901262,3779,'w1348',0,'','project12',1.77,0.01,0.69,0,0,0),(1612,7156423,'woodyUser2','woody',1,1599992221,83220,'w1353',0,'','project12',2.52,0.01,0.66,0,0,0),(1613,7156510,'woodyUser3','woody',1,1599935341,5220,'w1121',0,'','project13',0.54,0,0.86,0,0,0),(1614,7156536,'woodyUser3','woody',1,1599936541,4740,'w1435',0,'','project13',0.6,2.52,0.97,0,0,0),(1615,7156541,'woodyUser3','woody',1,1599936601,361,'w1549',0,'','project13',0.6,2.54,0.99,0,0,0),(1616,7158435,'woodyUser2','woody',1,1600023362,7199,'w1427',0,'','project12',0.78,0,0.36,0,0,0),(1617,7158582,'woodyUser2','woody',1,1600072621,1860,'w1510',0,'','project12',2.43,0,0.75,0,0,0),(1618,7158920,'woodyUser3','woody',1,1600160101,660,'w1144',0,'','project13',0.54,0,0.75,0,0,0),(1619,7158948,'woodyUser3','woody',1,1600161122,599,'w1145',0,'','project13',0.53,0,0.78,0,0,0),(1620,7159000,'woodyUser4','woody',1,1600162802,15239,'w1536',0,'','project14',3.2,1.43,2.84,0,0,0),(1621,7159015,'woodyUser4','woody',1,1600162861,13381,'w1521',0,'','project14',5.7,2.11,4.68,0,0,0),(1622,7161130,'woodyUser4','woody',1,1600249202,15839,'w1428',0,'','project14',4.27,1.43,3.65,0,0,0),(1623,7165013,'woodyUser3','woody',1,1600264501,48660,'w1553',0,'','project13',0.94,2.56,1.01,0,0,0),(1624,7165938,'woodyUser1','woody',1,1600413541,15541,'w1141',0,'','project11',7.98,0,1.26,0,0,0),(1625,7168312,'woodyUser4','woody',1,1600390801,4920,'w1441',0,'','project14',5.44,2.34,4.5,0,0,0),(1626,7168321,'woodyUser4','woody',1,1600391101,4860,'w1423',0,'','project14',4.57,2.38,4.5,0,0,0),(1627,7168389,'woodyUser4','woody',1,1600395542,4860,'w1440',0,'','project14',1.76,0.96,4.77,0,0,0),(1628,7168443,'woodyUser4','woody',1,1600397641,4801,'w1450',0,'','project14',6.31,2.24,4.22,0,0,0),(1629,7168770,'woodyUser4','woody',1,1600446061,1381,'w1514',0,'','project14',1.04,2.01,3.5,0,0,0),(1630,7168788,'woodyUser4','woody',1,1600447081,2400,'w1419',0,'','project14',1.03,1.42,3.48,0,0,0),(1631,7168869,'woodyUser4','woody',1,1600482541,2460,'w1538',0,'','project14',1.09,1.42,3.68,0,0,0),(1632,7170907,'woodyUser3','woody',1,1600767061,3660,'w1111',0,'','project13',0.58,0,0.89,0,0,0),(1633,7170922,'woodyUser3','woody',1,1600769761,3241,'w1340',0,'','project13',0.61,2.58,0.98,0,0,0),(1634,7170942,'woodyUser4','woody',1,1600770541,4860,'w1333',0,'','project14',5.73,1.43,5.18,0,0,0),(1635,7171037,'woodyUser3','woody',1,1600774142,3539,'w1202',0,'','project13',0.67,2.53,0.92,0,0,0),(1636,7171218,'woodyUser4','woody',1,1600779782,4859,'w1317',0,'','project14',5.99,2.22,3.84,0,0,0),(1637,7171805,'woodyUser3','woody',1,1600872241,3840,'w1440',0,'','project13',0.97,2.63,1.02,0,0,0),(1638,7171836,'woodyUser3','woody',1,1600873081,3727,'w1411',0,'','project13',0.63,2.68,0.96,0,0,0),(1639,7172207,'woodyUser1','woody',1,1601144401,11408,'w1431',0,'','project11',9.02,10.24,1.6,0,0,0),(1640,7172275,'woodyUser1','woody',1,1600908301,11100,'w1435',0,'','project11',8.95,10.56,1.85,0,0,0),(1641,7172468,'woodyUser1','woody',1,1601131321,16680,'w1117',0,'','project11',7.96,0,1,0,0,0),(1642,7173752,'woodyUser1','woody',1,1601008622,12659,'w1321',0,'','project11',9.38,9.75,1.63,0,0,0),(1643,7174005,'woodyUser1','woody',1,1600981681,13200,'w1322',0,'','project11',9.36,10.43,1.72,0,0,0),(1644,7176913,'woodyUser1','woody',1,1600943221,12660,'w1332',0,'','project11',9.72,9.76,1.68,0,0,0),(1645,7179066,'woodyUser1','woody',1,1601359561,12361,'w1337',0,'','project11',10.47,9.97,1.64,0,0,0),(1646,7179858,'woodyUser1','woody',1,1601307421,10741,'w1509',0,'','project11',8.67,10.72,1.86,0,0,0),(1647,7180085,'woodyUser1','woody',1,1601213641,13921,'w1332',0,'','project11',10.04,8.36,1.45,0,0,0),(1648,7181130,'woodyUser1','woody',1,1601245981,10980,'w1445',0,'','project11',9.43,10.25,1.78,0,0,0),(1649,7183018,'woodyUser4','woody',1,1601254441,4921,'w1525',0,'','project14',3.85,2.13,5.74,0,0,0),(1650,7195527,'woodyUser4','woody',1,1601342881,9360,'w1437',0,'','project14',20.15,0.12,0.69,0,0,0),(1651,7195553,'woodyUser4','woody',1,1601344262,12419,'w1405',0,'','project14',3.09,0.21,0.35,0,0,0),(1652,7195631,'woodyUser3','woody',1,1601382961,4560,'w1111',0,'','project13',0.55,0,0.86,0,0,0),(1653,7195759,'woodyUser3','woody',1,1601388841,4321,'w1163',0,'','project13',0.55,0,0.91,0,0,0),(1654,7195805,'woodyUser4','woody',1,1601426161,4920,'w1555',0,'','project14',6.48,2.43,6.21,0,0,0),(1655,7195812,'woodyUser4','woody',1,1601426221,4860,'w1548',0,'','project14',4.43,1.4,5.12,0,0,0),(1656,7195895,'woodyUser4','woody',1,1601426401,3840,'w1421',0,'','project14',2.33,2.31,2.78,0,0,0),(1657,7195919,'woodyUser4','woody',1,1601427541,4860,'w1508',0,'','project14',5.44,1.25,6.01,0,0,0),(1658,7195928,'woodyUser4','woody',1,1601427782,2579,'w1411',0,'','project14',2.89,2.65,0.91,0,0,0),(1659,7195965,'woodyUser4','woody',1,1601431021,4500,'w1554',0,'','project14',1.76,1.31,3.59,0,0,0),(1660,7195978,'woodyUser4','woody',1,1601431081,5040,'w1530',0,'','project14',3.9,2.04,4.1,0,0,0),(1661,7196820,'woodyUser1','woody',1,1601598782,10740,'w1546',0,'','project11',9.06,10.81,1.86,0,0,0),(1662,7197241,'woodyUser1','woody',1,1601587021,13260,'w1334',0,'','project11',8.81,8.36,1.41,0,0,0),(1663,7197580,'woodyUser1','woody',1,1601486162,16199,'w1123',0,'','project11',7.97,0,1,0,0,0),(1664,7198051,'woodyUser1','woody',1,1601551741,10878,'w1544',0,'','project11',9.12,9.91,1.69,0,0,0),(1665,7200202,'woodyUser4','woody',1,1601663461,4860,'w1524',0,'','project14',6,2.33,5.7,0,0,0),(1666,7200304,'woodyUser3','woody',1,1601723282,36840,'w1340',0,'','project13',2.45,2.43,0.95,0,0,0),(1667,7200320,'woodyUser3','woody',1,1601723462,30899,'w1324',0,'','project13',0.94,2.46,0.96,0,0,0),(1668,7200324,'woodyUser3','woody',1,1601723462,30179,'w1320',0,'','project13',0.93,2.47,0.97,0,0,0),(1669,7200340,'woodyUser3','woody',1,1601723761,31470,'w1305',0,'','project13',0.94,2.47,0.96,0,0,0),(1670,7200346,'woodyUser3','woody',1,1601723822,31408,'w1207',0,'','project13',1.48,2.47,0.95,0,0,0),(1671,7200349,'woodyUser3','woody',1,1601723822,30539,'w1204',0,'','project13',1,2.48,0.98,0,0,0),(1672,7200562,'woodyUser1','woody',1,1601747221,11101,'w1427',0,'','project11',9.92,10.15,1.68,0,0,0),(1673,7200645,'woodyUser1','woody',1,1601753101,16021,'w1154',0,'','project11',7.94,0,1.03,0,0,0),(1674,7200673,'woodyUser1','woody',1,1601753821,53941,'w1355',0,'','project11',9.18,2.43,8.8,0,0,0),(1675,7200916,'woodyUser1','woody',1,1601777041,11520,'w1311',0,'','project11',9.26,9.19,1.62,0,0,0),(1676,7201166,'woodyUser1','woody',1,1601763961,11280,'w1538',0,'','project11',9.26,10.7,1.79,0,0,0),(1677,7201374,'woodyUser3','woody',1,1601808901,32580,'w1105',0,'','project13',0.87,0,0.91,0,0,0),(1678,7201411,'woodyUser3','woody',1,1601808961,30840,'w1322',0,'','project13',0.9,2.44,0.95,0,0,0),(1679,7201504,'woodyUser3','woody',1,1601844841,34080,'w1151',0,'','project13',0.9,0,0.89,0,0,0),(1680,7201543,'woodyUser3','woody',1,1601844901,32820,'w1110',0,'','project13',0.88,0,0.9,0,0,0),(1681,7201548,'woodyUser3','woody',1,1601844961,32666,'w1105',0,'','project13',0.89,0,0.89,0,0,0),(1682,7201561,'woodyUser3','woody',1,1601844961,30000,'w1345',0,'','project13',0.93,2.47,0.96,0,0,0),(1683,7201695,'woodyUser3','woody',1,1601899141,2941,'w1350',0,'','project13',0.59,2.49,0.96,0,0,0),(1684,7201705,'woodyUser3','woody',1,1601899201,3000,'w1340',0,'','project13',0.57,2.49,0.95,0,0,0),(1685,7201773,'woodyUser3','woody',1,1601901182,3539,'w1554',0,'','project13',0.61,2.49,0.95,0,0,0),(1686,7201775,'woodyUser3','woody',1,1601901182,4020,'w1552',0,'','project13',0.61,2.51,0.97,0,0,0),(1687,7201870,'woodyUser3','woody',1,1601905561,480,'w1162',0,'','project13',0.52,0,0.61,0,0,0),(1688,7201885,'woodyUser3','woody',1,1601905621,420,'w1103',0,'','project13',0.53,0,0.8,0,0,0),(1689,7201911,'woodyUser3','woody',1,1601905742,3180,'w1325',0,'','project13',0.58,2.46,0.94,0,0,0),(1690,7203970,'woodyUser3','woody',1,1601998021,4260,'w1403',0,'','project13',0.61,2.62,0.97,0,0,0),(1691,7203984,'woodyUser3','woody',1,1601999161,3961,'w1508',0,'','project13',0.61,2.65,0.98,0,0,0),(1692,7204140,'woodyUser3','woody',1,1602027301,33180,'w1517',0,'','project13',0.95,2.6,1,0,0,0),(1693,7204156,'woodyUser3','woody',1,1602027901,31541,'w1455',0,'','project13',0.94,2.58,1.01,0,0,0),(1694,7204197,'woodyUser3','woody',1,1602029281,36481,'w1168',0,'','project13',0.88,0,0.9,0,0,0),(1695,7204230,'woodyUser3','woody',1,1602029881,33241,'w1315',0,'','project13',0.95,2.48,0.98,0,0,0),(1696,7204241,'woodyUser3','woody',1,1602030061,35940,'w1432',0,'','project13',0.94,2.54,0.98,0,0,0),(1697,7211139,'woodyUser1','woody',1,1602505382,10860,'w1504',0,'','project11',10.03,11.03,1.86,0,0,0),(1698,7211807,'woodyUser1','woody',1,1602460381,11821,'w1551',0,'','project11',9.64,10.26,1.67,0,0,0),(1699,7212852,'woodyUser1','woody',1,1602324721,11520,'w1414',0,'','project11',9.16,10.48,1.73,0,0,0),(1700,7214880,'woodyUser1','woody',1,1602285481,11761,'w1440',0,'','project11',9.13,10.41,1.76,0,0,0),(1701,7218513,'woodyUser3','woody',1,1602334861,34380,'w1152',0,'','project13',1.19,0,0.89,0,0,0),(1702,7218534,'woodyUser3','woody',1,1602336241,36120,'w1414',0,'','project13',0.93,2.58,0.98,0,0,0),(1703,7218563,'woodyUser3','woody',1,1602337502,40979,'w1149',0,'','project13',0.86,0,0.89,0,0,0),(1704,7218570,'woodyUser3','woody',1,1602337861,43981,'w1452',0,'','project13',0.92,2.58,1.02,0,0,0),(1705,7218686,'woodyUser4','woody',1,1602353581,10027,'w1428',0,'','project14',2.55,1.34,2.62,0,0,0),(1706,7218692,'woodyUser4','woody',1,1602363481,15841,'w1549',0,'','project14',7.98,1.6,2.67,0,0,0),(1707,7219053,'woodyUser4','woody',1,1602393122,599,'w1527',0,'','project14',0.72,0,3.19,0,0,0),(1708,7219055,'woodyUser4','woody',1,1602393241,19921,'w1512',0,'','project14',2.77,1.03,3.27,0,0,0),(1709,7219085,'woodyUser4','woody',1,1602394741,20100,'w1454',0,'','project14',29.63,0.64,3.86,0,0,0),(1710,7219092,'woodyUser4','woody',1,1602395341,18421,'w1440',0,'','project14',2.58,0.67,4.53,0,0,0),(1711,7219093,'woodyUser4','woody',1,1602395521,19680,'w1419',0,'','project14',3.44,0.79,3.43,0,0,0),(1712,7219100,'woodyUser4','woody',1,1602396122,32879,'w1533',0,'','project14',3.15,1.97,3.63,0,0,0),(1713,7219165,'woodyUser3','woody',1,1602417722,29760,'w1407',0,'','project13',0.93,2.58,1,0,0,0),(1714,7219211,'woodyUser3','woody',1,1602419281,34321,'w1162',0,'','project13',1.23,0,0.88,0,0,0),(1715,7219219,'woodyUser3','woody',1,1602419461,32379,'w1426',0,'','project13',0.93,2.58,1,0,0,0),(1716,7219308,'woodyUser3','woody',1,1602428221,33900,'w1108',0,'','project13',0.87,0,0.89,0,0,0),(1717,7219331,'woodyUser3','woody',1,1602435301,33780,'w1317',0,'','project13',0.91,2.47,0.95,0,0,0),(1718,7219364,'woodyUser4','woody',1,1602429901,13020,'w1421',0,'','project14',4.85,1.28,1.9,0,0,0),(1719,7219376,'woodyUser4','woody',1,1602434461,11341,'w1438',0,'','project14',2.98,1.18,3.7,0,0,0),(1720,7219431,'woodyUser3','woody',1,1602494941,28380,'w1436',0,'','project13',0.98,2.57,1.02,0,0,0),(1721,7219444,'woodyUser3','woody',1,1602495722,41999,'w1320',0,'','project13',1.68,2.48,0.97,0,0,0),(1722,7219523,'woodyUser3','woody',1,1602511621,31620,'w1202',0,'','project13',2.45,2.43,0.97,0,0,0),(1723,7219590,'woodyUser3','woody',1,1602517442,360,'w1302',0,'','project13',0.62,2.35,0.81,0,0,0),(1724,7219632,'woodyUser3','woody',1,1602519061,47580,'w1350',0,'','project13',0.92,2.48,0.95,0,0,0),(1725,7219635,'woodyUser3','woody',1,1602519301,35820,'w1115',0,'','project13',0.87,0,0.87,0,0,0),(1726,7219733,'woodyUser3','woody',1,1602574621,15660,'w1170',0,'','project13',5.22,0,0.02,0,0,0),(1727,7219742,'woodyUser3','woody',1,1602575221,4860,'w1158',0,'','project13',0.55,0,0.88,0,0,0),(1728,7219896,'woodyUser3','woody',1,1602577741,41514,'w1508',0,'','project13',1.02,2.6,0.99,0,0,0),(1729,7219932,'woodyUser3','woody',1,1602577861,47940,'w1418',0,'','project13',2.38,2.59,1.01,0,0,0),(1730,7220982,'woodyUser4','woody',1,1602607921,9240,'w1516',0,'','project14',0.91,1.35,0.5,0,0,0),(1731,7221000,'woodyUser3','woody',1,1602659762,3240,'w1165',0,'','project13',0.53,0,0.88,0,0,0),(1732,7221001,'woodyUser3','woody',1,1602659762,3240,'w1163',0,'','project13',0.53,0,0.84,0,0,0),(1733,7221079,'woodyUser3','woody',1,1602660001,3480,'w1521',0,'','project13',0.59,2.6,1,0,0,0),(1734,7221152,'woodyUser3','woody',1,1602661561,3481,'w1354',0,'','project13',0.59,2.44,0.94,0,0,0),(1735,7221153,'woodyUser3','woody',1,1602661561,4201,'w1322',0,'','project13',0.59,2.44,0.94,0,0,0),(1736,7221210,'woodyUser3','woody',1,1602664561,41281,'w1162',0,'','project13',0.88,0,0.89,0,0,0),(1737,7221347,'woodyUser3','woody',1,1602664922,37799,'w1415',0,'','project13',0.91,2.57,1.01,0,0,0),(1738,7223090,'woodyUser3','woody',1,1602703081,32281,'w1204',0,'','project13',0.98,2.49,0.98,0,0,0),(1739,7223136,'woodyUser3','woody',1,1602703141,44821,'w1420',0,'','project13',0.92,2.59,1,0,0,0),(1740,7223163,'woodyUser3','woody',1,1602705661,29701,'w1448',0,'','project13',0.92,2.59,1,0,0,0),(1741,7223170,'woodyUser3','woody',1,1602706321,40440,'w1519',0,'','project13',2.34,2.58,1.03,0,0,0),(1742,7226344,'woodyUser3','woody',1,1602788941,29220,'w1204',0,'','project13',2.49,2.48,0.97,0,0,0),(1743,7226346,'woodyUser3','woody',1,1602789241,32161,'w1132',0,'','project13',1.21,0,0.87,0,0,0),(1744,7226488,'woodyUser3','woody',1,1602839761,28200,'w1515',0,'','project13',1.41,2.58,0.98,0,0,0),(1745,7226506,'woodyUser3','woody',1,1602840781,48180,'w1339',0,'','project13',1.11,2.48,0.98,0,0,0),(1746,7226513,'woodyUser3','woody',1,1602841261,41940,'w1134',0,'','project13',0.87,0,0.89,0,0,0),(1747,7226515,'woodyUser3','woody',1,1602841321,36001,'w1511',0,'','project13',0.92,2.56,1,0,0,0),(1748,7226523,'woodyUser3','woody',1,1602841561,30841,'w1501',0,'','project13',1.42,2.57,1.02,0,0,0),(1749,7226562,'woodyUser3','woody',1,1602842042,42839,'w1533',0,'','project13',0.92,2.58,1,0,0,0),(1750,7232977,'woodyUser1','woody',1,1603527541,16021,'w1161',0,'','project11',7.86,0,1.17,0,0,0),(1751,7233193,'woodyUser1','woody',1,1603560421,17221,'w1170',0,'','project11',7.96,0,0.99,0,0,0),(1752,7233913,'woodyUser1','woody',1,1603616521,12841,'w1207',0,'','project11',10.27,11.44,1.9,0,0,0),(1753,7234835,'woodyUser4','woody',1,1603567261,14100,'w1513',0,'','project14',13.19,0.86,2.56,0,0,0),(1754,7237999,'woodyUser1','woody',1,1603913701,7621,'w1153',0,'','project11',0.28,0,0.09,0,0,0),(1755,7238536,'woodyUser1','woody',1,1603992961,9240,'w1428',0,'','project11',0.35,0,0.06,0,0,0),(1756,7238836,'woodyUser1','woody',1,1603963681,8280,'w1346',0,'','project11',0.32,0,0.09,0,0,0),(1757,7239023,'woodyUser1','woody',1,1603952641,9241,'w1528',0,'','project11',0.34,0,0.08,0,0,0),(1758,7241744,'woodyUser1','woody',1,1604083981,2460,'w1505',0,'','project11',0.4,0,0.14,0,0,0),(1759,7241938,'woodyUser1','woody',1,1604080141,2940,'w1319',0,'','project11',0.39,0,0.13,0,0,0),(1760,7242007,'woodyUser1','woody',1,1604078821,2821,'w1354',0,'','project11',0.38,0,0.12,0,0,0),(1761,7247550,'woodyUser4','woody',1,1604339641,1200,'w1517',0,'','project14',3.17,0.43,4.97,0,0,0),(1762,7247974,'woodyUser1','woody',1,1604655542,16139,'w1164',0,'','project11',7.95,0,1.49,0,0,0),(1763,7249305,'woodyUser1','woody',1,1604466241,14280,'w1344',0,'','project11',10.24,6.85,1.25,0,0,0),(1764,7249554,'woodyUser1','woody',1,1604447281,11881,'w1552',0,'','project11',10.32,10.27,1.65,0,0,0),(1765,7268218,'woodyUser4','woody',1,1604688841,12240,'w1507',0,'','project14',3.21,1.82,4.25,0,0,0),(1766,7268519,'woodyUser5','woody',1,1604690762,2279,'w1440',0,'','project15',2.46,39.74,13.29,0,0,0),(1767,7268581,'woodyUser5','woody',1,1604692861,1980,'w1325',0,'','project15',2.44,41.77,13.36,0,0,0),(1768,7269490,'woodyUser5','woody',1,1604715243,3118,'w1141',0,'','project15',2.44,0,9.45,0,0,0),(1769,7269512,'woodyUser5','woody',1,1604715121,2520,'w1540',0,'','project15',2.47,37.9,12.48,0,0,0),(1770,7269525,'woodyUser5','woody',1,1604714941,2700,'w1113',0,'','project15',2.4,0,9.69,0,0,0),(1771,7269532,'woodyUser5','woody',1,1604714881,1800,'w1443',0,'','project15',2.45,44.22,14.2,0,0,0),(1772,7269590,'woodyUser5','woody',1,1604714161,2520,'w1502',0,'','project15',2.53,39.94,13.23,0,0,0),(1773,7269591,'woodyUser5','woody',1,1604714101,1861,'w1433',0,'','project15',2.4,43.1,13.94,0,0,0),(1774,7269631,'woodyUser5','woody',1,1604694902,2579,'w1333',0,'','project15',2.49,39.66,13.38,0,0,0),(1775,7269643,'woodyUser5','woody',1,1604694781,2220,'w1503',0,'','project15',2.44,41.47,13.82,0,0,0),(1776,7269655,'woodyUser5','woody',1,1604713982,2699,'w1445',0,'','project15',2.51,39.3,13.52,0,0,0),(1777,7269656,'woodyUser5','woody',1,1604713982,1739,'w1534',0,'','project15',2.42,44.98,14.39,0,0,0),(1778,7269681,'woodyUser5','woody',1,1604713742,2819,'w1543',0,'','project15',2.53,36.16,12.67,0,0,0),(1779,7269727,'woodyUser5','woody',1,1604713201,2761,'w1324',0,'','project15',2.5,38.18,12.59,0,0,0),(1780,7269738,'woodyUser5','woody',1,1604713141,2102,'w1313',0,'','project15',2.43,42.16,13.12,0,0,0),(1781,7269740,'woodyUser5','woody',1,1604713141,1980,'w1201',0,'','project15',2.52,40.26,13.17,0,0,0),(1782,7269898,'woodyUser5','woody',1,1604711341,2701,'w1445',0,'','project15',2.52,40.99,13.8,0,0,0),(1783,7269935,'woodyUser5','woody',1,1604711041,1320,'w1433',0,'','project15',2.37,50.19,14.32,0,0,0),(1784,7269939,'woodyUser5','woody',1,1604710981,1860,'w1301',0,'','project15',2.45,40.73,13.35,0,0,0),(1785,7269946,'woodyUser5','woody',1,1604710801,2400,'w1319',0,'','project15',2.43,35.81,11.88,0,0,0),(1786,7269971,'woodyUser5','woody',1,1604710442,2279,'w1317',0,'','project15',2.45,39.4,13.34,0,0,0),(1787,7270026,'woodyUser5','woody',1,1604709961,2760,'w1334',0,'','project15',2.47,35.31,12.23,0,0,0),(1788,7270038,'woodyUser5','woody',1,1604709901,2220,'w1546',0,'','project15',2.45,42.86,13.98,0,0,0),(1789,7270048,'woodyUser5','woody',1,1604709722,1919,'w1346',0,'','project15',2.41,40.17,13.18,0,0,0),(1790,7270074,'woodyUser5','woody',1,1604709421,2461,'w1409',0,'','project15',2.52,42.16,14.41,0,0,0),(1791,7270082,'woodyUser5','woody',1,1604709302,1979,'w1324',0,'','project15',2.46,42.99,13.28,0,0,0),(1792,7270085,'woodyUser5','woody',1,1604709302,2819,'w1342',0,'','project15',2.51,38.42,13.38,0,0,0),(1793,7270096,'woodyUser5','woody',1,1604709121,1800,'w1508',0,'','project15',2.44,41.44,13.32,0,0,0),(1794,7270132,'woodyUser5','woody',1,1604708762,3480,'w1108',0,'','project15',2.47,0,9.05,0,0,0),(1795,7270133,'woodyUser5','woody',1,1604708702,2579,'w1311',0,'','project15',2.46,37.97,12.92,0,0,0),(1796,7270147,'woodyUser5','woody',1,1604708521,2760,'w1305',0,'','project15',2.47,35.03,12,0,0,0),(1797,7270425,'woodyUser5','woody',1,1604704981,3421,'w1510',0,'','project15',2.48,34.78,11.56,0,0,0),(1798,7270445,'woodyUser5','woody',1,1604704741,2340,'w1330',0,'','project15',2.46,40.45,13.5,0,0,0),(1799,7270460,'woodyUser5','woody',1,1604704622,2699,'w1159',0,'','project15',2.43,0,9.46,0,0,0),(1800,7270471,'woodyUser5','woody',1,1604704501,3300,'w1121',0,'','project15',2.5,0,9.52,0,0,0),(1801,7270520,'woodyUser5','woody',1,1604703721,2760,'w1105',0,'','project15',2.42,0,9.84,0,0,0),(1802,7270588,'woodyUser5','woody',1,1604702642,2640,'w1523',0,'','project15',2.48,37.26,12.46,0,0,0),(1803,7270658,'woodyUser5','woody',1,1604698562,3119,'w1123',0,'','project15',2.49,0,9.69,0,0,0),(1804,7270672,'woodyUser5','woody',1,1604698261,2700,'w1309',0,'','project15',2.52,39.37,13.59,0,0,0),(1805,7270734,'woodyUser5','woody',1,1604697182,2579,'w1317',0,'','project15',2.53,39.94,13.39,0,0,0),(1806,7270764,'woodyUser5','woody',1,1604696701,2460,'w1531',0,'','project15',2.53,42.86,14.14,0,0,0),(1807,7270786,'woodyUser5','woody',1,1604696281,2520,'w1312',0,'','project15',2.46,37.17,13,0,0,0),(1808,7271408,'woodyUser5','woody',1,1604701802,2279,'w1317',0,'','project15',2.46,37.62,12.96,0,0,0),(1809,7271561,'woodyUser5','woody',1,1604699462,2939,'w1207',0,'','project15',2.6,37.41,13.06,0,0,0),(1810,7271567,'woodyUser5','woody',1,1604699401,2640,'w1106',0,'','project15',2.4,0,9.21,0,0,0),(1811,7275232,'woodyUser1','woody',1,1604884682,11159,'w1513',0,'','project11',9.22,10.75,1.85,0,0,0),(1812,7276550,'woodyUser1','woody',1,1604798882,14040,'w1346',0,'','project11',9.06,8.46,1.79,0,0,0),(1813,7276721,'woodyUser1','woody',1,1604763541,10500,'w1541',0,'','project11',9.58,9.86,1.72,0,0,0),(1814,7279073,'woodyUser4','woody',1,1604775542,14579,'w1530',0,'','project14',5.66,2.36,5.3,0,0,0),(1815,7279078,'woodyUser4','woody',1,1604775602,14760,'w1443',0,'','project14',5.68,2.2,3.91,0,0,0),(1816,7279095,'woodyUser4','woody',1,1604776381,16980,'w1406',0,'','project14',5.65,2.31,5.23,0,0,0),(1817,7290827,'woodyUser5','woody',1,1605077822,1259,'w1166',0,'','project15',2.05,0,14.26,0,0,0),(1818,7290895,'woodyUser5','woody',1,1605078001,1320,'w1201',0,'','project15',2.19,67.04,16.31,0,0,0),(1819,7290952,'woodyUser5','woody',1,1605078121,960,'w1444',0,'','project15',2.13,63.98,15.23,0,0,0),(1820,7291024,'woodyUser5','woody',1,1605079021,1141,'w1325',0,'','project15',2.11,68.02,16.01,0,0,0),(1821,7291064,'woodyUser5','woody',1,1605079141,1261,'w1506',0,'','project15',2.13,74.27,17.84,0,0,0),(1822,7291087,'woodyUser5','woody',1,1605079201,1201,'w1313',0,'','project15',2.12,68.33,16.23,0,0,0),(1823,7291111,'woodyUser5','woody',1,1605079261,1741,'w1422',0,'','project15',2.13,62.13,14.3,0,0,0),(1824,7291996,'woodyUser5','woody',1,1605086941,900,'w1512',0,'','project15',2.1,60.24,13.79,0,0,0),(1825,7292124,'woodyUser5','woody',1,1605086041,1080,'w1553',0,'','project15',2.12,73.5,17.23,0,0,0),(1826,7292136,'woodyUser5','woody',1,1605085921,1200,'w1412',0,'','project15',2.11,71.11,17.13,0,0,0),(1827,7292140,'woodyUser5','woody',1,1605085861,1260,'w1401',0,'','project15',2.12,72.91,17.5,0,0,0),(1828,7292143,'woodyUser5','woody',1,1605085861,1860,'w1203',0,'','project15',2.19,70.54,16.71,0,0,0),(1829,7292195,'woodyUser5','woody',1,1605085501,1021,'w1549',0,'','project15',2.1,75.51,17.8,0,0,0),(1830,7292347,'woodyUser5','woody',1,1605083342,3180,'w1115',0,'','project15',2.46,0,9.54,0,0,0),(1831,7292357,'woodyUser5','woody',1,1605083162,2399,'w1327',0,'','project15',2.49,36.19,12.61,0,0,0),(1832,7292388,'woodyUser5','woody',1,1605082741,1980,'w1507',0,'','project15',2.36,42.72,14.22,0,0,0),(1833,7292410,'woodyUser5','woody',1,1605082561,2040,'w1512',0,'','project15',2.46,42.15,13.6,0,0,0),(1834,7292437,'woodyUser5','woody',1,1605082381,2580,'w1452',0,'','project15',2.54,40.76,13.79,0,0,0),(1835,7292452,'woodyUser5','woody',1,1605082261,2101,'w1513',0,'','project15',2.45,44.99,14.19,0,0,0),(1836,7292486,'woodyUser5','woody',1,1605082082,4800,'w1130',0,'','project15',2.5,0,8.82,0,0,0),(1837,7292496,'woodyUser5','woody',1,1605081962,2280,'w1140',0,'','project15',2.4,0,9.3,0,0,0),(1838,7292653,'woodyUser5','woody',1,1605080881,1081,'w1341',0,'','project15',2.11,69.91,17.42,0,0,0),(1839,7292668,'woodyUser5','woody',1,1605080641,1201,'w1122',0,'','project15',2.05,0,14.67,0,0,0),(1840,7292733,'woodyUser5','woody',1,1605080221,1020,'w1350',0,'','project15',2.1,68.97,16.19,0,0,0),(1841,7292738,'woodyUser5','woody',1,1605080221,1140,'w1307',0,'','project15',2.11,70.08,17.17,0,0,0),(1842,7292783,'woodyUser5','woody',1,1605079981,1021,'w1534',0,'','project15',2.1,75.4,17.91,0,0,0),(1843,7293558,'woodyUser1','woody',1,1605229741,13883,'w1206',0,'','project11',9.44,7.91,1.36,0,0,0),(1844,7294172,'woodyUser1','woody',1,1605191522,14039,'w1323',0,'','project11',10.14,8.28,1.38,0,0,0),(1845,7294940,'woodyUser5','woody',1,1605094921,2160,'w1522',0,'','project15',2.45,40.86,13.68,0,0,0),(1846,7295007,'woodyUser5','woody',1,1605094441,1920,'w1529',0,'','project15',2.43,44.86,14.18,0,0,0),(1847,7295099,'woodyUser5','woody',1,1605093721,961,'w1454',0,'','project15',2.1,67.89,16.21,0,0,0),(1848,7295102,'woodyUser5','woody',1,1605093661,1140,'w1205',0,'','project15',2.17,66.89,16.02,0,0,0),(1849,7295142,'woodyUser5','woody',1,1605093421,1740,'w1443',0,'','project15',2.39,63.63,14.57,0,0,0),(1850,7295244,'woodyUser5','woody',1,1605092581,1260,'w1164',0,'','project15',2.05,0,14.24,0,0,0),(1851,7295272,'woodyUser5','woody',1,1605092401,840,'w1540',0,'','project15',2.11,76.35,17.67,0,0,0),(1852,7295309,'woodyUser5','woody',1,1605092042,1319,'w1108',0,'','project15',2.07,0,13.68,0,0,0),(1853,7295358,'woodyUser5','woody',1,1605091681,1201,'w1434',0,'','project15',2.12,75.81,17.92,0,0,0),(1854,7295394,'woodyUser5','woody',1,1605091322,1079,'w1540',0,'','project15',2.11,70.79,16.7,0,0,0),(1855,7295463,'woodyUser5','woody',1,1605090781,1261,'w1450',0,'','project15',2.12,75.38,17.93,0,0,0),(1856,7295480,'woodyUser5','woody',1,1605090481,1561,'w1448',0,'','project15',2.12,63.61,14.19,0,0,0),(1857,7295512,'woodyUser5','woody',1,1605089341,2340,'w1334',0,'','project15',2.46,35.42,12.14,0,0,0),(1858,7295532,'woodyUser5','woody',1,1605089102,2099,'w1527',0,'','project15',2.45,45.64,14.38,0,0,0),(1859,7295565,'woodyUser5','woody',1,1605088861,2820,'w1533',0,'','project15',2.51,37.67,13.12,0,0,0),(1860,7295583,'woodyUser5','woody',1,1605088682,2280,'w1113',0,'','project15',2.41,0,9.86,0,0,0),(1861,7295589,'woodyUser5','woody',1,1605088622,3659,'w1443',0,'','project15',2.54,38.55,12.52,0,0,0),(1862,7295655,'woodyUser5','woody',1,1605088141,2100,'w1553',0,'','project15',2.44,43.94,14.12,0,0,0),(1863,7295769,'woodyUser5','woody',1,1605087301,1980,'w1168',0,'','project15',2.35,0,11.54,0,0,0),(1864,7295797,'woodyUser5','woody',1,1605087121,1321,'w1425',0,'','project15',2.39,71.85,17.76,0,0,0),(1865,7295817,'woodyUser1','woody',1,1605153242,11639,'w1430',0,'','project11',9.14,10.35,1.67,0,0,0),(1866,7296655,'woodyUser5','woody',1,1605102721,1441,'w1121',0,'','project15',2.08,0,14.19,0,0,0),(1867,7296684,'woodyUser5','woody',1,1605102241,1200,'w1201',0,'','project15',2.16,66.9,16.17,0,0,0),(1868,7296739,'woodyUser5','woody',1,1605101221,1261,'w1303',0,'','project15',2.11,70.85,17.08,0,0,0),(1869,7296887,'woodyUser5','woody',1,1605098521,961,'w1207',0,'','project15',2.16,70.81,16.6,0,0,0),(1870,7296903,'woodyUser5','woody',1,1605098341,1620,'w1201',0,'','project15',2.17,60.81,13.66,0,0,0),(1871,7296922,'woodyUser5','woody',1,1605098041,1320,'w1205',0,'','project15',2.18,70.73,16.9,0,0,0),(1872,7296934,'woodyUser5','woody',1,1605097801,1681,'w1436',0,'','project15',2.12,64.39,14.51,0,0,0),(1873,7296999,'woodyUser5','woody',1,1605096901,1140,'w1203',0,'','project15',2.16,67.76,16.05,0,0,0),(1874,7297017,'woodyUser5','woody',1,1605096661,1021,'w1446',0,'','project15',2.11,74.05,17.42,0,0,0),(1875,7297663,'woodyUser4','woody',1,1605121321,4800,'w1548',0,'','project14',3.92,3.02,5.49,0,0,0),(1876,7297729,'woodyUser4','woody',1,1605124381,1260,'w1520',0,'','project14',2.04,2.64,2.82,0,0,0),(1877,7297796,'woodyUser4','woody',1,1605127561,4920,'w1430',0,'','project14',1.84,1.48,3.21,0,0,0),(1878,7297801,'woodyUser4','woody',1,1605127741,4860,'w1404',0,'','project14',7.9,2.15,5.5,0,0,0),(1879,7297839,'woodyUser4','woody',1,1605129361,12241,'w1533',0,'','project14',3.02,1.24,2.23,0,0,0),(1880,7297931,'woodyUser4','woody',1,1605132841,10320,'w1521',0,'','project14',2.48,1.16,2.33,0,0,0),(1881,7298827,'woodyUser1','woody',1,1605362161,11881,'w1527',0,'','project11',0.33,0,0.07,0,0,0),(1882,7299080,'woodyUser1','woody',1,1605411422,10739,'w1319',0,'','project11',0.36,0,0.07,0,0,0),(1883,7299300,'woodyUser1','woody',1,1605399001,12840,'w1543',0,'','project11',0.33,0,0.08,0,0,0),(1884,7300075,'woodyUser4','woody',1,1605467522,10679,'w1538',0,'','project14',3.21,1.74,2.88,0,0,0),(1885,7301752,'woodyUser1','woody',1,1605524402,3359,'w1347',0,'','project11',0.4,0,0.18,0,0,0),(1886,7303690,'woodyUser4','woody',1,1605546841,4920,'w1446',0,'','project14',5.95,2.44,5.67,0,0,0),(1887,7303696,'woodyUser4','woody',1,1605546841,4920,'w1441',0,'','project14',3.94,2.97,5.24,0,0,0),(1888,7303704,'woodyUser4','woody',1,1605546902,3779,'w1433',0,'','project14',2.24,1.39,2.09,0,0,0),(1889,7303723,'woodyUser4','woody',1,1605546962,4799,'w1415',0,'','project14',7.48,2.23,6.11,0,0,0),(1890,7303746,'woodyUser4','woody',1,1605549481,4920,'w1412',0,'','project14',1.77,1.65,3.23,0,0,0),(1891,7304303,'woodyUser4','woody',1,1605607681,480,'w1552',0,'','project14',4.38,0.93,3.21,0,0,0),(1892,7304427,'woodyUser1','woody',1,1605609361,6361,'w1206',0,'','project11',0.48,0,0.17,0,0,0),(1893,7304525,'woodyUser1','woody',1,1605609662,5579,'w1406',0,'','project11',0.39,0,0.15,0,0,0),(1894,7304970,'woodyUser4','woody',1,1605624781,14700,'w1553',0,'','project14',5.69,2.23,3.74,0,0,0),(1895,7305258,'woodyUser4','woody',1,1605712981,301,'w1347',0,'','project14',1.19,1.45,19.77,0,0,0),(1896,7305303,'woodyUser4','woody',1,1605713402,600,'w1333',0,'','project14',2.11,2.06,0.93,0,0,0),(1897,7305885,'woodyUser1','woody',1,1605890161,11161,'w1404',0,'','project11',8.21,10.8,1.77,0,0,0),(1898,7327110,'woodyUser1','woody',1,1606044961,7080,'w1545',0,'','project11',9.21,17.4,3.34,0,0,0),(1899,7327935,'woodyUser1','woody',1,1606108681,13342,'w1146',0,'','project11',7.97,0,1.99,0,0,0),(1900,7328323,'woodyUser1','woody',1,1606097642,6374,'w1517',0,'','project11',9.14,19.06,3.04,0,0,0),(1901,7328997,'woodyUser1','woody',1,1606077302,6179,'w1543',0,'','project11',9.73,19.47,3.22,0,0,0),(1902,7331616,'woodyUser4','woody',1,1606184462,8459,'w1525',0,'','project14',5.71,2.14,5.02,0,0,0),(1903,7331915,'woodyUser1','woody',1,1606219561,10200,'w1131',0,'','project11',7.96,0,2.23,0,0,0),(1904,7333559,'woodyUser1','woody',1,1606375621,9781,'w1451',0,'','project11',1.64,0.09,0.09,0,0,0),(1905,7335730,'woodyUser4','woody',1,1606411501,3780,'w1401',0,'','project14',1.77,1.46,2.07,0,0,0),(1906,7335766,'woodyUser4','woody',1,1606426081,4920,'w1520',0,'','project14',5.97,2.48,5.91,0,0,0),(1907,7335790,'woodyUser4','woody',1,1606427402,4919,'w1439',0,'','project14',2.13,1.93,3.07,0,0,0),(1908,7335801,'woodyUser4','woody',1,1606428602,2520,'w1548',0,'','project14',3.81,2.6,4.12,0,0,0),(1909,7335964,'woodyUser4','woody',1,1606447922,2520,'w1504',0,'','project14',4.08,1.77,3.34,0,0,0),(1910,7336005,'woodyUser1','woody',1,1606464181,2581,'w1139',0,'','project11',0.36,0,0.13,0,0,0),(1911,7336234,'woodyUser1','woody',1,1606469461,2940,'w1546',0,'','project11',0.43,0,0.09,0,0,0),(1912,7336529,'woodyUser1','woody',1,1606492801,5417,'w1427',0,'','project11',0.42,0,0.19,0,0,0),(1913,7336583,'woodyUser1','woody',1,1606491481,5280,'w1409',0,'','project11',0.48,0.01,0.17,0,0,0),(1914,7336949,'woodyUser1','woody',1,1606480381,3060,'w1543',0,'','project11',0.42,0,0.12,0,0,0),(1915,7338422,'woodyUser4','woody',1,1606674301,2460,'w1544',0,'','project14',5.42,2.16,4.92,0,0,0),(1916,7339270,'woodyUser1','woody',1,1606850821,7260,'w1423',0,'','project11',9.51,13.05,2.3,0,0,0),(1917,7340038,'woodyUser1','woody',1,1606813442,7799,'w1532',0,'','project11',8.17,11.12,2,0,0,0),(1918,7341100,'woodyUser1','woody',1,1606778041,11041,'w1129',0,'','project11',7.94,0,1.55,0,0,0),(1919,7343534,'woodyUser1','woody',1,1606768261,9420,'w1426',0,'','project11',9.65,13.29,2.29,0,0,0),(1920,7349173,'woodyUser1','woody',1,1607042522,7439,'w1169',0,'','project11',7.99,0,1.17,0,0,0),(1921,7350561,'woodyUser1','woody',1,1606948202,8159,'w1322',0,'','project11',9.4,7.91,1.44,0,0,0),(1922,7350725,'woodyUser1','woody',1,1606942081,16200,'w1144',0,'','project11',7.99,0,1.1,0,0,0),(1923,7351251,'woodyUser4','woody',1,1606918681,4920,'w1403',0,'','project14',5.66,2.72,3.58,0,0,0),(1924,7351279,'woodyUser4','woody',1,1606939081,4801,'w1556',0,'','project14',5.97,2.63,6.34,0,0,0),(1925,7352142,'woodyUser4','woody',1,1607099101,2460,'w1526',0,'','project14',1.7,1.1,3.63,0,0,0),(1926,7352148,'woodyUser4','woody',1,1607099161,2400,'w1519',0,'','project14',5.76,2.05,5.25,0,0,0),(1927,7352189,'woodyUser4','woody',1,1607101981,2460,'w1528',0,'','project14',1.95,2.24,5.43,0,0,0),(1928,7352298,'woodyUser4','woody',1,1607106961,1200,'w1511',0,'','project14',2.39,3.84,3.54,0,0,0),(1929,7352537,'woodyUser4','woody',1,1607140321,14521,'w1528',0,'','project14',5.71,2.29,5.34,0,0,0),(1930,7352570,'woodyUser4','woody',1,1607141221,16501,'w1450',0,'','project14',6.01,2.1,4.3,0,0,0),(1931,7353064,'woodyUser4','woody',1,1607228941,12420,'w1549',0,'','project14',4.14,1.33,1.73,0,0,0),(1932,7353076,'woodyUser4','woody',1,1607229001,10809,'w1536',0,'','project14',2.56,1.49,2.52,0,0,0),(1933,7353088,'woodyUser4','woody',1,1607229001,12240,'w1524',0,'','project14',5.43,1.01,2.29,0,0,0),(1934,7353091,'woodyUser4','woody',1,1607229001,13080,'w1521',0,'','project14',2.8,1.19,2.16,0,0,0),(1935,7353173,'woodyUser4','woody',1,1607238841,15480,'w1415',0,'','project14',4.61,1.65,2.91,0,0,0),(1936,7353189,'woodyUser4','woody',1,1607239981,12301,'w1526',0,'','project14',3.02,1.4,2.27,0,0,0),(1937,7353293,'woodyUser4','woody',1,1607265961,1200,'w1548',0,'','project14',5.64,2.76,10.36,0,0,0),(1938,7353313,'woodyUser4','woody',1,1607266021,1261,'w1528',0,'','project14',1.82,2.43,2.58,0,0,0),(1939,7353373,'woodyUser4','woody',1,1607271061,16980,'w1506',0,'','project14',6.57,2.05,4.29,0,0,0),(1940,7353484,'woodyUser4','woody',1,1607306461,11460,'w1545',0,'','project14',2.22,1.21,1.8,0,0,0),(1941,7353508,'woodyUser4','woody',1,1607306521,11760,'w1521',0,'','project14',3.04,1.46,2.59,0,0,0),(1942,7354051,'woodyUser4','woody',1,1607355541,2580,'w1349',0,'','project14',3.12,0.87,1.19,0,0,0),(1943,7354053,'woodyUser4','woody',1,1607355541,4876,'w1347',0,'','project14',5.74,1.01,3.82,0,0,0),(1944,7354075,'woodyUser4','woody',1,1607355601,4815,'w1326',0,'','project14',3.3,0.94,4.77,0,0,0),(1945,7354079,'woodyUser4','woody',1,1607355601,4921,'w1322',0,'','project14',7.03,1.24,6.43,0,0,0),(1946,7354747,'woodyUser1','woody',1,1607379061,7980,'w1442',0,'','project11',10.86,12.56,2.12,0,0,0),(1947,7357988,'woodyUser1','woody',1,1607527862,4500,'w1420',0,'','project11',1.37,0.01,0.05,0,0,0),(1948,7358109,'woodyUser1','woody',1,1607515861,24060,'w1434',0,'','project11',1.07,0.04,8.76,0,0,0),(1949,7360422,'woodyUser4','woody',1,1607620681,1320,'w1514',0,'','project14',1.98,3.32,3.25,0,0,0),(1950,7360431,'woodyUser4','woody',1,1607621101,900,'w1447',0,'','project14',2.59,0.49,6.11,0,0,0),(1951,7361045,'woodyUser4','woody',1,1607625122,959,'w1516',0,'','project14',2.78,2.08,2.11,0,0,0),(1952,7361075,'woodyUser4','woody',1,1607625961,960,'w1529',0,'','project14',3.65,0.9,2.96,0,0,0),(1953,7361150,'woodyUser4','woody',1,1607627401,720,'w1439',0,'','project14',2.07,2.09,2.12,0,0,0),(1954,7361213,'woodyUser4','woody',1,1607630161,360,'w1533',0,'','project14',1.79,1.87,5.39,0,0,0),(1955,7362153,'woodyUser1','woody',1,1607645401,3014,'w1508',0,'','project11',0.38,0,0.17,0,0,0),(1956,7363740,'woodyUser1','woody',1,1607793782,10980,'w1453',0,'','project11',9.27,11.63,1.8,0,0,0),(1957,7363867,'woodyUser1','woody',1,1607788801,17641,'w1143',0,'','project11',7.97,0,1.14,0,0,0),(1958,7363991,'woodyUser1','woody',1,1607781782,12299,'w1352',0,'','project11',9.18,6.05,1.14,0,0,0),(1959,7364122,'woodyUser1','woody',1,1607774461,5220,'w1452',0,'','project11',8.76,4.99,1.38,0,0,0),(1960,7364526,'woodyUser1','woody',1,1607754541,10021,'w1446',0,'','project11',8.94,10.52,1.7,0,0,0),(1961,7364565,'woodyUser1','woody',1,1607752802,5760,'w1520',0,'','project11',9.19,6.04,1.52,0,0,0),(1962,7365255,'woodyUser1','woody',1,1607718661,2701,'w1310',0,'','project11',7.68,1.6,1.09,0,0,0),(1963,7368137,'woodyUser1','woody',1,1608002341,11821,'w1323',0,'','project11',9.6,8.23,2.82,0,0,0),(1964,7372974,'woodyUser1','woody',1,1608220381,8820,'w1144',0,'','project11',7.97,0,0.95,0,0,0),(1965,7374389,'woodyUser1','woody',1,1608263342,5699,'w1549',0,'','project11',6.78,2.7,5.93,0,0,0),(1966,7376912,'woodyUser1','woody',1,1609154522,3120,'w1512',0,'','project11',0.41,0,0.16,0,0,0),(1967,7377047,'woodyUser1','woody',1,1609161001,1800,'w1160',0,'','project11',0.32,0,0.14,0,0,0),(1968,7377101,'woodyUser1','woody',1,1609160701,2460,'w1113',0,'','project11',0.31,0,0.12,0,0,0),(1969,7377817,'influxUser14','woody',1,1609465262,34739,'w1556',1,'','influxProject20',4.55,73.21,7.05,4.16,0,0),(1970,7377818,'influxUser14','woody',1,1609499941,30900,'w1556',1,'','influxProject20',4.48,74.22,7.15,4.17,0,0),(1971,7377819,'influxUser8','woody',1,1609510622,6659,'w1165',1,'','influxProject20',1.3,0,8.54,4.15,0,0),(1972,7377820,'influxUser1','woody',1,1609510622,85979,'w1164',1,'','influxProject20',3.21,0,0.06,5.2,0,0),(1973,7377821,'influxUser1','woody',1,1609510622,85859,'w1163',1,'','influxProject20',3.28,0,6.01,4.15,0,0),(1974,7377822,'influxUser8','woody',1,1609510742,5579,'w1162',1,'','influxProject20',1.26,0,8.65,4.11,0,0),(1975,7377829,'influxUser8','woody',1,1609510802,4319,'w1155',1,'','influxProject20',1.24,0,8.72,4.13,0,0),(1976,7377830,'influxUser8','woody',1,1609510921,5040,'w1154',1,'','influxProject20',1.26,0,9.21,4.13,0,0),(1977,7377831,'influxUser8','woody',1,1609510981,3901,'w1153',1,'','influxProject20',1.21,0,8.22,4.16,0,0),(1978,7377832,'influxUser8','woody',1,1609511041,5400,'w1152',1,'','influxProject20',1.27,0,8.84,4.11,0,0),(1979,7377833,'influxUser8','woody',1,1609511401,21960,'w1151',1,'','influxProject20',3.07,0,6.3,4.19,0,0),(1980,7377834,'influxUser8','woody',1,1609511461,5220,'w1150',1,'','influxProject20',1.29,0,8.7,4.13,0,0),(1981,7377835,'influxUser8','woody',1,1609511461,18421,'w1149',1,'','influxProject20',3.07,0,6.29,4.16,0,0),(1982,7377836,'influxUser8','woody',1,1609511642,7679,'w1147',1,'','influxProject20',3.07,0,5.86,4.14,0,0),(1983,7377837,'influxUser8','woody',1,1609511701,9660,'w1146',1,'','influxProject20',3.07,0,5.84,4.18,0,0),(1984,7377839,'influxUser1','woody',1,1609517401,85920,'w1165',1,'','influxProject20',3.29,0,6,4.15,0,0),(1985,7377840,'influxUser1','woody',1,1609517401,85835,'w1162',1,'','influxProject20',3.28,0,6.02,4.16,0,0),(1986,7377843,'influxUser8','woody',1,1609521421,17220,'w1161',1,'','influxProject20',0.57,0,7.14,4.15,0,0),(1987,7377845,'influxUser8','woody',1,1609522621,7140,'w1159',1,'','influxProject20',0.54,0,6.55,4.15,0,0),(1988,7377846,'influxUser8','woody',1,1609522921,5881,'w1158',1,'','influxProject20',0.5,0,6.1,4.08,0,0),(1989,7377847,'influxUser14','woody',1,1609530841,30241,'w1556',1,'','influxProject20',4.46,71.8,7.07,4.17,0,0),(1990,7377848,'influxUser8','woody',1,1609537321,7200,'w1172',1,'','influxProject20',0.66,0,6.67,4.17,0,0),(1991,7377849,'influxUser36','woody',1,1609540561,86520,'w1171',1,'','influxProject20',0.26,0,0,1.03,0,0),(1992,7377850,'influxUser36','woody',1,1609540621,86460,'w1170',1,'','influxProject20',0.3,0,0,1.03,0,0),(1993,7377851,'influxUser36','woody',1,1609540741,86461,'w1169',1,'','influxProject20',0.29,0,0,1.03,0,0),(1994,7377852,'influxUser36','woody',1,1609540741,86461,'w1168',1,'','influxProject20',0.3,0,0,1.03,0,0),(1995,7377853,'influxUser8','woody',1,1609541401,13080,'w1166',1,'','influxProject20',3.02,0,7.81,4.16,0,0),(1996,7377854,'influxUser14','woody',1,1609561082,32039,'w1556',1,'','influxProject20',4.43,74.54,7.11,4.17,0,0),(1997,7377874,'influxUser8','woody',1,1609593061,10621,'w1172',1,'','influxProject20',3.07,0,6.44,4.14,0,0),(1998,7377875,'influxUser14','woody',1,1609593121,31699,'w1556',1,'','influxProject20',4.43,75.15,7.07,4.16,0,0),(1999,7377880,'influxUser61','woody',1,1609595521,43200,'w1356',1,'','influxProject20',11.97,1.65,6.1,1.92,0,0),(2000,7377881,'influxUser61','woody',1,1609595582,43259,'w1355',1,'','influxProject20',7.95,2.05,4.07,2.04,0,0),(2001,7377882,'influxUser61','woody',1,1609596541,43260,'w1354',1,'','influxProject20',8.09,1.44,6.72,1.93,0,0),(2002,7377883,'influxUser61','woody',1,1609596541,43260,'w1353',1,'','influxProject20',13.94,2.28,3.44,2.01,0,0),(2003,7377884,'influxUser61','woody',1,1609596541,43260,'w1352',1,'','influxProject20',7.95,2.16,2.48,2,0,0),(2004,7377885,'influxUser61','woody',1,1609596541,43260,'w1351',1,'','influxProject20',3.2,2.32,8.25,2.17,0,0),(2005,7377886,'influxUser61','woody',1,1609596601,43200,'w1350',1,'','influxProject20',3.68,1.94,7.38,2.03,0,0),(2006,7377887,'influxUser61','woody',1,1609596601,43200,'w1349',1,'','influxProject20',7.95,2.23,2.49,2.05,0,0),(2007,7377888,'influxUser61','woody',1,1609596601,43200,'w1348',1,'','influxProject20',3.42,2.51,7.65,2.38,0,0),(2008,7377889,'influxUser61','woody',1,1609596601,43200,'w1347',1,'','influxProject20',3.72,2.3,7.85,2.23,0,0),(2009,7377890,'influxUser61','woody',1,1609596601,43200,'w1346',1,'','influxProject20',11.6,2.76,1.98,2.33,0,0),(2010,7377891,'influxUser61','woody',1,1609596601,43200,'w1345',1,'','influxProject20',3.69,2.28,2.19,1.95,0,0),(2011,7377892,'influxUser61','woody',1,1609596601,43200,'w1344',1,'','influxProject20',4.05,2.23,7.28,2.03,0,0),(2012,7377893,'influxUser61','woody',1,1609596601,43200,'w1343',1,'','influxProject20',4.47,2.25,3.07,1.88,0,0),(2013,7377894,'influxUser61','woody',1,1609596601,43320,'w1342',1,'','influxProject20',6.5,2.06,2.4,2.16,0,0),(2014,7377895,'influxUser61','woody',1,1609596601,43320,'w1341',1,'','influxProject20',10.5,3.01,2.65,3.38,0,0),(2015,7377896,'influxUser61','woody',1,1609596661,43260,'w1340',1,'','influxProject20',10.4,2.71,2.72,2.18,0,0),(2016,7377897,'influxUser61','woody',1,1609596661,43260,'w1339',1,'','influxProject20',3.82,2.37,2.97,2.22,0,0),(2017,7377898,'influxUser61','woody',1,1609596661,43260,'w1338',1,'','influxProject20',2.17,2,5.03,2.16,0,0),(2018,7377899,'influxUser61','woody',1,1609596661,43260,'w1337',1,'','influxProject20',4.56,2.25,6.99,2.37,0,0),(2019,7377900,'influxUser61','woody',1,1609596661,32460,'w1336',1,'','influxProject20',11,1.59,1.35,2.21,0,0),(2020,7377901,'influxUser61','woody',1,1609596661,32460,'w1335',1,'','influxProject20',9.04,1.32,2.04,2.3,0,0),(2021,7377902,'influxUser61','woody',1,1609596661,43260,'w1334',1,'','influxProject20',12.84,1.2,1.15,1.95,0,0),(2022,7377903,'influxUser61','woody',1,1609596661,43260,'w1333',1,'','influxProject20',32.42,2.17,6.25,2.64,0,0),(2023,7377904,'influxUser61','woody',1,1609596661,32700,'w1332',1,'','influxProject20',8.01,0.87,11.02,2.08,0,0),(2024,7377905,'influxUser61','woody',1,1609596721,28920,'w1331',1,'','influxProject20',10.04,1.38,0.13,2.18,0,0),(2025,7377906,'influxUser61','woody',1,1609596721,42840,'w1330',1,'','influxProject20',6.71,1.18,8.92,1.55,0,0),(2026,7377907,'influxUser61','woody',1,1609596721,43200,'w1329',1,'','influxProject20',1.73,1.84,10.49,2.28,0,0),(2027,7377908,'influxUser61','woody',1,1609596721,43200,'w1328',1,'','influxProject20',3.03,1.67,3.92,1.83,0,0),(2028,7377909,'influxUser61','woody',1,1609596721,21840,'w1327',1,'','influxProject20',7.01,1.83,0.08,2.52,0,0),(2029,7377910,'influxUser61','woody',1,1609596721,43200,'w1326',1,'','influxProject20',5.5,1.72,4.42,2.35,0,0),(2030,7377911,'influxUser61','woody',1,1609596721,43200,'w1325',1,'','influxProject20',1.94,1.91,9.16,2.31,0,0),(2031,7377912,'influxUser61','woody',1,1609596721,60601,'w1324',1,'','influxProject20',32.52,0.91,0.37,1.82,0,0),(2032,7377913,'influxUser61','woody',1,1609596721,32520,'w1323',1,'','influxProject20',11.79,1.29,0.17,2.06,0,0),(2033,7377914,'influxUser61','woody',1,1609596782,43259,'w1322',1,'','influxProject20',24.78,2.29,0.6,2.67,0,0),(2034,7377915,'influxUser61','woody',1,1609596782,43259,'w1321',1,'','influxProject20',21.1,2.12,0.67,2.58,0,0),(2035,7377918,'influxUser14','woody',1,1609624801,35761,'w1556',1,'','influxProject20',4.55,73.98,7.06,4.15,0,0),(2036,7377919,'influxUser36','woody',1,1609629001,86520,'w1172',1,'','influxProject20',0.37,0,0,1.02,0,0),(2037,7377920,'influxUser36','woody',1,1609629121,86400,'w1171',1,'','influxProject20',0.31,0,0,1.03,0,0),(2038,7377921,'influxUser36','woody',1,1609629121,86400,'w1170',1,'','influxProject20',0.3,0,0,1.03,0,0),(2039,7377922,'influxUser36','woody',1,1609629181,78781,'w1169',1,'','influxProject20',0.27,0,0,1.03,0,0),(2040,7377923,'influxUser36','woody',1,1609629241,6480,'w1168',1,'','influxProject20',0.24,0,0,1.03,0,0),(2041,7377925,'influxUser14','woody',1,1609660562,34457,'w1556',1,'','influxProject20',4.57,74.54,7.07,4.14,0,0),(2042,7377926,'influxUser60','woody',1,1609679821,12540,'w1555',1,'','influxProject20',8.25,2.02,3.39,1.03,0,0),(2043,7377927,'influxUser60','woody',1,1609679821,12780,'w1554',1,'','influxProject20',8.89,2.04,4.68,1.02,0,0),(2044,7377928,'influxUser60','woody',1,1609679821,11340,'w1553',1,'','influxProject20',8.25,1.35,3.29,1.01,0,0),(2045,7377929,'influxUser60','woody',1,1609679821,14581,'w1552',1,'','influxProject20',8.85,1.94,4.35,1.03,0,0),(2046,7377930,'influxUser60','woody',1,1609679821,10740,'w1551',1,'','influxProject20',8.89,1.82,4.55,1.03,0,0),(2047,7377931,'influxUser60','woody',1,1609679821,10740,'w1550',1,'','influxProject20',8.23,1.77,3.24,1.02,0,0),(2048,7377932,'influxUser60','woody',1,1609679821,14100,'w1549',1,'','influxProject20',8.85,1.9,4.57,1.02,0,0),(2049,7377933,'influxUser60','woody',1,1609679821,11340,'w1548',1,'','influxProject20',5.71,1.63,3.56,1.03,0,0),(2050,7377934,'influxUser60','woody',1,1609679821,13980,'w1547',1,'','influxProject20',8.85,1.96,3.88,1.02,0,0),(2051,7377935,'influxUser60','woody',1,1609679821,11820,'w1546',1,'','influxProject20',8.83,1.83,4.55,1.02,0,0),(2052,7377936,'influxUser60','woody',1,1609679821,10740,'w1545',1,'','influxProject20',8.25,1.5,3.32,1.03,0,0),(2053,7377937,'influxUser60','woody',1,1609679821,14100,'w1544',1,'','influxProject20',8.85,1.95,4.45,1.02,0,0),(2054,7377938,'influxUser60','woody',1,1609679821,10860,'w1543',1,'','influxProject20',8.87,1.54,3.64,1.03,0,0),(2055,7377939,'influxUser60','woody',1,1609679881,12480,'w1542',1,'','influxProject20',8.25,1.73,3.52,1.03,0,0),(2056,7377940,'influxUser60','woody',1,1609679881,12840,'w1541',1,'','influxProject20',8.87,2.03,4.58,1.02,0,0),(2057,7377941,'influxUser60','woody',1,1609679881,11400,'w1540',1,'','influxProject20',8.24,1.43,2.94,1.04,0,0),(2058,7377942,'influxUser60','woody',1,1609679881,14641,'w1539',1,'','influxProject20',8.88,1.94,4.3,1.02,0,0),(2059,7377943,'influxUser60','woody',1,1609679881,10800,'w1538',1,'','influxProject20',8.86,1.76,4.55,1.02,0,0),(2060,7377944,'influxUser60','woody',1,1609679881,10680,'w1537',1,'','influxProject20',8.24,1.89,3.26,1.02,0,0),(2061,7377945,'influxUser60','woody',1,1609679881,14160,'w1536',1,'','influxProject20',8.83,1.92,4.48,1.02,0,0),(2062,7377946,'influxUser60','woody',1,1609679881,11400,'w1535',1,'','influxProject20',5.63,1.52,3.12,1.02,0,0),(2063,7377947,'influxUser60','woody',1,1609679881,14040,'w1534',1,'','influxProject20',8.84,1.89,3.86,1.02,0,0),(2064,7377948,'influxUser60','woody',1,1609679881,11880,'w1533',1,'','influxProject20',8.84,1.89,4.54,1.01,0,0),(2065,7377949,'influxUser60','woody',1,1609679881,10680,'w1532',1,'','influxProject20',8.26,1.52,3.11,1.03,0,0),(2066,7377950,'influxUser60','woody',1,1609679881,14160,'w1531',1,'','influxProject20',8.88,2.14,4.54,1.02,0,0),(2067,7377951,'influxUser60','woody',1,1609679941,10860,'w1530',1,'','influxProject20',8.91,1.63,3.7,1.02,0,0),(2068,7377952,'influxUser60','woody',1,1609680001,12600,'w1529',1,'','influxProject20',8.26,1.86,3.85,1.02,0,0),(2069,7377953,'influxUser60','woody',1,1609680001,12841,'w1528',1,'','influxProject20',8.91,2.13,4.78,1.02,0,0),(2070,7377954,'influxUser60','woody',1,1609680001,11410,'w1527',1,'','influxProject20',8.25,1.3,3.3,1.02,0,0),(2071,7377955,'influxUser60','woody',1,1609680001,14640,'w1526',1,'','influxProject20',8.86,2.11,4.22,1.02,0,0),(2072,7377956,'influxUser60','woody',1,1609680001,10680,'w1525',1,'','influxProject20',8.88,1.75,4.48,1.03,0,0),(2073,7377957,'influxUser60','woody',1,1609680001,10680,'w1524',1,'','influxProject20',8.26,1.9,3.1,1.02,0,0),(2074,7377958,'influxUser60','woody',1,1609680001,14161,'w1523',1,'','influxProject20',8.88,1.98,4.5,1.02,0,0),(2075,7377959,'influxUser60','woody',1,1609680001,10560,'w1522',1,'','influxProject20',5.62,1.89,3.95,1.01,0,0),(2076,7377960,'influxUser60','woody',1,1609680001,14161,'w1521',1,'','influxProject20',8.87,1.96,3.87,1.02,0,0),(2077,7377961,'influxUser60','woody',1,1609680001,11881,'w1520',1,'','influxProject20',8.88,1.94,4.46,1.02,0,0),(2078,7377962,'influxUser60','woody',1,1609680001,10680,'w1519',1,'','influxProject20',8.27,1.75,3.15,1.03,0,0),(2079,7377963,'influxUser60','woody',1,1609680001,14161,'w1518',1,'','influxProject20',8.85,2,4.3,1.02,0,0),(2080,7377964,'influxUser60','woody',1,1609680061,10140,'w1517',1,'','influxProject20',8.91,1.7,4.41,1.01,0,0),(2081,7377965,'influxUser60','woody',1,1609680061,12300,'w1516',1,'','influxProject20',8.27,1.99,3.46,1.02,0,0),(2082,7377966,'influxUser60','woody',1,1609680061,12781,'w1515',1,'','influxProject20',8.87,2.06,4.49,1.03,0,0),(2083,7377967,'influxUser60','woody',1,1609680061,11349,'w1514',1,'','influxProject20',8.25,1.28,3.27,1.03,0,0),(2084,7377968,'influxUser60','woody',1,1609680061,14701,'w1513',1,'','influxProject20',8.85,1.88,4.42,1.02,0,0),(2085,7377969,'influxUser60','woody',1,1609680121,10680,'w1512',1,'','influxProject20',8.89,1.86,4.45,1.03,0,0),(2086,7377970,'influxUser60','woody',1,1609680121,10560,'w1511',1,'','influxProject20',8.25,1.6,3.29,1.02,0,0),(2087,7377971,'influxUser60','woody',1,1609680121,14161,'w1510',1,'','influxProject20',8.88,2.07,4.41,1.03,0,0),(2088,7377972,'influxUser60','woody',1,1609680121,10560,'w1509',1,'','influxProject20',5.62,1.71,3.41,1.03,0,0),(2089,7377973,'influxUser60','woody',1,1609680121,14161,'w1508',1,'','influxProject20',8.86,1.83,3.82,1.03,0,0),(2090,7377974,'influxUser60','woody',1,1609680121,11761,'w1507',1,'','influxProject20',8.86,2.01,4.9,1.02,0,0),(2091,7377975,'influxUser60','woody',1,1609680121,10680,'w1506',1,'','influxProject20',8.27,1.64,2.88,1.02,0,0),(2092,7377976,'influxUser60','woody',1,1609680121,14161,'w1505',1,'','influxProject20',8.88,2.04,4.43,1.02,0,0),(2093,7377977,'influxUser60','woody',1,1609680121,10080,'w1504',1,'','influxProject20',8.88,1.72,4.03,1.02,0,0),(2094,7377978,'influxUser60','woody',1,1609680181,12540,'w1503',1,'','influxProject20',8.25,1.7,3.45,1.03,0,0),(2095,7377979,'influxUser60','woody',1,1609680181,12780,'w1502',1,'','influxProject20',8.88,2,4.8,1.02,0,0),(2096,7377980,'influxUser60','woody',1,1609680181,11340,'w1501',1,'','influxProject20',8.27,1.49,3.12,1.02,0,0),(2097,7377981,'influxUser60','woody',1,1609680181,14700,'w1456',1,'','influxProject20',8.87,2.04,4.45,1.03,0,0),(2098,7377982,'influxUser60','woody',1,1609680181,10740,'w1455',1,'','influxProject20',8.87,1.82,4.63,1.02,0,0),(2099,7377983,'influxUser60','woody',1,1609680181,10620,'w1454',1,'','influxProject20',8.24,1.88,3.02,1.01,0,0),(2100,7377984,'influxUser60','woody',1,1609680181,14221,'w1453',1,'','influxProject20',8.88,2.03,4.6,1.02,0,0),(2101,7377985,'influxUser60','woody',1,1609680181,10500,'w1452',1,'','influxProject20',5.61,1.72,3.64,1.02,0,0),(2102,7377986,'influxUser60','woody',1,1609680181,14221,'w1451',1,'','influxProject20',8.87,2.03,3.79,1.02,0,0),(2103,7377987,'influxUser60','woody',1,1609680181,11820,'w1450',1,'','influxProject20',8.87,1.91,4.49,1.02,0,0),(2104,7377988,'influxUser60','woody',1,1609680181,10620,'w1449',1,'','influxProject20',8.26,1.79,3.39,1.01,0,0),(2105,7377989,'influxUser60','woody',1,1609680181,14221,'w1448',1,'','influxProject20',8.98,2.06,4.28,1.02,0,0),(2106,7377990,'influxUser60','woody',1,1609680181,10140,'w1447',1,'','influxProject20',8.9,1.7,4.21,1.01,0,0),(2107,7377991,'influxUser60','woody',1,1609680241,12360,'w1446',1,'','influxProject20',8.25,1.8,3.64,1.01,0,0),(2108,7377992,'influxUser60','woody',1,1609680241,12840,'w1445',1,'','influxProject20',8.9,2.24,4.81,1.02,0,0),(2109,7377993,'influxUser60','woody',1,1609680241,11400,'w1444',1,'','influxProject20',8.25,1.64,3.08,1.02,0,0),(2110,7377994,'influxUser60','woody',1,1609680241,14640,'w1443',1,'','influxProject20',8.86,1.96,4.29,1.02,0,0),(2111,7377995,'influxUser60','woody',1,1609680241,10800,'w1442',1,'','influxProject20',8.87,1.87,4.73,1.01,0,0),(2112,7377996,'influxUser60','woody',1,1609680241,10680,'w1441',1,'','influxProject20',8.26,1.65,2.99,1.02,0,0),(2113,7377997,'influxUser60','woody',1,1609680241,14161,'w1440',1,'','influxProject20',8.87,1.95,4.56,1.02,0,0),(2114,7377998,'influxUser60','woody',1,1609680241,10560,'w1439',1,'','influxProject20',5.63,1.88,3.76,1.02,0,0),(2115,7377999,'influxUser60','woody',1,1609680301,14101,'w1438',1,'','influxProject20',8.87,1.86,3.67,1.03,0,0),(2116,7378000,'influxUser60','woody',1,1609680301,11820,'w1437',1,'','influxProject20',8.91,2.02,4.7,1.02,0,0),(2117,7378001,'influxUser60','woody',1,1609680301,10620,'w1436',1,'','influxProject20',8.27,1.76,3.3,1.02,0,0),(2118,7378002,'influxUser60','woody',1,1609680301,14221,'w1435',1,'','influxProject20',8.87,2.17,4.29,1.01,0,0),(2119,7378003,'influxUser60','woody',1,1609680301,10140,'w1434',1,'','influxProject20',9,1.64,4.22,1.02,0,0),(2120,7378004,'influxUser1','woody',1,1609683722,6719,'w1168',1,'','influxProject20',1.76,0,4.12,4.06,0,0),(2121,7378005,'influxUser1','woody',1,1609683722,6719,'w1166',1,'','influxProject20',1.74,0,4.1,4.13,0,0),(2122,7378007,'influxUser1','woody',1,1609683722,38879,'w1164',1,'','influxProject20',1.75,0,0.04,5.17,0,0),(2123,7378010,'influxUser14','woody',1,1609694941,34501,'w1556',1,'','influxProject20',4.45,74.43,7.1,4.15,0,0),(2124,7378011,'influxUser60','woody',1,1609696501,12660,'w1555',1,'','influxProject20',11.62,1.88,3.18,1.02,0,0),(2125,7378012,'influxUser60','woody',1,1609696501,12780,'w1554',1,'','influxProject20',12.7,2.04,4.95,1.03,0,0),(2126,7378013,'influxUser60','woody',1,1609696501,11340,'w1553',1,'','influxProject20',11.94,1.46,3.11,1.02,0,0),(2127,7378014,'influxUser60','woody',1,1609696501,14711,'w1552',1,'','influxProject20',12.69,1.86,4.34,1.02,0,0),(2128,7378015,'influxUser60','woody',1,1609696501,10860,'w1551',1,'','influxProject20',12.68,1.75,4.79,1.02,0,0),(2129,7378016,'influxUser60','woody',1,1609696501,10860,'w1550',1,'','influxProject20',8.35,1.84,2.93,1.01,0,0),(2130,7378017,'influxUser60','woody',1,1609696501,14100,'w1549',1,'','influxProject20',12.55,1.9,4.28,1.02,0,0),(2131,7378018,'influxUser60','woody',1,1609696501,11340,'w1548',1,'','influxProject20',5.82,1.79,3.46,1.02,0,0),(2132,7378019,'influxUser60','woody',1,1609696501,14220,'w1547',1,'','influxProject20',10.34,1.78,3.61,1.02,0,0),(2133,7378020,'influxUser60','woody',1,1609696501,11820,'w1546',1,'','influxProject20',12.7,1.85,4.7,1.02,0,0),(2134,7378021,'influxUser60','woody',1,1609696501,10740,'w1545',1,'','influxProject20',8.4,1.57,3.09,1.02,0,0),(2135,7378022,'influxUser60','woody',1,1609696501,14220,'w1544',1,'','influxProject20',10.46,2.04,4.47,1.02,0,0),(2136,7378023,'influxUser60','woody',1,1609696501,10860,'w1543',1,'','influxProject20',10.47,1.55,3.7,1.02,0,0),(2137,7378024,'influxUser60','woody',1,1609696561,12480,'w1542',1,'','influxProject20',11.61,1.82,3.34,1.03,0,0),(2138,7378025,'influxUser60','woody',1,1609696561,12851,'w1541',1,'','influxProject20',12.69,1.91,4.55,1.02,0,0),(2139,7378026,'influxUser60','woody',1,1609696561,11280,'w1540',1,'','influxProject20',11.93,1.54,3.22,1.02,0,0),(2140,7378027,'influxUser60','woody',1,1609696561,14650,'w1539',1,'','influxProject20',12.68,1.88,4.2,1.02,0,0),(2141,7378028,'influxUser60','woody',1,1609696561,10920,'w1538',1,'','influxProject20',12.69,1.75,4.72,1.02,0,0),(2142,7378029,'influxUser60','woody',1,1609696561,10800,'w1537',1,'','influxProject20',8.38,1.87,2.87,1.02,0,0),(2143,7378030,'influxUser60','woody',1,1609696561,14160,'w1536',1,'','influxProject20',12.53,1.97,4.31,1.03,0,0),(2144,7378031,'influxUser60','woody',1,1609696561,11401,'w1535',1,'','influxProject20',5.6,1.53,3.02,1.03,0,0),(2145,7378032,'influxUser60','woody',1,1609696561,14160,'w1534',1,'','influxProject20',10.35,1.99,3.58,1.02,0,0),(2146,7378033,'influxUser60','woody',1,1609696561,11880,'w1533',1,'','influxProject20',12.7,1.84,4.83,1.02,0,0),(2147,7378034,'influxUser60','woody',1,1609696561,10800,'w1532',1,'','influxProject20',8.41,1.52,2.91,1.02,0,0),(2148,7378035,'influxUser60','woody',1,1609696561,14160,'w1531',1,'','influxProject20',10.47,2.09,4.33,1.02,0,0),(2149,7378036,'influxUser60','woody',1,1609696561,10920,'w1530',1,'','influxProject20',10.47,1.69,3.76,1.02,0,0),(2150,7378037,'influxUser60','woody',1,1609696621,12540,'w1529',1,'','influxProject20',11.61,1.86,3.66,1.02,0,0),(2151,7378038,'influxUser60','woody',1,1609696621,12791,'w1528',1,'','influxProject20',11.7,1.99,4.73,1.02,0,0),(2152,7378039,'influxUser60','woody',1,1609696621,11341,'w1527',1,'','influxProject20',11.87,1.47,3.02,1.02,0,0),(2153,7378040,'influxUser60','woody',1,1609696621,14700,'w1526',1,'','influxProject20',12.7,2,4.22,1.03,0,0),(2154,7378041,'influxUser60','woody',1,1609696621,10740,'w1525',1,'','influxProject20',12.69,1.72,4.47,1.02,0,0),(2155,7378042,'influxUser60','woody',1,1609696621,10740,'w1524',1,'','influxProject20',8.39,1.71,2.98,1.02,0,0),(2156,7378043,'influxUser60','woody',1,1609696621,14221,'w1523',1,'','influxProject20',12.63,1.97,4.43,1.02,0,0),(2157,7378044,'influxUser60','woody',1,1609696621,10620,'w1522',1,'','influxProject20',5.95,1.9,3.59,1.02,0,0),(2158,7378045,'influxUser60','woody',1,1609696621,14221,'w1521',1,'','influxProject20',10.33,2.03,3.99,1.02,0,0),(2159,7378046,'influxUser60','woody',1,1609696621,11820,'w1520',1,'','influxProject20',10.38,1.91,4.38,1.02,0,0),(2160,7378047,'influxUser60','woody',1,1609696621,10740,'w1519',1,'','influxProject20',8.39,1.84,3.14,1.02,0,0),(2161,7378048,'influxUser60','woody',1,1609696621,14221,'w1518',1,'','influxProject20',10.49,2.03,4.33,1.03,0,0),(2162,7378049,'influxUser60','woody',1,1609696621,10260,'w1517',1,'','influxProject20',10.49,1.74,4.21,1.01,0,0),(2163,7378050,'influxUser60','woody',1,1609696681,12360,'w1516',1,'','influxProject20',11.61,1.92,3.4,1.02,0,0),(2164,7378051,'influxUser60','woody',1,1609696681,12840,'w1515',1,'','influxProject20',12.71,2.04,4.55,1.02,0,0),(2165,7378052,'influxUser60','woody',1,1609696681,11400,'w1514',1,'','influxProject20',11.81,1.4,3.12,1.01,0,0),(2166,7378053,'influxUser60','woody',1,1609696681,14640,'w1513',1,'','influxProject20',12.69,2.01,4.15,1.03,0,0),(2167,7378054,'influxUser60','woody',1,1609696742,10739,'w1512',1,'','influxProject20',12.7,1.82,4.55,1.03,0,0),(2168,7378055,'influxUser60','woody',1,1609696742,10739,'w1511',1,'','influxProject20',8.38,1.56,3.14,1.02,0,0),(2169,7378056,'influxUser60','woody',1,1609696742,14220,'w1510',1,'','influxProject20',12.64,2.01,4.46,1.02,0,0),(2170,7378057,'influxUser60','woody',1,1609696742,10499,'w1509',1,'','influxProject20',5.92,1.78,4.01,1.02,0,0),(2171,7378058,'influxUser60','woody',1,1609696742,14100,'w1508',1,'','influxProject20',10.34,1.83,3.94,1.02,0,0),(2172,7378059,'influxUser60','woody',1,1609696742,11819,'w1507',1,'','influxProject20',10.34,2.06,4.83,1.03,0,0),(2173,7378060,'influxUser60','woody',1,1609696742,10739,'w1506',1,'','influxProject20',8.41,1.81,3.13,1.03,0,0),(2174,7378061,'influxUser60','woody',1,1609696742,14220,'w1505',1,'','influxProject20',10.5,2.08,4.45,1.01,0,0),(2175,7378062,'influxUser60','woody',1,1609696742,10139,'w1504',1,'','influxProject20',10.48,1.87,4.04,1.02,0,0),(2176,7378063,'influxUser60','woody',1,1609696802,12609,'w1503',1,'','influxProject20',11.61,1.93,3.56,1.02,0,0),(2177,7378064,'influxUser60','woody',1,1609696802,12840,'w1502',1,'','influxProject20',12.55,2.13,4.63,1.03,0,0),(2178,7378065,'influxUser60','woody',1,1609696802,11399,'w1501',1,'','influxProject20',11.89,1.55,3.12,1.02,0,0),(2179,7378066,'influxUser60','woody',1,1609696802,14639,'w1456',1,'','influxProject20',12.5,2.03,4.26,1.02,0,0),(2180,7378067,'influxUser60','woody',1,1609696802,10808,'w1455',1,'','influxProject20',12.54,1.86,4.49,1.01,0,0),(2181,7378068,'influxUser60','woody',1,1609696802,10679,'w1454',1,'','influxProject20',8.37,1.89,3.12,1.03,0,0),(2182,7378069,'influxUser60','woody',1,1609696802,14280,'w1453',1,'','influxProject20',11.66,1.95,4.39,1.02,0,0),(2183,7378070,'influxUser60','woody',1,1609696802,10559,'w1452',1,'','influxProject20',5.58,1.7,3.32,1.03,0,0),(2184,7378071,'influxUser60','woody',1,1609696802,14160,'w1451',1,'','influxProject20',12.59,1.97,3.91,1.03,0,0),(2185,7378072,'influxUser60','woody',1,1609696802,11879,'w1450',1,'','influxProject20',12.98,1.8,4.56,1.02,0,0),(2186,7378073,'influxUser60','woody',1,1609696802,10809,'w1449',1,'','influxProject20',8.4,1.75,2.91,1.02,0,0),(2187,7378074,'influxUser60','woody',1,1609696802,14280,'w1448',1,'','influxProject20',10.51,2.05,4.37,1.02,0,0),(2188,7378075,'influxUser60','woody',1,1609696802,10199,'w1447',1,'','influxProject20',10.51,1.78,4.08,1.02,0,0),(2189,7378076,'influxUser60','woody',1,1609696921,12360,'w1446',1,'','influxProject20',11.6,1.97,3.7,1.03,0,0),(2190,7378077,'influxUser60','woody',1,1609696921,12841,'w1445',1,'','influxProject20',12.51,2.1,4.85,1.02,0,0),(2191,7378078,'influxUser60','woody',1,1609696921,11400,'w1444',1,'','influxProject20',11.71,1.53,2.96,1.01,0,0),(2192,7378079,'influxUser60','woody',1,1609696921,14641,'w1443',1,'','influxProject20',12.54,2.06,4.19,1.02,0,0),(2193,7378080,'influxUser60','woody',1,1609696921,10800,'w1442',1,'','influxProject20',12.52,1.86,4.47,1.02,0,0),(2194,7378081,'influxUser60','woody',1,1609696921,10800,'w1441',1,'','influxProject20',8.38,1.85,3.2,1.03,0,0),(2195,7378082,'influxUser60','woody',1,1609696921,14290,'w1440',1,'','influxProject20',12.72,2.02,4.4,1.02,0,0),(2196,7378083,'influxUser60','woody',1,1609696921,10560,'w1439',1,'','influxProject20',5.95,1.84,3.66,1.02,0,0),(2197,7378084,'influxUser60','woody',1,1609696981,14101,'w1438',1,'','influxProject20',10.41,1.76,3.84,1.02,0,0),(2198,7378085,'influxUser60','woody',1,1609696981,11821,'w1437',1,'','influxProject20',12.98,1.92,4.53,1.02,0,0),(2199,7378086,'influxUser60','woody',1,1609696981,10740,'w1436',1,'','influxProject20',8.4,1.8,2.9,1.02,0,0),(2200,7378087,'influxUser60','woody',1,1609696981,14230,'w1435',1,'','influxProject20',10.5,2.03,4.34,1.03,0,0),(2201,7378088,'influxUser60','woody',1,1609696981,10140,'w1434',1,'','influxProject20',10.51,1.75,4,1.02,0,0),(2202,7378089,'influxUser36','woody',1,1609707962,86399,'w1169',1,'','influxProject20',0.26,0,0,1.03,0,0),(2203,7378090,'influxUser8','woody',1,1609708081,86400,'w1168',1,'','influxProject20',3.07,0,5.27,4.18,0,0),(2204,7378091,'influxUser8','woody',1,1609708141,16741,'w1166',1,'','influxProject20',1.78,0,7.65,4.19,0,0),(2205,7378093,'influxUser8','woody',1,1609708321,12121,'w1163',1,'','influxProject20',0.55,0,6.85,4.16,0,0),(2206,7378094,'influxUser8','woody',1,1609708381,9301,'w1162',1,'','influxProject20',0.57,0,6.41,4.15,0,0),(2207,7378096,'influxUser34','woody',1,1609712161,5880,'w1153',1,'','influxProject20',0.6,0,0.01,8.65,0,0),(2208,7378097,'influxUser34','woody',1,1609722721,8282,'w1158',1,'','influxProject20',0.59,0,0.01,8.85,0,0),(2209,7378098,'influxUser14','woody',1,1609729442,28439,'w1556',1,'','influxProject20',4.32,71.82,7.27,4.13,0,0),(2210,7378101,'influxUser50','woody',1,1609735561,10921,'w1171',1,'','influxProject20',0.47,0,0.34,1.12,0,0),(2211,7378102,'influxUser50','woody',1,1609735621,10620,'w1170',1,'','influxProject20',0.45,0,0.34,1.11,0,0),(2212,7378109,'influxUser33','woody',1,1609752422,21660,'w1355',1,'','influxProject20',6.04,0,0.02,0.06,0,0),(2213,7378110,'influxUser36','woody',1,1609757881,11280,'w1171',1,'','influxProject20',0.24,0,0,1.02,0,0),(2214,7378111,'influxUser14','woody',1,1609757881,38040,'w1555',1,'','influxProject20',4.67,74.65,7.32,4.14,0,0),(2215,7378113,'influxUser36','woody',1,1609763401,5760,'w1166',1,'','influxProject20',0.24,0,0,1.02,0,0),(2216,7378114,'influxUser36','woody',1,1609763401,5760,'w1165',1,'','influxProject20',0.25,0,0,1.04,0,0),(2217,7378115,'influxUser36','woody',1,1609763401,5760,'w1164',1,'','influxProject20',0.24,0,0,1.45,0,0),(2218,7378116,'influxUser8','woody',1,1609765442,15119,'w1170',1,'','influxProject20',3.05,0,6.2,4.14,0,0),(2219,7378117,'influxUser60','woody',1,1609770241,12720,'w1556',1,'','influxProject20',11.62,1.81,3.25,1.02,0,0),(2220,7378118,'influxUser60','woody',1,1609770241,12841,'w1554',1,'','influxProject20',12.8,2.28,4.43,1.03,0,0),(2221,7378119,'influxUser60','woody',1,1609770241,11400,'w1553',1,'','influxProject20',11.97,1.46,3.15,1.02,0,0),(2222,7378120,'influxUser60','woody',1,1609770241,14640,'w1552',1,'','influxProject20',12.82,1.98,3.99,1.03,0,0),(2223,7378121,'influxUser60','woody',1,1609770241,10920,'w1551',1,'','influxProject20',12.8,1.68,4.67,1.02,0,0),(2224,7378122,'influxUser60','woody',1,1609770241,10920,'w1550',1,'','influxProject20',11.88,1.62,2.86,1.03,0,0),(2225,7378123,'influxUser60','woody',1,1609770241,14161,'w1549',1,'','influxProject20',12.75,1.85,4.36,1.02,0,0),(2226,7378124,'influxUser60','woody',1,1609770241,11400,'w1548',1,'','influxProject20',7.78,1.71,3.3,1.02,0,0),(2227,7378125,'influxUser60','woody',1,1609770301,14101,'w1547',1,'','influxProject20',13.01,1.93,3.62,1.02,0,0),(2228,7378126,'influxUser60','woody',1,1609770301,11821,'w1546',1,'','influxProject20',12.88,1.94,4.19,1.02,0,0),(2229,7378127,'influxUser60','woody',1,1609770301,10860,'w1545',1,'','influxProject20',11.91,1.39,2.92,1.02,0,0),(2230,7378128,'influxUser60','woody',1,1609770301,14101,'w1544',1,'','influxProject20',12.78,2.04,4.3,1.03,0,0),(2231,7378129,'influxUser60','woody',1,1609770301,10860,'w1543',1,'','influxProject20',12.79,1.47,3.49,1.03,0,0),(2232,7378130,'influxUser60','woody',1,1609770361,12480,'w1542',1,'','influxProject20',11.47,1.83,3.4,1.02,0,0),(2233,7378131,'influxUser60','woody',1,1609770361,12858,'w1541',1,'','influxProject20',12.81,1.99,4.59,1.02,0,0),(2234,7378132,'influxUser60','woody',1,1609770361,11400,'w1540',1,'','influxProject20',11.94,1.55,2.93,1.03,0,0),(2235,7378133,'influxUser60','woody',1,1609770361,14657,'w1539',1,'','influxProject20',12.74,2.01,4.01,1.02,0,0),(2236,7378134,'influxUser60','woody',1,1609770361,10920,'w1538',1,'','influxProject20',12.81,1.69,4.82,1.03,0,0),(2237,7378135,'influxUser60','woody',1,1609770361,10920,'w1537',1,'','influxProject20',11.87,1.75,2.91,1.02,0,0),(2238,7378136,'influxUser60','woody',1,1609770361,14160,'w1536',1,'','influxProject20',12.72,1.95,4.37,1.02,0,0),(2239,7378137,'influxUser60','woody',1,1609770361,11400,'w1535',1,'','influxProject20',8.27,1.75,3.5,1.02,0,0),(2240,7378138,'influxUser60','woody',1,1609770361,14160,'w1534',1,'','influxProject20',13,2,3.58,1.03,0,0),(2241,7378139,'influxUser60','woody',1,1609770361,11880,'w1533',1,'','influxProject20',12.87,1.82,4.1,1.02,0,0),(2242,7378140,'influxUser60','woody',1,1609770361,10920,'w1532',1,'','influxProject20',11.88,1.6,2.77,1.03,0,0),(2243,7378141,'influxUser60','woody',1,1609770361,14160,'w1531',1,'','influxProject20',12.76,2.18,4.36,1.02,0,0),(2244,7378142,'influxUser60','woody',1,1609770361,10800,'w1530',1,'','influxProject20',12.78,1.57,3.84,1.02,0,0),(2245,7378143,'influxUser60','woody',1,1609770421,12540,'w1529',1,'','influxProject20',11.65,1.59,3.5,1.02,0,0),(2246,7378144,'influxUser60','woody',1,1609770421,12797,'w1528',1,'','influxProject20',12.76,2.01,4.53,1.02,0,0),(2247,7378145,'influxUser60','woody',1,1609770421,11340,'w1527',1,'','influxProject20',11.9,1.42,3.18,1.02,0,0),(2248,7378146,'influxUser60','woody',1,1609770421,14701,'w1526',1,'','influxProject20',12.77,1.96,4.16,1.02,0,0),(2249,7378147,'influxUser60','woody',1,1609770421,10740,'w1525',1,'','influxProject20',12.75,1.86,4.29,1.02,0,0),(2250,7378148,'influxUser60','woody',1,1609770421,10860,'w1524',1,'','influxProject20',11.87,1.78,2.96,1.03,0,0),(2251,7378149,'influxUser60','woody',1,1609770421,14220,'w1523',1,'','influxProject20',12.66,1.91,4.39,1.03,0,0),(2252,7378150,'influxUser60','woody',1,1609770421,10500,'w1522',1,'','influxProject20',7.57,1.93,3.73,1.01,0,0),(2253,7378151,'influxUser60','woody',1,1609770421,14220,'w1521',1,'','influxProject20',12.97,1.84,3.69,1.02,0,0),(2254,7378152,'influxUser60','woody',1,1609770421,11820,'w1520',1,'','influxProject20',12.86,2.04,4.23,1.02,0,0),(2255,7378153,'influxUser60','woody',1,1609770421,10860,'w1519',1,'','influxProject20',11.85,1.65,3.11,1.02,0,0),(2256,7378154,'influxUser60','woody',1,1609770421,14220,'w1518',1,'','influxProject20',12.82,2.02,4.29,1.03,0,0),(2257,7378155,'influxUser60','woody',1,1609770421,10260,'w1517',1,'','influxProject20',12.83,1.89,3.58,1.01,0,0),(2258,7378156,'influxUser60','woody',1,1609770481,12480,'w1516',1,'','influxProject20',11.58,1.78,3.24,1.03,0,0),(2259,7378157,'influxUser60','woody',1,1609770481,12840,'w1515',1,'','influxProject20',12.8,2.01,4.64,1.02,0,0),(2260,7378158,'influxUser60','woody',1,1609770481,11400,'w1514',1,'','influxProject20',11.94,1.44,3.22,1.02,0,0),(2261,7378159,'influxUser60','woody',1,1609770481,14641,'w1513',1,'','influxProject20',12.74,1.83,4.34,1.02,0,0),(2262,7378160,'influxUser60','woody',1,1609770481,10936,'w1512',1,'','influxProject20',12.79,1.75,4.66,1.01,0,0),(2263,7378161,'influxUser60','woody',1,1609770481,10936,'w1511',1,'','influxProject20',11.88,1.74,2.79,1,0,0),(2264,7378162,'influxUser60','woody',1,1609770481,14160,'w1510',1,'','influxProject20',12.72,1.94,4.32,1.02,0,0),(2265,7378163,'influxUser60','woody',1,1609770481,11400,'w1509',1,'','influxProject20',7.49,1.67,3.09,1.02,0,0),(2266,7378164,'influxUser60','woody',1,1609770541,14100,'w1508',1,'','influxProject20',13.03,1.76,3.65,1.02,0,0),(2267,7378165,'influxUser60','woody',1,1609770541,11820,'w1507',1,'','influxProject20',12.92,2,4.06,1.01,0,0),(2268,7378166,'influxUser60','woody',1,1609770541,10875,'w1506',1,'','influxProject20',11.93,1.67,2.87,1.02,0,0),(2269,7378167,'influxUser60','woody',1,1609770541,14100,'w1505',1,'','influxProject20',12.78,2.06,4.27,1.02,0,0),(2270,7378168,'influxUser60','woody',1,1609770541,10875,'w1504',1,'','influxProject20',12.72,1.55,3.67,1.02,0,0),(2271,7378169,'influxUser60','woody',1,1609770601,12616,'w1503',1,'','influxProject20',11.64,1.64,3.42,1.03,0,0),(2272,7378170,'influxUser60','woody',1,1609770601,12720,'w1502',1,'','influxProject20',12.72,2.13,4.88,1.02,0,0),(2273,7378171,'influxUser60','woody',1,1609770601,11280,'w1501',1,'','influxProject20',11.9,1.38,2.83,1.02,0,0),(2274,7378172,'influxUser60','woody',1,1609770601,14640,'w1456',1,'','influxProject20',12.64,2,3.95,1.03,0,0),(2275,7378173,'influxUser60','woody',1,1609770601,10680,'w1455',1,'','influxProject20',12.71,1.74,4.36,1.02,0,0),(2276,7378174,'influxUser60','woody',1,1609770601,10814,'w1454',1,'','influxProject20',11.85,1.82,3.21,1.02,0,0),(2277,7378175,'influxUser60','woody',1,1609770601,14160,'w1453',1,'','influxProject20',12.7,1.91,4.43,1.03,0,0),(2278,7378176,'influxUser60','woody',1,1609770601,10560,'w1452',1,'','influxProject20',8.33,1.67,3.43,1.02,0,0),(2279,7378177,'influxUser60','woody',1,1609770601,14160,'w1451',1,'','influxProject20',12.98,2.02,3.68,1.02,0,0),(2280,7378178,'influxUser60','woody',1,1609770601,11880,'w1450',1,'','influxProject20',12.81,1.84,4.54,1.02,0,0),(2281,7378179,'influxUser60','woody',1,1609770601,10815,'w1449',1,'','influxProject20',11.84,1.4,3.07,1.02,0,0),(2282,7378180,'influxUser60','woody',1,1609770601,14280,'w1448',1,'','influxProject20',12.68,1.94,4.32,1.03,0,0),(2283,7378181,'influxUser60','woody',1,1609770601,10201,'w1447',1,'','influxProject20',13.12,1.76,3.89,1.02,0,0),(2284,7378182,'influxUser60','woody',1,1609770661,12300,'w1446',1,'','influxProject20',11.63,1.78,3.69,1.01,0,0),(2285,7378183,'influxUser60','woody',1,1609770661,12780,'w1445',1,'','influxProject20',12.64,2.09,4.87,1.03,0,0),(2286,7378184,'influxUser60','woody',1,1609770661,11341,'w1444',1,'','influxProject20',11.89,1.5,2.99,1.02,0,0),(2287,7378185,'influxUser60','woody',1,1609770661,14701,'w1443',1,'','influxProject20',12.7,1.9,4.43,1.02,0,0),(2288,7378186,'influxUser60','woody',1,1609770661,10753,'w1442',1,'','influxProject20',12.72,1.99,4.46,1.02,0,0),(2289,7378187,'influxUser60','woody',1,1609770661,10860,'w1441',1,'','influxProject20',11.85,1.58,2.97,1.02,0,0),(2290,7378188,'influxUser60','woody',1,1609770661,14220,'w1440',1,'','influxProject20',12.71,1.95,4.39,1.02,0,0),(2291,7378189,'influxUser60','woody',1,1609770661,10620,'w1439',1,'','influxProject20',8.36,1.85,3.49,1.02,0,0),(2292,7378190,'influxUser60','woody',1,1609770721,14160,'w1438',1,'','influxProject20',12.99,1.68,3.78,1.02,0,0),(2293,7378191,'influxUser60','woody',1,1609770721,11760,'w1437',1,'','influxProject20',12.83,1.89,4.48,1.03,0,0),(2294,7378192,'influxUser60','woody',1,1609770721,10800,'w1436',1,'','influxProject20',11.86,1.64,3,1.02,0,0),(2295,7378193,'influxUser60','woody',1,1609770721,14160,'w1435',1,'','influxProject20',13.13,2.14,4.12,1.03,0,0),(2296,7378194,'influxUser60','woody',1,1609770721,10200,'w1434',1,'','influxProject20',13.13,1.73,3.44,1.03,0,0),(2297,7378195,'influxUser36','woody',1,1609777021,86220,'w1171',1,'','influxProject20',0.27,0,0,1.03,0,0),(2298,7378196,'influxUser58','woody',1,1609778041,86520,'w1166',1,'','influxProject20',4.11,0,0.02,4.21,0,0),(2299,7378197,'influxUser58','woody',1,1609778041,86400,'w1165',1,'','influxProject20',3.92,0,0.02,4.22,0,0),(2300,7378198,'influxUser58','woody',1,1609778041,86520,'w1164',1,'','influxProject20',1.17,0,0,5.08,0,0),(2301,7378199,'influxUser58','woody',1,1609778041,86400,'w1163',1,'','influxProject20',4.91,0,0.02,4.19,0,0),(2302,7378200,'influxUser58','woody',1,1609778041,86520,'w1162',1,'','influxProject20',3.73,0,0.02,4.2,0,0),(2303,7378201,'influxUser58','woody',1,1609778041,86520,'w1161',1,'','influxProject20',3.92,0,0.02,4.19,0,0),(2304,7378202,'influxUser58','woody',1,1609778041,86520,'w1160',1,'','influxProject20',3.12,0,0.02,4.2,0,0),(2305,7378203,'influxUser58','woody',1,1609778041,86520,'w1159',1,'','influxProject20',3.6,0,0.02,4.19,0,0),(2306,7378204,'influxUser58','woody',1,1609778041,86520,'w1158',1,'','influxProject20',3.49,0,0.02,4.21,0,0),(2307,7378205,'influxUser58','woody',1,1609778041,86520,'w1157',1,'','influxProject20',4.4,0,0.02,4.2,0,0),(2308,7378206,'influxUser58','woody',1,1609778041,86520,'w1156',1,'','influxProject20',3.56,0,0.02,4.2,0,0),(2309,7378207,'influxUser58','woody',1,1609778041,86520,'w1155',1,'','influxProject20',3.08,0,0.02,4.2,0,0),(2310,7378208,'influxUser58','woody',1,1609778101,86460,'w1154',1,'','influxProject20',4.79,0,0.02,4.21,0,0),(2311,7378209,'influxUser58','woody',1,1609778101,86460,'w1153',1,'','influxProject20',2.7,0,0.02,4.19,0,0),(2312,7378210,'influxUser58','woody',1,1609778101,86460,'w1152',1,'','influxProject20',3.08,0,0.02,4.2,0,0),(2313,7378211,'influxUser58','woody',1,1609778101,86460,'w1151',1,'','influxProject20',3.15,0,0.02,4.2,0,0),(2314,7378212,'influxUser58','woody',1,1609778101,86460,'w1150',1,'','influxProject20',3.08,0,0.02,4.19,0,0),(2315,7378213,'influxUser58','woody',1,1609778101,86460,'w1149',1,'','influxProject20',4.9,0,0.02,4.23,0,0),(2316,7378214,'influxUser58','woody',1,1609778101,86460,'w1147',1,'','influxProject20',3.28,0,0.02,4.19,0,0),(2317,7378215,'influxUser58','woody',1,1609778101,86460,'w1146',1,'','influxProject20',3.01,0,0.01,4.2,0,0),(2318,7378216,'influxUser58','woody',1,1609778101,86460,'w1145',1,'','influxProject20',4.28,0,0.02,4.19,0,0),(2319,7378217,'influxUser58','woody',1,1609778101,86460,'w1144',1,'','influxProject20',2.71,0,0.02,4.19,0,0),(2320,7378218,'influxUser58','woody',1,1609778101,86460,'w1143',1,'','influxProject20',3.93,0,0.02,4.2,0,0),(2321,7378219,'influxUser58','woody',1,1609778101,86460,'w1142',1,'','influxProject20',2.49,0,0.02,4.22,0,0),(2322,7378220,'influxUser58','woody',1,1609778101,86460,'w1141',1,'','influxProject20',4.58,0,0.02,4.2,0,0),(2323,7378221,'influxUser58','woody',1,1609778101,86460,'w1140',1,'','influxProject20',4.31,0,0.02,4.22,0,0),(2324,7378222,'influxUser58','woody',1,1609778101,86460,'w1139',1,'','influxProject20',4.96,0,0.02,4.21,0,0),(2325,7378223,'influxUser58','woody',1,1609778101,86460,'w1138',1,'','influxProject20',3.33,0,0.02,4.2,0,0),(2326,7378224,'influxUser58','woody',1,1609778101,86460,'w1137',1,'','influxProject20',3.13,0,0.02,4.2,0,0),(2327,7378225,'influxUser58','woody',1,1609778101,86460,'w1136',1,'','influxProject20',4.74,0,0.02,4.2,0,0),(2328,7378226,'influxUser58','woody',1,1609778101,86460,'w1135',1,'','influxProject20',2.5,0,0.02,4.19,0,0),(2329,7378227,'influxUser58','woody',1,1609778101,86460,'w1134',1,'','influxProject20',3.4,0,0.02,4.18,0,0),(2330,7378228,'influxUser58','woody',1,1609778101,86460,'w1133',1,'','influxProject20',3.28,0,0.02,4.2,0,0),(2331,7378229,'influxUser58','woody',1,1609778101,86460,'w1132',1,'','influxProject20',3.26,0,0.02,4.21,0,0),(2332,7378230,'influxUser58','woody',1,1609778101,86460,'w1131',1,'','influxProject20',3.07,0,0.02,4.21,0,0),(2333,7378231,'influxUser58','woody',1,1609778101,86460,'w1130',1,'','influxProject20',3.87,0,0.02,4.21,0,0),(2334,7378232,'influxUser58','woody',1,1609778161,86400,'w1129',1,'','influxProject20',4.47,0,0.01,4.2,0,0),(2335,7378233,'influxUser58','woody',1,1609778161,86400,'w1128',1,'','influxProject20',4.41,0,0.02,4.22,0,0),(2336,7378234,'influxUser58','woody',1,1609778161,86400,'w1127',1,'','influxProject20',4.04,0,0.02,4.18,0,0),(2337,7378235,'influxUser58','woody',1,1609778161,86400,'w1126',1,'','influxProject20',4.19,0,0.02,4.21,0,0),(2338,7378236,'influxUser58','woody',1,1609778161,86400,'w1125',1,'','influxProject20',4.43,0,0.02,4.19,0,0),(2339,7378237,'influxUser58','woody',1,1609778161,86400,'w1123',1,'','influxProject20',3.36,0,0.01,4.21,0,0),(2340,7378238,'influxUser58','woody',1,1609778161,86520,'w1122',1,'','influxProject20',4.68,0,0.02,4.22,0,0),(2341,7378239,'influxUser58','woody',1,1609778161,86520,'w1121',1,'','influxProject20',3.96,0,0.02,4.22,0,0),(2342,7378240,'influxUser58','woody',1,1609778161,86520,'w1120',1,'','influxProject20',3.65,0,0.02,4.19,0,0),(2343,7378241,'influxUser58','woody',1,1609778161,86400,'w1119',1,'','influxProject20',3.65,0,0.02,4.23,0,0),(2344,7378242,'influxUser58','woody',1,1609778161,86400,'w1118',1,'','influxProject20',3.31,0,0.01,3.78,0,0),(2345,7378243,'influxUser58','woody',1,1609778161,86400,'w1117',1,'','influxProject20',3.62,0,0.02,4.21,0,0),(2346,7378244,'influxUser58','woody',1,1609778161,86400,'w1116',1,'','influxProject20',3.33,0,0.02,4.18,0,0),(2347,7378245,'influxUser58','woody',1,1609778161,86520,'w1115',1,'','influxProject20',3.54,0,0.02,4.23,0,0),(2348,7378246,'influxUser36','woody',1,1609779661,82860,'w1114',1,'','influxProject20',0.28,0,0,1.02,0,0),(2349,7378247,'influxUser34','woody',1,1609779721,8760,'w1104',1,'','influxProject20',0.66,0,0.02,8.68,0,0),(2350,7378248,'influxUser36','woody',1,1609780141,82740,'w1103',1,'','influxProject20',0.27,0,0,1.02,0,0),(2351,7378249,'influxUser36','woody',1,1609781221,43500,'w1170',1,'','influxProject20',0.3,0,0,1.69,0,0),(2352,7378250,'influxUser36','woody',1,1609781281,45000,'w1102',1,'','influxProject20',0.3,0,0,1.71,0,0),(2353,7378252,'influxUser1','woody',1,1609785001,13801,'w1101',1,'','influxProject20',7.98,0,6.7,4.27,0,0),(2354,7378253,'influxUser14','woody',1,1609795861,31500,'w1556',1,'','influxProject20',4.5,73.3,7.01,4.15,0,0),(2355,7378266,'influxUser57','woody',1,1609801501,81660,'w1101',1,'','influxProject20',1.56,0,0.72,1.03,0,0),(2356,7378267,'influxUser57','woody',1,1609801501,74220,'w1355',1,'','influxProject20',1.55,2.23,1.47,1.03,0,0),(2357,7378268,'influxUser57','woody',1,1609801501,70140,'w1354',1,'','influxProject20',1.62,2.31,1.66,1.03,0,0),(2358,7378269,'influxUser57','woody',1,1609801501,70740,'w1353',1,'','influxProject20',1.59,2.25,1.65,1.03,0,0),(2359,7378270,'influxUser34','woody',1,1609808761,5880,'w1106',1,'','influxProject20',0.67,0,0.01,9.21,0,0),(2360,7378271,'influxUser14','woody',1,1609827361,32400,'w1556',1,'','influxProject20',5.1,73.59,7.04,4.17,0,0),(2361,7378273,'influxUser50','woody',1,1609833241,10201,'w1169',1,'','influxProject20',0.47,0,0.36,1.13,0,0),(2362,7378290,'influxUser57','woody',1,1609849322,83759,'w1104',1,'','influxProject20',1.61,0,0.69,1.03,0,0),(2363,7378291,'influxUser57','woody',1,1609849322,85680,'w1102',1,'','influxProject20',1.47,0,0.75,1.03,0,0),(2364,7378292,'influxUser57','woody',1,1609849322,74399,'w1352',1,'','influxProject20',1.63,2.25,1.58,1.03,0,0),(2365,7378293,'influxUser57','woody',1,1609849322,75600,'w1351',1,'','influxProject20',1.61,2.24,1.66,1.04,0,0),(2366,7378294,'influxUser8','woody',1,1609852981,6301,'w1170',1,'','influxProject20',2.99,0,7.1,4.15,0,0),(2367,7378297,'influxUser37','woody',1,1609856881,3961,'w1108',1,'','influxProject20',0.25,0,0,4.11,0,0),(2368,7378310,'influxUser57','woody',1,1609857601,53880,'w1341',1,'','influxProject20',1.57,2.32,1.49,1.03,0,0),(2369,7378311,'influxUser57','woody',1,1609857601,63480,'w1340',1,'','influxProject20',1.58,2.29,1.59,1.03,0,0),(2370,7378312,'influxUser57','woody',1,1609857601,44160,'w1339',1,'','influxProject20',1.52,2.36,1.56,1.03,0,0),(2371,7378313,'influxUser57','woody',1,1609857601,49921,'w1338',1,'','influxProject20',1.52,2.31,1.61,1.04,0,0),(2372,7378314,'influxUser14','woody',1,1609859701,32580,'w1556',1,'','influxProject20',4.42,76.07,7.1,4.16,0,0),(2373,7378315,'influxUser36','woody',1,1609862461,79741,'w1170',1,'','influxProject20',0.28,0,0,1.02,0,0),(2374,7378316,'influxUser36','woody',1,1609863062,79619,'w1169',1,'','influxProject20',0.28,0,0,1.03,0,0),(2375,7378317,'influxUser36','woody',1,1609863241,79680,'w1171',1,'','influxProject20',0.25,0,0,1.03,0,0),(2376,7378318,'influxUser36','woody',1,1609863241,79680,'w1168',1,'','influxProject20',0.26,0,0,1.02,0,0),(2377,7378319,'influxUser36','woody',1,1609865161,28080,'w1166',1,'','influxProject20',0.27,0,0.01,1.03,0,0),(2378,7378331,'influxUser37','woody',1,1609869482,18719,'w1158',1,'','influxProject20',0.24,0,0,2.24,0,0),(2379,7378338,'influxUser63','woody',1,1609871222,216059,'w1157',1,'','influxProject20',0.63,0,0.02,0.05,0,0),(2380,7378340,'influxUser24','woody',1,1609878661,14941,'w1156',1,'','influxProject20',7.95,0,1.7,2.28,0,0),(2381,7378341,'influxUser24','woody',1,1609878661,8701,'w1155',1,'','influxProject20',7.98,0,0.49,2.15,0,0),(2382,7378342,'influxUser24','woody',1,1609878661,11460,'w1154',1,'','influxProject20',7.91,0,0.98,2.3,0,0),(2383,7378343,'influxUser24','woody',1,1609878661,12554,'w1153',1,'','influxProject20',7.99,0,0.97,2.18,0,0),(2384,7378345,'influxUser24','woody',1,1609878661,11581,'w1151',1,'','influxProject20',7.97,0,0.86,2.02,0,0),(2385,7378346,'influxUser24','woody',1,1609878661,14700,'w1150',1,'','influxProject20',7.98,0,1.17,2.13,0,0),(2386,7378347,'influxUser24','woody',1,1609878661,15660,'w1149',1,'','influxProject20',7.96,0,1.16,2.12,0,0),(2387,7378348,'influxUser24','woody',1,1609878721,15360,'w1147',1,'','influxProject20',7.96,0,1.11,2.19,0,0),(2388,7378349,'influxUser24','woody',1,1609878721,17891,'w1146',1,'','influxProject20',7.96,0,0.98,2.04,0,0),(2389,7378350,'influxUser24','woody',1,1609878721,16091,'w1145',1,'','influxProject20',7.98,0,1.16,2.09,0,0),(2390,7378351,'influxUser24','woody',1,1609878721,10560,'w1144',1,'','influxProject20',7.86,0,0.97,2.14,0,0),(2391,7378352,'influxUser24','woody',1,1609878721,9361,'w1143',1,'','influxProject20',7.97,0,0.73,2,0,0),(2392,7378353,'influxUser24','woody',1,1609878721,18240,'w1142',1,'','influxProject20',7.97,0,1.21,2.3,0,0),(2393,7378354,'influxUser24','woody',1,1609878721,13321,'w1141',1,'','influxProject20',7.94,0,0.91,2.03,0,0),(2394,7378355,'influxUser24','woody',1,1609878721,15000,'w1140',1,'','influxProject20',7.96,0,1.3,2.16,0,0),(2395,7378356,'influxUser24','woody',1,1609878721,13681,'w1139',1,'','influxProject20',7.89,0,0.88,2.1,0,0),(2396,7378357,'influxUser24','woody',1,1609878721,14400,'w1138',1,'','influxProject20',7.85,0,1.3,2.15,0,0),(2397,7378358,'influxUser24','woody',1,1609878721,17160,'w1137',1,'','influxProject20',7.96,0,1.15,2.2,0,0),(2398,7378359,'influxUser24','woody',1,1609878721,17640,'w1136',1,'','influxProject20',7.97,0,1.1,2.14,0,0),(2399,7378360,'influxUser24','woody',1,1609878721,19691,'w1135',1,'','influxProject20',7.97,0,1.13,2.19,0,0),(2400,7378361,'influxUser24','woody',1,1609878721,10080,'w1134',1,'','influxProject20',7.96,0,0.58,1.88,0,0),(2401,7378362,'influxUser24','woody',1,1609878721,8160,'w1133',1,'','influxProject20',7.85,0,0.48,1.93,0,0),(2402,7378363,'influxUser24','woody',1,1609878721,15000,'w1132',1,'','influxProject20',7.96,0,0.99,2.11,0,0),(2403,7378364,'influxUser24','woody',1,1609878721,16441,'w1131',1,'','influxProject20',7.88,0,1.27,2.31,0,0),(2404,7378365,'influxUser24','woody',1,1609878721,16800,'w1130',1,'','influxProject20',7.97,0,1.1,2.22,0,0),(2405,7378366,'influxUser24','woody',1,1609878721,7201,'w1129',1,'','influxProject20',7.99,0,0.61,2.1,0,0),(2406,7378367,'influxUser24','woody',1,1609878721,10699,'w1128',1,'','influxProject20',7.96,0,0.56,2.02,0,0),(2407,7378368,'influxUser24','woody',1,1609878781,8340,'w1127',1,'','influxProject20',7.99,0,0.57,2.21,0,0),(2408,7378369,'influxUser24','woody',1,1609878781,14100,'w1126',1,'','influxProject20',7.97,0,1.12,2.21,0,0),(2409,7378370,'influxUser24','woody',1,1609878781,16621,'w1125',1,'','influxProject20',7.96,0,1.07,2.14,0,0),(2410,7378371,'influxUser24','woody',1,1609878781,14340,'w1123',1,'','influxProject20',7.96,0,1.13,2.17,0,0),(2411,7378372,'influxUser24','woody',1,1609878781,14340,'w1122',1,'','influxProject20',7.97,0,1.11,2.16,0,0),(2412,7378373,'influxUser24','woody',1,1609878781,11581,'w1121',1,'','influxProject20',7.94,0,0.54,1.92,0,0),(2413,7378374,'influxUser24','woody',1,1609878781,16621,'w1120',1,'','influxProject20',7.96,0,1.06,2.14,0,0),(2414,7378375,'influxUser24','woody',1,1609878781,17460,'w1119',1,'','influxProject20',7.95,0,0.97,2.13,0,0),(2415,7378376,'influxUser24','woody',1,1609878781,16740,'w1118',1,'','influxProject20',7.95,0,1.23,2.16,0,0),(2416,7378377,'influxUser24','woody',1,1609878781,15300,'w1117',1,'','influxProject20',7.97,0,1.23,2.12,0,0),(2417,7378378,'influxUser24','woody',1,1609878781,17220,'w1116',1,'','influxProject20',7.99,0,1.04,2.22,0,0),(2418,7378379,'influxUser24','woody',1,1609878781,10381,'w1115',1,'','influxProject20',7.84,0,0.6,2.1,0,0),(2419,7378380,'influxUser24','woody',1,1609878781,10500,'w1114',1,'','influxProject20',7.94,0,0.64,2.18,0,0),(2420,7378381,'influxUser24','woody',1,1609878781,10500,'w1113',1,'','influxProject20',7.93,0,0.87,2.18,0,0),(2421,7378382,'influxUser24','woody',1,1609878781,12540,'w1112',1,'','influxProject20',7.96,0,0.73,1.99,0,0),(2422,7378383,'influxUser24','woody',1,1609878781,16860,'w1111',1,'','influxProject20',7.99,0,1.15,2.2,0,0),(2423,7378384,'influxUser24','woody',1,1609878781,16141,'w1110',1,'','influxProject20',7.94,0,1.06,2.06,0,0),(2424,7378385,'influxUser24','woody',1,1609878781,15061,'w1109',1,'','influxProject20',7.96,0,1.16,2.22,0,0),(2425,7378386,'influxUser24','woody',1,1609878781,13140,'w1108',1,'','influxProject20',7.99,0,0.89,2.01,0,0),(2426,7378387,'influxUser24','woody',1,1609878781,14100,'w1107',1,'','influxProject20',7.98,0,1.12,2.24,0,0),(2427,7378388,'influxUser24','woody',1,1609878781,17100,'w1106',1,'','influxProject20',7.96,0,1.42,2.02,0,0),(2428,7378389,'influxUser24','woody',1,1609878781,16500,'w1105',1,'','influxProject20',7.97,0,0.95,2.01,0,0),(2429,7378390,'influxUser24','woody',1,1609878781,18061,'w1103',1,'','influxProject20',7.95,0,1.14,2.14,0,0),(2430,7378391,'influxUser24','woody',1,1609878781,13621,'w1355',1,'','influxProject20',10.65,9.18,1.59,2.34,0,0),(2431,7378392,'influxUser24','woody',1,1609878841,12240,'w1354',1,'','influxProject20',8.82,11.39,1.83,2.24,0,0),(2432,7378393,'influxUser24','woody',1,1609878841,12121,'w1353',1,'','influxProject20',9.48,7.03,1.2,2.27,0,0),(2433,7378394,'influxUser24','woody',1,1609878841,9241,'w1350',1,'','influxProject20',9.31,4.96,0.99,2.24,0,0),(2434,7378395,'influxUser24','woody',1,1609878841,13080,'w1349',1,'','influxProject20',9.94,9.73,1.66,2.34,0,0),(2435,7378396,'influxUser24','woody',1,1609878841,11880,'w1348',1,'','influxProject20',9.23,10.38,1.71,2.31,0,0),(2436,7378397,'influxUser24','woody',1,1609878841,11521,'w1347',1,'','influxProject20',9.45,6.81,0.96,2.17,0,0),(2437,7378398,'influxUser24','woody',1,1609878841,11280,'w1346',1,'','influxProject20',9.34,8.18,1.48,2.18,0,0),(2438,7378399,'influxUser24','woody',1,1609878841,9120,'w1345',1,'','influxProject20',9.07,4.3,1.04,2.36,0,0),(2439,7378400,'influxUser24','woody',1,1609878841,8521,'w1344',1,'','influxProject20',9.86,2.18,0.81,2.75,0,0),(2440,7378401,'influxUser24','woody',1,1609878841,13080,'w1343',1,'','influxProject20',9.83,7.89,1.56,2.39,0,0),(2441,7378402,'influxUser24','woody',1,1609878841,13320,'w1342',1,'','influxProject20',9.25,9.34,1.59,2.33,0,0),(2442,7378403,'influxUser24','woody',1,1609878841,13080,'w1337',1,'','influxProject20',9.79,9.89,1.66,2.33,0,0),(2443,7378404,'influxUser24','woody',1,1609878841,14280,'w1336',1,'','influxProject20',9.3,10.08,1.71,2.48,0,0),(2444,7378405,'influxUser24','woody',1,1609878841,15240,'w1335',1,'','influxProject20',9.76,8.25,1.38,2.28,0,0),(2445,7378406,'influxUser24','woody',1,1609878841,9001,'w1334',1,'','influxProject20',9.32,3.96,1.04,2.41,0,0),(2446,7378407,'influxUser24','woody',1,1609878841,8521,'w1333',1,'','influxProject20',9.36,4.25,1.09,2.29,0,0),(2447,7378408,'influxUser24','woody',1,1609878841,10200,'w1332',1,'','influxProject20',9.57,7.73,1.66,2.39,0,0),(2448,7378409,'influxUser24','woody',1,1609878841,12840,'w1331',1,'','influxProject20',9.28,8.43,1.54,2.34,0,0),(2449,7378410,'influxUser24','woody',1,1609878841,13201,'w1330',1,'','influxProject20',9.14,7.53,1.31,2.41,0,0),(2450,7378411,'influxUser24','woody',1,1609878841,14761,'w1329',1,'','influxProject20',9.95,7.91,1.42,2.34,0,0),(2451,7378412,'influxUser24','woody',1,1609878901,13380,'w1328',1,'','influxProject20',8.95,9.22,1.55,2.3,0,0),(2452,7378413,'influxUser24','woody',1,1609878901,11700,'w1327',1,'','influxProject20',8.49,8.25,1.48,2.11,0,0),(2453,7378414,'influxUser24','woody',1,1609878901,8101,'w1326',1,'','influxProject20',9.89,5.38,1.35,2.35,0,0),(2454,7378415,'influxUser24','woody',1,1609878901,13980,'w1325',1,'','influxProject20',10.08,7.81,1.49,2.14,0,0),(2455,7378416,'influxUser24','woody',1,1609878901,14460,'w1324',1,'','influxProject20',9.88,8.39,1.36,2.48,0,0),(2456,7378417,'influxUser24','woody',1,1609878901,14109,'w1323',1,'','influxProject20',9.03,8.95,1.64,2.14,0,0),(2457,7378418,'influxUser24','woody',1,1609878901,6780,'w1322',1,'','influxProject20',9.86,5.13,1.43,3.02,0,0),(2458,7378419,'influxUser24','woody',1,1609878901,14220,'w1321',1,'','influxProject20',8.97,7.83,1.29,2.03,0,0),(2459,7378420,'influxUser24','woody',1,1609878901,12780,'w1320',1,'','influxProject20',9.07,9.79,1.62,2.32,0,0),(2460,7378421,'influxUser24','woody',1,1609878901,13861,'w1319',1,'','influxProject20',9.76,8.19,1.43,2.4,0,0),(2461,7378422,'influxUser24','woody',1,1609878901,11461,'w1318',1,'','influxProject20',8.31,5.99,1.29,2.23,0,0),(2462,7378423,'influxUser24','woody',1,1609878901,8101,'w1317',1,'','influxProject20',9.17,0.95,0.62,2.53,0,0),(2463,7378424,'influxUser24','woody',1,1609878901,14460,'w1316',1,'','influxProject20',9.8,8.65,1.42,2.3,0,0),(2464,7378425,'influxUser24','woody',1,1609878901,14109,'w1315',1,'','influxProject20',9.09,8.66,1.46,2.44,0,0),(2465,7378426,'influxUser24','woody',1,1609878901,13141,'w1314',1,'','influxProject20',9.04,8.67,1.38,2.41,0,0),(2466,7378427,'influxUser24','woody',1,1609878901,9060,'w1313',1,'','influxProject20',9.28,4.6,0.89,2.32,0,0),(2467,7378428,'influxUser24','woody',1,1609878901,8461,'w1312',1,'','influxProject20',9.18,5.48,1.33,2.51,0,0),(2468,7378429,'influxUser24','woody',1,1609878901,7021,'w1311',1,'','influxProject20',9.31,3.22,0.98,2.32,0,0),(2469,7378430,'influxUser24','woody',1,1609878901,15301,'w1310',1,'','influxProject20',10.16,9.99,1.63,2.44,0,0),(2470,7378431,'influxUser24','woody',1,1609878901,14460,'w1309',1,'','influxProject20',9.2,7.93,1.27,2.37,0,0),(2471,7378432,'influxUser24','woody',1,1609878961,13560,'w1308',1,'','influxProject20',9.48,9.2,1.55,2.31,0,0),(2472,7378433,'influxUser24','woody',1,1609878961,11520,'w1307',1,'','influxProject20',8.34,7.96,1.38,2.24,0,0),(2473,7378434,'influxUser24','woody',1,1609878961,8520,'w1306',1,'','influxProject20',9.16,2.03,0.61,2.41,0,0),(2474,7378435,'influxUser24','woody',1,1609878961,6240,'w1305',1,'','influxProject20',9.03,2.7,1.09,2.34,0,0),(2475,7378436,'influxUser24','woody',1,1609878961,13801,'w1304',1,'','influxProject20',9.32,8.65,1.49,2.34,0,0),(2476,7378437,'influxUser24','woody',1,1609878961,12601,'w1303',1,'','influxProject20',9.33,8.99,1.5,2.31,0,0),(2477,7378438,'influxUser24','woody',1,1609878961,9480,'w1302',1,'','influxProject20',9.32,5.58,1.08,2.24,0,0),(2478,7378439,'influxUser24','woody',1,1609878961,5761,'w1301',1,'','influxProject20',9.31,0.76,0.74,2.36,0,0),(2479,7378440,'influxUser24','woody',1,1609878961,11401,'w1208',1,'','influxProject20',9.07,9.8,1.87,2.41,0,0),(2480,7378441,'influxUser24','woody',1,1609878961,7200,'w1207',1,'','influxProject20',9.9,0.86,0.76,2.38,0,0),(2481,7378442,'influxUser24','woody',1,1609878961,8654,'w1206',1,'','influxProject20',9.11,5.96,1.33,2.37,0,0),(2482,7378443,'influxUser24','woody',1,1609878961,10320,'w1205',1,'','influxProject20',9.01,8.2,1.65,2.47,0,0),(2483,7378445,'influxUser24','woody',1,1609878961,9600,'w1203',1,'','influxProject20',9.31,6.1,1.04,2.2,0,0),(2484,7378446,'influxUser24','woody',1,1609878961,12360,'w1202',1,'','influxProject20',9.2,9.18,1.63,2.46,0,0),(2485,7378447,'influxUser24','woody',1,1609878961,13441,'w1201',1,'','influxProject20',9.15,9.23,1.52,2.21,0,0),(2486,7378448,'influxUser24','woody',1,1609878961,11040,'w1555',1,'','influxProject20',9.68,10.2,1.74,2.12,0,0),(2487,7378449,'influxUser24','woody',1,1609878961,11760,'w1554',1,'','influxProject20',8.9,10.38,2.16,2.02,0,0),(2488,7378450,'influxUser24','woody',1,1609878961,11401,'w1553',1,'','influxProject20',8.4,11.03,1.82,2.05,0,0),(2489,7378451,'influxUser24','woody',1,1609878961,7800,'w1552',1,'','influxProject20',5.28,7.71,1.56,2.13,0,0),(2490,7378452,'influxUser24','woody',1,1609878961,5640,'w1551',1,'','influxProject20',9.25,4.46,1.41,1.92,0,0),(2491,7378453,'influxUser24','woody',1,1609878961,12120,'w1550',1,'','influxProject20',11.28,11.26,1.86,2.12,0,0),(2492,7378454,'influxUser24','woody',1,1609878961,8655,'w1549',1,'','influxProject20',8.84,7.41,1.37,1.93,0,0),(2493,7378455,'influxUser24','woody',1,1609878961,10800,'w1548',1,'','influxProject20',10.59,10.88,1.87,2.2,0,0),(2494,7378456,'influxUser24','woody',1,1609879022,8340,'w1547',1,'','influxProject20',9.4,8.67,1.52,1.98,0,0),(2495,7378457,'influxUser24','woody',1,1609879022,10259,'w1546',1,'','influxProject20',8.65,11.18,2.02,2.32,0,0),(2496,7378458,'influxUser24','woody',1,1609879022,11099,'w1545',1,'','influxProject20',10.73,11.23,1.91,2.21,0,0),(2497,7378459,'influxUser24','woody',1,1609879022,11820,'w1544',1,'','influxProject20',9.69,10.44,1.7,2.17,0,0),(2498,7378460,'influxUser24','woody',1,1609879022,13259,'w1543',1,'','influxProject20',11.15,10.38,1.78,2.16,0,0),(2499,7378461,'influxUser24','woody',1,1609879022,5820,'w1542',1,'','influxProject20',6.9,3.2,0.76,1.92,0,0),(2500,7378462,'influxUser24','woody',1,1609879022,5939,'w1541',1,'','influxProject20',9.08,2.6,0.73,1.66,0,0),(2501,7378463,'influxUser24','woody',1,1609879022,10390,'w1540',1,'','influxProject20',8.66,9.2,1.49,2.02,0,0),(2502,7378464,'influxUser24','woody',1,1609879022,10979,'w1539',1,'','influxProject20',9.67,10.48,1.7,2.1,0,0),(2503,7378465,'influxUser24','woody',1,1609879022,11820,'w1538',1,'','influxProject20',9.86,10.8,1.74,2.1,0,0),(2504,7378466,'influxUser24','woody',1,1609879022,11699,'w1537',1,'','influxProject20',10.36,10.54,1.67,2.08,0,0),(2505,7378467,'influxUser24','woody',1,1609879022,10739,'w1536',1,'','influxProject20',8.77,10.54,1.67,2.12,0,0),(2506,7378468,'influxUser24','woody',1,1609879022,10019,'w1535',1,'','influxProject20',9.28,9.05,1.74,2.03,0,0),(2507,7378469,'influxUser24','woody',1,1609879022,6419,'w1534',1,'','influxProject20',8.92,3.65,0.74,1.9,0,0),(2508,7378470,'influxUser24','woody',1,1609879022,11699,'w1533',1,'','influxProject20',6.82,10.42,1.85,2.14,0,0),(2509,7378471,'influxUser24','woody',1,1609879022,11699,'w1532',1,'','influxProject20',9.16,9.72,1.69,2.14,0,0),(2510,7378472,'influxUser24','woody',1,1609879022,11940,'w1531',1,'','influxProject20',9.7,9.85,1.62,2.05,0,0),(2511,7378473,'influxUser24','woody',1,1609879022,8939,'w1530',1,'','influxProject20',8.58,8.52,1.59,1.99,0,0),(2512,7378474,'influxUser24','woody',1,1609879022,10979,'w1529',1,'','influxProject20',8.94,10.33,1.72,2.09,0,0),(2513,7378475,'influxUser24','woody',1,1609879022,11099,'w1528',1,'','influxProject20',10.7,12.12,1.98,2.26,0,0),(2514,7378477,'influxUser24','woody',1,1609879082,4319,'w1526',1,'','influxProject20',5.27,7.19,1.37,2.47,0,0),(2515,7378479,'influxUser24','woody',1,1609879082,10919,'w1524',1,'','influxProject20',8.32,10.24,1.72,2.12,0,0),(2516,7378480,'influxUser24','woody',1,1609879082,11760,'w1523',1,'','influxProject20',10.12,10.26,1.65,2.17,0,0),(2517,7378481,'influxUser24','woody',1,1609879082,6728,'w1522',1,'','influxProject20',5.21,4.51,1.18,1.93,0,0),(2518,7378482,'influxUser24','woody',1,1609879082,6840,'w1521',1,'','influxProject20',9.16,5.07,1.36,2.13,0,0),(2519,7378483,'influxUser24','woody',1,1609879082,6480,'w1520',1,'','influxProject20',8.97,6.84,1.58,2.12,0,0),(2520,7378484,'influxUser24','woody',1,1609879082,7320,'w1519',1,'','influxProject20',7.55,6,1.14,1.87,0,0),(2521,7378485,'influxUser24','woody',1,1609879082,11760,'w1518',1,'','influxProject20',10.13,11.79,1.9,2.25,0,0),(2522,7378486,'influxUser24','woody',1,1609879082,11039,'w1517',1,'','influxProject20',9.04,12.77,1.99,2.32,0,0),(2523,7378487,'influxUser24','woody',1,1609879082,10329,'w1516',1,'','influxProject20',9.76,11.19,1.87,2.21,0,0),(2524,7378488,'influxUser24','woody',1,1609879082,9240,'w1515',1,'','influxProject20',9.36,7.24,1.46,2.04,0,0),(2525,7378489,'influxUser24','woody',1,1609879082,8639,'w1514',1,'','influxProject20',9.74,9.19,2.03,2.29,0,0),(2526,7378490,'influxUser24','woody',1,1609879082,11280,'w1513',1,'','influxProject20',9.7,12.06,2.11,2.31,0,0),(2527,7378491,'influxUser24','woody',1,1609879141,11460,'w1512',1,'','influxProject20',10.3,10.2,1.7,2.11,0,0),(2528,7378492,'influxUser24','woody',1,1609879141,11940,'w1511',1,'','influxProject20',8.29,9.53,1.64,1.99,0,0),(2529,7378493,'influxUser24','woody',1,1609879141,11221,'w1510',1,'','influxProject20',9.61,10.87,1.92,2.09,0,0),(2530,7378494,'influxUser24','woody',1,1609879141,10741,'w1509',1,'','influxProject20',9.96,9.72,1.52,1.97,0,0),(2531,7378495,'influxUser24','woody',1,1609879141,9779,'w1508',1,'','influxProject20',8.79,8.51,1.47,1.93,0,0),(2532,7378496,'influxUser24','woody',1,1609879201,6608,'w1507',1,'','influxProject20',7.28,6.68,1.25,1.87,0,0),(2533,7378497,'influxUser24','woody',1,1609879201,11761,'w1506',1,'','influxProject20',10.64,11.19,1.89,2.2,0,0),(2534,7378498,'influxUser24','woody',1,1609879201,11641,'w1505',1,'','influxProject20',9.08,10.62,1.73,2.13,0,0),(2535,7378499,'influxUser24','woody',1,1609879201,9719,'w1504',1,'','influxProject20',10.49,8.52,1.3,1.96,0,0),(2536,7378500,'influxUser24','woody',1,1609879201,9600,'w1503',1,'','influxProject20',8.92,9.8,1.57,2.1,0,0),(2537,7378501,'influxUser24','woody',1,1609879201,7080,'w1502',1,'','influxProject20',4.79,6.86,1.44,1.96,0,0),(2538,7378502,'influxUser24','woody',1,1609879261,4980,'w1501',1,'','influxProject20',9.86,3.65,1.26,2.11,0,0),(2539,7378503,'influxUser24','woody',1,1609879261,10020,'w1456',1,'','influxProject20',9.9,9.26,1.89,2.01,0,0),(2540,7378504,'influxUser24','woody',1,1609879261,10860,'w1455',1,'','influxProject20',8.91,10.6,1.85,2.32,0,0),(2541,7378505,'influxUser24','woody',1,1609879261,10500,'w1454',1,'','influxProject20',9.32,11.83,1.96,2.2,0,0),(2542,7378506,'influxUser24','woody',1,1609879261,11460,'w1453',1,'','influxProject20',9.89,10.91,1.76,2.17,0,0),(2543,7378507,'influxUser24','woody',1,1609879321,11888,'w1452',1,'','influxProject20',7.67,10.93,1.81,1.99,0,0),(2544,7378508,'influxUser24','woody',1,1609879321,6120,'w1451',1,'','influxProject20',8.45,5.49,1.41,2.05,0,0),(2545,7378509,'influxUser24','woody',1,1609879321,12120,'w1450',1,'','influxProject20',8.87,10.16,1.59,2.07,0,0),(2546,7378510,'influxUser24','woody',1,1609879321,10800,'w1449',1,'','influxProject20',9.96,11.62,1.94,2.15,0,0),(2547,7378511,'influxUser24','woody',1,1609879321,9599,'w1448',1,'','influxProject20',7.41,9.22,1.7,1.92,0,0),(2548,7378512,'influxUser24','woody',1,1609879321,11641,'w1447',1,'','influxProject20',8.61,10.03,1.65,2.05,0,0),(2549,7378513,'influxUser24','woody',1,1609879381,10620,'w1446',1,'','influxProject20',9.04,11.43,1.91,2.19,0,0),(2550,7378514,'influxUser24','woody',1,1609879381,9900,'w1445',1,'','influxProject20',9.64,11.59,1.95,2.22,0,0),(2551,7378515,'influxUser24','woody',1,1609879381,6660,'w1444',1,'','influxProject20',8.2,5.5,0.9,1.9,0,0),(2552,7378516,'influxUser24','woody',1,1609879381,6541,'w1443',1,'','influxProject20',8.21,5.98,1.21,2.05,0,0),(2553,7378517,'influxUser24','woody',1,1609879381,5341,'w1442',1,'','influxProject20',8.81,4.17,1.37,1.87,0,0),(2554,7378518,'influxUser24','woody',1,1609879441,12360,'w1441',1,'','influxProject20',10.49,10.78,1.7,2.13,0,0),(2555,7378519,'influxUser24','woody',1,1609879441,11521,'w1440',1,'','influxProject20',9.02,10.52,1.79,2.17,0,0),(2556,7378520,'influxUser24','woody',1,1609879441,6840,'w1439',1,'','influxProject20',8.51,6.74,1.32,2.07,0,0),(2557,7378521,'influxUser24','woody',1,1609879441,9600,'w1438',1,'','influxProject20',9.75,10.99,1.93,2.2,0,0),(2558,7378522,'influxUser24','woody',1,1609879441,11160,'w1437',1,'','influxProject20',9.03,11.19,2.02,2.15,0,0),(2559,7378523,'influxUser24','woody',1,1609879441,6720,'w1436',1,'','influxProject20',5.73,10.66,1.78,2.08,0,0),(2560,7378524,'influxUser24','woody',1,1609879501,12780,'w1435',1,'','influxProject20',10.18,9.98,1.66,2.07,0,0),(2561,7378525,'influxUser24','woody',1,1609879501,10260,'w1434',1,'','influxProject20',7.5,11.04,1.79,2.02,0,0),(2562,7378526,'influxUser24','woody',1,1609879501,5341,'w1433',1,'','influxProject20',8.21,6.66,1.22,1.92,0,0),(2563,7378528,'influxUser24','woody',1,1609879501,11461,'w1431',1,'','influxProject20',10.32,10.47,1.76,2.21,0,0),(2564,7378529,'influxUser24','woody',1,1609879561,10920,'w1430',1,'','influxProject20',10.55,11.05,1.8,2.11,0,0),(2565,7378530,'influxUser24','woody',1,1609879561,10440,'w1429',1,'','influxProject20',9.21,11.42,2.02,2.22,0,0),(2566,7378531,'influxUser24','woody',1,1609879561,9848,'w1428',1,'','influxProject20',9.01,8.1,1.48,1.94,0,0),(2567,7378532,'influxUser24','woody',1,1609879561,10920,'w1427',1,'','influxProject20',10.02,11.87,1.97,2.17,0,0),(2568,7378533,'influxUser24','woody',1,1609879561,11281,'w1426',1,'','influxProject20',9.12,10.87,1.92,2.07,0,0),(2569,7378534,'influxUser24','woody',1,1609879621,6900,'w1425',1,'','influxProject20',9.12,8.82,1.61,1.98,0,0),(2570,7378535,'influxUser24','woody',1,1609879621,4500,'w1424',1,'','influxProject20',3.8,3.47,1.13,2,0,0),(2571,7378536,'influxUser24','woody',1,1609879621,11460,'w1423',1,'','influxProject20',9,10.7,1.8,2.14,0,0),(2572,7378537,'influxUser24','woody',1,1609879621,9788,'w1422',1,'','influxProject20',8.93,11.84,1.85,2.21,0,0),(2573,7378538,'influxUser24','woody',1,1609879621,6781,'w1421',1,'','influxProject20',9.5,7.83,1.56,1.91,0,0),(2574,7378539,'influxUser24','woody',1,1609879621,4140,'w1420',1,'','influxProject20',8.97,1.1,1.17,1.84,0,0),(2575,7378540,'influxUser24','woody',1,1609879621,4740,'w1419',1,'','influxProject20',10.03,1.53,1.16,1.92,0,0),(2576,7378541,'influxUser24','woody',1,1609879681,4680,'w1418',1,'','influxProject20',5.91,1.94,0.82,1.82,0,0),(2577,7378542,'influxUser24','woody',1,1609879681,8641,'w1417',1,'','influxProject20',9.91,11.28,2.07,2.1,0,0),(2578,7378543,'influxUser24','woody',1,1609879681,10920,'w1416',1,'','influxProject20',8.67,10.95,1.71,1.98,0,0),(2579,7378544,'influxUser24','woody',1,1609879681,11400,'w1415',1,'','influxProject20',9.08,9.97,1.64,1.89,0,0),(2580,7378546,'influxUser24','woody',1,1609879742,4139,'w1413',1,'','influxProject20',5.74,7.85,1.74,2.19,0,0),(2581,7378548,'influxUser24','woody',1,1609879742,10019,'w1411',1,'','influxProject20',10.16,9.96,1.74,1.97,0,0),(2582,7378549,'influxUser24','woody',1,1609879742,10979,'w1410',1,'','influxProject20',9.05,11.12,1.97,2.06,0,0),(2583,7378550,'influxUser24','woody',1,1609879742,5820,'w1409',1,'','influxProject20',9.05,5.16,1.14,1.69,0,0),(2584,7378551,'influxUser24','woody',1,1609879742,6063,'w1408',1,'','influxProject20',8.99,5.2,1.27,1.85,0,0),(2585,7378552,'influxUser24','woody',1,1609879802,5639,'w1407',1,'','influxProject20',7.63,8.22,1.75,1.98,0,0),(2586,7378553,'influxUser24','woody',1,1609879802,7319,'w1406',1,'','influxProject20',9.15,6.05,1.13,1.83,0,0),(2587,7378554,'influxUser24','woody',1,1609879802,5519,'w1405',1,'','influxProject20',7.38,5.49,1.35,1.79,0,0),(2588,7378555,'influxUser24','woody',1,1609879802,7919,'w1404',1,'','influxProject20',9.13,10.21,2.16,2.11,0,0),(2589,7378556,'influxUser24','woody',1,1609879802,9239,'w1403',1,'','influxProject20',8.99,11.26,1.95,2.1,0,0),(2590,7378557,'influxUser24','woody',1,1609879861,10381,'w1402',1,'','influxProject20',9.3,11.71,2.03,2.14,0,0),(2591,7378558,'influxUser24','woody',1,1609879861,6180,'w1401',1,'','influxProject20',8.72,7.56,1.67,1.96,0,0),(2592,7378559,'influxUser24','woody',1,1609880341,10866,'w1432',1,'','influxProject20',7.42,10.43,1.79,1.97,0,0),(2593,7378560,'influxUser24','woody',1,1609881301,12660,'w1204',1,'','influxProject20',8.91,9.83,1.58,2.29,0,0),(2594,7378561,'influxUser24','woody',1,1609881481,11281,'w1412',1,'','influxProject20',9.39,10.72,1.8,1.93,0,0),(2595,7378562,'influxUser24','woody',1,1609881721,7920,'w1152',1,'','influxProject20',7.96,0,0.98,2.41,0,0),(2596,7378563,'influxUser24','woody',1,1609881901,11581,'w1527',1,'','influxProject20',9.83,10.86,1.72,2.02,0,0),(2597,7378564,'influxUser24','woody',1,1609883161,15480,'w1101',1,'','influxProject20',7.95,0,1.25,2.25,0,0),(2598,7378565,'influxUser24','woody',1,1609883221,15540,'w1160',1,'','influxProject20',7.91,0,1.19,2.25,0,0),(2599,7378566,'influxUser24','woody',1,1609883401,8880,'w1526',1,'','influxProject20',7.89,7.61,1.34,1.76,0,0),(2600,7378567,'influxUser24','woody',1,1609883401,8040,'w1162',1,'','influxProject20',7.99,0,0.56,2.11,0,0),(2601,7378568,'influxUser24','woody',1,1609883521,10081,'w1163',1,'','influxProject20',7.96,0,0.87,2.2,0,0),(2602,7378569,'influxUser24','woody',1,1609883761,9001,'w1420',1,'','influxProject20',9.18,11.67,2.01,2.09,0,0),(2603,7378570,'influxUser24','woody',1,1609883821,10140,'w1413',1,'','influxProject20',9.98,11.38,2.04,2.05,0,0),(2604,7378571,'influxUser24','woody',1,1609884121,6241,'w1424',1,'','influxProject20',4.23,10.92,1.79,1.99,0,0),(2605,7378572,'influxUser24','woody',1,1609884181,12780,'w1501',1,'','influxProject20',11.5,10.63,1.84,1.96,0,0),(2606,7378573,'influxUser24','woody',1,1609884181,15421,'w1165',1,'','influxProject20',7.95,0,1.18,2.3,0,0),(2607,7378574,'influxUser24','woody',1,1609884301,5220,'w1525',1,'','influxProject20',4.67,6.67,1.32,1.9,0,0),(2608,7378576,'influxUser24','woody',1,1609884361,3600,'w1418',1,'','influxProject20',8.87,7.82,2.21,2.21,0,0),(2609,7378577,'influxUser24','woody',1,1609884361,6120,'w1159',1,'','influxProject20',7.9,0,0.97,2.29,0,0),(2610,7378578,'influxUser24','woody',1,1609884541,10861,'w1551',1,'','influxProject20',9.21,10.79,1.78,1.99,0,0),(2611,7378579,'influxUser24','woody',1,1609884722,10559,'w1442',1,'','influxProject20',10.53,11.32,1.86,2.04,0,0),(2612,7378580,'influxUser24','woody',1,1609884722,11886,'w1301',1,'','influxProject20',10.56,10.46,1.84,2.29,0,0),(2613,7378581,'influxUser24','woody',1,1609884722,8880,'w1419',1,'','influxProject20',9.35,9.02,1.54,1.85,0,0),(2614,7378582,'influxUser24','woody',1,1609884782,10380,'w1542',1,'','influxProject20',9.83,11.63,1.92,2.03,0,0),(2615,7378583,'influxUser24','woody',1,1609884782,9539,'w1433',1,'','influxProject20',9.41,11.76,1.88,2.05,0,0),(2616,7378584,'influxUser24','woody',1,1609884961,6720,'w1541',1,'','influxProject20',7.78,8,1.49,1.88,0,0),(2617,7378585,'influxUser24','woody',1,1609885141,5701,'w1305',1,'','influxProject20',8.95,0.87,0.79,2.04,0,0),(2618,7378589,'influxUser8','woody',1,1609882442,45599,'w1414',1,'','influxProject20',5.1,27.04,18.86,4.18,0,0),(2619,7378591,'influxUser8','woody',1,1609883161,12241,'w1161',1,'','influxProject20',0.5,0,6.28,4.11,0,0),(2620,7378592,'influxUser8','woody',1,1609885862,13259,'w1129',1,'','influxProject20',1.68,0,7.1,4.17,0,0),(2621,7378593,'influxUser14','woody',1,1609892221,34261,'w1556',1,'','influxProject20',4.47,75.09,7.11,4.16,0,0),(2622,7378594,'influxUser63','woody',1,1609915922,53159,'w1166',1,'','influxProject20',0.65,0,0.02,0.07,0,0),(2623,7378595,'influxUser14','woody',1,1609926482,39359,'w1555',1,'','influxProject20',4.7,78.05,7.19,4.15,0,0),(2624,7378598,'influxUser8','woody',1,1609929241,86521,'w1164',1,'','influxProject20',1.3,0,0.1,5.22,0,0),(2625,7378599,'influxUser8','woody',1,1609929301,4260,'w1163',1,'','influxProject20',3.59,0,7.56,4.13,0,0),(2626,7378601,'influxUser8','woody',1,1609929782,4859,'w1161',1,'','influxProject20',1.72,0,6.41,4.08,0,0),(2627,7378602,'influxUser8','woody',1,1609930081,25801,'w1160',1,'','influxProject20',0.57,0,6.63,4.14,0,0),(2628,7378603,'influxUser8','woody',1,1609932301,60300,'w1165',1,'','influxProject20',0.56,0,6.54,4.17,0,0),(2629,7378604,'influxUser8','woody',1,1609932421,19020,'w1162',1,'','influxProject20',0.57,0,6.55,4.17,0,0),(2630,7378605,'influxUser61','woody',1,1609938122,43199,'w1355',1,'','influxProject20',4.36,2.12,5.97,1.88,0,0),(2631,7378606,'influxUser61','woody',1,1609938181,43260,'w1354',1,'','influxProject20',7.98,1.99,3.58,1.93,0,0),(2632,7378607,'influxUser61','woody',1,1609938181,43260,'w1353',1,'','influxProject20',16.86,2.1,4.21,2.01,0,0),(2633,7378608,'influxUser61','woody',1,1609938181,43260,'w1352',1,'','influxProject20',16.84,3.46,3.9,2.09,0,0),(2634,7378609,'influxUser61','woody',1,1609938181,43260,'w1351',1,'','influxProject20',10.26,2.92,3.1,1.8,0,0),(2635,7378610,'influxUser61','woody',1,1609938181,43260,'w1350',1,'','influxProject20',7.8,2.55,3.21,2.12,0,0),(2636,7378611,'influxUser61','woody',1,1609938181,43260,'w1349',1,'','influxProject20',6.9,7.32,3.8,2.25,0,0),(2637,7378612,'influxUser61','woody',1,1609938181,43260,'w1348',1,'','influxProject20',10.31,2.48,3.47,1.86,0,0),(2638,7378613,'influxUser61','woody',1,1609938241,43200,'w1347',1,'','influxProject20',7.61,4.48,3.27,1.98,0,0),(2639,7378614,'influxUser61','woody',1,1609938241,43200,'w1346',1,'','influxProject20',9.67,3.45,2.77,2.06,0,0),(2640,7378615,'influxUser61','woody',1,1609938241,43200,'w1345',1,'','influxProject20',9.21,2.44,2.83,2.11,0,0),(2641,7378616,'influxUser61','woody',1,1609938241,43200,'w1344',1,'','influxProject20',5.63,3.75,3.74,2.16,0,0),(2642,7378617,'influxUser61','woody',1,1609938241,43200,'w1343',1,'','influxProject20',5.3,5.63,5.04,2.35,0,0),(2643,7378618,'influxUser61','woody',1,1609938241,43200,'w1342',1,'','influxProject20',6.97,5.19,3.81,2.32,0,0),(2644,7378619,'influxUser61','woody',1,1609938241,43320,'w1341',1,'','influxProject20',11.19,2.11,4.09,1.92,0,0),(2645,7378620,'influxUser61','woody',1,1609938241,43320,'w1340',1,'','influxProject20',13.93,2.47,3.11,1.77,0,0),(2646,7378622,'influxUser61','woody',1,1609938601,43201,'w1339',1,'','influxProject20',14.59,2.48,4,1.9,0,0),(2647,7378623,'influxUser61','woody',1,1609938601,43201,'w1338',1,'','influxProject20',4.15,2.59,3.27,1.92,0,0),(2648,7378624,'influxUser61','woody',1,1609938601,32400,'w1337',1,'','influxProject20',4.4,1.96,5.14,2.08,0,0),(2649,7378625,'influxUser61','woody',1,1609938601,43201,'w1336',1,'','influxProject20',7.68,2.8,0.72,2.42,0,0),(2650,7378626,'influxUser61','woody',1,1609938601,32520,'w1335',1,'','influxProject20',3.41,1.2,6.44,2.01,0,0),(2651,7378627,'influxUser61','woody',1,1609938601,32881,'w1334',1,'','influxProject20',4.97,1.47,4.61,2.08,0,0),(2652,7378628,'influxUser61','woody',1,1609938601,32520,'w1333',1,'','influxProject20',4.16,1.64,4.26,2.19,0,0),(2653,7378629,'influxUser61','woody',1,1609938601,21720,'w1332',1,'','influxProject20',22,1.9,0.49,2.62,0,0),(2654,7378630,'influxUser61','woody',1,1609938662,14699,'w1331',1,'','influxProject20',12.6,5.86,15.78,2.52,0,0),(2655,7378631,'influxUser61','woody',1,1609938662,32459,'w1330',1,'','influxProject20',4.91,1.26,5.17,2.11,0,0),(2656,7378632,'influxUser61','woody',1,1609938662,43259,'w1329',1,'','influxProject20',3.47,2.19,4.81,2.4,0,0),(2657,7378633,'influxUser61','woody',1,1609938662,43259,'w1328',1,'','influxProject20',5.6,2,0.31,1.99,0,0),(2658,7378634,'influxUser61','woody',1,1609938662,32459,'w1327',1,'','influxProject20',0.98,1.42,6.12,1.96,0,0),(2659,7378635,'influxUser61','woody',1,1609938722,43199,'w1326',1,'','influxProject20',3.52,2.26,3.13,2.19,0,0),(2660,7378636,'influxUser61','woody',1,1609938722,43199,'w1325',1,'','influxProject20',5.22,2.9,1.19,2.37,0,0),(2661,7378637,'influxUser61','woody',1,1609938722,32399,'w1324',1,'','influxProject20',7.86,1.99,0.63,2.42,0,0),(2662,7378638,'influxUser61','woody',1,1609938722,32399,'w1323',1,'','influxProject20',3.31,1.14,6.19,1.94,0,0),(2663,7378639,'influxUser61','woody',1,1609938722,43319,'w1322',1,'','influxProject20',21.25,2.39,0.83,2.49,0,0),(2664,7378640,'influxUser61','woody',1,1609938722,43199,'w1321',1,'','influxProject20',13.39,2.44,1.27,2.9,0,0),(2665,7378644,'influxUser36','woody',1,1609942202,83279,'w1170',1,'','influxProject20',0.28,0,0,1.03,0,0),(2666,7378645,'influxUser36','woody',1,1609942202,83279,'w1161',1,'','influxProject20',0.27,0,0,1.02,0,0),(2667,7378646,'influxUser36','woody',1,1609942202,83279,'w1159',1,'','influxProject20',0.27,0,0,1.03,0,0),(2668,7378647,'influxUser36','woody',1,1609942621,83820,'w1169',1,'','influxProject20',0.26,0,0,1.03,0,0),(2669,7378648,'influxUser36','woody',1,1609942621,83820,'w1158',1,'','influxProject20',0.27,0,0,1.03,0,0),(2670,7378649,'influxUser36','woody',1,1609942621,83820,'w1156',1,'','influxProject20',0.27,0,0,1.03,0,0),(2671,7378650,'influxUser36','woody',1,1609942621,83820,'w1155',1,'','influxProject20',0.33,0,0,1.03,0,0),(2672,7378651,'influxUser36','woody',1,1609942621,83820,'w1154',1,'','influxProject20',0.28,0,0,1.03,0,0),(2673,7378652,'influxUser36','woody',1,1609942621,83820,'w1153',1,'','influxProject20',0.26,0,0,1.03,0,0),(2674,7378653,'influxUser36','woody',1,1609942621,83820,'w1152',1,'','influxProject20',0.28,0,0,1.03,0,0),(2675,7378654,'influxUser36','woody',1,1609942621,83820,'w1151',1,'','influxProject20',0.26,0,0,1.03,0,0),(2676,7378655,'influxUser36','woody',1,1609942621,83820,'w1150',1,'','influxProject20',0.28,0,0,1.02,0,0),(2677,7378657,'influxUser36','woody',1,1609942921,84241,'w1171',1,'','influxProject20',0.25,0,0,1.03,0,0),(2678,7378658,'influxUser36','woody',1,1609942921,84241,'w1168',1,'','influxProject20',0.26,0,0,1.03,0,0),(2679,7378659,'influxUser36','woody',1,1609942982,84180,'w1149',1,'','influxProject20',0.26,0,0,1.03,0,0),(2680,7378660,'influxUser36','woody',1,1609942982,84180,'w1147',1,'','influxProject20',0.26,0,0,1.03,0,0),(2681,7378661,'influxUser36','woody',1,1609942982,84180,'w1146',1,'','influxProject20',0.26,0,0,1.03,0,0),(2682,7378663,'influxUser1','woody',1,1609947241,55081,'w1320',1,'','influxProject20',2.17,24.95,2.87,4.17,0,0),(2683,7378664,'influxUser1','woody',1,1609947301,86155,'w1319',1,'','influxProject20',2.22,24.87,3.09,4.17,0,0),(2684,7378665,'influxUser52','woody',1,1609948741,3663,'w1356',1,'','influxProject20',0.65,0,0.48,1.05,0,0),(2685,7378666,'influxUser60','woody',1,1609951981,12300,'w1556',1,'','influxProject20',5.96,2.04,3.69,1.03,0,0),(2686,7378667,'influxUser60','woody',1,1609951981,12781,'w1554',1,'','influxProject20',5.71,2.12,4.87,1.02,0,0),(2687,7378668,'influxUser60','woody',1,1609951981,11340,'w1553',1,'','influxProject20',2.97,1.47,3.19,1.01,0,0),(2688,7378669,'influxUser60','woody',1,1609951981,14581,'w1552',1,'','influxProject20',5.92,1.94,4.33,1.02,0,0),(2689,7378670,'influxUser60','woody',1,1609951981,11231,'w1551',1,'','influxProject20',5.92,1.58,3.73,1.02,0,0),(2690,7378671,'influxUser60','woody',1,1609951981,10501,'w1550',1,'','influxProject20',4.16,2.02,3.28,1.01,0,0),(2691,7378672,'influxUser60','woody',1,1609951981,14581,'w1549',1,'','influxProject20',5.93,1.85,4.69,1.02,0,0),(2692,7378673,'influxUser60','woody',1,1609951981,10501,'w1548',1,'','influxProject20',5.3,1.76,3.68,1.03,0,0),(2693,7378674,'influxUser60','woody',1,1609951981,14100,'w1547',1,'','influxProject20',5.6,1.82,3.9,1.03,0,0),(2694,7378675,'influxUser60','woody',1,1609951981,11820,'w1546',1,'','influxProject20',5.62,1.97,4.48,1.03,0,0),(2695,7378676,'influxUser60','woody',1,1609951981,11340,'w1545',1,'','influxProject20',4.2,1.53,3.05,1.02,0,0),(2696,7378677,'influxUser60','woody',1,1609951981,14581,'w1544',1,'','influxProject20',5.58,2.07,4.49,1.03,0,0),(2697,7378678,'influxUser60','woody',1,1609951981,10621,'w1543',1,'','influxProject20',5.28,1.57,4.12,1.02,0,0),(2698,7378679,'influxUser60','woody',1,1609951981,12180,'w1542',1,'','influxProject20',5.57,1.9,3.76,1.02,0,0),(2699,7378680,'influxUser60','woody',1,1609951981,7380,'w1541',1,'','influxProject20',5.59,2.02,5.38,1.02,0,0),(2700,7378681,'influxUser60','woody',1,1609952041,12600,'w1540',1,'','influxProject20',8.24,1.71,3.51,1.02,0,0),(2701,7378682,'influxUser60','woody',1,1609952041,12840,'w1539',1,'','influxProject20',8.85,2.08,4.57,1.02,0,0),(2702,7378683,'influxUser60','woody',1,1609952041,11400,'w1538',1,'','influxProject20',8.22,1.43,3.31,1.02,0,0),(2703,7378684,'influxUser60','woody',1,1609952041,14641,'w1537',1,'','influxProject20',8.83,1.77,4.47,1.02,0,0),(2704,7378685,'influxUser60','woody',1,1609952102,10739,'w1536',1,'','influxProject20',8.83,1.91,5.3,1.03,0,0),(2705,7378686,'influxUser60','woody',1,1609952102,11339,'w1535',1,'','influxProject20',8.24,1.68,2.96,1.03,0,0),(2706,7378687,'influxUser60','woody',1,1609952102,14580,'w1534',1,'','influxProject20',8.84,1.88,4.71,1.02,0,0),(2707,7378688,'influxUser60','woody',1,1609952102,11109,'w1533',1,'','influxProject20',5.81,1.49,3.57,1.02,0,0),(2708,7378689,'influxUser60','woody',1,1609952102,14220,'w1532',1,'','influxProject20',8.84,1.85,3.86,1.02,0,0),(2709,7378690,'influxUser60','woody',1,1609952102,10619,'w1531',1,'','influxProject20',8.83,2.03,5.06,1.03,0,0),(2710,7378691,'influxUser60','woody',1,1609952102,10739,'w1530',1,'','influxProject20',8.23,1.74,3.1,1.02,0,0),(2711,7378692,'influxUser60','woody',1,1609952102,14099,'w1529',1,'','influxProject20',8.85,1.99,4.48,1.02,0,0),(2712,7378693,'influxUser60','woody',1,1609952102,10139,'w1528',1,'','influxProject20',8.85,1.61,3.88,1.02,0,0),(2713,7378694,'influxUser60','woody',1,1609952102,13139,'w1527',1,'','influxProject20',8.25,1.67,3.28,1.02,0,0),(2714,7378695,'influxUser60','woody',1,1609952102,6779,'w1526',1,'','influxProject20',8.86,1.82,4.88,1.02,0,0),(2715,7378696,'influxUser60','woody',1,1609952162,12600,'w1525',1,'','influxProject20',11.98,1.65,3.32,1.02,0,0),(2716,7378697,'influxUser60','woody',1,1609952162,12855,'w1524',1,'','influxProject20',12.85,2.04,4.92,1.02,0,0),(2717,7378698,'influxUser60','woody',1,1609952162,11279,'w1523',1,'','influxProject20',12.02,1.53,3.18,1.02,0,0),(2718,7378699,'influxUser60','woody',1,1609952162,14658,'w1522',1,'','influxProject20',12.88,1.95,4.43,1.02,0,0),(2719,7378700,'influxUser60','woody',1,1609952162,10919,'w1521',1,'','influxProject20',12.84,1.79,4.27,1.02,0,0),(2720,7378701,'influxUser60','woody',1,1609952162,11399,'w1520',1,'','influxProject20',8.27,1.78,2.72,1.03,0,0),(2721,7378702,'influxUser60','woody',1,1609952162,14659,'w1519',1,'','influxProject20',10.34,1.95,4.7,1.03,0,0),(2722,7378703,'influxUser60','woody',1,1609952162,11279,'w1518',1,'','influxProject20',5.44,1.71,3.39,1.02,0,0),(2723,7378704,'influxUser60','woody',1,1609952162,14279,'w1517',1,'','influxProject20',11.89,1.89,3.72,1.03,0,0),(2724,7378705,'influxUser60','woody',1,1609952162,10679,'w1516',1,'','influxProject20',12.56,1.94,4.75,1.03,0,0),(2725,7378706,'influxUser60','woody',1,1609952162,10799,'w1515',1,'','influxProject20',10.53,1.65,3.27,1.02,0,0),(2726,7378707,'influxUser60','woody',1,1609952162,14160,'w1514',1,'','influxProject20',10.51,2.09,4.47,1.03,0,0),(2727,7378708,'influxUser60','woody',1,1609952162,10320,'w1513',1,'','influxProject20',10.47,1.62,4.08,1.01,0,0),(2728,7378709,'influxUser60','woody',1,1609952162,13199,'w1512',1,'','influxProject20',10.02,1.83,3.19,1.02,0,0),(2729,7378710,'influxUser60','woody',1,1609952162,6839,'w1511',1,'','influxProject20',10.48,1.78,4.89,1.02,0,0),(2730,7378711,'influxUser60','woody',1,1609952221,12795,'w1510',1,'','influxProject20',11.95,1.83,3.43,1.02,0,0),(2731,7378712,'influxUser60','woody',1,1609952221,12795,'w1509',1,'','influxProject20',12.89,2.22,4.5,1.03,0,0),(2732,7378713,'influxUser60','woody',1,1609952221,11340,'w1508',1,'','influxProject20',12.09,1.45,3.2,1.03,0,0),(2733,7378714,'influxUser60','woody',1,1609952221,14700,'w1507',1,'','influxProject20',12.88,1.94,4.26,1.02,0,0),(2734,7378715,'influxUser60','woody',1,1609952221,10988,'w1506',1,'','influxProject20',12.91,1.73,4.47,1.03,0,0),(2735,7378716,'influxUser60','woody',1,1609952221,11460,'w1505',1,'','influxProject20',8.29,1.58,2.8,1.02,0,0),(2736,7378717,'influxUser60','woody',1,1609952221,14599,'w1504',1,'','influxProject20',13.01,1.9,4.49,1.02,0,0),(2737,7378718,'influxUser60','woody',1,1609952221,11340,'w1503',1,'','influxProject20',8.28,1.71,3.3,1.02,0,0),(2738,7378719,'influxUser60','woody',1,1609952221,14220,'w1502',1,'','influxProject20',13.01,1.97,3.46,1.02,0,0),(2739,7378720,'influxUser60','woody',1,1609952221,10860,'w1501',1,'','influxProject20',12.82,2.03,4.44,1.02,0,0),(2740,7378721,'influxUser60','woody',1,1609952221,10860,'w1456',1,'','influxProject20',10.65,1.55,3.15,1.02,0,0),(2741,7378722,'influxUser60','woody',1,1609952221,14220,'w1455',1,'','influxProject20',12.9,2.11,3.98,1.02,0,0),(2742,7378723,'influxUser60','woody',1,1609952281,10321,'w1454',1,'','influxProject20',12.88,1.7,3.53,1.03,0,0),(2743,7378724,'influxUser60','woody',1,1609952281,13200,'w1453',1,'','influxProject20',11.86,1.76,3.12,1.03,0,0),(2744,7378725,'influxUser60','woody',1,1609952281,6840,'w1452',1,'','influxProject20',12.86,1.95,4.83,1.02,0,0),(2745,7378727,'influxUser52','woody',1,1609953062,4980,'w1318',1,'','influxProject20',0.64,0,1.29,1.04,0,0),(2746,7378728,'influxUser60','woody',1,1609962001,12600,'w1541',1,'','influxProject20',8.22,2.04,3.49,1.02,0,0),(2747,7378729,'influxUser60','woody',1,1609962001,12840,'w1526',1,'','influxProject20',8.84,2.07,4.64,1.03,0,0),(2748,7378730,'influxUser60','woody',1,1609962001,11400,'w1511',1,'','influxProject20',8.22,1.51,3,1.03,0,0),(2749,7378731,'influxUser60','woody',1,1609962001,14640,'w1452',1,'','influxProject20',8.82,1.98,4.02,1.03,0,0),(2750,7378732,'influxUser60','woody',1,1609962001,10681,'w1451',1,'','influxProject20',8.86,1.89,4.65,1.03,0,0),(2751,7378733,'influxUser60','woody',1,1609962001,10560,'w1450',1,'','influxProject20',8.26,1.6,3.08,1.02,0,0),(2752,7378734,'influxUser60','woody',1,1609962001,14640,'w1449',1,'','influxProject20',8.86,1.88,4.61,1.02,0,0),(2753,7378735,'influxUser60','woody',1,1609962001,11400,'w1448',1,'','influxProject20',5.62,1.67,3.39,1.03,0,0),(2754,7378736,'influxUser60','woody',1,1609962001,14160,'w1447',1,'','influxProject20',8.87,1.78,3.87,1.02,0,0),(2755,7378737,'influxUser60','woody',1,1609962001,10681,'w1446',1,'','influxProject20',8.88,2.22,4.65,1.01,0,0),(2756,7378738,'influxUser60','woody',1,1609962001,10681,'w1445',1,'','influxProject20',8.23,1.74,3.11,1.02,0,0),(2757,7378739,'influxUser60','woody',1,1609962001,14160,'w1444',1,'','influxProject20',8.99,2.2,4.54,1.02,0,0),(2758,7378740,'influxUser60','woody',1,1609962061,10261,'w1443',1,'','influxProject20',8.89,1.68,3.95,1.02,0,0),(2759,7378741,'influxUser60','woody',1,1609962061,12300,'w1442',1,'','influxProject20',8.27,2.05,3.64,1.02,0,0),(2760,7378742,'influxUser60','woody',1,1609962061,6900,'w1441',1,'','influxProject20',8.85,2.08,4.69,1.02,0,0),(2761,7378744,'influxUser60','woody',1,1609962061,12540,'w1440',1,'','influxProject20',11.97,1.81,3.42,1.02,0,0),(2762,7378745,'influxUser60','woody',1,1609962061,12900,'w1439',1,'','influxProject20',12.74,1.96,4.56,1.03,0,0),(2763,7378746,'influxUser60','woody',1,1609962061,11340,'w1438',1,'','influxProject20',12.09,1.37,3.38,1.03,0,0),(2764,7378747,'influxUser60','woody',1,1609962061,14701,'w1437',1,'','influxProject20',12.73,2.04,4.29,1.02,0,0),(2765,7378748,'influxUser60','woody',1,1609962121,10680,'w1436',1,'','influxProject20',12.73,1.86,4.75,1.02,0,0),(2766,7378749,'influxUser60','woody',1,1609962121,10561,'w1435',1,'','influxProject20',8.27,1.6,3.03,1.02,0,0),(2767,7378750,'influxUser60','woody',1,1609962121,14641,'w1434',1,'','influxProject20',10.36,1.97,4.88,1.02,0,0),(2768,7378751,'influxUser60','woody',1,1609962121,11400,'w1433',1,'','influxProject20',5.92,1.68,3.46,1.03,0,0),(2769,7378752,'influxUser60','woody',1,1609962121,14160,'w1432',1,'','influxProject20',12.91,1.95,3.71,1.04,0,0),(2770,7378753,'influxUser60','woody',1,1609962121,10800,'w1431',1,'','influxProject20',12.76,2,4.65,1.02,0,0),(2771,7378754,'influxUser60','woody',1,1609962121,10680,'w1430',1,'','influxProject20',10.39,1.66,3.19,1.02,0,0),(2772,7378755,'influxUser60','woody',1,1609962121,14160,'w1429',1,'','influxProject20',10.5,2.1,4.51,1.02,0,0),(2773,7378756,'influxUser60','woody',1,1609962121,10320,'w1428',1,'','influxProject20',10.52,1.63,3.61,1.04,0,0),(2774,7378757,'influxUser60','woody',1,1609962121,12360,'w1427',1,'','influxProject20',10.03,2.06,3.49,1.02,0,0),(2775,7378758,'influxUser60','woody',1,1609962121,6960,'w1426',1,'','influxProject20',10.5,1.84,4.72,1.03,0,0),(2776,7378759,'influxUser60','woody',1,1609962181,12541,'w1425',1,'','influxProject20',11.84,1.82,3.27,1.03,0,0),(2777,7378760,'influxUser60','woody',1,1609962181,12780,'w1424',1,'','influxProject20',12.85,2.14,4.61,1.02,0,0),(2778,7378761,'influxUser60','woody',1,1609962181,11340,'w1423',1,'','influxProject20',12.13,1.61,2.89,1.03,0,0),(2779,7378762,'influxUser60','woody',1,1609962181,14581,'w1422',1,'','influxProject20',12.83,1.98,4.23,1.02,0,0),(2780,7378763,'influxUser60','woody',1,1609962181,10740,'w1421',1,'','influxProject20',12.79,1.92,3.93,1.02,0,0),(2781,7378764,'influxUser60','woody',1,1609962181,10501,'w1420',1,'','influxProject20',8.27,1.71,3.43,1.02,0,0),(2782,7378765,'influxUser60','woody',1,1609962181,14581,'w1419',1,'','influxProject20',13.02,1.86,4.6,1.02,0,0),(2783,7378766,'influxUser60','woody',1,1609962181,11340,'w1418',1,'','influxProject20',8.38,1.71,3.26,1.02,0,0),(2784,7378767,'influxUser60','woody',1,1609962181,14220,'w1417',1,'','influxProject20',12.53,1.8,3.5,1.02,0,0),(2785,7378768,'influxUser60','woody',1,1609962181,10861,'w1416',1,'','influxProject20',12.56,2.02,4.15,1.02,0,0),(2786,7378769,'influxUser60','woody',1,1609962181,10861,'w1415',1,'','influxProject20',10.5,1.41,3.16,1.02,0,0),(2787,7378770,'influxUser60','woody',1,1609962181,14220,'w1414',1,'','influxProject20',12.03,2.04,4.1,1.03,0,0),(2788,7378771,'influxUser60','woody',1,1609962181,10380,'w1413',1,'','influxProject20',12.96,1.72,4.01,1.02,0,0),(2789,7378772,'influxUser60','woody',1,1609962181,12420,'w1412',1,'','influxProject20',12.1,1.72,3.38,1.03,0,0),(2790,7378773,'influxUser60','woody',1,1609962181,6900,'w1411',1,'','influxProject20',12.95,2.09,4.74,1.02,0,0),(2791,7378774,'influxUser24','woody',1,1609963021,13500,'w1163',1,'','influxProject20',7.97,0,0.89,1.96,0,0),(2792,7378775,'influxUser24','woody',1,1609963021,13500,'w1162',1,'','influxProject20',7.87,0,1.81,2.34,0,0),(2793,7378776,'influxUser24','woody',1,1609963021,4381,'w1160',1,'','influxProject20',6.06,0,1,2.25,0,0),(2794,7378777,'influxUser24','woody',1,1609963021,8821,'w1145',1,'','influxProject20',7.97,0,0.48,2.02,0,0),(2795,7378778,'influxUser24','woody',1,1609963021,14598,'w1144',1,'','influxProject20',7.88,0,1.38,2.23,0,0),(2796,7378779,'influxUser24','woody',1,1609963021,10380,'w1143',1,'','influxProject20',7.99,0,1.17,2.27,0,0),(2797,7378780,'influxUser24','woody',1,1609963021,7500,'w1142',1,'','influxProject20',7.89,0,0.91,2.29,0,0),(2798,7378781,'influxUser24','woody',1,1609963021,9193,'w1141',1,'','influxProject20',7.91,0,0.83,2.43,0,0),(2799,7378782,'influxUser24','woody',1,1609963021,7500,'w1140',1,'','influxProject20',7.89,0,0.93,2.37,0,0),(2800,7378783,'influxUser24','woody',1,1609963021,13980,'w1139',1,'','influxProject20',7.95,0,1.11,2.32,0,0),(2801,7378784,'influxUser24','woody',1,1609963021,13380,'w1138',1,'','influxProject20',7.94,0,1.18,2.21,0,0),(2802,7378785,'influxUser24','woody',1,1609963021,14700,'w1137',1,'','influxProject20',7.97,0,1.57,2.29,0,0),(2803,7378786,'influxUser24','woody',1,1609963021,12420,'w1136',1,'','influxProject20',7.99,0,0.74,2.09,0,0),(2804,7378787,'influxUser24','woody',1,1609963021,12181,'w1135',1,'','influxProject20',7.98,0,0.84,2.28,0,0),(2805,7378788,'influxUser24','woody',1,1609963021,11820,'w1134',1,'','influxProject20',7.99,0,0.85,2.09,0,0),(2806,7378789,'influxUser24','woody',1,1609963021,9780,'w1133',1,'','influxProject20',7.99,0,1,2.09,0,0),(2807,7378790,'influxUser24','woody',1,1609963021,11460,'w1132',1,'','influxProject20',7.9,0,1.06,2.2,0,0),(2808,7378791,'influxUser24','woody',1,1609963021,16020,'w1131',1,'','influxProject20',7.94,0,1.05,2.3,0,0),(2809,7378792,'influxUser24','woody',1,1609963021,15180,'w1130',1,'','influxProject20',7.95,0,1.15,2.24,0,0),(2810,7378793,'influxUser24','woody',1,1609963021,7741,'w1129',1,'','influxProject20',7.99,0,0.78,2.23,0,0),(2811,7378794,'influxUser24','woody',1,1609963021,9420,'w1128',1,'','influxProject20',7.96,0,0.65,2.22,0,0),(2812,7378795,'influxUser24','woody',1,1609963021,15541,'w1127',1,'','influxProject20',7.97,0,0.99,2.3,0,0),(2813,7378796,'influxUser24','woody',1,1609963021,12540,'w1126',1,'','influxProject20',7.9,0,1.23,2.36,0,0),(2814,7378797,'influxUser24','woody',1,1609963021,4980,'w1125',1,'','influxProject20',7.44,0,0.73,2.24,0,0),(2815,7378798,'influxUser24','woody',1,1609963081,11040,'w1123',1,'','influxProject20',7.98,0,0.88,2.18,0,0),(2816,7378799,'influxUser24','woody',1,1609963081,10080,'w1122',1,'','influxProject20',7.99,0,0.91,2.37,0,0),(2817,7378800,'influxUser24','woody',1,1609963081,13920,'w1121',1,'','influxProject20',7.9,0,1.42,2.36,0,0),(2818,7378801,'influxUser24','woody',1,1609963081,15120,'w1120',1,'','influxProject20',7.96,0,1.22,2.24,0,0),(2819,7378802,'influxUser24','woody',1,1609963081,10080,'w1119',1,'','influxProject20',7.87,0,0.78,2.09,0,0),(2820,7378803,'influxUser24','woody',1,1609963081,8280,'w1118',1,'','influxProject20',7.89,0,0.97,2.39,0,0),(2821,7378804,'influxUser24','woody',1,1609963081,9601,'w1117',1,'','influxProject20',7.9,0,0.78,2.05,0,0),(2822,7378805,'influxUser24','woody',1,1609963081,10440,'w1116',1,'','influxProject20',7.92,0,0.71,2.12,0,0),(2823,7378806,'influxUser24','woody',1,1609963081,15120,'w1115',1,'','influxProject20',7.97,0,0.69,1.97,0,0),(2824,7378807,'influxUser24','woody',1,1609963081,15481,'w1114',1,'','influxProject20',7.96,0,0.69,1.94,0,0),(2825,7378808,'influxUser24','woody',1,1609963081,10080,'w1113',1,'','influxProject20',7.85,0,0.4,2.04,0,0),(2826,7378809,'influxUser24','woody',1,1609963081,8880,'w1112',1,'','influxProject20',7.96,0,0.44,1.86,0,0),(2827,7378810,'influxUser24','woody',1,1609963081,6360,'w1111',1,'','influxProject20',7.88,0,0.56,2.12,0,0),(2828,7378811,'influxUser24','woody',1,1609963081,9601,'w1110',1,'','influxProject20',7.97,0,0.89,2.18,0,0),(2829,7378812,'influxUser24','woody',1,1609963081,9601,'w1109',1,'','influxProject20',7.9,0,0.89,2.17,0,0),(2830,7378813,'influxUser24','woody',1,1609963081,14538,'w1108',1,'','influxProject20',7.94,0,1.47,2.2,0,0),(2831,7378814,'influxUser24','woody',1,1609963081,14041,'w1107',1,'','influxProject20',7.97,0,1.03,2.22,0,0),(2832,7378815,'influxUser24','woody',1,1609963081,12600,'w1106',1,'','influxProject20',7.94,0,0.9,2.02,0,0),(2833,7378816,'influxUser24','woody',1,1609963081,12121,'w1105',1,'','influxProject20',7.94,0,1.07,2.01,0,0),(2834,7378817,'influxUser24','woody',1,1609963081,12480,'w1104',1,'','influxProject20',7.87,0,1,2.03,0,0),(2835,7378818,'influxUser24','woody',1,1609963141,3668,'w1103',1,'','influxProject20',4.4,0,0.59,2.03,0,0),(2836,7378819,'influxUser24','woody',1,1609963141,12061,'w1102',1,'','influxProject20',7.96,0,0.86,2.13,0,0),(2837,7378820,'influxUser24','woody',1,1609963141,10500,'w1101',1,'','influxProject20',7.79,0,0.67,1.87,0,0),(2838,7378821,'influxUser24','woody',1,1609963141,9181,'w1332',1,'','influxProject20',8.88,5.11,0.88,2.08,0,0),(2839,7378822,'influxUser24','woody',1,1609963441,7080,'w1331',1,'','influxProject20',9.12,3.15,1.8,2.84,0,0),(2840,7378823,'influxUser24','woody',1,1609963441,6240,'w1318',1,'','influxProject20',9.23,2.08,1.94,2.54,0,0),(2841,7378824,'influxUser24','woody',1,1609963441,6240,'w1317',1,'','influxProject20',9.1,1.91,1.94,2.55,0,0),(2842,7378825,'influxUser24','woody',1,1609963441,7080,'w1316',1,'','influxProject20',9.24,2.21,1.76,2.81,0,0),(2843,7378826,'influxUser24','woody',1,1609963441,7080,'w1315',1,'','influxProject20',9.23,1.81,1.6,2.71,0,0),(2844,7378830,'influxUser24','woody',1,1609963501,7620,'w1311',1,'','influxProject20',8.99,6.28,2.54,2.4,0,0),(2845,7378831,'influxUser24','woody',1,1609963501,7620,'w1310',1,'','influxProject20',9.06,6.34,2.76,2.41,0,0),(2846,7378832,'influxUser24','woody',1,1609963501,8709,'w1309',1,'','influxProject20',8.99,5.22,2.26,2.49,0,0),(2847,7378833,'influxUser24','woody',1,1609963501,8221,'w1308',1,'','influxProject20',9.01,3.51,1.27,1.97,0,0),(2848,7378834,'influxUser24','woody',1,1609963501,9181,'w1307',1,'','influxProject20',9.22,3.44,1.16,2.15,0,0),(2849,7378835,'influxUser24','woody',1,1609963501,9420,'w1306',1,'','influxProject20',9.22,3.43,1.15,2.13,0,0),(2850,7378836,'influxUser24','woody',1,1609963501,12060,'w1305',1,'','influxProject20',9.89,7.78,2.44,2.23,0,0),(2851,7378837,'influxUser24','woody',1,1609963501,12900,'w1304',1,'','influxProject20',12.92,6.44,1.94,2.26,0,0),(2852,7378838,'influxUser24','woody',1,1609963501,12780,'w1303',1,'','influxProject20',9.79,7.3,2.44,2.3,0,0),(2853,7378839,'influxUser24','woody',1,1609963501,5580,'w1302',1,'','influxProject20',9.08,0.93,1.78,2.55,0,0),(2854,7378840,'influxUser24','woody',1,1609963501,9900,'w1301',1,'','influxProject20',10.01,6.8,2.25,2.31,0,0),(2855,7378841,'influxUser24','woody',1,1609963501,9300,'w1208',1,'','influxProject20',8.88,7.19,2.49,2.16,0,0),(2856,7378842,'influxUser24','woody',1,1609963501,9060,'w1207',1,'','influxProject20',9.03,5.14,2.1,2.28,0,0),(2857,7378843,'influxUser24','woody',1,1609963501,8101,'w1206',1,'','influxProject20',9.03,5.29,2.27,2.14,0,0),(2858,7378844,'influxUser24','woody',1,1609963501,5701,'w1205',1,'','influxProject20',9.07,0.61,1.34,2.19,0,0),(2859,7378845,'influxUser24','woody',1,1609963501,5820,'w1204',1,'','influxProject20',8.9,0.69,1.42,2.2,0,0),(2860,7378846,'influxUser24','woody',1,1609963501,5580,'w1203',1,'','influxProject20',9.26,0.58,1.29,2.12,0,0),(2861,7378852,'influxUser24','woody',1,1609963561,10320,'w1548',1,'','influxProject20',9.75,9.76,3.09,1.95,0,0),(2862,7378853,'influxUser24','woody',1,1609963561,10451,'w1545',1,'','influxProject20',11.12,9.64,3,1.99,0,0),(2863,7378854,'influxUser24','woody',1,1609963561,10080,'w1543',1,'','influxProject20',11.12,10.17,3.26,2.07,0,0),(2864,7378855,'influxUser24','woody',1,1609963561,10200,'w1538',1,'','influxProject20',8.4,12.03,3.49,2.15,0,0),(2865,7378856,'influxUser24','woody',1,1609963561,10200,'w1536',1,'','influxProject20',11.57,11.23,3.38,2.07,0,0),(2866,7378857,'influxUser24','woody',1,1609963561,9840,'w1535',1,'','influxProject20',10.3,11.7,3.53,2.09,0,0),(2867,7378858,'influxUser24','woody',1,1609963561,9600,'w1533',1,'','influxProject20',9.3,10.33,3.28,2.11,0,0),(2868,7378859,'influxUser24','woody',1,1609963561,8880,'w1531',1,'','influxProject20',8.52,11.37,3.53,2.17,0,0),(2869,7378860,'influxUser24','woody',1,1609963561,9240,'w1530',1,'','influxProject20',10.06,11.07,3.37,2.03,0,0),(2870,7378861,'influxUser24','woody',1,1609963561,7560,'w1528',1,'','influxProject20',8.25,6.69,2.2,1.83,0,0),(2871,7378862,'influxUser24','woody',1,1609963561,9600,'w1523',1,'','influxProject20',7.17,10.13,3.15,1.98,0,0),(2872,7378863,'influxUser24','woody',1,1609963561,9240,'w1521',1,'','influxProject20',9.77,10.51,3.33,2.02,0,0),(2873,7378864,'influxUser24','woody',1,1609963561,9600,'w1520',1,'','influxProject20',8.93,10.24,3.34,2.06,0,0),(2874,7378865,'influxUser24','woody',1,1609963561,8880,'w1518',1,'','influxProject20',9.06,10.13,3.3,2.17,0,0),(2875,7378866,'influxUser24','woody',1,1609963561,7080,'w1516',1,'','influxProject20',7.36,9.98,3.16,2.08,0,0),(2876,7378867,'influxUser24','woody',1,1609963561,6847,'w1515',1,'','influxProject20',9.85,10.22,3.2,2.08,0,0),(2877,7378868,'influxUser24','woody',1,1609963561,6600,'w1513',1,'','influxProject20',7.42,10.58,3.38,2.13,0,0),(2878,7378869,'influxUser24','woody',1,1609963561,6720,'w1508',1,'','influxProject20',9.28,10.7,3.33,2.11,0,0),(2879,7378870,'influxUser24','woody',1,1609963561,6960,'w1506',1,'','influxProject20',7.29,10.29,3.21,2.06,0,0),(2880,7378871,'influxUser24','woody',1,1609963561,9121,'w1503',1,'','influxProject20',8.12,9.66,3.23,2.13,0,0),(2881,7378872,'influxUser24','woody',1,1609963561,8761,'w1501',1,'','influxProject20',8.92,9.51,3.08,2.1,0,0),(2882,7378873,'influxUser24','woody',1,1609963561,8761,'w1456',1,'','influxProject20',9.76,10.61,3.54,2.24,0,0),(2883,7378874,'influxUser24','woody',1,1609963621,6786,'w1454',1,'','influxProject20',9.76,6.26,2.67,1.95,0,0),(2884,7378875,'influxUser24','woody',1,1609963621,6660,'w1410',1,'','influxProject20',9.69,6.21,2.74,1.92,0,0),(2885,7378876,'influxUser24','woody',1,1609963621,6540,'w1409',1,'','influxProject20',9.76,6.43,2.54,1.98,0,0),(2886,7378877,'influxUser24','woody',1,1609963621,6420,'w1408',1,'','influxProject20',10.57,8.11,3.1,2.06,0,0),(2887,7378878,'influxUser24','woody',1,1609963621,6420,'w1505',1,'','influxProject20',8.41,8.83,3.29,2.24,0,0),(2888,7378879,'influxUser24','woody',1,1609963621,10140,'w1407',1,'','influxProject20',8.9,9.79,2.89,1.9,0,0),(2889,7378880,'influxUser24','woody',1,1609963621,6301,'w1406',1,'','influxProject20',3.89,9.14,2.63,1.84,0,0),(2890,7378881,'influxUser24','woody',1,1609963621,6660,'w1405',1,'','influxProject20',6.92,9.22,2.5,1.95,0,0),(2891,7378882,'influxUser24','woody',1,1609963621,9300,'w1404',1,'','influxProject20',11.28,10.04,3.56,2.17,0,0),(2892,7378894,'influxUser24','woody',1,1609964702,8340,'w1312',1,'','influxProject20',8.98,5.45,2.38,2.38,0,0),(2893,7378895,'influxUser24','woody',1,1609964702,5704,'w1554',1,'','influxProject20',9,8.37,3.23,2.06,0,0),(2894,7378896,'influxUser24','woody',1,1609964762,9719,'w1556',1,'','influxProject20',8.1,13.49,4.14,2.2,0,0),(2895,7378897,'influxUser24','woody',1,1609964762,10440,'w1314',1,'','influxProject20',9.77,6.01,1.96,2.01,0,0),(2896,7378898,'influxUser24','woody',1,1609964762,8999,'w1553',1,'','influxProject20',10.44,7.74,2.4,1.81,0,0),(2897,7378899,'influxUser24','woody',1,1609964762,5519,'w1525',1,'','influxProject20',7.73,4.23,2.03,1.63,0,0),(2898,7378900,'influxUser24','woody',1,1609964881,5640,'w1539',1,'','influxProject20',9.15,4.21,1.63,1.63,0,0),(2899,7378901,'influxUser24','woody',1,1609964941,5340,'w1524',1,'','influxProject20',9.08,4.87,2.2,1.69,0,0),(2900,7378902,'influxUser24','woody',1,1609964941,5464,'w1510',1,'','influxProject20',9.8,4.7,2.06,1.69,0,0),(2901,7378903,'influxUser24','woody',1,1609965001,5520,'w1551',1,'','influxProject20',5.24,4.28,1.87,1.64,0,0),(2902,7378904,'influxUser24','woody',1,1609965001,6240,'w1550',1,'','influxProject20',4.32,4.82,1.6,1.53,0,0),(2903,7378905,'influxUser24','woody',1,1609965001,6360,'w1509',1,'','influxProject20',8.88,4.92,1.5,1.52,0,0),(2904,7378906,'influxUser24','woody',1,1609965061,7860,'w1201',1,'','influxProject20',8.95,3.57,1.32,1.74,0,0),(2905,7378907,'influxUser24','woody',1,1609965181,5940,'w1202',1,'','influxProject20',9.15,0.63,1.26,2.48,0,0),(2906,7378910,'influxUser24','woody',1,1609965361,7681,'w1540',1,'','influxProject20',8.69,4.47,1.35,1.47,0,0),(2907,7378911,'influxUser24','woody',1,1609965421,7380,'w1453',1,'','influxProject20',10.06,4.46,1.46,1.45,0,0),(2908,7378912,'influxUser24','woody',1,1609965662,7859,'w1313',1,'','influxProject20',8.72,3.07,1.31,2.11,0,0),(2909,7378913,'influxUser24','woody',1,1609966081,4681,'w1547',1,'','influxProject20',6.98,5.92,2.34,1.67,0,0),(2910,7378914,'influxUser24','woody',1,1609966201,6960,'w1529',1,'','influxProject20',6.97,6.98,2.07,1.71,0,0),(2911,7378915,'influxUser24','woody',1,1609966262,6899,'w1532',1,'','influxProject20',4.37,6.99,2.17,1.64,0,0),(2912,7378918,'influxUser24','woody',1,1609966381,11460,'w1455',1,'','influxProject20',13.42,11.93,3.44,2.1,0,0),(2913,7378919,'influxUser24','woody',1,1609966442,7439,'w1502',1,'','influxProject20',8.57,8.83,3.04,1.98,0,0),(2914,7378920,'influxUser24','woody',1,1609966562,7919,'w1549',1,'','influxProject20',11.39,10.08,3.44,2.16,0,0),(2915,7378921,'influxUser24','woody',1,1609966562,7799,'w1552',1,'','influxProject20',8.69,9,3.11,1.98,0,0),(2916,7378922,'influxUser24','woody',1,1609966622,7389,'w1544',1,'','influxProject20',10.55,9.8,3.23,2.07,0,0),(2917,7378923,'influxUser24','woody',1,1609966682,7559,'w1534',1,'','influxProject20',9.46,8.95,2.97,1.94,0,0),(2918,7378924,'influxUser24','woody',1,1609966682,6239,'w1537',1,'','influxProject20',8.98,7.19,2.74,1.82,0,0),(2919,7378925,'influxUser24','woody',1,1609966682,6360,'w1514',1,'','influxProject20',9.54,7.26,2.83,1.89,0,0),(2920,7378926,'influxUser24','woody',1,1609966741,6420,'w1519',1,'','influxProject20',8.88,6.83,2.82,1.84,0,0),(2921,7378927,'influxUser24','woody',1,1609966741,6301,'w1517',1,'','influxProject20',8.87,6.79,2.65,1.81,0,0),(2922,7378928,'influxUser24','woody',1,1609966801,7800,'w1103',1,'','influxProject20',7.97,0,0.74,2.06,0,0),(2923,7378929,'influxUser24','woody',1,1609966801,4200,'w1522',1,'','influxProject20',8.98,1.39,1.8,1.67,0,0),(2924,7378934,'influxUser24','woody',1,1609966861,5345,'w1507',1,'','influxProject20',8.75,4.11,2.19,1.67,0,0),(2925,7378935,'influxUser24','woody',1,1609967221,5220,'w1542',1,'','influxProject20',8.84,3.89,1.85,1.61,0,0),(2926,7378936,'influxUser24','woody',1,1609967281,5280,'w1546',1,'','influxProject20',8.89,3.86,1.95,1.65,0,0),(2927,7378937,'influxUser24','woody',1,1609967402,9239,'w1160',1,'','influxProject20',7.88,0,0.96,1.97,0,0),(2928,7378938,'influxUser24','woody',1,1609967521,5161,'w1401',1,'','influxProject20',8.72,4.04,1.88,1.68,0,0),(2929,7378941,'influxUser24','woody',1,1609968121,9840,'w1504',1,'','influxProject20',9.8,11.82,3.76,2.1,0,0),(2930,7378942,'influxUser24','woody',1,1609968362,10079,'w1403',1,'','influxProject20',9.61,10.47,3.26,1.97,0,0),(2931,7378943,'influxUser24','woody',1,1609968542,9780,'w1527',1,'','influxProject20',9.76,10.35,3.39,1.94,0,0),(2932,7378944,'influxUser24','woody',1,1609968602,10079,'w1512',1,'','influxProject20',9.67,10.44,3.37,1.99,0,0),(2933,7378945,'influxUser24','woody',1,1609968901,10740,'w1441',1,'','influxProject20',12.81,11.7,3.53,2,0,0),(2934,7378946,'influxUser24','woody',1,1609969021,12540,'w1302',1,'','influxProject20',10.99,9.28,2.86,2.41,0,0),(2935,7378947,'influxUser24','woody',1,1609969021,9541,'w1426',1,'','influxProject20',10.84,12.33,3.64,2.06,0,0),(2936,7378948,'influxUser24','woody',1,1609969081,12000,'w1203',1,'','influxProject20',11.56,9.83,2.99,2.27,0,0),(2937,7378949,'influxUser24','woody',1,1609969081,10680,'w1411',1,'','influxProject20',11.33,12.32,3.83,2.13,0,0),(2938,7378950,'influxUser24','woody',1,1609969081,17040,'w1166',1,'','influxProject20',7.97,0,1.97,2.3,0,0),(2939,7378951,'influxUser24','woody',1,1609969142,8940,'w1402',1,'','influxProject20',9.76,11.33,3.65,2.06,0,0),(2940,7378952,'influxUser24','woody',1,1609969261,10500,'w1205',1,'','influxProject20',8.99,11.31,3.57,2.21,0,0),(2941,7378953,'influxUser24','woody',1,1609969321,10801,'w1204',1,'','influxProject20',10.01,9.09,2.95,2.18,0,0),(2942,7378954,'influxUser24','woody',1,1609969381,7620,'w1111',1,'','influxProject20',7.91,0,1.01,2.04,0,0),(2943,7378955,'influxUser24','woody',1,1609969681,7081,'w1318',1,'','influxProject20',9.19,0.74,1.28,2.53,0,0),(2944,7378956,'influxUser24','woody',1,1609969681,6600,'w1317',1,'','influxProject20',9.11,0.69,1.12,2.31,0,0),(2945,7378957,'influxUser24','woody',1,1609969922,3719,'w1406',1,'','influxProject20',8.94,0.75,1.8,1.68,0,0),(2946,7378958,'influxUser24','woody',1,1609970041,8521,'w1505',1,'','influxProject20',11.34,8.42,2.63,1.84,0,0),(2947,7378959,'influxUser24','woody',1,1609970101,8700,'w1408',1,'','influxProject20',8.99,8.07,2.51,1.79,0,0),(2948,7378964,'influxUser24','woody',1,1609970281,7440,'w1525',1,'','influxProject20',10.52,11.32,4.06,2.23,0,0),(2949,7378965,'influxUser24','woody',1,1609970281,7440,'w1410',1,'','influxProject20',10.06,9.98,3.52,2.09,0,0),(2950,7378966,'influxUser24','woody',1,1609970281,9136,'w1508',1,'','influxProject20',9.84,10.57,3.37,2.03,0,0),(2951,7378967,'influxUser24','woody',1,1609970342,9179,'w1554',1,'','influxProject20',9.25,11.34,3.54,2.01,0,0),(2952,7378968,'influxUser24','woody',1,1609970342,7499,'w1454',1,'','influxProject20',8.37,8.64,3.13,1.95,0,0),(2953,7378969,'influxUser24','woody',1,1609970342,7274,'w1510',1,'','influxProject20',8.38,9.05,3.14,2.03,0,0),(2954,7378970,'influxUser24','woody',1,1609970461,8220,'w1515',1,'','influxProject20',9.01,10.39,3.41,2.04,0,0),(2955,7378971,'influxUser24','woody',1,1609970461,10980,'w1316',1,'','influxProject20',8.78,8.01,2.63,2.26,0,0),(2956,7378972,'influxUser24','woody',1,1609970461,11220,'w1331',1,'','influxProject20',8.57,9.56,3.2,2.2,0,0),(2957,7378973,'influxUser24','woody',1,1609970461,13381,'w1140',1,'','influxProject20',7.97,0,1.91,2.13,0,0),(2958,7378974,'influxUser24','woody',1,1609970461,10980,'w1315',1,'','influxProject20',9.08,7.91,2.54,2.25,0,0),(2959,7378975,'influxUser24','woody',1,1609970521,8640,'w1551',1,'','influxProject20',8.91,9.9,3.47,1.96,0,0),(2960,7378977,'influxUser24','woody',1,1609970521,5040,'w1142',1,'','influxProject20',5.84,0,1.52,2.14,0,0),(2961,7378979,'influxUser24','woody',1,1609970581,9661,'w1125',1,'','influxProject20',7.38,0,2.07,2.16,0,0),(2962,7378980,'influxUser24','woody',1,1609970581,6541,'w1516',1,'','influxProject20',9.85,12.3,3.94,2.16,0,0),(2963,7378981,'influxUser24','woody',1,1609970702,6539,'w1547',1,'','influxProject20',6.36,10.07,3.16,1.97,0,0),(2964,7378982,'influxUser24','woody',1,1609970702,13140,'w1129',1,'','influxProject20',7.98,0,1.2,2.12,0,0),(2965,7378983,'influxUser24','woody',1,1609971001,9121,'w1337',1,'','influxProject20',9.9,4.91,1.95,2.38,0,0),(2966,7378984,'influxUser24','woody',1,1609971061,8700,'w1202',1,'','influxProject20',9.97,4.86,2.06,2.27,0,0),(2967,7378985,'influxUser24','woody',1,1609971061,8460,'w1335',1,'','influxProject20',9.77,5.06,2.08,2.13,0,0),(2968,7378986,'influxUser24','woody',1,1609971061,12900,'w1310',1,'','influxProject20',8.97,6.59,2.01,2.07,0,0),(2969,7378987,'influxUser24','woody',1,1609971121,12000,'w1330',1,'','influxProject20',8.86,8.41,2.36,2.14,0,0),(2970,7378988,'influxUser24','woody',1,1609971121,12361,'w1327',1,'','influxProject20',9.58,8.36,2.48,2.07,0,0),(2971,7378989,'influxUser24','woody',1,1609971121,12721,'w1311',1,'','influxProject20',9.34,7.79,2.27,2.14,0,0),(2972,7378990,'influxUser24','woody',1,1609971121,6360,'w1528',1,'','influxProject20',5.28,10.44,2.89,1.93,0,0),(2973,7378991,'influxUser24','woody',1,1609971121,7800,'w1323',1,'','influxProject20',5.59,8.27,2.38,2,0,0),(2974,7378992,'influxUser24','woody',1,1609971181,7500,'w1333',1,'','influxProject20',5.85,8.24,2.42,1.96,0,0),(2975,7378993,'influxUser24','woody',1,1609971181,11580,'w1324',1,'','influxProject20',11.39,7.79,2.58,2.29,0,0),(2976,7378994,'influxUser24','woody',1,1609971241,9480,'w1550',1,'','influxProject20',11.54,9.55,3.41,2.07,0,0),(2977,7378995,'influxUser24','woody',1,1609971361,9120,'w1509',1,'','influxProject20',11.36,9.68,3.39,2.06,0,0),(2978,7378996,'influxUser24','woody',1,1609971361,9855,'w1118',1,'','influxProject20',7.96,0,0.86,2.33,0,0),(2979,7378997,'influxUser24','woody',1,1609971482,6359,'w1334',1,'','influxProject20',9.83,3.69,1.86,2.19,0,0),(2980,7378998,'influxUser24','woody',1,1609971542,7139,'w1206',1,'','influxProject20',9.87,3.32,1.63,2.46,0,0),(2981,7378999,'influxUser24','woody',1,1609971722,4679,'w1409',1,'','influxProject20',7.54,4.09,2.65,1.8,0,0),(2982,7379000,'influxUser24','woody',1,1609971722,6719,'w1308',1,'','influxProject20',8.85,2.53,1.68,2.2,0,0),(2983,7379001,'influxUser24','woody',1,1609971782,13860,'w1145',1,'','influxProject20',7.86,0,1.98,2.32,0,0),(2984,7379002,'influxUser24','woody',1,1609972021,13021,'w1112',1,'','influxProject20',7.97,0,2.11,2.28,0,0),(2985,7379003,'influxUser24','woody',1,1609972262,9659,'w1456',1,'','influxProject20',8.41,8.59,2.61,1.76,0,0),(2986,7379004,'influxUser24','woody',1,1609972262,15180,'w1141',1,'','influxProject20',7.95,0,1.52,1.94,0,0),(2987,7379005,'influxUser24','woody',1,1609972262,12059,'w1309',1,'','influxProject20',8.98,8.81,2.75,2.14,0,0),(2988,7379006,'influxUser24','woody',1,1609972262,10499,'w1443',1,'','influxProject20',9.5,9.54,3.04,1.86,0,0),(2989,7379007,'influxUser24','woody',1,1609972262,13260,'w1507',1,'','influxProject20',12.13,10.09,3.1,1.92,0,0),(2990,7379008,'influxUser24','woody',1,1609972262,3899,'w1501',1,'','influxProject20',7.75,1.09,2.05,1.7,0,0),(2991,7379009,'influxUser24','woody',1,1609972262,7259,'w1332',1,'','influxProject20',9.29,0.65,1.5,2.53,0,0),(2992,7379010,'influxUser24','woody',1,1609972381,7380,'w1128',1,'','influxProject20',7.98,0,0.97,2.25,0,0),(2993,7379014,'influxUser24','woody',1,1609972501,5220,'w1207',1,'','influxProject20',9.32,2.9,2.12,2.73,0,0),(2994,7379021,'influxUser24','woody',1,1609972622,11220,'w1117',1,'','influxProject20',7.89,0,1.8,2.26,0,0),(2995,7379022,'influxUser24','woody',1,1609972622,8819,'w1307',1,'','influxProject20',9.09,5.86,2.56,2.54,0,0),(2996,7379023,'influxUser24','woody',1,1609972622,10499,'w1445',1,'','influxProject20',9.76,11.94,3.63,2.27,0,0),(2997,7379024,'influxUser24','woody',1,1609972622,10260,'w1401',1,'','influxProject20',9.95,11.95,3.65,2.07,0,0),(2998,7379025,'influxUser24','woody',1,1609972682,14519,'w1109',1,'','influxProject20',7.96,0,1.69,1.91,0,0),(2999,7379026,'influxUser24','woody',1,1609972682,8639,'w1446',1,'','influxProject20',10.57,7.92,2.53,1.79,0,0),(3000,7379027,'influxUser24','woody',1,1609972682,5400,'w1503',1,'','influxProject20',8.99,4.32,1.87,1.61,0,0),(3001,7379028,'influxUser24','woody',1,1609972682,6359,'w1420',1,'','influxProject20',8.81,4.92,1.79,1.54,0,0),(3002,7379029,'influxUser24','woody',1,1609972682,9719,'w1451',1,'','influxProject20',12.2,8.92,2.9,1.85,0,0),(3003,7379030,'influxUser24','woody',1,1609972741,6540,'w1133',1,'','influxProject20',7.87,0,1.07,2.31,0,0),(3004,7379031,'influxUser24','woody',1,1609972801,6612,'w1208',1,'','influxProject20',9.9,3.8,2.27,2.28,0,0),(3005,7379032,'influxUser24','woody',1,1609972801,7560,'w1521',1,'','influxProject20',8.3,4.88,1.84,1.54,0,0),(3006,7379033,'influxUser24','woody',1,1609972801,4810,'w1436',1,'','influxProject20',6.62,5.56,2.4,1.7,0,0),(3007,7379034,'influxUser24','woody',1,1609972801,7201,'w1430',1,'','influxProject20',9.24,6.8,2.05,1.66,0,0),(3008,7379036,'influxUser24','woody',1,1609972861,4750,'w1530',1,'','influxProject20',9.7,3.85,2.23,1.75,0,0),(3009,7379037,'influxUser24','woody',1,1609972861,12061,'w1201',1,'','influxProject20',9.72,8.86,2.76,2.38,0,0),(3010,7379038,'influxUser24','woody',1,1609972861,9780,'w1431',1,'','influxProject20',9.02,7.14,2.27,1.62,0,0),(3011,7379039,'influxUser24','woody',1,1609972861,12061,'w1421',1,'','influxProject20',8.83,9.17,2.84,1.87,0,0),(3012,7379040,'influxUser24','woody',1,1609972921,12360,'w1306',1,'','influxProject20',9.53,8.43,2.57,2.24,0,0),(3013,7379041,'influxUser24','woody',1,1609972921,9241,'w1404',1,'','influxProject20',9.41,10.25,3.11,1.95,0,0),(3014,7379042,'influxUser24','woody',1,1609972921,5880,'w1537',1,'','influxProject20',8.2,6.24,2.09,1.65,0,0),(3015,7379043,'influxUser24','woody',1,1609972982,12179,'w1450',1,'','influxProject20',11.58,11.61,3.49,2.08,0,0),(3016,7379044,'influxUser24','woody',1,1609972982,8232,'w1540',1,'','influxProject20',12.56,7.52,2.25,1.76,0,0),(3017,7379045,'influxUser24','woody',1,1609972982,10139,'w1312',1,'','influxProject20',11.53,6.43,2.2,2.32,0,0),(3018,7379046,'influxUser24','woody',1,1609972982,8339,'w1517',1,'','influxProject20',9.22,7.55,2.21,1.65,0,0),(3019,7379047,'influxUser24','woody',1,1609972982,7499,'w1413',1,'','influxProject20',10.46,8.69,2.88,1.95,0,0),(3020,7379048,'influxUser24','woody',1,1609972982,6299,'w1416',1,'','influxProject20',5.75,6.85,2.64,1.78,0,0),(3021,7379049,'influxUser24','woody',1,1609973042,3839,'w1415',1,'','influxProject20',8.97,1.39,1.81,1.66,0,0),(3022,7379051,'influxUser24','woody',1,1609973101,10741,'w1119',1,'','influxProject20',7.96,0,0.87,2.3,0,0),(3023,7379055,'influxUser24','woody',1,1609973161,5280,'w1519',1,'','influxProject20',8.78,4.11,2.07,1.67,0,0),(3024,7379056,'influxUser24','woody',1,1609973161,12240,'w1122',1,'','influxProject20',7.95,0,1.45,2.1,0,0),(3025,7379057,'influxUser24','woody',1,1609973161,5161,'w1523',1,'','influxProject20',6.5,3.82,1.68,1.62,0,0),(3026,7379059,'influxUser24','woody',1,1609973222,10380,'w1453',1,'','influxProject20',10.23,10,3.16,1.97,0,0),(3027,7379060,'influxUser24','woody',1,1609973341,19021,'w1143',1,'','influxProject20',7.98,0,1.63,2.31,0,0),(3028,7379061,'influxUser24','woody',1,1609973341,10380,'w1511',1,'','influxProject20',11.74,11.76,3.58,2.08,0,0),(3029,7379062,'influxUser24','woody',1,1609973341,10620,'w1448',1,'','influxProject20',9.8,10.76,3.28,1.98,0,0),(3030,7379063,'influxUser24','woody',1,1609973401,9360,'w1435',1,'','influxProject20',8.9,10.83,3.31,1.96,0,0),(3031,7379064,'influxUser24','woody',1,1609973401,7440,'w1535',1,'','influxProject20',8.94,6.72,1.93,1.66,0,0),(3032,7379065,'influxUser24','woody',1,1609973401,3840,'w1438',1,'','influxProject20',9.1,1.14,2.33,1.78,0,0),(3033,7379066,'influxUser24','woody',1,1609973401,7200,'w1301',1,'','influxProject20',9.11,0.65,1.35,2.34,0,0),(3034,7379067,'influxUser24','woody',1,1609973461,8701,'w1433',1,'','influxProject20',10.19,8,2.5,1.81,0,0),(3035,7379068,'influxUser24','woody',1,1609973461,13260,'w1116',1,'','influxProject20',7.96,0,1.5,2.01,0,0),(3036,7379069,'influxUser24','woody',1,1609973461,4260,'w1313',1,'','influxProject20',9.11,1.29,1.89,3.07,0,0),(3037,7379070,'influxUser24','woody',1,1609973521,4320,'w1506',1,'','influxProject20',9,2.36,1.73,1.56,0,0),(3038,7379072,'influxUser24','woody',1,1609973521,7080,'w1418',1,'','influxProject20',9.63,10.2,3.7,2.16,0,0),(3039,7379073,'influxUser24','woody',1,1609973521,9000,'w1539',1,'','influxProject20',6.3,9.09,2.8,1.81,0,0),(3040,7379074,'influxUser24','woody',1,1609973581,12300,'w1101',1,'','influxProject20',7.9,0,1.62,2.23,0,0),(3041,7379075,'influxUser24','woody',1,1609976281,8641,'w1429',1,'','influxProject20',9,9.79,3.19,1.97,0,0),(3042,7379076,'influxUser24','woody',1,1609976281,3961,'w1317',1,'','influxProject20',6.48,4.91,2.21,2.22,0,0),(3043,7379077,'influxUser24','woody',1,1609976281,8040,'w1303',1,'','influxProject20',9.04,9.55,3.11,2.24,0,0),(3044,7379078,'influxUser24','woody',1,1609976221,8701,'w1432',1,'','influxProject20',9.65,10,3.56,2.04,0,0),(3045,7379079,'influxUser24','woody',1,1609976221,6420,'w1444',1,'','influxProject20',9.68,6.31,2.66,1.83,0,0),(3046,7379080,'influxUser24','woody',1,1609976161,6240,'w1501',1,'','influxProject20',8.17,8.79,3.56,2.02,0,0),(3047,7379081,'influxUser24','woody',1,1609976101,9900,'w1447',1,'','influxProject20',9,10.05,2.97,1.84,0,0),(3048,7379082,'influxUser24','woody',1,1609976101,6420,'w1552',1,'','influxProject20',5.59,9.88,2.79,1.84,0,0),(3049,7379083,'influxUser24','woody',1,1609975801,9360,'w1546',1,'','influxProject20',11.43,9.72,3.3,2.06,0,0),(3050,7379084,'influxUser24','woody',1,1609975801,4441,'w1542',1,'','influxProject20',10.05,5.06,2.64,1.8,0,0),(3051,7379085,'influxUser24','woody',1,1609975681,8040,'w1106',1,'','influxProject20',7.91,0,1.06,2.04,0,0),(3052,7379086,'influxUser24','woody',1,1609975621,8221,'w1518',1,'','influxProject20',8.41,10.14,3.15,1.97,0,0),(3053,7379087,'influxUser24','woody',1,1609975561,14160,'w1104',1,'','influxProject20',7.85,0,1.67,1.97,0,0),(3054,7379088,'influxUser24','woody',1,1609975561,10320,'w1531',1,'','influxProject20',7.41,11.34,3.38,2.03,0,0),(3055,7379089,'influxUser24','woody',1,1609975561,21481,'w1126',1,'','influxProject20',7.96,0,1.73,2.21,0,0),(3056,7379090,'influxUser24','woody',1,1609975561,7321,'w1305',1,'','influxProject20',9.13,1.06,1.75,2.43,0,0),(3057,7379091,'influxUser24','woody',1,1609975501,7740,'w1142',1,'','influxProject20',7.9,0,1.17,2.34,0,0),(3058,7379094,'influxUser24','woody',1,1609975381,5829,'w1428',1,'','influxProject20',8.62,7.64,2.98,2.02,0,0),(3059,7379095,'influxUser24','woody',1,1609975202,16920,'w1135',1,'','influxProject20',7.96,0,2.03,2.35,0,0),(3060,7379096,'influxUser24','woody',1,1609975202,12360,'w1314',1,'','influxProject20',9.78,5.61,1.74,2.25,0,0),(3061,7379097,'influxUser24','woody',1,1609975202,10440,'w1102',1,'','influxProject20',7.91,0,0.78,2.04,0,0),(3062,7379098,'influxUser24','woody',1,1609975202,11039,'w1105',1,'','influxProject20',7.91,0,0.82,1.86,0,0),(3063,7379099,'influxUser24','woody',1,1609974961,9600,'w1424',1,'','influxProject20',8.59,9.77,3.07,1.86,0,0),(3064,7379101,'influxUser24','woody',1,1609974841,13320,'w1134',1,'','influxProject20',7.99,0,0.66,1.86,0,0),(3065,7379102,'influxUser24','woody',1,1609974841,4680,'w1423',1,'','influxProject20',5.44,5.76,2.15,1.68,0,0),(3066,7379103,'influxUser24','woody',1,1609974781,10741,'w1110',1,'','influxProject20',7.95,0,1.08,1.98,0,0),(3067,7379105,'influxUser24','woody',1,1609974781,4628,'w1548',1,'','influxProject20',9.67,3.66,2.12,1.83,0,0),(3068,7379106,'influxUser24','woody',1,1609974781,9660,'w1532',1,'','influxProject20',6.97,9.77,3.05,1.91,0,0),(3069,7379107,'influxUser24','woody',1,1609974722,9839,'w1425',1,'','influxProject20',9.6,6.45,2.16,1.7,0,0),(3070,7379108,'influxUser24','woody',1,1609974601,12120,'w1412',1,'','influxProject20',9.05,9.55,3.01,1.88,0,0),(3071,7379109,'influxUser24','woody',1,1609974601,9720,'w1440',1,'','influxProject20',9.01,9.44,2.91,1.93,0,0),(3072,7379110,'influxUser24','woody',1,1609974601,14160,'w1103',1,'','influxProject20',7.98,0,1.88,2.14,0,0),(3073,7379111,'influxUser24','woody',1,1609974541,6180,'w1541',1,'','influxProject20',4.2,5.93,1.94,1.58,0,0),(3074,7379112,'influxUser24','woody',1,1609974541,7500,'w1520',1,'','influxProject20',6.73,7.22,2.23,1.69,0,0),(3075,7379113,'influxUser24','woody',1,1609974541,10140,'w1556',1,'','influxProject20',9.63,8.35,2.51,1.78,0,0),(3076,7379114,'influxUser24','woody',1,1609974481,12001,'w1427',1,'','influxProject20',14.06,10.15,3.32,1.96,0,0),(3077,7379115,'influxUser24','woody',1,1609974421,14580,'w1132',1,'','influxProject20',7.98,0,1.09,2.31,0,0),(3078,7379116,'influxUser24','woody',1,1609974421,7741,'w1549',1,'','influxProject20',10.48,9.43,3.23,1.94,0,0),(3079,7379117,'influxUser24','woody',1,1609974361,8280,'w1442',1,'','influxProject20',8.83,7.44,2.29,1.7,0,0),(3080,7379118,'influxUser24','woody',1,1609974181,7621,'w1534',1,'','influxProject20',11.11,7.75,2.77,1.89,0,0),(3081,7379119,'influxUser24','woody',1,1609974121,6480,'w1533',1,'','influxProject20',9.25,6.8,2.51,1.82,0,0),(3082,7379120,'influxUser24','woody',1,1609974061,7741,'w1123',1,'','influxProject20',7.97,0,0.83,2.19,0,0),(3083,7379122,'influxUser24','woody',1,1609974001,5409,'w1544',1,'','influxProject20',8.81,3.9,2.08,1.61,0,0),(3084,7379123,'influxUser24','woody',1,1609973581,7632,'w1513',1,'','influxProject20',9.18,7.06,2.29,1.66,0,0),(3085,7379124,'influxUser24','woody',1,1609973941,5220,'w1545',1,'','influxProject20',8.85,3.77,2.1,1.61,0,0),(3086,7379126,'influxUser24','woody',1,1609973821,10260,'w1502',1,'','influxProject20',9.4,9.8,3.16,1.98,0,0),(3087,7379127,'influxUser24','woody',1,1609973821,11221,'w1529',1,'','influxProject20',12.84,11.26,3.38,2.02,0,0),(3088,7379128,'influxUser24','woody',1,1609973821,10500,'w1514',1,'','influxProject20',11.87,11.01,3.33,1.98,0,0),(3089,7379129,'influxUser24','woody',1,1609973761,10440,'w1538',1,'','influxProject20',8.68,10.18,3.09,1.92,0,0),(3090,7379130,'influxUser24','woody',1,1609973761,9480,'w1407',1,'','influxProject20',8.89,10.7,3.47,2.05,0,0),(3091,7379131,'influxUser24','woody',1,1609973701,7380,'w1536',1,'','influxProject20',8.28,7.1,1.96,1.66,0,0),(3092,7379132,'influxUser24','woody',1,1609973701,3780,'w1553',1,'','influxProject20',9.08,1.08,2.29,1.76,0,0),(3093,7379133,'influxUser24','woody',1,1609973701,8580,'w1524',1,'','influxProject20',11.31,8.29,2.53,1.81,0,0),(3094,7379134,'influxUser24','woody',1,1609973641,4320,'w1406',1,'','influxProject20',8.85,2.11,1.95,1.6,0,0),(3095,7379136,'influxUser24','woody',1,1609973581,5220,'w1543',1,'','influxProject20',9.82,5.39,1.86,1.66,0,0),(3096,7379137,'influxUser14','woody',1,1609965841,41040,'w1555',1,'','influxProject20',4.85,76.9,7.18,4.15,0,0),(3097,7379138,'influxUser60','woody',1,1609976341,12541,'w1417',1,'','influxProject20',8.23,1.83,3.55,1.02,0,0),(3098,7379139,'influxUser60','woody',1,1609976341,12780,'w1409',1,'','influxProject20',8.83,2.17,4.5,1.03,0,0),(3099,7379140,'influxUser60','woody',1,1609976401,11280,'w1414',1,'','influxProject20',8.22,1.44,2.97,1.03,0,0),(3100,7379141,'influxUser60','woody',1,1609976581,14700,'w1449',1,'','influxProject20',8.84,2.01,4.52,1.02,0,0),(3101,7379142,'influxUser60','woody',1,1609976641,10680,'w1452',1,'','influxProject20',8.85,1.8,4.57,1.02,0,0),(3102,7379143,'influxUser60','woody',1,1609976702,10499,'w1434',1,'','influxProject20',8.23,1.87,3.11,1.03,0,0),(3103,7379144,'influxUser60','woody',1,1609976702,14579,'w1437',1,'','influxProject20',8.84,1.91,4.74,1.02,0,0),(3104,7379145,'influxUser60','woody',1,1609976762,11399,'w1419',1,'','influxProject20',5.46,1.76,3.51,1.02,0,0),(3105,7379146,'influxUser60','woody',1,1609976762,14160,'w1422',1,'','influxProject20',8.84,1.85,3.85,1.02,0,0),(3106,7379147,'influxUser60','woody',1,1609976881,10681,'w1415',1,'','influxProject20',8.91,2.04,4.44,1.03,0,0),(3107,7379148,'influxUser60','woody',1,1609976941,10621,'w1522',1,'','influxProject20',8.22,1.8,3.14,1.03,0,0),(3108,7379149,'influxUser60','woody',1,1609976941,14220,'w1405',1,'','influxProject20',8.96,2.06,4.5,1.02,0,0),(3109,7379150,'influxUser60','woody',1,1609977062,10259,'w1516',1,'','influxProject20',8.84,1.63,4.17,1.02,0,0),(3110,7379151,'influxUser60','woody',1,1609977181,12300,'w1438',1,'','influxProject20',8.23,2.12,3.35,1.03,0,0),(3111,7379152,'influxUser60','woody',1,1609977241,6960,'w1547',1,'','influxProject20',8.85,2.13,5.08,1.02,0,0),(3112,7379153,'influxUser60','woody',1,1609977421,12540,'w1553',1,'','influxProject20',11.95,1.85,3.33,1.02,0,0),(3113,7379154,'influxUser60','woody',1,1609977481,12841,'w1528',1,'','influxProject20',12.75,2.1,4.54,1.03,0,0),(3114,7379155,'influxUser60','woody',1,1609977542,11340,'w1510',1,'','influxProject20',11.98,1.58,2.93,1.02,0,0),(3115,7379156,'influxUser60','woody',1,1609977602,14640,'w1436',1,'','influxProject20',12.75,1.95,4.46,1.03,0,0),(3116,7379157,'influxUser60','woody',1,1609977602,10679,'w1530',1,'','influxProject20',12.73,1.89,4.47,1.03,0,0),(3117,7379158,'influxUser60','woody',1,1609977661,10500,'w1525',1,'','influxProject20',8.26,1.79,3.04,1.04,0,0),(3118,7379159,'influxUser60','woody',1,1609977721,14641,'w1410',1,'','influxProject20',10.41,2,4.67,1.02,0,0),(3119,7379160,'influxUser60','woody',1,1609977781,11340,'w1506',1,'','influxProject20',5.93,1.67,3.57,1.02,0,0),(3120,7379161,'influxUser60','woody',1,1609977781,14101,'w1454',1,'','influxProject20',13.02,1.88,3.98,1.02,0,0),(3121,7379162,'influxUser60','woody',1,1609977841,10800,'w1455',1,'','influxProject20',10.44,1.94,4.26,1.03,0,0),(3122,7379163,'influxUser60','woody',1,1609977901,10740,'w1504',1,'','influxProject20',10.48,1.71,3.47,1.02,0,0),(3123,7379164,'influxUser60','woody',1,1609977901,14221,'w1406',1,'','influxProject20',10.53,2.05,4.58,1.02,0,0),(3124,7379165,'influxUser60','woody',1,1609978022,10384,'w1402',1,'','influxProject20',10.51,1.64,3.99,1.02,0,0),(3125,7379166,'influxUser60','woody',1,1609978082,12360,'w1503',1,'','influxProject20',10.01,1.89,3.52,1.03,0,0),(3126,7379167,'influxUser60','woody',1,1609978141,6901,'w1439',1,'','influxProject20',10.52,1.8,4.79,1.03,0,0),(3127,7379168,'influxUser60','woody',1,1609978262,12539,'w1527',1,'','influxProject20',11.81,1.88,3.3,1.03,0,0),(3128,7379169,'influxUser60','woody',1,1609978381,12780,'w1523',1,'','influxProject20',12.85,2.16,4.55,1.03,0,0),(3129,7379170,'influxUser60','woody',1,1609978441,11280,'w1519',1,'','influxProject20',12.11,1.56,3.15,1.03,0,0),(3130,7379171,'influxUser60','woody',1,1609978441,14640,'w1403',1,'','influxProject20',12.82,2.01,4.3,1.02,0,0),(3131,7379172,'influxUser60','woody',1,1609978562,10679,'w1426',1,'','influxProject20',12.82,1.79,4.27,1.02,0,0),(3132,7379173,'influxUser60','woody',1,1609978562,10559,'w1505',1,'','influxProject20',8.27,1.52,3.32,1.03,0,0),(3133,7379174,'influxUser60','woody',1,1609978621,14580,'w1512',1,'','influxProject20',13.03,1.99,4.51,1.03,0,0),(3134,7379175,'influxUser60','woody',1,1609978681,11400,'w1515',1,'','influxProject20',8.32,1.64,3.24,1.02,0,0),(3135,7379176,'influxUser60','woody',1,1609978741,14100,'w1408',1,'','influxProject20',13.08,1.92,3.68,1.03,0,0),(3136,7379177,'influxUser60','woody',1,1609978801,10800,'w1537',1,'','influxProject20',10.44,2.03,4.5,1.02,0,0),(3137,7379178,'influxUser60','woody',1,1609978801,10800,'w1543',1,'','influxProject20',10.6,1.67,3.09,1.03,0,0),(3138,7379179,'influxUser60','woody',1,1609979041,14160,'w1420',1,'','influxProject20',11.95,2,4.39,1.03,0,0),(3139,7379180,'influxUser60','woody',1,1609979161,10320,'w1545',1,'','influxProject20',12.92,1.68,3.89,1.03,0,0),(3140,7379181,'influxUser60','woody',1,1609979161,12480,'w1551',1,'','influxProject20',12.03,1.93,3.36,1.02,0,0),(3141,7379182,'influxUser60','woody',1,1609979221,6900,'w1416',1,'','influxProject20',12.35,1.93,4.9,1.02,0,0),(3142,7379183,'influxUser8','woody',1,1609970941,6060,'w1522',1,'','influxProject20',2.61,32.64,9.1,4.07,0,0),(3143,7379191,'influxUser8','woody',1,1609975142,9419,'w1526',1,'','influxProject20',1.81,34.66,9.29,4.1,0,0),(3144,7379192,'influxUser34','woody',1,1609985582,39060,'w1137',1,'','influxProject20',0.95,0,3.67,8.8,0,0),(3145,7379193,'influxUser60','woody',1,1610004241,13200,'w1556',1,'','influxProject20',8.24,1.78,3.4,1.02,0,0),(3146,7379194,'influxUser60','woody',1,1610004241,13680,'w1554',1,'','influxProject20',8.84,1.9,4.54,1.02,0,0),(3147,7379195,'influxUser60','woody',1,1610004241,12240,'w1553',1,'','influxProject20',8.23,1.28,3.05,1.03,0,0),(3148,7379196,'influxUser60','woody',1,1610004241,14641,'w1552',1,'','influxProject20',8.83,1.94,4.28,1.02,0,0),(3149,7379197,'influxUser60','woody',1,1610004241,11641,'w1551',1,'','influxProject20',8.83,1.68,4.15,1.03,0,0),(3150,7379198,'influxUser60','woody',1,1610004241,11280,'w1550',1,'','influxProject20',8.24,1.8,3.02,1.02,0,0),(3151,7379199,'influxUser60','woody',1,1610004241,14641,'w1549',1,'','influxProject20',8.83,1.85,4.75,1.02,0,0),(3152,7379200,'influxUser60','woody',1,1610004241,11280,'w1548',1,'','influxProject20',5.44,1.69,3.27,1.03,0,0),(3153,7379201,'influxUser60','woody',1,1610004241,14161,'w1547',1,'','influxProject20',8.86,1.79,3.73,1.01,0,0),(3154,7379202,'influxUser60','woody',1,1610004241,11175,'w1546',1,'','influxProject20',8.82,2,5.18,1.02,0,0),(3155,7379203,'influxUser60','woody',1,1610004241,10560,'w1545',1,'','influxProject20',8.22,1.54,3.14,1.02,0,0),(3156,7379204,'influxUser60','woody',1,1610004241,14641,'w1544',1,'','influxProject20',8.82,2.03,4.61,1.03,0,0),(3157,7379205,'influxUser60','woody',1,1610004241,11521,'w1543',1,'','influxProject20',8.84,1.55,3.86,1.02,0,0),(3158,7379206,'influxUser60','woody',1,1610004241,12480,'w1542',1,'','influxProject20',8.25,1.79,3.74,1.02,0,0),(3159,7379207,'influxUser60','woody',1,1610004241,7321,'w1541',1,'','influxProject20',8.87,1.67,5.05,1.02,0,0),(3160,7379208,'influxUser60','woody',1,1610004721,13200,'w1540',1,'','influxProject20',11.96,1.78,3.39,1.02,0,0),(3161,7379209,'influxUser60','woody',1,1610004721,13681,'w1539',1,'','influxProject20',12.65,1.99,4.32,1.02,0,0),(3162,7379210,'influxUser60','woody',1,1610004721,12240,'w1538',1,'','influxProject20',11.85,1.38,2.93,1.02,0,0),(3163,7379211,'influxUser60','woody',1,1610004721,14640,'w1537',1,'','influxProject20',12.64,2.01,4.26,1.02,0,0),(3164,7379212,'influxUser60','woody',1,1610004721,11641,'w1536',1,'','influxProject20',12.63,1.59,4.42,1.02,0,0),(3165,7379213,'influxUser60','woody',1,1610004721,11280,'w1535',1,'','influxProject20',8.27,1.68,2.75,1.03,0,0),(3166,7379214,'influxUser60','woody',1,1610004721,14640,'w1534',1,'','influxProject20',13.44,1.87,4.83,1.02,0,0),(3167,7379215,'influxUser60','woody',1,1610004721,11400,'w1533',1,'','influxProject20',5.86,1.63,3.18,1.03,0,0),(3168,7379216,'influxUser60','woody',1,1610004721,14161,'w1532',1,'','influxProject20',13.41,1.72,3.74,1.02,0,0),(3169,7379217,'influxUser60','woody',1,1610004721,11161,'w1531',1,'','influxProject20',13.22,1.93,5.04,1.02,0,0),(3170,7379218,'influxUser60','woody',1,1610004721,10800,'w1530',1,'','influxProject20',10.53,1.54,3,1.02,0,0),(3171,7379219,'influxUser60','woody',1,1610004721,14640,'w1529',1,'','influxProject20',13.55,2.06,4.48,1.02,0,0),(3172,7379220,'influxUser60','woody',1,1610004721,11641,'w1528',1,'','influxProject20',13.1,1.47,3.89,1.02,0,0),(3173,7379221,'influxUser60','woody',1,1610004721,12600,'w1527',1,'','influxProject20',10,1.78,3.51,1.01,0,0),(3174,7379222,'influxUser60','woody',1,1610004721,7320,'w1526',1,'','influxProject20',13.11,1.82,5.12,1.02,0,0),(3175,7379223,'influxUser60','woody',1,1610004842,13199,'w1525',1,'','influxProject20',11.92,1.8,3.16,1.01,0,0),(3176,7379224,'influxUser60','woody',1,1610004842,13679,'w1524',1,'','influxProject20',12.73,1.96,4.42,1.03,0,0),(3177,7379225,'influxUser60','woody',1,1610004842,12240,'w1523',1,'','influxProject20',12.09,1.37,2.82,1.02,0,0),(3178,7379226,'influxUser60','woody',1,1610004842,14759,'w1522',1,'','influxProject20',12.74,2.04,4.29,1.02,0,0),(3179,7379227,'influxUser60','woody',1,1610004902,11699,'w1521',1,'','influxProject20',12.73,1.6,4.42,1.03,0,0),(3180,7379228,'influxUser60','woody',1,1610004902,11340,'w1520',1,'','influxProject20',8.26,1.75,2.82,1.01,0,0),(3181,7379229,'influxUser60','woody',1,1610004902,14579,'w1519',1,'','influxProject20',13.44,1.82,4.7,1.02,0,0),(3182,7379230,'influxUser60','woody',1,1610004902,11340,'w1518',1,'','influxProject20',7.5,1.82,3.26,1.02,0,0),(3183,7379231,'influxUser60','woody',1,1610004902,14219,'w1517',1,'','influxProject20',13.49,1.87,3.53,1.02,0,0),(3184,7379232,'influxUser60','woody',1,1610004902,11219,'w1516',1,'','influxProject20',14,2.07,4.35,1.01,0,0),(3185,7379233,'influxUser60','woody',1,1610004902,10860,'w1515',1,'','influxProject20',10.64,1.44,3.09,1.02,0,0),(3186,7379234,'influxUser60','woody',1,1610004902,14579,'w1514',1,'','influxProject20',13.98,2.31,4.14,1.03,0,0),(3187,7379235,'influxUser60','woody',1,1610004902,11699,'w1513',1,'','influxProject20',13.24,1.61,3.69,1.02,0,0),(3188,7379236,'influxUser60','woody',1,1610004902,12539,'w1512',1,'','influxProject20',11.89,1.8,3.62,1.02,0,0),(3189,7379237,'influxUser60','woody',1,1610004902,7379,'w1511',1,'','influxProject20',13.25,2.18,4.89,1.02,0,0),(3190,7379238,'influxUser1','woody',1,1610006342,53459,'w1355',1,'','influxProject20',2.16,24.92,3.04,4.18,0,0),(3191,7379239,'influxUser14','woody',1,1610006821,37740,'w1555',1,'','influxProject20',4.63,75.42,7.05,4.14,0,0),(3192,7379242,'influxUser50','woody',1,1610009521,6841,'w1165',1,'','influxProject20',0.43,0,0.45,1.2,0,0),(3193,7379246,'influxUser50','woody',1,1610011382,6900,'w1143',1,'','influxProject20',0.43,0,0.46,1.17,0,0),(3194,7379247,'influxUser50','woody',1,1610011442,6840,'w1166',1,'','influxProject20',0.44,0,0.47,1.17,0,0),(3195,7379284,'influxUser60','woody',1,1610013541,12541,'w1541',1,'','influxProject20',8.22,1.83,3.43,1.02,0,0),(3196,7379285,'influxUser60','woody',1,1610013541,12780,'w1526',1,'','influxProject20',9.91,2.02,4.74,1.02,0,0),(3197,7379286,'influxUser60','woody',1,1610013541,11340,'w1511',1,'','influxProject20',8.21,1.48,3.01,1.02,0,0),(3198,7379287,'influxUser60','woody',1,1610013541,14700,'w1510',1,'','influxProject20',9.9,2.07,4.34,1.02,0,0),(3199,7379288,'influxUser60','woody',1,1610013541,10741,'w1509',1,'','influxProject20',8.97,1.91,4.8,1.03,0,0),(3200,7379289,'influxUser60','woody',1,1610013541,10620,'w1508',1,'','influxProject20',8.26,1.9,3.02,1.02,0,0),(3201,7379290,'influxUser60','woody',1,1610013541,14700,'w1507',1,'','influxProject20',8.98,2.08,4.8,1.02,0,0),(3202,7379291,'influxUser60','woody',1,1610013541,10620,'w1506',1,'','influxProject20',5.61,1.69,3.76,1.03,0,0),(3203,7379292,'influxUser60','woody',1,1610013601,14160,'w1505',1,'','influxProject20',8.88,1.83,3.89,1.02,0,0),(3204,7379293,'influxUser60','woody',1,1610013601,11280,'w1504',1,'','influxProject20',8.84,1.94,4.57,1.02,0,0),(3205,7379294,'influxUser60','woody',1,1610013601,10920,'w1503',1,'','influxProject20',8.25,1.4,3.07,1.02,0,0),(3206,7379295,'influxUser60','woody',1,1610013601,14640,'w1502',1,'','influxProject20',8.98,1.94,4.44,1.02,0,0),(3207,7379296,'influxUser60','woody',1,1610013601,10920,'w1501',1,'','influxProject20',8.86,1.48,4.16,1.01,0,0),(3208,7379297,'influxUser60','woody',1,1610013601,12360,'w1456',1,'','influxProject20',8.25,2.17,3.48,1.02,0,0),(3209,7379298,'influxUser60','woody',1,1610013601,7320,'w1455',1,'','influxProject20',8.87,1.92,4.91,1.02,0,0),(3210,7379299,'influxUser60','woody',1,1610013661,12550,'w1454',1,'','influxProject20',11.96,1.93,3.45,1.02,0,0),(3211,7379300,'influxUser60','woody',1,1610013661,12780,'w1453',1,'','influxProject20',12.65,2.13,4.37,1.03,0,0),(3212,7379301,'influxUser60','woody',1,1610013661,11340,'w1452',1,'','influxProject20',12.04,1.72,2.73,1.02,0,0),(3213,7379302,'influxUser60','woody',1,1610013661,14700,'w1451',1,'','influxProject20',12.64,2,4.29,1.03,0,0),(3214,7379303,'influxUser60','woody',1,1610013661,10749,'w1450',1,'','influxProject20',12.66,1.73,4.45,1.02,0,0),(3215,7379304,'influxUser60','woody',1,1610013661,10500,'w1449',1,'','influxProject20',8.28,1.61,3.01,1.02,0,0),(3216,7379305,'influxUser60','woody',1,1610013661,14580,'w1448',1,'','influxProject20',13.41,1.94,4.49,1.02,0,0),(3217,7379306,'influxUser60','woody',1,1610013661,10621,'w1447',1,'','influxProject20',5.97,1.79,3.9,1.03,0,0),(3218,7379307,'influxUser60','woody',1,1610013661,14100,'w1446',1,'','influxProject20',13.39,2.09,3.86,1.03,0,0),(3219,7379308,'influxUser60','woody',1,1610013661,11461,'w1445',1,'','influxProject20',13.5,1.99,4.69,1.02,0,0),(3220,7379309,'influxUser60','woody',1,1610013661,10981,'w1444',1,'','influxProject20',10.57,1.65,2.92,1.02,0,0),(3221,7379310,'influxUser60','woody',1,1610013661,14700,'w1443',1,'','influxProject20',13.47,2.12,4.24,1.02,0,0),(3222,7379311,'influxUser60','woody',1,1610013661,10981,'w1442',1,'','influxProject20',13.14,1.72,4.27,1.02,0,0),(3223,7379312,'influxUser60','woody',1,1610013661,12551,'w1441',1,'','influxProject20',10.03,1.74,3.33,1.02,0,0),(3224,7379313,'influxUser60','woody',1,1610013661,7380,'w1440',1,'','influxProject20',13.15,1.97,4.72,1.02,0,0),(3225,7379314,'influxUser60','woody',1,1610013721,12600,'w1439',1,'','influxProject20',11.9,1.84,3.28,1.01,0,0),(3226,7379315,'influxUser60','woody',1,1610013721,12840,'w1438',1,'','influxProject20',12.75,2.18,4.47,1.02,0,0),(3227,7379316,'influxUser60','woody',1,1610013721,11401,'w1437',1,'','influxProject20',12.08,1.6,2.91,1.02,0,0),(3228,7379317,'influxUser60','woody',1,1610013721,14640,'w1436',1,'','influxProject20',12.75,2.14,4.07,1.02,0,0),(3229,7379318,'influxUser60','woody',1,1610013721,10800,'w1435',1,'','influxProject20',12.7,1.78,4.24,1.03,0,0),(3230,7379319,'influxUser60','woody',1,1610013721,10561,'w1434',1,'','influxProject20',8.29,1.79,3.06,1.02,0,0),(3231,7379320,'influxUser60','woody',1,1610013721,14640,'w1433',1,'','influxProject20',13.42,2,4.42,1.02,0,0),(3232,7379321,'influxUser60','woody',1,1610013721,10800,'w1432',1,'','influxProject20',7.57,1.77,3.35,1.01,0,0),(3233,7379322,'influxUser60','woody',1,1610013721,14161,'w1431',1,'','influxProject20',13.47,2.03,3.68,1.03,0,0),(3234,7379323,'influxUser60','woody',1,1610013721,11520,'w1430',1,'','influxProject20',13.57,2.08,4.25,1.02,0,0),(3235,7379324,'influxUser60','woody',1,1610013721,11040,'w1429',1,'','influxProject20',10.65,1.54,2.97,1.02,0,0),(3236,7379325,'influxUser60','woody',1,1610013721,14640,'w1428',1,'','influxProject20',14.05,2.03,4.56,1.03,0,0),(3237,7379326,'influxUser60','woody',1,1610013781,10980,'w1427',1,'','influxProject20',13.17,1.61,4.06,1.02,0,0),(3238,7379327,'influxUser60','woody',1,1610013781,12540,'w1426',1,'','influxProject20',12.04,1.87,3.42,1.03,0,0),(3239,7379328,'influxUser60','woody',1,1610013781,7380,'w1425',1,'','influxProject20',13.15,1.64,4.72,1.01,0,0),(3240,7379329,'influxUser53','woody',1,1610014381,6540,'w1354',1,'','influxProject20',1.94,0.44,5.27,1.37,0,0),(3241,7379330,'influxUser53','woody',1,1610014982,6539,'w1353',1,'','influxProject20',2.17,0.42,5.23,1.32,0,0),(3242,7379331,'influxUser53','woody',1,1610014982,6539,'w1352',1,'','influxProject20',2.7,0.42,5.6,1.28,0,0),(3243,7379332,'influxUser53','woody',1,1610014982,6419,'w1351',1,'','influxProject20',2,0.43,5.38,1.36,0,0),(3244,7379333,'influxUser53','woody',1,1610014982,6539,'w1350',1,'','influxProject20',15.01,0.42,5.49,1.31,0,0),(3245,7379334,'influxUser53','woody',1,1610014982,6539,'w1349',1,'','influxProject20',1.99,0.42,5.24,1.32,0,0),(3246,7379335,'influxUser53','woody',1,1610014982,6419,'w1348',1,'','influxProject20',5.1,0.44,5.38,1.35,0,0),(3247,7379336,'influxUser53','woody',1,1610014982,6539,'w1347',1,'','influxProject20',2,0.42,5.11,1.31,0,0),(3248,7379337,'influxUser53','woody',1,1610014982,6419,'w1346',1,'','influxProject20',18.22,0.44,5.38,1.33,0,0),(3249,7379338,'influxUser53','woody',1,1610014982,6539,'w1345',1,'','influxProject20',6.45,0.43,4.97,1.33,0,0),(3250,7379343,'influxUser25','woody',1,1610015401,3601,'w1141',1,'','influxProject20',0.41,0,0.01,0.04,0,0),(3251,7379344,'influxUser9','woody',1,1610016661,86461,'w1165',1,'','influxProject20',0.47,0,0.01,0.05,0,0),(3252,7379376,'influxUser37','woody',1,1610019781,15661,'w1166',1,'','influxProject20',0.25,0,0,3.68,0,0),(3253,7379377,'influxUser37','woody',1,1610019781,15061,'w1136',1,'','influxProject20',0.27,0,0,3.28,0,0),(3254,7379378,'influxUser37','woody',1,1610019781,10860,'w1135',1,'','influxProject20',0.27,0,0,3.59,0,0),(3255,7379389,'influxUser53','woody',1,1610022181,6540,'w1354',1,'','influxProject20',1.93,0.42,5.64,1.29,0,0),(3256,7379390,'influxUser53','woody',1,1610022181,6540,'w1353',1,'','influxProject20',9.75,0.43,5.18,1.34,0,0),(3257,7379391,'influxUser53','woody',1,1610022181,6661,'w1352',1,'','influxProject20',1.84,0.42,5.21,1.31,0,0),(3258,7379392,'influxUser53','woody',1,1610022181,6421,'w1351',1,'','influxProject20',4.78,0.44,5.29,1.3,0,0),(3259,7379393,'influxUser53','woody',1,1610022181,6661,'w1350',1,'','influxProject20',6.96,0.41,5.06,1.3,0,0),(3260,7379394,'influxUser53','woody',1,1610022181,6661,'w1349',1,'','influxProject20',2.1,0.42,5.2,1.29,0,0),(3261,7379395,'influxUser53','woody',1,1610022181,6421,'w1348',1,'','influxProject20',8.92,0.43,5.45,1.31,0,0),(3262,7379396,'influxUser53','woody',1,1610022181,6661,'w1347',1,'','influxProject20',2.14,0.42,5.03,1.37,0,0),(3263,7379397,'influxUser53','woody',1,1610022241,6601,'w1346',1,'','influxProject20',4.02,0.42,5.16,1.3,0,0),(3264,7379398,'influxUser53','woody',1,1610022241,6480,'w1345',1,'','influxProject20',2.01,0.43,5.35,1.34,0,0),(3265,7379406,'influxUser8','woody',1,1610023622,4859,'w1134',1,'','influxProject20',3.03,0,5.7,4.15,0,0),(3266,7379410,'influxUser8','woody',1,1610024282,40079,'w1163',1,'','influxProject20',4.29,0,8.09,4.16,0,0),(3267,7379414,'influxUser36','woody',1,1610025901,80220,'w1170',1,'','influxProject20',0.28,0,0,1.02,0,0),(3268,7379415,'influxUser36','woody',1,1610025901,86460,'w1162',1,'','influxProject20',0.28,0,0,1.03,0,0),(3269,7379416,'influxUser36','woody',1,1610025901,79620,'w1161',1,'','influxProject20',0.27,0,0,1.03,0,0),(3270,7379417,'influxUser36','woody',1,1610025901,79380,'w1159',1,'','influxProject20',0.26,0,0,1.02,0,0),(3271,7379418,'influxUser36','woody',1,1610025901,86460,'w1144',1,'','influxProject20',0.27,0,0,1.03,0,0),(3272,7379419,'influxUser36','woody',1,1610025901,86460,'w1142',1,'','influxProject20',0.27,0,0,1.03,0,0),(3273,7379420,'influxUser36','woody',1,1610025901,86460,'w1139',1,'','influxProject20',0.28,0,0,1.03,0,0),(3274,7379423,'influxUser36','woody',1,1610026622,27779,'w1169',1,'','influxProject20',0.24,0,0,1.02,0,0),(3275,7379424,'influxUser36','woody',1,1610026622,27539,'w1160',1,'','influxProject20',0.24,0,0,1.03,0,0),(3276,7379425,'influxUser36','woody',1,1610026622,26596,'w1158',1,'','influxProject20',0.24,0,0,1.02,0,0),(3277,7379426,'influxUser36','woody',1,1610026622,25979,'w1156',1,'','influxProject20',0.24,0,0,1.02,0,0),(3278,7379427,'influxUser36','woody',1,1610026622,24900,'w1155',1,'','influxProject20',0.29,0,0,1.03,0,0),(3279,7379428,'influxUser36','woody',1,1610026622,27899,'w1154',1,'','influxProject20',0.25,0,0,1.02,0,0),(3280,7379429,'influxUser36','woody',1,1610026622,27899,'w1153',1,'','influxProject20',0.25,0,0,1.02,0,0),(3281,7379430,'influxUser36','woody',1,1610026682,27959,'w1152',1,'','influxProject20',0.25,0,0,1.03,0,0),(3282,7379431,'influxUser36','woody',1,1610027162,86519,'w1171',1,'','influxProject20',0.26,0,0,1.03,0,0),(3283,7379432,'influxUser36','woody',1,1610027162,86519,'w1168',1,'','influxProject20',0.26,0,0,1.03,0,0),(3284,7379433,'influxUser36','woody',1,1610027162,86519,'w1151',1,'','influxProject20',0.25,0,0,1.03,0,0),(3285,7379434,'influxUser36','woody',1,1610027162,86519,'w1150',1,'','influxProject20',0.26,0,0,1.02,0,0),(3286,7379435,'influxUser36','woody',1,1610027221,86460,'w1149',1,'','influxProject20',0.26,0,0,1.03,0,0),(3287,7379436,'influxUser36','woody',1,1610027221,86460,'w1147',1,'','influxProject20',0.26,0,0,1.02,0,0),(3288,7379445,'influxUser34','woody',1,1610030941,54780,'w1131',1,'','influxProject20',0.96,0,3.16,8.8,0,0),(3289,7379446,'influxUser60','woody',1,1610031421,12540,'w1556',1,'','influxProject20',8.23,1.96,3.34,1.03,0,0),(3290,7379447,'influxUser60','woody',1,1610031421,12792,'w1554',1,'','influxProject20',9.86,1.98,4.72,1.02,0,0),(3291,7379448,'influxUser60','woody',1,1610031421,11340,'w1553',1,'','influxProject20',8.22,1.57,3.05,1.02,0,0),(3292,7379449,'influxUser60','woody',1,1610031421,14700,'w1552',1,'','influxProject20',8.85,1.85,4.24,1.01,0,0),(3293,7379450,'influxUser60','woody',1,1610031421,10740,'w1551',1,'','influxProject20',8.95,1.79,4.48,1.02,0,0),(3294,7379451,'influxUser60','woody',1,1610031421,10500,'w1550',1,'','influxProject20',8.24,1.99,3.02,1.03,0,0),(3295,7379452,'influxUser60','woody',1,1610031421,14592,'w1549',1,'','influxProject20',8.83,2.07,4.63,1.03,0,0),(3296,7379453,'influxUser60','woody',1,1610031421,10620,'w1548',1,'','influxProject20',5.48,1.75,3.93,1.02,0,0),(3297,7379454,'influxUser60','woody',1,1610031481,14040,'w1547',1,'','influxProject20',8.85,1.91,3.82,1.02,0,0),(3298,7379455,'influxUser60','woody',1,1610031481,11280,'w1546',1,'','influxProject20',8.85,1.96,4.51,1.02,0,0),(3299,7379456,'influxUser60','woody',1,1610031481,10801,'w1545',1,'','influxProject20',8.1,1.58,3.11,1.03,0,0),(3300,7379457,'influxUser60','woody',1,1610031481,14640,'w1544',1,'','influxProject20',8.85,2.06,4.52,1.02,0,0),(3301,7379458,'influxUser60','woody',1,1610031481,10801,'w1543',1,'','influxProject20',8.85,1.83,4.21,1.02,0,0),(3302,7379459,'influxUser60','woody',1,1610031481,12360,'w1542',1,'','influxProject20',8.22,1.94,3.41,1.02,0,0),(3303,7379460,'influxUser60','woody',1,1610031481,7332,'w1541',1,'','influxProject20',8.85,2.12,5.36,1.03,0,0),(3304,7379461,'influxUser60','woody',1,1610031542,12539,'w1540',1,'','influxProject20',11.94,1.73,3.47,1.03,0,0),(3305,7379462,'influxUser60','woody',1,1610031542,12779,'w1539',1,'','influxProject20',12.62,2.19,4.74,1.03,0,0),(3306,7379463,'influxUser60','woody',1,1610031542,11339,'w1538',1,'','influxProject20',12.11,1.51,3.31,1.02,0,0),(3307,7379464,'influxUser60','woody',1,1610031542,14700,'w1537',1,'','influxProject20',12.6,1.95,4.18,1.01,0,0),(3308,7379465,'influxUser60','woody',1,1610031542,10740,'w1536',1,'','influxProject20',12.6,1.84,4.31,1.02,0,0),(3309,7379466,'influxUser60','woody',1,1610031542,10499,'w1535',1,'','influxProject20',8.26,1.63,3.04,1.02,0,0),(3310,7379467,'influxUser60','woody',1,1610031542,14579,'w1534',1,'','influxProject20',13.48,1.96,4.73,1.02,0,0),(3311,7379468,'influxUser60','woody',1,1610031542,10619,'w1533',1,'','influxProject20',5.94,1.63,3.7,1.03,0,0),(3312,7379469,'influxUser60','woody',1,1610031542,14099,'w1532',1,'','influxProject20',13.55,1.81,3.85,1.03,0,0),(3313,7379470,'influxUser60','woody',1,1610031542,11459,'w1531',1,'','influxProject20',13.15,1.94,4.65,1.02,0,0),(3314,7379471,'influxUser60','woody',1,1610031542,10979,'w1530',1,'','influxProject20',10.55,1.5,3.11,1.02,0,0),(3315,7379472,'influxUser60','woody',1,1610031542,14700,'w1529',1,'','influxProject20',13.05,2.13,4.47,1.03,0,0),(3316,7379473,'influxUser60','woody',1,1610031542,10979,'w1528',1,'','influxProject20',13.12,1.61,3.94,1.01,0,0),(3317,7379474,'influxUser60','woody',1,1610031542,12539,'w1527',1,'','influxProject20',9.8,1.62,3.48,1.02,0,0),(3318,7379475,'influxUser60','woody',1,1610031542,7379,'w1526',1,'','influxProject20',13.13,1.85,5.14,1.02,0,0),(3319,7379476,'influxUser60','woody',1,1610031602,12609,'w1525',1,'','influxProject20',11.89,1.7,3.7,1.03,0,0),(3320,7379477,'influxUser60','woody',1,1610031602,12839,'w1524',1,'','influxProject20',12.71,2.13,4.62,1.02,0,0),(3321,7379478,'influxUser60','woody',1,1610031602,11399,'w1523',1,'','influxProject20',12.11,1.54,3.05,1.01,0,0),(3322,7379479,'influxUser60','woody',1,1610031602,14640,'w1522',1,'','influxProject20',12.68,1.99,4.29,1.02,0,0),(3323,7379480,'influxUser60','woody',1,1610031602,10809,'w1521',1,'','influxProject20',12.7,1.96,4.54,1.03,0,0),(3324,7379481,'influxUser60','woody',1,1610031602,10559,'w1520',1,'','influxProject20',8.26,1.85,3.21,1.03,0,0),(3325,7379482,'influxUser60','woody',1,1610031602,14640,'w1519',1,'','influxProject20',13.42,1.97,4.64,1.02,0,0),(3326,7379483,'influxUser60','woody',1,1610031602,10680,'w1518',1,'','influxProject20',8.36,1.66,3.16,1.03,0,0),(3327,7379484,'influxUser60','woody',1,1610031602,14159,'w1517',1,'','influxProject20',13.56,1.7,3.84,1.02,0,0),(3328,7379485,'influxUser60','woody',1,1610031602,11519,'w1516',1,'','influxProject20',13.41,2.03,4.6,1.02,0,0),(3329,7379486,'influxUser60','woody',1,1610031602,11039,'w1515',1,'','influxProject20',10.6,1.65,2.98,1.02,0,0),(3330,7379487,'influxUser60','woody',1,1610031602,14640,'w1514',1,'','influxProject20',13.84,1.96,4.44,1.02,0,0),(3331,7379488,'influxUser60','woody',1,1610031602,11039,'w1513',1,'','influxProject20',13.35,1.56,3.55,1.02,0,0),(3332,7379489,'influxUser60','woody',1,1610031602,12610,'w1512',1,'','influxProject20',12.02,1.83,3.28,1.02,0,0),(3333,7379490,'influxUser60','woody',1,1610031602,7319,'w1511',1,'','influxProject20',13.34,2,5.11,1.02,0,0),(3334,7379492,'influxUser50','woody',1,1610032381,13740,'w1130',1,'','influxProject20',0.47,0,0.46,1.17,0,0),(3335,7379494,'influxUser24','woody',1,1610033401,19920,'w1128',1,'','influxProject20',7.99,0,2.22,1.95,0,0),(3336,7379495,'influxUser24','woody',1,1610033401,29641,'w1127',1,'','influxProject20',7.89,0,3.76,2.74,0,0),(3337,7379496,'influxUser24','woody',1,1610033401,10440,'w1126',1,'','influxProject20',6.83,0,2.58,2.25,0,0),(3338,7379497,'influxUser24','woody',1,1610033401,12240,'w1125',1,'','influxProject20',7.97,0,1.19,1.98,0,0),(3339,7379498,'influxUser24','woody',1,1610033401,28320,'w1123',1,'','influxProject20',7.99,0,3.2,2.38,0,0),(3340,7379499,'influxUser24','woody',1,1610033401,32641,'w1122',1,'','influxProject20',7.97,0,3.61,2.66,0,0),(3341,7379500,'influxUser24','woody',1,1610033401,3840,'w1121',1,'','influxProject20',3.34,0,1.84,1.95,0,0),(3342,7379501,'influxUser24','woody',1,1610033401,25560,'w1120',1,'','influxProject20',7.99,0,2.33,1.96,0,0),(3343,7379502,'influxUser24','woody',1,1610033401,25920,'w1119',1,'','influxProject20',7.96,0,2.04,1.96,0,0),(3344,7379503,'influxUser24','woody',1,1610033401,25681,'w1118',1,'','influxProject20',7.96,0,2.15,2.03,0,0),(3345,7379504,'influxUser24','woody',1,1610033461,33540,'w1117',1,'','influxProject20',7.95,0,4.02,2.59,0,0),(3346,7379505,'influxUser24','woody',1,1610033461,32100,'w1116',1,'','influxProject20',7.97,0,3.62,2.61,0,0),(3347,7379506,'influxUser24','woody',1,1610033461,33300,'w1115',1,'','influxProject20',7.89,0,3.8,2.59,0,0),(3348,7379507,'influxUser24','woody',1,1610033461,23460,'w1114',1,'','influxProject20',7.99,0,1.83,1.84,0,0),(3349,7379508,'influxUser24','woody',1,1610033461,24420,'w1113',1,'','influxProject20',7.98,0,1.73,1.82,0,0),(3350,7379509,'influxUser24','woody',1,1610033461,23352,'w1112',1,'','influxProject20',7.97,0,1.7,1.77,0,0),(3351,7379510,'influxUser24','woody',1,1610033461,13741,'w1111',1,'','influxProject20',7.76,0,1.31,1.78,0,0),(3352,7379511,'influxUser24','woody',1,1610033461,13980,'w1110',1,'','influxProject20',7.86,0,1.54,1.8,0,0),(3353,7379512,'influxUser24','woody',1,1610033461,13741,'w1109',1,'','influxProject20',7.99,0,1.14,1.72,0,0),(3354,7379513,'influxUser24','woody',1,1610033461,12300,'w1108',1,'','influxProject20',7.86,0,1.6,1.62,0,0),(3355,7379514,'influxUser24','woody',1,1610033461,9540,'w1107',1,'','influxProject20',7.77,0,1.66,2.07,0,0),(3356,7379515,'influxUser24','woody',1,1610033461,9900,'w1106',1,'','influxProject20',7.85,0,1.26,2.15,0,0),(3357,7379516,'influxUser24','woody',1,1610033461,9060,'w1105',1,'','influxProject20',7.86,0,2.23,2.32,0,0),(3358,7379517,'influxUser24','woody',1,1610033461,10140,'w1104',1,'','influxProject20',7.98,0,1.95,2.06,0,0),(3359,7379518,'influxUser24','woody',1,1610033461,22380,'w1103',1,'','influxProject20',7.97,0,3.59,2.52,0,0),(3360,7379519,'influxUser24','woody',1,1610033461,22380,'w1102',1,'','influxProject20',7.42,0,3.3,2.44,0,0),(3361,7379520,'influxUser24','woody',1,1610033461,22500,'w1101',1,'','influxProject20',7.42,0,3.32,2.52,0,0),(3362,7379521,'influxUser24','woody',1,1610033461,18420,'w1354',1,'','influxProject20',8.28,14.65,4.36,2.52,0,0),(3363,7379524,'influxUser1','woody',1,1610035202,58200,'w1351',1,'','influxProject20',30.89,53.49,13.42,4.19,0,0),(3364,7379525,'influxUser1','woody',1,1610035202,6479,'w1350',1,'','influxProject20',3.41,23.99,3.52,4.16,0,0),(3365,7379526,'influxUser53','woody',1,1610035621,6661,'w1353',1,'','influxProject20',2.61,0.43,5.08,1.35,0,0),(3366,7379527,'influxUser53','woody',1,1610035621,6540,'w1352',1,'','influxProject20',2.29,0.43,5.22,1.38,0,0),(3367,7379528,'influxUser53','woody',1,1610035621,6661,'w1349',1,'','influxProject20',2.01,0.43,5.14,1.33,0,0),(3368,7379529,'influxUser53','woody',1,1610035621,6661,'w1348',1,'','influxProject20',6.22,0.54,5.23,1.29,0,0),(3369,7379530,'influxUser53','woody',1,1610035621,6661,'w1347',1,'','influxProject20',5.04,0.43,5.2,1.37,0,0),(3370,7379531,'influxUser53','woody',1,1610035621,6540,'w1346',1,'','influxProject20',3.43,0.41,5.16,1.34,0,0),(3371,7379532,'influxUser53','woody',1,1610035621,6661,'w1345',1,'','influxProject20',1.93,0.41,5.19,1.29,0,0),(3372,7379533,'influxUser53','woody',1,1610035621,6661,'w1344',1,'','influxProject20',5.84,0.42,5.22,1.27,0,0),(3373,7379534,'influxUser53','woody',1,1610035621,6661,'w1343',1,'','influxProject20',5.67,0.43,5.24,1.3,0,0),(3374,7379535,'influxUser53','woody',1,1610035621,6661,'w1342',1,'','influxProject20',3.43,0.42,5.13,1.3,0,0),(3375,7379536,'influxUser63','woody',1,1610035862,4139,'w1166',1,'','influxProject20',0.44,0,0.02,0.1,0,0),(3376,7379537,'influxUser63','woody',1,1610039941,63540,'w1143',1,'','influxProject20',0.64,0,0.02,0.06,0,0),(3377,7379542,'influxUser14','woody',1,1610044501,32461,'w1556',1,'','influxProject20',4.57,78.51,7.3,4.14,0,0),(3378,1406108,'influxUser4','emmy',8,1609459477,4601,'e0501|e0442|e0328|e0326|e0323|e0321|e0320|e0319',1,'','influxProject2',0,0,0,0,0,0),(3379,1406110,'influxUser4','emmy',8,1609459906,4172,'e1031|e1028|e1009|e1002|e0507|e0229|e0228|e0226',1,'','influxProject2',0,0,0,0,0,0),(3380,1406116,'influxUser4','emmy',8,1609460344,3884,'e1104|e1103|e1005|e0950|e0949|e0944|e0924|e0915',1,'','influxProject2',0,0,0,0,0,0),(3381,1406113,'influxUser4','emmy',8,1609459984,4614,'e0539|e0534|e0533|e0452|e0449|e0441|e0416|e0409',1,'','influxProject2',0,0,0,0,0,0),(3382,1406114,'influxUser4','emmy',8,1609460075,4918,'e1125|e1102|e1030|e0952|e0941|e0939|e0936|e0928',1,'','influxProject2',0,0,0,0,0,0),(3383,1406112,'influxUser4','emmy',8,1609459984,5055,'e0909|e0903|e0840|e0746|e0721|e0718|e0709|e0648',1,'','influxProject2',0,0,0,0,0,0),(3384,1406120,'influxUser4','emmy',8,1609460664,4715,'e0803|e0801|e0230|e0227|e0221|e0148|e0119|e0115',1,'','influxProject2',0,0,0,0,0,0),(3385,1406115,'influxUser4','emmy',8,1609460139,5413,'e0225|e0211|e0151|e0150|e0142|e0133|e0126|e0116',1,'','influxProject2',0,0,0,0,0,0),(3386,1406123,'influxUser4','emmy',8,1609460906,5242,'e0740|e0730|e0728|e0726|e0654|e0616|e0353|e0342',1,'','influxProject2',0,0,0,0,0,0),(3387,1406128,'influxUser4','emmy',8,1609462495,3713,'e1132|e1131|e1130|e1126|e1123|e1020|e1019|e1018',1,'','influxProject2',0,0,0,0,0,0),(3388,1406127,'influxUser4','emmy',8,1609462334,3994,'e1117|e1115|e1114|e1113|e1027|e0224|e0210|e0112',1,'','influxProject2',0,0,0,0,0,0),(3389,1406134,'influxUser4','emmy',8,1609463216,3630,'e0615|e0614|e0542|e0531|e0529|e0525|e0406|e0355',1,'','influxProject2',0,0,0,0,0,0),(3390,1406122,'influxUser4','emmy',8,1609460736,6113,'e0644|e0643|e0638|e0637|e0631|e0629|e0625|e0624',1,'','influxProject2',0,0,0,0,0,0),(3391,1406136,'influxUser4','emmy',8,1609463640,4124,'e0819|e0815|e0814|e0813|e0530|e0528|e0527|e0526',1,'','influxProject2',0,0,0,0,0,0),(3392,1406126,'influxUser4','emmy',8,1609462259,5572,'e1129|e1128|e1124|e1121|e1118|e1105|e0851|e0113',1,'','influxProject2',0,0,0,0,0,0),(3393,1406135,'influxUser4','emmy',8,1609463554,4707,'e0731|e0727|e0725|e0715|e0706|e0601|e0549|e0156',1,'','influxProject2',0,0,0,0,0,0),(3394,1406121,'influxUser4','emmy',8,1609460666,7672,'e0927|e0917|e0916|e0907|e0820|e0705|e0447|e0446',1,'','influxProject2',0,0,0,0,0,0),(3395,1406132,'influxUser4','emmy',8,1609462911,5455,'e0335|e0332|e0316|e0303|e0236|e0232|e0209|e0206',1,'','influxProject2',0,0,0,0,0,0),(3396,1406129,'influxUser4','emmy',8,1609462615,6352,'e1112|e1109|e1107|e1032|e0922|e0834|e0832|e0830',1,'','influxProject2',0,0,0,0,0,0),(3397,1406142,'influxUser4','emmy',8,1609464599,4451,'e0539|e0534|e0533|e0452|e0449|e0441|e0416|e0409',1,'','influxProject2',0,0,0,0,0,0),(3398,1406140,'influxUser4','emmy',8,1609464229,4934,'e1104|e1103|e1005|e0950|e0949|e0944|e0924|e0915',1,'','influxProject2',0,0,0,0,0,0),(3399,1406118,'influxUser4','emmy',8,1609460448,9222,'e0940|e0930|e0923|e0921|e0833|e0831|e0743|e0741',1,'','influxProject2',0,0,0,0,0,0),(3400,1406144,'influxUser4','emmy',8,1609464880,5132,'e1021|e0908|e0844|e0838|e0837|e0836|e0835|e0825',1,'','influxProject2',0,0,0,0,0,0),(3401,1406146,'influxUser4','emmy',8,1609465040,5076,'e0909|e0903|e0840|e0746|e0721|e0718|e0709|e0648',1,'','influxProject2',0,0,0,0,0,0),(3402,1406137,'influxUser4','emmy',8,1609463868,6290,'e0906|e0905|e0852|e0850|e0623|e0438|e0413|e0341',1,'','influxProject2',0,0,0,0,0,0),(3403,1406152,'influxUser4','emmy',8,1609465744,4663,'e0805|e0708|e0546|e0540|e0504|e0502|e0433|e0429',1,'','influxProject2',0,0,0,0,0,0),(3404,1406131,'influxUser4','emmy',8,1609462715,7846,'e0347|e0340|e0324|e0322|e0251|e0233|e0223|e0155',1,'','influxProject2',0,0,0,0,0,0),(3405,1406117,'influxUser4','emmy',8,1609460418,10236,'e1001|e0947|e0747|e0742|e0208|e0204|e0203|e0202',1,'','influxProject2',0,0,0,0,0,0),(3406,1406133,'influxUser4','emmy',8,1609463175,7518,'e0911|e0653|e0651|e0640|e0639|e0522|e0520|e0518',1,'','influxProject2',0,0,0,0,0,0),(3407,1406148,'influxUser4','emmy',8,1609465380,5344,'e0803|e0801|e0230|e0227|e0221|e0152|e0148|e0139',1,'','influxProject2',0,0,0,0,0,0),(3408,1406147,'influxUser4','emmy',8,1609465364,5542,'e0827|e0826|e0812|e0722|e0720|e0717|e0716|e0428',1,'','influxProject2',0,0,0,0,0,0),(3409,1406151,'influxUser4','emmy',8,1609465602,6064,'e0606|e0605|e0603|e0552|e0544|e0543|e0244|e0243',1,'','influxProject2',0,0,0,0,0,0),(3410,1406155,'influxUser4','emmy',8,1609466329,5980,'e1117|e1115|e1114|e1113|e1027|e0224|e0210|e0112',1,'','influxProject2',0,0,0,0,0,0),(3411,1406107,'influxUser4','emmy',8,1609459453,12912,'e1119|e1029|e1025|e1024|e1023|e1022|e1012|e0821',1,'','influxProject2',0,0,0,0,0,0),(3412,1406143,'influxUser4','emmy',8,1609464861,7579,'e0630|e0537|e0343|e0338|e0327|e0325|e0219|e0153',1,'','influxProject2',0,0,0,0,0,0),(3413,1406157,'influxUser4','emmy',8,1609469052,4016,'e0539|e0534|e0533|e0452|e0449|e0441|e0416|e0409',1,'','influxProject2',0,0,0,0,0,0),(3414,1406141,'influxUser4','emmy',8,1609464350,8778,'e1008|e1003|e0408|e0329|e0318|e0239|e0238|e0237',1,'','influxProject2',0,0,0,0,0,0),(3415,1406158,'influxUser4','emmy',8,1609469085,4052,'e0927|e0917|e0916|e0907|e0820|e0705|e0447|e0446',1,'','influxProject2',0,0,0,0,0,0),(3416,1406145,'influxUser4','emmy',8,1609464994,9035,'e1125|e1102|e1030|e0952|e0941|e0939|e0936|e0928',1,'','influxProject2',0,0,0,0,0,0),(3417,1406139,'influxUser4','emmy',8,1609464079,10620,'e0326|e0323|e0321|e0320|e0319|e0229|e0228|e0226',1,'','influxProject2',0,0,0,0,0,0),(3418,1406149,'influxUser4','emmy',8,1609465473,9506,'e0346|e0339|e0337|e0315|e0313|e0248|e0119|e0118',1,'','influxProject2',0,0,0,0,0,0),(3419,1406168,'influxUser4','emmy',8,1609470562,4620,'e0347|e0340|e0324|e0322|e0251|e0233|e0223|e0155',1,'','influxProject2',0,0,0,0,0,0),(3420,1406160,'influxUser4','emmy',8,1609469165,6036,'e1104|e1103|e1005|e0950|e0949|e0944|e0924|e0915',1,'','influxProject2',0,0,0,0,0,0),(3421,1406172,'influxUser4','emmy',8,1609470761,4635,'e0145|e0144|e0143|e0132|e0124|e0123|e0122|e0117',1,'','influxProject2',0,0,0,0,0,0),(3422,1406167,'influxUser4','emmy',8,1609470159,5275,'e0906|e0905|e0852|e0850|e0623|e0438|e0413|e0341',1,'','influxProject2',0,0,0,0,0,0),(3423,1406154,'influxUser4','emmy',8,1609466209,9359,'e1132|e1131|e1130|e1126|e1123|e1020|e1019|e1018',1,'','influxProject2',0,0,0,0,0,0),(3424,1406176,'influxUser4','emmy',8,1609472102,3784,'e0940|e0930|e0923|e0921|e0833|e0831|e0743|e0741',1,'','influxProject2',0,0,0,0,0,0),(3425,1406171,'influxUser4','emmy',8,1609470725,5211,'e0803|e0801|e0230|e0227|e0221|e0152|e0148|e0139',1,'','influxProject2',0,0,0,0,0,0),(3426,1406153,'influxUser4','emmy',8,1609466149,10069,'e0740|e0730|e0728|e0726|e0654|e0616|e0353|e0342',1,'','influxProject2',0,0,0,0,0,0),(3427,1406106,'influxUser4','emmy',8,1609459322,17010,'e1106|e0617|e0550|e0547|e0514|e0512|e0205|e0154',1,'','influxProject2',0,0,0,0,0,0),(3428,1406177,'influxUser4','emmy',8,1609472310,4167,'e1117|e1115|e1114|e1113|e1027|e0224|e0210|e0112',1,'','influxProject2',0,0,0,0,0,0),(3429,1406166,'influxUser4','emmy',8,1609470117,6371,'e0909|e0903|e0840|e0746|e0721|e0718|e0709|e0648',1,'','influxProject2',0,0,0,0,0,0),(3430,1406175,'influxUser4','emmy',8,1609472054,4681,'e1112|e1109|e1107|e1032|e0922|e0834|e0832|e0830',1,'','influxProject2',0,0,0,0,0,0),(3431,1406179,'influxUser4','emmy',8,1609472442,4625,'e0630|e0537|e0343|e0338|e0327|e0325|e0219|e0153',1,'','influxProject2',0,0,0,0,0,0),(3432,1406178,'influxUser4','emmy',8,1609472366,5019,'e1119|e1029|e1025|e1024|e1023|e1022|e1012|e0821',1,'','influxProject2',0,0,0,0,0,0),(3433,1406164,'influxUser4','emmy',8,1609469865,7615,'e0423|e0415|e0404|e0402|e0354|e0350|e0113|e0109',1,'','influxProject2',0,0,0,0,0,0),(3434,1406182,'influxUser4','emmy',8,1609473138,4858,'e0927|e0917|e0916|e0907|e0820|e0705|e0447|e0446',1,'','influxProject2',0,0,0,0,0,0),(3435,1406184,'influxUser4','emmy',8,1609473672,4389,'e1001|e0947|e0747|e0742|e0208|e0204|e0203|e0202',1,'','influxProject2',0,0,0,0,0,0),(3436,1406180,'influxUser4','emmy',8,1609473069,5003,'e0539|e0534|e0533|e0452|e0449|e0441|e0416|e0409',1,'','influxProject2',0,0,0,0,0,0),(3437,1406183,'influxUser4','emmy',8,1609473446,4662,'e1021|e0908|e0844|e0838|e0837|e0836|e0835|e0825',1,'','influxProject2',0,0,0,0,0,0),(3438,1406111,'influxUser4','emmy',8,1609459916,18250,'e0634|e0613|e0604|e0551|e0348|e0345|e0344|e0314',1,'','influxProject2',0,0,0,0,0,0),(3439,1406174,'influxUser4','emmy',8,1609471667,6647,'e0606|e0605|e0603|e0552|e0544|e0543|e0244|e0243',1,'','influxProject2',0,0,0,0,0,0),(3440,1407049,'influxUser42','emmy',8,1609461401,17203,'e0645|e0642|e0641|e0633|e0628|e0626|e0309|e0308',1,'','influxProject13',0,0,0,0,0,0),(3441,1406130,'influxUser4','emmy',8,1609462615,16539,'e0749|e0739|e0737|e0736|e0735|e0636|e0635|e0622',1,'','influxProject2',0,0,0,0,0,0),(3442,1406185,'influxUser4','emmy',8,1609474030,5142,'e1125|e1102|e1030|e0952|e0941|e0939|e0936|e0928',1,'','influxProject2',0,0,0,0,0,0),(3443,1406187,'influxUser4','emmy',8,1609474980,4359,'e0346|e0339|e0337|e0319|e0315|e0313|e0248|e0229',1,'','influxProject2',0,0,0,0,0,0),(3444,1406191,'influxUser4','emmy',8,1609475435,4441,'e0906|e0905|e0852|e0850|e0623|e0438|e0413|e0341',1,'','influxProject2',0,0,0,0,0,0),(3445,1406125,'influxUser4','emmy',8,1609461510,18506,'e0913|e0912|e0545|e0304|e0302|e0301|e0252|e0149',1,'','influxProject2',0,0,0,0,0,0),(3446,1406193,'influxUser4','emmy',8,1609475651,5062,'e1116|e1111|e0824|e0738|e0122|e0119|e0118|e0117',1,'','influxProject2',0,0,0,0,0,0),(3447,1406190,'influxUser4','emmy',8,1609475397,5331,'e0223|e0155|e0145|e0144|e0143|e0132|e0124|e0123',1,'','influxProject2',0,0,0,0,0,0),(3448,1406170,'influxUser4','emmy',8,1609470694,10045,'e0911|e0653|e0651|e0640|e0639|e0522|e0520|e0518',1,'','influxProject2',0,0,0,0,0,0),(3449,1406192,'influxUser4','emmy',8,1609475569,5407,'e1132|e1131|e1130|e1126|e1123|e1020|e1019|e1018',1,'','influxProject2',0,0,0,0,0,0),(3450,1406196,'influxUser4','emmy',8,1609476219,4959,'e0740|e0730|e0728|e0726|e0654|e0616|e0353|e0342',1,'','influxProject2',0,0,0,0,0,0),(3451,1406181,'influxUser4','emmy',8,1609473129,8091,'e1008|e1003|e0408|e0329|e0318|e0239|e0238|e0237',1,'','influxProject2',0,0,0,0,0,0),(3452,1406197,'influxUser4','emmy',8,1609476333,4991,'e1106|e0617|e0550|e0547|e0514|e0512|e0205|e0154',1,'','influxProject2',0,0,0,0,0,0),(3453,1406189,'influxUser4','emmy',8,1609475203,6146,'e1104|e1103|e1005|e0950|e0949|e0944|e0924|e0915',1,'','influxProject2',0,0,0,0,0,0),(3454,1406202,'influxUser4','emmy',8,1609477386,4125,'e1119|e1029|e1025|e1024|e1023|e1022|e1012|e0821',1,'','influxProject2',0,0,0,0,0,0),(3455,1406159,'influxUser4','emmy',8,1609469085,12450,'e0335|e0332|e0316|e0303|e0236|e0232|e0209|e0206',1,'','influxProject2',0,0,0,0,0,0),(3456,1406204,'influxUser4','emmy',8,1609477997,3644,'e0927|e0917|e0916|e0907|e0820|e0705|e0447|e0446',1,'','influxProject2',0,0,0,0,0,0),(3457,1406162,'influxUser4','emmy',8,1609469771,11916,'e0948|e0946|e0943|e0942|e0935|e0934|e0933|e0932',1,'','influxProject2',0,0,0,0,0,0),(3458,1406186,'influxUser4','emmy',8,1609474701,7010,'e1101|e0745|e0505|e0444|e0326|e0323|e0321|e0320',1,'','influxProject2',0,0,0,0,0,0),(3459,1406163,'influxUser4','emmy',8,1609469865,11857,'e0929|e0926|e0925|e0808|e0807|e0806|e0733|e0432',1,'','influxProject2',0,0,0,0,0,0),(3460,1406195,'influxUser4','emmy',8,1609475937,5956,'e0803|e0801|e0230|e0227|e0221|e0152|e0148|e0139',1,'','influxProject2',0,0,0,0,0,0),(3461,1406201,'influxUser4','emmy',8,1609477069,4859,'e0630|e0537|e0343|e0338|e0327|e0325|e0219|e0153',1,'','influxProject2',0,0,0,0,0,0),(3462,1406198,'influxUser4','emmy',8,1609476478,5982,'e1117|e1115|e1114|e1113|e1027|e0224|e0210|e0112',1,'','influxProject2',0,0,0,0,0,0),(3463,1406200,'influxUser4','emmy',8,1609476736,6241,'e1112|e1109|e1107|e1032|e0922|e0834|e0832|e0830',1,'','influxProject2',0,0,0,0,0,0),(3464,1406208,'influxUser4','emmy',8,1609478167,4920,'e0634|e0613|e0604|e0551|e0348|e0345|e0344|e0314',1,'','influxProject2',0,0,0,0,0,0),(3465,1406209,'influxUser4','emmy',8,1609478315,4894,'e0606|e0605|e0603|e0552|e0544|e0543|e0244|e0243',1,'','influxProject2',0,0,0,0,0,0),(3466,1406207,'influxUser4','emmy',8,1609478109,5490,'e1021|e0908|e0844|e0838|e0837|e0836|e0835|e0825',1,'','influxProject2',0,0,0,0,0,0),(3467,1406205,'influxUser4','emmy',8,1609478062,5917,'e1001|e0947|e0747|e0742|e0208|e0204|e0203|e0202',1,'','influxProject2',0,0,0,0,0,0),(3468,1406203,'influxUser4','emmy',8,1609477481,7441,'e0423|e0415|e0404|e0402|e0354|e0350|e0113|e0111',1,'','influxProject2',0,0,0,0,0,0),(3469,1406188,'influxUser4','emmy',8,1609475183,9828,'e0347|e0340|e0324|e0322|e0251|e0233|e0228|e0226',1,'','influxProject2',0,0,0,0,0,0),(3470,1406216,'influxUser4','emmy',8,1609481537,3666,'e0335|e0332|e0316|e0303|e0236|e0232|e0209|e0206',1,'','influxProject2',0,0,0,0,0,0),(3471,1406212,'influxUser4','emmy',8,1609481221,4132,'e1008|e1003|e0408|e0329|e0318|e0239|e0238|e0237',1,'','influxProject2',0,0,0,0,0,0),(3472,1406206,'influxUser4','emmy',8,1609478074,7478,'e0539|e0534|e0533|e0452|e0449|e0441|e0416|e0409',1,'','influxProject2',0,0,0,0,0,0),(3473,1406217,'influxUser4','emmy',8,1609481642,4152,'e0927|e0917|e0916|e0907|e0820|e0705|e0447|e0446',1,'','influxProject2',0,0,0,0,0,0),(3474,1406221,'influxUser4','emmy',8,1609481894,4388,'e0803|e0801|e0230|e0227|e0221|e0154|e0152|e0148',1,'','influxProject2',0,0,0,0,0,0),(3475,1406218,'influxUser4','emmy',8,1609481688,4684,'e0948|e0946|e0943|e0942|e0935|e0934|e0933|e0932',1,'','influxProject2',0,0,0,0,0,0),(3476,1406213,'influxUser4','emmy',8,1609481325,5297,'e1106|e0617|e0550|e0547|e0514|e0512|e0207|e0205',1,'','influxProject2',0,0,0,0,0,0),(3477,1406225,'influxUser4','emmy',8,1609483089,3647,'e0634|e0613|e0604|e0551|e0348|e0345|e0344|e0314',1,'','influxProject2',0,0,0,0,0,0),(3478,1406211,'influxUser4','emmy',8,1609481180,5758,'e0740|e0730|e0728|e0726|e0654|e0616|e0353|e0342',1,'','influxProject2',0,0,0,0,0,0),(3479,1406224,'influxUser4','emmy',8,1609482978,4000,'e1112|e1109|e1107|e1032|e0922|e0834|e0832|e0830',1,'','influxProject2',0,0,0,0,0,0),(3480,1406220,'influxUser4','emmy',8,1609481724,6095,'e0929|e0926|e0925|e0808|e0807|e0806|e0733|e0432',1,'','influxProject2',0,0,0,0,0,0),(3481,1406223,'influxUser4','emmy',8,1609482461,5546,'e1117|e1115|e1114|e1113|e1027|e0224|e0210|e0139',1,'','influxProject2',0,0,0,0,0,0),(3482,1406173,'influxUser4','emmy',8,1609470908,17738,'e0827|e0826|e0812|e0722|e0720|e0717|e0716|e0428',1,'','influxProject2',0,0,0,0,0,0),(3483,1406219,'influxUser4','emmy',8,1609481712,7143,'e1101|e0745|e0505|e0444|e0326|e0323|e0321|e0320',1,'','influxProject2',0,0,0,0,0,0),(3484,1406119,'influxUser4','emmy',8,1609460505,28523,'e0809|e0751|e0734|e0713|e0704|e0701|e0649|e0646',1,'','influxProject2',0,0,0,0,0,0),(3485,1406150,'influxUser4','emmy',8,1609465553,23532,'e0225|e0211|e0151|e0150|e0142|e0133|e0126|e0115',1,'','influxProject2',0,0,0,0,0,0),(3486,1406229,'influxUser4','emmy',8,1609486374,4035,'e0948|e0946|e0943|e0942|e0935|e0934|e0933|e0932',1,'','influxProject2',0,0,0,0,0,0),(3487,1406210,'influxUser4','emmy',8,1609480017,10407,'e0913|e0912|e0545|e0304|e0302|e0301|e0252|e0149',1,'','influxProject2',0,0,0,0,0,0),(3488,1404313,'influxUser13','emmy',16,1609467765,22766,'e1031|e1028|e1009|e1002|e0819|e0815|e0814|e0813|e0530|e0528|e0527|e0526|e0507|e0501|e0442|e0328',1,'','influxProject3',0,0,0,0,0,0),(3489,1404314,'influxUser13','emmy',16,1609468262,22641,'e1129|e1128|e1124|e1121|e1118|e1105|e0851|e0731|e0727|e0725|e0715|e0706|e0601|e0549|e0156|e0114',1,'','influxProject3',0,0,0,0,0,0),(3490,1407057,'influxUser55','emmy',20,1609483981,7272,'e1021|e1001|e0947|e0908|e0844|e0838|e0837|e0836|e0835|e0825|e0747|e0742|e0208|e0204|e0203|e0202|e0129|e0118|e0117|e0112',1,'','influxProject18',0,0,0,0,0,0),(3491,1406227,'influxUser4','emmy',8,1609486283,5081,'e0803|e0801|e0230|e0227|e0221|e0154|e0152|e0148',1,'','influxProject2',0,0,0,0,0,0),(3492,1406230,'influxUser4','emmy',8,1609486623,5143,'e1106|e0617|e0550|e0547|e0514|e0512|e0207|e0205',1,'','influxProject2',0,0,0,0,0,0),(3493,1406222,'influxUser4','emmy',8,1609481930,9858,'e0630|e0537|e0343|e0338|e0327|e0325|e0219|e0153',1,'','influxProject2',0,0,0,0,0,0),(3494,1406214,'influxUser4','emmy',8,1609481350,11209,'e1104|e1103|e1005|e0950|e0949|e0944|e0924|e0915',1,'','influxProject2',0,0,0,0,0,0),(3495,1406194,'influxUser4','emmy',8,1609475888,18078,'e0940|e0930|e0923|e0921|e0833|e0831|e0743|e0741',1,'','influxProject2',0,0,0,0,0,0),(3496,1406239,'influxUser4','emmy',8,1609490533,3669,'e0530|e0528|e0527|e0526|e0507|e0501|e0442|e0328',1,'','influxProject2',0,0,0,0,0,0),(3497,1406235,'influxUser4','emmy',8,1609489086,5361,'e0225|e0211|e0210|e0151|e0150|e0142|e0139|e0133',1,'','influxProject2',0,0,0,0,0,0),(3498,1406228,'influxUser4','emmy',8,1609486287,8531,'e0606|e0605|e0603|e0552|e0544|e0543|e0244|e0243',1,'','influxProject2',0,0,0,0,0,0),(3499,1406236,'influxUser4','emmy',8,1609490410,4944,'e0948|e0946|e0943|e0942|e0935|e0934|e0933|e0932',1,'','influxProject2',0,0,0,0,0,0),(3500,1406232,'influxUser4','emmy',8,1609488647,7002,'e0827|e0826|e0812|e0722|e0720|e0717|e0716|e0428',1,'','influxProject2',0,0,0,0,0,0),(3501,1406238,'influxUser4','emmy',8,1609490533,5143,'e1031|e1028|e1009|e1002|e0819|e0815|e0814|e0813',1,'','influxProject2',0,0,0,0,0,0),(3502,1406231,'influxUser4','emmy',8,1609486738,9589,'e0634|e0613|e0604|e0551|e0348|e0345|e0344|e0314',1,'','influxProject2',0,0,0,0,0,0),(3503,1406242,'influxUser4','emmy',8,1609491312,5034,'e0126|e0118|e0117|e0115|e0114|e0112|e0111|e0110',1,'','influxProject2',0,0,0,0,0,0),(3504,1406241,'influxUser4','emmy',8,1609491312,5500,'e0601|e0549|e0208|e0204|e0203|e0202|e0156|e0129',1,'','influxProject2',0,0,0,0,0,0),(3505,1406246,'influxUser4','emmy',8,1609492561,5371,'e1104|e1103|e1005|e0950|e0949|e0944|e0924|e0915',1,'','influxProject2',0,0,0,0,0,0),(3506,1404340,'influxUser13','emmy',16,1609466850,31256,'e0644|e0643|e0638|e0637|e0631|e0629|e0625|e0624|e0615|e0614|e0542|e0531|e0529|e0525|e0406|e0355',1,'','influxProject3',0,0,0,0,0,0),(3507,1406244,'influxUser4','emmy',8,1609491768,6691,'e1106|e0617|e0550|e0547|e0514|e0512|e0207|e0205',1,'','influxProject2',0,0,0,0,0,0),(3508,1406250,'influxUser4','emmy',8,1609495356,4264,'e0948|e0946|e0943|e0942|e0935|e0934|e0933|e0932',1,'','influxProject2',0,0,0,0,0,0),(3509,1406249,'influxUser4','emmy',8,1609494970,4697,'e0427|e0328|e0244|e0243|e0225|e0211|e0210|e0151',1,'','influxProject2',0,0,0,0,0,0),(3510,1406248,'influxUser4','emmy',8,1609494970,4726,'e0606|e0605|e0603|e0552|e0544|e0543|e0442|e0430',1,'','influxProject2',0,0,0,0,0,0),(3511,1406243,'influxUser4','emmy',8,1609491366,8541,'e0803|e0801|e0230|e0227|e0221|e0154|e0152|e0148',1,'','influxProject2',0,0,0,0,0,0),(3512,1404316,'influxUser13','emmy',16,1609485553,14462,'e1008|e1003|e0539|e0534|e0533|e0452|e0449|e0441|e0416|e0409|e0408|e0329|e0318|e0239|e0238|e0237',1,'','influxProject3',0,0,0,0,0,0),(3513,1406245,'influxUser4','emmy',8,1609491789,8447,'e0630|e0537|e0343|e0338|e0327|e0325|e0219|e0153',1,'','influxProject2',0,0,0,0,0,0),(3514,1406252,'influxUser4','emmy',8,1609497020,3616,'e0601|e0549|e0208|e0204|e0203|e0202|e0156|e0129',1,'','influxProject2',0,0,0,0,0,0),(3515,1406247,'influxUser4','emmy',8,1609492644,8135,'e0655|e0652|e0619|e0548|e0410|e0407|e0356|e0352',1,'','influxProject2',0,0,0,0,0,0),(3516,1406254,'influxUser4','emmy',8,1609498107,3951,'e0624|e0615|e0614|e0542|e0531|e0529|e0525|e0406',1,'','influxProject2',0,0,0,0,0,0),(3517,1406255,'influxUser4','emmy',8,1609498252,5007,'e0842|e0823|e0822|e0818|e0811|e0810|e0536|e0355',1,'','influxProject2',0,0,0,0,0,0),(3518,1406237,'influxUser4','emmy',8,1609490425,12930,'e0913|e0912|e0545|e0304|e0302|e0301|e0252|e0149',1,'','influxProject2',0,0,0,0,0,0),(3519,1406253,'influxUser4','emmy',8,1609498107,5490,'e0915|e0644|e0643|e0638|e0637|e0631|e0629|e0625',1,'','influxProject2',0,0,0,0,0,0),(3520,1406251,'influxUser4','emmy',8,1609495422,9211,'e1110|e1017|e1016|e1014|e0150|e0142|e0139|e0133',1,'','influxProject2',0,0,0,0,0,0),(3521,1406256,'influxUser4','emmy',8,1609499908,4806,'e0803|e0801|e0230|e0227|e0221|e0154|e0152|e0148',1,'','influxProject2',0,0,0,0,0,0),(3522,1406262,'influxUser4','emmy',8,1609503966,4238,'e0624|e0615|e0614|e0601|e0549|e0542|e0531|e0529',1,'','influxProject2',0,0,0,0,0,0),(3523,1406264,'influxUser4','emmy',8,1609504715,4278,'e0803|e0801|e0230|e0227|e0221|e0202|e0156|e0154',1,'','influxProject2',0,0,0,0,0,0),(3524,1404793,'influxUser13','emmy',16,1609485204,25105,'e0347|e0340|e0335|e0332|e0324|e0322|e0316|e0303|e0251|e0236|e0233|e0232|e0228|e0226|e0209|e0206',1,'','influxProject3',0,0,0,0,0,0),(3525,1406260,'influxUser4','emmy',8,1609503357,7564,'e0913|e0912|e0545|e0304|e0302|e0301|e0252|e0149',1,'','influxProject2',0,0,0,0,0,0),(3526,1406259,'influxUser4','emmy',8,1609500780,10759,'e0655|e0652|e0619|e0548|e0410|e0407|e0356|e0352',1,'','influxProject2',0,0,0,0,0,0),(3527,1406234,'influxUser4','emmy',8,1609489030,22702,'e0809|e0751|e0734|e0713|e0704|e0701|e0649|e0646',1,'','influxProject2',0,0,0,0,0,0),(3528,1406267,'influxUser4','emmy',8,1609507871,4711,'e1007|e1006|e1004|e0931|e0618|e0608|e0133|e0129',1,'','influxProject2',0,0,0,0,0,0),(3529,1406263,'influxUser4','emmy',8,1609504634,8237,'e1110|e1017|e1016|e1014|e0216|e0208|e0204|e0203',1,'','influxProject2',0,0,0,0,0,0),(3530,1406261,'influxUser4','emmy',8,1609503598,11893,'e0915|e0644|e0643|e0638|e0637|e0631|e0629|e0625',1,'','influxProject2',0,0,0,0,0,0),(3531,1404344,'influxUser13','emmy',16,1609484923,31317,'e1119|e1029|e1025|e1024|e1023|e1022|e1012|e0821|e0423|e0415|e0404|e0402|e0354|e0350|e0116|e0113',1,'','influxProject3',0,0,0,0,0,0),(3532,1407078,'influxUser21','emmy',29,1609512648,3663,'e1007|e1006|e1004|e0931|e0913|e0912|e0710|e0656|e0624|e0618|e0615|e0614|e0610|e0609|e0608|e0607|e0602|e0601|e0549|e0545|e0542|e0531|e0529|e0414|e0412|e0347|e0340|e0335|e0332',1,'','influxProject7',0,0,0,0,0,0),(3533,1407047,'influxUser11','emmy',4,1609460871,55473,'e0137|e0136|e0135|e0134',1,'','influxProject3',0,0,0,0,0,0),(3534,1404794,'influxUser13','emmy',16,1609491282,25368,'e1021|e1001|e0947|e0908|e0844|e0838|e0837|e0836|e0835|e0825|e0747|e0742|e0727|e0725|e0715|e0706',1,'','influxProject3',0,0,0,0,0,0),(3535,1404341,'influxUser13','emmy',16,1609485824,31170,'e0927|e0917|e0916|e0907|e0820|e0705|e0447|e0446|e0405|e0317|e0312|e0310|e0250|e0249|e0242|e0234',1,'','influxProject3',0,0,0,0,0,0),(3536,1407113,'influxUser35','emmy',1,1609510005,7215,'e0336',1,'','influxProject12',0,0,0,0,0,0),(3537,1407109,'influxUser35','emmy',1,1609510000,7228,'e0434',1,'','influxProject12',0,0,0,0,0,0),(3538,1406233,'influxUser4','emmy',8,1609488856,28514,'e1101|e0745|e0505|e0444|e0326|e0323|e0321|e0320',1,'','influxProject2',0,0,0,0,0,0),(3539,1406240,'influxUser4','emmy',8,1609490905,28528,'e1129|e1128|e1124|e1121|e1118|e1105|e0851|e0731',1,'','influxProject2',0,0,0,0,0,0),(3540,1407118,'influxUser16','emmy',9,1609511733,8670,'e0809|e0751|e0734|e0713|e0704|e0701|e0649|e0646|e0109',1,'','influxProject5',0,0,0,0,0,0),(3541,1404795,'influxUser13','emmy',16,1609495678,24986,'e1031|e1028|e1009|e1002|e0827|e0826|e0819|e0815|e0814|e0813|e0812|e0722|e0720|e0717|e0716|e0428',1,'','influxProject3',0,0,0,0,0,0),(3542,1407053,'influxUser30','emmy',20,1609470538,52013,'e0914|e0805|e0708|e0546|e0541|e0540|e0515|e0508|e0504|e0502|e0433|e0429|e0401|e0307|e0147|e0146|e0131|e0130|e0127|e0125',1,'','influxProject10',0,0,0,0,0,0),(3543,1407114,'influxUser35','emmy',1,1609517226,7240,'e0336',1,'','influxProject12',0,0,0,0,0,0),(3544,1407110,'influxUser35','emmy',1,1609517238,7235,'e0434',1,'','influxProject12',0,0,0,0,0,0),(3545,1404338,'influxUser13','emmy',16,1609496016,31332,'e0940|e0930|e0923|e0921|e0833|e0831|e0828|e0817|e0816|e0743|e0741|e0703|e0702|e0632|e0530|e0528',1,'','influxProject3',0,0,0,0,0,0),(3546,1404339,'influxUser13','emmy',16,1609496348,31359,'e0634|e0613|e0604|e0551|e0527|e0526|e0507|e0501|e0348|e0345|e0344|e0314|e0126|e0118|e0117|e0115',1,'','influxProject3',0,0,0,0,0,0),(3547,1406257,'influxUser4','emmy',8,1609500283,28525,'e0630|e0537|e0343|e0338|e0327|e0325|e0219|e0218',1,'','influxProject2',0,0,0,0,0,0),(3548,1407262,'influxUser55','emmy',20,1609527349,3750,'e0940|e0930|e0923|e0921|e0833|e0831|e0828|e0817|e0816|e0743|e0741|e0703|e0702|e0632|e0530|e0528|e0306|e0231|e0130|e0129',1,'','influxProject18',0,0,0,0,0,0),(3549,1404342,'influxUser13','emmy',16,1609500016,31145,'e1008|e1003|e0539|e0534|e0533|e0452|e0449|e0441|e0416|e0409|e0408|e0329|e0318|e0239|e0238|e0237',1,'','influxProject3',0,0,0,0,0,0),(3550,1407115,'influxUser35','emmy',1,1609524472,7240,'e0336',1,'','influxProject12',0,0,0,0,0,0),(3551,1407111,'influxUser35','emmy',1,1609524484,7234,'e0434',1,'','influxProject12',0,0,0,0,0,0),(3552,1406265,'influxUser4','emmy',8,1609504963,28518,'e0901|e0525|e0509|e0406|e0153|e0148|e0142|e0139',1,'','influxProject2',0,0,0,0,0,0),(3553,1407116,'influxUser35','emmy',1,1609531719,7244,'e1008',1,'','influxProject12',0,0,0,0,0,0),(3554,1407112,'influxUser35','emmy',1,1609531725,7239,'e1003',1,'','influxProject12',0,0,0,0,0,0),(3555,1407273,'influxUser16','emmy',9,1609530898,8711,'e0630|e0537|e0343|e0338|e0327|e0325|e0219|e0218|e0126',1,'','influxProject5',0,0,0,0,0,0),(3556,1404668,'influxUser7','emmy',1,1609461320,85693,'e1167',1,'','influxProject2',0,0,0,0,0,0),(3557,1407065,'influxUser22','emmy',6,1609503261,46134,'e0822|e0818|e0811|e0810|e0536|e0355',1,'','influxProject7',0,0,0,0,0,0),(3558,1407063,'influxUser22','emmy',7,1609497933,57326,'e1104|e1103|e1005|e0950|e0949|e0944|e0924',1,'','influxProject7',0,0,0,0,0,0),(3559,1405846,'influxUser7','emmy',1,1609474262,85216,'e1164',1,'','influxProject2',0,0,0,0,0,0),(3560,1405906,'influxUser46','emmy',32,1609479259,86454,'e1125|e1102|e1030|e0952|e0941|e0939|e0936|e0928|e0839|e0829|e0802|e0752|e0750|e0749|e0744|e0739|e0737|e0736|e0735|e0645|e0642|e0641|e0636|e0635|e0633|e0628|e0626|e0622|e0521|e0516|e0309|e0308',1,'','influxProject16',0,0,0,0,0,0),(3561,1405907,'influxUser46','emmy',32,1609479913,86453,'e0920|e0909|e0906|e0905|e0903|e0852|e0850|e0847|e0845|e0843|e0840|e0746|e0721|e0718|e0709|e0648|e0623|e0511|e0448|e0440|e0438|e0426|e0413|e0346|e0341|e0339|e0337|e0319|e0315|e0313|e0248|e0229',1,'','influxProject16',0,0,0,0,0,0),(3562,1405908,'influxUser49','emmy',32,1609480977,86461,'e1132|e1131|e1130|e1126|e1123|e1116|e1111|e1020|e1019|e1018|e0911|e0824|e0738|e0653|e0651|e0640|e0639|e0522|e0520|e0518|e0223|e0155|e0145|e0144|e0143|e0141|e0132|e0128|e0124|e0123|e0122|e0119',1,'','influxProject16',0,0,0,0,0,0),(3563,1404716,'influxUser47','emmy',4,1609499392,69658,'e0114|e0112|e0111|e0110',1,'','influxProject16',0,0,0,0,0,0),(3564,1407266,'influxUser23','emmy',13,1609527708,41609,'e0634|e0613|e0604|e0551|e0527|e0526|e0507|e0501|e0348|e0345|e0344|e0314|e0127',1,'','influxProject8',0,0,0,0,0,0),(3565,1404733,'influxUser47','emmy',4,1609499668,69743,'e0210|e0207|e0205|e0151',1,'','influxProject16',0,0,0,0,0,0),(3566,1404734,'influxUser47','emmy',4,1609499698,69748,'e0606|e0605|e0603|e0552',1,'','influxProject16',0,0,0,0,0,0),(3567,1404735,'influxUser47','emmy',4,1609499698,69957,'e0544|e0543|e0442|e0430',1,'','influxProject16',0,0,0,0,0,0),(3568,1407058,'influxUser30','emmy',6,1609486940,86396,'e0740|e0730|e0728|e0726|e0654|e0616',1,'','influxProject10',0,0,0,0,0,0),(3569,1407298,'influxUser17','emmy',16,1609558739,15107,'e1104|e1103|e1005|e1003|e0950|e0949|e0944|e0924|e0822|e0818|e0811|e0810|e0630|e0620|e0539|e0537',1,'','influxProject5',0,0,0,0,0,0),(3570,1405910,'influxUser49','emmy',24,1609488009,86474,'e1117|e1115|e1114|e1113|e1112|e1109|e1107|e1032|e1027|e0929|e0926|e0925|e0922|e0834|e0832|e0830|e0808|e0807|e0806|e0733|e0432|e0353|e0342|e0224',1,'','influxProject16',0,0,0,0,0,0),(3571,1407289,'influxUser42','emmy',8,1609558739,16738,'e0355|e0343|e0338|e0327|e0325|e0219|e0218|e0126',1,'','influxProject13',0,0,0,0,0,0),(3572,1405847,'influxUser7','emmy',1,1609490902,85221,'e1168',1,'','influxProject2',0,0,0,0,0,0),(3573,1407300,'influxUser17','emmy',16,1609565714,14390,'e0737|e0736|e0735|e0645|e0642|e0641|e0636|e0635|e0633|e0628|e0626|e0622|e0536|e0534|e0533|e0521',1,'','influxProject5',0,0,0,0,0,0),(3574,1407299,'influxUser17','emmy',16,1609565714,14690,'e1125|e1102|e1030|e0952|e0941|e0939|e0936|e0928|e0839|e0829|e0802|e0752|e0750|e0749|e0744|e0739',1,'','influxProject5',0,0,0,0,0,0),(3575,1407302,'influxUser17','emmy',16,1609566367,14707,'e0623|e0516|e0511|e0448|e0440|e0438|e0426|e0413|e0346|e0341|e0339|e0337|e0319|e0315|e0313|e0309',1,'','influxProject5',0,0,0,0,0,0),(3576,1405859,'influxUser7','emmy',1,1609495657,85529,'e1068',1,'','influxProject2',0,0,0,0,0,0),(3577,1407303,'influxUser17','emmy',16,1609567440,14481,'e1132|e1131|e1130|e1126|e1123|e1116|e1111|e1020|e1019|e1018|e0911|e0824|e0738|e0653|e0651|e0640',1,'','influxProject5',0,0,0,0,0,0),(3578,1407304,'influxUser17','emmy',16,1609567440,14618,'e0639|e0522|e0520|e0518|e0308|e0248|e0229|e0223|e0155|e0145|e0144|e0143|e0141|e0132|e0128|e0124',1,'','influxProject5',0,0,0,0,0,0),(3579,1407031,'influxUser5','emmy',1,1609497031,85240,'e1067',1,'','influxProject2',0,0,0,0,0,0),(3580,1407301,'influxUser17','emmy',16,1609566367,15934,'e0920|e0909|e0906|e0905|e0903|e0852|e0850|e0847|e0845|e0843|e0840|e0746|e0721|e0718|e0709|e0648',1,'','influxProject5',0,0,0,0,0,0),(3581,1407070,'influxUser41','emmy',2,1609504852,77720,'e0152|e0150',1,'','influxProject13',0,0,0,0,0,0),(3582,1407080,'influxUser21','emmy',29,1609514010,68729,'e1110|e1017|e1016|e1014|e0450|e0445|e0356|e0352|e0324|e0322|e0316|e0304|e0303|e0302|e0301|e0252|e0251|e0245|e0240|e0236|e0233|e0232|e0228|e0226|e0216|e0209|e0208|e0206|e0204',1,'','influxProject7',0,0,0,0,0,0),(3583,1407082,'influxUser21','emmy',29,1609516312,66444,'e1025|e1024|e1023|e1022|e1012|e1007|e1006|e1004|e0931|e0913|e0912|e0821|e0710|e0656|e0624|e0618|e0615|e0614|e0610|e0609|e0608|e0607|e0602|e0601|e0549|e0545|e0542|e0531|e0529',1,'','influxProject7',0,0,0,0,0,0),(3584,1407087,'influxUser21','emmy',29,1609517637,65125,'e1101|e1021|e1001|e0947|e0927|e0917|e0916|e0908|e0907|e0844|e0838|e0837|e0836|e0835|e0825|e0820|e0747|e0745|e0742|e0727|e0725|e0715|e0706|e0705|e0505|e0447|e0446|e0444|e0423',1,'','influxProject7',0,0,0,0,0,0),(3585,1407088,'influxUser21','emmy',29,1609518461,64304,'e0629|e0625|e0412|e0405|e0404|e0402|e0354|e0350|e0347|e0340|e0335|e0332|e0326|e0323|e0321|e0320|e0317|e0312|e0311|e0310|e0305|e0242|e0234|e0137|e0136|e0135|e0134|e0120|e0116',1,'','influxProject7',0,0,0,0,0,0),(3586,1407089,'influxUser21','emmy',29,1609520405,62364,'e1129|e1128|e1124|e1121|e1118|e1105|e1011|e1010|e0915|e0851|e0809|e0751|e0734|e0731|e0713|e0704|e0701|e0649|e0646|e0644|e0643|e0638|e0532|e0524|e0513|e0425|e0424|e0235|e0220',1,'','influxProject7',0,0,0,0,0,0),(3587,1407090,'influxUser21','emmy',29,1609524182,58593,'e0804|e0748|e0724|e0723|e0719|e0714|e0712|e0711|e0707|e0650|e0647|e0540|e0523|e0515|e0510|e0508|e0504|e0502|e0433|e0429|e0428|e0401|e0307|e0203|e0149|e0147|e0146|e0133|e0131',1,'','influxProject7',0,0,0,0,0,0),(3588,1407091,'influxUser21','emmy',29,1609531100,51688,'e0940|e0930|e0923|e0921|e0833|e0831|e0828|e0817|e0816|e0743|e0741|e0703|e0702|e0632|e0530|e0528|e0306|e0231|e0130|e0129|e0125|e0121|e0118|e0117|e0115|e0113|e0109|e0108|e0107',1,'','influxProject7',0,0,0,0,0,0),(3589,1407092,'influxUser21','emmy',29,1609534181,48610,'e0901|e0525|e0509|e0452|e0449|e0441|e0434|e0416|e0409|e0408|e0406|e0336|e0329|e0318|e0239|e0238|e0237|e0214|e0213|e0212|e0201|e0153|e0148|e0142|e0139|e0106|e0105|e0103|e0102',1,'','influxProject7',0,0,0,0,0,0),(3590,1407064,'influxUser38','emmy',20,1609499668,85881,'e1106|e0948|e0946|e0943|e0942|e0935|e0934|e0933|e0932|e0617|e0550|e0547|e0514|e0512|e0427|e0328|e0244|e0243|e0225|e0211',1,'','influxProject13',0,0,0,0,0,0),(3591,1407306,'influxUser17','emmy',16,1609572081,14486,'e0348|e0345|e0344|e0314|e0210|e0207|e0205|e0151|e0127|e0123|e0122|e0119|e0114|e0112|e0111|e0110',1,'','influxProject5',0,0,0,0,0,0),(3592,1406276,'influxUser4','emmy',8,1609582794,3788,'e0701|e0649|e0646|e0644|e0643|e0638|e0532|e0524',1,'','influxProject2',0,0,0,0,0,0),(3593,1407305,'influxUser17','emmy',16,1609572081,14569,'e0634|e0613|e0606|e0605|e0604|e0603|e0552|e0551|e0544|e0543|e0527|e0526|e0507|e0501|e0442|e0430',1,'','influxProject5',0,0,0,0,0,0),(3594,1406283,'influxUser4','emmy',8,1609582810,4066,'e0816|e0743|e0741|e0703|e0702|e0632|e0530|e0528',1,'','influxProject2',0,0,0,0,0,0),(3595,1406272,'influxUser4','emmy',8,1609582791,4087,'e0321|e0320|e0317|e0312|e0311|e0310|e0305|e0242',1,'','influxProject2',0,0,0,0,0,0),(3596,1406271,'influxUser4','emmy',8,1609582783,4171,'e1025|e1024|e1023|e1022|e1012|e1007|e1006|e1004',1,'','influxProject2',0,0,0,0,0,0),(3597,1406284,'influxUser4','emmy',8,1609582810,4238,'e0306|e0231|e0149|e0147|e0146|e0133|e0131|e0130',1,'','influxProject2',0,0,0,0,0,0),(3598,1407076,'influxUser10','emmy',4,1609507790,79534,'e1127|e1122|e1120|e1108',1,'','influxProject3',0,0,0,0,0,0),(3599,1406274,'influxUser4','emmy',8,1609582794,4644,'e1129|e1128|e1124|e1121|e1118|e1105|e1011|e1010',1,'','influxProject2',0,0,0,0,0,0),(3600,1406278,'influxUser4','emmy',8,1609582798,4689,'e0804|e0748|e0724|e0723|e0719|e0714|e0712|e0711',1,'','influxProject2',0,0,0,0,0,0),(3601,1406275,'influxUser4','emmy',8,1609582794,5369,'e0915|e0851|e0809|e0751|e0734|e0731|e0713|e0704',1,'','influxProject2',0,0,0,0,0,0),(3602,1407307,'influxUser17','emmy',16,1609573848,14452,'e1104|e1103|e1005|e1003|e0950|e0949|e0944|e0924|e0822|e0818|e0811|e0810|e0740|e0730|e0728|e0726',1,'','influxProject5',0,0,0,0,0,0),(3603,1406288,'influxUser4','emmy',8,1609582815,5859,'e0139|e0113|e0109|e0108|e0107|e0106|e0105|e0103',1,'','influxProject2',0,0,0,0,0,0),(3604,1407308,'influxUser17','emmy',16,1609574484,14384,'e1117|e1115|e1114|e1113|e1112|e1109|e1107|e1032|e1027|e0929|e0926|e0925|e0922|e0834|e0832|e0830',1,'','influxProject5',0,0,0,0,0,0),(3605,1406287,'influxUser4','emmy',8,1609582815,6122,'e0237|e0214|e0213|e0212|e0201|e0153|e0148|e0142',1,'','influxProject2',0,0,0,0,0,0),(3606,1406282,'influxUser4','emmy',8,1609582810,6254,'e0940|e0930|e0923|e0921|e0833|e0831|e0828|e0817',1,'','influxProject2',0,0,0,0,0,0),(3607,1406270,'influxUser4','emmy',8,1609582772,6560,'e0251|e0245|e0240|e0236|e0233|e0232|e0228|e0226',1,'','influxProject2',0,0,0,0,0,0),(3608,1406286,'influxUser4','emmy',8,1609582814,6754,'e0409|e0408|e0406|e0336|e0329|e0318|e0239|e0238',1,'','influxProject2',0,0,0,0,0,0),(3609,1406285,'influxUser4','emmy',8,1609582811,6795,'e0129|e0125|e0121|e0120|e0118|e0117|e0116|e0115',1,'','influxProject2',0,0,0,0,0,0),(3610,1406269,'influxUser4','emmy',8,1609582772,6861,'e0324|e0322|e0316|e0304|e0303|e0302|e0301|e0252',1,'','influxProject2',0,0,0,0,0,0),(3611,1402978,'influxUser35','emmy',2,1609503261,86423,'e0842|e0823',1,'','influxProject12',0,0,0,0,0,0),(3612,1406273,'influxUser4','emmy',8,1609582792,6991,'e0234|e0216|e0209|e0208|e0206|e0204|e0137|e0136',1,'','influxProject2',0,0,0,0,0,0),(3613,1406281,'influxUser4','emmy',8,1609582814,7195,'e0901|e0525|e0509|e0452|e0449|e0441|e0434|e0416',1,'','influxProject2',0,0,0,0,0,0),(3614,1406292,'influxUser4','emmy',8,1609586878,3892,'e0816|e0743|e0741|e0703|e0702|e0632|e0530|e0528',1,'','influxProject2',0,0,0,0,0,0),(3615,1407343,'influxUser16','emmy',9,1609585550,5602,'e0934|e0933|e0932|e0617|e0550|e0547|e0514|e0512|e0450',1,'','influxProject5',0,0,0,0,0,0),(3616,1406293,'influxUser4','emmy',8,1609588301,4325,'e0740|e0734|e0731|e0730|e0728|e0726|e0713|e0704',1,'','influxProject2',0,0,0,0,0,0),(3617,1407310,'influxUser42','emmy',8,1609575478,17150,'e0432|e0355|e0353|e0343|e0342|e0338|e0327|e0325',1,'','influxProject13',0,0,0,0,0,0),(3618,1406297,'influxUser4','emmy',8,1609589333,4074,'e0828|e0817|e0251|e0245|e0240|e0236|e0233|e0232',1,'','influxProject2',0,0,0,0,0,0),(3619,1406299,'influxUser4','emmy',8,1609589446,4305,'e0513|e0507|e0501|e0445|e0442|e0430|e0427|e0425',1,'','influxProject2',0,0,0,0,0,0),(3620,1406300,'influxUser4','emmy',8,1609589569,4453,'e0409|e0408|e0406|e0336|e0329|e0318|e0239|e0238',1,'','influxProject2',0,0,0,0,0,0),(3621,1406296,'influxUser4','emmy',8,1609589065,5144,'e1117|e1115|e0940|e0930|e0923|e0921|e0833|e0831',1,'','influxProject2',0,0,0,0,0,0),(3622,1406290,'influxUser4','emmy',8,1609586876,7886,'e0424|e0356|e0352|e0328|e0244|e0243|e0235|e0225',1,'','influxProject2',0,0,0,0,0,0),(3623,1406291,'influxUser4','emmy',8,1609586877,8194,'e0220|e0211|e0135|e0134|e0124|e0122|e0112|e0111',1,'','influxProject2',0,0,0,0,0,0),(3624,1403138,'influxUser35','emmy',2,1609508889,86444,'e0349|e0330',1,'','influxProject12',0,0,0,0,0,0),(3625,1402938,'influxUser35','emmy',2,1609508902,86445,'e0611|e0538',1,'','influxProject12',0,0,0,0,0,0),(3626,1403018,'influxUser35','emmy',2,1609508916,86444,'e0938|e0937',1,'','influxProject12',0,0,0,0,0,0),(3627,1402958,'influxUser35','emmy',2,1609508920,86446,'e0919|e0918',1,'','influxProject12',0,0,0,0,0,0),(3628,1402998,'influxUser35','emmy',2,1609508943,86445,'e0951|e0945',1,'','influxProject12',0,0,0,0,0,0),(3629,1403038,'influxUser35','emmy',2,1609508956,86444,'e0904|e0902',1,'','influxProject12',0,0,0,0,0,0),(3630,1403119,'influxUser35','emmy',2,1609508994,86424,'e0230|e0227',1,'','influxProject12',0,0,0,0,0,0),(3631,1403157,'influxUser35','emmy',2,1609508994,86434,'e0221|e0202',1,'','influxProject12',0,0,0,0,0,0),(3632,1403059,'influxUser35','emmy',2,1609508994,86441,'e0803|e0801',1,'','influxProject12',0,0,0,0,0,0),(3633,1403276,'influxUser35','emmy',2,1609508995,86441,'e0156|e0154',1,'','influxProject12',0,0,0,0,0,0),(3634,1406295,'influxUser4','emmy',8,1609588869,6715,'e1112|e1109|e1107|e1032|e1027|e0929|e0926|e0925',1,'','influxProject2',0,0,0,0,0,0),(3635,1407108,'influxUser39','emmy',2,1609509945,85805,'e0503|e0451',1,'','influxProject13',0,0,0,0,0,0),(3636,1403079,'influxUser35','emmy',2,1609509648,86442,'e0215|e0138',1,'','influxProject12',0,0,0,0,0,0),(3637,1406302,'influxUser4','emmy',8,1609591153,5031,'e0934|e0933|e0932|e0617|e0550|e0547|e0514|e0512',1,'','influxProject2',0,0,0,0,0,0),(3638,1403294,'influxUser35','emmy',2,1609509994,86444,'e0517|e0443',1,'','influxProject12',0,0,0,0,0,0),(3639,1406301,'influxUser4','emmy',8,1609591069,5379,'e0922|e0834|e0832|e0830|e0237|e0214|e0213|e0212',1,'','influxProject2',0,0,0,0,0,0),(3640,1403313,'influxUser35','emmy',2,1609510016,86444,'e0334|e0331',1,'','influxProject12',0,0,0,0,0,0),(3641,1403099,'influxUser35','emmy',2,1609510705,86616,'e0535|e0506',1,'','influxProject12',0,0,0,0,0,0),(3642,1407126,'influxUser30','emmy',20,1609512158,86398,'e0849|e0848|e0846|e0729|e0627|e0621|e0612|e0436|e0435|e0431|e0422|e0421|e0420|e0419|e0418|e0417|e0403|e0351|e0333|e0246',1,'','influxProject10',0,0,0,0,0,0),(3643,1406294,'influxUser4','emmy',8,1609588675,10410,'e0139|e0113|e0109|e0108|e0107|e0106|e0105|e0103',1,'','influxProject2',0,0,0,0,0,0),(3644,1407200,'influxUser30','emmy',20,1609522569,76789,'e1031|e1028|e1009|e1002|e0914|e0827|e0826|e0819|e0815|e0814|e0813|e0812|e0805|e0722|e0720|e0717|e0716|e0708|e0546|e0541',1,'','influxProject10',0,0,0,0,0,0),(3645,1407150,'influxUser39','emmy',2,1609513692,85776,'e0410|e0407',1,'','influxProject13',0,0,0,0,0,0),(3646,1407140,'influxUser35','emmy',2,1609513692,86426,'e0619|e0548',1,'','influxProject12',0,0,0,0,0,0),(3647,1407130,'influxUser35','emmy',2,1609513692,86441,'e0655|e0652',1,'','influxProject12',0,0,0,0,0,0),(3648,1406279,'influxUser4','emmy',8,1609582798,17787,'e0707|e0650|e0647|e0540|e0523|e0515|e0510|e0508',1,'','influxProject2',0,0,0,0,0,0),(3649,1407384,'influxUser59','emmy',16,1609599513,3747,'e1031|e1028|e1009|e1002|e0914|e0827|e0826|e0819|e0815|e0814|e0813|e0812|e0805|e0722|e0720|e0717',1,'','influxProject19',0,0,0,0,0,0),(3650,1406303,'influxUser4','emmy',8,1609596448,6833,'e0922|e0834|e0832|e0830|e0443|e0409|e0408|e0406',1,'','influxProject2',0,0,0,0,0,0),(3651,1407154,'influxUser35','emmy',2,1609517239,86429,'e0250|e0249',1,'','influxProject12',0,0,0,0,0,0),(3652,1406304,'influxUser4','emmy',8,1609598557,5762,'e0849|e0848|e0846|e0729|e0627|e0621|e0612|e0436',1,'','influxProject2',0,0,0,0,0,0),(3653,1403334,'influxUser35','emmy',2,1609518147,86455,'e0415|e0414',1,'','influxProject12',0,0,0,0,0,0),(3654,1406305,'influxUser4','emmy',8,1609598557,6147,'e0435|e0431|e0422|e0421|e0420|e0419|e0418|e0417',1,'','influxProject2',0,0,0,0,0,0),(3655,1403354,'influxUser35','emmy',2,1609518538,86421,'e0637|e0631',1,'','influxProject12',0,0,0,0,0,0),(3656,1403374,'influxUser35','emmy',2,1609518866,86413,'e1119|e1029',1,'','influxProject12',0,0,0,0,0,0),(3657,1406306,'influxUser4','emmy',8,1609598557,6850,'e0403|e0351|e0333|e0246|e0237|e0214|e0213|e0212',1,'','influxProject2',0,0,0,0,0,0),(3658,1407387,'influxUser19','emmy',4,1609603269,4389,'e0914|e0827|e0826|e0819',1,'','influxProject5',0,0,0,0,0,0),(3659,1404796,'influxUser13','emmy',16,1609582783,25011,'e0931|e0913|e0912|e0821|e0710|e0656|e0624|e0618|e0615|e0614|e0610|e0609|e0608|e0607|e0602|e0601',1,'','influxProject3',0,0,0,0,0,0),(3660,1407391,'influxUser59','emmy',16,1609604224,3662,'e1031|e1028|e1009|e1002|e0834|e0832|e0830|e0805|e0722|e0720|e0717|e0443|e0409|e0408|e0406|e0250',1,'','influxProject19',0,0,0,0,0,0),(3661,1404797,'influxUser13','emmy',16,1609582788,25104,'e1101|e1021|e1001|e0947|e0927|e0917|e0916|e0908|e0907|e0844|e0838|e0837|e0836|e0835|e0825|e0820',1,'','influxProject3',0,0,0,0,0,0),(3662,1407386,'influxUser19','emmy',4,1609602139,6094,'e0108|e0107|e0106|e0105',1,'','influxProject5',0,0,0,0,0,0),(3663,1407388,'influxUser19','emmy',4,1609603269,6123,'e0815|e0814|e0813|e0812',1,'','influxProject5',0,0,0,0,0,0),(3664,1406298,'influxUser4','emmy',8,1609589421,21514,'e0804|e0748|e0724|e0723|e0719|e0714|e0712|e0711',1,'','influxProject2',0,0,0,0,0,0),(3665,1406280,'influxUser4','emmy',8,1609582798,28513,'e0504|e0502|e0433|e0429|e0428|e0401|e0307|e0203',1,'','influxProject2',0,0,0,0,0,0),(3666,1407372,'influxUser12','emmy',2,1609596210,15638,'e0921|e0833',1,'','influxProject3',0,0,0,0,0,0),(3667,1404343,'influxUser13','emmy',16,1609582788,31078,'e0747|e0745|e0742|e0727|e0725|e0715|e0706|e0705|e0549|e0545|e0542|e0531|e0529|e0505|e0447|e0446',1,'','influxProject3',0,0,0,0,0,0),(3668,1407367,'influxUser38','emmy',20,1609593409,20730,'e0828|e0817|e0740|e0734|e0731|e0730|e0728|e0726|e0713|e0704|e0327|e0325|e0251|e0245|e0240|e0236|e0233|e0232|e0142|e0115',1,'','influxProject13',0,0,0,0,0,0),(3669,1404345,'influxUser13','emmy',16,1609582791,31540,'e0629|e0625|e0444|e0423|e0412|e0405|e0404|e0402|e0354|e0350|e0347|e0340|e0335|e0332|e0326|e0323',1,'','influxProject3',0,0,0,0,0,0),(3670,1407368,'influxUser38','emmy',20,1609593753,20802,'e0816|e0743|e0741|e0703|e0702|e0632|e0530|e0528|e0513|e0507|e0501|e0450|e0445|e0442|e0430|e0427|e0425|e0201|e0153|e0148',1,'','influxProject13',0,0,0,0,0,0),(3671,1404798,'influxUser13','emmy',16,1609590010,24964,'e0901|e0525|e0509|e0452|e0449|e0441|e0434|e0416|e0234|e0216|e0209|e0208|e0206|e0204|e0137|e0136',1,'','influxProject3',0,0,0,0,0,0),(3672,1407397,'influxUser16','emmy',9,1609607888,7486,'e0720|e0717|e0443|e0409|e0408|e0406|e0250|e0237|e0214',1,'','influxProject5',0,0,0,0,0,0),(3673,1407369,'influxUser38','emmy',20,1609595072,20727,'e0424|e0356|e0352|e0336|e0329|e0328|e0318|e0244|e0243|e0239|e0238|e0235|e0225|e0220|e0211|e0135|e0134|e0124|e0122|e0112',1,'','influxProject13',0,0,0,0,0,0),(3674,1406310,'influxUser4','emmy',8,1609611313,4669,'e0711|e0504|e0502|e0433|e0429|e0428|e0401|e0333',1,'','influxProject2',0,0,0,0,0,0),(3675,1407045,'influxUser5','emmy',1,1609530987,85245,'e1165',1,'','influxProject2',0,0,0,0,0,0),(3676,1407311,'influxUser42','emmy',8,1609580215,37388,'e0737|e0736|e0735|e0645|e0642|e0641|e0636|e0635',1,'','influxProject13',0,0,0,0,0,0),(3677,1407405,'influxUser16','emmy',6,1609612118,5686,'e0921|e0833|e0307|e0246|e0203|e0102',1,'','influxProject5',0,0,0,0,0,0),(3678,1406308,'influxUser4','emmy',8,1609609949,8472,'e1031|e1028|e1009|e1002|e0834|e0832|e0830|e0805',1,'','influxProject2',0,0,0,0,0,0),(3679,1406313,'influxUser4','emmy',8,1609614557,4280,'e0513|e0507|e0501|e0450|e0445|e0442|e0430|e0427',1,'','influxProject2',0,0,0,0,0,0),(3680,1407046,'influxUser5','emmy',1,1609533621,85244,'e1163',1,'','influxProject2',0,0,0,0,0,0),(3681,1406311,'influxUser4','emmy',8,1609614534,5118,'e0747|e0245|e0240|e0236|e0233|e0232|e0142|e0115',1,'','influxProject2',0,0,0,0,0,0),(3682,1407409,'influxUser19','emmy',4,1609613872,6161,'e0545|e0542|e0531|e0529',1,'','influxProject5',0,0,0,0,0,0),(3683,1407407,'influxUser19','emmy',4,1609613872,6166,'e0745|e0742|e0727|e0725',1,'','influxProject5',0,0,0,0,0,0),(3684,1407408,'influxUser19','emmy',4,1609613872,6175,'e0715|e0706|e0705|e0549',1,'','influxProject5',0,0,0,0,0,0),(3685,1407371,'influxUser38','emmy',20,1609595437,25031,'e0951|e0945|e0938|e0937|e0919|e0918|e0904|e0902|e0803|e0801|e0611|e0538|e0349|e0330|e0230|e0227|e0221|e0202|e0156|e0154',1,'','influxProject13',0,0,0,0,0,0),(3686,1406312,'influxUser4','emmy',8,1609614557,6660,'e0816|e0743|e0741|e0703|e0702|e0632|e0530|e0528',1,'','influxProject2',0,0,0,0,0,0),(3687,1406314,'influxUser4','emmy',8,1609617806,3634,'e0921|e0833|e0307|e0246|e0203|e0134|e0124|e0102',1,'','influxProject2',0,0,0,0,0,0),(3688,1406341,'influxUser4','emmy',8,1609618422,4174,'e1031|e1028|e1009|e1002|e0834|e0832|e0830|e0805',1,'','influxProject2',0,0,0,0,0,0),(3689,1407077,'influxUser10','emmy',4,1609580671,42166,'e0224|e0219|e0218|e0126',1,'','influxProject3',0,0,0,0,0,0),(3690,1407363,'influxUser11','emmy',4,1609592634,30595,'e0353|e0343|e0342|e0338',1,'','influxProject3',0,0,0,0,0,0),(3691,1407416,'influxUser42','emmy',2,1609619560,5437,'e0237|e0235',1,'','influxProject13',0,0,0,0,0,0),(3692,1406342,'influxUser4','emmy',8,1609618843,6458,'e0513|e0507|e0501|e0450|e0445|e0442|e0430|e0427',1,'','influxProject2',0,0,0,0,0,0),(3693,1404346,'influxUser13','emmy',16,1609586954,38466,'e1106|e0948|e0348|e0345|e0321|e0320|e0317|e0312|e0311|e0310|e0305|e0242|e0205|e0151|e0127|e0123',1,'','influxProject3',0,0,0,0,0,0),(3694,1407050,'influxUser5','emmy',1,1609540394,85234,'e1162',1,'','influxProject2',0,0,0,0,0,0),(3695,1404347,'influxUser13','emmy',16,1609587050,39111,'e1025|e1024|e1023|e1022|e1012|e1007|e1006|e1004|e0344|e0314|e0306|e0231|e0210|e0207|e0149|e0147',1,'','influxProject3',0,0,0,0,0,0),(3696,1407296,'influxUser44','emmy',1,1609540341,86006,'e1008',1,'','influxProject14',0,0,0,0,0,0),(3697,1407340,'influxUser23','emmy',6,1609583303,43267,'e1110|e1017|e1016|e1014|e0152|e0150',1,'','influxProject8',0,0,0,0,0,0),(3698,1404348,'influxUser13','emmy',16,1609587439,39237,'e1129|e1128|e1127|e1124|e1122|e1121|e1120|e1118|e1108|e1105|e1011|e1010|e0701|e0649|e0146|e0133',1,'','influxProject3',0,0,0,0,0,0),(3699,1407127,'influxUser11','emmy',8,1609581922,45329,'e1019|e1018|e0911|e0824|e0738|e0653|e0651|e0640',1,'','influxProject3',0,0,0,0,0,0),(3700,1404349,'influxUser13','emmy',16,1609588301,39153,'e1104|e1103|e1005|e1003|e0950|e0949|e0944|e0924|e0915|e0851|e0822|e0818|e0811|e0810|e0809|e0751',1,'','influxProject3',0,0,0,0,0,0),(3701,1405917,'influxUser7','emmy',1,1609542708,85666,'e1161',1,'','influxProject2',0,0,0,0,0,0),(3702,1407432,'influxUser16','emmy',10,1609622841,5695,'e0134|e0126|e0102|e1031|e1028|e1009|e1002|e0921|e0834|e0833',1,'','influxProject5',0,0,0,0,0,0),(3703,1404350,'influxUser13','emmy',16,1609589634,38984,'e0324|e0322|e0316|e0304|e0303|e0302|e0301|e0252|e0228|e0226|e0131|e0129|e0125|e0121|e0120|e0118',1,'','influxProject3',0,0,0,0,0,0),(3704,1407438,'influxUser51','emmy',1,1609626627,3606,'e1110',1,'','influxProject17',0,0,0,0,0,0),(3705,1407414,'influxUser12','emmy',2,1609616251,15635,'e0122|e0112',1,'','influxProject3',0,0,0,0,0,0),(3706,1406344,'influxUser4','emmy',8,1609628538,3668,'e1031|e1028|e1009|e1002|e0921|e0834|e0833|e0237',1,'','influxProject2',0,0,0,0,0,0),(3707,1406307,'influxUser4','emmy',8,1609609704,22761,'e0838|e0837|e0836|e0835|e0827|e0826|e0825|e0821',1,'','influxProject2',0,0,0,0,0,0),(3708,1405925,'influxUser7','emmy',1,1609547022,85540,'e1167',1,'','influxProject2',0,0,0,0,0,0),(3709,1406343,'influxUser4','emmy',8,1609628529,4640,'e1019|e1018|e0911|e0824|e0738|e0653|e0651|e0640',1,'','influxProject2',0,0,0,0,0,0),(3710,1406315,'influxUser4','emmy',8,1609628619,6152,'e0228|e0226|e0134|e0131|e0129|e0126|e0125|e0123',1,'','influxProject2',0,0,0,0,0,0),(3711,1407152,'influxUser11','emmy',4,1609582059,54139,'e0223|e0155|e0145|e0144',1,'','influxProject3',0,0,0,0,0,0),(3712,1406309,'influxUser4','emmy',8,1609610936,28515,'e0804|e0748|e0724|e0723|e0722|e0719|e0714|e0712',1,'','influxProject2',0,0,0,0,0,0),(3713,1405927,'influxUser7','emmy',1,1609559487,85381,'e1164',1,'','influxProject2',0,0,0,0,0,0),(3714,1407390,'influxUser21','emmy',29,1609609662,36077,'e0820|e0819|e0815|e0814|e0813|e0812|e0729|e0710|e0656|e0637|e0631|e0627|e0624|e0621|e0618|e0615|e0614|e0612|e0610|e0609|e0608|e0607|e0602|e0601|e0436|e0435|e0431|e0422|e0421',1,'','influxProject7',0,0,0,0,0,0),(3715,1407444,'influxUser19','emmy',9,1609631893,13929,'e1110|e0324|e0322|e0316|e0304|e0303|e0302|e0301|e0252',1,'','influxProject5',0,0,0,0,0,0),(3716,1407128,'influxUser22','emmy',10,1609580215,66806,'e0633|e0628|e0626|e0622|e0539|e0537|e0536|e0534|e0533|e0521',1,'','influxProject7',0,0,0,0,0,0),(3717,1407446,'influxUser42','emmy',8,1609634773,16486,'e0738|e0653|e0651|e0640|e0228|e0226|e0134|e0131',1,'','influxProject13',0,0,0,0,0,0),(3718,1407447,'influxUser42','emmy',8,1609634846,16726,'e1019|e1018|e0129|e0126|e0125|e0123|e0122|e0112',1,'','influxProject13',0,0,0,0,0,0),(3719,1407453,'influxUser29','emmy',1,1609649776,4368,'e0633',1,'','influxProject21',0,0,0,0,0,0),(3720,1407059,'influxUser7','emmy',1,1609625634,29942,'e1162',1,'','influxProject2',0,0,0,0,0,0),(3721,1407433,'influxUser11','emmy',4,1609627456,28419,'e0307|e0305|e0246|e0242',1,'','influxProject3',0,0,0,0,0,0),(3722,1407095,'influxUser10','emmy',4,1609581922,74508,'e1123|e1116|e1111|e1020',1,'','influxProject3',0,0,0,0,0,0),(3723,1407106,'influxUser10','emmy',4,1609582302,74258,'e0903|e0852|e0850|e0847',1,'','influxProject3',0,0,0,0,0,0),(3724,1407105,'influxUser10','emmy',4,1609582302,74535,'e0920|e0909|e0906|e0905',1,'','influxProject3',0,0,0,0,0,0),(3725,1407086,'influxUser10','emmy',4,1609581076,76174,'e0315|e0313|e0309|e0101',1,'','influxProject3',0,0,0,0,0,0),(3726,1407093,'influxUser10','emmy',4,1609581922,75473,'e1132|e1131|e1130|e1126',1,'','influxProject3',0,0,0,0,0,0),(3727,1407419,'influxUser17','emmy',24,1609619654,38916,'e0747|e0425|e0424|e0416|e0409|e0408|e0406|e0401|e0356|e0352|e0336|e0333|e0329|e0328|e0318|e0250|e0245|e0244|e0243|e0240|e0239|e0238|e0236|e0233',1,'','influxProject5',0,0,0,0,0,0),(3728,1407418,'influxUser17','emmy',24,1609619560,39661,'e0901|e0737|e0736|e0735|e0720|e0717|e0711|e0645|e0642|e0641|e0636|e0635|e0525|e0509|e0504|e0502|e0452|e0449|e0443|e0441|e0434|e0433|e0429|e0428',1,'','influxProject5',0,0,0,0,0,0),(3729,1407420,'influxUser17','emmy',24,1609620469,39275,'e0951|e0945|e0938|e0937|e0919|e0918|e0904|e0902|e0803|e0801|e0611|e0542|e0538|e0531|e0529|e0349|e0330|e0232|e0230|e0227|e0221|e0202|e0156|e0154',1,'','influxProject5',0,0,0,0,0,0),(3730,1407312,'influxUser42','emmy',8,1609574484,86449,'e0808|e0807|e0806|e0733|e0654|e0630|e0620|e0616',1,'','influxProject13',0,0,0,0,0,0),(3731,1407040,'influxUser7','emmy',1,1609576132,85911,'e1168',1,'','influxProject2',0,0,0,0,0,0),(3732,1407373,'influxUser10','emmy',4,1609596206,66756,'e0940|e0930|e0923|e0111',1,'','influxProject3',0,0,0,0,0,0),(3733,1407274,'influxUser5','emmy',1,1609581196,85245,'e1068',1,'','influxProject2',0,0,0,0,0,0),(3734,1407424,'influxUser17','emmy',24,1609627456,39214,'e1104|e1103|e1005|e1003|e0950|e0949|e0944|e0924|e0915|e0851|e0822|e0818|e0811|e0810|e0809|e0751|e0450|e0445|e0442|e0430|e0427|e0353|e0348|e0345',1,'','influxProject5',0,0,0,0,0,0),(3735,1407423,'influxUser17','emmy',24,1609627382,39810,'e1106|e0948|e0830|e0816|e0805|e0745|e0743|e0742|e0741|e0727|e0725|e0715|e0706|e0705|e0703|e0702|e0632|e0549|e0545|e0530|e0528|e0513|e0507|e0501',1,'','influxProject5',0,0,0,0,0,0),(3736,1407422,'influxUser17','emmy',24,1609626677,40535,'e1129|e1128|e1127|e1124|e1122|e1121|e1120|e1118|e1108|e1105|e1017|e1016|e1014|e1011|e1010|e1008|e0701|e0649|e0152|e0150|e0146|e0133|e0127|e0124',1,'','influxProject5',0,0,0,0,0,0),(3737,1407421,'influxUser17','emmy',24,1609626162,41216,'e1025|e1024|e1023|e1022|e1012|e1007|e1006|e1004|e0832|e0344|e0314|e0306|e0235|e0231|e0224|e0219|e0218|e0210|e0207|e0205|e0203|e0151|e0149|e0147',1,'','influxProject5',0,0,0,0,0,0),(3738,1407281,'influxUser5','emmy',1,1609582277,85233,'e1067',1,'','influxProject2',0,0,0,0,0,0),(3739,1407198,'influxUser21','emmy',29,1609581076,86479,'e1125|e1102|e1030|e0952|e0941|e0939|e0936|e0928|e0839|e0829|e0802|e0752|e0750|e0749|e0744|e0739|e0623|e0516|e0511|e0448|e0440|e0438|e0426|e0413|e0346|e0341|e0339|e0337|e0319',1,'','influxProject7',0,0,0,0,0,0),(3740,1407339,'influxUser21','emmy',29,1609586876,81082,'e0946|e0943|e0942|e0935|e0845|e0843|e0840|e0746|e0721|e0718|e0709|e0648|e0646|e0644|e0643|e0638|e0634|e0613|e0606|e0605|e0603|e0552|e0551|e0544|e0543|e0532|e0527|e0526|e0524',1,'','influxProject7',0,0,0,0,0,0),(3741,1407104,'influxUser10','emmy',4,1609582059,86447,'e0143|e0141|e0132|e0128',1,'','influxProject3',0,0,0,0,0,0),(3742,1407330,'influxUser23','emmy',7,1609582059,86456,'e0639|e0522|e0520|e0518|e0308|e0248|e0229',1,'','influxProject8',0,0,0,0,0,0),(3743,1406317,'influxUser4','emmy',8,1609666673,3995,'e0348|e0345|e0131|e0129|e0126|e0111|e0102|e0101',1,'','influxProject2',0,0,0,0,0,0),(3744,1404799,'influxUser13','emmy',16,1609645741,25059,'e0820|e0819|e0815|e0814|e0813|e0812|e0804|e0748|e0729|e0724|e0723|e0722|e0719|e0714|e0712|e0710',1,'','influxProject3',0,0,0,0,0,0),(3745,1406346,'influxUser4','emmy',8,1609667213,3961,'e0701|e0649|e0152|e0150|e0146|e0133|e0127|e0124',1,'','influxProject2',0,0,0,0,0,0),(3746,1406316,'influxUser4','emmy',8,1609666672,4809,'e0620|e0616|e0450|e0445|e0442|e0430|e0427|e0353',1,'','influxProject2',0,0,0,0,0,0),(3747,1406318,'influxUser4','emmy',8,1609667193,4522,'e0632|e0549|e0545|e0530|e0528|e0513|e0507|e0501',1,'','influxProject2',0,0,0,0,0,0),(3748,1404351,'influxUser13','emmy',16,1609632467,39354,'e1031|e1028|e1009|e1002|e0921|e0838|e0837|e0836|e0835|e0834|e0833|e0827|e0826|e0825|e0821|e0237',1,'','influxProject3',0,0,0,0,0,0),(3749,1407466,'influxUser55','emmy',20,1609667380,5812,'e1025|e1024|e1023|e1022|e1012|e1007|e1006|e1004|e0832|e0344|e0314|e0306|e0235|e0231|e0224|e0219|e0218|e0210|e0207|e0205',1,'','influxProject18',0,0,0,0,0,0),(3750,1407353,'influxUser39','emmy',2,1609588646,85792,'e0130|e0110',1,'','influxProject13',0,0,0,0,0,0),(3751,1407355,'influxUser39','emmy',2,1609588869,85802,'e1114|e1113',1,'','influxProject13',0,0,0,0,0,0),(3752,1407061,'influxUser7','emmy',1,1609628384,47721,'e1161',1,'','influxProject2',0,0,0,0,0,0),(3753,1407164,'influxUser35','emmy',2,1609589687,86422,'e0117|e0116',1,'','influxProject12',0,0,0,0,0,0),(3754,1402979,'influxUser35','emmy',2,1609589685,86445,'e0842|e0823',1,'','influxProject12',0,0,0,0,0,0),(3755,1406348,'influxUser4','emmy',8,1609672233,4425,'e0522|e0520|e0513|e0507|e0501|e0237|e0102|e0101',1,'','influxProject2',0,0,0,0,0,0),(3756,1406347,'influxUser4','emmy',8,1609672232,5010,'e0654|e0639|e0632|e0630|e0549|e0545|e0530|e0528',1,'','influxProject2',0,0,0,0,0,0),(3757,1406350,'influxUser4','emmy',8,1609673193,4559,'e0832|e0344|e0314|e0306|e0235|e0231|e0224|e0219',1,'','influxProject2',0,0,0,0,0,0),(3758,1406319,'influxUser4','emmy',8,1609672754,5057,'e0518|e0348|e0345|e0308|e0248|e0229|e0147|e0143',1,'','influxProject2',0,0,0,0,0,0),(3759,1406349,'influxUser4','emmy',8,1609673193,5012,'e1025|e1024|e1023|e1022|e1012|e1007|e1006|e1004',1,'','influxProject2',0,0,0,0,0,0),(3760,1404736,'influxUser47','emmy',4,1609608647,69718,'e0108|e0107|e0106|e0105',1,'','influxProject16',0,0,0,0,0,0),(3761,1404737,'influxUser47','emmy',4,1609609663,69739,'e0420|e0419|e0418|e0417',1,'','influxProject16',0,0,0,0,0,0),(3762,1404738,'influxUser47','emmy',4,1609609663,69747,'e0415|e0414|e0403|e0351',1,'','influxProject16',0,0,0,0,0,0),(3763,1404740,'influxUser47','emmy',4,1609609703,69749,'e0916|e0914|e0913|e0912',1,'','influxProject16',0,0,0,0,0,0),(3764,1404741,'influxUser47','emmy',4,1609609703,69784,'e0908|e0907|e0846|e0844',1,'','influxProject16',0,0,0,0,0,0),(3765,1404739,'influxUser47','emmy',4,1609609703,70215,'e1119|e1029|e0931|e0922',1,'','influxProject16',0,0,0,0,0,0),(3766,1403139,'influxUser35','emmy',2,1609595500,86456,'e0432|e0355',1,'','influxProject12',0,0,0,0,0,0),(3767,1402999,'influxUser35','emmy',2,1609595586,86431,'e0926|e0925',1,'','influxProject12',0,0,0,0,0,0),(3768,1403019,'influxUser35','emmy',2,1609595585,86441,'e1027|e0929',1,'','influxProject12',0,0,0,0,0,0),(3769,1402959,'influxUser35','emmy',2,1609595585,86456,'e1107|e1032',1,'','influxProject12',0,0,0,0,0,0),(3770,1402939,'influxUser35','emmy',2,1609595585,86462,'e1112|e1109',1,'','influxProject12',0,0,0,0,0,0),(3771,1403039,'influxUser35','emmy',2,1609595752,86436,'e0503|e0451',1,'','influxProject12',0,0,0,0,0,0),(3772,1407481,'influxUser16','emmy',10,1609676660,5686,'e0842|e0823|e0522|e0520|e0513|e0507|e0501|e0237|e0132|e0102',1,'','influxProject5',0,0,0,0,0,0),(3773,1403060,'influxUser35','emmy',2,1609596091,86444,'e0215|e0138',1,'','influxProject12',0,0,0,0,0,0),(3774,1403120,'influxUser35','emmy',2,1609596186,86419,'e0934|e0933',1,'','influxProject12',0,0,0,0,0,0),(3775,1407201,'influxUser35','emmy',2,1609596187,86422,'e0514|e0512',1,'','influxProject12',0,0,0,0,0,0),(3776,1403277,'influxUser35','emmy',2,1609596186,86460,'e0550|e0547',1,'','influxProject12',0,0,0,0,0,0),(3777,1403080,'influxUser35','emmy',2,1609596206,86441,'e1117|e1115',1,'','influxProject12',0,0,0,0,0,0),(3778,1403158,'influxUser35','emmy',2,1609596186,86463,'e0932|e0617',1,'','influxProject12',0,0,0,0,0,0),(3779,1403295,'influxUser35','emmy',2,1609596440,86426,'e0831|e0517',1,'','influxProject12',0,0,0,0,0,0),(3780,1403314,'influxUser35','emmy',2,1609596465,86440,'e0334|e0331',1,'','influxProject12',0,0,0,0,0,0),(3781,1403100,'influxUser35','emmy',2,1609597322,86445,'e0535|e0506',1,'','influxProject12',0,0,0,0,0,0),(3782,1407441,'influxUser11','emmy',8,1609627456,56554,'e0343|e0338|e0321|e0320|e0317|e0312|e0311|e0310',1,'','influxProject3',0,0,0,0,0,0),(3783,1404352,'influxUser13','emmy',16,1609645741,38969,'e0656|e0637|e0631|e0627|e0624|e0621|e0618|e0615|e0614|e0612|e0610|e0609|e0608|e0607|e0602|e0601',1,'','influxProject3',0,0,0,0,0,0),(3784,1404353,'influxUser13','emmy',16,1609645823,38983,'e1110|e0436|e0435|e0431|e0422|e0421|e0324|e0322|e0316|e0304|e0303|e0302|e0301|e0252|e0223|e0155',1,'','influxProject3',0,0,0,0,0,0),(3785,1407141,'influxUser35','emmy',2,1609600120,86441,'e0716|e0708',1,'','influxProject12',0,0,0,0,0,0),(3786,1407131,'influxUser35','emmy',2,1609600135,86444,'e0655|e0652',1,'','influxProject12',0,0,0,0,0,0),(3787,1407489,'influxUser23','emmy',7,1609678571,8057,'e1025|e1024|e1023|e1022|e1012|e1007|e1006',1,'','influxProject8',0,0,0,0,0,0),(3788,1407382,'influxUser30','emmy',20,1609600587,86382,'e0707|e0650|e0647|e0619|e0604|e0548|e0546|e0541|e0540|e0523|e0515|e0510|e0508|e0410|e0407|e0139|e0119|e0114|e0113|e0109',1,'','influxProject10',0,0,0,0,0,0),(3789,1407460,'influxUser11','emmy',4,1609655878,31265,'e0125|e0123|e0122|e0112',1,'','influxProject3',0,0,0,0,0,0),(3790,1407398,'influxUser41','emmy',2,1609608646,79893,'e0927|e0917',1,'','influxProject13',0,0,0,0,0,0),(3791,1405815,'influxUser13','emmy',16,1609667557,22590,'e0623|e0516|e0511|e0448|e0440|e0438|e0426|e0413|e0346|e0341|e0339|e0337|e0319|e0203|e0151|e0149',1,'','influxProject3',0,0,0,0,0,0),(3792,1407155,'influxUser35','emmy',2,1609604224,86448,'e0249|e0103',1,'','influxProject12',0,0,0,0,0,0),(3793,1403335,'influxUser35','emmy',2,1609604603,86417,'e0849|e0848',1,'','influxProject12',0,0,0,0,0,0),(3794,1404354,'influxUser13','emmy',16,1609651614,39698,'e1019|e1018|e0651|e0640|e0622|e0539|e0537|e0536|e0534|e0533|e0521|e0228|e0226|e0145|e0144|e0134',1,'','influxProject3',0,0,0,0,0,0),(3795,1404802,'influxUser13','emmy',16,1609667213,24917,'e1129|e1128|e1127|e1124|e1122|e1121|e1120|e1118|e1108|e1105|e1017|e1016|e1014|e1011|e1010|e1008',1,'','influxProject3',0,0,0,0,0,0),(3796,1404800,'influxUser13','emmy',16,1609667193,25026,'e1106|e0948|e0830|e0816|e0805|e0745|e0743|e0742|e0741|e0727|e0725|e0715|e0706|e0705|e0703|e0702',1,'','influxProject3',0,0,0,0,0,0),(3797,1404356,'influxUser13','emmy',16,1609659746,33006,'e0449|e0443|e0441|e0434|e0433|e0429|e0428|e0349|e0330|e0232|e0230|e0227|e0221|e0202|e0156|e0154',1,'','influxProject3',0,0,0,0,0,0),(3798,1405816,'influxUser13','emmy',16,1609671175,22673,'e0712|e0710|e0709|e0701|e0649|e0648|e0646|e0644|e0643|e0638|e0152|e0150|e0146|e0133|e0131|e0129',1,'','influxProject3',0,0,0,0,0,0),(3799,1405817,'influxUser13','emmy',16,1609671531,22630,'e0940|e0930|e0923|e0620|e0616|e0450|e0445|e0442|e0430|e0427|e0353|e0128|e0127|e0126|e0124|e0111',1,'','influxProject3',0,0,0,0,0,0),(3800,1403355,'influxUser35','emmy',2,1609607833,86465,'e0213|e0212',1,'','influxProject12',0,0,0,0,0,0),(3801,1407211,'influxUser35','emmy',2,1609607893,86426,'e1001|e0947',1,'','influxProject12',0,0,0,0,0,0),(3802,1403375,'influxUser35','emmy',2,1609607893,86427,'e1101|e1021',1,'','influxProject12',0,0,0,0,0,0),(3803,1405818,'influxUser13','emmy',16,1609671822,22615,'e1031|e1028|e1009|e1002|e0921|e0838|e0837|e0836|e0835|e0834|e0833|e0827|e0826|e0825|e0821|e0733',1,'','influxProject3',0,0,0,0,0,0),(3804,1404355,'influxUser13','emmy',16,1609658573,38610,'e0307|e0305|e0250|e0246|e0245|e0244|e0243|e0242|e0240|e0239|e0238|e0236|e0233|e0211|e0148|e0135',1,'','influxProject3',0,0,0,0,0,0),(3805,1407484,'influxUser38','emmy',20,1609677813,20004,'e0832|e0654|e0639|e0632|e0630|e0549|e0545|e0530|e0528|e0518|e0348|e0345|e0344|e0314|e0308|e0306|e0248|e0229|e0224|e0219',1,'','influxProject13',0,0,0,0,0,0),(3806,1404742,'influxUser47','emmy',4,1609628659,69827,'e0121|e0120|e0118|e0115',1,'','influxProject16',0,0,0,0,0,0),(3807,1407497,'influxUser45','emmy',4,1609681233,18053,'e1119|e1029|e1004|e0931',1,'','influxProject15',0,0,0,0,0,0),(3808,1404357,'influxUser13','emmy',16,1609666672,33451,'e1104|e1103|e1005|e1003|e0950|e0949|e0944|e0924|e0915|e0851|e0822|e0818|e0811|e0810|e0809|e0751',1,'','influxProject3',0,0,0,0,0,0),(3809,1406320,'influxUser4','emmy',8,1609688178,11996,'e0112|e0108|e0107|e0106|e0105|e0102|e0101|e0122',1,'','influxProject2',0,0,0,0,0,0),(3810,1407317,'influxUser49','emmy',32,1609614332,86449,'e0828|e0817|e0740|e0734|e0731|e0730|e0728|e0726|e0713|e0704|e0629|e0625|e0505|e0447|e0446|e0444|e0423|e0412|e0405|e0404|e0402|e0354|e0350|e0347|e0340|e0335|e0332|e0327|e0326|e0325|e0323|e0251',1,'','influxProject16',0,0,0,0,0,0),(3811,1407494,'influxUser42','emmy',8,1609682650,18138,'e1117|e1115|e0932|e0617|e0550|e0547|e0514|e0512',1,'','influxProject13',0,0,0,0,0,0),(3812,1404358,'influxUser13','emmy',16,1609667557,33380,'e1125|e1102|e1030|e0952|e0941|e0939|e0936|e0928|e0839|e0829|e0802|e0752|e0750|e0749|e0744|e0739',1,'','influxProject3',0,0,0,0,0,0),(3813,1404360,'influxUser13','emmy',16,1609668293,32849,'e0808|e0807|e0806|e0634|e0613|e0606|e0605|e0603|e0552|e0551|e0544|e0543|e0532|e0527|e0526|e0524',1,'','influxProject3',0,0,0,0,0,0),(3814,1407297,'influxUser5','emmy',1,1609616239,85243,'e1165',1,'','influxProject2',0,0,0,0,0,0),(3815,1407495,'influxUser42','emmy',8,1609683861,17783,'e0922|e0831|e0535|e0517|e0506|e0334|e0331|e0132',1,'','influxProject13',0,0,0,0,0,0),(3816,1407485,'influxUser38','emmy',20,1609682027,19915,'e1027|e0929|e0926|e0925|e0916|e0914|e0913|e0912|e0908|e0907|e0846|e0844|e0432|e0420|e0419|e0418|e0417|e0355|e0147|e0143',1,'','influxProject13',0,0,0,0,0,0),(3817,1407524,'influxUser19','emmy',4,1609688289,13876,'e1025|e0934|e0933|e0407',1,'','influxProject5',0,0,0,0,0,0),(3818,1407525,'influxUser19','emmy',4,1609688295,13901,'e0139|e0125|e0123|e0119',1,'','influxProject5',0,0,0,0,0,0),(3819,1407487,'influxUser38','emmy',20,1609682536,19974,'e1112|e1109|e1107|e1032|e0842|e0823|e0522|e0520|e0513|e0507|e0503|e0501|e0451|e0415|e0414|e0403|e0351|e0237|e0215|e0138',1,'','influxProject13',0,0,0,0,0,0),(3820,1407488,'influxUser12','emmy',2,1609687064,15639,'e0113|e0109',1,'','influxProject3',0,0,0,0,0,0),(3821,1407054,'influxUser7','emmy',1,1609618871,85494,'e1163',1,'','influxProject2',0,0,0,0,0,0),(3822,1406351,'influxUser4','emmy',8,1609700616,4024,'e0112|e0108|e0107|e0106|e0105|e0103|e0102|e0101',1,'','influxProject2',0,0,0,0,0,0),(3823,1407526,'influxUser19','emmy',4,1609691314,13937,'e1019|e1018|e0651|e0640',1,'','influxProject5',0,0,0,0,0,0),(3824,1406321,'influxUser4','emmy',8,1609705252,5330,'e0105|e0103|e0102|e0101|e1019|e1018|e0651|e0640',1,'','influxProject2',0,0,0,0,0,0),(3825,1407437,'influxUser44','emmy',1,1609626353,84543,'e0142',1,'','influxProject14',0,0,0,0,0,0),(3826,1407542,'influxUser42','emmy',8,1609694176,17232,'e0353|e0146|e0133|e0131|e0129|e0128|e0127|e0126',1,'','influxProject13',0,0,0,0,0,0),(3827,1407571,'influxUser54','emmy',1,1609710579,5538,'e0524',1,'','influxProject18',0,0,0,0,0,0),(3828,1407331,'influxUser5','emmy',1,1609632571,85244,'e1167',1,'','influxProject2',0,0,0,0,0,0),(3829,1407450,'influxUser39','emmy',2,1609633170,85795,'e0911|e0824',1,'','influxProject13',0,0,0,0,0,0),(3830,1407575,'influxUser16','emmy',12,1609713294,7171,'e0102|e0101|e1019|e1018|e0651|e0640|e0353|e0146|e0142|e0133|e0131|e0129',1,'','influxProject5',0,0,0,0,0,0),(3831,1407062,'influxUser7','emmy',1,1609644877,76700,'e1164',1,'','influxProject2',0,0,0,0,0,0),(3832,1407508,'influxUser21','emmy',29,1609692221,34959,'e1127|e1124|e1122|e1121|e1120|e1118|e1108|e1106|e1105|e1017|e1016|e1014|e1011|e1010|e1008|e0948|e0830|e0816|e0805|e0745|e0743|e0742|e0741|e0727|e0725|e0715|e0706|e0705|e0703',1,'','influxProject7',0,0,0,0,0,0),(3833,1407569,'influxUser54','emmy',5,1609710553,21651,'e0108|e0107|e0106|e1104|e1103',1,'','influxProject18',0,0,0,0,0,0),(3834,1407322,'influxUser7','emmy',1,1609704375,32031,'e1163',1,'','influxProject2',0,0,0,0,0,0),(3835,1407582,'influxUser39','emmy',2,1609727187,9439,'e0115|e0112',1,'','influxProject13',0,0,0,0,0,0),(3836,1407559,'influxUser42','emmy',8,1609701645,37596,'e0922|e0831|e0535|e0527|e0526|e0517|e0506|e0334',1,'','influxProject13',0,0,0,0,0,0),(3837,1407413,'influxUser5','emmy',1,1609655582,85233,'e1162',1,'','influxProject2',0,0,0,0,0,0),(3838,1407457,'influxUser30','emmy',20,1609657333,86427,'e0920|e0909|e0906|e0905|e0315|e0313|e0309|e0234|e0225|e0220|e0216|e0214|e0209|e0208|e0206|e0204|e0201|e0153|e0137|e0136',1,'','influxProject10',0,0,0,0,0,0),(3839,1407315,'influxUser46','emmy',32,1609658572,86446,'e1132|e1131|e1130|e1126|e1123|e1116|e1111|e1020|e0903|e0852|e0850|e0847|e0747|e0738|e0653|e0633|e0628|e0626|e0425|e0424|e0416|e0409|e0408|e0406|e0401|e0356|e0352|e0336|e0333|e0329|e0328|e0318',1,'','influxProject16',0,0,0,0,0,0),(3840,1407316,'influxUser46','emmy',32,1609659746,86464,'e0951|e0945|e0938|e0937|e0919|e0918|e0904|e0902|e0901|e0803|e0801|e0737|e0736|e0735|e0720|e0717|e0711|e0645|e0642|e0641|e0636|e0635|e0611|e0542|e0538|e0531|e0529|e0525|e0509|e0504|e0502|e0452',1,'','influxProject16',0,0,0,0,0,0),(3841,1407417,'influxUser5','emmy',1,1609662052,85243,'e1168',1,'','influxProject2',0,0,0,0,0,0),(3842,1407476,'influxUser10','emmy',4,1609674708,74497,'e1114|e1113|e0130|e0110',1,'','influxProject3',0,0,0,0,0,0),(3843,1407594,'influxUser42','emmy',2,1609744223,5441,'e0309|e0234',1,'','influxProject13',0,0,0,0,0,0),(3844,1407474,'influxUser10','emmy',4,1609674558,75850,'e0210|e0207|e0205|e0141',1,'','influxProject3',0,0,0,0,0,0),(3845,1407509,'influxUser21','emmy',29,1609693849,57658,'e0712|e0710|e0709|e0702|e0701|e0649|e0648|e0646|e0644|e0643|e0638|e0449|e0443|e0441|e0434|e0433|e0429|e0428|e0349|e0330|e0232|e0230|e0227|e0221|e0202|e0156|e0154|e0152|e0150',1,'','influxProject7',0,0,0,0,0,0),(3846,1407574,'influxUser12','emmy',8,1609746211,5388,'e0951|e0945|e0938|e0937|e0919|e0918|e0904|e0902',1,'','influxProject3',0,0,0,0,0,0),(3847,1407436,'influxUser5','emmy',1,1609666449,85234,'e1068',1,'','influxProject2',0,0,0,0,0,0),(3848,1407570,'influxUser54','emmy',18,1609727187,24635,'e0816|e0805|e0745|e0743|e0742|e0741|e0727|e0725|e0715|e0706|e0705|e0703|e0651|e0640|e0524|e0353|e0146|e0142',1,'','influxProject18',0,0,0,0,0,0),(3849,1407309,'influxUser7','emmy',1,1609667517,85502,'e1067',1,'','influxProject2',0,0,0,0,0,0),(3850,1407510,'influxUser21','emmy',29,1609697184,57657,'e1021|e1009|e1002|e1001|e0947|e0940|e0930|e0923|e0921|e0838|e0837|e0836|e0835|e0834|e0833|e0827|e0821|e0733|e0620|e0616|e0450|e0445|e0442|e0430|e0427|e0307|e0305|e0250|e0246',1,'','influxProject7',0,0,0,0,0,0),(3851,1407600,'influxUser45','emmy',2,1609751606,3642,'e0108|e0107',1,'','influxProject15',0,0,0,0,0,0),(3852,1407567,'influxUser19','emmy',6,1609727187,28258,'e0133|e0131|e0129|e0128|e0127|e0126',1,'','influxProject5',0,0,0,0,0,0),(3853,1407566,'influxUser55','emmy',20,1609727181,28269,'e1127|e1124|e1122|e1121|e1120|e1118|e1108|e1106|e1105|e1019|e1018|e1017|e1016|e1014|e1011|e1010|e1008|e0948|e0911|e0830',1,'','influxProject18',0,0,0,0,0,0),(3854,1407511,'influxUser21','emmy',29,1609697818,57667,'e0832|e0654|e0639|e0632|e0630|e0549|e0545|e0530|e0528|e0518|e0348|e0345|e0344|e0314|e0308|e0306|e0248|e0245|e0244|e0243|e0242|e0240|e0239|e0238|e0236|e0233|e0229|e0224|e0219',1,'','influxProject7',0,0,0,0,0,0),(3855,1407599,'influxUser12','emmy',8,1609751600,5385,'e0644|e0643|e0638|e0449|e0443|e0441|e0434|e0433',1,'','influxProject3',0,0,0,0,0,0),(3856,1407318,'influxUser49','emmy',24,1609670801,86452,'e0946|e0943|e0942|e0935|e0845|e0843|e0840|e0820|e0819|e0815|e0814|e0813|e0812|e0804|e0748|e0746|e0729|e0724|e0723|e0722|e0721|e0719|e0718|e0714',1,'','influxProject16',0,0,0,0,0,0),(3857,1407512,'influxUser21','emmy',29,1609700782,57665,'e1028|e1005|e1003|e0950|e0949|e0944|e0924|e0915|e0851|e0828|e0822|e0818|e0817|e0811|e0810|e0809|e0751|e0740|e0734|e0731|e0730|e0728|e0726|e0713|e0704|e0629|e0625|e0505|e0447',1,'','influxProject7',0,0,0,0,0,0),(3858,1407513,'influxUser21','emmy',29,1609700789,57665,'e1117|e1115|e0932|e0617|e0550|e0547|e0514|e0512|e0446|e0444|e0423|e0412|e0405|e0404|e0402|e0354|e0350|e0347|e0340|e0335|e0332|e0327|e0326|e0325|e0323|e0251|e0122|e0120|e0118',1,'','influxProject7',0,0,0,0,0,0),(3859,1407514,'influxUser21','emmy',29,1609701143,57673,'e1125|e1102|e1030|e0952|e0941|e0939|e0936|e0928|e0839|e0829|e0808|e0807|e0806|e0802|e0752|e0750|e0749|e0744|e0739|e0634|e0613|e0606|e0605|e0603|e0552|e0551|e0544|e0543|e0532',1,'','influxProject7',0,0,0,0,0,0),(3860,1407477,'influxUser10','emmy',4,1609684713,74202,'e0614|e0612|e0610|e0609',1,'','influxProject3',0,0,0,0,0,0),(3861,1407515,'influxUser21','emmy',29,1609701987,57670,'e1119|e1101|e1031|e1029|e1027|e1004|e0931|e0929|e0926|e0925|e0916|e0914|e0913|e0912|e0908|e0907|e0846|e0844|e0432|e0420|e0419|e0418|e0417|e0355|e0331|e0211|e0148|e0147|e0143',1,'','influxProject7',0,0,0,0,0,0),(3862,1407516,'influxUser21','emmy',29,1609702512,57685,'e1112|e1109|e1107|e1032|e1025|e0934|e0933|e0842|e0823|e0522|e0520|e0513|e0507|e0503|e0501|e0451|e0415|e0414|e0407|e0403|e0351|e0237|e0215|e0139|e0138|e0135|e0132|e0125|e0123',1,'','influxProject7',0,0,0,0,0,0),(3863,1407473,'influxUser56','emmy',1,1609673897,86470,'e0218',1,'','influxProject18',0,0,0,0,0,0),(3864,1407478,'influxUser10','emmy',4,1609684713,75705,'e0608|e0607|e0602|e0601',1,'','influxProject3',0,0,0,0,0,0),(3865,1407609,'influxUser45','emmy',2,1609757105,3637,'e0108|e0107',1,'','influxProject15',0,0,0,0,0,0),(3866,1407313,'influxUser7','emmy',1,1609676111,85239,'e1161',1,'','influxProject2',0,0,0,0,0,0),(3867,1407576,'influxUser42','emmy',8,1609744223,17477,'e0906|e0905|e0526|e0517|e0506|e0334|e0315|e0313',1,'','influxProject13',0,0,0,0,0,0),(3868,1407598,'influxUser43','emmy',4,1609751508,10441,'e0712|e0710|e0709|e0702',1,'','influxProject13',0,0,0,0,0,0),(3869,1407611,'influxUser19','emmy',6,1609758449,3694,'e0828|e0822|e0818|e0817|e0811|e0810',1,'','influxProject5',0,0,0,0,0,0),(3870,1407528,'influxUser18','emmy',12,1609690148,72050,'e0927|e0917|e0623|e0516|e0511|e0448|e0440|e0438|e0426|e0413|e0346|e0341',1,'','influxProject5',0,0,0,0,0,0),(3871,1407165,'influxUser35','emmy',2,1609676112,86446,'e0117|e0116',1,'','influxProject12',0,0,0,0,0,0),(3872,1407568,'influxUser19','emmy',6,1609739242,23434,'e1104|e1103|e0922|e0831|e0535|e0527',1,'','influxProject5',0,0,0,0,0,0),(3873,1407608,'influxUser12','emmy',8,1609758456,5398,'e0434|e0433|e0423|e0412|e0405|e0404|e0402|e0354',1,'','influxProject3',0,0,0,0,0,0),(3874,1402980,'influxUser35','emmy',2,1609677754,86447,'e0235|e0231',1,'','influxProject12',0,0,0,0,0,0),(3875,1406322,'influxUser4','emmy',8,1609755487,9479,'e0344|e0314|e0308|e0306|e0248|e0245|e0244|e0243',1,'','influxProject2',0,0,0,0,0,0),(3876,1406334,'influxUser4','emmy',8,1609760199,6444,'e0148|e0147|e0143|e0139|e0138|e0135|e0132|e0125',1,'','influxProject2',0,0,0,0,0,0),(3877,1406352,'influxUser4','emmy',8,1609759659,7228,'e0432|e0420|e0419|e0418|e0417|e0355|e0331|e0211',1,'','influxProject2',0,0,0,0,0,0),(3878,1407624,'influxUser54','emmy',1,1609760382,9948,'e0218',1,'','influxProject18',0,0,0,0,0,0),(3879,1407630,'influxUser54','emmy',1,1609760541,9832,'e1032',1,'','influxProject18',0,0,0,0,0,0),(3880,1407627,'influxUser54','emmy',1,1609760525,9878,'e1112',1,'','influxProject18',0,0,0,0,0,0),(3881,1403000,'influxUser35','emmy',2,1609684011,86428,'e0321|e0320',1,'','influxProject12',0,0,0,0,0,0),(3882,1403020,'influxUser35','emmy',2,1609684011,86446,'e0317|e0312',1,'','influxProject12',0,0,0,0,0,0),(3883,1403140,'influxUser35','emmy',2,1609684011,86456,'e0343|e0338',1,'','influxProject12',0,0,0,0,0,0),(3884,1402940,'influxUser35','emmy',2,1609684012,86456,'e0311|e0310',1,'','influxProject12',0,0,0,0,0,0),(3885,1407623,'influxUser54','emmy',1,1609760429,10071,'e0607',1,'','influxProject18',0,0,0,0,0,0),(3886,1407620,'influxUser54','emmy',1,1609760371,10202,'e0123',1,'','influxProject18',0,0,0,0,0,0),(3887,1407621,'influxUser54','emmy',1,1609760376,10199,'e0118',1,'','influxProject18',0,0,0,0,0,0),(3888,1407625,'influxUser54','emmy',1,1609760434,10172,'e0602',1,'','influxProject18',0,0,0,0,0,0),(3889,1407631,'influxUser54','emmy',1,1609760587,10029,'e1025',1,'','influxProject18',0,0,0,0,0,0),(3890,1407626,'influxUser54','emmy',1,1609760440,10209,'e0601',1,'','influxProject18',0,0,0,0,0,0),(3891,1407622,'influxUser54','emmy',1,1609760424,10291,'e0608',1,'','influxProject18',0,0,0,0,0,0),(3892,1407632,'influxUser54','emmy',1,1609760592,10141,'e0934',1,'','influxProject18',0,0,0,0,0,0),(3893,1407628,'influxUser54','emmy',1,1609760530,10210,'e1109',1,'','influxProject18',0,0,0,0,0,0),(3894,1407629,'influxUser54','emmy',1,1609760535,10209,'e1107',1,'','influxProject18',0,0,0,0,0,0),(3895,1403081,'influxUser35','emmy',2,1609684713,86423,'e0618|e0615',1,'','influxProject12',0,0,0,0,0,0),(3896,1402960,'influxUser35','emmy',2,1609684712,86432,'e0656|e0637',1,'','influxProject12',0,0,0,0,0,0),(3897,1403061,'influxUser35','emmy',2,1609684712,86435,'e0624|e0621',1,'','influxProject12',0,0,0,0,0,0),(3898,1403040,'influxUser35','emmy',2,1609684712,86462,'e0631|e0627',1,'','influxProject12',0,0,0,0,0,0),(3899,1403315,'influxUser35','emmy',2,1609684818,86434,'e0301|e0252',1,'','influxProject12',0,0,0,0,0,0),(3900,1403296,'influxUser35','emmy',2,1609684818,86436,'e0303|e0302',1,'','influxProject12',0,0,0,0,0,0),(3901,1407242,'influxUser35','emmy',2,1609684829,86427,'e1110|e0436',1,'','influxProject12',0,0,0,0,0,0),(3902,1407202,'influxUser35','emmy',2,1609684819,86438,'e0223|e0155',1,'','influxProject12',0,0,0,0,0,0),(3903,1403278,'influxUser35','emmy',2,1609684818,86440,'e0316|e0304',1,'','influxProject12',0,0,0,0,0,0),(3904,1403101,'influxUser35','emmy',2,1609684817,86448,'e0435|e0431',1,'','influxProject12',0,0,0,0,0,0),(3905,1403159,'influxUser35','emmy',2,1609684818,86450,'e0324|e0322',1,'','influxProject12',0,0,0,0,0,0),(3906,1403121,'influxUser35','emmy',2,1609684818,86450,'e0422|e0421',1,'','influxProject12',0,0,0,0,0,0),(3907,1407648,'influxUser54','emmy',1,1609761974,10122,'e0702',1,'','influxProject18',0,0,0,0,0,0),(3908,1407649,'influxUser54','emmy',1,1609761981,10228,'e0710',1,'','influxProject18',0,0,0,0,0,0),(3909,1407663,'influxUser54','emmy',1,1609762237,10043,'e0448',1,'','influxProject18',0,0,0,0,0,0),(3910,1407675,'influxUser54','emmy',1,1609762688,10017,'e1103',1,'','influxProject18',0,0,0,0,0,0),(3911,1407142,'influxUser35','emmy',2,1609686562,86443,'e0716|e0708',1,'','influxProject12',0,0,0,0,0,0),(3912,1407132,'influxUser35','emmy',2,1609686580,86444,'e0655|e0652',1,'','influxProject12',0,0,0,0,0,0),(3913,1407521,'influxUser30','emmy',20,1609687064,86386,'e1024|e1023|e1022|e1012|e1007|e1006|e0707|e0650|e0647|e0619|e0604|e0548|e0546|e0541|e0540|e0523|e0515|e0510|e0508|e0410',1,'','influxProject10',0,0,0,0,0,0),(3914,1407687,'influxUser54','emmy',1,1609763904,10183,'e0354',1,'','influxProject18',0,0,0,0,0,0),(3915,1407590,'influxUser30','emmy',15,1609745019,29737,'e0425|e0424|e0416|e0409|e0408|e0406|e0401|e0356|e0352|e0336|e0333|e0329|e0328|e0318|e0225',1,'','influxProject10',0,0,0,0,0,0),(3916,1407697,'influxUser54','emmy',1,1609764988,10234,'e0306',1,'','influxProject18',0,0,0,0,0,0),(3917,1407696,'influxUser54','emmy',1,1609764982,10273,'e0308',1,'','influxProject18',0,0,0,0,0,0),(3918,1407534,'influxUser41','emmy',2,1609691314,84715,'e0145|e0144',1,'','influxProject13',0,0,0,0,0,0),(3919,1407636,'influxUser54','emmy',1,1609760621,15604,'e0844',1,'','influxProject18',0,0,0,0,0,0),(3920,1407635,'influxUser54','emmy',1,1609760616,15811,'e0933',1,'','influxProject18',0,0,0,0,0,0),(3921,1407637,'influxUser54','emmy',1,1609760627,15935,'e0846',1,'','influxProject18',0,0,0,0,0,0),(3922,1407705,'influxUser54','emmy',1,1609766654,10197,'e0147',1,'','influxProject18',0,0,0,0,0,0),(3923,1407720,'influxUser54','emmy',1,1609766925,9930,'e0331',1,'','influxProject18',0,0,0,0,0,0),(3924,1407711,'influxUser54','emmy',1,1609766686,10192,'e0125',1,'','influxProject18',0,0,0,0,0,0),(3925,1407642,'influxUser54','emmy',1,1609761734,15201,'e0526',1,'','influxProject18',0,0,0,0,0,0),(3926,1407656,'influxUser54','emmy',1,1609762187,14886,'e0810',1,'','influxProject18',0,0,0,0,0,0),(3927,1407643,'influxUser54','emmy',1,1609761739,15374,'e0315',1,'','influxProject18',0,0,0,0,0,0),(3928,1407717,'influxUser54','emmy',1,1609766909,10206,'e0418',1,'','influxProject18',0,0,0,0,0,0),(3929,1407721,'influxUser54','emmy',1,1609766931,10296,'e0211',1,'','influxProject18',0,0,0,0,0,0),(3930,1407644,'influxUser54','emmy',1,1609761744,15757,'e0313',1,'','influxProject18',0,0,0,0,0,0),(3931,1407641,'influxUser54','emmy',1,1609761721,15831,'e0517',1,'','influxProject18',0,0,0,0,0,0),(3932,1407639,'influxUser54','emmy',1,1609761711,15883,'e0905',1,'','influxProject18',0,0,0,0,0,0),(3933,1407638,'influxUser54','emmy',1,1609761706,15896,'e0906',1,'','influxProject18',0,0,0,0,0,0),(3934,1407743,'influxUser28','emmy',1,1609770380,7258,'e1032',1,'','influxProject21',0,0,0,0,0,0),(3935,1407645,'influxUser54','emmy',1,1609761959,15733,'e0712',1,'','influxProject18',0,0,0,0,0,0),(3936,1407650,'influxUser54','emmy',1,1609762149,15647,'e0828',1,'','influxProject18',0,0,0,0,0,0),(3937,1407671,'influxUser54','emmy',1,1609762345,15455,'e0341',1,'','influxProject18',0,0,0,0,0,0),(3938,1407659,'influxUser54','emmy',1,1609762215,15689,'e0623',1,'','influxProject18',0,0,0,0,0,0),(3939,1407736,'influxUser43','emmy',4,1609771595,6353,'e0303|e0302|e0301|e0252',1,'','influxProject13',0,0,0,0,0,0),(3940,1407653,'influxUser54','emmy',1,1609762165,15784,'e0817',1,'','influxProject18',0,0,0,0,0,0),(3941,1407668,'influxUser54','emmy',1,1609762276,15681,'e0413',1,'','influxProject18',0,0,0,0,0,0),(3942,1407654,'influxUser54','emmy',1,1609762177,15809,'e0818',1,'','influxProject18',0,0,0,0,0,0),(3943,1407666,'influxUser54','emmy',1,1609762265,15735,'e0438',1,'','influxProject18',0,0,0,0,0,0),(3944,1407651,'influxUser54','emmy',1,1609762154,15859,'e0822',1,'','influxProject18',0,0,0,0,0,0),(3945,1407660,'influxUser54','emmy',1,1609762221,15799,'e0516',1,'','influxProject18',0,0,0,0,0,0),(3946,1407252,'influxUser35','emmy',2,1609691597,86426,'e0134|e0114',1,'','influxProject12',0,0,0,0,0,0),(3947,1407156,'influxUser35','emmy',2,1609691597,86439,'e0151|e0149',1,'','influxProject12',0,0,0,0,0,0),(3948,1407662,'influxUser54','emmy',1,1609762232,15817,'e0511',1,'','influxProject18',0,0,0,0,0,0),(3949,1407679,'influxUser54','emmy',1,1609762716,15334,'e0535',1,'','influxProject18',0,0,0,0,0,0),(3950,1407532,'influxUser59','emmy',16,1609691597,86464,'e0849|e0848|e0622|e0539|e0537|e0536|e0534|e0533|e0521|e0339|e0337|e0319|e0249|e0228|e0226|e0203',1,'','influxProject19',0,0,0,0,0,0),(3951,1407655,'influxUser54','emmy',1,1609762182,15908,'e0811',1,'','influxProject18',0,0,0,0,0,0),(3952,1407667,'influxUser54','emmy',1,1609762270,15827,'e0426',1,'','influxProject18',0,0,0,0,0,0),(3953,1407665,'influxUser54','emmy',1,1609762260,15848,'e0440',1,'','influxProject18',0,0,0,0,0,0),(3954,1407673,'influxUser54','emmy',1,1609762569,15552,'e0116',1,'','influxProject18',0,0,0,0,0,0),(3955,1407669,'influxUser54','emmy',1,1609762322,15826,'e0346',1,'','influxProject18',0,0,0,0,0,0),(3956,1407647,'influxUser54','emmy',1,1609761969,16188,'e0709',1,'','influxProject18',0,0,0,0,0,0),(3957,1407657,'influxUser54','emmy',1,1609762205,15996,'e0927',1,'','influxProject18',0,0,0,0,0,0),(3958,1407672,'influxUser54','emmy',1,1609762564,15740,'e0117',1,'','influxProject18',0,0,0,0,0,0),(3959,1407661,'influxUser54','emmy',1,1609762227,16125,'e0917',1,'','influxProject18',0,0,0,0,0,0),(3960,1407680,'influxUser54','emmy',1,1609762721,15661,'e0527',1,'','influxProject18',0,0,0,0,0,0),(3961,1407674,'influxUser54','emmy',1,1609762683,15880,'e1104',1,'','influxProject18',0,0,0,0,0,0),(3962,1403336,'influxUser35','emmy',2,1609692131,86462,'e1129|e1128',1,'','influxProject12',0,0,0,0,0,0),(3963,1407678,'influxUser54','emmy',1,1609762711,15973,'e0922',1,'','influxProject18',0,0,0,0,0,0),(3964,1407677,'influxUser54','emmy',1,1609762698,16109,'e0831',1,'','influxProject18',0,0,0,0,0,0),(3965,1407479,'influxUser10','emmy',4,1609702714,76458,'e0121|e0119|e0113|e0109',1,'','influxProject3',0,0,0,0,0,0),(3966,1407683,'influxUser54','emmy',1,1609763882,15331,'e0405',1,'','influxProject18',0,0,0,0,0,0),(3967,1407686,'influxUser54','emmy',1,1609763899,15921,'e0412',1,'','influxProject18',0,0,0,0,0,0),(3968,1407684,'influxUser54','emmy',1,1609763887,15966,'e0404',1,'','influxProject18',0,0,0,0,0,0),(3969,1407681,'influxUser54','emmy',1,1609763871,16014,'e0423',1,'','influxProject18',0,0,0,0,0,0),(3970,1407685,'influxUser54','emmy',1,1609763892,16061,'e0402',1,'','influxProject18',0,0,0,0,0,0),(3971,1407690,'influxUser54','emmy',1,1609764225,15766,'e0235',1,'','influxProject18',0,0,0,0,0,0),(3972,1407689,'influxUser54','emmy',1,1609764212,15862,'e0231',1,'','influxProject18',0,0,0,0,0,0),(3973,1407692,'influxUser54','emmy',1,1609764376,15860,'e0334',1,'','influxProject18',0,0,0,0,0,0),(3974,1407702,'influxUser54','emmy',1,1609765016,15238,'e0344',1,'','influxProject18',0,0,0,0,0,0),(3975,1407691,'influxUser54','emmy',1,1609764371,15895,'e0506',1,'','influxProject18',0,0,0,0,0,0),(3976,1407693,'influxUser54','emmy',1,1609764959,15364,'e0434',1,'','influxProject18',0,0,0,0,0,0),(3977,1405824,'influxUser13','emmy',16,1609759310,21016,'e0644|e0643|e0638|e0614|e0612|e0610|e0609|e0603|e0552|e0551|e0544|e0543|e0532|e0449|e0443|e0441',1,'','influxProject3',0,0,0,0,0,0),(3978,1405825,'influxUser13','emmy',16,1609759659,20977,'e1119|e1101|e1031|e1029|e1027|e1004|e0931|e0929|e0926|e0925|e0916|e0914|e0913|e0912|e0908|e0907',1,'','influxProject3',0,0,0,0,0,0),(3979,1407698,'influxUser54','emmy',1,1609764994,15665,'e0248',1,'','influxProject18',0,0,0,0,0,0),(3980,1403356,'influxUser35','emmy',2,1609694299,86435,'e0124|e0111',1,'','influxProject12',0,0,0,0,0,0),(3981,1407703,'influxUser54','emmy',1,1609765022,15726,'e0244',1,'','influxProject18',0,0,0,0,0,0),(3982,1403376,'influxUser35','emmy',2,1609694320,86467,'e0213|e0212',1,'','influxProject12',0,0,0,0,0,0),(3983,1407699,'influxUser54','emmy',1,1609764999,15873,'e0245',1,'','influxProject18',0,0,0,0,0,0),(3984,1407212,'influxUser35','emmy',2,1609694439,86456,'e0826|e0825',1,'','influxProject12',0,0,0,0,0,0),(3985,1407701,'influxUser54','emmy',1,1609765010,15920,'e0243',1,'','influxProject18',0,0,0,0,0,0),(3986,1407695,'influxUser54','emmy',1,1609764977,16121,'e0314',1,'','influxProject18',0,0,0,0,0,0),(3987,1405826,'influxUser13','emmy',16,1609760198,21037,'e0842|e0823|e0522|e0520|e0513|e0507|e0503|e0501|e0451|e0415|e0414|e0407|e0403|e0351|e0237|e0215',1,'','influxProject3',0,0,0,0,0,0),(3988,1407753,'influxUser15','emmy',10,1609774768,6678,'e0425|e0424|e0416|e0409|e0408|e0406|e0401|e0356|e0352|e0336',1,'','influxProject5',0,0,0,0,0,0),(3989,1405819,'influxUser13','emmy',16,1609758897,22795,'e1028|e1005|e1003|e0950|e0949|e0944|e0924|e0915|e0851|e0749|e0744|e0739|e0634|e0613|e0606|e0605',1,'','influxProject3',0,0,0,0,0,0),(3990,1407709,'influxUser54','emmy',1,1609766676,15227,'e0135',1,'','influxProject18',0,0,0,0,0,0),(3991,1407704,'influxUser54','emmy',1,1609766649,15512,'e0148',1,'','influxProject18',0,0,0,0,0,0),(3992,1407715,'influxUser54','emmy',1,1609766898,15294,'e0420',1,'','influxProject18',0,0,0,0,0,0),(3993,1407722,'influxUser54','emmy',1,1609766937,15289,'e0417',1,'','influxProject18',0,0,0,0,0,0),(3994,1407710,'influxUser54','emmy',1,1609766681,15626,'e0132',1,'','influxProject18',0,0,0,0,0,0),(3995,1407719,'influxUser54','emmy',1,1609766920,15426,'e0355',1,'','influxProject18',0,0,0,0,0,0),(3996,1407713,'influxUser54','emmy',1,1609766710,15690,'e0143',1,'','influxProject18',0,0,0,0,0,0),(3997,1407707,'influxUser54','emmy',1,1609766665,15914,'e0139',1,'','influxProject18',0,0,0,0,0,0),(3998,1407714,'influxUser54','emmy',1,1609766893,15687,'e0432',1,'','influxProject18',0,0,0,0,0,0),(3999,1407708,'influxUser54','emmy',1,1609766671,15912,'e0138',1,'','influxProject18',0,0,0,0,0,0),(4000,1407716,'influxUser54','emmy',1,1609766903,15895,'e0419',1,'','influxProject18',0,0,0,0,0,0),(4001,1407603,'influxUser17','emmy',24,1609757254,26153,'e0946|e0943|e0942|e0935|e0845|e0843|e0840|e0820|e0819|e0815|e0814|e0813|e0812|e0804|e0748|e0746|e0729|e0724|e0723|e0722|e0721|e0719|e0718|e0714',1,'','influxProject5',0,0,0,0,0,0),(4002,1407329,'influxUser7','emmy',1,1609736412,47662,'e1163',1,'','influxProject2',0,0,0,0,0,0),(4003,1407314,'influxUser7','emmy',1,1609701493,85309,'e1165',1,'','influxProject2',0,0,0,0,0,0),(4004,1407744,'influxUser28','emmy',1,1609770409,19369,'e1112',1,'','influxProject21',0,0,0,0,0,0),(4005,1406323,'influxUser4','emmy',8,1609780637,9663,'e1119|e1101|e1031|e1029|e1027|e1004|e0931|e0929',1,'','influxProject2',0,0,0,0,0,0),(4006,1407813,'influxUser15','emmy',10,1609785060,6729,'e0729|e0724|e0723|e0722|e0721|e0719|e0718|e0714|e0432|e0419',1,'','influxProject5',0,0,0,0,0,0),(4007,1407777,'influxUser56','emmy',1,1609777079,18131,'e0810',1,'','influxProject18',0,0,0,0,0,0),(4008,1407776,'influxUser56','emmy',1,1609776232,20006,'e0844',1,'','influxProject18',0,0,0,0,0,0),(4009,1407604,'influxUser17','emmy',24,1609758456,39831,'e1117|e1115|e0932|e0809|e0751|e0740|e0734|e0731|e0730|e0728|e0726|e0713|e0704|e0629|e0625|e0617|e0550|e0547|e0514|e0512|e0505|e0447|e0446|e0444',1,'','influxProject5',0,0,0,0,0,0),(4010,1407733,'influxUser19','emmy',6,1609770650,28356,'e0602|e0601|e0343|e0338|e0123|e0118',1,'','influxProject5',0,0,0,0,0,0),(4011,1407732,'influxUser19','emmy',6,1609770471,28587,'e0321|e0320|e0317|e0312|e0311|e0310',1,'','influxProject5',0,0,0,0,0,0),(4012,1407853,'influxUser55','emmy',1,1609797847,4708,'e0419',1,'','influxProject18',0,0,0,0,0,0),(4013,1407442,'influxUser7','emmy',1,1609740822,61955,'e1162',1,'','influxProject2',0,0,0,0,0,0),(4014,1407465,'influxUser5','emmy',1,1609717821,85234,'e1167',1,'','influxProject2',0,0,0,0,0,0),(4015,1407467,'influxUser5','emmy',1,1609721584,85244,'e1164',1,'','influxProject2',0,0,0,0,0,0),(4016,1407517,'influxUser21','emmy',29,1609751834,57655,'e0951|e0945|e0938|e0937|e0919|e0918|e0904|e0902|e0816|e0805|e0745|e0743|e0742|e0741|e0727|e0725|e0715|e0706|e0705|e0703|e0651|e0640|e0524|e0429|e0428|e0353|e0349|e0330|e0146',1,'','influxProject7',0,0,0,0,0,0),(4017,1407870,'influxUser42','emmy',2,1609804693,5463,'e0108|e0107',1,'','influxProject13',0,0,0,0,0,0),(4018,1407504,'influxUser11','emmy',8,1609746211,64530,'e0901|e0803|e0801|e0737|e0736|e0735|e0720|e0717',1,'','influxProject3',0,0,0,0,0,0),(4019,1407482,'influxUser10','emmy',4,1609746211,65168,'e0711|e0645|e0642|e0641',1,'','influxProject3',0,0,0,0,0,0),(4020,1407740,'influxUser17','emmy',24,1609771595,40216,'e1110|e1109|e1107|e1025|e0934|e0656|e0637|e0631|e0627|e0624|e0621|e0618|e0615|e0608|e0607|e0436|e0435|e0431|e0422|e0421|e0324|e0322|e0316|e0304',1,'','influxProject5',0,0,0,0,0,0),(4021,1407518,'influxUser21','emmy',29,1609754842,57690,'e1021|e1009|e1002|e1001|e0947|e0940|e0930|e0923|e0921|e0838|e0837|e0836|e0835|e0834|e0833|e0827|e0821|e0733|e0620|e0616|e0450|e0445|e0442|e0430|e0427|e0307|e0305|e0250|e0246',1,'','influxProject7',0,0,0,0,0,0),(4022,1407572,'influxUser44','emmy',1,1609727186,85702,'e0824',1,'','influxProject14',0,0,0,0,0,0),(4023,1407856,'influxUser56','emmy',1,1609801180,11868,'e0602',1,'','influxProject18',0,0,0,0,0,0),(4024,1407741,'influxUser17','emmy',24,1609774160,39434,'e1103|e1024|e1023|e1022|e1012|e1007|e1006|e0716|e0710|e0708|e0707|e0702|e0655|e0652|e0650|e0647|e0619|e0604|e0548|e0546|e0541|e0540|e0523|e0515',1,'','influxProject5',0,0,0,0,0,0),(4025,1406325,'influxUser4','emmy',8,1609809490,4723,'e0718|e0715|e0714|e0706|e0705|e0703|e0651|e0640',1,'','influxProject2',0,0,0,0,0,0),(4026,1404743,'influxUser47','emmy',4,1609746212,69817,'e0509|e0504|e0502|e0452',1,'','influxProject16',0,0,0,0,0,0),(4027,1406354,'influxUser4','emmy',8,1609809490,7145,'e0816|e0805|e0745|e0743|e0742|e0741|e0727|e0725',1,'','influxProject2',0,0,0,0,0,0),(4028,1404744,'influxUser47','emmy',4,1609749206,70142,'e1114|e1113|e0136|e0130',1,'','influxProject16',0,0,0,0,0,0),(4029,1407859,'influxUser56','emmy',1,1609801190,18273,'e0505',1,'','influxProject18',0,0,0,0,0,0),(4030,1404745,'influxUser47','emmy',4,1609750409,69833,'e0309|e0234|e0210|e0207',1,'','influxProject16',0,0,0,0,0,0),(4031,1406353,'influxUser4','emmy',8,1609809490,10970,'e0951|e0945|e0938|e0937|e0919|e0918|e0904|e0902',1,'','influxProject2',0,0,0,0,0,0),(4032,1404749,'influxUser47','emmy',4,1609751509,69810,'e0152|e0150|e0141|e0110',1,'','influxProject16',0,0,0,0,0,0),(4033,1404746,'influxUser47','emmy',4,1609751508,69811,'e0701|e0649|e0648|e0646',1,'','influxProject16',0,0,0,0,0,0),(4034,1404747,'influxUser47','emmy',4,1609751508,69814,'e0232|e0230|e0227|e0221',1,'','influxProject16',0,0,0,0,0,0),(4035,1404748,'influxUser47','emmy',4,1609751509,69815,'e0205|e0202|e0156|e0154',1,'','influxProject16',0,0,0,0,0,0),(4036,1407858,'influxUser56','emmy',1,1609801185,20297,'e0601',1,'','influxProject18',0,0,0,0,0,0),(4037,1407480,'influxUser10','emmy',4,1609744352,77237,'e0220|e0216|e0214|e0137',1,'','influxProject3',0,0,0,0,0,0),(4038,1407860,'influxUser56','emmy',1,1609801196,20455,'e0447',1,'','influxProject18',0,0,0,0,0,0),(4039,1407583,'influxUser39','emmy',2,1609736627,85801,'e0115|e0112',1,'','influxProject13',0,0,0,0,0,0),(4040,1404750,'influxUser47','emmy',4,1609755446,69820,'e0142|e0133|e0131|e0129',1,'','influxProject16',0,0,0,0,0,0),(4041,1404756,'influxUser47','emmy',4,1609755452,69887,'e1016|e1014|e1011|e1010',1,'','influxProject16',0,0,0,0,0,0),(4042,1404760,'influxUser47','emmy',4,1609755487,69886,'e0528|e0518|e0348|e0345',1,'','influxProject16',0,0,0,0,0,0),(4043,1404757,'influxUser47','emmy',4,1609755486,69893,'e1008|e0948|e0911|e0832',1,'','influxProject16',0,0,0,0,0,0),(4044,1404758,'influxUser47','emmy',4,1609755486,69902,'e0830|e0654|e0639|e0632',1,'','influxProject16',0,0,0,0,0,0),(4045,1404761,'influxUser47','emmy',4,1609755528,69903,'e0242|e0240|e0239|e0238',1,'','influxProject16',0,0,0,0,0,0),(4046,1404763,'influxUser47','emmy',4,1609755528,69956,'e0219|e0128|e0127|e0126',1,'','influxProject16',0,0,0,0,0,0),(4047,1404762,'influxUser47','emmy',4,1609755528,70011,'e0236|e0233|e0229|e0224',1,'','influxProject16',0,0,0,0,0,0),(4048,1404754,'influxUser47','emmy',4,1609755451,70193,'e1120|e1118|e1108|e1106',1,'','influxProject16',0,0,0,0,0,0),(4049,1404755,'influxUser47','emmy',4,1609755452,70193,'e1105|e1019|e1018|e1017',1,'','influxProject16',0,0,0,0,0,0),(4050,1404753,'influxUser47','emmy',4,1609755451,70200,'e1127|e1124|e1122|e1121',1,'','influxProject16',0,0,0,0,0,0),(4051,1404759,'influxUser47','emmy',4,1609755486,70263,'e0630|e0549|e0545|e0530',1,'','influxProject16',0,0,0,0,0,0),(4052,1407862,'influxUser56','emmy',1,1609801247,25226,'e0444',1,'','influxProject18',0,0,0,0,0,0),(4053,1407864,'influxUser56','emmy',1,1609801252,26230,'e0343',1,'','influxProject18',0,0,0,0,0,0),(4054,1404764,'influxUser47','emmy',4,1609758457,69943,'e0350|e0347|e0340|e0335',1,'','influxProject16',0,0,0,0,0,0),(4055,1404766,'influxUser47','emmy',4,1609758457,69985,'e0323|e0251|e0122|e0120',1,'','influxProject16',0,0,0,0,0,0),(4056,1407445,'influxUser7','emmy',1,1609751690,76892,'e1068',1,'','influxProject2',0,0,0,0,0,0),(4057,1407866,'influxUser19','emmy',6,1609801253,27449,'e0338|e0321|e0320|e0317|e0312|e0311',1,'','influxProject5',0,0,0,0,0,0),(4058,1404770,'influxUser47','emmy',4,1609758818,69962,'e0806|e0802|e0752|e0750',1,'','influxProject16',0,0,0,0,0,0),(4059,1404765,'influxUser47','emmy',4,1609758457,70461,'e0332|e0327|e0326|e0325',1,'','influxProject16',0,0,0,0,0,0),(4060,1404768,'influxUser47','emmy',4,1609758817,70161,'e0941|e0939|e0936|e0928',1,'','influxProject16',0,0,0,0,0,0),(4061,1404767,'influxUser47','emmy',4,1609758817,70215,'e1125|e1102|e1030|e0952',1,'','influxProject16',0,0,0,0,0,0),(4062,1404769,'influxUser47','emmy',4,1609758817,70464,'e0839|e0829|e0808|e0807',1,'','influxProject16',0,0,0,0,0,0),(4063,1407735,'influxUser56','emmy',1,1609763866,65792,'e0433',1,'','influxProject18',0,0,0,0,0,0),(4064,1407586,'influxUser39','emmy',2,1609744106,85778,'e0201|e0153',1,'','influxProject13',0,0,0,0,0,0),(4065,1407584,'influxUser39','emmy',2,1609744105,85789,'e0209|e0208',1,'','influxProject13',0,0,0,0,0,0),(4066,1407585,'influxUser39','emmy',2,1609744105,85793,'e0206|e0204',1,'','influxProject13',0,0,0,0,0,0),(4067,1407588,'influxUser30','emmy',20,1609745019,86401,'e1132|e1131|e1130|e1126|e1123|e1116|e1111|e1020|e0920|e0909|e0903|e0852|e0850|e0847|e0747|e0738|e0653|e0633|e0628|e0626',1,'','influxProject10',0,0,0,0,0,0),(4068,1405827,'influxUser13','emmy',16,1609811285,20999,'e0901|e0803|e0801|e0737|e0736|e0735|e0721|e0720|e0719|e0717|e0713|e0704|e0629|e0625|e0419|e0139',1,'','influxProject3',0,0,0,0,0,0),(4069,1407560,'influxUser5','emmy',1,1609747302,85233,'e1168',1,'','influxProject2',0,0,0,0,0,0),(4070,1407483,'influxUser10','emmy',4,1609746212,86419,'e0636|e0635|e0611|e0542',1,'','influxProject3',0,0,0,0,0,0),(4071,1407522,'influxUser11','emmy',4,1609746212,86446,'e0538|e0531|e0529|e0525',1,'','influxProject3',0,0,0,0,0,0),(4072,1407867,'influxUser19','emmy',6,1609801614,31181,'e0617|e0550|e0547|e0514|e0512|e0310',1,'','influxProject5',0,0,0,0,0,0),(4073,1407839,'influxUser17','emmy',24,1609805105,27762,'e1117|e1115|e1101|e1031|e1029|e1027|e1004|e0932|e0931|e0929|e0844|e0810|e0809|e0751|e0740|e0734|e0731|e0730|e0729|e0728|e0726|e0724|e0723|e0722',1,'','influxProject5',0,0,0,0,0,0),(4074,1407861,'influxUser56','emmy',1,1609801242,32880,'e0446',1,'','influxProject18',0,0,0,0,0,0),(4075,1407602,'influxUser7','emmy',1,1609828588,6062,'e1068',1,'','influxProject2',0,0,0,0,0,0),(4076,1407452,'influxUser7','emmy',1,1609753028,85492,'e1067',1,'','influxProject2',0,0,0,0,0,0),(4077,1407873,'influxUser17','emmy',24,1609811812,27723,'e1110|e1109|e1107|e1025|e0934|e0711|e0656|e0645|e0642|e0641|e0637|e0631|e0627|e0624|e0621|e0618|e0615|e0608|e0607|e0436|e0435|e0431|e0422|e0421',1,'','influxProject5',0,0,0,0,0,0),(4078,1407874,'influxUser17','emmy',24,1609812533,28311,'e1021|e1009|e1002|e1001|e0947|e0940|e0930|e0923|e0921|e0838|e0837|e0836|e0835|e0834|e0833|e0827|e0821|e0733|e0620|e0616|e0450|e0445|e0442|e0430',1,'','influxProject5',0,0,0,0,0,0),(4079,1407875,'influxUser17','emmy',24,1609813595,28427,'e1103|e1024|e1023|e1022|e1012|e1007|e1006|e0824|e0716|e0710|e0708|e0707|e0702|e0655|e0652|e0650|e0647|e0619|e0604|e0602|e0548|e0546|e0541|e0540',1,'','influxProject5',0,0,0,0,0,0),(4080,1407921,'influxUser40','emmy',4,1609839497,3605,'e0101|e0153|e0139|e0120',1,'','influxProject13',0,0,0,0,0,0),(4081,1407876,'influxUser17','emmy',24,1609816030,28085,'e0718|e0715|e0714|e0706|e0705|e0703|e0651|e0640|e0523|e0515|e0509|e0504|e0502|e0452|e0324|e0322|e0316|e0307|e0305|e0304|e0250|e0246|e0138|e0123',1,'','influxProject5',0,0,0,0,0,0),(4082,1407727,'influxUser10','emmy',4,1609780327,64949,'e0532|e0506|e0449|e0443',1,'','influxProject3',0,0,0,0,0,0),(4083,1407581,'influxUser5','emmy',1,1609761359,85236,'e1161',1,'','influxProject2',0,0,0,0,0,0),(4084,1407869,'influxUser42','emmy',8,1609825340,21644,'e1016|e1014|e1011|e1010|e0142|e0133|e0131|e0129',1,'','influxProject13',0,0,0,0,0,0),(4085,1406326,'influxUser4','emmy',8,1609842178,5950,'e0604|e0602|e0548|e0546|e0541|e0540|e0442|e0435',1,'','influxProject2',0,0,0,0,0,0),(4086,1407878,'influxUser17','emmy',24,1609822429,27894,'e0701|e0649|e0648|e0646|e0601|e0447|e0232|e0230|e0227|e0221|e0220|e0216|e0214|e0205|e0202|e0156|e0154|e0152|e0150|e0141|e0137|e0115|e0112|e0110',1,'','influxProject5',0,0,0,0,0,0),(4087,1407725,'influxUser7','emmy',1,1609832542,18587,'e1168',1,'','influxProject2',0,0,0,0,0,0),(4088,1407731,'influxUser10','emmy',4,1609780424,71737,'e0927|e0334|e0235|e0231',1,'','influxProject3',0,0,0,0,0,0),(4089,1407879,'influxUser17','emmy',24,1609825540,28189,'e1008|e0948|e0911|e0832|e0830|e0654|e0639|e0632|e0528|e0518|e0348|e0345|e0242|e0240|e0239|e0238|e0236|e0233|e0229|e0224|e0219|e0128|e0127|e0126',1,'','influxProject5',0,0,0,0,0,0),(4090,1407726,'influxUser10','emmy',4,1609780327,73626,'e0552|e0551|e0544|e0543',1,'','influxProject3',0,0,0,0,0,0),(4091,1407880,'influxUser17','emmy',24,1609828443,27439,'e1122|e1121|e1120|e1118|e1108|e1106|e1105|e1019|e1018|e1017|e0630|e0549|e0545|e0530|e0444|e0350|e0347|e0343|e0340|e0335|e0323|e0251|e0143|e0122',1,'','influxProject5',0,0,0,0,0,0),(4092,1407881,'influxUser17','emmy',24,1609829282,27673,'e1125|e1102|e1030|e0952|e0941|e0939|e0936|e0928|e0839|e0829|e0808|e0807|e0806|e0802|e0752|e0750|e0338|e0332|e0327|e0326|e0325|e0321|e0320|e0317',1,'','influxProject5',0,0,0,0,0,0),(4093,1407729,'influxUser10','emmy',4,1609780328,77554,'e0441|e0434|e0402|e0344',1,'','influxProject3',0,0,0,0,0,0),(4094,1407166,'influxUser35','emmy',2,1609771596,86467,'e0223|e0155',1,'','influxProject12',0,0,0,0,0,0),(4095,1402981,'influxUser35','emmy',2,1609773301,86445,'e0448|e0218',1,'','influxProject12',0,0,0,0,0,0),(4096,1403001,'influxUser35','emmy',2,1609773451,86429,'e0510|e0508',1,'','influxProject12',0,0,0,0,0,0),(4097,1407933,'influxUser54','emmy',1,1609849025,11418,'e0120',1,'','influxProject18',0,0,0,0,0,0),(4098,1407907,'influxUser19','emmy',6,1609832797,27681,'e0542|e0538|e0531|e0529|e0525|e0514',1,'','influxProject5',0,0,0,0,0,0),(4099,1402941,'influxUser35','emmy',2,1609774088,86444,'e0410|e0354',1,'','influxProject12',0,0,0,0,0,0),(4100,1403021,'influxUser35','emmy',2,1609774768,86415,'e0333|e0329',1,'','influxProject12',0,0,0,0,0,0),(4101,1402961,'influxUser35','emmy',2,1609774768,86450,'e0328|e0318',1,'','influxProject12',0,0,0,0,0,0),(4102,1403041,'influxUser35','emmy',2,1609775225,86451,'e0306|e0225',1,'','influxProject12',0,0,0,0,0,0),(4103,1407836,'influxUser41','emmy',2,1609790301,72015,'e1119|e1112',1,'','influxProject13',0,0,0,0,0,0),(4104,1407882,'influxUser17','emmy',24,1609834101,28304,'e0901|e0803|e0801|e0737|e0736|e0735|e0721|e0720|e0719|e0717|e0713|e0704|e0653|e0636|e0635|e0633|e0629|e0628|e0626|e0625|e0617|e0611|e0550|e0547',1,'','influxProject5',0,0,0,0,0,0),(4105,1403062,'influxUser35','emmy',2,1609776030,86422,'e0145|e0144',1,'','influxProject12',0,0,0,0,0,0),(4106,1407883,'influxUser17','emmy',24,1609834932,27658,'e1117|e1115|e1101|e1031|e1029|e1027|e1004|e0932|e0931|e0929|e0844|e0810|e0809|e0751|e0740|e0734|e0731|e0730|e0729|e0728|e0512|e0446|e0419|e0310',1,'','influxProject5',0,0,0,0,0,0),(4107,1403082,'influxUser35','emmy',2,1609776564,86458,'e0933|e0846',1,'','influxProject12',0,0,0,0,0,0),(4108,1403102,'influxUser35','emmy',2,1609776856,86456,'e0331|e0147',1,'','influxProject12',0,0,0,0,0,0),(4109,1403122,'influxUser35','emmy',2,1609776936,86462,'e0526|e0125',1,'','influxProject12',0,0,0,0,0,0),(4110,1403141,'influxUser35','emmy',2,1609777116,86432,'e0418|e0315',1,'','influxProject12',0,0,0,0,0,0),(4111,1403160,'influxUser35','emmy',2,1609777502,86463,'e0313|e0211',1,'','influxProject12',0,0,0,0,0,0),(4112,1403279,'influxUser35','emmy',2,1609777595,86427,'e0905|e0517',1,'','influxProject12',0,0,0,0,0,0),(4113,1403297,'influxUser35','emmy',2,1609777639,86438,'e1032|e0906',1,'','influxProject12',0,0,0,0,0,0),(4114,1403316,'influxUser35','emmy',2,1609777798,86444,'e0828|e0712',1,'','influxProject12',0,0,0,0,0,0),(4115,1407133,'influxUser35','emmy',2,1609777905,86430,'e0623|e0341',1,'','influxProject12',0,0,0,0,0,0),(4116,1407143,'influxUser35','emmy',2,1609777953,86428,'e0817|e0303',1,'','influxProject12',0,0,0,0,0,0),(4117,1407243,'influxUser35','emmy',2,1609777958,86427,'e0413|e0252',1,'','influxProject12',0,0,0,0,0,0),(4118,1407203,'influxUser35','emmy',2,1609777953,86443,'e0302|e0301',1,'','influxProject12',0,0,0,0,0,0),(4119,1407587,'influxUser30','emmy',20,1609778062,86403,'e0849|e0848|e0622|e0539|e0537|e0536|e0535|e0534|e0533|e0521|e0511|e0339|e0337|e0319|e0249|e0228|e0226|e0203|e0151|e0149',1,'','influxProject10',0,0,0,0,0,0),(4120,1407253,'influxUser35','emmy',2,1609778024,86459,'e0822|e0818',1,'','influxProject12',0,0,0,0,0,0),(4121,1407157,'influxUser35','emmy',2,1609778037,86446,'e0516|e0438',1,'','influxProject12',0,0,0,0,0,0),(4122,1407748,'influxUser3','emmy',2,1609779174,85837,'e0121|e0119',1,'','influxProject2',0,0,0,0,0,0),(4123,1407749,'influxUser3','emmy',2,1609779174,85860,'e0113|e0109',1,'','influxProject2',0,0,0,0,0,0),(4124,1403337,'influxUser35','emmy',2,1609778594,86443,'e1129|e1128',1,'','influxProject12',0,0,0,0,0,0),(4125,1407737,'influxUser30','emmy',15,1609779103,86414,'e1104|e0922|e0917|e0831|e0811|e0709|e0527|e0440|e0426|e0346|e0308|e0134|e0117|e0116|e0114',1,'','influxProject10',0,0,0,0,0,0),(4126,1407750,'influxUser3','emmy',2,1609779821,85840,'e0412|e0405',1,'','influxProject2',0,0,0,0,0,0),(4127,1407751,'influxUser3','emmy',2,1609779886,85868,'e0423|e0404',1,'','influxProject2',0,0,0,0,0,0),(4128,1407926,'influxUser11','emmy',4,1609848210,18201,'e0443|e0442|e0435|e0324',1,'','influxProject3',0,0,0,0,0,0),(4129,1407872,'influxUser11','emmy',8,1609810734,55972,'e0524|e0432|e0429|e0428|e0353|e0349|e0330|e0146',1,'','influxProject3',0,0,0,0,0,0),(4130,1407738,'influxUser12','emmy',8,1609780327,86446,'e0644|e0643|e0638|e0614|e0612|e0610|e0609|e0603',1,'','influxProject3',0,0,0,0,0,0),(4131,1403357,'influxUser35','emmy',2,1609780735,86460,'e0926|e0925',1,'','influxProject12',0,0,0,0,0,0),(4132,1403377,'influxUser35','emmy',2,1609780788,86432,'e0916|e0914',1,'','influxProject12',0,0,0,0,0,0),(4133,1407213,'influxUser35','emmy',2,1609780896,86431,'e0913|e0912',1,'','influxProject12',0,0,0,0,0,0),(4134,1407593,'influxUser49','emmy',32,1609781447,86451,'e0908|e0907|e0842|e0826|e0825|e0823|e0522|e0520|e0513|e0507|e0503|e0501|e0451|e0425|e0424|e0416|e0415|e0414|e0409|e0408|e0407|e0406|e0403|e0401|e0356|e0352|e0351|e0336|e0314|e0248|e0245|e0244',1,'','influxProject16',0,0,0,0,0,0),(4135,1407837,'influxUser7','emmy',1,1609834656,33960,'e1068',1,'','influxProject2',0,0,0,0,0,0),(4136,1407754,'influxUser21','emmy',29,1609782347,86485,'e1028|e1005|e1003|e0950|e0949|e0944|e0924|e0915|e0851|e0749|e0744|e0739|e0634|e0613|e0606|e0605|e0420|e0417|e0355|e0243|e0237|e0215|e0213|e0212|e0148|e0135|e0132|e0124|e0111',1,'','influxProject7',0,0,0,0,0,0),(4137,1407877,'influxUser17','emmy',24,1609820462,48387,'e1114|e1113|e0951|e0945|e0938|e0937|e0919|e0918|e0904|e0902|e0816|e0805|e0745|e0743|e0742|e0741|e0727|e0725|e0505|e0309|e0234|e0210|e0207|e0136',1,'','influxProject5',0,0,0,0,0,0),(4138,1407592,'influxUser5','emmy',1,1609784081,85235,'e1163',1,'','influxProject2',0,0,0,0,0,0),(4139,1407810,'influxUser59','emmy',16,1609783408,86431,'e0946|e0943|e0942|e0935|e0845|e0843|e0840|e0820|e0819|e0815|e0814|e0813|e0812|e0804|e0748|e0746',1,'','influxProject19',0,0,0,0,0,0),(4140,1407975,'influxUser48','emmy',1,1609862883,7167,'e0120',1,'','influxProject16',0,0,0,0,0,0),(4141,1407884,'influxUser17','emmy',24,1609842672,27710,'e1021|e1009|e1002|e1001|e0947|e0940|e0930|e0923|e0921|e0838|e0837|e0836|e0835|e0834|e0833|e0827|e0821|e0733|e0620|e0619|e0616|e0431|e0430|e0422',1,'','influxProject5',0,0,0,0,0,0),(4142,1407885,'influxUser17','emmy',24,1609843103,28265,'e1110|e1109|e1107|e1025|e0934|e0711|e0656|e0645|e0642|e0641|e0637|e0631|e0627|e0624|e0621|e0618|e0615|e0608|e0607|e0436|e0421|e0204|e0201|e0153',1,'','influxProject5',0,0,0,0,0,0),(4143,1406375,'influxUser4','emmy',8,1609868833,3645,'e0851|e0749|e0744|e0739|e0634|e0613|e0606|e0605',1,'','influxProject2',0,0,0,0,0,0),(4144,1406376,'influxUser4','emmy',8,1609868833,3865,'e0420|e0417|e0355|e0243|e0237|e0215|e0213|e0212',1,'','influxProject2',0,0,0,0,0,0),(4145,1406379,'influxUser4','emmy',8,1609868866,3865,'e0727|e0725|e0505|e0309|e0234|e0210|e0207|e0148',1,'','influxProject2',0,0,0,0,0,0),(4146,1407461,'influxUser7','emmy',1,1609786811,85921,'e1165',1,'','influxProject2',0,0,0,0,0,0),(4147,1407886,'influxUser17','emmy',24,1609844691,28730,'e1130|e1126|e1123|e1116|e1111|e1020|e0920|e0909|e0903|e0852|e0850|e0847|e0747|e0738|e0726|e0724|e0723|e0722|e0651|e0640|e0523|e0515|e0509|e0504',1,'','influxProject5',0,0,0,0,0,0),(4148,1406378,'influxUser4','emmy',8,1609868866,6390,'e0904|e0902|e0816|e0805|e0745|e0743|e0742|e0741',1,'','influxProject2',0,0,0,0,0,0),(4149,1407914,'influxUser7','emmy',1,1609868622,6834,'e1068',1,'','influxProject2',0,0,0,0,0,0),(4150,1406381,'influxUser4','emmy',8,1609871370,4400,'e0642|e0641|e0637|e0631|e0627|e0624|e0621|e0618',1,'','influxProject2',0,0,0,0,0,0),(4151,1406377,'influxUser4','emmy',8,1609868866,7632,'e1114|e1113|e0951|e0945|e0938|e0937|e0919|e0918',1,'','influxProject2',0,0,0,0,0,0),(4152,1406382,'influxUser4','emmy',8,1609871370,6926,'e0615|e0608|e0607|e0436|e0421|e0204|e0201|e0153',1,'','influxProject2',0,0,0,0,0,0),(4153,1406430,'influxUser4','emmy',8,1609873422,4900,'e0723|e0722|e0651|e0640|e0523|e0515|e0509|e0504',1,'','influxProject2',0,0,0,0,0,0),(4154,1406355,'influxUser4','emmy',8,1609873145,5627,'e1110|e1109|e1107|e1025|e0934|e0746|e0711|e0656',1,'','influxProject2',0,0,0,0,0,0),(4155,1406426,'influxUser4','emmy',8,1609873227,5703,'e0645|e0146|e0135|e0132|e0124|e0120|e0111|e0108',1,'','influxProject2',0,0,0,0,0,0),(4156,1406380,'influxUser4','emmy',8,1609870673,8301,'e0820|e0819|e0815|e0814|e0813|e0812|e0804|e0748',1,'','influxProject2',0,0,0,0,0,0),(4157,1407927,'influxUser19','emmy',6,1609844116,35551,'e0718|e0715|e0714|e0706|e0705|e0703',1,'','influxProject5',0,0,0,0,0,0),(4158,1406329,'influxUser4','emmy',8,1609872736,7776,'e0727|e0725|e0505|e0309|e0234|e0210|e0207|e0148',1,'','influxProject2',0,0,0,0,0,0),(4159,1406428,'influxUser4','emmy',8,1609873422,8476,'e1130|e1126|e1123|e1116|e1111|e1020|e0920|e0909',1,'','influxProject2',0,0,0,0,0,0),(4160,1408000,'influxUser59','emmy',7,1609870673,12535,'e0946|e0943|e0942|e0935|e0845|e0843|e0840',1,'','influxProject19',0,0,0,0,0,0),(4161,1407976,'influxUser48','emmy',1,1609862929,21434,'e0115',1,'','influxProject16',0,0,0,0,0,0),(4162,1407888,'influxUser17','emmy',24,1609857883,27376,'e0552|e0551|e0544|e0543|e0441|e0434|e0402|e0350|e0347|e0344|e0343|e0340|e0335|e0323|e0251|e0236|e0235|e0233|e0231|e0229|e0224|e0219|e0143|e0128',1,'','influxProject5',0,0,0,0,0,0),(4163,1407887,'influxUser17','emmy',24,1609856957,28338,'e1125|e1102|e1030|e0952|e0941|e0939|e0936|e0928|e0839|e0829|e0808|e0807|e0806|e0802|e0752|e0750|e0338|e0332|e0327|e0326|e0325|e0321|e0320|e0317',1,'','influxProject5',0,0,0,0,0,0),(4164,1406357,'influxUser4','emmy',8,1609878931,6651,'e1109|e1107|e1025|e0934|e0746|e0711|e0656|e0645',1,'','influxProject2',0,0,0,0,0,0),(4165,1406429,'influxUser4','emmy',8,1609873422,12256,'e0903|e0852|e0850|e0847|e0747|e0738|e0726|e0724',1,'','influxProject2',0,0,0,0,0,0),(4166,1407992,'influxUser12','emmy',8,1609866707,19834,'e0524|e0443|e0442|e0435|e0432|e0429|e0428|e0423',1,'','influxProject3',0,0,0,0,0,0),(4167,1407597,'influxUser5','emmy',1,1609803061,85234,'e1167',1,'','influxProject2',0,0,0,0,0,0),(4168,1407564,'influxUser7','emmy',1,1609802784,85522,'e1162',1,'','influxProject2',0,0,0,0,0,0),(4169,1407889,'influxUser17','emmy',24,1609862407,27925,'e0901|e0803|e0801|e0737|e0736|e0735|e0721|e0720|e0719|e0717|e0713|e0704|e0653|e0636|e0635|e0633|e0629|e0628|e0626|e0625|e0617|e0611|e0550|e0547',1,'','influxProject5',0,0,0,0,0,0),(4170,1407890,'influxUser17','emmy',24,1609862591,28069,'e1117|e1115|e1101|e1031|e1029|e1027|e1004|e0932|e0931|e0929|e0844|e0810|e0809|e0751|e0740|e0734|e0731|e0730|e0729|e0728|e0512|e0510|e0508|e0448',1,'','influxProject5',0,0,0,0,0,0),(4171,1407891,'influxUser17','emmy',24,1609862837,27882,'e1024|e1023|e1022|e1014|e1010|e1007|e1006|e0824|e0710|e0707|e0702|e0655|e0652|e0650|e0647|e0601|e0447|e0446|e0419|e0333|e0329|e0328|e0322|e0318',1,'','influxProject5',0,0,0,0,0,0),(4172,1407892,'influxUser17','emmy',24,1609862837,28679,'e0316|e0310|e0307|e0306|e0305|e0304|e0250|e0246|e0230|e0227|e0225|e0221|e0220|e0216|e0214|e0205|e0156|e0154|e0152|e0145|e0144|e0141|e0138|e0137',1,'','influxProject5',0,0,0,0,0,0),(4173,1408018,'influxUser16','emmy',10,1609882814,8990,'e1130|e1126|e1123|e1116|e1111|e1020|e0920|e0909|e0108|e0102',1,'','influxProject5',0,0,0,0,0,0),(4174,1407601,'influxUser5','emmy',1,1609806834,85244,'e1164',1,'','influxProject2',0,0,0,0,0,0),(4175,1408004,'influxUser42','emmy',8,1609876499,16578,'e1114|e1113|e0951|e0945|e0938|e0937|e0919|e0918',1,'','influxProject13',0,0,0,0,0,0),(4176,1408003,'influxUser42','emmy',8,1609875771,17500,'e0816|e0805|e0745|e0743|e0742|e0741|e0642|e0641',1,'','influxProject13',0,0,0,0,0,0),(4177,1408002,'influxUser7','emmy',1,1609875462,17821,'e1068',1,'','influxProject2',0,0,0,0,0,0),(4178,1408021,'influxUser26','emmy',14,1609885498,8405,'e0343|e0340|e0338|e0335|e0332|e0327|e0326|e0325|e0323|e0321|e0320|e0317|e0251|e0236',1,'','influxProject9',0,0,0,0,0,0),(4179,1408019,'influxUser15','emmy',10,1609885260,9285,'e0552|e0551|e0544|e0543|e0441|e0434|e0402|e0350|e0347|e0344',1,'','influxProject5',0,0,0,0,0,0),(4180,1406331,'influxUser4','emmy',8,1609891518,3681,'e0316|e0310|e0307|e0306|e0305|e0304|e0250|e0246',1,'','influxProject2',0,0,0,0,0,0),(4181,1406358,'influxUser4','emmy',8,1609891518,4007,'e0230|e0227|e0225|e0224|e0221|e0220|e0219|e0216',1,'','influxProject2',0,0,0,0,0,0),(4182,1406327,'influxUser4','emmy',8,1609872480,23048,'e0851|e0749|e0744|e0739|e0634|e0613|e0606|e0605',1,'','influxProject2',0,0,0,0,0,0),(4183,1407893,'influxUser17','emmy',24,1609867900,27825,'e0908|e0907|e0842|e0826|e0825|e0823|e0644|e0643|e0638|e0614|e0612|e0610|e0609|e0603|e0522|e0520|e0513|e0507|e0503|e0501|e0451|e0425|e0424|e0416',1,'','influxProject5',0,0,0,0,0,0),(4184,1407964,'influxUser10','emmy',4,1609864023,33427,'e0211|e0202|e0150|e0147',1,'','influxProject3',0,0,0,0,0,0),(4185,1406433,'influxUser4','emmy',8,1609890720,7238,'e0710|e0707|e0702|e0655|e0652|e0650|e0647|e0601',1,'','influxProject2',0,0,0,0,0,0),(4186,1408012,'influxUser42','emmy',8,1609881322,16700,'e0727|e0725|e0505|e0309|e0234|e0210|e0207|e0148',1,'','influxProject13',0,0,0,0,0,0),(4187,1408006,'influxUser42','emmy',8,1609875771,22337,'e0627|e0624|e0621|e0618|e0107|e0106|e0105|e0103',1,'','influxProject13',0,0,0,0,0,0),(4188,1406435,'influxUser4','emmy',8,1609893272,5221,'e0816|e0805|e0745|e0743|e0742|e0741|e0642|e0641',1,'','influxProject2',0,0,0,0,0,0),(4189,1407894,'influxUser44','emmy',1,1609812894,85601,'e0427',1,'','influxProject14',0,0,0,0,0,0),(4190,1406436,'influxUser4','emmy',8,1609893366,5331,'e1024|e1023|e1022|e1014|e1010|e1007|e1006|e0824',1,'','influxProject2',0,0,0,0,0,0),(4191,1408013,'influxUser42','emmy',8,1609881492,17472,'e0723|e0722|e0651|e0640|e0523|e0515|e0509|e0504',1,'','influxProject13',0,0,0,0,0,0),(4192,1408020,'influxUser43','emmy',8,1609883802,15304,'e0946|e0943|e0942|e0935|e0845|e0843|e0840|e0101',1,'','influxProject13',0,0,0,0,0,0),(4193,1406332,'influxUser4','emmy',8,1609893904,6061,'e0343|e0340|e0338|e0335|e0332|e0327|e0326|e0325',1,'','influxProject2',0,0,0,0,0,0),(4194,1406439,'influxUser4','emmy',8,1609895532,4796,'e0851|e0749|e0744|e0739|e0634|e0613|e0606|e0605',1,'','influxProject2',0,0,0,0,0,0),(4195,1406330,'influxUser4','emmy',8,1609890720,9627,'e0447|e0446|e0419|e0333|e0329|e0328|e0322|e0318',1,'','influxProject2',0,0,0,0,0,0),(4196,1405833,'influxUser13','emmy',16,1609879669,21012,'e0820|e0819|e0815|e0814|e0813|e0812|e0804|e0748|e0718|e0715|e0714|e0706|e0705|e0703|e0146|e0135',1,'','influxProject3',0,0,0,0,0,0),(4197,1406434,'influxUser4','emmy',8,1609893079,7787,'e1114|e1113|e0951|e0945|e0938|e0937|e0919|e0918',1,'','influxProject2',0,0,0,0,0,0),(4198,1405828,'influxUser13','emmy',16,1609880183,21018,'e1110|e0637|e0631|e0619|e0615|e0608|e0607|e0436|e0421|e0204|e0201|e0153|e0132|e0124|e0120|e0111',1,'','influxProject3',0,0,0,0,0,0),(4199,1406328,'influxUser4','emmy',8,1609872699,28528,'e0420|e0417|e0355|e0243|e0237|e0215|e0213|e0212',1,'','influxProject2',0,0,0,0,0,0),(4200,1406440,'influxUser4','emmy',8,1609895726,5669,'e0908|e0907|e0842|e0826|e0825|e0823|e0644|e0643',1,'','influxProject2',0,0,0,0,0,0),(4201,1406335,'influxUser4','emmy',8,1609895726,5707,'e0638|e0614|e0612|e0610|e0609|e0603|e0522|e0520',1,'','influxProject2',0,0,0,0,0,0),(4202,1406336,'influxUser4','emmy',8,1609895726,6013,'e0513|e0507|e0503|e0501|e0451|e0425|e0424|e0416',1,'','influxProject2',0,0,0,0,0,0),(4203,1406437,'influxUser4','emmy',8,1609894546,7235,'e0552|e0551|e0544|e0543|e0441|e0434|e0402|e0350',1,'','influxProject2',0,0,0,0,0,0),(4204,1406339,'influxUser4','emmy',8,1609898759,3661,'e0618|e0427|e0230|e0227|e0225|e0224|e0221|e0220',1,'','influxProject2',0,0,0,0,0,0),(4205,1406359,'influxUser4','emmy',8,1609898965,3766,'e0723|e0722|e0651|e0640|e0523|e0515|e0509|e0504',1,'','influxProject2',0,0,0,0,0,0),(4206,1408034,'influxUser42','emmy',2,1609898958,3871,'e0219|e0216',1,'','influxProject13',0,0,0,0,0,0),(4207,1406441,'influxUser4','emmy',8,1609897959,5535,'e0710|e0707|e0702|e0655|e0652|e0650|e0647|e0601',1,'','influxProject2',0,0,0,0,0,0),(4208,1406361,'influxUser4','emmy',8,1609891805,12108,'e1130|e1126|e1123|e1116|e1111|e1020|e0920|e0909',1,'','influxProject2',0,0,0,0,0,0),(4209,1406338,'influxUser4','emmy',8,1609898494,5603,'e0816|e0805|e0745|e0743|e0742|e0741|e0642|e0641',1,'','influxProject2',0,0,0,0,0,0),(4210,1406442,'influxUser4','emmy',8,1609898024,6513,'e0727|e0725|e0505|e0309|e0234|e0210|e0207|e0148',1,'','influxProject2',0,0,0,0,0,0),(4211,1406340,'influxUser4','emmy',8,1609898799,5809,'e0316|e0310|e0307|e0306|e0305|e0304|e0250|e0246',1,'','influxProject2',0,0,0,0,0,0),(4212,1406364,'influxUser4','emmy',8,1609899966,4863,'e0946|e0943|e0942|e0935|e0845|e0843|e0840|e0343',1,'','influxProject2',0,0,0,0,0,0),(4213,1406367,'influxUser4','emmy',8,1609900682,4466,'e0820|e0819|e0815|e0814|e0813|e0812|e0804|e0748',1,'','influxProject2',0,0,0,0,0,0),(4214,1406384,'influxUser4','emmy',8,1609901435,4656,'e0638|e0614|e0612|e0610|e0609|e0603|e0522|e0520',1,'','influxProject2',0,0,0,0,0,0),(4215,1405829,'influxUser13','emmy',16,1609885297,21060,'e1125|e1102|e1030|e0952|e0941|e0939|e0936|e0928|e0839|e0829|e0808|e0807|e0806|e0802|e0752|e0750',1,'','influxProject3',0,0,0,0,0,0),(4216,1406372,'influxUser4','emmy',8,1609901396,5377,'e0908|e0907|e0842|e0826|e0825|e0823|e0644|e0643',1,'','influxProject2',0,0,0,0,0,0),(4217,1407895,'influxUser39','emmy',2,1609821002,85781,'e0130|e0118',1,'','influxProject13',0,0,0,0,0,0),(4218,1406444,'influxUser4','emmy',8,1609902421,4501,'e0618|e0427|e0230|e0227|e0225|e0224|e0221|e0220',1,'','influxProject2',0,0,0,0,0,0),(4219,1406445,'influxUser4','emmy',8,1609902732,4970,'e0723|e0722|e0651|e0640|e0523|e0515|e0509|e0504',1,'','influxProject2',0,0,0,0,0,0),(4220,1406374,'influxUser4','emmy',8,1609901782,6258,'e0552|e0551|e0544|e0543|e0441|e0434|e0402|e0350',1,'','influxProject2',0,0,0,0,0,0),(4221,1406370,'influxUser4','emmy',8,1609901203,6851,'e0607|e0436|e0421|e0204|e0201|e0153|e0132|e0124',1,'','influxProject2',0,0,0,0,0,0),(4222,1407912,'influxUser56','emmy',2,1609836925,71468,'e1132|e1131',1,'','influxProject18',0,0,0,0,0,0),(4223,1406446,'influxUser4','emmy',8,1609903762,4911,'e0329|e0328|e0327|e0326|e0325|e0322|e0318|e0219',1,'','influxProject2',0,0,0,0,0,0),(4224,1406390,'influxUser4','emmy',8,1609904830,3935,'e0946|e0943|e0942|e0935|e0845|e0843|e0840|e0343',1,'','influxProject2',0,0,0,0,0,0),(4225,1406448,'influxUser4','emmy',8,1609904609,4264,'e0316|e0310|e0307|e0306|e0305|e0304|e0250|e0246',1,'','influxProject2',0,0,0,0,0,0),(4226,1406385,'influxUser4','emmy',8,1609903400,5895,'e0851|e0749|e0744|e0739|e0634|e0613|e0606|e0605',1,'','influxProject2',0,0,0,0,0,0),(4227,1406443,'influxUser4','emmy',8,1609900348,10122,'e0447|e0446|e0419|e0340|e0338|e0335|e0333|e0332',1,'','influxProject2',0,0,0,0,0,0),(4228,1406386,'influxUser4','emmy',8,1609903496,7006,'e0710|e0707|e0702|e0655|e0652|e0650|e0647|e0601',1,'','influxProject2',0,0,0,0,0,0),(4229,1406363,'influxUser4','emmy',8,1609898698,11923,'e1024|e1023|e1022|e1014|e1010|e1007|e1006|e0824',1,'','influxProject2',0,0,0,0,0,0),(4230,1406391,'influxUser4','emmy',8,1609904858,6072,'e0513|e0507|e0503|e0501|e0451|e0425|e0424|e0416',1,'','influxProject2',0,0,0,0,0,0),(4231,1406394,'influxUser4','emmy',8,1609906358,4600,'e1125|e1102|e1030|e0952|e0941|e0939|e0936|e0928',1,'','influxProject2',0,0,0,0,0,0),(4232,1406393,'influxUser4','emmy',8,1609906092,4897,'e0638|e0614|e0612|e0610|e0609|e0603|e0522|e0520',1,'','influxProject2',0,0,0,0,0,0),(4233,1406388,'influxUser4','emmy',8,1609904098,6914,'e0816|e0805|e0745|e0743|e0742|e0741|e0642|e0641',1,'','influxProject2',0,0,0,0,0,0),(4234,1406449,'influxUser4','emmy',8,1609906358,4817,'e0839|e0829|e0808|e0807|e0806|e0802|e0752|e0750',1,'','influxProject2',0,0,0,0,0,0),(4235,1406451,'influxUser4','emmy',8,1609907432,4337,'e1130|e1126|e1123|e1116|e1111|e1020|e0920|e0909',1,'','influxProject2',0,0,0,0,0,0),(4236,1406368,'influxUser4','emmy',8,1609900867,10942,'e1114|e1113|e0951|e0945|e0938|e0937|e0919|e0918',1,'','influxProject2',0,0,0,0,0,0),(4237,1406396,'influxUser4','emmy',8,1609907703,4153,'e0723|e0722|e0651|e0640|e0523|e0515|e0509|e0504',1,'','influxProject2',0,0,0,0,0,0),(4238,1407899,'influxUser39','emmy',2,1609826291,85802,'e1127|e1124',1,'','influxProject13',0,0,0,0,0,0),(4239,1406337,'influxUser4','emmy',8,1609897451,15007,'e0211|e0202|e0150|e0147|e0141|e0138|e0137|e0128',1,'','influxProject2',0,0,0,0,0,0),(4240,1406362,'influxUser4','emmy',8,1609894546,18054,'e0347|e0344|e0323|e0321|e0320|e0317|e0251|e0236',1,'','influxProject2',0,0,0,0,0,0),(4241,1406400,'influxUser4','emmy',8,1609908675,4083,'e0329|e0328|e0327|e0326|e0325|e0322|e0318|e0219',1,'','influxProject2',0,0,0,0,0,0),(4242,1406360,'influxUser4','emmy',8,1609891518,21270,'e0214|e0205|e0156|e0154|e0152|e0145|e0144|e0143',1,'','influxProject2',0,0,0,0,0,0),(4243,1406401,'influxUser4','emmy',8,1609908766,4291,'e0946|e0943|e0942|e0935|e0845|e0843|e0840|e0343',1,'','influxProject2',0,0,0,0,0,0),(4244,1408022,'influxUser19','emmy',6,1609886439,27266,'e1109|e1107|e1025|e0934|e0903|e0852',1,'','influxProject5',0,0,0,0,0,0),(4245,1406454,'influxUser4','emmy',8,1609910304,4163,'e0618|e0427|e0230|e0227|e0225|e0224|e0221|e0220',1,'','influxProject2',0,0,0,0,0,0),(4246,1406397,'influxUser4','emmy',8,1609908005,6615,'e0727|e0725|e0505|e0309|e0234|e0216|e0210|e0207',1,'','influxProject2',0,0,0,0,0,0),(4247,1406398,'influxUser4','emmy',8,1609908041,6807,'e0552|e0551|e0544|e0543|e0441|e0434|e0402|e0350',1,'','influxProject2',0,0,0,0,0,0),(4248,1406399,'influxUser4','emmy',8,1609908394,6513,'e1132|e1131|e0130|e0124|e0120|e0118|e0115|e0111',1,'','influxProject2',0,0,0,0,0,0),(4249,1406404,'influxUser4','emmy',8,1609909544,6454,'e0908|e0907|e0842|e0826|e0825|e0823|e0644|e0643',1,'','influxProject2',0,0,0,0,0,0),(4250,1406408,'influxUser4','emmy',8,1609911857,4649,'e0723|e0722|e0651|e0640|e0523|e0515|e0509|e0504',1,'','influxProject2',0,0,0,0,0,0),(4251,1407902,'influxUser39','emmy',2,1609830747,85795,'e0433|e0312',1,'','influxProject13',0,0,0,0,0,0),(4252,1406402,'influxUser4','emmy',8,1609908875,7726,'e0316|e0310|e0307|e0306|e0305|e0304|e0250|e0246',1,'','influxProject2',0,0,0,0,0,0),(4253,1407904,'influxUser39','emmy',2,1609830813,85788,'e0208|e0206',1,'','influxProject13',0,0,0,0,0,0),(4254,1407903,'influxUser39','emmy',2,1609830779,85916,'e0311|e0209',1,'','influxProject13',0,0,0,0,0,0),(4255,1406369,'influxUser4','emmy',8,1609901203,16503,'e1110|e0637|e0631|e0627|e0624|e0619|e0615|e0608',1,'','influxProject2',0,0,0,0,0,0),(4256,1406456,'influxUser4','emmy',8,1609912460,5291,'e1127|e1124|e0211|e0202|e0150|e0147|e0141|e0138',1,'','influxProject2',0,0,0,0,0,0),(4257,1406409,'influxUser4','emmy',8,1609912601,5242,'e0347|e0344|e0323|e0321|e0320|e0317|e0251|e0236',1,'','influxProject2',0,0,0,0,0,0),(4258,1408023,'influxUser19','emmy',6,1609886460,31386,'e0850|e0847|e0747|e0746|e0738|e0726',1,'','influxProject5',0,0,0,0,0,0),(4259,1406410,'influxUser4','emmy',8,1609912759,5328,'e0329|e0328|e0327|e0326|e0325|e0322|e0318|e0219',1,'','influxProject2',0,0,0,0,0,0),(4260,1406458,'influxUser4','emmy',8,1609913706,5140,'e1109|e1107|e1025|e0934|e0903|e0852|e0137|e0128',1,'','influxProject2',0,0,0,0,0,0),(4261,1406403,'influxUser4','emmy',8,1609909296,9821,'e0851|e0749|e0744|e0739|e0634|e0613|e0606|e0605',1,'','influxProject2',0,0,0,0,0,0),(4262,1406414,'influxUser4','emmy',8,1609914849,4313,'e0552|e0551|e0544|e0543|e0441|e0434|e0402|e0350',1,'','influxProject2',0,0,0,0,0,0),(4263,1406411,'influxUser4','emmy',8,1609912790,6408,'e0214|e0205|e0156|e0154|e0152|e0145|e0144|e0143',1,'','influxProject2',0,0,0,0,0,0),(4264,1406452,'influxUser4','emmy',8,1609907586,11796,'e0420|e0417|e0355|e0243|e0237|e0215|e0213|e0212',1,'','influxProject2',0,0,0,0,0,0),(4265,1406413,'influxUser4','emmy',8,1609914622,4794,'e0727|e0725|e0505|e0309|e0234|e0216|e0210|e0207',1,'','influxProject2',0,0,0,0,0,0),(4266,1406415,'influxUser4','emmy',8,1609914908,5431,'e1132|e1131|e0951|e0945|e0938|e0937|e0920|e0919',1,'','influxProject2',0,0,0,0,0,0),(4267,1406416,'influxUser4','emmy',8,1609914908,5518,'e0918|e0909|e0130|e0124|e0120|e0118|e0115|e0111',1,'','influxProject2',0,0,0,0,0,0),(4268,1406412,'influxUser4','emmy',8,1609913919,6570,'e0447|e0446|e0419|e0340|e0338|e0335|e0333|e0332',1,'','influxProject2',0,0,0,0,0,0),(4269,1406418,'influxUser4','emmy',8,1609916000,5554,'e0908|e0907|e0842|e0826|e0825|e0823|e0644|e0643',1,'','influxProject2',0,0,0,0,0,0),(4270,1408027,'influxUser7','emmy',1,1609888315,34055,'e1162',1,'','influxProject2',0,0,0,0,0,0),(4271,1407868,'influxUser5','emmy',1,1609838530,85245,'e1067',1,'','influxProject2',0,0,0,0,0,0),(4272,1406417,'influxUser4','emmy',8,1609915310,11987,'e1130|e1126|e1123|e1116|e1114|e1113|e1111|e1020',1,'','influxProject2',0,0,0,0,0,0),(4273,1407995,'influxUser17','emmy',24,1609870384,57572,'e1021|e1009|e1002|e1001|e0947|e0940|e0930|e0923|e0921|e0838|e0837|e0836|e0835|e0834|e0833|e0827|e0821|e0733|e0620|e0616|e0431|e0430|e0422|e0136',1,'','influxProject5',0,0,0,0,0,0),(4274,1406383,'influxUser4','emmy',8,1609900682,28510,'e0718|e0715|e0714|e0706|e0705|e0703|e0146|e0135',1,'','influxProject2',0,0,0,0,0,0),(4275,1407965,'influxUser10','emmy',4,1609864024,67106,'e0142|e0139|e0133|e0131',1,'','influxProject3',0,0,0,0,0,0),(4276,1407871,'influxUser5','emmy',1,1609846601,85234,'e1161',1,'','influxProject2',0,0,0,0,0,0),(4277,1405830,'influxUser13','emmy',16,1609910931,21009,'e1024|e1023|e1022|e1014|e1010|e1007|e1006|e0824|e0513|e0507|e0503|e0501|e0451|e0425|e0424|e0416',1,'','influxProject3',0,0,0,0,0,0),(4278,1405831,'influxUser13','emmy',16,1609910991,21085,'e1125|e1102|e1030|e0952|e0941|e0939|e0936|e0928|e0638|e0614|e0612|e0610|e0609|e0603|e0522|e0520',1,'','influxProject3',0,0,0,0,0,0),(4279,1405832,'influxUser13','emmy',16,1609911176,21014,'e0839|e0829|e0816|e0808|e0807|e0806|e0805|e0802|e0752|e0750|e0745|e0743|e0742|e0741|e0642|e0641',1,'','influxProject3',0,0,0,0,0,0),(4280,1406392,'influxUser4','emmy',8,1609905149,28523,'e0820|e0819|e0815|e0814|e0813|e0812|e0804|e0748',1,'','influxProject2',0,0,0,0,0,0),(4281,1407969,'influxUser10','emmy',4,1609867901,66592,'e0314|e0248|e0245|e0244',1,'','influxProject3',0,0,0,0,0,0),(4282,1407908,'influxUser5','emmy',1,1609851136,85233,'e1168',1,'','influxProject2',0,0,0,0,0,0),(4283,1406453,'influxUser4','emmy',8,1609908055,28521,'e0607|e0436|e0421|e0204|e0201|e0153|e0148|e0132',1,'','influxProject2',0,0,0,0,0,0),(4284,1408158,'influxUser27','emmy',1,1609929443,7305,'e1009',1,'','influxProject21',0,0,0,0,0,0),(4285,1407940,'influxUser56','emmy',1,1609850343,86421,'e0648',1,'','influxProject18',0,0,0,0,0,0),(4286,1407939,'influxUser56','emmy',1,1609850338,86439,'e0649',1,'','influxProject18',0,0,0,0,0,0),(4287,1407937,'influxUser56','emmy',1,1609850333,86458,'e0701',1,'','influxProject18',0,0,0,0,0,0),(4288,1407941,'influxUser56','emmy',1,1609850349,86448,'e0646',1,'','influxProject18',0,0,0,0,0,0),(4289,1408149,'influxUser15','emmy',10,1609927975,8846,'e0921|e0838|e0837|e0836|e0835|e0834|e0833|e0827|e0821|e0733',1,'','influxProject5',0,0,0,0,0,0),(4290,1407942,'influxUser56','emmy',1,1609850395,86438,'e0112',1,'','influxProject18',0,0,0,0,0,0),(4291,1407943,'influxUser56','emmy',1,1609850400,86440,'e0110',1,'','influxProject18',0,0,0,0,0,0),(4292,1407945,'influxUser56','emmy',1,1609851118,86437,'e0602',1,'','influxProject18',0,0,0,0,0,0),(4293,1407944,'influxUser56','emmy',1,1609851113,86452,'e0604',1,'','influxProject18',0,0,0,0,0,0),(4294,1407946,'influxUser56','emmy',1,1609851123,86449,'e0548',1,'','influxProject18',0,0,0,0,0,0),(4295,1407951,'influxUser56','emmy',1,1609852389,86436,'e0927',1,'','influxProject18',0,0,0,0,0,0),(4296,1407952,'influxUser56','emmy',1,1609852433,86435,'e0532',1,'','influxProject18',0,0,0,0,0,0),(4297,1407966,'influxUser10','emmy',4,1609865755,73165,'e0412|e0405|e0404|e0109',1,'','influxProject3',0,0,0,0,0,0),(4298,1407954,'influxUser56','emmy',1,1609852507,86448,'e0506',1,'','influxProject18',0,0,0,0,0,0),(4299,1407955,'influxUser56','emmy',1,1609852576,86431,'e0502',1,'','influxProject18',0,0,0,0,0,0),(4300,1406455,'influxUser4','emmy',8,1609910504,28514,'e0710|e0707|e0702|e0655|e0652|e0650|e0647|e0601',1,'','influxProject2',0,0,0,0,0,0),(4301,1407956,'influxUser56','emmy',1,1609852640,86430,'e0452',1,'','influxProject18',0,0,0,0,0,0),(4302,1407958,'influxUser56','emmy',1,1609852706,86416,'e0450',1,'','influxProject18',0,0,0,0,0,0),(4303,1407959,'influxUser56','emmy',1,1609852772,86415,'e0449',1,'','influxProject18',0,0,0,0,0,0),(4304,1407960,'influxUser56','emmy',1,1609852852,86446,'e0445',1,'','influxProject18',0,0,0,0,0,0),(4305,1407897,'influxUser30','emmy',20,1609853730,86396,'e1008|e0948|e0911|e0832|e0830|e0654|e0639|e0632|e0546|e0541|e0540|e0528|e0518|e0348|e0345|e0334|e0242|e0240|e0239|e0238',1,'','influxProject10',0,0,0,0,0,0),(4306,1407971,'influxUser10','emmy',4,1609868833,72119,'e1028|e1005|e1003|e0950',1,'','influxProject3',0,0,0,0,0,0),(4307,1407968,'influxUser10','emmy',4,1609867900,74033,'e0356|e0352|e0351|e0336',1,'','influxProject3',0,0,0,0,0,0),(4308,1407909,'influxUser30','emmy',15,1609855883,86394,'e1122|e1121|e1120|e1118|e1108|e1106|e1105|e1019|e1018|e1017|e0630|e0549|e0545|e0530|e0444',1,'','influxProject10',0,0,0,0,0,0),(4309,1406459,'influxUser4','emmy',8,1609914468,28516,'e0618|e0427|e0230|e0227|e0225|e0224|e0221|e0220',1,'','influxProject2',0,0,0,0,0,0),(4310,1407967,'influxUser10','emmy',4,1609866707,76799,'e0353|e0349|e0330|e0324',1,'','influxProject3',0,0,0,0,0,0),(4311,1407167,'influxUser35','emmy',2,1609858064,86445,'e0223|e0155',1,'','influxProject12',0,0,0,0,0,0),(4312,1407974,'influxUser10','emmy',4,1609868833,77017,'e0949|e0944|e0924|e0915',1,'','influxProject3',0,0,0,0,0,0),(4313,1402982,'influxUser35','emmy',2,1609860479,86449,'e0218|e0127',1,'','influxProject12',0,0,0,0,0,0),(4314,1403002,'influxUser35','emmy',2,1609860480,86456,'e0126|e0122',1,'','influxProject12',0,0,0,0,0,0),(4315,1402942,'influxUser35','emmy',2,1609860533,86444,'e0410|e0354',1,'','influxProject12',0,0,0,0,0,0),(4316,1402962,'influxUser35','emmy',2,1609862317,86451,'e1119|e1112',1,'','influxProject12',0,0,0,0,0,0),(4317,1403042,'influxUser35','emmy',2,1609862379,86452,'e0531|e0529',1,'','influxProject12',0,0,0,0,0,0),(4318,1403022,'influxUser35','emmy',2,1609862379,86453,'e0542|e0538',1,'','influxProject12',0,0,0,0,0,0),(4319,1403063,'influxUser35','emmy',2,1609862454,86429,'e0525|e0514',1,'','influxProject12',0,0,0,0,0,0),(4320,1408005,'influxUser41','emmy',2,1609875257,73653,'e0904|e0902',1,'','influxProject13',0,0,0,0,0,0),(4321,1403083,'influxUser35','emmy',2,1609863023,86455,'e1103|e1016',1,'','influxProject12',0,0,0,0,0,0),(4322,1403103,'influxUser35','emmy',2,1609863313,86423,'e1011|e0933',1,'','influxProject12',0,0,0,0,0,0),(4323,1407980,'influxUser56','emmy',1,1609863305,86433,'e1012',1,'','influxProject18',0,0,0,0,0,0),(4324,1403123,'influxUser35','emmy',2,1609863399,86441,'e0846|e0716',1,'','influxProject12',0,0,0,0,0,0),(4325,1407993,'influxUser11','emmy',8,1609867900,82075,'e0415|e0414|e0409|e0408|e0407|e0406|e0403|e0401',1,'','influxProject3',0,0,0,0,0,0),(4326,1403142,'influxUser35','emmy',2,1609863553,86442,'e0708|e0526',1,'','influxProject12',0,0,0,0,0,0),(4327,1407983,'influxUser56','emmy',1,1609863892,86425,'e0418',1,'','influxProject18',0,0,0,0,0,0),(4328,1407984,'influxUser56','emmy',1,1609863932,86418,'e0331',1,'','influxProject18',0,0,0,0,0,0),(4329,1407985,'influxUser56','emmy',1,1609863994,86419,'e0232',1,'','influxProject18',0,0,0,0,0,0),(4330,1403161,'influxUser35','emmy',2,1609863966,86458,'e0315|e0313',1,'','influxProject12',0,0,0,0,0,0),(4331,1403280,'influxUser35','emmy',2,1609864023,86444,'e0905|e0517',1,'','influxProject12',0,0,0,0,0,0),(4332,1407986,'influxUser56','emmy',1,1609864058,86438,'e0129',1,'','influxProject18',0,0,0,0,0,0),(4333,1403298,'influxUser35','emmy',2,1609864078,86445,'e1032|e0906',1,'','influxProject12',0,0,0,0,0,0),(4334,1407987,'influxUser56','emmy',1,1609864121,86414,'e0125',1,'','influxProject18',0,0,0,0,0,0),(4335,1407988,'influxUser56','emmy',1,1609864185,86457,'e0123',1,'','influxProject18',0,0,0,0,0,0),(4336,1407989,'influxUser56','emmy',1,1609864250,86445,'e0828',1,'','influxProject18',0,0,0,0,0,0),(4337,1407990,'influxUser56','emmy',1,1609864302,86449,'e0712',1,'','influxProject18',0,0,0,0,0,0),(4338,1403317,'influxUser35','emmy',2,1609864337,86445,'e0623|e0341',1,'','influxProject12',0,0,0,0,0,0),(4339,1407134,'influxUser35','emmy',2,1609864388,86442,'e0413|e0303',1,'','influxProject12',0,0,0,0,0,0),(4340,1407991,'influxUser56','emmy',1,1609864387,86447,'e0817',1,'','influxProject18',0,0,0,0,0,0),(4341,1407144,'influxUser35','emmy',2,1609864397,86444,'e0302|e0301',1,'','influxProject12',0,0,0,0,0,0),(4342,1407204,'influxUser35','emmy',2,1609864467,86429,'e0849|e0848',1,'','influxProject12',0,0,0,0,0,0),(4343,1407254,'influxUser35','emmy',2,1609864484,86425,'e0537|e0536',1,'','influxProject12',0,0,0,0,0,0),(4344,1407244,'influxUser35','emmy',2,1609864467,86451,'e0622|e0539',1,'','influxProject12',0,0,0,0,0,0),(4345,1407158,'influxUser35','emmy',2,1609864484,86444,'e0822|e0818',1,'','influxProject12',0,0,0,0,0,0),(4346,1407896,'influxUser30','emmy',20,1609865037,86410,'e0535|e0534|e0533|e0521|e0516|e0511|e0438|e0339|e0337|e0319|e0252|e0249|e0228|e0226|e0203|e0151|e0149|e0121|e0119|e0113',1,'','influxProject10',0,0,0,0,0,0),(4347,1403338,'influxUser35','emmy',2,1609865039,86446,'e1129|e1128',1,'','influxProject12',0,0,0,0,0,0),(4348,1407898,'influxUser30','emmy',15,1609865519,86398,'e1104|e0922|e0917|e0831|e0811|e0709|e0527|e0440|e0426|e0346|e0308|e0134|e0117|e0116|e0114',1,'','influxProject10',0,0,0,0,0,0),(4349,1403358,'influxUser35','emmy',2,1609867197,86443,'e0926|e0925',1,'','influxProject12',0,0,0,0,0,0),(4350,1403378,'influxUser35','emmy',2,1609867222,86443,'e0916|e0914',1,'','influxProject12',0,0,0,0,0,0),(4351,1407214,'influxUser35','emmy',2,1609867328,86444,'e0913|e0912',1,'','influxProject12',0,0,0,0,0,0),(4352,1407780,'influxUser13','emmy',16,1609920491,33327,'e0918|e0909|e0447|e0446|e0419|e0340|e0338|e0335|e0333|e0332|e0325|e0322|e0318|e0130|e0124|e0120',1,'','influxProject3',0,0,0,0,0,0),(4353,1407778,'influxUser13','emmy',16,1609920347,33543,'e1025|e0934|e0903|e0852|e0851|e0749|e0744|e0739|e0634|e0613|e0606|e0605|e0552|e0551|e0544|e0543',1,'','influxProject3',0,0,0,0,0,0),(4354,1407928,'influxUser5','emmy',1,1609869322,85234,'e1163',1,'','influxProject2',0,0,0,0,0,0),(4355,1408173,'influxUser51','emmy',2,1609942082,12882,'e0356|e0352',1,'','influxProject17',0,0,0,0,0,0),(4356,1408187,'influxUser54','emmy',1,1609948064,7681,'e0122',1,'','influxProject18',0,0,0,0,0,0),(4357,1408189,'influxUser31','emmy',12,1609948833,7228,'e1119|e1112|e0542|e0538|e0531|e0529|e0410|e0354|e0218|e0155|e0127|e0126',1,'','influxProject11',0,0,0,0,0,0),(4358,1408190,'influxUser31','emmy',12,1609949976,7254,'e1103|e1016|e1012|e1011|e0933|e0904|e0902|e0846|e0716|e0525|e0514|e0415',1,'','influxProject11',0,0,0,0,0,0),(4359,1407997,'influxUser5','emmy',1,1609872741,85246,'e1165',1,'','influxProject2',0,0,0,0,0,0),(4360,1408146,'influxUser62','emmy',1,1609923203,36874,'e1132',1,'','influxProject4',0,0,0,0,0,0),(4361,1408238,'influxUser56','emmy',1,1609951933,8375,'e0917',1,'','influxProject18',0,0,0,0,0,0),(4362,1408239,'influxUser56','emmy',1,1609951985,8342,'e0114',1,'','influxProject18',0,0,0,0,0,0),(4363,1408241,'influxUser56','emmy',1,1609953676,7411,'e0914',1,'','influxProject18',0,0,0,0,0,0),(4364,1408234,'influxUser56','emmy',1,1609951460,11905,'e0113',1,'','influxProject18',0,0,0,0,0,0),(4365,1408193,'influxUser15','emmy',10,1609951939,13967,'e0811|e0709|e0527|e0440|e0426|e0346|e0308|e0134|e0117|e0116',1,'','influxProject5',0,0,0,0,0,0),(4366,1408240,'influxUser56','emmy',1,1609953671,12363,'e0916',1,'','influxProject18',0,0,0,0,0,0),(4367,1408235,'influxUser56','emmy',1,1609951516,20133,'e1129',1,'','influxProject18',0,0,0,0,0,0),(4368,1408026,'influxUser5','emmy',1,1609888301,85234,'e1167',1,'','influxProject2',0,0,0,0,0,0),(4369,1408233,'influxUser56','emmy',1,1609951938,21642,'e0831',1,'','influxProject18',0,0,0,0,0,0),(4370,1408166,'influxUser19','emmy',6,1609938028,35553,'e1009|e0806|e0648|e0607|e0520|e0436',1,'','influxProject5',0,0,0,0,0,0),(4371,1408167,'influxUser19','emmy',6,1609938028,35562,'e0421|e0244|e0204|e0201|e0153|e0148',1,'','influxProject5',0,0,0,0,0,0),(4372,1408236,'influxUser56','emmy',1,1609951569,22988,'e1128',1,'','influxProject18',0,0,0,0,0,0),(4373,1408143,'influxUser56','emmy',2,1609922267,52789,'e0644|e0643',1,'','influxProject18',0,0,0,0,0,0),(4374,1408237,'influxUser56','emmy',1,1609951923,23194,'e1104',1,'','influxProject18',0,0,0,0,0,0),(4375,1407595,'influxUser46','emmy',32,1609890333,86476,'e0901|e0803|e0801|e0737|e0736|e0735|e0724|e0721|e0720|e0719|e0717|e0713|e0711|e0704|e0656|e0653|e0645|e0636|e0635|e0633|e0629|e0628|e0626|e0625|e0617|e0611|e0550|e0547|e0524|e0443|e0442|e0435',1,'','influxProject16',0,0,0,0,0,0),(4376,1407596,'influxUser46','emmy',32,1609890660,86454,'e1117|e1115|e1101|e1031|e1029|e1027|e1004|e0932|e0931|e0929|e0844|e0810|e0809|e0751|e0740|e0734|e0731|e0730|e0729|e0728|e0512|e0510|e0508|e0448|e0432|e0429|e0428|e0423|e0235|e0233|e0231|e0229',1,'','influxProject16',0,0,0,0,0,0),(4377,1408028,'influxUser5','emmy',1,1609892084,85234,'e1164',1,'','influxProject2',0,0,0,0,0,0),(4378,1408258,'influxUser51','emmy',2,1609957443,23069,'e0155|e0127',1,'','influxProject17',0,0,0,0,0,0),(4379,1408033,'influxUser44','emmy',1,1609898501,84577,'e0621',1,'','influxProject14',0,0,0,0,0,0),(4380,1408298,'influxUser44','emmy',1,1609983084,9147,'e1026',1,'','influxProject14',0,0,0,0,0,0),(4381,1408170,'influxUser44','emmy',1,1609937578,54676,'e0548',1,'','influxProject14',0,0,0,0,0,0),(4382,1408169,'influxUser44','emmy',1,1609937571,54700,'e0604',1,'','influxProject14',0,0,0,0,0,0),(4383,1408267,'influxUser31','emmy',12,1609961964,36042,'e1132|e1119|e1112|e1103|e1016|e1012|e1011|e0933|e0917|e0914|e0904|e0902',1,'','influxProject11',0,0,0,0,0,0),(4384,1408272,'influxUser31','emmy',12,1609964494,36067,'e0846|e0716|e0542|e0538|e0531|e0529|e0525|e0514|e0415|e0410|e0108|e0107',1,'','influxProject11',0,0,0,0,0,0),(4385,1407756,'influxUser21','emmy',29,1609916696,86452,'e0946|e0943|e0942|e0935|e0845|e0843|e0840|e0723|e0722|e0651|e0640|e0523|e0515|e0509|e0504|e0433|e0343|e0316|e0312|e0311|e0310|e0307|e0306|e0305|e0304|e0250|e0246|e0209|e0208',1,'','influxProject7',0,0,0,0,0,0),(4386,1408192,'influxUser6','emmy',14,1609951449,51718,'e0303|e0302|e0301|e0252|e0249|e0232|e0228|e0226|e0203|e0151|e0149|e0123|e0121|e0119',1,'','influxProject2',0,0,0,0,0,0),(4387,1408043,'influxUser20','emmy',5,1609923204,80003,'e0441|e0434|e0402|e0350|e0329',1,'','influxProject6',0,0,0,0,0,0),(4388,1407757,'influxUser21','emmy',29,1609917848,85385,'e1127|e1124|e1110|e0850|e0847|e0747|e0746|e0738|e0726|e0637|e0631|e0627|e0624|e0619|e0615|e0608|e0347|e0344|e0323|e0321|e0320|e0317|e0251|e0236|e0211|e0206|e0202|e0150|e0147',1,'','influxProject7',0,0,0,0,0,0),(4389,1407759,'influxUser21','emmy',29,1609919501,83734,'e0727|e0725|e0505|e0420|e0417|e0355|e0309|e0243|e0237|e0234|e0219|e0216|e0215|e0214|e0213|e0212|e0210|e0207|e0205|e0156|e0154|e0152|e0145|e0144|e0143|e0141|e0138|e0137|e0128',1,'','influxProject7',0,0,0,0,0,0),(4390,1408042,'influxUser20','emmy',5,1609923203,80036,'e0945|e0938|e0937|e0920|e0919',1,'','influxProject6',0,0,0,0,0,0),(4391,1408040,'influxUser39','emmy',2,1609920282,85784,'e1109|e1107',1,'','influxProject13',0,0,0,0,0,0),(4392,1408041,'influxUser39','emmy',2,1609920536,85772,'e0118|e0115',1,'','influxProject13',0,0,0,0,0,0),(4393,1408091,'influxUser39','emmy',2,1609921555,85779,'e0842|e0826',1,'','influxProject13',0,0,0,0,0,0),(4394,1408092,'influxUser39','emmy',2,1609921555,85780,'e0825|e0823',1,'','influxProject13',0,0,0,0,0,0),(4395,1408090,'influxUser39','emmy',2,1609921555,85792,'e0908|e0907',1,'','influxProject13',0,0,0,0,0,0),(4396,1406420,'influxUser4','emmy',8,1610000569,7146,'e0531|e0529|e0525|e0514|e0415|e0410|e0155|e0127',1,'','influxProject2',0,0,0,0,0,0),(4397,1408044,'influxUser20','emmy',5,1609927976,79998,'e0422|e0328|e0327|e0326|e0136',1,'','influxProject6',0,0,0,0,0,0),(4398,1408046,'influxUser20','emmy',5,1609928402,79965,'e0923|e0620|e0616|e0431|e0430',1,'','influxProject6',0,0,0,0,0,0),(4399,1408045,'influxUser20','emmy',5,1609928402,80037,'e1002|e1001|e0947|e0940|e0930',1,'','influxProject6',0,0,0,0,0,0),(4400,1408144,'influxUser56','emmy',1,1609922292,86435,'e0111',1,'','influxProject18',0,0,0,0,0,0),(4401,1408047,'influxUser20','emmy',5,1609928859,79969,'e1130|e1126|e1123|e1116|e1114',1,'','influxProject6',0,0,0,0,0,0),(4402,1408147,'influxUser5','emmy',1,1609923752,85244,'e1162',1,'','influxProject2',0,0,0,0,0,0),(4403,1408145,'influxUser56','emmy',2,1609923203,86436,'e1131|e0951',1,'','influxProject18',0,0,0,0,0,0),(4404,1408286,'influxUser56','emmy',2,1609976811,33714,'e0633|e0629',1,'','influxProject18',0,0,0,0,0,0),(4405,1408048,'influxUser20','emmy',5,1609931941,79952,'e0503|e0501|e0451|e0425|e0424',1,'','influxProject6',0,0,0,0,0,0),(4406,1408050,'influxUser20','emmy',5,1609932077,79913,'e0939|e0936|e0928|e0638|e0614',1,'','influxProject6',0,0,0,0,0,0),(4407,1408049,'influxUser20','emmy',5,1609932077,79949,'e1125|e1102|e1030|e0952|e0941',1,'','influxProject6',0,0,0,0,0,0),(4408,1408051,'influxUser20','emmy',5,1609932191,79921,'e0805|e0802|e0752|e0750|e0745',1,'','influxProject6',0,0,0,0,0,0),(4409,1408052,'influxUser20','emmy',5,1609932191,79956,'e0743|e0742|e0741|e0642|e0641',1,'','influxProject6',0,0,0,0,0,0),(4410,1408054,'influxUser20','emmy',5,1609932410,79895,'e0513|e0507|e0416|e0146|e0142',1,'','influxProject6',0,0,0,0,0,0),(4411,1408053,'influxUser20','emmy',5,1609932410,79935,'e0715|e0714|e0706|e0705|e0703',1,'','influxProject6',0,0,0,0,0,0),(4412,1406419,'influxUser4','emmy',8,1610000569,11781,'e0645|e0636|e0635|e0621|e0604|e0548|e0542|e0538',1,'','influxProject2',0,0,0,0,0,0),(4413,1406421,'influxUser4','emmy',8,1610005579,6953,'e0214|e0213|e0212|e0209|e0208|e0203|e0151|e0149',1,'','influxProject2',0,0,0,0,0,0),(4414,1406424,'influxUser4','emmy',8,1610008829,5525,'e1130|e1126|e1123|e1116|e1114|e0431|e0430|e0136',1,'','influxProject2',0,0,0,0,0,0),(4415,1408055,'influxUser20','emmy',5,1609934494,79907,'e0812|e0804|e0748|e0718|e0314',1,'','influxProject6',0,0,0,0,0,0),(4416,1408153,'influxUser3','emmy',2,1609928859,85867,'e1021|e1020',1,'','influxProject2',0,0,0,0,0,0),(4417,1408152,'influxUser3','emmy',2,1609928859,85872,'e1113|e1111',1,'','influxProject2',0,0,0,0,0,0),(4418,1408058,'influxUser20','emmy',5,1609935324,79872,'e0815|e0814|e0813|e0248|e0245',1,'','influxProject6',0,0,0,0,0,0),(4419,1408059,'influxUser20','emmy',5,1609935352,79846,'e0612|e0610|e0609|e0603|e0522',1,'','influxProject6',0,0,0,0,0,0),(4420,1408056,'influxUser20','emmy',5,1609935324,79884,'e1024|e1023|e1022|e1014|e1010',1,'','influxProject6',0,0,0,0,0,0),(4421,1408057,'influxUser20','emmy',5,1609935324,79889,'e1007|e1006|e0824|e0820|e0819',1,'','influxProject6',0,0,0,0,0,0),(4422,1408060,'influxUser20','emmy',5,1609935473,79868,'e0839|e0829|e0816|e0808|e0807',1,'','influxProject6',0,0,0,0,0,0),(4423,1408063,'influxUser20','emmy',5,1609936841,79844,'e0701|e0649|e0646|e0112|e0110',1,'','influxProject6',0,0,0,0,0,0),(4424,1408062,'influxUser20','emmy',5,1609936823,79870,'e0834|e0833|e0827|e0821|e0733',1,'','influxProject6',0,0,0,0,0,0),(4425,1408061,'influxUser20','emmy',5,1609936823,79871,'e0921|e0838|e0837|e0836|e0835',1,'','influxProject6',0,0,0,0,0,0),(4426,1408155,'influxUser3','emmy',2,1609931131,85864,'e0133|e0131',1,'','influxProject2',0,0,0,0,0,0),(4427,1408154,'influxUser3','emmy',2,1609931131,85871,'e0139|e0135',1,'','influxProject2',0,0,0,0,0,0),(4428,1408160,'influxUser5','emmy',1,1609931817,85235,'e1068',1,'','influxProject2',0,0,0,0,0,0),(4429,1406460,'influxUser4','emmy',8,1610000569,16721,'e0933|e0917|e0914|e0904|e0902|e0846|e0716|e0653',1,'','influxProject2',0,0,0,0,0,0),(4430,1406422,'influxUser4','emmy',8,1610007716,10129,'e0531|e0529|e0525|e0514|e0415|e0410|e0155|e0154',1,'','influxProject2',0,0,0,0,0,0),(4431,1408064,'influxUser20','emmy',5,1609938922,79829,'e0927|e0532|e0412|e0405|e0404',1,'','influxProject6',0,0,0,0,0,0),(4432,1408065,'influxUser20','emmy',5,1609939019,79843,'e0710|e0707|e0702|e0655|e0652',1,'','influxProject6',0,0,0,0,0,0),(4433,1408066,'influxUser20','emmy',5,1609939019,79992,'e0650|e0647|e0601|e0506|e0502',1,'','influxProject6',0,0,0,0,0,0),(4434,1408067,'influxUser20','emmy',5,1609939189,79917,'e0452|e0450|e0449|e0132|e0109',1,'','influxProject6',0,0,0,0,0,0),(4435,1408068,'influxUser20','emmy',5,1609940127,79954,'e1008|e0948|e0911|e0832|e0830',1,'','influxProject6',0,0,0,0,0,0),(4436,1408070,'influxUser20','emmy',5,1609940127,79992,'e0540|e0528|e0518|e0445|e0348',1,'','influxProject6',0,0,0,0,0,0),(4437,1408069,'influxUser20','emmy',5,1609940127,80013,'e0654|e0639|e0632|e0546|e0541',1,'','influxProject6',0,0,0,0,0,0),(4438,1408071,'influxUser20','emmy',5,1609940128,80053,'e0345|e0334|e0242|e0240|e0239',1,'','influxProject6',0,0,0,0,0,0),(4439,1408370,'influxUser31','emmy',8,1610017846,3633,'e0716|e0653|e0531|e0529|e0525|e0514|e0415|e0410',1,'','influxProject11',0,0,0,0,0,0),(4440,1408164,'influxUser5','emmy',1,1609936347,85243,'e1161',1,'','influxProject2',0,0,0,0,0,0),(4441,1408318,'influxUser22','emmy',3,1610007135,14658,'e1110|e0850|e0847',1,'','influxProject7',0,0,0,0,0,0),(4442,1408072,'influxUser20','emmy',5,1609941882,79937,'e1028|e1005|e1003|e0950|e0238',1,'','influxProject6',0,0,0,0,0,0),(4443,1408317,'influxUser22','emmy',2,1610006823,15075,'e1127|e1124',1,'','influxProject7',0,0,0,0,0,0),(4444,1408276,'influxUser10','emmy',4,1610005078,16822,'e0152|e0150|e0147|e0145',1,'','influxProject3',0,0,0,0,0,0),(4445,1408074,'influxUser20','emmy',5,1609942279,79947,'e1106|e1105|e1019|e1018|e1017',1,'','influxProject6',0,0,0,0,0,0),(4446,1408075,'influxUser20','emmy',5,1609942279,79959,'e0630|e0549|e0545|e0530|e0444',1,'','influxProject6',0,0,0,0,0,0),(4447,1408073,'influxUser20','emmy',5,1609942279,80060,'e1122|e1121|e1120|e1118|e1108',1,'','influxProject6',0,0,0,0,0,0),(4448,1408371,'influxUser31','emmy',8,1610018863,3656,'e0927|e0710|e0707|e0702|e0655|e0652|e0532|e0404',1,'','influxProject11',0,0,0,0,0,0),(4449,1408372,'influxUser31','emmy',8,1610019107,3655,'e0650|e0647|e0601|e0506|e0502|e0452|e0450|e0449',1,'','influxProject11',0,0,0,0,0,0),(4450,1408373,'influxUser31','emmy',8,1610019130,3651,'e0108|e0107|e0106|e0105|e0103|e0102|e0101|e0155',1,'','influxProject11',0,0,0,0,0,0),(4451,1408347,'influxUser31','emmy',20,1610012113,10836,'e1125|e1102|e1030|e0952|e0941|e0939|e0936|e0928|e0923|e0805|e0802|e0752|e0750|e0745|e0638|e0620|e0616|e0614|e0503|e0501',1,'','influxProject11',0,0,0,0,0,0),(4452,1408168,'influxUser44','emmy',1,1609937561,85576,'e0602',1,'','influxProject14',0,0,0,0,0,0),(4453,1408348,'influxUser31','emmy',20,1610012351,10872,'e0743|e0742|e0741|e0715|e0714|e0706|e0705|e0703|e0645|e0642|e0641|e0636|e0635|e0621|e0604|e0548|e0542|e0538|e0513|e0507',1,'','influxProject11',0,0,0,0,0,0),(4454,1408076,'influxUser20','emmy',5,1609943476,79942,'e0618|e0427|e0351|e0336|e0230',1,'','influxProject6',0,0,0,0,0,0),(4455,1408077,'influxUser20','emmy',5,1609943476,79954,'e0227|e0225|e0224|e0221|e0220',1,'','influxProject6',0,0,0,0,0,0),(4456,1408320,'influxUser22','emmy',2,1610007976,17649,'e0422|e0328',1,'','influxProject7',0,0,0,0,0,0),(4457,1408215,'influxUser41','emmy',2,1609950536,76335,'e0129|e0125',1,'','influxProject13',0,0,0,0,0,0),(4458,1406462,'influxUser4','emmy',8,1610024844,3799,'e0805|e0802|e0752|e0750|e0745|e0710|e0707|e0702',1,'','influxProject2',0,0,0,0,0,0),(4459,1408321,'influxUser22','emmy',2,1610008332,20651,'e0327|e0326',1,'','influxProject7',0,0,0,0,0,0),(4460,1408424,'influxUser2','emmy',1,1610024682,4641,'e0242',1,'','influxProject1',0,0,0,0,0,0),(4461,1408319,'influxUser22','emmy',4,1610007525,23240,'e0908|e0907|e0842|e0826',1,'','influxProject7',0,0,0,0,0,0),(4462,1406463,'influxUser4','emmy',8,1610024844,6646,'e0601|e0532|e0514|e0506|e0503|e0502|e0501|e0452',1,'','influxProject2',0,0,0,0,0,0),(4463,1408447,'influxUser31','emmy',8,1610028291,3628,'e0108|e0107|e0106|e0105|e0103|e0102|e0101|e0450',1,'','influxProject11',0,0,0,0,0,0),(4464,1408177,'influxUser56','emmy',1,1609945580,86447,'e0353',1,'','influxProject18',0,0,0,0,0,0),(4465,1408178,'influxUser56','emmy',1,1609945624,86416,'e0349',1,'','influxProject18',0,0,0,0,0,0),(4466,1406425,'influxUser4','emmy',8,1610024844,7259,'e0655|e0652|e0650|e0647|e0638|e0620|e0616|e0614',1,'','influxProject2',0,0,0,0,0,0),(4467,1408179,'influxUser56','emmy',1,1609945684,86431,'e0330',1,'','influxProject18',0,0,0,0,0,0),(4468,1408180,'influxUser56','emmy',1,1609945746,86448,'e0324',1,'','influxProject18',0,0,0,0,0,0),(4469,1408181,'influxUser56','emmy',1,1609945808,86417,'e0223',1,'','influxProject18',0,0,0,0,0,0),(4470,1408448,'influxUser31','emmy',8,1610028644,3660,'e0805|e0802|e0752|e0750|e0745|e0710|e0707|e0702',1,'','influxProject11',0,0,0,0,0,0),(4471,1408182,'influxUser56','emmy',1,1609945875,86436,'e0949',1,'','influxProject18',0,0,0,0,0,0),(4472,1408183,'influxUser56','emmy',1,1609945937,86418,'e0944',1,'','influxProject18',0,0,0,0,0,0),(4473,1408184,'influxUser56','emmy',1,1609946002,86429,'e0924',1,'','influxProject18',0,0,0,0,0,0),(4474,1408185,'influxUser56','emmy',1,1609946067,86458,'e0915',1,'','influxProject18',0,0,0,0,0,0),(4475,1408346,'influxUser23','emmy',3,1610012533,20596,'e0208|e0203|e0151',1,'','influxProject8',0,0,0,0,0,0),(4476,1408159,'influxUser17','emmy',36,1610005077,28218,'e1032|e0946|e0943|e0942|e0935|e0906|e0905|e0845|e0843|e0840|e0727|e0725|e0723|e0722|e0651|e0640|e0526|e0523|e0517|e0515|e0509|e0505|e0504|e0420|e0417|e0355|e0320|e0317|e0309|e0251|e0243|e0237|e0236|e0234|e0219|e0216',1,'','influxProject5',0,0,0,0,0,0),(4477,1408080,'influxUser20','emmy',5,1609953820,79903,'e0333|e0332|e0325|e0322|e0318',1,'','influxProject6',0,0,0,0,0,0),(4478,1408078,'influxUser20','emmy',5,1609953820,79906,'e0918|e0913|e0912|e0909|e0447',1,'','influxProject6',0,0,0,0,0,0),(4479,1408079,'influxUser20','emmy',5,1609953820,79923,'e0446|e0419|e0340|e0338|e0335',1,'','influxProject6',0,0,0,0,0,0),(4480,1408083,'influxUser20','emmy',5,1609953891,79863,'e0606|e0605|e0552|e0551|e0544',1,'','influxProject6',0,0,0,0,0,0),(4481,1408082,'influxUser20','emmy',5,1609953891,79872,'e0749|e0744|e0739|e0634|e0613',1,'','influxProject6',0,0,0,0,0,0),(4482,1408081,'influxUser20','emmy',5,1609953891,79912,'e1025|e0934|e0903|e0852|e0851',1,'','influxProject6',0,0,0,0,0,0),(4483,1408449,'influxUser31','emmy',8,1610030766,3666,'e0908|e0907|e0842|e0826|e0449|e0422|e0327|e0326',1,'','influxProject11',0,0,0,0,0,0),(4484,1408345,'influxUser23','emmy',4,1610012533,22415,'e0214|e0213|e0212|e0209',1,'','influxProject8',0,0,0,0,0,0),(4485,1403043,'influxUser35','emmy',2,1609950734,86443,'e0828|e0414',1,'','influxProject12',0,0,0,0,0,0),(4486,1408314,'influxUser22','emmy',5,1610005578,31644,'e0945|e0938|e0937|e0920|e0919',1,'','influxProject7',0,0,0,0,0,0),(4487,1403318,'influxUser35','emmy',2,1609950784,86449,'e0712|e0623',1,'','influxProject12',0,0,0,0,0,0),(4488,1407145,'influxUser35','emmy',2,1609950843,86430,'e0817|e0403',1,'','influxProject12',0,0,0,0,0,0),(4489,1407135,'influxUser35','emmy',2,1609950832,86443,'e0413|e0406',1,'','influxProject12',0,0,0,0,0,0),(4490,1407205,'influxUser35','emmy',2,1609950897,86444,'e0849|e0848',1,'','influxProject12',0,0,0,0,0,0),(4491,1407255,'influxUser35','emmy',2,1609950911,86444,'e0537|e0536',1,'','influxProject12',0,0,0,0,0,0),(4492,1407245,'influxUser35','emmy',2,1609950919,86444,'e0622|e0539',1,'','influxProject12',0,0,0,0,0,0),(4493,1407159,'influxUser35','emmy',2,1609950930,86442,'e0822|e0818',1,'','influxProject12',0,0,0,0,0,0),(4494,1406466,'influxUser4','emmy',8,1610033777,3937,'e0655|e0652|e0650|e0647|e0638|e0620|e0616|e0614',1,'','influxProject2',0,0,0,0,0,0),(4495,1408191,'influxUser6','emmy',14,1609951448,86442,'e0535|e0534|e0533|e0521|e0516|e0511|e0438|e0341|e0339|e0337|e0331|e0319|e0315|e0313',1,'','influxProject2',0,0,0,0,0,0),(4496,1408232,'influxUser56','emmy',1,1609951928,86433,'e0922',1,'','influxProject18',0,0,0,0,0,0),(4497,1406472,'influxUser4','emmy',8,1610034519,5112,'e0420|e0417|e0355|e0333|e0332|e0325|e0322|e0318',1,'','influxProject2',0,0,0,0,0,0),(4498,1408245,'influxUser5','emmy',1,1609954533,85244,'e1168',1,'','influxProject2',0,0,0,0,0,0),(4499,1406470,'influxUser4','emmy',8,1610034519,5409,'e0943|e0651|e0640|e0532|e0526|e0523|e0517|e0515',1,'','influxProject2',0,0,0,0,0,0),(4500,1408374,'influxUser42','emmy',8,1610023224,16821,'e0743|e0742|e0741|e0715|e0714|e0706|e0705|e0703',1,'','influxProject13',0,0,0,0,0,0),(4501,1406467,'influxUser4','emmy',8,1610034266,5978,'e0805|e0802|e0752|e0750|e0745|e0710|e0707|e0702',1,'','influxProject2',0,0,0,0,0,0),(4502,1402943,'influxUser35','emmy',2,1609953821,86441,'e0130|e0124',1,'','influxProject12',0,0,0,0,0,0),(4503,1408349,'influxUser23','emmy',3,1610012923,27649,'e0149|e0142|e0119',1,'','influxProject8',0,0,0,0,0,0),(4504,1406471,'influxUser4','emmy',8,1610034519,6327,'e0514|e0509|e0506|e0505|e0504|e0503|e0502|e0501',1,'','influxProject2',0,0,0,0,0,0),(4505,1408246,'influxUser56','emmy',1,1609954539,86415,'e0120',1,'','influxProject18',0,0,0,0,0,0),(4506,1408481,'influxUser32','emmy',8,1610034266,6901,'e1025|e0949|e0944|e0934|e0924|e0903|e0852|e0851',1,'','influxProject11',0,0,0,0,0,0),(4507,1408248,'influxUser56','emmy',1,1609954880,86425,'e0925',1,'','influxProject18',0,0,0,0,0,0),(4508,1408247,'influxUser56','emmy',1,1609954875,86434,'e0926',1,'','influxProject18',0,0,0,0,0,0),(4509,1408249,'influxUser56','emmy',1,1609954966,86438,'e0543',1,'','influxProject18',0,0,0,0,0,0),(4510,1408250,'influxUser56','emmy',1,1609954972,86444,'e0356',1,'','influxProject18',0,0,0,0,0,0),(4511,1408251,'influxUser56','emmy',1,1609954977,86460,'e0352',1,'','influxProject18',0,0,0,0,0,0),(4512,1408344,'influxUser23','emmy',5,1610012351,29268,'e0451|e0425|e0424|e0416|e0146',1,'','influxProject8',0,0,0,0,0,0),(4513,1408252,'influxUser56','emmy',1,1609955752,86439,'e0122',1,'','influxProject18',0,0,0,0,0,0),(4514,1408253,'influxUser56','emmy',1,1609956068,86450,'e0218',1,'','influxProject18',0,0,0,0,0,0),(4515,1406464,'influxUser4','emmy',8,1610033356,9234,'e0905|e0845|e0843|e0840|e0727|e0725|e0723|e0722',1,'','influxProject2',0,0,0,0,0,0),(4516,1408338,'influxUser23','emmy',5,1610011782,31240,'e1002|e1001|e0947|e0940|e0930',1,'','influxProject8',0,0,0,0,0,0),(4517,1408259,'influxUser5','emmy',1,1609957964,85244,'e1163',1,'','influxProject2',0,0,0,0,0,0),(4518,1408417,'influxUser22','emmy',2,1610024844,18665,'e0927|e0923',1,'','influxProject7',0,0,0,0,0,0),(4519,1408483,'influxUser32','emmy',8,1610036780,6876,'e0749|e0744|e0739|e0634|e0613|e0544|e0338|e0335',1,'','influxProject11',0,0,0,0,0,0),(4520,1406473,'influxUser4','emmy',8,1610041307,4522,'e0925|e0339|e0337|e0332|e0209|e0125|e0120|e0119',1,'','influxProject2',0,0,0,0,0,0),(4521,1408340,'influxUser56','emmy',2,1610015200,30906,'e0603|e0522',1,'','influxProject18',0,0,0,0,0,0),(4522,1408341,'influxUser56','emmy',1,1610015214,30895,'e1024',1,'','influxProject18',0,0,0,0,0,0),(4523,1408342,'influxUser56','emmy',2,1610015200,30913,'e0245|e0136',1,'','influxProject18',0,0,0,0,0,0),(4524,1408263,'influxUser56','emmy',1,1609959809,86451,'e0126',1,'','influxProject18',0,0,0,0,0,0),(4525,1406474,'influxUser4','emmy',8,1610041888,4454,'e0706|e0705|e0703|e0651|e0640|e0532|e0526|e0523',1,'','influxProject2',0,0,0,0,0,0),(4526,1402963,'influxUser35','emmy',2,1609960328,86441,'e0354|e0114',1,'','influxProject12',0,0,0,0,0,0),(4527,1408265,'influxUser56','emmy',1,1609963371,83843,'e0113',1,'','influxProject18',0,0,0,0,0,0),(4528,1406476,'influxUser4','emmy',8,1610043530,4016,'e0927|e0926|e0923|e0543|e0451|e0425|e0424|e0416',1,'','influxProject2',0,0,0,0,0,0),(4529,1408412,'influxUser23','emmy',5,1610022419,25273,'e0716|e0653|e0531|e0529|e0525',1,'','influxProject8',0,0,0,0,0,0),(4530,1406475,'influxUser4','emmy',8,1610043023,4824,'e1002|e1001|e0947|e0940|e0930|e0723|e0722|e0325',1,'','influxProject2',0,0,0,0,0,0),(4531,1406469,'influxUser4','emmy',8,1610034433,14125,'e0908|e0907|e0842|e0826|e0449|e0422|e0327|e0326',1,'','influxProject2',0,0,0,0,0,0),(4532,1406478,'influxUser4','emmy',8,1610045831,4578,'e0925|e0339|e0337|e0332|e0209|e0146|e0125|e0120',1,'','influxProject2',0,0,0,0,0,0),(4533,1406468,'influxUser4','emmy',8,1610034266,17148,'e0452|e0450|e0353|e0349|e0330|e0324|e0242|e0223',1,'','influxProject2',0,0,0,0,0,0),(4534,1406479,'influxUser4','emmy',8,1610046261,5428,'e0126|e0108|e0107|e0106|e0105|e0103|e0102|e0101',1,'','influxProject2',0,0,0,0,0,0),(4535,1402983,'influxUser35','emmy',2,1609965907,86461,'e0117|e0116',1,'','influxProject12',0,0,0,0,0,0),(4536,1406477,'influxUser4','emmy',8,1610044029,8956,'e0749|e0744|e0739|e0634|e0613|e0544|e0356|e0352',1,'','influxProject2',0,0,0,0,0,0),(4537,1406480,'influxUser4','emmy',8,1610049441,3734,'e0723|e0722|e0529|e0525|e0449|e0422|e0327|e0326',1,'','influxProject2',0,0,0,0,0,0),(4538,1408363,'influxUser22','emmy',5,1610023681,29766,'e1019|e1018|e1017|e1005|e1003',1,'','influxProject7',0,0,0,0,0,0),(4539,1408359,'influxUser22','emmy',6,1610023681,30377,'e1127|e1124|e1110|e1106|e1105|e1028',1,'','influxProject7',0,0,0,0,0,0),(4540,1408522,'influxUser51','emmy',2,1610041888,12580,'e0742|e0741',1,'','influxProject17',0,0,0,0,0,0),(4541,1408369,'influxUser23','emmy',6,1610017774,37692,'e0933|e0917|e0914|e0904|e0902|e0846',1,'','influxProject8',0,0,0,0,0,0),(4542,1406481,'influxUser4','emmy',8,1610050434,5480,'e0925|e0339|e0337|e0332|e0209|e0146|e0125|e0120',1,'','influxProject2',0,0,0,0,0,0),(4543,1408367,'influxUser23','emmy',6,1610017219,39391,'e0921|e0838|e0837|e0836|e0835|e0139',1,'','influxProject8',0,0,0,0,0,0),(4544,1408416,'influxUser22','emmy',3,1610023682,33082,'e0545|e0530|e0444',1,'','influxProject7',0,0,0,0,0,0),(4545,1408464,'influxUser22','emmy',3,1610033355,23727,'e0942|e0935|e0906',1,'','influxProject7',0,0,0,0,0,0),(4546,1408473,'influxUser51','emmy',2,1610032924,24770,'e0915|e0601',1,'','influxProject17',0,0,0,0,0,0),(4547,1408521,'influxUser51','emmy',2,1610041888,16243,'e0943|e0743',1,'','influxProject17',0,0,0,0,0,0),(4548,1408485,'influxUser42','emmy',8,1610040245,18090,'e0805|e0802|e0752|e0750|e0745|e0710|e0707|e0702',1,'','influxProject13',0,0,0,0,0,0),(4549,1408275,'influxUser5','emmy',1,1609973512,85244,'e1165',1,'','influxProject2',0,0,0,0,0,0),(4550,1408353,'influxUser19','emmy',6,1610022783,36076,'e0415|e0404|e0240|e0239|e0155|e0135',1,'','influxProject5',0,0,0,0,0,0),(4551,1408484,'influxUser23','emmy',3,1610036780,22473,'e0214|e0213|e0212',1,'','influxProject8',0,0,0,0,0,0),(4552,1408358,'influxUser22','emmy',6,1610023431,36069,'e0230|e0227|e0225|e0224|e0221|e0220',1,'','influxProject7',0,0,0,0,0,0),(4553,1408375,'influxUser23','emmy',5,1610020096,39840,'e0154|e0133|e0132|e0131|e0109',1,'','influxProject8',0,0,0,0,0,0),(4554,1408518,'influxUser23','emmy',4,1610041086,19627,'e0945|e0938|e0937|e0920',1,'','influxProject8',0,0,0,0,0,0),(4555,1403003,'influxUser35','emmy',2,1609974807,86468,'e0153|e0148',1,'','influxProject12',0,0,0,0,0,0),(4556,1408541,'influxUser56','emmy',1,1610047394,14208,'e0113',1,'','influxProject18',0,0,0,0,0,0),(4557,1408297,'influxUser5','emmy',1,1609977295,85244,'e1167',1,'','influxProject2',0,0,0,0,0,0),(4558,1407168,'influxUser35','emmy',2,1609976827,86430,'e0617|e0611',1,'','influxProject12',0,0,0,0,0,0),(4559,1403023,'influxUser35','emmy',2,1609976827,86440,'e0550|e0547',1,'','influxProject12',0,0,0,0,0,0),(4560,1403339,'influxUser35','emmy',2,1609976827,86456,'e0524|e0443',1,'','influxProject12',0,0,0,0,0,0),(4561,1403359,'influxUser35','emmy',2,1609976828,86457,'e0442|e0435',1,'','influxProject12',0,0,0,0,0,0),(4562,1403064,'influxUser35','emmy',2,1609976966,86448,'e0628|e0626',1,'','influxProject12',0,0,0,0,0,0),(4563,1403104,'influxUser35','emmy',2,1609977116,86432,'e0235|e0233',1,'','influxProject12',0,0,0,0,0,0),(4564,1403379,'influxUser35','emmy',2,1609977115,86442,'e0510|e0508',1,'','influxProject12',0,0,0,0,0,0),(4565,1407215,'influxUser35','emmy',2,1609977116,86442,'e0448|e0432',1,'','influxProject12',0,0,0,0,0,0),(4566,1403084,'influxUser35','emmy',2,1609977115,86460,'e0625|e0512',1,'','influxProject12',0,0,0,0,0,0),(4567,1403124,'influxUser35','emmy',2,1609977157,86427,'e0231|e0229',1,'','influxProject12',0,0,0,0,0,0),(4568,1408037,'influxUser30','emmy',20,1609977225,86425,'e1129|e1009|e0916|e0831|e0811|e0806|e0709|e0648|e0644|e0643|e0607|e0527|e0520|e0440|e0436|e0429|e0428|e0426|e0423|e0346',1,'','influxProject10',0,0,0,0,0,0),(4569,1403143,'influxUser35','emmy',2,1609977225,86448,'e0308|e0134',1,'','influxProject12',0,0,0,0,0,0),(4570,1408527,'influxUser23','emmy',3,1610042192,22107,'e0355|e0333|e0122',1,'','influxProject8',0,0,0,0,0,0),(4571,1408277,'influxUser10','emmy',4,1610005078,59477,'e0144|e0143|e0141|e0138',1,'','influxProject3',0,0,0,0,0,0),(4572,1403281,'influxUser35','emmy',2,1609978405,86427,'e0204|e0201',1,'','influxProject12',0,0,0,0,0,0),(4573,1408036,'influxUser30','emmy',20,1609978442,86396,'e1128|e1117|e1115|e1101|e1031|e1029|e1027|e1004|e0932|e0931|e0929|e0844|e0810|e0809|e0751|e0740|e0734|e0731|e0730|e0729',1,'','influxProject10',0,0,0,0,0,0),(4574,1403162,'influxUser35','emmy',2,1609978405,86449,'e0421|e0244',1,'','influxProject12',0,0,0,0,0,0),(4575,1408039,'influxUser30','emmy',15,1609978623,86426,'e1104|e0901|e0803|e0801|e0737|e0736|e0735|e0728|e0724|e0721|e0720|e0719|e0717|e0713|e0711',1,'','influxProject10',0,0,0,0,0,0),(4576,1403299,'influxUser35','emmy',2,1609978623,86457,'e0704|e0656',1,'','influxProject12',0,0,0,0,0,0),(4577,1408411,'influxUser23','emmy',5,1610022340,45038,'e1122|e1121|e1120|e1118|e1108',1,'','influxProject8',0,0,0,0,0,0),(4578,1408355,'influxUser22','emmy',7,1610023419,45630,'e0618|e0538|e0513|e0507|e0427|e0351|e0336',1,'','influxProject7',0,0,0,0,0,0),(4579,1408523,'influxUser51','emmy',2,1610041888,28946,'e0715|e0714',1,'','influxProject17',0,0,0,0,0,0),(4580,1408570,'influxUser16','emmy',9,1610059557,11385,'e0214|e0213|e0212|e0209|e0155|e0146|e0139|e0135|e0126',1,'','influxProject5',0,0,0,0,0,0),(4581,1408525,'influxUser51','emmy',2,1610041950,32523,'e0420|e0417',1,'','influxProject17',0,0,0,0,0,0),(4582,1408584,'influxUser48','emmy',1,1610059952,15740,'e0132',1,'','influxProject16',0,0,0,0,0,0),(4583,1408537,'influxUser22','emmy',5,1610049441,26789,'e1002|e1001|e0947|e0940|e0930',1,'','influxProject7',0,0,0,0,0,0),(4584,1408549,'influxUser56','emmy',1,1610048564,27803,'e0908',1,'','influxProject18',0,0,0,0,0,0),(4585,1408532,'influxUser23','emmy',4,1610044784,32859,'e0338|e0335|e0322|e0218',1,'','influxProject8',0,0,0,0,0,0),(4586,1408354,'influxUser22','emmy',9,1610023224,54765,'e0645|e0642|e0641|e0636|e0635|e0621|e0604|e0548|e0542',1,'','influxProject7',0,0,0,0,0,0),(4587,1408575,'influxUser48','emmy',1,1610056680,21639,'e0101',1,'','influxProject16',0,0,0,0,0,0),(4588,1408278,'influxUser10','emmy',4,1610005078,73638,'e0137|e0128|e0123|e0121',1,'','influxProject3',0,0,0,0,0,0),(4589,1408450,'influxUser22','emmy',2,1610028783,50207,'e0328|e0129',1,'','influxProject7',0,0,0,0,0,0),(4590,1408576,'influxUser48','emmy',1,1610057521,21639,'e0107',1,'','influxProject16',0,0,0,0,0,0),(4591,1408577,'influxUser48','emmy',1,1610057789,21646,'e0102',1,'','influxProject16',0,0,0,0,0,0),(4592,1408581,'influxUser48','emmy',1,1610059578,21621,'e0106',1,'','influxProject16',0,0,0,0,0,0),(4593,1408580,'influxUser48','emmy',1,1610059573,21634,'e0108',1,'','influxProject16',0,0,0,0,0,0),(4594,1408579,'influxUser48','emmy',1,1610059568,21647,'e0116',1,'','influxProject16',0,0,0,0,0,0),(4595,1408578,'influxUser48','emmy',1,1610059562,21659,'e0117',1,'','influxProject16',0,0,0,0,0,0),(4596,1408582,'influxUser48','emmy',1,1610059942,21629,'e0154',1,'','influxProject16',0,0,0,0,0,0),(4597,1408583,'influxUser48','emmy',1,1610059947,21650,'e0133',1,'','influxProject16',0,0,0,0,0,0),(4598,1408585,'influxUser48','emmy',1,1610059958,21658,'e0131',1,'','influxProject16',0,0,0,0,0,0),(4599,1408586,'influxUser48','emmy',1,1610060004,21658,'e0109',1,'','influxProject16',0,0,0,0,0,0),(4600,1408279,'influxUser10','emmy',4,1610005578,76722,'e0232|e0228|e0226|e0215',1,'','influxProject3',0,0,0,0,0,0),(4601,1408486,'influxUser6','emmy',20,1610041094,41290,'e0922|e0919|e0849|e0848|e0828|e0822|e0818|e0817|e0712|e0655|e0652|e0650|e0647|e0638|e0623|e0622|e0620|e0616|e0614|e0539',1,'','influxProject2',0,0,0,0,0,0),(4602,1408536,'influxUser23','emmy',6,1610046770,35800,'e0640|e0532|e0526|e0523|e0354|e0114',1,'','influxProject8',0,0,0,0,0,0),(4603,1408587,'influxUser48','emmy',1,1610060972,21628,'e0105',1,'','influxProject16',0,0,0,0,0,0),(4604,1408588,'influxUser48','emmy',1,1610060977,21629,'e0103',1,'','influxProject16',0,0,0,0,0,0),(4605,1408590,'influxUser48','emmy',1,1610061406,21640,'e0220',1,'','influxProject16',0,0,0,0,0,0),(4606,1408589,'influxUser48','emmy',1,1610061401,21649,'e0221',1,'','influxProject16',0,0,0,0,0,0),(4607,1408591,'influxUser48','emmy',1,1610061609,21634,'e0113',1,'','influxProject16',0,0,0,0,0,0),(4608,1408214,'influxUser11','emmy',8,1609998032,86205,'e1132|e1119|e1112|e1103|e1026|e1016|e1012|e1011',1,'','influxProject3',0,0,0,0,0,0),(4609,1408593,'influxUser48','emmy',1,1610062728,21653,'e0223',1,'','influxProject16',0,0,0,0,0,0),(4610,1408592,'influxUser48','emmy',1,1610062722,21659,'e0224',1,'','influxProject16',0,0,0,0,0,0),(4611,1408323,'influxUser30','emmy',20,1610063652,21907,'e1129|e1009|e0916|e0831|e0811|e0806|e0709|e0648|e0644|e0643|e0607|e0527|e0520|e0440|e0436|e0429|e0428|e0426|e0423|e0346',1,'','influxProject10',0,0,0,0,0,0),(4612,1408550,'influxUser56','emmy',1,1610048569,40630,'e0907',1,'','influxProject18',0,0,0,0,0,0),(4613,1408524,'influxUser51','emmy',2,1610041899,47431,'e0517|e0515',1,'','influxProject17',0,0,0,0,0,0),(4614,1408364,'influxUser22','emmy',5,1610023681,66825,'e0950|e0850|e0847|e0630|e0549',1,'','influxProject7',0,0,0,0,0,0),(4615,1408350,'influxUser23','emmy',3,1610015200,76519,'e0612|e0610|e0609',1,'','influxProject8',0,0,0,0,0,0),(4616,1408552,'influxUser56','emmy',1,1610048580,43183,'e0826',1,'','influxProject18',0,0,0,0,0,0),(4617,1408024,'influxUser49','emmy',32,1610006310,86463,'e1109|e1107|e0708|e0441|e0434|e0433|e0418|e0409|e0408|e0407|e0402|e0401|e0350|e0343|e0329|e0316|e0312|e0311|e0310|e0307|e0306|e0305|e0304|e0303|e0302|e0301|e0252|e0250|e0249|e0246|e0118|e0115',1,'','influxProject16',0,0,0,0,0,0),(4618,1408025,'influxUser49','emmy',24,1610007545,86464,'e0825|e0823|e0747|e0746|e0738|e0726|e0637|e0631|e0627|e0624|e0619|e0615|e0608|e0347|e0344|e0323|e0321|e0211|e0210|e0207|e0206|e0205|e0202|e0156',1,'','influxProject16',0,0,0,0,0,0),(4619,1408322,'influxUser5','emmy',1,1610008973,85244,'e1164',1,'','influxProject2',0,0,0,0,0,0),(4620,1408551,'influxUser56','emmy',1,1610048574,45888,'e0842',1,'','influxProject18',0,0,0,0,0,0),(4621,1408332,'influxUser39','emmy',2,1610010409,85778,'e0951|e0127',1,'','influxProject13',0,0,0,0,0,0),(4622,1408336,'influxUser39','emmy',2,1610010558,85776,'e1131|e0629',1,'','influxProject13',0,0,0,0,0,0),(4623,1408337,'influxUser39','emmy',2,1610010594,85788,'e0633|e0111',1,'','influxProject13',0,0,0,0,0,0),(4624,1408538,'influxUser56','emmy',2,1610047548,49813,'e0927|e0926',1,'','influxProject18',0,0,0,0,0,0),(4625,1408282,'influxUser10','emmy',4,1610033727,65036,'e0918|e0913|e0912|e0909',1,'','influxProject3',0,0,0,0,0,0),(4626,1408360,'influxUser38','emmy',20,1610016644,82842,'e1130|e1126|e1123|e1116|e1114|e1113|e1111|e1021|e1020|e1007|e1006|e0839|e0829|e0824|e0820|e0819|e0816|e0815|e0814|e0813',1,'','influxProject13',0,0,0,0,0,0),(4627,1408542,'influxUser56','emmy',1,1610047554,53323,'e0424',1,'','influxProject18',0,0,0,0,0,0),(4628,1408343,'influxUser39','emmy',2,1610015214,85776,'e1014|e1010',1,'','influxProject13',0,0,0,0,0,0),(4629,1408339,'influxUser39','emmy',2,1610015214,85799,'e1023|e1022',1,'','influxProject13',0,0,0,0,0,0),(4630,1408361,'influxUser38','emmy',20,1610016694,84330,'e0834|e0833|e0827|e0821|e0812|e0808|e0807|e0804|e0748|e0733|e0718|e0701|e0649|e0646|e0431|e0430|e0314|e0248|e0112|e0110',1,'','influxProject13',0,0,0,0,0,0),(4631,1408366,'influxUser5','emmy',1,1610017030,85244,'e1162',1,'','influxProject2',0,0,0,0,0,0),(4632,1408545,'influxUser56','emmy',1,1610047737,55581,'e0653',1,'','influxProject18',0,0,0,0,0,0),(4633,1408544,'influxUser56','emmy',1,1610047698,56007,'e0716',1,'','influxProject18',0,0,0,0,0,0),(4634,1408289,'influxUser10','emmy',4,1610033755,70933,'e0606|e0605|e0552|e0551',1,'','influxProject3',0,0,0,0,0,0),(4635,1408413,'influxUser5','emmy',1,1610021569,85234,'e1068',1,'','influxProject2',0,0,0,0,0,0),(4636,1408362,'influxUser38','emmy',20,1610023069,84308,'e1008|e0948|e0911|e0832|e0830|e0654|e0639|e0632|e0546|e0541|e0540|e0528|e0518|e0445|e0412|e0410|e0405|e0348|e0345|e0334',1,'','influxProject13',0,0,0,0,0,0),(4637,1408382,'influxUser23','emmy',5,1610021901,86454,'e0238|e0152|e0150|e0147|e0145',1,'','influxProject8',0,0,0,0,0,0),(4638,1408418,'influxUser44','emmy',1,1610023149,85688,'e0602',1,'','influxProject14',0,0,0,0,0,0),(4639,1408280,'influxUser10','emmy',4,1610033356,77168,'e0320|e0317|e0309|e0251',1,'','influxProject3',0,0,0,0,0,0),(4640,1408422,'influxUser3','emmy',2,1610024843,85841,'e0941|e0939',1,'','influxProject2',0,0,0,0,0,0),(4641,1408420,'influxUser3','emmy',2,1610024843,85859,'e1125|e1102',1,'','influxProject2',0,0,0,0,0,0),(4642,1408421,'influxUser3','emmy',2,1610024843,85860,'e1030|e0952',1,'','influxProject2',0,0,0,0,0,0),(4643,1408423,'influxUser3','emmy',2,1610024844,85862,'e0936|e0928',1,'','influxProject2',0,0,0,0,0,0),(4644,1408465,'influxUser41','emmy',2,1610033317,78859,'e0219|e0216',1,'','influxProject13',0,0,0,0,0,0),(4645,1408284,'influxUser10','emmy',4,1610033745,80257,'e0447|e0446|e0419|e0340',1,'','influxProject3',0,0,0,0,0,0),(4646,1408526,'influxUser10','emmy',4,1610046342,70208,'e0706|e0705|e0703|e0651',1,'','influxProject3',0,0,0,0,0,0),(4647,1408546,'influxUser56','emmy',1,1610047812,70981,'e0531',1,'','influxProject18',0,0,0,0,0,0),(4648,1408470,'influxUser56','emmy',1,1610033141,85930,'e0203',1,'','influxProject18',0,0,0,0,0,0),(4649,1408547,'influxUser56','emmy',1,1610047876,71398,'e0325',1,'','influxProject18',0,0,0,0,0,0),(4650,1408469,'influxUser56','emmy',1,1610033136,86458,'e0208',1,'','influxProject18',0,0,0,0,0,0),(4651,1408471,'influxUser56','emmy',1,1610033146,86459,'e0151',1,'','influxProject18',0,0,0,0,0,0),(4652,1408472,'influxUser56','emmy',1,1610033301,86418,'e0243',1,'','influxProject18',0,0,0,0,0,0),(4653,1408474,'influxUser56','emmy',1,1610033306,86435,'e0237',1,'','influxProject18',0,0,0,0,0,0),(4654,1408476,'influxUser56','emmy',1,1610033317,86430,'e0234',1,'','influxProject18',0,0,0,0,0,0),(4655,1408475,'influxUser56','emmy',1,1610033312,86442,'e0236',1,'','influxProject18',0,0,0,0,0,0),(4656,1408479,'influxUser56','emmy',1,1610033350,86422,'e0946',1,'','influxProject18',0,0,0,0,0,0),(4657,1408478,'influxUser56','emmy',1,1610033345,86432,'e1032',1,'','influxProject18',0,0,0,0,0,0),(4658,1408548,'influxUser56','emmy',1,1610048208,76206,'e0416',1,'','influxProject18',0,0,0,0,0,0),(4659,1408515,'influxUser5','emmy',1,1610039754,85243,'e1161',1,'','influxProject2',0,0,0,0,0,0),(4660,1403319,'influxUser35','emmy',2,1610040263,86444,'e0130|e0124',1,'','influxProject12',0,0,0,0,0,0),(4661,1403044,'influxUser35','emmy',2,1610040245,86467,'e0319|e0318',1,'','influxProject12',0,0,0,0,0,0),(4662,1407136,'influxUser35','emmy',2,1610040573,86447,'e0149|e0142',1,'','influxProject12',0,0,0,0,0,0),(4663,1402944,'influxUser35','emmy',2,1610040847,86428,'e0506|e0505',1,'','influxProject12',0,0,0,0,0,0),(4664,1407206,'influxUser35','emmy',2,1610040848,86436,'e0502|e0501',1,'','influxProject12',0,0,0,0,0,0),(4665,1407160,'influxUser35','emmy',2,1610040847,86439,'e0504|e0503',1,'','influxProject12',0,0,0,0,0,0),(4666,1407146,'influxUser35','emmy',2,1610040847,86461,'e0514|e0509',1,'','influxProject12',0,0,0,0,0,0),(4667,1407256,'influxUser35','emmy',2,1610041094,86427,'e0535|e0534',1,'','influxProject12',0,0,0,0,0,0),(4668,1407246,'influxUser35','emmy',2,1610041094,86443,'e0537|e0536',1,'','influxProject12',0,0,0,0,0,0),(4669,1408514,'influxUser30','emmy',15,1610041168,86404,'e1025|e0949|e0944|e0934|e0924|e0903|e0852|e0851|e0533|e0521|e0516|e0511|e0438|e0413|e0341',1,'','influxProject10',0,0,0,0,0,0),(4670,1408529,'influxUser5','emmy',1,1610043185,85234,'e1168',1,'','influxProject2',0,0,0,0,0,0),(4671,1408530,'influxUser51','emmy',6,1610043397,86377,'e0905|e0845|e0843|e0840|e0727|e0725',1,'','influxProject17',0,0,0,0,0,0),(4672,1408534,'influxUser51','emmy',6,1610046118,86359,'e1024|e0603|e0522|e0245|e0136|e0119',1,'','influxProject17',0,0,0,0,0,0),(4673,1408540,'influxUser56','emmy',2,1610047548,86429,'e0451|e0425',1,'','influxProject18',0,0,0,0,0,0),(4674,1408539,'influxUser56','emmy',2,1610047548,86461,'e0923|e0543',1,'','influxProject18',0,0,0,0,0,0),(4675,1408597,'influxUser5','emmy',1,1610058734,85243,'e1163',1,'','influxProject2',0,0,0,0,0,0),(4676,1402984,'influxUser35','emmy',2,1610059557,86453,'e0125|e0120',1,'','influxProject12',0,0,0,0,0,0),(4677,1403004,'influxUser35','emmy',2,1610061276,86450,'e0153|e0148',1,'','influxProject12',0,0,0,0,0,0),(4678,1408598,'influxUser5','emmy',1,1610062516,85244,'e1165',1,'','influxProject2',0,0,0,0,0,0),(4679,1407169,'influxUser35','emmy',2,1610063258,86445,'e0617|e0611',1,'','influxProject12',0,0,0,0,0,0),(4680,1403024,'influxUser35','emmy',2,1610063268,86444,'e0550|e0547',1,'','influxProject12',0,0,0,0,0,0),(4681,1403340,'influxUser35','emmy',2,1610063284,86444,'e0524|e0443',1,'','influxProject12',0,0,0,0,0,0),(4682,1403360,'influxUser35','emmy',2,1610063286,86444,'e0442|e0435',1,'','influxProject12',0,0,0,0,0,0),(4683,1403065,'influxUser35','emmy',2,1610063415,86443,'e0628|e0626',1,'','influxProject12',0,0,0,0,0,0),(4684,1403105,'influxUser35','emmy',2,1610063549,86445,'e0235|e0233',1,'','influxProject12',0,0,0,0,0,0),(4685,1403380,'influxUser35','emmy',2,1610063558,86444,'e0510|e0508',1,'','influxProject12',0,0,0,0,0,0),(4686,1407216,'influxUser35','emmy',2,1610063560,86443,'e0448|e0432',1,'','influxProject12',0,0,0,0,0,0),(4687,1403085,'influxUser35','emmy',2,1610063577,86445,'e0625|e0512',1,'','influxProject12',0,0,0,0,0,0),(4688,1403125,'influxUser35','emmy',2,1610063584,86446,'e0231|e0229',1,'','influxProject12',0,0,0,0,0,0),(4689,1403144,'influxUser35','emmy',2,1610063674,86443,'e0308|e0134',1,'','influxProject12',0,0,0,0,0,0);
/*!40000 ALTER TABLE `job` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `job_job_tag`
--

DROP TABLE IF EXISTS `job_job_tag`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `job_job_tag` (
  `job_id` int NOT NULL,
  `job_tag_id` int NOT NULL,
  PRIMARY KEY (`job_id`,`job_tag_id`),
  KEY `IDX_5DB39389BE04EA9` (`job_id`),
  KEY `IDX_5DB39389EAD64E90` (`job_tag_id`),
  CONSTRAINT `FK_5DB39389BE04EA9` FOREIGN KEY (`job_id`) REFERENCES `job` (`id`) ON DELETE CASCADE,
  CONSTRAINT `FK_5DB39389EAD64E90` FOREIGN KEY (`job_tag_id`) REFERENCES `job_tag` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `job_job_tag`
--

LOCK TABLES `job_job_tag` WRITE;
/*!40000 ALTER TABLE `job_job_tag` DISABLE KEYS */;
INSERT INTO `job_job_tag` VALUES (1269,3),(1269,4),(1270,4),(1327,3),(1351,1),(1351,2),(1355,1),(1355,2),(1357,1),(1366,1),(1460,1),(1462,1),(1463,1),(1464,1),(1464,2),(1465,1),(1465,5),(1467,1);
/*!40000 ALTER TABLE `job_job_tag` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `job_tag`
--

DROP TABLE IF EXISTS `job_tag`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `job_tag` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `type` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=21 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `job_tag`
--

LOCK TABLES `job_tag` WRITE;
/*!40000 ALTER TABLE `job_tag` DISABLE KEYS */;
INSERT INTO `job_tag` VALUES (1,'throughput-limited','bottleneck'),(2,'bandwidth-limited','bottleneck'),(3,'low-utilisation','pathologic'),(4,'load-imbalance','pathologic'),(5,'network','bottleneck');
/*!40000 ALTER TABLE `job_tag` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `user`
--

DROP TABLE IF EXISTS `user`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `user` (
  `username` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `password` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `roles` json DEFAULT NULL,
  `email` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `is_active` tinyint(1) DEFAULT NULL,
  `api_token` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`username`),
  UNIQUE KEY `UNIQ_8D93D6497BA2F5EB` (`api_token`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `user`
--

LOCK TABLES `user` WRITE;
/*!40000 ALTER TABLE `user` DISABLE KEYS */;
INSERT INTO `user` VALUES ('admin','$2y$13$oaRyvkkCZYjL/iNsztqLjeQ36QhDQPXpYYmzTB6TBa3hNho9.56qS','Local account','[\"ROLE_ADMIN\", \"ROLE_ANALYST\", \"ROLE_USER\"]','admin@ccdemo.de',1,'9c6e3e647e84b87730815325aa8c7dff35deeada'),('demoUser','$argon2id$v=19$m=65536,t=4,p=1$q6zUmLqJ0b1CNZFnoIHtEQ$ykN/6rMR5s3Ex/hrpC1jJ5JMXYN7rlAmwNrZNtrGAyo','Demo User','[\"ROLE_API\"]',NULL,1,'863ae06090602cbaef2d66b69d706953e50561b6'),('emmyUser1',NULL,'Emmy User1',NULL,NULL,NULL,NULL),('emmyUser10',NULL,'Emmy User10',NULL,NULL,NULL,NULL),('emmyUser2',NULL,'Emmy User2',NULL,NULL,NULL,NULL),('emmyUser3',NULL,'Emmy User3',NULL,NULL,NULL,NULL),('emmyUser4',NULL,'Emmy User4',NULL,NULL,NULL,NULL),('emmyUser5',NULL,'Emmy User5',NULL,NULL,NULL,NULL),('emmyUser6',NULL,'Emmy User6',NULL,NULL,NULL,NULL),('emmyUser7',NULL,'Emmy User7',NULL,NULL,NULL,NULL),('emmyUser8',NULL,'Emmy User8',NULL,NULL,NULL,NULL),('emmyUser9',NULL,'Emmy User9',NULL,NULL,NULL,NULL),('influxUser1',NULL,'Influx User1',NULL,NULL,NULL,NULL),('influxUser10',NULL,'Influx User10',NULL,NULL,NULL,NULL),('influxUser11',NULL,'Influx User11',NULL,NULL,NULL,NULL),('influxUser12',NULL,'Influx User12',NULL,NULL,NULL,NULL),('influxUser13',NULL,'Influx User13',NULL,NULL,NULL,NULL),('influxUser14',NULL,'Influx User14',NULL,NULL,NULL,NULL),('influxUser15',NULL,'Influx User15',NULL,NULL,NULL,NULL),('influxUser16',NULL,'Influx User16',NULL,NULL,NULL,NULL),('influxUser17',NULL,'Influx User17',NULL,NULL,NULL,NULL),('influxUser18',NULL,'Influx User18',NULL,NULL,NULL,NULL),('influxUser19',NULL,'Influx User19',NULL,NULL,NULL,NULL),('influxUser2',NULL,'Influx User2',NULL,NULL,NULL,NULL),('influxUser20',NULL,'Influx User20',NULL,NULL,NULL,NULL),('influxUser21',NULL,'Influx User21',NULL,NULL,NULL,NULL),('influxUser22',NULL,'Influx User22',NULL,NULL,NULL,NULL),('influxUser23',NULL,'Influx User23',NULL,NULL,NULL,NULL),('influxUser24',NULL,'Influx User24',NULL,NULL,NULL,NULL),('influxUser25',NULL,'Influx User25',NULL,NULL,NULL,NULL),('influxUser26',NULL,'Influx User26',NULL,NULL,NULL,NULL),('influxUser27',NULL,'Influx User27',NULL,NULL,NULL,NULL),('influxUser28',NULL,'Influx User28',NULL,NULL,NULL,NULL),('influxUser29',NULL,'Influx User29',NULL,NULL,NULL,NULL),('influxUser3',NULL,'Influx User3',NULL,NULL,NULL,NULL),('influxUser30',NULL,'Influx User30',NULL,NULL,NULL,NULL),('influxUser31',NULL,'Influx User31',NULL,NULL,NULL,NULL),('influxUser32',NULL,'Influx User32',NULL,NULL,NULL,NULL),('influxUser33',NULL,'Influx User33',NULL,NULL,NULL,NULL),('influxUser34',NULL,'Influx User34',NULL,NULL,NULL,NULL),('influxUser35',NULL,'Influx User35',NULL,NULL,NULL,NULL),('influxUser36',NULL,'Influx User36',NULL,NULL,NULL,NULL),('influxUser37',NULL,'Influx User37',NULL,NULL,NULL,NULL),('influxUser38',NULL,'Influx User38',NULL,NULL,NULL,NULL),('influxUser39',NULL,'Influx User39',NULL,NULL,NULL,NULL),('influxUser4',NULL,'Influx User4',NULL,NULL,NULL,NULL),('influxUser40',NULL,'Influx User40',NULL,NULL,NULL,NULL),('influxUser41',NULL,'Influx User41',NULL,NULL,NULL,NULL),('influxUser42',NULL,'Influx User42',NULL,NULL,NULL,NULL),('influxUser43',NULL,'Influx User43',NULL,NULL,NULL,NULL),('influxUser44',NULL,'Influx User44',NULL,NULL,NULL,NULL),('influxUser45',NULL,'Influx User45',NULL,NULL,NULL,NULL),('influxUser46',NULL,'Influx User46',NULL,NULL,NULL,NULL),('influxUser47',NULL,'Influx User47',NULL,NULL,NULL,NULL),('influxUser48',NULL,'Influx User48',NULL,NULL,NULL,NULL),('influxUser49',NULL,'Influx User49',NULL,NULL,NULL,NULL),('influxUser5',NULL,'Influx User5',NULL,NULL,NULL,NULL),('influxUser50',NULL,'Influx User50',NULL,NULL,NULL,NULL),('influxUser51',NULL,'Influx User51',NULL,NULL,NULL,NULL),('influxUser52',NULL,'Influx User52',NULL,NULL,NULL,NULL),('influxUser53',NULL,'Influx User53',NULL,NULL,NULL,NULL),('influxUser54',NULL,'Influx User54',NULL,NULL,NULL,NULL),('influxUser55',NULL,'Influx User55',NULL,NULL,NULL,NULL),('influxUser56',NULL,'Influx User56',NULL,NULL,NULL,NULL),('influxUser57',NULL,'Influx User57',NULL,NULL,NULL,NULL),('influxUser58',NULL,'Influx User58',NULL,NULL,NULL,NULL),('influxUser59',NULL,'Influx User59',NULL,NULL,NULL,NULL),('influxUser6',NULL,'Influx User6',NULL,NULL,NULL,NULL),('influxUser60',NULL,'Influx User60',NULL,NULL,NULL,NULL),('influxUser61',NULL,'Influx User61',NULL,NULL,NULL,NULL),('influxUser62',NULL,'Influx User62',NULL,NULL,NULL,NULL),('influxUser63',NULL,'Influx User63',NULL,NULL,NULL,NULL),('influxUser7',NULL,'Influx User7',NULL,NULL,NULL,NULL),('influxUser8',NULL,'Influx User8',NULL,NULL,NULL,NULL),('influxUser9',NULL,'Influx User9',NULL,NULL,NULL,NULL),('woodyUser1',NULL,'Woody User1',NULL,NULL,NULL,NULL),('woodyUser2',NULL,'Woody User2',NULL,NULL,NULL,NULL),('woodyUser3',NULL,'Woody User3',NULL,NULL,NULL,NULL),('woodyUser4',NULL,'Woody User4',NULL,NULL,NULL,NULL),('woodyUser5',NULL,'Woody User5',NULL,NULL,NULL,NULL);
/*!40000 ALTER TABLE `user` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2021-08-20  9:49:18
